# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://id.loc.gov/ontologies/bibframe/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://id.loc.gov/ontologies/bibframe/>
  # @!visibility private
  BF2 = Class.new(RDF::StrictVocabulary("http://id.loc.gov/ontologies/bibframe/")) do

    # Ontology definition
    ontology :"http://id.loc.gov/ontologies/bibframe/",
      "http://creativecommons.org/ns#license": "https://creativecommons.org/publicdomain/zero/1.0/",
      "http://purl.org/dc/terms/creator": "",
      "http://purl.org/dc/terms/description": {en: "The Bibframe vocabulary consists of RDF classes and properties used for the description of \r\n            items cataloged principally by libraries, but may also be used to describe items cataloged by museums and archives. \r\n            Classes include the three core classes - Work, Instance, and Item - in addition to many more \r\n            classes to support description. Properties describe characteristics of the resource being \r\n            described as well as relationships among resources. For example: one Work\r\n            might be a \"translation of\" another Work; an Instance may be an \r\n            \"instance of\" a particular Bibframe Work.  Other properties describe attributes of Works and Instances.  For\r\n            example: the Bibframe property \"subject\" expresses an important attribute of a Work \r\n            (what the Work is about), and the property \"extent\" (e.g. number of pages) expresses an\r\n            attribute of an Instance."},
      "http://purl.org/dc/terms/issued": "2024-08-23T12:00:00.000-05:00",
      "http://purl.org/dc/terms/modified": "2024-08-23T12:55:43.555263-04:00",
      "http://purl.org/dc/terms/publisher": "",
      "http://purl.org/dc/terms/rights": "https://creativecommons.org/publicdomain/zero/1.0/",
      "http://www.w3.org/2002/07/owl#priorVersion": "http://id.loc.gov/ontologies/bibframe-2-3-0/",
      "http://www.w3.org/2002/07/owl#versionIRI": "http://id.loc.gov/ontologies/bibframe-2-4-0/",
      "http://www.w3.org/2002/07/owl#versionInfo": "2.4.0",
      label: "BIBFRAME vocabulary",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :AbbreviatedTitle,
      definition: "Title as abbreviated for citation, indexing, and/or identification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Abbreviated title",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AccessPolicy,
      definition: "Access restrictions and allowances regarding access to a resource, e.g., lending policy, access restrictions, embargos",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Access policy",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AccessionNumber,
      definition: "Accession Number",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH11])",
      label: "Accession number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AcquisitionSource,
      definition: "Information about an organization, person, etc., from which a resource may be obtained",
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)",
      label: "Acquisition source",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AdminMetadata,
      definition: "Metadata about the metadata, especially provenance information",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Administrative metadata",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Agent,
      definition: "Entity having a role in a resource, such as a person or organization",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-05-13 (New subclass)"],
      label: "Agent",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Ansi,
      definition: "American National Standards Institute identifier",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ANSI number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AppliedMaterial,
      definition: "Physical or chemical substance applied to a base material of a resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Changed subclass to Material [GH28])"],
      label: "Applied material",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Material",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Archival,
      definition: "Resources organically created, accumulated, and/or used by a person, family, or organization in the course of conduct of affairs and preserved because of their continuing value",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Archival controlled",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Arrangement,
      definition: "Resource that represents an arrangement of another resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Redefined [GH77])"],
      label: "Arrangement",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AspectRatio,
      definition: "Proportional relationship between an image's width and its height",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Aspect ratio",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Audio,
      definition: "Resources expressed in an audible form, including music or other sounds",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Audio",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AudioIssueNumber,
      definition: "Number assigned by publishers of sound recordings to identify the issue designation, or serial identification, of the resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Revised property name and definition)"],
      label: "Audio issue number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AudioTake,
      definition: "Identifier assigned to the smallest identifiable unit of a recording session, e.g., a specific recording of an individual song",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "Audio recording take",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Barcode,
      definition: "Optical machine-readable representation of data relating to the item to which it is attached",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Moved to Identifier class group from Item group)"],
      label: "Barcode",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BaseMaterial,
      definition: "Underlying physical material of a resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Changed subclass to Material [GH28])"],
      label: "Base material",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Material",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Binding,
      definition: "Information about methods used to bind a published or unpublished resource, or other binding information",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Binding method",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BookFormat,
      definition: "Result of folding a printed sheet to form a gathering of leaves",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Book format",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BroadcastStandard,
      definition: "System used to format a video resource for television broadcast, e.g., HDTV, PAL",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Broadcast standard",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Capture,
      definition: "Information about place and date associated with the capture (i.e., recording, filming, etc.) of the content of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Capture of content",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CaptureStorage,
      definition: "Specifies the sound capture and storage technique used on a sound recording resource",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH104])",
      label: "Capture and Storage Technique",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Carrier,
      definition: "Categorization reflecting the format of the storage medium and housing of a carrier",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Carrier type",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Cartographic,
      definition: "Content that represents the whole or part of the earth, any celestial body, or imaginary place at any scale",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CartographicDataType,
      definition: "Data type for encoding of geospatial information in a cartographic resource, e.g., raster, vector, point",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Digital cartographic data type",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CartographicObjectType,
      definition: "Object type for encoding of geospatial information in a cartographic resource, e.g., point, line, polygon",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Digital cartographic object type",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Cartography,
      definition: "Resource that shows spatial information, including maps, atlases, globes, digital, and other cartographic resources",
      "http://purl.org/dc/terms/modified": "2016-04-25 (fixed typo in definition)",
      label: "Cartography",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Chronology,
      definition: "Dates associated with issues or items held",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Chronology",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Classification,
      definition: "System of coding and organizing materials according to their subject",
      editorialNote: "Any entry from the Classification Schemes vocabulary at ID may be used; all have been defined as a bf:Classification",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added editorial note [GH55])"],
      label: "Classification entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ClassificationDdc,
      definition: "Dewey Decimal Classification number used for subject access",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "DDC Classification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ClassificationLcc,
      definition: "Library of Congress Classification number used for subject access",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "LCC Classification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ClassificationNal,
      definition: "National Library of Agriculter number used for subject access",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH119])",
      label: "NAL classification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ClassificationNlm,
      definition: "National Library of Medicine Classification number used for subject access",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "NLM classification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ClassificationUdc,
      definition: "Universal Decimal Classification number used for subject access",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "UDC Classification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Coden,
      definition: "Identifier for scientific and technical periodical titles assigned by the International CODEN Section of Chemical Abstracts Service",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "CODEN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Collection,
      definition: "Aggregation of resources, generally gathered together artificially",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (changed subClassOf [GH92])"],
      label: "Collection",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CollectionArrangement,
      definition: "Information about the organization and arrangement of a collection of items",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])",
      label: "Organization of materials information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CollectiveTitle,
      definition: "Title for a compilation of resources",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Collective title",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ColorContent,
      definition: "Color characteristics of a resource, e.g., black and white, multicolored, etc.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Color content",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Content,
      definition: "Categorization reflecting the fundamental form of communication in which the content is expressed and the human sense through which it is intended to be perceived",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Content type",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ContentAccessibility,
      definition: "Information that assists those with a sensory impairment for greater understanding of content, e.g., captions",
      "http://purl.org/dc/terms/modified": "2017-02-07 (New)",
      label: "Content accessibility information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Contribution,
      definition: "Agent and role with respect to the resource being described",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Contribution",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CopyrightNumber,
      definition: "Identifier assigned to a copyright registration or legal deposit",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Copyright-legal deposit number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CopyrightRegistration,
      definition: "Copyright or Legal Deposit registration information",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-05-04 (Class name corrected)"],
      label: "Copyright registration",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CoverArt,
      definition: "Cover illustration of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cover art",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Dataset,
      definition: "Data encoded in a defined structure, including numeric data, environmental data, etc., used by applications software",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Dataset",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DescriptionAuthentication,
      definition: "Indication of specific types of reviews that have been carried out on the description information",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (fixed class name)", "2022-10-03 (removed subClassOf [GH90])"],
      label: "Metadata authentication",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DescriptionConventions,
      definition: "Rules used for the descriptive content of the resource description",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-24 (fixed class name)", "2022-10-03 (removed subClassOf [GH90])"],
      label: "Description conventions",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DescriptionLevel,
      definition: "Designation of the descriptive content of the metadata",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH43])",
      label: "Description level",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DigitalCharacteristic,
      definition: "Technical specification relating to the digital encoding of text, image, audio, video, and other types of data in a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Digital characteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Dissertation,
      definition: "Information about a work presented as part of the formal requirements for an academic degree",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Dissertation information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DissertationIdentifier,
      definition: "Identifier assigned to a thesis or dissertation for identification purposes",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Dissertation Identifier",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Distribution,
      definition: "Information relating to distribution of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Distributor",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Doi,
      definition: "Digital Object Identifier",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "DOI",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Ean,
      definition: "International Article Identifier",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "EAN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Eidr,
      definition: "Entertainment Identifier Registry",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH78])",
      label: "EIDR",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Electronic,
      definition: "Resource that is intended for manipulation by a computer, accessed either directly or remotely",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Electronic",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Emulsion,
      definition: "Suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche, e.g., silver halide",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Emulsion",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EncodedBitrate,
      definition: "Speed at which streaming audio, video, etc., is designed to play, e.g., 32 kbps",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Encoded bitrate",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EncodingFormat,
      definition: "Schema, standard, etc., used to encode the digital content of a resource, e.g., MP3, XML, JPEG",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Encoding format",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Ensemble,
      definition: "Ensemble",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH56])",
      label: "Ensemble",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Enumeration,
      definition: "Numbering or other enumeration associated with issues or items held",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Enumeration",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EnumerationAndChronology,
      definition: "Numbering or other enumeration and dates associated with issues or items held",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Enumeration and chronology",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Event,
      definition: "Something that happens at a certain time and location, such as a performance, speech, or athletic event",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broaden definition [GH12])"],
      label: "Event entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Extent,
      definition: "Number and type of units and/or subunits making up a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Extent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Family,
      definition: "Two or more persons related by birth, marriage, adoption, civil union, or similar legal status, or who otherwise present themselves as a family",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Family",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :FileSize,
      definition: "Number of bytes in a digital file, e.g., 162 KB",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "File size",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :FileType,
      definition: "General type of data content encoded in a computer file, e.g., text file, audio file",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "File type",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Fingerprint,
      definition: "Identifier that is used to assist in the identification of antiquarian books by recording information comprising groups of characters taken from specified positions on specified pages of the book",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Fingerprint identifier",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :FontSize,
      definition: "Size of the type used to represent the characters and symbols in a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Font size",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Frequency,
      definition: "Information about intervals at which the parts of a serially produced resource or the updates to an integrating resource are issued",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Frequency",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Generation,
      definition: "Relationship between an original carrier and the carrier of a reproduction made from the original",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Generation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :GenerationProcess,
      definition: "Indication of the program or process used to generate the description by application of a particular transformation",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-24 (fixed class name)", "2022-10-03 (removed subClassOf [GH90])"],
      label: "Generation process",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :GenreForm,
      definition: "Form category or genre to which a resource belongs",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broaden definition [GH17])"],
      label: "Genre/form",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :GeographicCoverage,
      definition: "Geographic coverage of the content of the resource",
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)",
      label: "Geographic coverage",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :GrooveCharacteristic,
      definition: "Groove width of an analog disc or the groove pitch of an analog cylinder, e.g., coarse groove, microgroove",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-26 (fixed typo in definition)", "2017-02-03 (Fixed name of property)"],
      label: "Groove characteristic",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Gtin14Number,
      definition: "14-digit number assigned to identify trade items as various packaging levels that encompasses EAN/UCC-128 and ITF-14",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "Global Trade Item Number 14",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Hdl,
      definition: "Unique and persistent identifier for digital objects developed by the Corporation for National Research Initiatives",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Handle",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Hub,
      definition: "An abstract resource that functions as a bridge between two Works",
      "http://purl.org/dc/terms/modified": ["2021-06-09 (New [GH75])", "2023-11-30 (moved to Basic Model Class [GH108])"],
      label: "Hub",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Identifier,
      definition: "Token or name that is associated with a resource, such as a URI or an ISBN",
      editorialNote: "Any entry from the Standard Identifiers vocabulary at ID may be used; all have been defined as a bf:Identifier",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added editorial note [GH44])"],
      label: "Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Illustration,
      definition: "Information about content intended to illustrate a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Illustrative content",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ImmediateAcquisition,
      definition: "Information about the circumstances, e.g., source, date, method, under which the resource was directly acquired",
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)",
      label: "Immediate acquisition",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Instance,
      definition: "Resource reflecting an individual, material embodiment of a Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Integrating,
      definition: "Resource that is added to or changed by updates that do not remain discrete but are integrated into the whole",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Integrating resource",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :IntendedAudience,
      definition: "Information that identifies the specific intended or target audience or intellectual level for which the content described is considered appropriate; also used to record interest and motivation levels and special learner characteristics",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Intended audience information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Isan,
      definition: "International Standard Audiovisual Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISAN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Isbn,
      definition: "International Standard Book Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISBN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Ismn,
      definition: "International Standard Music Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISMN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Isni,
      definition: "International Standard Name Identifier, a unique, persistent reference number for the identities of contributors to creative works",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "ISNI",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Iso,
      definition: "International Organization for Standardization standard number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISO number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Isrc,
      definition: "International Standard Recording Code",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISRC",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Issn,
      definition: "International Standard Serial Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISSN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :IssnL,
      definition: "International Standard Serial Number that links together various media versions of a continuing resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISSN-L",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Issuance,
      definition: "Information about whether a resource is issued in one or more parts, the way it is updated, and its intended termination",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Mode of issuance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Istc,
      definition: "International Standard Text Code, a numbering system developed to enable the unique identification of textual works",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISTC",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Iswc,
      definition: "International Standard Musical Work Code, a unique, persistent reference number for the identification of musical works",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "ISWC",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Item,
      definition: "Single example of an Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Item",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Jurisdiction,
      definition: "Legal or political unit administering a geographic area",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Jurisdiction",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :KeyTitle,
      definition: "Unique title for a continuing resource that is assigned by the ISSN International Center in conjunction with an ISSN",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Key title",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Kit,
      definition: "Resource that contains a mixture of various components issued as a unit and intended primarily for instructional purposes",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Kit",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/MixedMaterial",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Language,
      definition: "Language entity",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Language entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Layout,
      definition: "Arrangement of text, images, tactile notation, etc., in a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Layout",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :LcOverseasAcq,
      definition: "Identification number assigned by the Library of Congress to works acquired through one of its collaborative overseas acquisition programs",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "LC acquisition program",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Lccn,
      definition: "Library of Congress Control Number that identifies a resource description",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "LCCN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Local,
      definition: "Identifier established locally and not a standard number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Local identifier",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Manufacture,
      definition: "Information relating to manufacture of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Manufacturer",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Manuscript,
      definition: "Resource which is written in handwriting or typescript",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (changed subClassOf [GH92])"],
      label: "Manuscript",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Material,
      definition: "Substance or composition of the resource",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH28])",
      label: "Material",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MatrixNumber,
      definition: "Matrix identifier assigned to the master from which a specific sound recording was pressed",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Revised definition)"],
      label: "Audio matrix number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Media,
      definition: "Categorization reflecting the general type of intermediation device required to view, play, run, etc., the content of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Media type",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Meeting,
      definition: "Gathering of individuals or representatives of various bodies for the purpose of discussing and/or acting on topics of common interest",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Meeting",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Microform,
      definition: "Resource that contains microimages, either transparent or opaque, that may be reproductions of existing textual or graphic materials or may be original publications",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH101])",
      label: "Microform",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MixedMaterial,
      definition: "Resource comprised of multiple types which is not driven by software, e.g. an archival collection of text, photographs and sound recordings",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (revised definition [GH92])"],
      label: "Mixed material",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Modification,
      definition: "Information relating to modification of a resource",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH69])",
      label: "Modification",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Monograph,
      definition: "Resource that is issued as a single physical unit or intangible single logical unit",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Monograph",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Mount,
      definition: "Physical material or object used for the support or backing to which the base material of a resource has been attached",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Amended definition [GH29])"],
      label: "Mount",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MovementNotation,
      definition: "Information on the symbol system used to convey the content of a movement resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified label [GH67])"],
      label: "Movement notation",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MovingImage,
      definition: "Images intended to be perceived as moving, including motion pictures (using live action and/or animation) or video recordings of performances or events",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-26 (fixed typo in definition)"],
      label: "Moving image",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Multimedia,
      definition: "Electronic resource which is a computer program or consists of multiple media types that are software driven, such as videogames",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (revised definition [GH92])"],
      label: "Software or multimedia",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicAudio,
      definition: "Music resource expressed in an audible form",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Music audio",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Audio",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicDistributorNumber,
      definition: "Identifier appearing on a resource assigned by a distributor to a specific audio recording, notated music publication, music-related publication, or videorecording",
      "http://purl.org/dc/terms/modified": "2017-02-07 (New)",
      label: "Music distributor number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicEnsemble,
      definition: "Ensemble for which a musical work is appropriate",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Changed subclass to Ensemble [GH56])"],
      label: "Music ensemble",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Ensemble",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicFormat,
      definition: "Layout for content of a resource that is presented in the form of musical notation",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Notated music format",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicInstrument,
      definition: "Instrument for which a musical work is appropriate",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Musical instrument",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicMedium,
      definition: "Summary statement of the medium for a musical work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music medium information",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicNotation,
      definition: "Information on the symbol system used to convey the content of a music resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified label [GH67])"],
      label: "Music notation",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicPlate,
      definition: "Identifiers assigned by a music publisher or printer to the printing plates for the notated portion of a notated music publication, or an identifier that emulates the printing plate tradition in contemporary publications",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Revised definition)"],
      label: "Music plate number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicPublisherNumber,
      definition: "Identifier assigned to a notated music publication other than an issue, matrix, or plate number",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Revised definition)"],
      label: "Music publisher number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicVoice,
      definition: "Voice for which a musical work is appropriate",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music voice",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Nbn,
      definition: "National Bibliography Number that identifies a resource description",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "NBN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :NonMusicAudio,
      definition: "Resource expressed in an audible form, including spoken word and other non-musical sounds",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Non-music audio",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Audio",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :NotatedMovement,
      definition: "Graphic, non-realized representations of movement intended to be perceived visually, e.g. dance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Notated movement",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :NotatedMusic,
      definition: "Graphic, non-realized representations of musical works intended to be perceived visually",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Notated music",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Notation,
      definition: "Information on the alphabet, script, or symbol system used to convey the content of the resource, including specialized scripts, typefaces, tactile notation, movement notation, and musical notation",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Notation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Note,
      definition: "Information, usually in textual form, on attributes of a resource or some aspect of a resource",
      editorialNote: "Any entry from the Note Types vocabulary at ID may be used; all have been defined as a bf:Note",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added editorial note [GH35])"],
      label: "Note",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Object,
      definition: "Resource in a form intended to be perceived visually in three-dimensions, including man-made objects such as models, sculptures, clothing, and toys, as well as naturally occurring objects such as specimens mounted for viewing",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Three-dimensional object",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ObjectCount,
      definition: "Number of objects in encoded geospatial information in a cartographic resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Digital cartographic object count",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :OclcNumber,
      definition: "Identifier assigned by OCLC",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH120])",
      label: "OCLC number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Organization,
      definition: "Corporation or group of persons and/or organizations that acts, or may act, as a unit",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Organization",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ParallelTitle,
      definition: "Title in another language and/or script",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Parallel title proper",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Person,
      definition: "Individual or identity established by an individual (either alone or in collaboration with one or more other individuals)",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Person",
      subClassOf: ["http://id.loc.gov/ontologies/bibframe/Agent", "http://xmlns.com/foaf/0.1/Person"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Place,
      definition: "Geographic location",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Place",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PlaybackChannels,
      definition: "Configuration/number of sound channels used to make a recording, such as one channel for a monophonic recording, e.g., mono, stereo, quadraphonic, surround",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Configuration of playback channels",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PlaybackCharacteristic,
      definition: "Equalization system, noise reduction system, etc., used in making an audio recording, e.g., CCIR standard, CX encoded, Dolby",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Special playback characteristics",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PlayingSpeed,
      definition: "Speed at which an audio carrier must be operated to produce the sound intended, e.g., 78 rpm, 19 cm/s",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Playing speed",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Polarity,
      definition: "Relationship of the colors and tones in an image to the colors and tones of the object reproduced",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Polarity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PostalRegistration,
      definition: "Number assigned to a publication for which the specified postal service permits the use of a special mailing class privilege",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Postal registration number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PresentationFormat,
      definition: "Format used in the production of a projected image, e.g., Cinerama, IMAX",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Presentation format",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PrimaryContribution,
      definition: "Contribution for which the agent is the name chosen as the name part of the name and title access point",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH104])",
      label: "Primary contribution",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Contribution",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Print,
      definition: "Resource that is printed",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Printed",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Production,
      definition: "Information relating to production of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Producer",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ProductionMethod,
      definition: "Process used to produce a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Production method",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Projection,
      definition: "Method or system used to represent the surface of the earth or of a celestial sphere on a plane",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "Projection",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ProjectionCharacteristic,
      definition: "Technical specification relating to the projection of a motion picture film",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Projection characteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ProjectionSpeed,
      definition: "Speed at which a projected carrier must be operated to produce the moving image intended, e.g., 20 fps",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Projection speed",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ProvisionActivity,
      definition: "Information about the agent or place relating to the publication, printing, distribution, issue, release, or production of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Provider entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PubFrequency,
      definition: "Information about the publication frequency of a resource",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH76])",
      label: "Publication Frequency",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Publication,
      definition: "Information relating to publication of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Publisher",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PublisherNumber,
      definition: "Number assigned by a publisher that is not one of the specific defined types",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Publisher number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RecordingMedium,
      definition: "Type of medium used to record sound on an audio carrier, e.g., magnetic, optical",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Recording medium",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RecordingMethod,
      definition: "Method used to encode audio content for playback, e.g., analog, digital",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Type of recording",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReductionRatio,
      definition: "Size of a micro-image in relation to the original from which it was produced",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Reduction ratio",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RegionalEncoding,
      definition: "Identification of the region of the world for which a videodisc has been encoded, e.g., region 4",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Regional encoding",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Relation,
      definition: "Associated resource and its relationship to the resource being described",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH116])",
      label: "Relation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Relationship,
      definition: "Type of relationship between resources",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH116])",
      label: "Relationship",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Relief,
      definition: "Relief term specified on a cartographic resource",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH104])",
      label: "Relief",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReportNumber,
      definition: "Identification number of a technical report that is not a Standard Technical Report Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Technical report number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Resolution,
      definition: "Clarity or fineness of detail in a digital image, expressed by the measurement of the image in pixels, etc., e.g., 3.1 megapixels",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Resolution",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RetentionPolicy,
      definition: "Policy of holding institution for retaining resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Retention policy",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Review,
      definition: "Review of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Review",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Role,
      definition: "Function played or provided by a contributor, e.g., author or illustrator",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "Role",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Scale,
      definition: "Ratio of the dimensions of a form contained or embodied in a resource to the dimensions of the entity it represents, e.g., for images or cartographic resources",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)",
      label: "Scale",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Script,
      definition: "Information on the script, or symbol system used to convey the content of a text resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified label [GH67])"],
      label: "Script",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Serial,
      definition: "Resource that is issued in successive parts, usually numbered, that has no predetermined conclusion",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Serial",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Series,
      definition: "Resource with a collective title that applies to a group of separate resources, each of which also has its own title",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Series",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ShelfMark,
      definition: "Piece/item identifier, such as a call or other type of number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Shelf location",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ShelfMarkDdc,
      definition: "Shelf mark based on Dewey Decimal Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "DDC call number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ShelfMarkLcc,
      definition: "Shelf mark based on Library of Congress Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "LCC call number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ShelfMarkNlm,
      definition: "Shelf mark based on National Library of Medicine Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "NLM call number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ShelfMarkUdc,
      definition: "Shelf mark based on Universal Decimal Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "UDC call number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Sici,
      definition: "Serial Item and Contribution Identifier",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "SICI",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SoundCharacteristic,
      definition: "Technical specification relating to the encoding of sound in a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Sound characteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SoundContent,
      definition: "Indication of whether the production of sound is an integral part of the resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Sound content",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Source,
      definition: "Resource from which value or label came or was derived",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Source",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Status,
      definition: "Designation of the validity or position of something, e.g., whether something is incorrect or available",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Status",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :StillImage,
      definition: "Resource expressed through line, shape, shading, etc., intended to be perceived visually as a still image or images in two dimensions, including two-dimensional images and slides and transparencies",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Still image",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :StockNumber,
      definition: "Identification number used for stock purposes and assigned by agencies such as distributors, publishers, or vendors",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Stock number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Strn,
      definition: "Standard Technical Report Number",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "STRN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :StudyNumber,
      definition: "Identification number for a computer data file",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Study number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Sublocation,
      definition: "Specific place within the holding entity where the item is located or made available",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Sublocation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Summary,
      definition: "Description of the content of a resource, such as an abstract, summary, etc.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Summary",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SupplementaryContent,
      definition: "Index, bibliography, appendix, etc. intended to supplement the primary content of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Supplementary material",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SystemRequirement,
      definition: "Equipment or system requirements beyond what is normal and obvious for the type of carrier or type of file, such as make and model of equipment or hardware, operating system, amount of memory, programming language, other necessary software, any plug-ins or peripherals required to play, view, or run the resource",
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)",
      label: "System Requirement",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :TableOfContents,
      definition: "Table of contents of a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Table of contents",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Tactile,
      definition: "Resource that is intended to be perceived by touch",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Tactile material",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :TactileNotation,
      definition: "Information on the symbol system used to convey the content of a tactile resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified label [GH67])"],
      label: "Tactile notation",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :TapeConfig,
      definition: "Number of tracks on an audiotape, e.g., 12 track",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Tape configuration",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Temporal,
      definition: "Chronological period",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Temporal concept",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Text,
      definition: "Resource intended to be perceived visually and understood through the use of language in written or spoken form",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Text",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Title,
      definition: "Title information relating to a resource: work title, preferred title, instance title, transcribed title, translated title, variant form of title, etc.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Definition changed)"],
      label: "Title entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Topic,
      definition: "Concept or area of knowledge",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Topic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :TrackConfig,
      definition: "Configuration of the audio track on a sound-track film, e.g., center track, edge track",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Track configuration",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :TransliteratedTitle,
      definition: "Title transliterated from one script to another",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH104])",
      label: "Transliterated title",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Unit,
      definition: "Units in which a value is expressed",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Unit",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Upc,
      definition: "Universal Product Code",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "UPC",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Urn,
      definition: "Uniform Resource Name",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Corrected definition [GH51])"],
      label: "URN",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :UsageAndAccessPolicy,
      definition: "General statement of allowances and restrictions on access to a resource, including retention, reproduction, access, and lending",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Use and access conditions",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :UsePolicy,
      definition: "Usage limitations placed on a resource with respect to reproduction, publication, exhibition, etc.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Use policy",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :VariantTitle,
      definition: "Title associated with the resource that is different from the Work or Instance title",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Title variation",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Title",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :VideoCharacteristic,
      definition: "Technical specification relating to the encoding of video images in a resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Video characteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :VideoFormat,
      definition: "Standard, etc., used to encode the analog video content of a resource, e.g., Beta, 8mm",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Video format",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :VideoRecordingNumber,
      definition: "Number assigned by a publisher to a video recording",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Corrected case in class name)"],
      label: "Video recording number",
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Work,
      definition: "Resource reflecting a conceptual essence of a cataloging resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Work",
      type: "http://www.w3.org/2002/07/owl#Class"

    # Property definitions
    property :absorbed,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that has been incorporated into another resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/absorbedBy",
      label: "Absorption of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :absorbedBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that incorporates another resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/absorbed",
      label: "Absorbed by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :accompaniedBy,
      comment: ["Suggested use - With Work, Instance or Item", "Suggested value - Work, Instance or Item"],
      definition: "Resource that accompanies the described resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/accompanies",
      label: "Accompanied by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :accompanies,
      comment: ["Suggested use - With Work, Instance or Item", "Suggested value - Work, Instance or Item"],
      definition: "Resource that adds to or is issued with the described resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy",
      label: "Accompanies",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :acquisitionSource,
      comment: "Suggested use - With Work or Instance",
      definition: "Information about an organization, person, etc., from which a resource may be obtained.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-06 (Changed from data to object property, slight change to definition)", "2021-06-09 (Broadened range [GH63])"],
      label: "Source of acquisition",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :acquisitionTerms,
      comment: "Suggested use - With Work or Instance",
      definition: "Conditions under which the publisher, distributor, etc., will normally supply a resource, e.g., price of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Terms of acquisition",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :adminMetadata,
      definition: "Metadata about the metadata, especially provenance information.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Administrative metadata",
      range: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :adminMetadataFor,
      definition: "Relates an Administrative metadata resource to the resource it captures information about.",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH59])",
      label: "Administrative metadata for",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :agent,
      definition: "Entity associated with a resource or element of description, such as the name of the entity responsible for the content or of the publication, printing, distribution, issue, release or production of a resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH63])"],
      label: "Associated agent",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :agentOf,
      definition: "Property relating an agent, such as an entity responsible for the content or of the publication, printing, distribution, issue, release or production, to another resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH3])",
      label: "Associated agent of",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :appliedMaterial,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Physical or chemical substance applied to a base material of a resource.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH24], Broadened domain, Made subproperty of material [GH26])"],
      label: "Applied material",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/material",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :appliedMaterialOf,
      definition: "Relates a Material resource to that which it is the applied material of.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH25])",
      label: "Appllied material of",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/materialOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :arrangement,
      definition: "Relates one resource to another of which it is an arrangement of the first",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Redefined [GH77])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/arrangementOf",
      label: "Arrangement",
      range: "http://id.loc.gov/ontologies/bibframe/Work",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :arrangementOf,
      definition: "Relates an arrangement to the resource of which it is an arrangement.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])",
      inverseOf: "http://id.loc.gov/ontologies/bibframe/arrangement",
      label: "Arrangement of",
      range: "http://id.loc.gov/ontologies/bibframe/Work",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :ascensionAndDeclination,
      definition: "System for identifying the location of a celestial object in the sky covered by the cartographic content of a resource using the angles of right ascension and declination.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic ascension and declination",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :aspectRatio,
      comment: "Suggested use - With Work or Instance",
      definition: "Proportional relationship between an image's width and its height.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Aspect ratio",
      range: "http://id.loc.gov/ontologies/bibframe/AspectRatio",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :assigner,
      definition: "Entity that assigned the metadata, such as the entity that assigned a classification number, entity that assigned a name, entity that assigned an identifier.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broaden domain [GH60], Broadened range [GH63])"],
      label: "Assigner",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :associatedResource,
      comment: "Suggested value - With Work or Hub",
      definition: "Associated resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Relation",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH116])",
      label: "Associated resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :awards,
      comment: "Suggested use - With Work or Instance",
      definition: "Information on awards associated with the described resource.",
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added note [GH37])"],
      label: "Award note",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :baseMaterial,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Underlying physical material of a resource.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH24], Broadened domain, Made subproperty of material [GH26])"],
      label: "Base material",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/material",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :baseMaterialOf,
      definition: "Relates a Material resource to that which it is the base material of.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH25])",
      label: "Base material of",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/materialOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :binding,
      definition: "A method used to bind a published or unpublished resource,or other binding information.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH91])",
      label: "Binding method",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :bookFormat,
      definition: "Result of folding a printed sheet to form a gathering of leaves.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Book format",
      range: "http://id.loc.gov/ontologies/bibframe/BookFormat",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :capture,
      comment: "Suggested use - With Work or Instance",
      definition: "Information about place and date associated with the capture (e.g., recording, filming) of the content of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Capture of content",
      range: "http://id.loc.gov/ontologies/bibframe/Capture",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :carrier,
      definition: "Categorization reflecting the format of the storage medium and housing of a carrier.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (Broadened range [GH72])"],
      label: "Carrier type",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :cartographicAttributes,
      comment: "Suggested use - With Work or Instance",
      definition: "Cartographic data that identifies characteristics of the resource, such as coordinates, projection, etc.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic data",
      range: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :changeDate,
      definition: "Date or date and time on which the metadata was modified",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Description change date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :classification,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Classification number in any scheme.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification",
      range: "http://id.loc.gov/ontologies/bibframe/Classification",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :classificationPortion,
      definition: "Classification number (single class number or beginning number of a span) that indicates the subject by applying a formal system of coding and organizing resources.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :code,
      definition: "String of characters that serves as a code representing information.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Code",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :collectionArrangement,
      comment: "Suggested use - With Work or Instance",
      definition: "Information about the organization and arrangement of a collection of resources.",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])",
      label: "Collection Organization and arrangement",
      range: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :collectionArrangementOf,
      comment: "Suggested value - Work or Instance",
      definition: "Relates an Arrangement resource to that which it describes.",
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])",
      label: "Organization and arrangement of Collection",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :collectionOrganization,
      definition: "Manner in which the resource is divided into smaller units.",
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])",
      label: "Organization of material",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :colorContent,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Color characteristics, e.g., black and white, multicolored.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broaden range [GH31])"],
      label: "Color content",
      range: "http://id.loc.gov/ontologies/bibframe/ColorContent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :content,
      definition: "Categorization reflecting the fundamental form of communication in which the content is expressed and the human sense through which it is intended to be perceived.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (Broadened range [GH71])"],
      label: "Content type",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :contentAccessibility,
      comment: "Suggested use - With Work or Instance",
      definition: "Information that assists those with a sensory impairment for greater understanding of content, e.g., captions.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (changed from data to object property)", "2017-03-15 (fixed typo in range)"],
      label: "Content accessibility information",
      range: "http://id.loc.gov/ontologies/bibframe/ContentAccessibility",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :continuedBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource whose content continues an earlier resource under a new title",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continues",
      label: "Continued by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :continuedInPartBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource part of whose content separated from an earlier resource to form a new resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/separatedFrom",
      label: "Continued in part by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :continues,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that is continued by the content of a later resource under a new title",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuedBy",
      label: "Continuation of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :continuesInPart,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that split into two or more separate resources with new titles",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/splitInto",
      label: "Continuation in part of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :contribution,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Agent and its role in relation to the resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Corrected label)"],
      label: "Contributor and role",
      range: "http://id.loc.gov/ontologies/bibframe/Contribution",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :contributionOf,
      comment: "Suggested value - Work, Instance or Item",
      definition: "Relates a contribution resource, which associates an Agent and Role together, to the relevant resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Contribution",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH4])",
      label: "Contribution of",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :coordinates,
      definition: "Mathematical system for identifying the area covered by the cartographic content of a resource, expressed either by means of longitude and latitude on the surface of planets or by the angles of right ascension and declination for celestial cartographic content.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic coordinates",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :copyrightDate,
      comment: "Suggested use - With Work or Instance",
      definition: "Date associated with a claim of protection under copyright or a similar regime.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Copyright date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :copyrightRegistration,
      comment: "Suggested use - With Work or Instance",
      definition: "Copyright and Legal Deposit registration information",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-05-04 (Corrected expected value)"],
      label: "Copyright registration information",
      range: "http://id.loc.gov/ontologies/bibframe/CopyrightRegistration",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :count,
      definition: "Number associated with a measure of units, such as the number of units and/or subunits making up a resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Number of units",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :coverArt,
      comment: "Suggested use - With Work or Instance",
      definition: "Cover art image of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cover art",
      range: "http://id.loc.gov/ontologies/bibframe/CoverArt",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :creationDate,
      definition: "Date or date and time on which the original metadata first created",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Description creation date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :credits,
      comment: "Suggested use - With Work or Instance",
      definition: "Information in note form of credits for persons or organizations who have participated in the creation and/or production of the resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Credits note",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :custodialHistory,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Information about the provenance, such as origin, ownership and custodial history (chain of custody), of a resource.",
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added note [GH38])"],
      label: "Custodial history",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :dataSource,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that is a data source to which the described resource is related; may contain information about other files, printed sources, or collection procedures",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (updated range)"],
      label: "Data source",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :date,
      definition: "Date designation associated with a resource or element of description, such as date of title variation; year a degree was awarded; date associated with the publication, printing, distribution, issue, release or production of a resource. May be date typed.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :degree,
      definition: "Degree for which author was a candidate.",
      domain: "http://id.loc.gov/ontologies/bibframe/Dissertation",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Degree",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :derivativeOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Source work from which the described resource is derived",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative",
      label: "Is derivative of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :derivedFrom,
      definition: "Link to the metadata that was the source of the data",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH41])"],
      label: "Source metadata",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :descriptionAuthentication,
      definition: "Indication of specific types of reviews that have been carried out on the description information",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Description authentication",
      range: "http://id.loc.gov/ontologies/bibframe/DescriptionAuthentication",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :descriptionConventions,
      definition: "Rules used for the descriptive content of the resource description",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-24 (fixed domain name)"],
      label: "Description conventions",
      range: "http://id.loc.gov/ontologies/bibframe/DescriptionConventions",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :descriptionLanguage,
      definition: "Language used for the metadata",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Description language",
      range: "http://id.loc.gov/ontologies/bibframe/Language",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :descriptionLevel,
      definition: "Designation of the descriptive content of the metadata",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH43])",
      label: "Description level",
      range: "http://id.loc.gov/ontologies/bibframe/DescriptionLevel",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :descriptionModifier,
      definition: "Agency that modified a description",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH63])"],
      label: "Description modifier",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :digitalCharacteristic,
      definition: "Technical specification relating to the digital encoding of text, image, audio, video, and other types of data in a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Digital characteristic",
      range: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :dimensions,
      definition: "Measurements of the carrier or carriers and/or the container of a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added note [GH39])"],
      label: "Dimensions",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :dissertation,
      comment: "Suggested use - With Work or Instance",
      definition: "Work presented as part of the formal requirements for an academic degree.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Dissertation Information",
      range: "http://id.loc.gov/ontologies/bibframe/Dissertation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :distributionStatement,
      definition: "Statement related to the distribution of the resources; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH124])",
      label: "Distribution statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :duration,
      comment: "Suggested use - With Work or Instance",
      definition: "Information about the playing time, running time, etc. of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Duration",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :edition,
      definition: "Edition of the classification scheme, such as full, abridged or a number, when a classification scheme designates editions.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification scheme edition",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :editionEnumeration,
      definition: "Enumeration of the edition; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Edition enumeration",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :editionStatement,
      definition: "Information identifying the edition or version of the resource and associated statements of responsibility for the edition; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Edition statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :electronicLocator,
      definition: "Electronic location from which the resource is available.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Removed domain [GH66])"],
      label: "Electronic location",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :emulsion,
      definition: "Suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche, e.g., silver halide.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Emulsion",
      range: "http://id.loc.gov/ontologies/bibframe/Emulsion",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :ensemble,
      definition: "Ensemble applicable to the Work.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Changed domain [GH56], Modified definition [GH56])"],
      label: "Ensemble",
      range: "http://id.loc.gov/ontologies/bibframe/Ensemble",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :ensembleType,
      definition: "Specific type of ensemble, such as orchestra, band, guitar ensemble.",
      domain: "http://id.loc.gov/ontologies/bibframe/Ensemble",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Changed domain [GH56])"],
      label: "Ensemble type",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :enumerationAndChronology,
      definition: "Numbering and dates of issues or items held.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Numbering or other enumeration and dates associated with issues or items held.",
      range: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :equinox,
      definition: "One of two points of intersection of the ecliptic and the celestial equator, occupied by the sun when its declination is 0 degrees.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic equinox",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :eventContent,
      definition: "Work whose content is the described event",
      domain: "http://id.loc.gov/ontologies/bibframe/Event",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/eventContentOf",
      label: "Event content",
      range: "http://id.loc.gov/ontologies/bibframe/Work",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :eventContentOf,
      definition: "Event that is the content of the described work",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/eventContent",
      label: "Has event content",
      range: "http://id.loc.gov/ontologies/bibframe/Event",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :exclusionGRing,
      definition: "Coordinate pairs that identify the closed non-intersecting boundary of the area contained within the G-polygon outer ring that is excluded.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic G ring area excluded",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :expressionOf,
      comment: ["Suggested use - With Work or Hub", "Suggested value - With Work or Hub"],
      definition: "Work or Hub that the described Work or Hub is an expression of; used to connect Works and/or Hubs under LRM/RDA guidelines or similar implementations",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2021-06-09 (Modified definition [GH8])", "2023-11-30 (Modified domain/range to support Hub [GH110])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasExpression",
      label: "Expression of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :extent,
      definition: "Number and type of units and/or subunits making up a resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH30])"],
      label: "Extent",
      range: "http://id.loc.gov/ontologies/bibframe/Extent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :findingAid,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Relationship for archival, visual, and manuscript resources to a finding aid or similar control materials",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/findingAidOf",
      label: "Finding aid",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :findingAidOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Finding aid or similar control materials for archival, visual, and manuscript resources",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/findingAid",
      label: "Finding aid for",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :firstIssue,
      definition: "Beginning date of a resource and/or the sequential designations.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Removed domain [GH76])"],
      label: "Multipart first issue",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :fontSize,
      definition: "Size of the type used to represent the characters and symbols in a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Added note [GH40])"],
      label: "Font size",
      range: "http://id.loc.gov/ontologies/bibframe/FontSize",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :frequency,
      definition: "Intervals at which the parts of a serially produced resource or the updates to an integrating resource are issued.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Removed domain [GH76])"],
      label: "Frequency",
      range: "http://id.loc.gov/ontologies/bibframe/Frequency",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :generation,
      definition: "Relationship between an original carrier and the carrier of a reproduction made from the original.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Generation",
      range: "http://id.loc.gov/ontologies/bibframe/Generation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :generationDate,
      definition: "Date of conversion of the metadata from another format",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Date generated",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :generationProcess,
      definition: "Indication of the program or process used to generate the description by application of a particular transformation",
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Description generation",
      range: "http://id.loc.gov/ontologies/bibframe/GenerationProcess",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :genreForm,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Form category or genre to which a resource belongs",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH16])"],
      label: "Genre/form",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :geographicCoverage,
      definition: "Geographic coverage of the content of the resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-06 (Changed from data to object property)", "2021-06-09 (Removed domain [GH15])"],
      label: "Geographic coverage",
      range: "http://id.loc.gov/ontologies/bibframe/GeographicCoverage",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :grantingInstitution,
      definition: "Name of degree granting institution.",
      domain: "http://id.loc.gov/ontologies/bibframe/Dissertation",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH63])"],
      label: "Degree issuing institution",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasDerivative,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that is a modification of the described work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf",
      label: "Has derivative",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasEquivalent,
      comment: ["Suggested use - With Work, Instance or Item", "Suggested value - Work, Instance or Item"],
      definition: "Resource embodies the same content as the described resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Equivalence",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty"
    property :hasExpression,
      comment: ["Suggested use - With Work or Hub", "Suggested value - With Work or Hub"],
      definition: "Work or Hub that is an expression of a described Work or Hub; used to relate Works and/or Hubs under LRM/RDA guidelines or similar implementations",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2021-06-09 (Modified definition [GH8])", "2023-11-30 (Modified domain/range to support Hub [GH110])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/expressionOf",
      label: "Expressed as",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasInstance,
      definition: "Instance is related to described Work ; used to connect Works to Instances in the BIBFRAME structure",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/instanceOf",
      label: "Instance of Work",
      range: "http://id.loc.gov/ontologies/bibframe/Instance",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasItem,
      definition: "Item which is an example of the described Instance",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2017-02-07 (slight revision of definition)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/itemOf",
      label: "Has holding",
      range: "http://id.loc.gov/ontologies/bibframe/Item",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasPart,
      comment: ["Suggested use - With Work, Instance, Item or Event", "Suggested value - Work, Instance, Item or Event"],
      definition: "Resource that is included either physically or logically in the described resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2021-06-09 (Use with Event also [GH9])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/partOf",
      label: "Has part",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasReproduction,
      definition: "Resource that reproduces another Resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/reproductionOf",
      label: "Reproduced as",
      range: "http://id.loc.gov/ontologies/bibframe/Instance",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasSeries,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Relation between a resource and the larger resource in which it has been issued; the title of the encompassing larger resource features on the part",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2024-07-10 (updated definition [GF106])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/seriesOf",
      label: "In series",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/partOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hasSubseries,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Relation between a resource and the larger Series resource in which it has been issued; the larger Series resource is part of another overarching Series resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2024-07-10 (updated definition [GF106])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/subseriesOf",
      label: "Subseries",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/partOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :heldBy,
      definition: "Entity holding the item or from which it is available.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH63])"],
      label: "Held by",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hierarchicalLevel,
      definition: "Hierarchical position of the described materials relative to other material from the same source.",
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified range [GH77])"],
      label: "Hierarchical level of material",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :historyOfWork,
      definition: "Information about the history of a Work.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "History of the work",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :identifiedBy,
      definition: "Character string associated with a resource that serves to differentiate that resource from other resources, i.e., that uniquely identifies an entity.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-05-04 (New inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/identifies",
      label: "Identifier",
      range: "http://id.loc.gov/ontologies/bibframe/Identifier",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :identifies,
      definition: "Resource that is associated with a character string that serves to differentiate one resource from another.",
      domain: "http://id.loc.gov/ontologies/bibframe/Identifier",
      "http://purl.org/dc/terms/modified": "2017-02-03 (New inverse)",
      inverseOf: "http://id.loc.gov/ontologies/bibframe/identifiedBy",
      label: "Resource identified",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :illustrativeContent,
      comment: "Suggested use - With Work or Instance",
      definition: "Information about content intended to illustrate a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Illustrative content information",
      range: "http://id.loc.gov/ontologies/bibframe/Illustration",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :immediateAcquisition,
      definition: "Information about the circumstances, e.g., source, date, method, under which the resource was directly acquired.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-06 (Changed from data to object property)"],
      label: "Immediate acquisition",
      range: "http://id.loc.gov/ontologies/bibframe/ImmediateAcquisition",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :index,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource has an accompanying index",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2017-02-03 (corrected label)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/indexOf",
      label: "Has index",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :indexOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Index that accompanies a resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/index",
      label: "Index to",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :instanceOf,
      definition: "Work the Instance described instantiates or manifests; used to connect Instances to Works in the BIBFRAME structure",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasInstance",
      label: "Instance of",
      range: "http://id.loc.gov/ontologies/bibframe/Work",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :instrument,
      definition: "Instrument for which a musical Work is appropriate.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Instrument",
      range: "http://id.loc.gov/ontologies/bibframe/MusicInstrument",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :instrumentalType,
      definition: "Specific role of instrument, such as alternate, doubling, solo, ensemble.",
      domain: "http://id.loc.gov/ontologies/bibframe/MusicInstrument",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Instrument role",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :intendedAudience,
      comment: "Suggested use - With Work or Instance",
      definition: "Information that identifies the specific audience or intellectual level for which the content of the resource is considered appropriate.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (Broadened range [GH74])"],
      label: "Intended audience",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :issuance,
      comment: "Suggested use - With Work or Instance",
      definition: "Categorization reflecting whether a resource is issued in one or more parts, the way it is updated, and its intended termination.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Mode of issuance",
      range: "http://id.loc.gov/ontologies/bibframe/Issuance",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :issuedWith,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that is issued on the same carrier as the resource being described",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH62], Broadened domain [GH62])"],
      label: "Issued with",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies",
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty"
    property :itemOf,
      definition: "Instance for which the described Item is an example",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2017-02-07 (slight revision of definition)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasItem",
      label: "Holding for",
      range: "http://id.loc.gov/ontologies/bibframe/Instance",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :itemPortion,
      definition: "Number attached to a classification string that indicates a particular item.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification item number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :language,
      definition: "Language associated with a resource or its parts.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (Broadened range [GH70])"],
      label: "Language information",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :lastIssue,
      definition: "Ending date of a resource and/or the sequential designations.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Removed domain [GH76])"],
      label: "Multipart last issue",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :layout,
      definition: "Arrangement of text, images, tactile notation, etc., in a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Layout",
      range: "http://id.loc.gov/ontologies/bibframe/Layout",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :legalDate,
      definition: "Date of legal work, or promulgation of a law, or signing of a treaty.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Date of legal work",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :mainTitle,
      definition: "Title being addressed. Possible title component.",
      domain: "http://id.loc.gov/ontologies/bibframe/Title",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Main title",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :manufactureStatement,
      definition: "Statement related to the manufacture of the resources; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH124])",
      label: "Manufacture statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :material,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "Resource uses, is composed of, integrates, etc. the related material.",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH26])",
      label: "Material",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :materialOf,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "This material is related to a resource.",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH26])",
      label: "Material of",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :media,
      comment: "Suggested use - With Work or Instance",
      definition: "Categorization reflecting the general type of intermediation device required to view, play, run, etc., the content of a resource.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2022-10-03 (Broadened range [GH73])"],
      label: "Media type",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :mergedToForm,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "One of two or more resources that come together to form a new resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/mergerOf",
      label: "Merged to form",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :mergerOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "One of two or more resources which came together to form a new resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/mergedToForm",
      label: "Merger of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :mount,
      definition: "Physical material or object used for the support or backing to which the base material of a resource has been attached.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified label [GH29])"],
      label: "Mount material or object",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :musicFormat,
      comment: "Suggested use - With Work or Instance",
      definition: "Layout for content of a resource that is presented in the form of musical notation, such as full score, condensed score, vocal score, etc.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Format of notated music",
      range: "http://id.loc.gov/ontologies/bibframe/MusicFormat",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :musicKey,
      definition: "Pitch and mode for music.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music key",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :musicMedium,
      definition: "Instrumental, vocal, and/or other medium of performance for which a musical resource was originally conceived, written or performed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music medium of performance",
      range: "http://id.loc.gov/ontologies/bibframe/MusicMedium",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :musicOpusNumber,
      definition: "Numeric designation of a musical work assigned by a composer, publisher, or a musicologist.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music opus number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :musicSerialNumber,
      definition: "Numeric designation for musical works consecutively numbered in music reference sources.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music serial number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :musicThematicNumber,
      definition: "Numeric designation for a musical work as found in a thematic index for the composer.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Music thematic number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :natureOfContent,
      comment: "Suggested use - With Work or Instance",
      definition: "Characterization that epitomizes the primary content of a resource, e.g., field recording of birdsong; combined time series analysis and graph plotting system.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Content nature",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :notation,
      comment: "Suggested use - With Work or Instance",
      definition: "Alphabet, script, or symbol system used to convey the content of the resource, including specialized scripts, typefaces, tactile notation, movement notation, and musical notation.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Notation system",
      range: "http://id.loc.gov/ontologies/bibframe/Notation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :note,
      definition: "General textual information relating to a resource, such as Information about a specific copy of a resource or information about a particular attribute of a resource.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Note",
      range: "http://id.loc.gov/ontologies/bibframe/Note",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :noteFor,
      definition: "Relates a Note resource to the resource to which the note pertains.",
      domain: "http://id.loc.gov/ontologies/bibframe/Note",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH34])",
      label: "Note for",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :noteType,
      definition: "Type of note.",
      domain: "http://id.loc.gov/ontologies/bibframe/Note",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Note type",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :originDate,
      definition: "Date or date range associated with the creation of a Work.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Better align definition with property name [GH50])"],
      label: "Origin date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :originPlace,
      comment: "Suggested use - With Work or Instance",
      definition: "Place from which the creation of the resource originated.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Better align definition with property name [GH50], Broadened range [GH19])", "2022-10-03 (updated domain [GH83])"],
      label: "Origin place",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/place",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :originalVersion,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource is the original version of which this resource is a reproduction",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/originalVersionOf",
      label: "Original version",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :originalVersionOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Original version of a resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/originalVersion",
      label: "Original version of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :otherEdition,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource has other available editions, for example simultaneously published language editions or reprints",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-05-13 (symmetrical)", "2021-06-09 (Change subproperty to relatedTo [GH61])"],
      label: "Other edition",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty"
    property :otherPhysicalFormat,
      comment: "Suggested use - With Work or Instance",
      definition: "Resource that is manifested in another physical carrier",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened domain [GH79])"],
      label: "Has other physical format",
      range: "http://id.loc.gov/ontologies/bibframe/Instance",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent",
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty"
    property :outerGRing,
      definition: "Coordinate pairs that identify the closed non-intersecting boundary of the area covered.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Cartographic outer G ring area covered",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :part,
      definition: "Part of a resource to which information applies.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Part",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :partName,
      definition: "Part or section name of a title. Possible title component.",
      domain: "http://id.loc.gov/ontologies/bibframe/Title",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Part title",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :partNumber,
      definition: "Part or section enumeration of a title. Possible title component.",
      domain: "http://id.loc.gov/ontologies/bibframe/Title",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Part number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :partOf,
      comment: ["Suggested use - With Work, Instance, Item or Event", "Suggested value - Work, Instance, Item or Event"],
      definition: "Resource in which the described resource is physically or logically contained",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)", "2021-06-09 (Use with Event also [GH9])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasPart",
      label: "Is part of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :pattern,
      definition: "Pattern of arrangement of materials within a unit.",
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified range [GH77])"],
      label: "Arrangement of material",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :physicalLocation,
      definition: "Location in the holding agency where the item is shelved or stored.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Storing or shelving location",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :place,
      definition: "Geographic location or place entity associated with a resource or element of description, such as the place associated with the publication, printing, distribution, issue, release or production of a resource, place of an event.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH19])"],
      label: "Place",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :polarity,
      definition: "Relationship of the colors and tones in an image to the colors and tones of the object reproduced.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Polarity",
      range: "http://id.loc.gov/ontologies/bibframe/Polarity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :precededBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that precedes the resource being described, e.g., is earlier in time or before in narrative",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      label: "Preceded by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :preferredCitation,
      comment: "Suggested use - With Work or Instance",
      definition: "Citation to the resource preferred by its custodian of the resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Preferred citation",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :productionMethod,
      definition: "Process used to produce a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Production method",
      range: "http://id.loc.gov/ontologies/bibframe/ProductionMethod",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :productionStatement,
      definition: "Statement related to the production of the resources; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH124])",
      label: "Production statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :projection,
      definition: "Method or system used to represent the surface of the earth or of a celestial sphere on a plane.",
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (changed from data to object property)"],
      label: "Cartographic projection",
      range: "http://id.loc.gov/ontologies/bibframe/Projection",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :projectionCharacteristic,
      definition: "Technical specification relating to the projection of a motion picture film.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (fixed typo in property name)"],
      label: "Projection characteristic",
      range: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :provisionActivity,
      definition: "Place, name, and/or date information relating to the publication, printing, distribution, issue, release, production, etc. of a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (revised label and slightly revised definition)"],
      label: "Provision activity",
      range: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :provisionActivityStatement,
      definition: "Statement relating to providers of a resource; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Provider statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :pubFrequency,
      comment: "Suggested use - With Work or Instance",
      definition: "Relates a resource to a publication frequency resource to capture such details as first issue, last issue, status, etc.",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH76])",
      label: "Publication frequency",
      range: "http://id.loc.gov/ontologies/bibframe/PubFrequency",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publicationStatement,
      definition: "Statement related to the publication of the resources; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH124])",
      label: "Publication statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :qualifier,
      definition: "Qualifier of information, such as an addition to a title to make it unique or qualifying information associated with an identifier.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Qualifier",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :reductionRatio,
      definition: "Size of a micro-image in relation to the original from which it was produced.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Reduction ratio",
      range: "http://id.loc.gov/ontologies/bibframe/ReductionRatio",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :referencedBy,
      comment: ["Suggested use - With Work, Instance or Item", "Suggested value - Work, Instance or Item"],
      definition: "Resource that references the described resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/references",
      label: "Referenced by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :references,
      comment: ["Suggested use - With Work, Instance or Item", "Suggested value - Work, Instance or Item"],
      definition: "Resource that is referenced by the described resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/referencedBy",
      label: "References",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :relatedTo,
      definition: "Any relationship between Work, Instance, Item, and Event resources",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Modified definition [GH2])"],
      label: "Related resource",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty"
    property :relation,
      comment: "Suggested use - With Hub, Work, Instance or Item",
      definition: "Associated resource and its relationship to the resource being described",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH116])",
      label: "Relation",
      range: "http://id.loc.gov/ontologies/bibframe/Relation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :relationship,
      definition: "Type of relationship between resources",
      domain: "http://id.loc.gov/ontologies/bibframe/Relation",
      "http://purl.org/dc/terms/modified": "2024-07-10 (New [GH116])",
      label: "Relationship",
      range: "http://id.loc.gov/ontologies/bibframe/Relationship",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :relief,
      definition: "Relief term specified on a cartographic resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2023-11-30 (New [GH104])",
      label: "Relief",
      range: "http://id.loc.gov/ontologies/bibframe/Relief",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :replacedBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Later resource used in place of an earlier resource, usually because the later resource contains updated or new information",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2022-10-03 (corrected label [GH85])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/replacementOf",
      label: "Replaced by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :replacementOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Earlier resource whose content has been replaced by a later resource, usually because the later resource contains updated or new information",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2022-10-03 (corrected label [GH85])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/replacedBy",
      label: "Replacement of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :reproductionOf,
      definition: "Resource that is a reproduction of another Resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasReproduction",
      label: "Reproduction of",
      range: "http://id.loc.gov/ontologies/bibframe/Instance",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :responsibilityStatement,
      definition: "Statement relating to any persons, families, or corporate bodies responsible for the creation of, or contributing to the content of a resource; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Creative responsibility statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :review,
      comment: "Suggested use - With Work or Instance",
      definition: "Review of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Review content",
      range: "http://id.loc.gov/ontologies/bibframe/Review",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :role,
      definition: "Function provided by a contributor, e.g., author, illustrator, etc.",
      domain: "http://id.loc.gov/ontologies/bibframe/Contribution",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (Changed from data to object property, adjusted label and definition)"],
      label: "Contributor role",
      range: "http://id.loc.gov/ontologies/bibframe/Role",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :scale,
      comment: "Suggested use - With Work or Instance",
      definition: "Ratio of the dimensions of a form contained or embodied in a resource to the dimensions of the entity it represents, e.g., for images or cartographic resources.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-03 (changed from data to object property)"],
      label: "Scale",
      range: "http://id.loc.gov/ontologies/bibframe/Scale",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :schedulePart,
      definition: "Designates whether the classification number is from the standard or optional part of a schedule or table.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification designation",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :separatedFrom,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that spun off a part of its content to form a new resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuedInPartBy",
      label: "Separated from",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :seriesEnumeration,
      comment: "Suggested use - With Work or Instance",
      definition: "Series enumeration of the resource; usually transcribed.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2024-07-10 (changed domain [GH100])"],
      label: "Series enumeration",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :seriesOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Relation between a larger resource and the resources it encompasses, forming a series, the title of the larger resource appears on the parts",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2024-07-10 (updated definition [GF106])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasSeries",
      label: "Series container of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasPart",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :seriesStatement,
      definition: "Statement of the series the resource is in; usually transcribed; includes the ISSN if applicable.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Series statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :shelfMark,
      definition: "Piece identifier, such as a call or other type of number.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Shelf mark",
      range: "http://id.loc.gov/ontologies/bibframe/ShelfMark",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :soundCharacteristic,
      definition: "Technical specification relating to the encoding of sound in a resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-21 (fixed name and range typos)"],
      label: "Sound characteristic",
      range: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :soundContent,
      comment: "Suggested use - With Work or Instance",
      definition: "Indication of whether the production of sound is an integral part of the resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Sound content",
      range: "http://id.loc.gov/ontologies/bibframe/SoundContent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :source,
      definition: "Resource from which value or label came or was derived, such as the formal source/scheme from which a classification number is taken or derived, list from which an agent name is taken or derived, source within which an identifier is unique.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened range [GH63])"],
      label: "Source",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :spanEnd,
      definition: "Ending number of classification number span.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification number span end",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :splitInto,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "One of two or more resources resulting from the division of an earlier resource into separate resources",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuesInPart",
      label: "Split into",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :status,
      definition: "Designation of the validity or position of something, such as indication that the classification number is canceled or invalid, circulation availability of an item, indication of whether the identifier is canceled or invalid.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Status",
      range: "http://id.loc.gov/ontologies/bibframe/Status",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :subject,
      comment: "Suggested use - With Work, Instance, Item or Event",
      definition: "Subject term(s) describing a resource.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened domain [GH21])"],
      label: "Subject",
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :subjectOf,
      comment: "Suggested value - Work, Instance, Item or Event",
      definition: "Relates a subject to that which it describes.",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH20])",
      label: "Subject of",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sublocation,
      definition: "Specific place within the holding entity where the item is located or made available.",
      domain: "http://id.loc.gov/ontologies/bibframe/Item",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Held in sublocation",
      range: "http://id.loc.gov/ontologies/bibframe/Sublocation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :subseriesEnumeration,
      definition: "Subseries enumeration of the resource; usually transcribed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Subseries enumeration",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :subseriesOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Relation between a Series resource and the resources it encompasses, forming a Subseries; the Series resource itself has a relation with a larger resource, of which it is a part",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2024-07-10 (updated definition [GF106])"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasSubseries",
      label: "Subseries of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasPart",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :subseriesStatement,
      definition: "Statement of the subseries the resource is in; usually transcribed; includes the ISSN if applicable.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Subseries statement",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :subtitle,
      definition: "Word, character, or group of words and/or characters that contains the remainder of the title after the main title. Possible title component.",
      domain: "http://id.loc.gov/ontologies/bibframe/Title",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Subtitle",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :succeededBy,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that succeeds the resource being described, e.g., later in time or after in a narrative",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/precededBy",
      label: "Succeeded by",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :summary,
      comment: "Suggested use - With Work or Instance",
      definition: "Summary or abstract of the resource described.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Summary content",
      range: "http://id.loc.gov/ontologies/bibframe/Summary",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :supplement,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that updates or otherwise complements the predominant resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/supplementTo",
      label: "Supplement",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :supplementTo,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that is updated or otherwise complemented by the augmenting resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/supplement",
      label: "Supplement to",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :supplementaryContent,
      comment: "Suggested use - With Work or Instance",
      definition: "Material such as an index, bibliography, appendix intended to supplement the primary content of a resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Supplementary material",
      range: "http://id.loc.gov/ontologies/bibframe/SupplementaryContent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :systemRequirement,
      definition: "Equipment or system requirement beyond what is normal and obvious for the type of carrier or type of file, such as make and model of equipment or hardware, operating system, amount of memory, programming language, other necessary software, any plug-ins or peripherals required to play, view, or run the resource, etc.",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2017-02-06 (Changed from data to object property, changed property name from plural to singular)"],
      label: "Equipment or system requirements",
      range: "http://id.loc.gov/ontologies/bibframe/SystemRequirement",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :table,
      definition: "Number of the table from which the classification number in a subdivision entry is taken, e.g., a DDC table.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification table identification",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :tableOfContents,
      comment: "Suggested use - With Work or Instance",
      definition: "Table of contents of the described resource.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Table of contents content",
      range: "http://id.loc.gov/ontologies/bibframe/TableOfContents",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :tableSeq,
      definition: "Sequence number or other identifier for an internal classification sub arrangement or add in a classification scheme.",
      domain: "http://id.loc.gov/ontologies/bibframe/Classification",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Classification table sequence number",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :temporalCoverage,
      definition: "Time period coverage of the content of the resource.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Temporal coverage",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :title,
      comment: "Suggested use - With Work, Instance, Item or Event",
      definition: "Name given to a resource.",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2021-06-09 (Broadened domain [GH23])"],
      label: "Title resource",
      range: "http://id.loc.gov/ontologies/bibframe/Title",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :titleOf,
      comment: "Suggested value - Work, Instance, Item or Event",
      definition: "Relates a title resource to that which it is the title of.",
      domain: "http://id.loc.gov/ontologies/bibframe/Title",
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH22])",
      label: "Title of",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :translation,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that translates the text of the source entity into a language different from that of the original",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2017-02-03 (corrected subproperty)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/translationOf",
      label: "Translation as",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :translationOf,
      comment: ["Suggested use - With Work or Instance", "Suggested value - Work or Instance"],
      definition: "Resource that has been translated, i.e., the text is expressed in a language different from that of the original resource",
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)", "2016-04-29 (added inverse, updated range)", "2017-02-03 (corrected subproperty)"],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/translation",
      label: "Translation of",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :unit,
      definition: "Units in which a value is expressed, such as the physical or logical constituent of a resource (e.g., a volume, audiocassette, film reel, a map, a digital file).",
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Type of unit",
      range: "http://id.loc.gov/ontologies/bibframe/Unit",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :usageAndAccessPolicy,
      comment: "Suggested use - With Work, Instance or Item",
      definition: "General statement of allowances and restrictions on access to a resource, including retention, reproduction, access, and lending.",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Use and access condition",
      range: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :validDate,
      definition: "The date or date range during which the resource is accurate.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2022-10-03 (New [GH68])",
      label: "Valid date",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :variantType,
      definition: "Type of title variation, e.g., acronym, cover, spine, earlier, later, series version.",
      domain: "http://id.loc.gov/ontologies/bibframe/VariantTitle",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Variant title type",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :version,
      definition: "Term or terms that identify works such as arranged for music, vulgate for religious work, etc.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Version",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :videoCharacteristic,
      definition: "Technical specification relating to the encoding of video images in a resource",
      domain: "http://id.loc.gov/ontologies/bibframe/Instance",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Video characteristic",
      range: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :voice,
      definition: "Voice for which a musical work is appropriate, such as soprano, tenor, mixed.",
      domain: "http://id.loc.gov/ontologies/bibframe/Work",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Voice",
      range: "http://id.loc.gov/ontologies/bibframe/MusicVoice",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :voiceType,
      definition: "Specific type of voice group, such as chorus, solo.",
      domain: "http://id.loc.gov/ontologies/bibframe/MusicVoice",
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)",
      label: "Type of voice",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
  end
end
