# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://purl.org/dc/terms/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://purl.org/dc/terms/>
  # @!visibility private
  DC = Class.new(RDF::StrictVocabulary("http://purl.org/dc/terms/")) do

    # Ontology definition
    ontology :"http://purl.org/dc/terms/",
      "http://purl.org/dc/terms/modified": "2012-06-14",
      "http://purl.org/dc/terms/publisher": "http://purl.org/dc/aboutdcmi#DCMI",
      "http://purl.org/dc/terms/title": {en: "DCMI Metadata Terms - other"}

    # Class definitions
    term :Agent,
      comment: {en: "A resource that acts or has the power to act."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Agent"},
      type: ["http://purl.org/dc/terms/AgentClass", "http://www.w3.org/2000/01/rdf-schema#Class"]
    term :AgentClass,
      comment: {en: "A group of agents."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Agent Class"},
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Class",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BibliographicResource,
      comment: {en: "A book, article, or other documentary resource."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Bibliographic Resource"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FileFormat,
      comment: {en: "A digital resource format."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "File Format"},
      subClassOf: "http://purl.org/dc/terms/MediaType",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Frequency,
      comment: {en: "A rate at which something recurs."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Frequency"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Jurisdiction,
      comment: {en: "The extent or range of judicial, law enforcement, or other authority."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Jurisdiction"},
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LicenseDocument,
      comment: {en: "A legal document giving official permission to do something with a resource."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "License Document"},
      subClassOf: "http://purl.org/dc/terms/RightsStatement",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LinguisticSystem,
      comment: {en: "A system of signs, symbols, sounds, gestures, or rules used in communication."},
      "http://purl.org/dc/terms/description": {en: "Written, spoken, sign, and computer languages are linguistic systems."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Linguistic System"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Location,
      comment: {en: "A spatial region or named place."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Location"},
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LocationPeriodOrJurisdiction,
      comment: {en: "A location, period of time, or jurisdiction."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Location, Period, or Jurisdiction"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaType,
      comment: {en: "A file format or physical medium."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Media Type"},
      subClassOf: "http://purl.org/dc/terms/MediaTypeOrExtent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaTypeOrExtent,
      comment: {en: "A media type or extent."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Media Type or Extent"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MethodOfAccrual,
      comment: {en: "A method by which resources are added to a collection."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Method of Accrual"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MethodOfInstruction,
      comment: {en: "A process that is used to engender knowledge, attitudes, and skills."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Method of Instruction"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PeriodOfTime,
      comment: {en: "An interval of time that is named or defined by its start and end dates."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Period of Time"},
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PhysicalMedium,
      comment: {en: "A physical material or carrier."},
      "http://purl.org/dc/terms/description": {en: "Examples include paper, canvas, or DVD."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Physical Medium"},
      subClassOf: "http://purl.org/dc/terms/MediaType",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PhysicalResource,
      comment: {en: "A material thing."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Physical Resource"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Policy,
      comment: {en: "A plan or course of action by an authority, intended to influence and determine decisions, actions, and other matters."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Policy"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ProvenanceStatement,
      comment: {en: "Any changes in ownership and custody of a resource since its creation that are significant for its authenticity, integrity, and interpretation."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Provenance Statement"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :RightsStatement,
      comment: {en: "A statement about the intellectual property rights (IPR) held in or over a resource, a legal document giving official permission to do something with a resource, or a statement about access rights."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Rights Statement"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SizeOrDuration,
      comment: {en: "A dimension or extent, or a time taken to play or execute."},
      "http://purl.org/dc/terms/description": {en: "Examples include a number of pages, a specification of length, width, and breadth, or a period in hours, minutes, and seconds."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Size or Duration"},
      subClassOf: "http://purl.org/dc/terms/MediaTypeOrExtent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Standard,
      comment: {en: "A reference point against which other things can be evaluated or compared."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Standard"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"

    # Property definitions
    property :abstract,
      comment: {en: "A summary of the resource."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Abstract"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/description", "http://purl.org/dc/terms/description"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :accessRights,
      comment: {en: "Information about who access the resource or an indication of its security status."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/RightsStatement",
      "http://purl.org/dc/terms/description": {en: "Access Rights may include information regarding access or restrictions based on privacy, security, or other policies."},
      "http://purl.org/dc/terms/issued": "2003-02-15",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Access Rights"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/rights", "http://purl.org/dc/terms/rights"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :accrualMethod,
      comment: {en: "The method by which items are added to a collection."},
      domain: "http://purl.org/dc/dcmitype/Collection",
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/MethodOfAccrual",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use a value from the Collection Description Accrual Method Vocabulary [[DCMI-ACCRUALMETHOD](https://dublincore.org/groups/collections/accrual-method/)]."},
      "http://purl.org/dc/terms/issued": "2005-06-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Accrual Method"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :accrualPeriodicity,
      comment: {en: "The frequency with which items are added to a collection."},
      domain: "http://purl.org/dc/dcmitype/Collection",
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Frequency",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use a value from the Collection Description Frequency Vocabulary [[DCMI-COLLFREQ](https://dublincore.org/groups/collections/frequency/)]."},
      "http://purl.org/dc/terms/issued": "2005-06-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Accrual Periodicity"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :accrualPolicy,
      comment: {en: "The policy governing the addition of items to a collection."},
      domain: "http://purl.org/dc/dcmitype/Collection",
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Policy",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use a value from the Collection Description Accrual Policy Vocabulary [[DCMI-ACCRUALPOLICY](https://dublincore.org/groups/collections/accrual-policy/)]."},
      "http://purl.org/dc/terms/issued": "2005-06-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Accrual Policy"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :alternative,
      comment: {en: "An alternative name for the resource."},
      "http://purl.org/dc/terms/description": {en: "The distinction between titles and alternative titles is application-specific."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Alternative Title"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/title", "http://purl.org/dc/terms/title"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audience,
      comment: {en: "A class of agents for whom the resource is intended or useful."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use this property with non-literal values from a vocabulary of audience types."},
      "http://purl.org/dc/terms/issued": "2001-05-21",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Audience"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :available,
      comment: {en: "Date that the resource became or will become available."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Available"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bibliographicCitation,
      comment: {en: "A bibliographic reference for the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to include sufficient bibliographic detail to identify the resource as unambiguously as possible."},
      "http://purl.org/dc/terms/issued": "2003-02-15",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Bibliographic Citation"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/identifier", "http://purl.org/dc/terms/identifier"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :conformsTo,
      comment: {en: "An established standard to which the described resource conforms."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Standard",
      "http://purl.org/dc/terms/issued": "2001-05-21",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Conforms To"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :contributor,
      comment: {en: "An entity responsible for making contributions to the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent",
      "http://purl.org/dc/terms/description": {en: "The guidelines for using names of persons or organizations as creators apply to contributors."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Contributor"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/contributor",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :coverage,
      comment: {en: "The spatial or temporal topic of the resource, spatial applicability of the resource, or jurisdiction under which the resource is relevant."},
      "http://purl.org/dc/dcam/rangeIncludes": ["http://purl.org/dc/terms/Jurisdiction", "http://purl.org/dc/terms/Location", "http://purl.org/dc/terms/Period"],
      "http://purl.org/dc/terms/description": {en: "Spatial topic and spatial applicability may be a named place or a location specified by its geographic coordinates. Temporal topic may be a named period, date, or date range. A jurisdiction may be a named administrative entity or a geographic place to which the resource applies. Recommended practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names [[TGN](https://www.getty.edu/research/tools/vocabulary/tgn/index.html)]. Where appropriate, named places or time periods may be used in preference to numeric identifiers such as sets of coordinates or date ranges.  Because coverage is so broadly defined, it is preferable to use the more specific subproperties Temporal Coverage and Spatial Coverage."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Coverage"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/coverage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :created,
      comment: {en: "Date of creation of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Created"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :creator,
      comment: {en: "An entity responsible for making the resource."},
      equivalentProperty: "http://xmlns.com/foaf/0.1/maker",
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to identify the creator with a URI.  If this is not possible or feasible, a literal value that identifies the creator may be provided."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Creator"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/creator", "http://purl.org/dc/terms/contributor"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :date,
      comment: {en: "A point or period of time associated with an event in the lifecycle of the resource."},
      "http://purl.org/dc/terms/description": {en: "Date may be used to express temporal information at any level of granularity.  Recommended practice is to express the date, date/time, or period of time according to ISO 8601-1 [[ISO 8601-1](https://www.iso.org/iso-8601-date-and-time-format.html)] or a published profile of the ISO standard, such as the W3C Note on Date and Time Formats [[W3CDTF](https://www.w3.org/TR/NOTE-datetime)] or the Extended Date/Time Format Specification [[EDTF](http://www.loc.gov/standards/datetime/)].  If the full date is unknown, month and year (YYYY-MM) or just year (YYYY) may be used. Date ranges may be specified using ISO 8601 period of time specification in which start and end dates are separated by a '/' (slash) character.  Either the start or end date may be missing."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://purl.org/dc/elements/1.1/date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateAccepted,
      comment: {en: "Date of acceptance of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.  Examples of resources to which a date of acceptance may be relevant are a thesis (accepted by a university department) or an article (accepted by a journal)."},
      "http://purl.org/dc/terms/issued": "2002-07-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Accepted"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateCopyrighted,
      comment: {en: "Date of copyright of the resource."},
      "http://purl.org/dc/terms/description": {en: "Typically a year.  Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2002-07-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Copyrighted"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateSubmitted,
      comment: {en: "Date of submission of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.  Examples of resources to which a 'Date Submitted' may be relevant include a thesis (submitted to a university department) or an article (submitted to a journal)."},
      "http://purl.org/dc/terms/issued": "2002-07-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Submitted"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :description,
      comment: {en: "An account of the resource."},
      "http://purl.org/dc/terms/description": {en: "Description may include but is not limited to: an abstract, a table of contents, a graphical representation, or a free-text account of the resource."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Description"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :educationLevel,
      comment: {en: "A class of agents, defined in terms of progression through an educational or training context, for which the described resource is intended."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass",
      "http://purl.org/dc/terms/issued": "2002-07-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Audience Education Level"},
      subPropertyOf: "http://purl.org/dc/terms/audience",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :extent,
      comment: {en: "The size or duration of the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/SizeOrDuration",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to specify the file size in megabytes and duration in ISO 8601 format."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Extent"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/format", "http://purl.org/dc/terms/format"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :format,
      comment: {en: "The file format, physical medium, or dimensions of the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": ["http://purl.org/dc/terms/Extent", "http://purl.org/dc/terms/MediaType"],
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use a controlled vocabulary where available. For example, for file formats one could use the list of Internet Media Types [[MIME](https://www.iana.org/assignments/media-types/media-types.xhtml)].  Examples of dimensions include size and duration."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Format"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/format",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasFormat,
      comment: {en: "A related resource that is substantially the same as the pre-existing described resource, but in another format."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Is Format Of."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Has Format"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPart,
      comment: {en: "A related resource that is included either physically or logically in the described resource."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Is Part Of."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Has Part"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasVersion,
      comment: {en: "A related resource that is a version, edition, or adaptation of the described resource."},
      "http://purl.org/dc/terms/description": {en: "Changes in version imply substantive changes in content rather than differences in format. This property is intended to be used with non-literal values. This property is an inverse property of Is Version Of."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Has Version"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :identifier,
      comment: {en: "An unambiguous reference to the resource within a given context."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to identify the resource by means of a string conforming to an identification system. Examples include International Standard Book Number (ISBN), Digital Object Identifier (DOI), and Uniform Resource Name (URN).  Persistent identifiers should be provided as HTTP URIs."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Identifier"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://purl.org/dc/elements/1.1/identifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :instructionalMethod,
      comment: {en: "A process, used to engender knowledge, attitudes and skills, that the described resource is designed to support."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/MethodOfInstruction",
      "http://purl.org/dc/terms/description": {en: "Instructional Method typically includes ways of presenting instructional materials or conducting instructional activities, patterns of learner-to-learner and learner-to-instructor interactions, and mechanisms by which group and individual levels of learning are measured.  Instructional methods include all aspects of the instruction and learning processes from planning and implementation through evaluation and feedback."},
      "http://purl.org/dc/terms/issued": "2005-06-13",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Instructional Method"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isFormatOf,
      comment: {en: "A pre-existing related resource that is substantially the same as the described resource, but in another format."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Has Format."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Format Of"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isPartOf,
      comment: {en: "A related resource in which the described resource is physically or logically included."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Has Part."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Part Of"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isReferencedBy,
      comment: {en: "A related resource that references, cites, or otherwise points to the described resource."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of References."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Referenced By"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isReplacedBy,
      comment: {en: "A related resource that supplants, displaces, or supersedes the described resource."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Replaces."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Replaced By"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isRequiredBy,
      comment: {en: "A related resource that requires the described resource to support its function, delivery, or coherence."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Requires."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Required By"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isVersionOf,
      comment: {en: "A related resource of which the described resource is a version, edition, or adaptation."},
      "http://purl.org/dc/terms/description": {en: "Changes in version imply substantive changes in content rather than differences in format. This property is intended to be used with non-literal values. This property is an inverse property of Has Version."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Is Version Of"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :issued,
      comment: {en: "Date of formal issuance of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Issued"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :language,
      comment: {en: "A language of the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/LinguisticSystem",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use either a non-literal value representing a language from a controlled vocabulary such as ISO 639-2 or ISO 639-3, or a literal value consisting of an IETF Best Current Practice 47 [[IETF-BCP47](https://tools.ietf.org/html/bcp47)] language tag."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Language"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/language",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :license,
      comment: {en: "A legal document giving official permission to do something with the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/LicenseDocument",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to identify the license document with a URI. If this is not possible or feasible, a literal value that identifies the license may be provided."},
      "http://purl.org/dc/terms/issued": "2004-06-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "License"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/rights", "http://purl.org/dc/terms/rights"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mediator,
      comment: {en: "An entity that mediates access to the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass",
      "http://purl.org/dc/terms/description": {en: "In an educational context, a mediator might be a parent, teacher, teaching assistant, or care-giver."},
      "http://purl.org/dc/terms/issued": "2001-05-21",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Mediator"},
      subPropertyOf: "http://purl.org/dc/terms/audience",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :medium,
      comment: {en: "The material or physical carrier of the resource."},
      "http://purl.org/dc/dcam/domainIncludes": "http://purl.org/dc/terms/PhysicalResource",
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/PhysicalMedium",
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Medium"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/format", "http://purl.org/dc/terms/format"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :modified,
      comment: {en: "Date on which the resource was changed."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Modified"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenance,
      comment: {en: "A statement of any changes in ownership and custody of the resource since its creation that are significant for its authenticity, integrity, and interpretation."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/ProvenanceStatement",
      "http://purl.org/dc/terms/description": {en: "The statement may include a description of any changes successive custodians made to the resource."},
      "http://purl.org/dc/terms/issued": "2004-09-20",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Provenance"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publisher,
      comment: {en: "An entity responsible for making the resource available."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent",
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Publisher"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/publisher",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :references,
      comment: {en: "A related resource that is referenced, cited, or otherwise pointed to by the described resource."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Is Referenced By."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "References"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relation,
      comment: {en: "A related resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to identify the related resource by means of a URI.  If this is not possible or feasible, a string conforming to a formal identification system may be provided."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Relation"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/relation",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :replaces,
      comment: {en: "A related resource that is supplanted, displaced, or superseded by the described resource."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Is Replaced By."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Replaces"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :requires,
      comment: {en: "A related resource that is required by the described resource to support its function, delivery, or coherence."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. This property is an inverse property of Is Required By."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Requires"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rights,
      comment: {en: "Information about rights held in and over the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/RightsStatement",
      "http://purl.org/dc/terms/description": {en: "Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights.  Recommended practice is to refer to a rights statement with a URI.  If this is not possible or feasible, a literal value (name, label, or short text) may be provided."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Rights"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/rights",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsHolder,
      comment: {en: "A person or organization owning or managing rights over the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent",
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to refer to the rights holder with a URI. If this is not possible or feasible, a literal value that identifies the rights holder may be provided."},
      "http://purl.org/dc/terms/issued": "2004-06-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Rights Holder"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :source,
      comment: {en: "A related resource from which the described resource is derived."},
      "http://purl.org/dc/terms/description": {en: "This property is intended to be used with non-literal values. The described resource may be derived from the related resource in whole or in part. Best practice is to identify the related resource by means of a URI or a string conforming to a formal identification system."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Source"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/source", "http://purl.org/dc/terms/relation"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :spatial,
      comment: {en: "Spatial characteristics of the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Location",
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Spatial Coverage"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/coverage", "http://purl.org/dc/terms/coverage"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subject,
      comment: {en: "A topic of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to refer to the subject with a URI. If this is not possible or feasible, a literal value that identifies the subject may be provided. Both should preferably refer to a subject in a controlled vocabulary."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Subject"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/subject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tableOfContents,
      comment: {en: "A list of subunits of the resource."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Table Of Contents"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/description", "http://purl.org/dc/terms/description"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :temporal,
      comment: {en: "Temporal characteristics of the resource."},
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/PeriodOfTime",
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Temporal Coverage"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/coverage", "http://purl.org/dc/terms/coverage"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :title,
      comment: {en: "A name given to the resource."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Title"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://purl.org/dc/elements/1.1/title",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :type,
      comment: {en: "The nature or genre of the resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to use a controlled vocabulary such as the DCMI Type Vocabulary [[DCMI-TYPE](http://dublincore.org/documents/dcmi-type-vocabulary/)]. To describe the file format, physical medium, or dimensions of the resource, use the property Format."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Type"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/type",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :valid,
      comment: {en: "Date (often a range) of validity of a resource."},
      "http://purl.org/dc/terms/description": {en: "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "Date Valid"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date", "http://purl.org/dc/terms/date"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"

    # Datatype definitions
    term :Box,
      comment: {en: "The set of regions in space defined by their geographic coordinates according to the DCMI Box Encoding Scheme."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-box/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "DCMI Box"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :ISO3166,
      comment: {en: "The set of codes listed in ISO 3166-1 for the representation of names of countries."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.iso.org/obp/ui/#search",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "ISO 3166"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :"ISO639-2",
      comment: {en: "The three-letter alphabetic codes listed in ISO639-2 for the representation of names of languages."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://lcweb.loc.gov/standards/iso639-2/langhome.html",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "ISO 639-2"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :"ISO639-3",
      comment: {en: "The set of three-letter codes listed in ISO 639-3 for the representation of names of languages."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.sil.org/iso639-3/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "ISO 639-3"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :Period,
      comment: {en: "The set of time intervals defined by their limits according to the DCMI Period Encoding Scheme."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-period/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "DCMI Period"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :Point,
      comment: {en: "The set of points in space defined by their geographic coordinates according to the DCMI Point Encoding Scheme."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-point/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "DCMI Point"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :RFC1766,
      comment: {en: "The set of tags, constructed according to RFC 1766, for the identification of languages."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc1766.txt",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "RFC 1766"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :RFC3066,
      comment: {en: "The set of tags constructed according to RFC 3066 for the identification of languages."},
      "http://purl.org/dc/terms/description": {en: "RFC 3066 has been obsoleted by RFC 4646."},
      "http://purl.org/dc/terms/issued": "2002-07-13",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc3066.txt",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "RFC 3066"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :RFC4646,
      comment: {en: "The set of tags constructed according to RFC 4646 for the identification of languages."},
      "http://purl.org/dc/terms/description": {en: "RFC 4646 obsoletes RFC 3066."},
      "http://purl.org/dc/terms/issued": "2008-01-14",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc4646.txt",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "RFC 4646"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :RFC5646,
      comment: {en: "The set of tags constructed according to RFC 5646 for the identification of languages."},
      "http://purl.org/dc/terms/description": {en: "RFC 5646 obsoletes RFC 4646."},
      "http://purl.org/dc/terms/issued": "2010-10-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc5646.txt",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "RFC 5646"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :URI,
      comment: {en: "The set of identifiers constructed according to the generic syntax for Uniform Resource Identifiers as specified by the Internet Engineering Task Force."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc3986.txt",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "URI"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"
    term :W3CDTF,
      comment: {en: "The set of dates and times constructed according to the W3C Date and Time Formats Specification."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/TR/NOTE-datetime",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "W3C-DTF"},
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"

    # Extra definitions
    term :DCMIType,
      comment: {en: "The set of classes specified by the DCMI Type Vocabulary, used to categorize the nature or genre of the resource."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "DCMI Type Vocabulary"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :DDC,
      comment: {en: "The set of conceptual resources specified by the Dewey Decimal Classification."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.oclc.org/dewey/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "DDC"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :IMT,
      comment: {en: "The set of media types specified by the Internet Assigned Numbers Authority."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.iana.org/assignments/media-types/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "IMT"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :LCC,
      comment: {en: "The set of conceptual resources specified by the Library of Congress Classification."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://lcweb.loc.gov/catdir/cpso/lcco/lcco.html",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "LCC"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :LCSH,
      comment: {en: "The set of labeled concepts specified by the Library of Congress Subject Headings."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "LCSH"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :MESH,
      comment: {en: "The set of labeled concepts specified by the Medical Subject Headings."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.nlm.nih.gov/mesh/meshhome.html",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "MeSH"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :NLM,
      comment: {en: "The set of conceptual resources specified by the National Library of Medicine Classification."},
      "http://purl.org/dc/terms/issued": "2005-06-13",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://wwwcf.nlm.nih.gov/class/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "NLM"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :TGN,
      comment: {en: "The set of places specified by the Getty Thesaurus of Geographic Names."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.getty.edu/research/tools/vocabulary/tgn/index.html",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "TGN"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
    term :UDC,
      comment: {en: "The set of conceptual resources specified by the Universal Decimal Classification."},
      "http://purl.org/dc/terms/issued": "2000-07-11",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.udcc.org/",
      isDefinedBy: "http://purl.org/dc/terms/",
      label: {en: "UDC"},
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme"
  end
end
