# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.w3.org/ns/dcat#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.w3.org/ns/dcat#>
  # @!visibility private
  DCAT = Class.new(RDF::StrictVocabulary("http://www.w3.org/ns/dcat#")) do

    # Ontology definition
    ontology :"http://www.w3.org/ns/dcat#",
      comment: {en: "DCAT is an RDF vocabulary designed to facilitate interoperability between data catalogs published on the Web. By using DCAT to describe datasets in data catalogs, publishers increase discoverability and enable applications easily to consume metadata from multiple catalogs. It further enables decentralized publishing of catalogs and facilitates federated dataset search across sites. Aggregated DCAT metadata can serve as a manifest file to facilitate digital preservation. DCAT is defined at http://www.w3.org/TR/vocab-dcat/. Any variance between that normative document and this schema is an error in this schema.", ar: "هي أنطولوجية تسهل تبادل البيانات بين مختلف الفهارس على الوب. استخدام هذه الأنطولوجية يساعد على اكتشاف قوائم  البيانات المنشورة على الوب و يمكن التطبيقات المختلفة من الاستفادة أتوماتيكيا من البيانات المتاحة من مختلف الفهارس.", cs: "DCAT je RDF slovník navržený pro zprostředkování interoperability mezi datovými katalogy publikovanými na Webu. Poskytovatelé dat používáním slovníku DCAT pro popis datových sad v datových katalozích zvyšují jejich dohledatelnost a umožňují aplikacím konzumovat metadata z více katalogů. Dále je umožňena decentralizovaná publikace katalogů a federované dotazování na datové sady napříč katalogy. Agregovaná DCAT metadata mohou také sloužit jako průvodka umožňující digitální uchování informace. DCAT je definován na http://www.w3.org/TR/vocab-dcat/. Jakýkoliv nesoulad mezi odkazovaným dokumentem a tímto schématem je chybou v tomto schématu.", da: "DCAT er et RDF-vokabular som har til formål at understøtte interoperabilitet mellem datakataloger udgivet på nettet. Ved at anvende DCAT til at beskrive datasæt i datakataloger, kan udgivere øge findbarhed og gøre det gøre det lettere for applikationer at anvende metadata fra forskellige kataloger. Derudover understøttes decentraliseret udstilling af kataloger og fødererede datasætsøgninger på tværs af websider. Aggregerede DCAT-metadata kan fungere som fortegnelsesfiler der kan understøtte digital bevaring. DCAT er defineret på http://www.w3.org/TR/vocab-dcat/. Enhver forskel mellem det normative dokument og dette schema er en fejl i dette schema.", el: "Το DCAT είναι ένα RDF λεξιλόγιο που σχεδιάσθηκε για να κάνει εφικτή τη διαλειτουργικότητα μεταξύ καταλόγων δεδομένων στον Παγκόσμιο Ιστό. Χρησιμοποιώντας το DCAT για την περιγραφή συνόλων δεδομένων, οι εκδότες αυτών αυξάνουν την ανακαλυψιμότητα και επιτρέπουν στις εφαρμογές την εύκολη κατανάλωση μεταδεδομένων από πολλαπλούς καταλόγους. Επιπλέον, δίνει τη δυνατότητα για αποκεντρωμένη έκδοση και διάθεση καταλόγων και επιτρέπει δυνατότητες ενοποιημένης αναζήτησης μεταξύ διαφορετικών πηγών. Συγκεντρωτικά μεταδεδομένα που έχουν περιγραφεί με το DCAT μπορούν να χρησιμοποιηθούν σαν ένα δηλωτικό αρχείο (manifest file) ώστε να διευκολύνουν την ψηφιακή συντήρηση.", es: "DCAT es un vocabulario RDF diseñado para facilitar la interoperabilidad entre catálogos de datos publicados en la Web. Utilizando DCAT para describir datos disponibles en catálogos se aumenta la posibilidad de que sean descubiertos y se permite que las aplicaciones consuman fácilmente los metadatos de varios catálogos.", fr: "DCAT est un vocabulaire développé pour faciliter l'interopérabilité entre les jeux de données publiées sur le Web. En utilisant DCAT pour décrire les jeux de données dans les catalogues de données, les fournisseurs de données facilitent leur découverte et permettent que les applications consomment facilement les métadonnées de plusieurs catalogues. Il permet de plus la publication décentralisée des catalogues et facilite la recherche fédérée des données entre plusieurs sites. Les métadonnées DCAT aggrégées peuvent servir comme un manifeste pour faciliter la préservation digitale des ressources. DCAT est définie à l'adresse http://www.w3.org/TR/vocab-dcat/. Toute différence entre ce document normatif et le présent vocabulaire est une erreur dans le vocabulaire.", it: "DCAT è un vocabolario RDF progettato per facilitare l'interoperabilità tra i cataloghi di dati pubblicati nel Web. Utilizzando DCAT per descrivere i dataset nei cataloghi di dati, i fornitori migliorano la capacità di individuazione dei dati e abilitano le  applicazioni al consumo di dati provenienti da cataloghi differenti. DCAT permette di decentralizzare la pubblicazione di cataloghi e facilita la ricerca federata dei dataset. L'aggregazione dei metadati federati può fungere da file manifesto per facilitare la conservazione digitale. DCAT è definito all'indirizzo http://www.w3.org/TR/vocab-dcat/. Qualsiasi scostamento tra tale definizione normativa e questo schema è da considerarsi un errore di questo schema.", ja: "DCATは、ウェブ上で公開されたデータ・カタログ間の相互運用性の促進を目的とするRDFの語彙です。このドキュメントでは、その利用のために、スキーマを定義し、例を提供します。データ・カタログ内のデータセットを記述するためにDCATを用いると、公開者が、発見可能性を増加させ、アプリケーションが複数のカタログのメタデータを容易に利用できるようになります。さらに、カタログの分散公開を可能にし、複数のサイトにまたがるデータセットの統合検索を促進します。集約されたDCATメタデータは、ディジタル保存を促進するためのマニフェスト・ファイルとして使用できます。"},
      editorialNote: {en: "English language definitions updated in this revision in line with ED. Multilingual text unevenly updated."},
      "http://purl.org/dc/terms/contributor": term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://makxdekkers.com/makxdekkers.rdf#me",
          "http://xmlns.com/foaf/0.1/homepage": "http://makxdekkers.com/",
          "http://xmlns.com/foaf/0.1/name": "Makx Dekkers",
          type: "http://xmlns.com/foaf/0.1/Person"
        ),
      "http://purl.org/dc/terms/created": "2020-12-17",
      "http://purl.org/dc/terms/creator": "https://www.w3.org/groups/wg/dx",
      "http://purl.org/dc/terms/description": {en: "DCAT is an RDF vocabulary designed to facilitate interoperability between data catalogs published on the Web. By using DCAT to describe datasets in data catalogs, publishers increase discoverability and enable applications easily to consume metadata from multiple catalogs. It further enables decentralized publishing of catalogs and facilitates federated dataset search across sites. Aggregated DCAT metadata can serve as a manifest file to facilitate digital preservation. DCAT is defined at http://www.w3.org/TR/vocab-dcat/. Any variance between that normative document and this schema is an error in this schema.", ar: "هي أنطولوجية تسهل تبادل البيانات بين مختلف الفهارس على الوب. استخدام هذه الأنطولوجية يساعد على اكتشاف قوائم  البيانات المنشورة على الوب و يمكن التطبيقات المختلفة من الاستفادة أتوماتيكيا من البيانات المتاحة من مختلف الفهارس.", cs: "DCAT je RDF slovník navržený pro zprostředkování interoperability mezi datovými katalogy publikovanými na Webu. Poskytovatelé dat používáním slovníku DCAT pro popis datových sad v datových katalozích zvyšují jejich dohledatelnost a umožňují aplikacím konzumovat metadata z více katalogů. Dále je umožňena decentralizovaná publikace katalogů a federované dotazování na datové sady napříč katalogy. Agregovaná DCAT metadata mohou také sloužit jako průvodka umožňující digitální uchování informace. DCAT je definován na http://www.w3.org/TR/vocab-dcat/. Jakýkoliv nesoulad mezi odkazovaným dokumentem a tímto schématem je chybou v tomto schématu.", da: "DCAT er et RDF-vokabular som har til formål at understøtte interoperabilitet mellem datakataloger udgivet på nettet. Ved at anvende DCAT til at beskrive datasæt i datakataloger, kan udgivere øge findbarhed og gøre det gøre det lettere for applikationer at anvende metadata fra forskellige kataloger. Derudover understøttes decentraliseret udstilling af kataloger og fødererede datasætsøgninger på tværs af websider. Aggregerede DCAT-metadata kan fungere som fortegnelsesfiler der kan understøtte digital bevaring. DCAT er defineret på http://www.w3.org/TR/vocab-dcat/. Enhver forskel mellem det normative dokument og dette schema er en fejl i dette schema.", el: "Το DCAT είναι ένα RDF λεξιλόγιο που σχεδιάσθηκε για να κάνει εφικτή τη διαλειτουργικότητα μεταξύ καταλόγων δεδομένων στον Παγκόσμιο Ιστό. Χρησιμοποιώντας το DCAT για την περιγραφή συνόλων δεδομένων, οι εκδότες αυτών αυξάνουν την ανακαλυψιμότητα και επιτρέπουν στις εφαρμογές την εύκολη κατανάλωση μεταδεδομένων από πολλαπλούς καταλόγους. Επιπλέον, δίνει τη δυνατότητα για αποκεντρωμένη έκδοση και διάθεση καταλόγων και επιτρέπει δυνατότητες ενοποιημένης αναζήτησης μεταξύ διαφορετικών πηγών. Συγκεντρωτικά μεταδεδομένα που έχουν περιγραφεί με το DCAT μπορούν να χρησιμοποιηθούν σαν ένα δηλωτικό αρχείο (manifest file) ώστε να διευκολύνουν την ψηφιακή συντήρηση.", es: "DCAT es un vocabulario RDF diseñado para facilitar la interoperabilidad entre catálogos de datos publicados en la Web. Utilizando DCAT para describir datos disponibles en catálogos se aumenta la posibilidad de que sean descubiertos y se permite que las aplicaciones consuman fácilmente los metadatos de varios catálogos.", fr: "DCAT est un vocabulaire développé pour faciliter l'interopérabilité entre les jeux de données publiées sur le Web. En utilisant DCAT pour décrire les jeux de données dans les catalogues de données, les fournisseurs de données facilitent leur découverte et permettent que les applications consomment facilement les métadonnées de plusieurs catalogues. Il permet de plus la publication décentralisée des catalogues et facilite la recherche fédérée des données entre plusieurs sites. Les métadonnées DCAT aggrégées peuvent servir comme un manifeste pour faciliter la préservation digitale des ressources. DCAT est définie à l'adresse http://www.w3.org/TR/vocab-dcat/. Toute différence entre ce document normatif et le présent vocabulaire est une erreur dans le vocabulaire.", it: "DCAT è un vocabolario RDF progettato per facilitare l'interoperabilità tra i cataloghi di dati pubblicati nel Web. Utilizzando DCAT per descrivere i dataset nei cataloghi di dati, i fornitori migliorano la capacità di individuazione dei dati e abilitano le  applicazioni al consumo di dati provenienti da cataloghi differenti. DCAT permette di decentralizzare la pubblicazione di cataloghi e facilita la ricerca federata dei dataset. L'aggregazione dei metadati federati può fungere da file manifesto per facilitare la conservazione digitale. DCAT è definito all'indirizzo http://www.w3.org/TR/vocab-dcat/. Qualsiasi scostamento tra tale definizione normativa e questo schema è da considerarsi un errore di questo schema.", ja: "DCATは、ウェブ上で公開されたデータ・カタログ間の相互運用性の促進を目的とするRDFの語彙です。このドキュメントでは、その利用のために、スキーマを定義し、例を提供します。データ・カタログ内のデータセットを記述するためにDCATを用いると、公開者が、発見可能性を増加させ、アプリケーションが複数のカタログのメタデータを容易に利用できるようになります。さらに、カタログの分散公開を可能にし、複数のサイトにまたがるデータセットの統合検索を促進します。集約されたDCATメタデータは、ディジタル保存を促進するためのマニフェスト・ファイルとして使用できます。"},
      "http://purl.org/dc/terms/license": "https://creativecommons.org/licenses/by/4.0/",
      "http://purl.org/dc/terms/modified": ["2020-11-30", "2021-03-09", "2021-04-08", "2021-06-23", "2021-09-27", "2022-03-22", "2022-05-23", "2023-01-05"],
      "http://purl.org/dc/terms/publisher": term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.wikidata.org/entity/Q37033",
          "http://xmlns.com/foaf/0.1/homepage": "https://www.w3.org/",
          "http://xmlns.com/foaf/0.1/name": "World Wide Web Consortium (W3C)",
          type: "http://www.w3.org/ns/org#Organization"
        ),
      "http://purl.org/dc/terms/title": {en: "The data catalog vocabulary", ar: "أنطولوجية فهارس قوائم البيانات", cs: "Slovník pro datové katalogy", da: "Datakatalogvokabular", el: "Το λεξιλόγιο των καταλόγων δεδομένων", es: "El vocabulario de catálogo de datos", fr: "Le vocabulaire des catalogues de données", it: "Il vocabolario del catalogo dei dati", ja: "データ・カタログ語彙（DCAT）"},
      "http://purl.org/ontology/bibo/editor": [term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://orcid.org/0000-0001-5648-2713",
          "http://xmlns.com/foaf/0.1/homepage": "https://w3id.org/people/ralbertoni/",
          "http://xmlns.com/foaf/0.1/name": "Riccardo Albertoni",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://orcid.org/0000-0001-9300-2694",
          "http://xmlns.com/foaf/0.1/name": "Andrea Perego",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://orcid.org/0000-0002-3884-3420",
          "http://www.w3.org/ns/org#memberOf": term(
            "http://xmlns.com/foaf/0.1/homepage": "https://www.csiro.au",
            "http://xmlns.com/foaf/0.1/name": "Commonwealth Scientific and Industrial Research Organisation"
          ),
          "http://xmlns.com/foaf/0.1/name": "Simon J D Cox",
          "http://xmlns.com/foaf/0.1/workInfoHomepage": "http://people.csiro.au/Simon-Cox",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://orcid.org/0000-0003-3499-8262",
          "http://www.w3.org/ns/org#memberOf": term(
            "http://xmlns.com/foaf/0.1/homepage": "http://stfc.ac.uk",
            "http://xmlns.com/foaf/0.1/name": "Science and Technology Facilities Council, UK"
          ),
          "http://xmlns.com/foaf/0.1/homepage": "https://agbeltran.github.io",
          "http://xmlns.com/foaf/0.1/name": "Alejandra Gonzalez-Beltran",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://xmlns.com/foaf/0.1/name": "David Browning",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://xmlns.com/foaf/0.1/name": "Peter Winstanley",
          type: "http://xmlns.com/foaf/0.1/Person"
        )],
      "http://purl.org/ontology/bibo/translator": [term(
          "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://jakub.klímek.com/#me",
          "http://xmlns.com/foaf/0.1/homepage": "https://jakub.klímek.com/",
          "http://xmlns.com/foaf/0.1/name": "Jakub Klímek",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://www.w3.org/ns/org#memberOf": term(
            "http://xmlns.com/foaf/0.1/homepage": "http://ec.europa.eu/dgs/informatics/",
            "http://xmlns.com/foaf/0.1/name": "European Commission, DG DIGIT"
          ),
          "http://xmlns.com/foaf/0.1/name": "Vassilios Peristeras",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://www.w3.org/ns/org#memberOf": term(
            "http://xmlns.com/foaf/0.1/homepage": "http://www.deri.ie/",
            "http://xmlns.com/foaf/0.1/name": "DERI, NUI Galway"
          ),
          "http://xmlns.com/foaf/0.1/name": "Fadi Maali",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://xmlns.com/foaf/0.1/homepage": "http://www.asahi-net.or.jp/~ax2s-kmtn/",
          "http://xmlns.com/foaf/0.1/name": "Shuji Kamitsuna",
          type: "http://xmlns.com/foaf/0.1/Person"
        ), term(
          "http://xmlns.com/foaf/0.1/name": "Anna Odgaard Ingram",
          type: "http://xmlns.com/foaf/0.1/Person"
        )],
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "dcat",
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://www.w3.org/ns/dcat#",
      "http://www.w3.org/2002/07/owl#backwardCompatibleWith": ["http://www.w3.org/ns/dcat2", "http://www.w3.org/ns/dcat2014"],
      "http://www.w3.org/2002/07/owl#imports": ["http://purl.org/dc/terms/", "http://www.w3.org/2004/02/skos/core", "http://www.w3.org/ns/prov-o#"],
      "http://www.w3.org/2002/07/owl#priorVersion": "http://www.w3.org/ns/dcat2",
      "http://www.w3.org/2002/07/owl#versionIRI": "http://www.w3.org/ns/dcat3",
      "http://www.w3.org/2002/07/owl#versionInfo": "3",
      "http://www.w3.org/ns/adms#versionNotes": {en: "This is an updated copy of the DCAT 3 vocabulary, taken from https://www.w3.org/ns/dcat.ttl", cs: "Toto je aktualizovaná kopie slovníku DCAT 3, převzatá z https://www.w3.org/ns/dcat.ttl", da: "Dette er en opdateret kopi af DCAT 3 som er tilgænglig på https://www.w3.org/ns/dcat.ttl", es: "Esta es una copia del vocabulario DCAT 3 disponible en https://www.w3.org/ns/dcat.ttl", it: "Questa è una copia aggiornata del vocabolario DCAT 3 disponibile in https://www.w3.org/ns/dcat.ttl"},
      "http://www.w3.org/ns/dcat#hasCurrentVersion": "http://www.w3.org/ns/dcat3",
      "http://www.w3.org/ns/dcat#hasVersion": ["http://www.w3.org/ns/dcat2", "http://www.w3.org/ns/dcat2014", "http://www.w3.org/ns/dcat3"],
      "http://www.w3.org/ns/dcat#previousVersion": "http://www.w3.org/ns/dcat2",
      "http://www.w3.org/ns/dcat#version": "3",
      "http://xmlns.com/foaf/0.1/depiction": "https://www.w3.org/TR/vocab-dcat-3/images/dcat-all-attributes.svg",
      label: {en: "The data catalog vocabulary", ar: "أنطولوجية فهارس قوائم البيانات", cs: "Slovník pro datové katalogy", da: "Datakatalogvokabular", el: "Το λεξιλόγιο των καταλόγων δεδομένων", es: "El vocabulario de catálogo de datos", fr: "Le vocabulaire des jeux de données", it: "Il vocabolario del catalogo dei dati", ja: "データ・カタログ語彙（DCAT）"},
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :Catalog,
      comment: {en: "A curated collection of metadata about resources (e.g., datasets and data services in the context of a data catalog).", ar: "مجموعة من توصيفات قوائم البيانات", cs: "Řízená kolekce metadat o datových sadách a datových službách", da: "En udvalgt og arrangeret samling af metadata om ressourcer (fx datasæt og datatjenester i kontekst af et datakatalog). ", el: "Μια επιμελημένη συλλογή μεταδεδομένων περί συνόλων δεδομένων", es: "Una colección curada de metadatos sobre recursos (por ejemplo, conjuntos de datos y servicios de datos en el contexto de un catálogo de datos).", fr: "Une collection élaborée de métadonnées sur les jeux de données", it: "Una raccolta curata di metadati sulle risorse (ad es. sui dataset e relativi servizi nel contesto di cataloghi di dati).", ja: "データ・カタログは、データセットに関するキュレートされたメタデータの集合です。"},
      definition: {en: "A curated collection of metadata about resources.", ar: "مجموعة من توصيفات قوائم البيانات", cs: "Řízená kolekce metadat o datových sadách a datových službách.", da: "En samling af metadata om ressourcer.", el: "Μια επιμελημένη συλλογή μεταδεδομένων περί συνόλων δεδομένων.", es: "Una colección curada de metadatos sobre recursos.", fr: "Une collection élaborée de métadonnées sur les jeux de données.", it: "Una raccolta curata di metadati sulle risorse.", ja: "データ・カタログは、データセットに関するキュレートされたメタデータの集合です。"},
      editorialNote: {en: "Multilingual text not completelly updated. Translations for skos:scopeNote and definitions to doublecheck."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Datasets and data services are examples of resources in the context of a data catalog.", cs: "Webový datový katalog je typicky reprezentován jako jedna instance této třídy.", da: "Et webbaseret datakatalog repræsenteres typisk ved en enkelt instans af denne klasse.", el: "Συνήθως, ένας κατάλογος δεδομένων στον Παγκόσμιο Ιστό αναπαρίσταται ως ένα στιγμιότυπο αυτής της κλάσης.", es: "Normalmente, un catálogo de datos disponible en la web se representa como una única instancia de esta clase.", it: "Normalmente, un catalogo di dati nel web viene rappresentato come una singola istanza di questa classe.", ja: "通常、ウェブ・ベースのデータ・カタログは、このクラスの1つのインスタンスとして表わされます。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "Catalog", ar: "فهرس قوائم البيانات", cs: "Katalog", da: "Katalog", el: "Κατάλογος", es: "Catálogo", fr: "Catalogue", it: "Catalogo", ja: "カタログ"},
      subClassOf: "http://www.w3.org/ns/dcat#Dataset",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :CatalogRecord,
      comment: {en: "A record in a data catalog, describing the registration of a single dataset or data service.", cs: "Záznam v datovém katalogu popisující jednu datovou sadu či datovou službu.", da: "En post i et datakatalog der beskriver registreringen af et enkelt datasæt eller en datatjeneste.", el: "Μία καταγραφή ενός καταλόγου, η οποία περιγράφει ένα συγκεκριμένο σύνολο δεδομένων.", es: "Un registro en un catálogo de datos que describe un solo conjunto de datos o un servicio de datos.", fr: "Un registre du catalogue ou une entrée du catalogue, décrivant un seul jeu de données.", it: "Un record in un catalogo di dati che descrive un singolo dataset o servizio di dati.", ja: "1つのデータセットを記述したデータ・カタログ内のレコード。"},
      definition: {en: "A record in a data catalog, describing the registration of a single dataset or data service.", cs: "Záznam v datovém katalogu popisující jednu datovou sadu či datovou službu.", da: "En post i et datakatalog der beskriver registreringen af et enkelt datasæt eller en datatjeneste.", el: "Μία καταγραφή ενός καταλόγου, η οποία περιγράφει ένα συγκεκριμένο σύνολο δεδομένων.", es: "Un registro en un catálogo de datos que describe un solo conjunto de datos o un servicio de datos.", fr: "Un registre du catalogue ou une entrée du catalogue, décrivant un seul jeu de données.", it: "Un record in un catalogo di dati che descrive un singolo dataset o servizio di dati.", ja: "1つのデータセットを記述したデータ・カタログ内のレコード。"},
      editorialNote: {en: "English definition updated in this revision. Multilingual text not yet updated except the Spanish one and the Czech one and Italian one."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This class is optional and not all catalogs will use it. It exists for catalogs where a distinction is made between metadata about a dataset or data service and metadata about the entry for the dataset or data service in the catalog. For example, the publication date property of the dataset reflects the date when the information was originally made available by the publishing agency, while the publication date of the catalog record is the date when the dataset was added to the catalog. In cases where both dates differ, or where only the latter is known, the publication date should only be specified for the catalog record. Notice that the W3C PROV Ontology allows describing further provenance information such as the details of the process and the agent involved in a particular change to a dataset.", cs: "Tato třída je volitelná a ne všechny katalogy ji využijí. Existuje pro katalogy, ve kterých se rozlišují metadata datové sady či datové služby a metadata o záznamu o datové sadě či datové službě v katalogu. Například datum publikace datové sady odráží datum, kdy byla datová sada původně zveřejněna poskytovatelem dat, zatímco datum publikace katalogizačního záznamu je datum zanesení datové sady do katalogu. V případech kdy se obě data liší, nebo je známo jen to druhé, by mělo být specifikováno jen datum publikace katalogizačního záznamu. Všimněte si, že ontologie W3C PROV umožňuje popsat další informace o původu jako například podrobnosti o procesu konkrétní změny datové sady a jeho účastnících.", da: "Denne klasse er valgfri og ikke alle kataloger vil anvende denne klasse. Den kan anvendes i de kataloger hvor der skelnes mellem metadata om datasættet eller datatjenesten og metadata om selve posten til registreringen af datasættet eller datatjenesten i kataloget. Udgivelsesdatoen for datasættet afspejler for eksempel den dato hvor informationerne oprindeligt blev gjort tilgængelige af udgiveren, hvorimod udgivelsesdatoen for katalogposten er den dato hvor datasættet blev føjet til kataloget. I de tilfælde hvor de to datoer er forskellige eller hvor blot sidstnævnte er kendt, bør udgivelsesdatoen kun angives for katalogposten. Bemærk at W3Cs PROV ontologi gør til muligt at tilføje yderligere proveniensoplysninger eksempelvis om processen eller aktøren involveret i en given ændring af datasættet.", el: "Αυτή η κλάση είναι προαιρετική και δεν χρησιμοποιείται από όλους τους καταλόγους. Υπάρχει για τις περιπτώσεις καταλόγων όπου γίνεται διαχωρισμός μεταξύ των μεταδεδομένων για το σύνολο των δεδομένων και των μεταδεδομένων για την καταγραφή του συνόλου δεδομένων εντός του καταλόγου. Για παράδειγμα, η ιδιότητα της ημερομηνίας δημοσίευσης του συνόλου δεδομένων δείχνει την ημερομηνία κατά την οποία οι πληροφορίες έγιναν διαθέσιμες από τον φορέα δημοσίευσης, ενώ η ημερομηνία δημοσίευσης της καταγραφής του καταλόγου δείχνει την ημερομηνία που το σύνολο δεδομένων προστέθηκε στον κατάλογο. Σε περιπτώσεις που οι δύο ημερομηνίες διαφέρουν, ή που μόνο η τελευταία είναι γνωστή, η ημερομηνία δημοσίευσης θα πρέπει να δίνεται για την καταγραφή του καταλόγου. Να σημειωθεί πως η οντολογία W3C PROV επιτρέπει την περιγραφή επιπλέον πληροφοριών ιστορικού όπως λεπτομέρειες για τη διαδικασία και τον δράστη που εμπλέκονται σε μία συγκεκριμένη αλλαγή εντός του συνόλου δεδομένων.", es: "Esta clase es opcional y no todos los catálogos la utilizarán. Esta clase existe para catálogos que hacen una distinción entre los metadatos acerca de un conjunto de datos o un servicio de datos y los metadatos acerca de una entrada en ese conjunto de datos en el catálogo. Por ejemplo, la propiedad sobre la fecha de la publicación de los datos refleja la fecha en que la información fue originalmente publicada, mientras que la fecha de publicación del registro del catálogo es la fecha en que los datos se agregaron al mismo. En caso en que ambas fechas fueran diferentes, o en que sólo la fecha de publicación del registro del catálogo estuviera disponible, sólo debe especificarse en el registro del catálogo. Tengan en cuenta que la ontología PROV de W3C permite describir otra información sobre la proveniencia de los datos, como por ejemplo detalles del proceso y de los agentes involucrados en algún cambio específico a los datos.", fr: "C'est une classe facultative et tous les catalogues ne l'utiliseront pas. Cette classe existe pour les catalogues\tayant une distinction entre les métadonnées sur le jeu de données et les métadonnées sur une entrée du jeu de données dans le catalogue.", it: "Questa classe è opzionale e non tutti i cataloghi la utilizzeranno. Esiste per cataloghi in cui si opera una distinzione tra i metadati relativi al dataset ed i metadati relativi alla gestione del dataset nel catalogo. Ad esempio, la  proprietà per indicare la data di pubblicazione del dataset rifletterà la data in cui l'informazione è stata originariamente messa a disposizione dalla casa editrice, mentre la data di pubblicazione per il record nel catalogo rifletterà la data in cui il dataset è stato aggiunto al catalogo. Nei casi dove solo quest'ultima sia nota, si utilizzerà esclusivamente la data di  pubblicazione relativa al record del catalogo. Si noti che l'Ontologia W3C PROV permette di descrivere ulteriori informazioni sulla provenienza, quali i dettagli del processo, la procedura e l'agente coinvolto in una particolare modifica di un dataset.", ja: "このクラスはオプションで、すべてのカタログがそれを用いるとは限りません。これは、データセットに関するメタデータとカタログ内のデータセットのエントリーに関するメタデータとで区別が行われるカタログのために存在しています。例えば、データセットの公開日プロパティーは、公開機関が情報を最初に利用可能とした日付を示しますが、カタログ・レコードの公開日は、データセットがカタログに追加された日付です。両方の日付が異っていたり、後者だけが分かっている場合は、カタログ・レコードに対してのみ公開日を指定すべきです。W3CのPROVオントロジー[prov-o]を用いれば、データセットに対する特定の変更に関連するプロセスやエージェントの詳細などの、さらに詳しい来歴情報の記述が可能となることに注意してください。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "Catalog Record", ar: "سجل", cs: "Katalogizační záznam", da: "Katalogpost", el: "Καταγραφή καταλόγου", es: "Registro del catálogo", fr: "Registre du catalogue", it: "Record di catalogo", ja: "カタログ・レコード"},
      subClassOf: [term(
          allValuesFrom: "http://www.w3.org/ns/dcat#Resource",
          onProperty: "http://xmlns.com/foaf/0.1/primaryTopic",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://xmlns.com/foaf/0.1/primaryTopic",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :DataService,
      altLabel: {da: "Dataservice"},
      comment: {en: "A site or end-point providing operations related to the discovery of, access to, or processing functions on, data or related resources.", cs: "Umístění či přístupový bod poskytující operace související s hledáním, přistupem k, či výkonem funkcí na datech či souvisejících zdrojích.", da: "Et websted eller endpoint der udstiller operationer relateret til opdagelse af, adgang til eller behandlende funktioner på data eller relaterede ressourcer.", es: "Un sitio o end-point que provee operaciones relacionadas a funciones de descubrimiento, acceso, o procesamiento de datos o recursos relacionados.", it: "Un sito o end-point che fornisce operazioni relative alla scoperta, all'accesso o all'elaborazione di funzioni su dati o risorse correlate."},
      definition: {en: "A site or end-point providing operations related to the discovery of, access to, or processing functions on, data or related resources.", cs: "Umístění či přístupový bod poskytující operace související s hledáním, přistupem k, či výkonem funkcí na datech či souvisejících zdrojích.", da: "Et site eller endpoint der udstiller operationer relateret til opdagelse af, adgang til eller behandlende funktioner på data eller relaterede ressourcer.", es: "Un sitio o end-point que provee operaciones relacionadas a funciones de descubrimiento, acceso, o procesamiento de datos o recursos relacionados.", it: "Un sito o end-point che fornisce operazioni relative alla scoperta, all'accesso o all'elaborazione di funzioni su dati o risorse correlate."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New class added in DCAT 2.", cs: "Nová třída přidaná ve verzi DCAT 2.", da: "Ny klasse tilføjet i DCAT 2.", es: "Nueva clase añadida en DCAT 2.", it: "Nuova classe aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The kind of service can be indicated using the dcterms:type property. Its value may be taken from a controlled vocabulary such as the INSPIRE spatial data service type vocabulary.", cs: "Pokud je dcat:DataService navázána na jednu či více Datových sad, jsou tyto indikovány vlstností dcat:servesDataset.", da: "Hvis en dcat:DataService er bundet til en eller flere specifikke datasæt kan dette indikeres ved hjælp af egenskaben dcat:servesDataset. ", es: "Si un dcat:DataService está asociado con uno o más conjuntos de datos especificados, dichos conjuntos de datos pueden indicarse con la propiedad dcat:servesDataset.", it: "Se un dcat:DataService è associato a uno o più Dataset specificati, questi sono indicati dalla proprietà dcat:serveDataset."},
      label: {en: "Data service", da: "Datatjeneste", es: "Servicio de datos", it: "Servizio di dati"},
      subClassOf: ["http://purl.org/dc/dcmitype/Service", "http://www.w3.org/ns/dcat#Resource"],
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Dataset,
      altLabel: {da: "Datasamling"},
      comment: {en: "A collection of data, published or curated by a single source, and available for access or download in one or more representations.", ar: "قائمة بيانات منشورة أو مجموعة من قبل مصدر ما و متاح الوصول إليها أو تحميلها", cs: "Kolekce dat poskytovaná či řízená jedním zdrojem, která je k dispozici pro přístup či stažení v jednom či více formátech.", da: "En samling af data, udgivet eller udvalgt og arrangeret af en enkelt kilde og som er til råde for adgang til eller download af i en eller flere repræsentationer.", el: "Μία συλλογή από δεδομένα, δημοσιευμένη ή επιμελημένη από μία και μόνο πηγή, διαθέσιμη δε προς πρόσβαση ή μεταφόρτωση σε μία ή περισσότερες μορφές.", es: "Una colección de datos, publicados o conservados por una única fuente, y disponibles para ser accedidos o descargados en uno o más formatos.", fr: "Une collection de données, publiée ou élaborée par une seule source, et disponible pour accès ou téléchargement dans un ou plusieurs formats.", it: "Raccolta di dati, pubblicati o curati da un'unica fonte, disponibili per l'accesso o il download in uno o più formati.", ja: "1つのエージェントによって公開またはキュレートされ、1つ以上の形式でアクセスまたはダウンロードできるデータの集合。"},
      definition: {en: "A collection of data, published or curated by a single source, and available for access or download in one or more representations.", ar: "قائمة بيانات منشورة أو مجموعة من قبل مصدر ما و متاح الوصول إليها أو تحميلها", cs: "Kolekce dat poskytovaná či řízená jedním zdrojem, která je k dispozici pro přístup či stažení v jednom či více formátech.", da: "En samling a data, udgivet eller udvalgt og arrangeret af en enkelt kilde og som der er adgang til i en eller flere repræsentationer.", el: "Μία συλλογή από δεδομένα, δημοσιευμένη ή επιμελημένη από μία και μόνο πηγή, διαθέσιμη δε προς πρόσβαση ή μεταφόρτωση σε μία ή περισσότερες μορφές.", es: "Una colección de datos, publicados o conservados por una única fuente, y disponibles para ser accedidos o descargados en uno o más formatos.", fr: "Une collection de données, publiée ou élaborée par une seule source, et disponible pour accès ou téléchargement dans un ou plusieurs formats.", it: "Raccolta di dati, pubblicati o curati da un'unica fonte, disponibili per l'accesso o il download in uno o più formati.", ja: "1つのエージェントによって公開またはキュレートされ、1つ以上の形式でアクセスまたはダウンロードできるデータの集合。"},
      editorialNote: {en: "2020-03-16 A new scopenote added and need to be translated"},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "2018-02 - subclass of dctype:Dataset removed because scope of dcat:Dataset includes several other types from the dctype vocabulary.", cs: "2018-02 - odstraněno tvrzení o podtřídě dctype:Dataset, jelikož rozsah dcat:Dataset zahrnuje několik dalších typů ze slovníku dctype.", da: "2018-02 - subklasse af dctype:Dataset fjernet da scope af dcat:Dataset omfatter flere forskellige typer fra dctype-vokabularet.", es: "2018-02 - se eliminó el axioma de subclase con dctype:Dataset porque el alcance de dcat:Dataset incluye muchos otros tipos del vocabulario dctype.", it: "2018-02 - sottoclasse di dctype:Dataset rimosso perché l'ambito di dcat:Dataset include diversi altri tipi dal vocabolario dctype."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The notion of dataset in DCAT is broad and inclusive, with the intention of accommodating resource types arising from all communities. Data comes in many forms including numbers, text, pixels, imagery, sound and other multi-media, and potentially other types, any of which might be collected into a dataset.", cs: "Tato třída reprezentuje datovou sadu tak, jak je publikována poskytovatelem dat. V případě potřeby rozlišení datové sady a jejího katalogizačního záznamu (jelikož metadata jako datum modifikace se mohou lišit) pro něj může být použita třída \"katalogizační záznam\".", da: "Denne klasse beskriver det konceptuelle datasæt. En eller flere repræsentationer kan være tilgængelige med forskellige skematiske opsætninger, formater eller serialiseringer.", el: "Η κλάση αυτή αναπαριστά το σύνολο δεδομένων αυτό καθ'εαυτό, όπως έχει δημοσιευθεί από τον εκδότη. Σε περιπτώσεις όπου είναι απαραίτητος ο διαχωρισμός μεταξύ του συνόλου δεδομένων και της καταγραφής αυτού στον κατάλογο (γιατί μεταδεδομένα όπως η ημερομηνία αλλαγής και ο συντηρητής μπορεί να διαφέρουν) η κλάση της καταγραφής καταλόγου μπορεί να χρησιμοποιηθεί για το τελευταίο.", es: "Esta clase representa el conjunto de datos publicados. En los casos donde es necesario distinguir entre el conjunto de datos y su entrada en el catálogo de datos, se debe utilizar la clase 'registro del catálogo'.", fr: "Cette classe représente le jeu de données publié par le fournisseur de données. Dans les cas où une distinction est nécessaire entre le jeu de donénes et son entrée dans le catalogue, la classe registre de données peut être utilisée pour ce dernier.", it: "Questa classe descrive il dataset dal punto di vista concettuale. Possono essere disponibili una o più rappresentazioni, con diversi layout e formati schematici o serializzazioni.", ja: "このクラスは、データセットの公開者が公開する実際のデータセットを表わします。カタログ内の実際のデータセットとそのエントリーとの区別が必要な場合（修正日と維持者などのメタデータが異なるかもしれないので）は、後者にcatalog recordというクラスを使用できます。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "Dataset", ar: "قائمة بيانات", cs: "Datová sada", da: "Datasæt", el: "Σύνολο Δεδομένων", es: "Conjunto de datos", fr: "Jeu de données", it: "Dataset", ja: "データセット"},
      subClassOf: "http://www.w3.org/ns/dcat#Resource",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :DatasetSeries,
      comment: {en: "A collection of datasets that are published separately, but share some characteristics that group them.", es: "Una colección de conjuntos de datos publicados por separado, pero que comparten características que los agrupan.", it: "Una collezione di dataset che sono pubblicati separatamente, ma che condividono caratteristiche che li rendono parte di uno stesso gruppo."},
      definition: {en: "A collection of datasets that are published separately, but share some common characteristics that groups them.", es: "Una colección de conjuntos de datos publicados por separado, pero que comparten características comunes que los agrupan.", it: "Una collezione di dataset che sono pubblicati separatamente, ma che condividono caratteristiche che li rendono parte di uno stesso gruppo."},
      editorialNote: {en: "2022-05-08 Added to ttl file with annotations in English, Spanish and Italian, except notes that are in other languages too."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New class added in DCAT 3.", cs: "Nová třída přidaná ve verzi DCAT 3", da: "Ny klasse tilføjet i DCAT 3", es: "Nueva clase agregada en DCAT 3.", it: "Nuova classe aggiunta in DCAT 3"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Dataset series can be also soft-typed via property dcterms:type as in the approach used in [GeoDCAT-AP], and adopted in [DCAT-AP-IT] and [GeoDCAT-AP-IT]).", es: "También puede asignarse un tipo a las series de datos usando la propiedad dcterms:type como se hace en [GeoDCAT-AP], y adoptado en [DCAT-AP-IT] y [GeoDCAT-AP-IT]).", it: "Le serie di dati possono anche essere denotate come tali usando la proprietà dcterms:type, secondo l'approccio usato in [GeoDCAT-AP], e adottato in [DCAT-AP-IT] e [GeoDCAT-AP-IT])."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "Dataset series", es: "Serie de conjuntos de datos", it: "Serie di dataset"},
      subClassOf: "http://www.w3.org/ns/dcat#Dataset",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Distribution,
      altLabel: {da: "Dataudstilling"},
      comment: {en: "A specific representation of a dataset. A dataset might be available in multiple serializations that may differ in various ways, including natural language, media-type or format, schematic organization, temporal and spatial resolution, level of detail or profiles (which might specify any or all of the above).", ar: "شكل محدد لقائمة البيانات يمكن الوصول إليه. قائمة بيانات ما يمكن أن تكون متاحه باشكال و أنواع متعددة.  ملف يمكن تحميله أو واجهة برمجية يمكن من خلالها الوصول إلى البيانات هي أمثلة على ذلك.", cs: "Konkrétní reprezentace datové sady. Datová sada může být dostupná v různých serializacích, které se mohou navzájem lišit různými způsoby, mimo jiné přirozeným jazykem, media-typem či formátem, schematickou organizací, časovým a prostorovým rozlišením, úrovní detailu či profily (které mohou specifikovat některé či všechny tyto rozdíly).", da: "En specifik repræsentation af et datasæt. Et datasæt kan være tilgængelig i mange serialiseringer der kan variere på forskellige vis, herunder sprog, medietype eller format, systemorganisering, tidslig- og geografisk opløsning, detaljeringsniveau eller profiler (der kan specificere en eller flere af ovenstående).", el: "Αναπαριστά μία συγκεκριμένη διαθέσιμη μορφή ενός συνόλου δεδομένων. Κάθε σύνολο δεδομενων μπορεί να είναι διαθέσιμο σε διαφορετικές μορφές, οι μορφές αυτές μπορεί να αναπαριστούν διαφορετικές μορφές αρχείων ή διαφορετικά σημεία διάθεσης. Παραδείγματα διανομών συμπεριλαμβάνουν ένα μεταφορτώσιμο αρχείο μορφής CSV, ένα API ή ένα RSS feed.", es: "Una representación específica de los datos. Cada conjunto de datos puede estar disponible en formas diferentes, las cuáles pueden variar en distintas formas, incluyendo el idioma, 'media-type' o formato, organización esquemática, resolución temporal y espacial, nivel de detalle o perfiles (que pueden especificar cualquiera o todas las diferencias anteriores).", fr: "Représente une forme spécifique d'un jeu de données. Caque jeu de données peut être disponible sous différentes formes, celles-ci pouvant représenter différents formats du jeu de données ou différents endpoint. Des exemples de distribution sont des fichirs CSV, des API ou des flux RSS.", it: "Rappresenta una forma disponibile e specifica del dataset. Ciascun dataset può essere disponibile in forme differenti, che possono rappresentare formati diversi o diversi punti di accesso per un dataset. Esempi di distribuzioni sono un file CSV scaricabile, una API o un RSS feed.", ja: "データセットの特定の利用可能な形式を表わします。各データセットは、異なる形式で利用できることがあり、これらの形式は、データセットの異なる形式や、異なるエンドポイントを表わす可能性があります。配信の例には、ダウンロード可能なCSVファイル、API、RSSフィードが含まれます。"},
      definition: {en: "A specific representation of a dataset. A dataset might be available in multiple serializations that may differ in various ways, including natural language, media-type or format, schematic organization, temporal and spatial resolution, level of detail or profiles (which might specify any or all of the above).", ar: "شكل محدد لقائمة البيانات يمكن الوصول إليه. قائمة بيانات ما يمكن أن تكون متاحه باشكال و أنواع متعددة.  ملف يمكن تحميله أو واجهة برمجية يمكن من خلالها الوصول إلى البيانات هي أمثلة على ذلك.", cs: "Konkrétní reprezentace datové sady. Datová sada může být dostupná v různých serializacích, které se mohou navzájem lišit různými způsoby, mimo jiné přirozeným jazykem, media-typem či formátem, schematickou organizací, časovým a prostorovým rozlišením, úrovní detailu či profily (které mohou specifikovat některé či všechny tyto rozdíly).", da: "En specifik repræsentation af et datasæt. Et datasæt kan være tilgængelig i mange serialiseringer der kan variere på forskellige vis, herunder sprog, medietype eller format, systemorganisering, tidslig- og geografisk opløsning, detaljeringsniveau eller profiler (der kan specificere en eller flere af ovenstående).", el: "Αναπαριστά μία συγκεκριμένη διαθέσιμη μορφή ενός συνόλου δεδομένων. Κάθε σύνολο δεδομενων μπορεί να είναι διαθέσιμο σε διαφορετικές μορφές, οι μορφές αυτές μπορεί να αναπαριστούν διαφορετικές μορφές αρχείων ή διαφορετικά σημεία διάθεσης. Παραδείγματα διανομών συμπεριλαμβάνουν ένα μεταφορτώσιμο αρχείο μορφής CSV, ένα API ή ένα RSS feed.", es: "Una representación específica de los datos. Cada conjunto de datos puede estar disponible en formas diferentes, las cuáles pueden variar en distintas formas, incluyendo el idioma, 'media-type' o formato, organización esquemática, resolución temporal y espacial, nivel de detalle o perfiles (que pueden especificar cualquiera o todas las diferencias anteriores).", fr: "Représente une forme spécifique d'un jeu de données. Caque jeu de données peut être disponible sous différentes formes, celles-ci pouvant représenter différents formats du jeu de données ou différents endpoint. Des exemples de distribution sont des fichirs CSV, des API ou des flux RSS.", it: "Rappresenta una forma disponibile e specifica del dataset. Ciascun dataset può essere disponibile in forme differenti, che possono rappresentare formati diversi o diversi punti di accesso per un dataset. Esempi di distribuzioni sono un file CSV scaricabile, una API o un RSS feed.", ja: "データセットの特定の利用可能な形式を表わします。各データセットは、異なる形式で利用できることがあり、これらの形式は、データセットの異なる形式や、異なるエンドポイントを表わす可能性があります。配信の例には、ダウンロード可能なCSVファイル、API、RSSフィードが含まれます。"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This represents a general availability of a dataset it implies no information about the actual access method of the data, i.e. whether by direct download, API, or through a Web page. The use of dcat:downloadURL property indicates directly downloadable distributions.", cs: "Toto popisuje obecnou dostupnost datové sady. Neimplikuje žádnou informaci o skutečné metodě přístupu k datům, tj. zda jsou přímo ke stažení, skrze API či přes webovou stránku. Použití vlastnosti dcat:downloadURL indikuje přímo stažitelné distribuce.", da: "Denne klasse repræsenterer datasættets overordnede tilgængelighed og giver ikke oplysninger om hvilken metode der kan anvendes til at få adgang til data, dvs. om adgang til datasættet realiseres ved direkte download, API eller via et websted. Anvendelsen af egenskaben dcat:downloadURL indikerer at distributionen kan downloades direkte.", el: "Αυτό αναπαριστά μία γενική διαθεσιμότητα ενός συνόλου δεδομένων και δεν υπονοεί τίποτα περί του πραγματικού τρόπου πρόσβασης στα δεδομένα, αν είναι άμεσα μεταφορτώσιμα, μέσω API ή μέσω μίας ιστοσελίδας. Η χρήση της ιδιότητας dcat:downloadURL δείχνει μόνο άμεσα μεταφορτώσιμες διανομές.", es: "Esta clase representa una disponibilidad general de un conjunto de datos, e implica que no existe información acerca del método de acceso real a los datos, i.e., si es un enlace de descarga directa o a través de una página Web.", fr: "Ceci représente une disponibilité générale du jeu de données, et implique qu'il n'existe pas d'information sur la méthode d'accès réelle des données, par exple, si c'est un lien de téléchargement direct ou à travers une page Web.", it: "Questa classe rappresenta una disponibilità generale di un dataset e non implica alcuna informazione sul metodo di accesso effettivo ai dati, ad esempio se si tratta di un accesso a download diretto, API, o attraverso una pagina Web. L'utilizzo della proprietà dcat:downloadURL indica distribuzioni direttamente scaricabili.", ja: "これは、データセットの一般的な利用可能性を表わし、データの実際のアクセス方式に関する情報（つまり、直接ダウンロードなのか、APIなのか、ウェブページを介したものなのか）を意味しません。dcat:downloadURLプロパティーの使用は、直接ダウンロード可能な配信を意味します。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "Distribution", ar: "التوزيع", cs: "Distribuce", da: "Distribution", el: "Διανομή", es: "Distribución", fr: "Distribution", it: "Distribuzione", ja: "配信"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Relationship,
      comment: {en: "An association class for attaching additional information to a relationship between DCAT Resources.", cs: "Asociační třída pro připojení dodatečných informací ke vztahu mezi zdroji DCAT.", da: "En associationsklasse til brug for tilknytning af yderligere information til en relation mellem DCAT-ressourcer.", es: "Una clase de asociación para adjuntar información adicional a una relación entre recursos DCAT.", it: "Una classe di associazione per il collegamento di informazioni aggiuntive a una relazione tra le risorse DCAT."},
      definition: {en: "An association class for attaching additional information to a relationship between DCAT Resources.", cs: "Asociační třída pro připojení dodatečných informací ke vztahu mezi zdroji DCAT.", da: "En associationsklasse til brug for tilknytning af yderligere information til en relation mellem DCAT-ressourcer.", es: "Una clase de asociación para adjuntar información adicional a una relación entre recursos DCAT.", it: "Una classe di associazione per il collegamento di informazioni aggiuntive a una relazione tra le risorse DCAT."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New class added in DCAT 2", cs: "Nová třída přidaná ve verzi DCAT 2", da: "Ny klasse i DCAT 2", es: "Nueva clase añadida en DCAT 2", it: "Nuova classe aggiunta in DCAT 2"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Use to characterize a relationship between datasets, and potentially other resources, where the nature of the relationship is known but is not adequately characterized by the standard Dublin Core properties (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) or PROV-O properties (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", cs: "Používá se pro charakterizaci vztahu mezi datovými sadami a případně i jinými zdroji, kde druh vztahu je sice znám, ale není přiměřeně charakterizován standardními vlastnostmi slovníku Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) či vlastnostmi slovníku PROV-O (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", da: "Anvendes til at karakterisere en relation mellem datasæt, og potentielt andre ressourcer, hvor relationen er kendt men ikke tilstrækkeligt beskrevet af de standardiserede egenskaber i Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) eller PROV-O-egenskaber (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", es: "Se usa para caracterizar la relación entre conjuntos de datos, y potencialmente otros recursos, donde la naturaleza de la relación se conoce pero no está caracterizada adecuadamente con propiedades del estándar 'Dublin Core' (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) or PROV-O properties (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", it: "Viene utilizzato per caratterizzare la relazione tra insiemi di dati, e potenzialmente altri tipi di risorse, nei casi in cui la natura della relazione è nota ma non adeguatamente caratterizzata dalle proprietà dello standard 'Dublin Core' (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:require, dcterms:isRequiredBy) o dalle propietà fornite da PROV-O  (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov: hadPrimarySource, prov:alternateOf, prov:specializationOf)."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "Relationship", cs: "Vztah", da: "Relation", es: "Relación", it: "Relazione"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Resource,
      comment: {en: "Resource published or curated by a single agent.", cs: "Zdroj publikovaný či řízený jediným činitelem.", da: "Ressource udgivet eller udvalgt og arrangeret af en enkelt aktør.", es: "Recurso publicado o curado por un agente único.", it: "Risorsa pubblicata o curata da un singolo agente."},
      definition: {en: "Resource published or curated by a single agent.", cs: "Zdroj publikovaný či řízený jediným činitelem.", da: "Ressource udgivet eller udvalgt og arrangeret af en enkelt aktør.", es: "Recurso publicado o curado por un agente único.", it: "Risorsa pubblicata o curata da un singolo agente."},
      editorialNote: {en: "2020-08-23 Scopenote updated  and needs to be translated"},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New class added in DCAT 2", cs: "Nová třída přidaná ve verzi DCAT 2", da: "Ny klasse i DCAT 2", es: "Nueva clase agregada en DCAT 2", it: "Nuova classe aggiunta in DCAT 2"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "dcat:Resource is an extension point that enables the definition of any kind of catalog. Additional subclasses may be defined in a DCAT profile or application for catalogs of other kinds of resources.", cs: "dcat:Resource je bod pro rozšíření umožňující definici různých druhů katalogů. Další podtřídy lze definovat v profilech DCAT či aplikacích pro katalogy zdrojů jiných druhů.", da: "dcat:Resource er et udvidelsespunkt der tillader oprettelsen af enhver type af kataloger. Yderligere subklasser kan defineres i en DCAT-profil eller i en applikation til kataloger med andre typer af ressourcer.", es: "dcat:Resource es un punto de extensión que permite la definición de cualquier tipo de catálogo. Se pueden definir subclases adicionales en perfil de DCAT o una aplicación para catálogos de otro tipo de recursos.", it: "dcat:Resource è un punto di estensione che consente la definizione di qualsiasi tipo di catalogo. Sottoclassi aggiuntive possono essere definite in un profilo DCAT o in un'applicazione per cataloghi di altri tipi di risorse."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "Catalogued resource", cs: "Katalogizovaný zdroj", da: "Katalogiseret ressource", es: "Recurso catalogado", it: "Risorsa catalogata"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Role,
      comment: {en: "A role is the function of a resource or agent with respect to another resource, in the context of resource attribution or resource relationships.", cs: "Role je funkce zdroje či agenta ve vztahu k jinému zdroji, v kontextu přiřazení zdrojů či vztahů mezi zdroji.", da: "En rolle er den funktion en ressource eller aktør har i forhold til en anden ressource, i forbindelse med ressourcekreditering eller ressourcerelationer.", es: "Un rol es la función de un recurso o agente con respecto a otro recuros, en el contexto de atribución del recurso o de las relaciones entre recursos.", it: "Un ruolo è la funzione di una risorsa o di un agente rispetto ad un'altra risorsa, nel contesto dell'attribuzione delle risorse o delle relazioni tra risorse."},
      definition: {en: "A role is the function of a resource or agent with respect to another resource, in the context of resource attribution or resource relationships.", cs: "Role je funkce zdroje či agenta ve vztahu k jinému zdroji, v kontextu přiřazení zdrojů či vztahů mezi zdroji.", da: "En rolle er den funktion en ressource eller aktør har i forhold til en anden ressource, i forbindelse med ressourcekreditering eller ressourcerelationer.", es: "Un rol es la función de un recurso o agente con respecto a otro recuros, en el contexto de atribución del recurso o de las relaciones entre recursos.", it: "Un ruolo è la funzione di una risorsa o di un agente rispetto ad un'altra risorsa, nel contesto dell'attribuzione delle risorse o delle relazioni tra risorse."},
      editorialNote: {en: "Introduced into DCAT to complement prov:Role (whose use is limited to roles in the context of an activity, as the range of prov:hadRole).", cs: "Přidáno do DCAT pro doplnění třídy prov:Role (jejíž užití je omezeno na role v kontextu aktivit, jakožto obor hodnot vlastnosti prov:hadRole).", da: "Introduceret i DCAT for at supplere prov:Role (hvis anvendelse er begrænset til roller i forbindelse med en aktivitet, som er rækkevidde for prov:hadRole).", es: "Incluída en DCAT para complementar prov:Role (cuyo uso está limitado a roles en el contexto de una actividad, ya que es el rango es prov:hadRole).", it: "Introdotta in DCAT per completare prov:Role (il cui uso è limitato ai ruoli nel contesto di un'attività, in conseguenza alla definizione del codominio di prov:hadRole)."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/dcat#hadRole",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New class added in DCAT 2", cs: "Nová třída přidaná ve verzi DCAT 2", da: "Ny klasse tilføjet i DCAT 2", es: "Nueva clase agregada en DCAT 2", it: "Nuova classe aggiunta in DCAT 2"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Used in a qualified-relation to specify the role of an Entity with respect to another Entity. It is recommended that the values be managed as a controlled vocabulary of entity roles such as: ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode; IANA Registry of Link Relations https://www.iana.org/assignments/link-relation;  DataCite metadata schema;  MARC relators https://id.loc.gov/vocabulary/relators.", cs: "Použito v kvalifikovaném vztahu pro specifikaci role Entity ve vztahu k jiné Entitě. Je doporučeno množinu hodnot spravovat jako řízený slovník rolí entit, jako například ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode, IANA Registry of Link Relations https://www.iana.org/assignments/link-relation, DataCite metadata schema, či MARC relators https://id.loc.gov/vocabulary/relators.", da: "Anvendes i forbindelse med kvalificerede relationer til at specificere en entitets rolle i forhold til en anden entitet. Det anbefales at værdierne styres med et kontrolleret udfaldsrum for for entitetsroller såsom: ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode; IANA Registry of Link Relations https://www.iana.org/assignments/link-relation;  DataCite metadata schema;  MARC relators https://id.loc.gov/vocabulary/relators.", es: "Se usa en una relación cualificada para especificar el rol de una Entidad con respecto a otra Entidad. Se recomienda que los valores se administren como los valores de un vocabulario controlado de roles de entidad como por ejemplo: ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode; IANA Registry of Link Relations https://www.iana.org/assignments/link-relation; el esquema de metadatos de DataCite; MARC relators https://id.loc.gov/vocabulary/relators.", it: "Utilizzato in una relazione qualificata per specificare il ruolo di un'entità rispetto a un'altra entità. Si raccomanda che il valore sia preso da un vocabolario controllato di ruoli di entità come ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode, IANA Registry of Link Relations https://www.iana.org/assignments/link-relation, DataCite metadata schema, o MARC relators https://id.loc.gov/vocabulary/relators."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "Role", cs: "Role", da: "Rolle", es: "Rol", it: "Ruolo"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]

    # Property definitions
    property :accessService,
      comment: {en: "A site or end-point that gives access to the distribution of the dataset.", cs: "Umístění či přístupový bod zpřístupňující distribuci datové sady.", da: "Et websted eller endpoint der giver adgang til en repræsentation af datasættet.", es: "Un sitio o end-point que da acceso a la distribución de un conjunto de datos.", it: "Un sito o end-point che dà accesso alla distribuzione del set di dati."},
      definition: {en: "A site or end-point that gives access to the distribution of the dataset.", cs: "Umístění či přístupový bod zpřístupňující distribuci datové sady.", da: "Et websted eller endpoint der giver adgang til en repræsentation af datasættet.", es: "Un sitio o end-point que da acceso a la distribución de un conjunto de datos.", it: "Un sito o end-point che dà accesso alla distribuzione del set di dati."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "data access service", cs: "služba pro přístup k datům", da: "dataadgangstjeneste", es: "servicio de acceso de datos", it: "servizio di accesso ai dati"},
      range: "http://www.w3.org/ns/dcat#DataService",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :accessURL,
      altLabel: {da: "adgangsURL"},
      comment: {en: "A URL of a resource that gives access to a distribution of the dataset. E.g. landing page, feed, SPARQL endpoint. Use for all cases except a simple download link, in which case downloadURL is preferred.", ar: "أي رابط يتيح الوصول إلى البيانات. إذا كان الرابط هو ربط مباشر لملف يمكن تحميله استخدم الخاصية downloadURL", cs: "URL zdroje, přes které je přístupná distribuce datové sady. Příkladem může být vstupní stránka, RSS kanál či SPARQL endpoint. Použijte ve všech případech kromě URL souboru ke stažení, pro které je lepší použít dcat:downloadURL.", da: "En URL for en ressource som giver adgang til en repræsentation af datsættet. Fx destinationsside, feed, SPARQL-endpoint. Anvendes i alle sammenhænge undtagen til angivelse af et simpelt download link hvor anvendelse af egenskaben downloadURL foretrækkes.", el: "Μπορεί να είναι οποιουδήποτε είδους URL που δίνει πρόσβαση στη διανομή ενός συνόλου δεδομένων. Π.χ. ιστοσελίδα αρχικής πρόσβασης, μεταφόρτωση, feed URL, σημείο διάθεσης SPARQL. Να χρησιμοποιείται όταν ο κατάλογος δεν περιέχει πληροφορίες εαν πρόκειται ή όχι για μεταφορτώσιμο αρχείο.", es: "Puede ser cualquier tipo de URL que de acceso a una distribución del conjunto de datos, e.g., página de destino, descarga, URL feed, punto de acceso SPARQL. Esta propriedad se debe usar cuando su catálogo de datos no tiene información sobre donde está o cuando no se puede descargar.", fr: "Ceci peut être tout type d'URL qui donne accès à une distribution du jeu de données. Par exemple, un lien à une page HTML contenant un lien au jeu de données, un Flux RSS, un point d'accès SPARQL. Utilisez le lorsque votre catalogue ne contient pas d'information sur quoi il est ou quand ce n'est pas téléchargeable.", it: "Un URL di una risorsa che consente di accedere a una distribuzione del set di dati. Per esempio, pagina di destinazione, feed, endpoint SPARQL. Da utilizzare per tutti i casi, tranne  quando  si tratta di un semplice link per il download nel qual caso è preferito downloadURL.", ja: "データセットの配信にアクセス権を与えるランディング・ページ、フィード、SPARQLエンドポイント、その他の種類の資源。"},
      definition: {en: "A URL of a resource that gives access to a distribution of the dataset. E.g. landing page, feed, SPARQL endpoint. Use for all cases except a simple download link, in which case downloadURL is preferred.", ar: "أي رابط يتيح الوصول إلى البيانات. إذا كان الرابط هو ربط مباشر لملف يمكن تحميله استخدم الخاصية downloadURL", cs: "URL zdroje, přes které je přístupná distribuce datové sady. Příkladem může být vstupní stránka, RSS kanál či SPARQL endpoint. Použijte ve všech případech kromě URL souboru ke stažení, pro které je lepší použít dcat:downloadURL.", da: "En URL for en ressource som giver adgang til en repræsentation af datsættet. Fx destinationsside, feed, SPARQL-endpoint. Anvendes i alle sammenhænge undtagen til angivelse af et simpelt download link hvor anvendelse af egenskaben downloadURL foretrækkes.", el: "Μπορεί να είναι οποιουδήποτε είδους URL που δίνει πρόσβαση στη διανομή ενός συνόλου δεδομένων. Π.χ. ιστοσελίδα αρχικής πρόσβασης, μεταφόρτωση, feed URL, σημείο διάθεσης SPARQL. Να χρησιμοποιείται όταν ο κατάλογος δεν περιέχει πληροφορίες εαν πρόκειται ή όχι για μεταφορτώσιμο αρχείο.", es: "Puede ser cualquier tipo de URL que de acceso a una distribución del conjunto de datos, e.g., página de destino, descarga, URL feed, punto de acceso SPARQL. Esta propriedad se debe usar cuando su catálogo de datos no tiene información sobre donde está o cuando no se puede descargar.", fr: "Ceci peut être tout type d'URL qui donne accès à une distribution du jeu de données. Par exemple, un lien à une page HTML contenant un lien au jeu de données, un Flux RSS, un point d'accès SPARQL. Utilisez le lorsque votre catalogue ne contient pas d'information sur quoi il est ou quand ce n'est pas téléchargeable.", it: "Un URL di una risorsa che consente di accedere a una distribuzione del set di dati. Per esempio, pagina di destinazione, feed, endpoint SPARQL. Da utilizzare per tutti i casi, tranne  quando  si tratta di un semplice link per il download nel qual caso è preferito downloadURL.", ja: "データセットの配信にアクセス権を与えるランディング・ページ、フィード、SPARQLエンドポイント、その他の種類の資源。"},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      editorialNote: {en: "rdfs:label, rdfs:comment and skos:scopeNote have been modified. Non-english versions except for Italian must be updated."},
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/dcat#accessService", "http://www.w3.org/ns/dcat#endpointURL"),
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "If the distribution(s) are accessible only through a landing page (i.e. direct download URLs are not known), then the landing page link should be duplicated as accessURL on a distribution.", cs: "Pokud jsou distribuce přístupné pouze přes vstupní stránku (tj. URL pro přímé stažení nejsou známa), pak by URL přístupové stránky mělo být duplikováno ve vlastnosti distribuce accessURL.", da: "Hvis en eller flere distributioner kun er tilgængelige via en destinationsside (dvs. en URL til direkte download er ikke kendt), så bør destinationssidelinket gentages som adgangsadresse for distributionen.", el: "Η τιμή είναι ένα URL. Αν η/οι διανομή/ές είναι προσβάσιμη/ες μόνο μέσω μίας ιστοσελίδας αρχικής πρόσβασης (δηλαδή αν δεν υπάρχουν γνωστές διευθύνσεις άμεσης μεταφόρτωσης), τότε ο σύνδεσμος της ιστοσελίδας αρχικής πρόσβασης πρέπει να αναπαραχθεί ως accessURL σε μία διανομή.", es: "El rango es una URL. Si la distribución es accesible solamente través de una página de destino (es decir, si no se conoce una URL de descarga directa), entonces el enlance a la página de destino debe ser duplicado como accessURL en la distribución.", fr: "La valeur est une URL. Si la distribution est accessible seulement au travers d'une page d'atterrissage (c-à-dire on n'ignore une URL de téléchargement direct), alors le lien à la page d'atterrissage doit être dupliqué comee accessURL sur la distribution.", it: "Se le distribuzioni sono accessibili solo attraverso una pagina web (ad esempio, gli URL per il download diretto non sono noti), allora il link della pagina web deve essere duplicato come accessURL sulla distribuzione.", ja: "確実にダウンロードでない場合や、ダウンロードかどうかが不明である場合は、downloadURLではなく、accessURLを用いてください。ランディング・ページを通じてしか配信にアクセスできない場合（つまり、直接的なダウンロードURLが不明）は、配信におけるaccessURLとしてランディング・ページのリンクをコピーすべきです（SHOULD）。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "access address", ar: "رابط وصول", cs: "přístupová adresa", da: "adgangsadresse", el: "URL πρόσβασης", es: "URL de acceso", fr: "URL d'accès", it: "indirizzo di accesso", ja: "アクセスURL"},
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :bbox,
      comment: {en: "The geographic bounding box of a spatial thing [SDW-BP].", cs: "Ohraničení geografické oblasti zdroje.", da: "Den geografiske omskrevne firkant af en ressource.", es: "El cuadro delimitador geográfico para un recurso.", it: "Il riquadro di delimitazione geografica di una risorsa."},
      definition: {en: "The geographic bounding box of a spatial thing [SDW-BP].", cs: "Ohraničení geografické oblasti zdroje.", da: "Den geografiske omskrevne firkant af en ressource.", es: "El cuadro delimitador geográfico para un recurso.", it: "Il riquadro di delimitazione geografica di una risorsa."},
      domain: "http://purl.org/dc/terms/Location",
      editorialNote: {en: "English language definitions and comments updated in this revision in line with ED. Multilingual text unevenly updated."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Propiedad nueva agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The range of this property (rdfs:Literal) is intentionally generic, with the purpose of allowing different geometry literal encodings. E.g., the geometry could be encoded as a WKT literal (geosparql:wktLiteral [GeoSPARQL]).", cs: "Obor hodnot této vlastnosti je úmyslně obecný, aby umožnil různé kódování geometrií. Geometrie by kupříkladu mohla být kódována jako WKT (geosparql:wktLiteral [GeoSPARQL]) či [GML] (geosparql:asGML [GeoSPARQL]).", da: "Rækkevidden for denne egenskab er bevidst generisk defineret med det formål at tillade forskellige kodninger af geometrier. Geometrien kan eksempelvis repræsenteres som WKT (geosparql:asWKT [GeoSPARQL]) eller [GML] (geosparql:asGML [GeoSPARQL]).", es: "El rango de esta propiedad es intencionalmente genérico con el propósito de permitir distintas codificaciones geométricas. Por ejemplo, la geometría puede ser codificada como WKT (geosparql:wktLiteral [GeoSPARQL]) o [GML] (geosparql:asGML [GeoSPARQL]).", it: "Il range di questa proprietà (rdfs:Literal) è volutamente generica, con lo scopo di consentire diverse codifiche geometriche letterali. Ad esempio, la geometria potrebbe essere codificata con un letterale WKT (geosparql:wktLiteral [GeoSPARQL]) o [GML] (geosparql:asGML [GeoSPARQL])."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "bounding box", cs: "ohraničení oblasti", da: "bounding box", es: "cuadro delimitador", it: "quadro di delimitazione"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :byteSize,
      comment: {en: "The size of a distribution in bytes.", ar: "الحجم بالبايتات ", cs: "Velikost distribuce v bajtech.", da: "Størrelsen af en distributionen angivet i bytes.", el: "Το μέγεθος μιας διανομής σε bytes.", es: "El tamaño de una distribución en bytes.", fr: "La taille de la distribution en octects", it: "La dimensione di una distribuzione in byte.", ja: "バイトによる配信のサイズ。"},
      definition: {en: "The size of a distribution in bytes.", ar: "الحجم بالبايتات ", cs: "Velikost distribuce v bajtech.", da: "Størrelsen af en distribution angivet i bytes.", el: "Το μέγεθος μιας διανομής σε bytes.", es: "El tamaño de una distribución en bytes.", fr: "La taille de la distribution en octects.", it: "La dimensione di una distribuzione in byte.", ja: "バイトによる配信のサイズ。"},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The size in bytes can be approximated when the precise size is not known. The literal value of dcat:byteSize should by typed as xsd:decimal.", ar: "الحجم يمكن أن يكون تقريبي إذا كان الحجم الدقيق غير معروف", cs: "Velikost v bajtech může být přibližná, pokud její přesná hodnota není známa. Literál s hodnotou dcat:byteSize by měl mít datový typ xsd:decimal.", da: "Bytestørrelsen kan approximeres hvis den præcise størrelse ikke er kendt. Værdien af dcat:byteSize bør angives som xsd:decimal.", el: "Το μέγεθος σε bytes μπορεί να προσεγγιστεί όταν η ακριβής τιμή δεν είναι γνωστή. Η τιμή της dcat:byteSize θα πρέπει να δίνεται με τύπο δεδομένων xsd:decimal.", es: "El tamaño en bytes puede ser aproximado cuando se desconoce el tamaño exacto. El valor literal de dcat:byteSize debe tener tipo 'xsd:decimal'.", fr: "La taille en octects peut être approximative lorsque l'on ignore la taille réelle. La valeur littérale de dcat:byteSize doit être de type xsd:decimal.", it: "La dimensione in byte può essere approssimata quando non si conosce la dimensione precisa. Il valore di dcat:byteSize dovrebbe essere espresso come un xsd:decimal.", ja: "正確なサイズが不明である場合、サイズは、バイトによる近似値を示すことができます。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "byte size", ar: "الحجم بالبايت", cs: "velikost v bajtech", da: "bytestørrelse", el: "μέγεθος σε bytes", es: "tamaño en bytes", fr: "taille en octects", it: "dimensione in byte", ja: "バイト・サイズ"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :catalog,
      altLabel: {en: "has catalog", da: "har delkatalog"},
      comment: {en: "A catalog that is listed in the catalog.", cs: "Katalog, jehož obsah je v kontextu tohoto katalogu zajímavý.", da: "Et katalog hvis indhold er relevant i forhold til det aktuelle katalog.", es: "Un catálogo cuyo contenido es de interés en el contexto del catálogo que está siendo descripto.", it: "Un catalogo i cui contenuti sono di interesse nel contesto di questo catalogo."},
      definition: {en: "A catalog that is listed in the catalog.", cs: "Katalog, jehož obsah je v kontextu tohoto katalogu zajímavý.", da: "Et katalog hvis indhold er relevant i forhold til det aktuelle katalog.", es: "Un catálogo cuyo contenido es de interés en el contexto del catálogo que está siendo descripto.", it: "Un catalogo i cui contenuti sono di interesse nel contesto di questo catalogo."},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      editorialNote: {en: "Status: English Definition text modified by DCAT 3 revision team, translations pending."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "catalog", cs: "katalog", da: "katalog", es: "catálogo", it: "catalogo"},
      range: "http://www.w3.org/ns/dcat#Catalog",
      subPropertyOf: "http://www.w3.org/ns/dcat#resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :centroid,
      altLabel: {da: "centroide"},
      comment: {en: "The geographic center (centroid) of a spatial thing [SDW-BP].", cs: "Geografický střed (centroid) zdroje.", da: "Det geometrisk tyngdepunkt (centroid) for en ressource.", es: "El centro geográfico (centroide) de un recurso.", it: "Il centro geografico (centroide) di una risorsa."},
      definition: {en: "The geographic center (centroid) of a spatial thing [SDW-BP].", cs: "Geografický střed (centroid) zdroje.", da: "Det geometrisk tyngdepunkt (centroid) for en ressource.", es: "El centro geográfico (centroide) de un recurso.", it: "Il centro geografico (centroide) di una risorsa."},
      domain: "http://purl.org/dc/terms/Location",
      editorialNote: {en: "English language definitions and comments updated in this revision in line with ED. Multilingual text unevenly updated."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The range of this property (rdfs:Literal) is intentionally generic, with the purpose of allowing different geometry literal encodings. E.g., the geometry could be encoded as a WKT literal (geosparql:wktLiteral [GeoSPARQL]).", cs: "Obor hodnot této vlastnosti je úmyslně obecný, aby umožnil různé kódování geometrií. Geometrie by kupříkladu mohla být kódována jako WKT (geosparql:wktLiteral [GeoSPARQL]) či [GML] (geosparql:asGML [GeoSPARQL]).", da: "Rækkevidden for denne egenskab er bevidst generisk definere med det formål at tillade forskellige geokodninger. Geometrien kan eksempelvis repræsenteres som WKT (geosparql:asWKT [GeoSPARQL]) eller [GML] (geosparql:asGML [GeoSPARQL]).", es: "El rango de esta propiedad es intencionalmente genérico con el objetivo de permitir distintas codificaciones geométricas. Por ejemplo, la geometría puede codificarse como WKT (geosparql:wktLiteral [GeoSPARQL]) o [GML] (geosparql:asGML [GeoSPARQL]).", it: "Il range di questa proprietà (rdfs:Literal) è volutamente generica, con lo scopo di consentire diverse codifiche geometriche letterali. Ad esempio, la geometria potrebbe essere codificata con un letterale WKT (geosparql:wktLiteral [GeoSPARQL]) o [GML] (geosparql:asGML [GeoSPARQL])."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "centroid", cs: "centroid", da: "geometrisk tyngdepunkt", es: "centroide", it: "centroide"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :compressFormat,
      comment: {en: "The compression format of the distribution in which the data is contained in a compressed form, e.g. to reduce the size of the downloadable file.", cs: "Formát komprese souboru, ve kterém jsou data poskytována v komprimované podobě, např. ke snížení velikosti souboru ke stažení.", da: "Kompressionsformatet for distributionen som indeholder data i et komprimeret format, fx for at reducere størrelsen af downloadfilen.", es: "El formato de la distribución en el que los datos están en forma comprimida, e.g. para reducir el tamaño del archivo a bajar.", it: "Il formato di compressione della distribuzione nel quale i dati sono in forma compressa, ad es. per ridurre le dimensioni del file da scaricare."},
      definition: {en: "The compression format of the distribution in which the data is contained in a compressed form, e.g. to reduce the size of the downloadable file.", cs: "Formát komprese souboru, ve kterém jsou data poskytována v komprimované podobě, např. ke snížení velikosti souboru ke stažení.", da: "Kompressionsformatet for distributionen som indeholder data i et komprimeret format, fx for at reducere størrelsen af downloadfilen.", es: "El formato de la distribución en el que los datos están en forma comprimida, e.g. para reducir el tamaño del archivo a bajar.", it: "Il formato di compressione della distribuzione nel quale i dati sono in forma compressa, ad es. per ridurre le dimensioni del file da scaricare."},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property is to be used when the files in the distribution are compressed, e.g. in a ZIP file. The format SHOULD be expressed using a media type as defined by IANA media types registry https://www.iana.org/assignments/media-types/, if available.", cs: "Tato vlastnost se použije, když jsou soubory v distribuci komprimovány, např. v ZIP souboru. Formát BY MĚL být vyjádřen pomocí typu média definovaného v registru IANA https://www.iana.org/assignments/media-types/, pokud existuje.", da: "Denne egenskab kan anvendes når filerne i en distribution er blevet komprimeret, fx i en ZIP-fil. Formatet BØR udtrykkes ved en medietype som defineret i 'IANA media types registry', hvis der optræder en relevant medietype dér: https://www.iana.org/assignments/media-types/.", es: "Esta propiedad se debe usar cuando los archivos de la distribución están comprimidos, por ejemplo en un archivo ZIP. El formato DEBERÍA expresarse usando un 'media type', tales como los definidos en el registro IANA de 'media types' https://www.iana.org/assignments/media-types/, si está disponibles.", it: "Questa proprietà deve essere utilizzata quando i file nella distribuzione sono compressi, ad es. in un file ZIP. Il formato DOVREBBE essere espresso usando un tipo di media come definito dal registro dei tipi di media IANA https://www.iana.org/assignments/media-types/, se disponibile."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "compression format", cs: "formát komprese", da: "kompressionsformat", es: "formato de compresión", it: "formato di compressione"},
      range: "http://purl.org/dc/terms/MediaType",
      subPropertyOf: "http://purl.org/dc/terms/format",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :contactPoint,
      comment: {en: "Relevant contact information for the catalogued resource. Use of vCard is recommended.", ar: "تربط قائمة البيانات بعنوان اتصال موصف  باستخدام VCard", cs: "Relevantní kontaktní informace pro katalogizovaný zdroj. Doporučuje se použít slovník VCard.", da: "Relevante kontaktoplysninger for den katalogiserede ressource. Anvendelse af vCard anbefales.", el: "Συνδέει ένα σύνολο δεδομένων με ένα σχετικό σημείο επικοινωνίας, μέσω VCard.", es: "Información relevante de contacto para el recurso catalogado. Se recomienda el uso de vCard.", fr: "Relie un jeu de données à une information de contact utile en utilisant VCard.", it: "Informazioni di contatto rilevanti per la risorsa catalogata. Si raccomanda l'uso di vCard.", ja: "データセットを、VCardを用いて提供されている適切な連絡先情報にリンクします。"},
      definition: {en: "Relevant contact information for the catalogued resource. Use of vCard is recommended.", ar: "تربط قائمة البيانات بعنوان اتصال موصف  باستخدام VCard", cs: "Relevantní kontaktní informace pro katalogizovaný zdroj. Doporučuje se použít slovník VCard.", da: "Relevante kontaktoplysninger for den katalogiserede ressource. Anvendelse af vCard anbefales.", el: "Συνδέει ένα σύνολο δεδομένων με ένα σχετικό σημείο επικοινωνίας, μέσω VCard.", es: "Información relevante de contacto para el recurso catalogado. Se recomienda el uso de vCard.", fr: "Relie un jeu de données à une information de contact utile en utilisant VCard.", it: "Informazioni di contatto rilevanti per la risorsa catalogata. Si raccomanda l'uso di vCard.", ja: "データセットを、VCardを用いて提供されている適切な連絡先情報にリンクします。"},
      editorialNote: {en: "Status: English Definition text modified by DCAT revision team, Italian, Spanish and Czech translations provided, other translations pending."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "contact point", ar: "عنوان اتصال", cs: "kontaktní bod", da: "kontaktpunkt", el: "σημείο επικοινωνίας", es: "Punto de contacto", fr: "point de contact", it: "punto di contatto", ja: "窓口"},
      range: "http://www.w3.org/2006/vcard/ns#Kind",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dataset,
      altLabel: {en: "has dataset", da: "datasamling"},
      comment: {en: "A dataset that is listed in the catalog.", ar: "تربط الفهرس بقائمة بيانات ضمنه", cs: "Kolekce dat, která je katalogizována v katalogu.", da: "En samling af data som er opført i kataloget.", el: "Συνδέει έναν κατάλογο με ένα σύνολο δεδομένων το οποίο ανήκει στον εν λόγω κατάλογο.", es: "Un conjunto de datos que se lista en el catálogo.", fr: "Relie un catalogue à un jeu de données faisant partie de ce catalogue.", it: "Una raccolta di dati che è elencata nel catalogo.", ja: "カタログの一部であるデータセット。"},
      definition: {en: "A dataset that is listed in the catalog.", ar: "تربط الفهرس بقائمة بيانات ضمنه", cs: "Kolekce dat, která je katalogizována v katalogu.", da: "En samling af data som er opført i kataloget.", el: "Συνδέει έναν κατάλογο με ένα σύνολο δεδομένων το οποίο ανήκει στον εν λόγω κατάλογο.", es: "Un conjunto de datos que se lista en el catálogo.", fr: "Relie un catalogue à un jeu de données faisant partie de ce catalogue.", it: "Una raccolta di dati che è elencata nel catalogo.", ja: "カタログの一部であるデータセット。"},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      editorialNote: {en: "Status: English Definition text modified by DCAT 3 revision team, translations pending."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "dataset", ar: "قائمة بيانات", cs: "datová sada", da: "datasæt", el: "σύνολο δεδομένων", es: "conjunto de datos", fr: "jeu de données", it: "dataset", ja: "データセット"},
      range: "http://www.w3.org/ns/dcat#Dataset",
      subPropertyOf: "http://www.w3.org/ns/dcat#resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :distribution,
      altLabel: {en: "has distribution", da: "har distribution"},
      comment: {en: "An available distribution of the dataset.", ar: "تربط قائمة البيانات بطريقة أو بشكل يسمح  الوصول الى البيانات", cs: "Dostupná distribuce datové sady.", da: "En tilgængelig repræsentation af datasættet.", el: "Συνδέει ένα σύνολο δεδομένων με μία από τις διαθέσιμες διανομές του.", es: "Una distribución disponible del conjunto de datos.", fr: "Connecte un jeu de données à des distributions disponibles.", it: "Una distribuzione disponibile per il set di dati.", ja: "データセットを、その利用可能な配信に接続します。"},
      definition: {en: "An available distribution of the dataset.", ar: "تربط قائمة البيانات بطريقة أو بشكل يسمح  الوصول الى البيانات", cs: "Dostupná distribuce datové sady.", da: "En tilgængelig repræsentation af datasættet.", el: "Συνδέει ένα σύνολο δεδομένων με μία από τις διαθέσιμες διανομές του.", es: "Una distribución disponible del conjunto de datos.", fr: "Connecte un jeu de données à des distributions disponibles.", it: "Una distribuzione disponibile per il set di dati.", ja: "データセットを、その利用可能な配信に接続します。"},
      domain: "http://www.w3.org/ns/dcat#Dataset",
      editorialNote: {en: "Status: English Definition text modified by DCAT revision team, translations pending (except for Italian, Spanish and Czech)."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "distribution", ar: "توزيع", cs: "distribuce", da: "distribution", el: "διανομή", es: "distribución", fr: "distribution", it: "distribuzione", ja: "データセット配信"},
      range: "http://www.w3.org/ns/dcat#Distribution",
      subPropertyOf: "http://purl.org/dc/terms/relation",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :downloadURL,
      comment: {en: "The URL of the downloadable file in a given format. E.g. CSV file or RDF file. The format is indicated by the distribution's dcterms:format and/or dcat:mediaType.", ar: "رابط مباشر لملف يمكن تحميله. نوع الملف يتم توصيفه باستخدام الخاصية dcterms:format dcat:mediaType ", cs: "URL souboru ke stažení v daném formátu, například CSV nebo RDF soubor. Formát je popsán vlastností distribuce dcterms:format a/nebo dcat:mediaType.", da: "URL til fil der kan downloades i et bestemt format. Fx en CSV-fil eller en RDF-fil. Formatet for distributionen angives ved hjælp af egenskaberne dcterms:format og/eller dcat:mediaType.", el: "Είναι ένας σύνδεσμος άμεσης μεταφόρτωσης ενός αρχείου σε μια δεδομένη μορφή. Π.χ. ένα αρχείο CSV ή RDF. Η μορφη αρχείου περιγράφεται από τις ιδιότητες dcterms:format ή/και dcat:mediaType της διανομής.", es: "La URL de un archivo descargable en el formato dato. Por ejemplo, archivo CSV o archivo RDF. El formato se describe con las propiedades de la distribución dcterms:format y/o dcat:mediaType.", fr: "Ceci est un lien direct à un fichier téléchargeable en un format donnée. Exple fichier CSV ou RDF. Le format est décrit par les propriétés de distribution dcterms:format et/ou dcat:mediaType.", it: "Questo è un link diretto al file scaricabile in un dato formato. E.g. un file CSV o un file RDF. Il formato è descritto dal dcterms:format e/o dal dcat:mediaType della distribuzione.", ja: "dcat:downloadURLはdcat:accessURLの特定の形式です。しかし、DCATプロファイルが非ダウンロード・ロケーションに対してのみaccessURLを用いる場合には、より強い分離を課すことを望む可能性があるため、この含意を強化しないように、DCATは、dcat:downloadURLをdcat:accessURLのサブプロパティーであると定義しません。"},
      definition: {en: "The URL of the downloadable file in a given format. E.g. CSV file or RDF file. The format is indicated by the distribution's dcterms:format and/or dcat:mediaType.", ar: "رابط مباشر لملف يمكن تحميله. نوع الملف يتم توصيفه باستخدام الخاصية dcterms:format dcat:mediaType ", cs: "URL souboru ke stažení v daném formátu, například CSV nebo RDF soubor. Formát je popsán vlastností distribuce dcterms:format a/nebo dcat:mediaType.", da: "URL til fil der kan downloades i et bestemt format. Fx en CSV-fil eller en RDF-fil. Formatet for distributionen angives ved hjælp af egenskaberne dcterms:format og/eller dcat:mediaType.", el: "Είναι ένας σύνδεσμος άμεσης μεταφόρτωσης ενός αρχείου σε μια δεδομένη μορφή. Π.χ. ένα αρχείο CSV ή RDF. Η μορφη αρχείου περιγράφεται από τις ιδιότητες dcterms:format ή/και dcat:mediaType της διανομής.", es: "La URL de un archivo descargable en el formato dato. Por ejemplo, archivo CSV o archivo RDF. El formato se describe con las propiedades de la distribución dcterms:format y/o dcat:mediaType.", fr: "Ceci est un lien direct à un fichier téléchargeable en un format donnée. Exple fichier CSV ou RDF. Le format est décrit par les propriétés de distribution dcterms:format et/ou dcat:mediaType.", it: "Questo è un link diretto al file scaricabile in un dato formato. E.g. un file CSV o un file RDF. Il formato è descritto dal dcterms:format e/o dal dcat:mediaType della distribuzione.", ja: "dcat:downloadURLはdcat:accessURLの特定の形式です。しかし、DCATプロファイルが非ダウンロード・ロケーションに対してのみaccessURLを用いる場合には、より強い分離を課すことを望む可能性があるため、この含意を強化しないように、DCATは、dcat:downloadURLをdcat:accessURLのサブプロパティーであると定義しません。"},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      editorialNote: {en: "rdfs:label, rdfs:comment and/or skos:scopeNote have been modified. Non-english versions must be updated."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "dcat:downloadURL SHOULD be used for the address at which this distribution is available directly, typically through a HTTP Get request.", cs: "dcat:downloadURL BY MĚLA být použita pro adresu, ze které je distribuce přímo přístupná, typicky skrze požadavek HTTP Get.", da: "dcat:downloadURL BØR anvendes til angivelse af den adresse hvor distributionen er tilgængelig direkte, typisk gennem et HTTP Get request.", el: "Η τιμή είναι ένα URL.", es: "El valor es una URL.", fr: "La valeur est une URL.", it: "dcat:downloadURL DOVREBBE essere utilizzato per l'indirizzo a cui questa distribuzione è disponibile direttamente, in genere attraverso una richiesta Get HTTP."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "download URL", ar: "رابط تحميل", cs: "URL souboru ke stažení", da: "downloadURL", el: "URL μεταφόρτωσης", es: "URL de descarga", fr: "URL de téléchargement", it: "URL di scarico", ja: "ダウンロードURL"},
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :endDate,
      altLabel: {da: "sluttidspunkt"},
      comment: {en: "The end of the period.", cs: "Konec doby trvání.", da: "Slutningen på perioden.", es: "El fin del período.", it: "La fine del periodo."},
      definition: {en: "The end of the period.", cs: "Konec doby trvání.", da: "Slutningen på perioden.", es: "El fin del período.", it: "La fine del periodo."},
      domain: "http://purl.org/dc/terms/PeriodOfTime",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The range of this property is intentionally generic, with the purpose of allowing different level of temporal precision for specifying the end of a period. E.g., it can be expressed with a date (xsd:date), a date and time (xsd:dateTime), or a year (xsd:gYear).", cs: "Obor hodnot této vlastnosti je úmyslně obecný, aby umožnil různé úrovně časového rozlišení pro specifikaci konce doby trvání. Ten může být kupříkladu vyjádřen datumem (xsd:date), datumem a časem (xsd:dateTime) či rokem (xsd:gYear).", da: "Rækkeviden for denne egenskab er bevidst generisk defineret med det formål at tillade forskellige niveauer af tidslig præcision ifm. angivelse af slutdatoen for en periode. Den kan eksempelvis udtrykkes som en dato (xsd:date), en dato og et tidspunkt (xsd:dateTime), eller et årstal (xsd:gYear).", es: "El rango de esta propiedad es intencionalmente genérico con el propósito de permitir distintos niveles de precisión temporal para especificar el fin del período. Por ejemplo, puede expresarse como una fecha (xsd:date), una fecha y un tiempo (xsd:dateTime), o un año (xsd:gYear).", it: "La range di questa proprietà è volutamente generico, con lo scopo di consentire diversi livelli di precisione temporale per specificare la fine di un periodo. Ad esempio, può essere espresso con una data (xsd:date), una data e un'ora (xsd:dateTime), o un anno (xsd:gYear)."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "end date", cs: "datum konce", da: "slutdato", es: "fecha final", it: "data di fine"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :endpointDescription,
      comment: {en: "A description of the service end-point, including its operations, parameters etc.", cs: "Popis přístupového bodu služby včetně operací, parametrů apod.", da: "En beskrivelse af det pågældende tjenesteendpoint, inklusiv dets operationer, parametre etc.", es: "Una descripción del end-point del servicio, incluyendo sus operaciones, parámetros, etc.", it: "Una descrizione dell'endpoint del servizio, incluse le sue operazioni, parametri, ecc."},
      definition: {en: "A description of the service end-point, including its operations, parameters etc.", cs: "Popis přístupového bodu služby včetně operací, parametrů apod.", da: "En beskrivelse af det pågældende tjenesteendpoint, inklusiv dets operationer, parametre etc.", es: "Una descripción del end-point del servicio, incluyendo sus operaciones, parámetros, etc..", it: "Una descrizione dell'endpoint del servizio, incluse le sue operazioni, parametri, ecc."},
      domain: "http://www.w3.org/ns/dcat#DataService",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "Nueva propiedad agregada en DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab i DCAT 2.", it: "Nuova proprietà in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The endpoint description gives specific details of the actual endpoint instance, while dcterms:conformsTo is used to indicate the general standard or specification that the endpoint implements.", cs: "Popis přístupového bodu může být vyjádřen ve strojově čitelné formě, například jako popis OpenAPI (Swagger), odpověď služby OGC getCapabilities, pomocí slovníku SPARQL Service Description, jako OpenSearch či WSDL document, jako popis API dle slovníku Hydra, a nebo textově nebo jiným neformálním způsobem, pokud není možno použít formální reprezentaci.", da: "Endpointbeskrivelsen giver specifikke oplysninger om den konkrete endpointinstans, mens dcterms:conformsTo anvendes til at indikere den overordnede standard eller specifikation som endpointet er i overensstemmelse med.", es: "Una descripción del endpoint del servicio puede expresarse en un formato que la máquina puede interpretar, tal como una descripción basada en OpenAPI (Swagger), una respuesta OGC GetCapabilities, una descripción de un servicio SPARQL, un documento OpenSearch o WSDL, una descripción con la Hydra API, o en texto u otro modo informal si la representación formal no es posible.", it: "Una descrizione dell'endpoint può essere espressa in un formato leggibile dalla macchina, come una descrizione OpenAPI (Swagger), una risposta GetCapabilities OGC, una descrizione del servizio SPARQL, un documento OpenSearch o WSDL, una descrizione API Hydra, o con del testo o qualche altra modalità informale se una rappresentazione formale non è possibile."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "description of service end-point", cs: "popis přístupového bodu služby", da: "endpointbeskrivelse", es: "descripción del end-point del servicio", it: "descrizione dell'endpoint del servizio"},
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :endpointURL,
      comment: {en: "The root location or primary endpoint of the service (a web-resolvable IRI).", cs: "Kořenové umístění nebo hlavní přístupový bod služby (IRI přístupné přes Web).", da: "Rodplaceringen eller det primære endpoint for en tjeneste (en web-resolverbar IRI).", es: "La posición raíz o end-point principal del servicio (una IRI web).", it: "La locazione principale o l'endpoint primario del servizio (un IRI risolvibile via web)."},
      definition: {en: "The root location or primary endpoint of the service (a web-resolvable IRI).", cs: "Kořenové umístění nebo hlavní přístupový bod služby (IRI přístupné přes Web).", da: "Rodplaceringen eller det primære endpoint for en tjeneste (en web-resolverbar IRI).", es: "La posición raíz o end-point principal del servicio (una IRI web).", it: "La locazione principale o l'endpoint primario del servizio (un IRI risolvibile via web)."},
      domain: "http://www.w3.org/ns/dcat#DataService",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà in DCAT 2."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "service end-point", cs: "přístupový bod služby", da: "tjenesteendpoint", es: "end-point del servicio", it: "end-point del servizio"},
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :first,
      comment: {en: "The first resource in an ordered collection or series of resources, to which the current resource belongs.", es: "El primer recurso en una colección ordenada o serie de recursos, al que el recurso pertenece.", it: "La prima risorsa in una collezione ordinata o in una serie di risorse, di cui la risorsa fa parte."},
      definition: {en: "The first resource in an ordered collection or series of resources, to which the current resource belongs.", es: "El primer recurso en una colección ordenada o serie de recursos, al que el recurso pertenece.", it: "La prima risorsa in una collezione ordinata o in una serie di risorse, di cui la risorsa fa parte."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "In DCAT this property is used for resources belonging to a dcat:DatasetSeries.", es: "En DCAT esta propiedad se usa para recursos que pertenecen a una dcat:DatasetSeries.", it: "In DCAT questa proprietà è usata per risorse che fanno parte di una dcat:DatasetSeries."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "first", es: "primero", it: "primo"},
      subPropertyOf: "http://www.w3.org/1999/xhtml/vocab#first",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :hadRole,
      comment: {en: "The function of an entity or agent with respect to another entity or resource.", cs: "Funkce entity či agenta ve vztahu k jiné entitě či zdroji.", da: "Den funktion en entitet eller aktør har i forhold til en anden ressource.", es: "La función de una entidad o agente con respecto a otra entidad o recurso.", it: "La funzione di un'entità o un agente rispetto ad un'altra entità o risorsa."},
      definition: {en: "The function of an entity or agent with respect to another entity or resource.", cs: "Funkce entity či agenta ve vztahu k jiné entitě či zdroji.", da: "Den funktion en entitet eller aktør har i forhold til en anden ressource.", es: "La función de una entidad o agente con respecto a otra entidad o recurso.", it: "La funzione di un'entità o un agente rispetto ad un'altra entità o risorsa."},
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Attribution", "http://www.w3.org/ns/dcat#Relationship")
        ),
      editorialNote: {en: "Introduced into DCAT to complement prov:hadRole (whose use is limited to roles in the context of an activity, with the domain of prov:Association.", cs: "Přidáno do DCAT pro doplnění vlastnosti prov:hadRole (jejíž užití je omezeno na role v kontextu aktivity, s definičním oborem prov:Association).", da: "Introduceret i DCAT for at supplere prov:hadRole (hvis anvendelse er begrænset til roller i forbindelse med en aktivitet med domænet prov:Association).", es: "Agregada en DCAT para complementar prov:hadRole (cuyo uso está limitado a roles en el contexto de una actividad, con dominio prov:Association.", it: "Introdotta in DCAT per completare prov:hadRole (il cui uso è limitato ai ruoli nel contesto di un'attività, con il dominio di prov:Association."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "May be used in a qualified-relation to specify the role of an Entity with respect to another Entity.  It is recommended that the value be taken from a controlled vocabulary of entity roles such as: ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode; IANA Registry of Link Relations https://www.iana.org/assignments/link-relation; DataCite metadata schema; MARC relators https://id.loc.gov/vocabulary/relators.", cs: "Může být použito v kvalifikovaném vztahu pro specifikaci role Entity ve vztahu k jiné Entitě. Je doporučeno použít hodnotu z řízeného slovníku rolí entit, jako například ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode, IANA Registry of Link Relations https://www.iana.org/assignments/link-relation, DataCite metadata schema, MARC relators https://id.loc.gov/vocabulary/relators.", da: "Kan vendes ved kvalificerede krediteringer til at angive en aktørs rolle i forhold en entitet. Det anbefales at værdierne styres som et kontrolleret udfaldsrum med aktørroller, såsom http://registry.it.csiro.au/def/isotc211/CI_RoleCode.", es: "Puede usarse en una atribución cualificada para especificar el rol de una Entidad con respecto a otra Entidad. Se recomienda que su valor se tome de un vocabulario controlado de roles de entidades como por ejemplo: ISO 19115 DS_AssociationTypeCode http://registry.it.csiro.au/def/isotc211/DS_AssociationTypeCode; IANA Registry of Link Relations https://www.iana.org/assignments/link-relation; esquema de metadatos de DataCite; MARC relators https://id.loc.gov/vocabulary/relators.", it: "Può essere utilizzato in un'attribuzione qualificata per specificare il ruolo di un agente rispetto a un'entità. Si raccomanda che il valore sia preso da un vocabolario controllato di ruoli di agente, come ad esempio http://registry.it.csiro.au/def/isotc211/CI_RoleCode."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "hadRole", cs: "sehraná role", da: "havde rolle", it: "tiene rol"},
      range: "http://www.w3.org/ns/dcat#Role",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :hasCurrentVersion,
      comment: {en: "This resource has a more specific, versioned resource with equivalent content [PAV].", es: "Este recurso es más específico y versionado con contenido equivalente [PAV].", it: "Per questa risorsa esiste una risorsa più specifica e versionata, ma con lo stesso contenuto."},
      definition: {en: "This resource has a more specific, versioned resource with equivalent content [PAV].", es: "Este recurso es más específico y versionado con contenido equivalente [PAV].", it: "Per questa risorsa esiste una risorsa più specifica e versionata, ma con lo stesso contenuto."},
      equivalentProperty: "http://purl.org/pav/hasCurrentVersion",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The notion of version used by this property is limited to versions resulting from revisions occurring to a resource as part of its life-cycle.", es: "La noción de versión que se usa en esta propiedad está limitada a las versiones que resultan de revisiones de un recurso como parte de su ciclo de vida.", it: "La nozione di versione usata da questa proprietà è limitata a versioni risultanti da revisioni a cui una risorsa è soggetta nel suo ciclo di vita."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "has current version", es: "tiene versión actual", it: "ha versione attuale"},
      subPropertyOf: "http://purl.org/pav/hasVersion",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :hasVersion,
      comment: {en: "This resource has a more specific, versioned resource [PAV].", es: "Este recurso tiene una versión específica.", it: "Per questa risorsa esiste una risorsa più specifica e versionata."},
      definition: {en: "This resource has a more specific, versioned resource [PAV].", es: "Este recurso tiene una versión específica.", it: "Per questa risorsa esiste una risorsa più specifica e versionata."},
      equivalentProperty: "http://purl.org/pav/hasVersion",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The notion of version used by this property is limited to versions resulting from revisions occurring to a resource as part of its life-cycle. Therefore, its semantics is more specific than its super-property dcterms:hasVersion, which makes use of a broader notion of version, including editions and adaptations.", es: "La noción de versión que se usa en esta propiedad está limitada a las versiones que resultan de revisiones de un recurso como parte de su ciclo de vida. Por lo tanto, su semántica es más específica que su super-propiedad dcterns:hasVersion, la cuál hace uso de la noción más amplia de versión, incluyendo ediciones y adaptaciones.", it: "La nozione di versione usata da questa proprietà è limitata a versioni risultanti da revisioni a cui una risorsa è soggetta nel suo ciclo di vita. Quindi la sua semantica è più specifica di quella della sua super-proprietà dcterms:hasVersion, che utilizza una nozione di versione più ampia, e include, ad es., edizioni e adattamenti."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "has version", es: "tiene versión", it: "ha versione"},
      subPropertyOf: ["http://purl.org/dc/terms/hasVersion", "http://www.w3.org/ns/prov#generalizationOf"],
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :inSeries,
      comment: {en: "A dataset series of which the dataset is part.", es: "Una serie de conjuntos de datos del cuál un conjunto de datos es parte.", it: "Una serie di dataset di cui questo dataset fa parte."},
      definition: {en: "A dataset series of which the dataset is part.", es: "Una serie de conjuntos de datos del cuál un conjunto de datos es parte.", it: "Una serie di dataset di cui questo dataset fa parte."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "in series", es: "en serie", it: "in serie"},
      subPropertyOf: "http://purl.org/dc/terms/isPartOf",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :keyword,
      comment: {en: "A keyword or tag describing a resource.", ar: "كلمة  مفتاحيه توصف قائمة البيانات", cs: "Klíčové slovo nebo značka popisující zdroj.", da: "Et nøgleord eller tag til beskrivelse af en ressource.", el: "Μία λέξη-κλειδί ή μία ετικέτα που περιγράφει το σύνολο δεδομένων.", es: "Una palabra clave o etiqueta que describe un recurso.", fr: "Un mot-clé ou étiquette décrivant une ressource.", it: "Una parola chiave o un'etichetta per descrivere la risorsa.", ja: "データセットを記述しているキーワードまたはタグ。"},
      definition: {en: "A keyword or tag describing a resource.", ar: "كلمة  مفتاحيه توصف قائمة البيانات", cs: "Klíčové slovo nebo značka popisující zdroj.", da: "Et nøgleord eller tag til beskrivelse af en ressource.", el: "Μία λέξη-κλειδί ή μία ετικέτα που περιγράφει το σύνολο δεδομένων.", es: "Una palabra clave o etiqueta que describe un recurso.", fr: "Un mot-clé ou étiquette décrivant une ressource.", it: "Una parola chiave o un'etichetta per descrivere la risorsa.", ja: "データセットを記述しているキーワードまたはタグ。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "keyword", ar: "كلمة  مفتاحية ", cs: "klíčové slovo", da: "nøgleord", el: "λέξη-κλειδί", es: "palabra clave", fr: "mot-clés ", it: "parola chiave", ja: "キーワード/タグ"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :landingPage,
      comment: {en: "A Web page that can be navigated to in a Web browser to gain access to the catalog, a dataset, its distributions and/or additional information.", ar: "صفحة وب يمكن من خلالها الوصول الى قائمة البيانات أو إلى معلومات إضافية متعلقة بها ", cs: "Webová stránka, na kterou lze pro získání přístupu ke katalogu, datové sadě, jejím distribucím a/nebo dalším informacím přistoupit webovým prohlížečem.", da: "En webside som der kan navigeres til i en webbrowser for at få adgang til kataloget, et datasæt, dets distributioner og/eller yderligere information.", el: "Μία ιστοσελίδα πλοηγίσιμη μέσω ενός φυλλομετρητή (Web browser) που δίνει πρόσβαση στο σύνολο δεδομένων, τις διανομές αυτού ή/και επιπρόσθετες πληροφορίες.", es: "Una página web que puede ser visitada en un explorador Web para tener acceso el catálogo, un conjunto de datos, sus distribuciones y/o información adicional.", fr: "Une page Web accessible par un navigateur Web donnant accès au catalogue, un jeu de données, ses distributions et/ou des informations additionnelles.", it: "Una pagina web che può essere navigata per ottenere l'accesso al catalogo, ad un dataset, alle distribuzioni del dataset e/o ad informazioni addizionali.", ja: "データセット、その配信および（または）追加情報にアクセスするためにウエブ・ブラウザでナビゲートできるウェブページ。"},
      definition: {en: "A Web page that can be navigated to in a Web browser to gain access to the catalog, a dataset, its distributions and/or additional information.", ar: "صفحة وب يمكن من خلالها الوصول الى قائمة البيانات أو إلى معلومات إضافية متعلقة بها ", cs: "Webová stránka, na kterou lze pro získání přístupu ke katalogu, datové sadě, jejím distribucím a/nebo dalším informacím přistoupit webovým prohlížečem.", da: "En webside som en webbrowser kan navigeres til for at få adgang til kataloget, et datasæt, dets distritbutioner og/eller yderligere information.", el: "Μία ιστοσελίδα πλοηγίσιμη μέσω ενός φυλλομετρητή (Web browser) που δίνει πρόσβαση στο σύνολο δεδομένων, τις διανομές αυτού ή/και επιπρόσθετες πληροφορίες.", es: "Una página web que puede ser visitada en un explorador Web para tener acceso el catálogo, un conjunto de datos, sus distribuciones y/o información adicional.", fr: "Une page Web accessible par un navigateur Web donnant accès au catalogue, un jeu de données, ses distributions et/ou des informations additionnelles.", it: "Una pagina web che può essere navigata per ottenere l'accesso al catalogo, ad un dataset, alle distribuzioni del dataset e/o ad informazioni addizionali.", ja: "データセット、その配信および（または）追加情報にアクセスするためにウエブ・ブラウザでナビゲートできるウェブページ。"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "If the distribution(s) are accessible only through a landing page (i.e. direct download URLs are not known), then the landing page link should be duplicated as accessURL on a distribution.", cs: "Pokud je distribuce dostupná pouze přes vstupní stránku, t.j. přímý URL odkaz ke stažení není znám, URL přístupové stránky by mělo být duplikováno ve vlastnosti distribuce accessURL.", da: "Hvis en eller flere distributioner kun er tilgængelige via en destinationsside (dvs. en URL til direkte download er ikke kendt), så bør destinationssidelinket gentages som adgangsadresse for en distribution.", el: "Αν η/οι διανομή/ές είναι προσβάσιμη/ες μόνο μέσω μίας ιστοσελίδας αρχικής πρόσβασης (δηλαδή αν δεν υπάρχουν γνωστές διευθύνσεις άμεσης μεταφόρτωσης), τότε ο σύνδεσμος της ιστοσελίδας αρχικής πρόσβασης πρέπει να αναπαραχθεί ως accessURL σε μία διανομή.", es: "Si la distribución es accesible solamente través de una página de aterrizaje (i.e., no se conoce una URL de descarga directa), entonces el enlance a la página de aterrizaje debe ser duplicado como accessURL sobre la distribución.", fr: "Si la distribution est seulement accessible à travers une page d'atterrissage (exple. pas de connaissance d'URLS de téléchargement direct ), alors le lien de la page d'atterrissage doit être dupliqué comme accessURL sur la distribution.", it: "Se la distribuzione è accessibile solo attraverso una pagina di destinazione (cioè, un URL di download diretto non è noto), il link alla pagina di destinazione deve essere duplicato come accessURL sulla distribuzione.", ja: "ランディング・ページを通じてしか配信にアクセスできない場合（つまり、直接的なダウンロードURLが不明）には、配信におけるaccessURLとしてランディング・ページのリンクをコピーすべきです（SHOULD）。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "landing page", ar: "صفحة وصول", cs: "vstupní stránka", da: "destinationsside", el: "ιστοσελίδα αρχικής πρόσβασης", es: "página de destino", fr: "page d'atterrissage", it: "pagina di destinazione", ja: "ランディング・ページ"},
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/page",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :last,
      comment: {en: "The last resource in an ordered collection or series of resources, to which the current resource belongs.", es: "El último recurso en una colección ordenada o serie de recursos, al que el recurso pertenece.", it: "L'ultima risorsa in una collezione ordinata o in una serie di risorse, di cui la risorsa fa parte."},
      definition: {en: "The last resource in an ordered collection or series of resources, to which the current resource belongs.", es: "El último recurso en una colección ordenada o serie de recursos, al que el recurso pertenece.", it: "L'ultima risorsa in una collezione ordinata o in una serie di risorse, di cui la risorsa fa parte."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "In DCAT this property is used for resources belonging to a dcat:DatasetSeries.", es: "En DCAT esta propiedad se usa para recursos que pertenecen a una dcat:DatasetSeries.", it: "In DCAT questa proprietà è usata per risorse che fanno parte di una dcat:DatasetSeries."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "last", es: "último", it: "ultimo"},
      subPropertyOf: "http://www.w3.org/1999/xhtml/vocab#last",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :mediaType,
      comment: {en: "The media type of the distribution as defined by IANA", ar: "يجب استخدام هذه الخاصية إذا كان نوع الملف معرف ضمن IANA", cs: "Typ média distribuce definovaný v IANA.", da: "Medietypen for distributionen som den er defineret af IANA.", el: "Η ιδιότητα αυτή ΘΑ ΠΡΕΠΕΙ να χρησιμοποιείται όταν ο τύπος μέσου μίας διανομής είναι ορισμένος στο IANA, αλλιώς η ιδιότητα dcterms:format ΔΥΝΑΤΑΙ να χρησιμοποιηθεί με διαφορετικές τιμές.", es: "Esta propiedad debe ser usada cuando está definido el tipo de media de la distribución en IANA, de otra manera dcterms:format puede ser utilizado con diferentes valores", fr: "Cette propriété doit être utilisée quand c'est définit le type de média de la distribution en IANA, sinon dcterms:format DOIT être utilisé avec différentes valeurs.", it: "Il tipo di media della distribuzione come definito da IANA", ja: "このプロパティーは、配信のメディア・タイプがIANAで定義されているときに使用すべきで（SHOULD）、そうでない場合には、dcterms:formatを様々な値と共に使用できます（MAY）。"},
      definition: {en: "The media type of the distribution as defined by IANA.", ar: "يجب استخدام هذه الخاصية إذا كان نوع الملف معرف ضمن IANA", cs: "Typ média distribuce definovaný v IANA.", da: "Medietypen for distributionen som den er defineret af IANA.", el: "Η ιδιότητα αυτή ΘΑ ΠΡΕΠΕΙ να χρησιμοποιείται όταν ο τύπος μέσου μίας διανομής είναι ορισμένος στο IANA, αλλιώς η ιδιότητα dcterms:format ΔΥΝΑΤΑΙ να χρησιμοποιηθεί με διαφορετικές τιμές.", es: "Esta propiedad debe ser usada cuando está definido el tipo de media de la distribución en IANA, de otra manera dcterms:format puede ser utilizado con diferentes valores.", fr: "Cette propriété doit être utilisée quand c'est définit le type de média de la distribution en IANA, sinon dcterms:format DOIT être utilisé avec différentes valeurs.", it: "Il tipo di media della distribuzione come definito da IANA.", ja: "このプロパティーは、配信のメディア・タイプがIANAで定義されているときに使用すべきで（SHOULD）、そうでない場合には、dcterms:formatを様々な値と共に使用できます（MAY）。"},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      editorialNote: {en: "Status: English Definition text modified by DCAT revision team, Italian and Czech translation provided, other translations pending. Note some inconsistency on def vs. usage."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "The range of dcat:mediaType has been tightened as part of the revision of DCAT.", cs: "Obor hodnot dcat:mediaType byl zúžen v této revizi DCAT.", it: "Il range di dcat:mediaType è stato ristretto  come parte della revisione di DCAT."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property SHOULD be used when the media type of the distribution is defined in the IANA media types registry https://www.iana.org/assignments/media-types/, otherwise dcterms:format MAY be used with different values.", cs: "Tato vlastnost BY MĚLA být použita, je-li typ média distribuce definován v registru IANA https://www.iana.org/assignments/media-types/. V ostatních případech MŮŽE být použita vlastnost dcterms:format s jinými hodnotami.", da: "Denne egenskab BØR anvendes hvis distributionens medietype optræder i 'IANA media types registry' https://www.iana.org/assignments/media-types/, ellers KAN egenskaben dcterms:format anvendes med et andet udfaldsrum.", es: "Esta propiedad DEBERÍA usarse cuando el 'media type' de la distribución está definido en el registro IANA de 'media types' https://www.iana.org/assignments/media-types/, de lo contrario, dcterms:format PUEDE usarse con distintos valores.", it: "Questa proprietà DEVE essere usata quando il tipo di media della distribuzione è definito nel registro dei tipi di media IANA https://www.iana.org/assignments/media-types/, altrimenti dcterms:format PUO 'essere usato con differenti valori."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "media type", ar: "نوع الميديا", cs: "typ média", da: "medietype", el: "τύπος μέσου", es: "tipo de media", fr: "type de média", it: "tipo di media", ja: "メディア・タイプ"},
      range: "http://purl.org/dc/terms/MediaType",
      subPropertyOf: "http://purl.org/dc/terms/format",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packageFormat,
      comment: {en: "The package format of the distribution in which one or more data files are grouped together, e.g. to enable a set of related files to be downloaded together.", cs: "Balíčkový formát souboru, ve kterém je jeden či více souborů seskupeno dohromady, např. aby bylo možné stáhnout sadu souvisejících souborů naráz.", da: "Format til pakning af data med henblik på distribution af en eller flere relaterede datafiler der samles til en enhed med henblik på samlet distribution. ", es: "El formato del archivo en que se agrupan uno o más archivos de datos, e.g. para permitir que un conjunto de archivos relacionados se bajen juntos.", it: "Il formato di impacchettamento della distribuzione in cui uno o più file di dati sono raggruppati insieme, ad es. per abilitare un insieme di file correlati da scaricare insieme."},
      definition: {en: "The package format of the distribution in which one or more data files are grouped together, e.g. to enable a set of related files to be downloaded together.", cs: "Balíčkový formát souboru, ve kterém je jeden či více souborů seskupeno dohromady, např. aby bylo možné stáhnout sadu souvisejících souborů naráz.", es: "El formato del archivo en que se agrupan uno o más archivos de datos, e.g. para permitir que un conjunto de archivos relacionados se bajen juntos.", it: "Il formato di impacchettamento della distribuzione in cui uno o più file di dati sono raggruppati insieme, ad es. per abilitare un insieme di file correlati da scaricare insieme."},
      domain: "http://www.w3.org/ns/dcat#Distribution",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property to be used when the files in the distribution are packaged, e.g. in a TAR file, a Frictionless Data Package or a Bagit file. The format SHOULD be expressed using a media type as defined by IANA media types registry https://www.iana.org/assignments/media-types/, if available.", cs: "Tato vlastnost se použije, když jsou soubory v distribuci zabaleny, např. v souboru TAR, v balíčku Frictionless Data Package nebo v souboru Bagit. Formát BY MĚL být vyjádřen pomocí typu média definovaného v registru IANA https://www.iana.org/assignments/media-types/, pokud existuje.", da: "Denne egenskab kan anvendes hvis filerne i en distribution er pakket, fx i en TAR-fil, en Frictionless Data Package eller en Bagit-fil. Formatet BØR udtrykkes ved en medietype som defineret i 'IANA media types registry', hvis der optræder en relevant medietype dér: https://www.iana.org/assignments/media-types/.", es: "Esta propiedad se debe usar cuando los archivos de la distribución están empaquetados, por ejemplo en un archivo TAR, Frictionless Data Package o Bagit. El formato DEBERÍA expresarse usando un 'media type', tales como los definidos en el registro IANA de 'media types' https://www.iana.org/assignments/media-types/, si está disponibles.", it: "Questa proprietà deve essere utilizzata quando i file nella distribuzione sono impacchettati, ad esempio in un file TAR, Frictionless Data Package o Bagit. Il formato DOVREBBE essere espresso utilizzando un tipo di supporto come definito dal registro dei tipi di media IANA https://www.iana.org/assignments/media-types/, se disponibili."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "packaging format", cs: "formát balíčku", da: "pakkeformat", es: "formato de empaquetado", it: "formato di impacchettamento"},
      range: "http://purl.org/dc/terms/MediaType",
      subPropertyOf: "http://purl.org/dc/terms/format",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :prev,
      comment: {en: "The previous resource (before the current one) in an ordered collection or series of resources.", it: "La risorsa precedente a quella attuale in una collezione ordinata o in una serie di risorse."},
      definition: {en: "The previous resource (before the current one) in an ordered collection or series of resources.", it: "La risorsa precedente a quella attuale in una collezione ordinata o in una serie di risorse."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "It is important to note that this property is different from dcat:previousVersion, as it does not denote a previous version of the same resource, but a distinct resource immediately preceding the current one in an ordered collection of resources.", es: "En DCAT esta propiedad se usa para recursos que pertenecen a una dcat:DatasetSeries.", it: "È importante notare che questa proprietà è diversa da dcat:previousVersion, dato che non indica una versione precedente della stessa risorsa, ma una risorsa distinta che precede immediatamente quella attuale in una collezione ordinata di risorse."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "previous", es: "previo", it: "precedente"},
      subPropertyOf: "http://www.w3.org/1999/xhtml/vocab#prev",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :previousVersion,
      comment: {en: "The previous version of a resource in a lineage [PAV].", it: "La versione precedente di una risorsa."},
      definition: {en: "The previous version of a resource in a lineage [PAV].", it: "La versione precedente di una risorsa."},
      equivalentProperty: "http://purl.org/pav/previousVersion",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The notion of version used by this property is limited to versions resulting from revisions occurring to a resource as part of its life-cycle. One of the typical cases here is representing the history of the versions of a dataset that have been released over time.", it: "La nozione di versione usata da questa proprietà è limitata a versioni risultanti da revisioni a cui una risorsa è soggetta nel suo ciclo di vita. Uno dei casi tipici è la rappresentazione della storia delle versioni di un dataset, che sono state pubblicate nel corso del tempo."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "previous version", es: "versión anterior", it: "versione precedente"},
      subPropertyOf: "http://www.w3.org/ns/prov#wasRevisionOf",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :qualifiedRelation,
      comment: {en: "Link to a description of a relationship with another resource.", cs: "Odkaz na popis vztahu s jiným zdrojem.", da: "Reference til en beskrivelse af en relation til en anden ressource.", es: "Enlace a una descripción de la relación con otro recurso.", it: "Link a una descrizione di una relazione con un'altra risorsa."},
      definition: {en: "Link to a description of a relationship with another resource.", cs: "Odkaz na popis vztahu s jiným zdrojem.", da: "Reference til en beskrivelse af en relation til en anden ressource.", es: "Enlace a una descripción de la relación con otro recurso.", it: "Link a una descrizione di una relazione con un'altra risorsa."},
      domain: "http://www.w3.org/ns/dcat#Resource",
      editorialNote: {en: "Introduced into DCAT to complement the other PROV qualified relations. ", cs: "Přidáno do DCAT k doplnění jiných kvalifikovaných vztahů ze slovníku PROV.", da: "Introduceret i DCAT med henblik på at supplere de øvrige kvalificerede relationer fra PROV. ", es: "Se incluyó en DCAT para complementar las relaciones calificadas disponibles en PROV.", it: "Introdotta in DCAT per integrare le altre relazioni qualificate di PROV."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Propiedad nueva añadida en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Used to link to another resource where the nature of the relationship is known but does not match one of the standard Dublin Core properties (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) or PROV-O properties (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", cs: "Použito pro odkazování na jiný zdroj, kde druh vztahu je znám, ale neodpovídá standardním vlastnostem ze slovníku Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) či slovníku PROV-O (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", da: "Anvendes til at referere til en anden ressource hvor relationens betydning er kendt men ikke matcher en af de standardiserede egenskaber fra Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) eller PROV-O-egenskaber (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", es: "Se usa para asociar con otro recurso para el cuál la naturaleza de la relación es conocida pero no es ninguna de las propiedades que provee el estándar Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat, dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:requires, dcterms:isRequiredBy) or PROV-O properties (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf).", it: "Viene utilizzato per associarsi a un'altra risorsa nei casi per i quali la natura della relazione è nota ma non è alcuna delle proprietà fornite dallo standard Dublin Core (dcterms:hasPart, dcterms:isPartOf, dcterms:conformsTo, dcterms:isFormatOf, dcterms:hasFormat , dcterms:isVersionOf, dcterms:hasVersion, dcterms:replaces, dcterms:isReplacedBy, dcterms:references, dcterms:isReferencedBy, dcterms:require, dcterms:isRequiredBy) o dalle proprietà fornite da PROV-O (prov:wasDerivedFrom, prov:wasInfluencedBy, prov:wasQuotedFrom , prov:wasRevisionOf, prov:hadPrimarySource, prov:alternateOf, prov:specializationOf)."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "qualified relation", cs: "kvalifikovaný vztah", da: "Kvalificeret relation", es: "relación calificada", it: "relazione qualificata"},
      range: "http://www.w3.org/ns/dcat#Relationship",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :record,
      altLabel: {da: "har post"},
      comment: {en: "A record describing the registration of a single dataset or data service that is part of the catalog.", ar: "تربط الفهرس بسجل ضمنه", cs: "Záznam popisující registraci jedné datové sady či datové služby jakožto součásti katalogu.", da: "En post der beskriver registreringen af et enkelt datasæt eller en datatjeneste som er opført i kataloget.", el: "Συνδέει έναν κατάλογο με τις καταγραφές του.", es: "Describe la registración de un conjunto de datos o un servicio de datos en el catálogo.", fr: "Relie un catalogue à ses registres.", it: "Un record che descrive la registrazione di un singolo set di dati o di un servizio dati che fa parte del catalogo.", ja: "カタログの一部であるカタログ・レコード。"},
      definition: {en: "A record describing the registration of a single dataset or data service that is part of the catalog.", ar: "تربط الفهرس بسجل ضمنه", cs: "Záznam popisující registraci jedné datové sady či datové služby jakožto součásti katalogu.", da: "En post der beskriver registreringen af et enkelt datasæt eller en datatjeneste som er opført i kataloget.", el: "Συνδέει έναν κατάλογο με τις καταγραφές του.", es: "Describe la registración de un conjunto de datos o un servicio de datos en el catálogo.", fr: "Relie un catalogue à ses registres.", it: "Un record che descrive la registrazione di un singolo set di dati o di un servizio dati che fa parte del catalogo.", ja: "カタログの一部であるカタログ・レコード。"},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      editorialNote: {en: "Status: English, Italian, Spanish and Czech Definitions modified by DCAT revision team, other translations pending."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "record", ar: "سجل", cs: "záznam", da: "post", el: "καταγραφή", es: "registro", fr: "registre", it: "record", ja: "カタログ・レコード"},
      range: "http://www.w3.org/ns/dcat#CatalogRecord",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :resource,
      comment: {en: "A resource that is listed in the catalog.", it: "Una risorsa elencata nel catalogo."},
      definition: {en: "A resource that is listed in the catalog.", it: "Una risorsa elencata nel catalogo."},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      editorialNote: {en: "Status: English Definition text modified by DCAT 3 revision team, translations pending."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "See also:\tSub-properties of dcat:resource in particular dcat:dataset, dcat:catalog, dcat:service.", it: "Vd. anche: Le sottoproprietà di dcat:resource, in particolare: dcat:dataset, dcat:catalog, dcat:service."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "resource", it: "risorsa"},
      range: "http://www.w3.org/ns/dcat#Resource",
      subPropertyOf: "http://purl.org/dc/terms/hasPart",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :servesDataset,
      altLabel: {da: "ekspederer"},
      comment: {en: "A collection of data that this DataService can distribute.", cs: "Kolekce dat, kterou je tato Datová služba schopna poskytnout.", da: "En samling af data som denne datatjeneste kan distribuere.", es: "Una colección de datos que este Servicio de Datos puede distribuir.", it: "Una raccolta di dati che questo DataService può distribuire."},
      definition: {en: "A collection of data that this DataService can distribute.", cs: "Kolekce dat, kterou je tato Datová služba schopna poskytnout.", da: "En samling af data som denne datatjeneste kan distribuere.", es: "Una colección de datos que este Servicio de Datos puede distribuir.", it: "Una raccolta di dati che questo DataService può distribuire."},
      domain: "http://www.w3.org/ns/dcat#DataService",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà in DCAT 2."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "serves dataset", cs: "poskytuje datovou sadu", da: "datatjeneste for datasæt", es: "provee conjunto de datos", it: "serve set di dati"},
      range: "http://www.w3.org/ns/dcat#Dataset",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :service,
      altLabel: {en: "has service", da: "har datatjeneste"},
      comment: {en: "A service that is listed in the catalog.", cs: "Umístění či přístupový bod registrovaný v katalogu.", da: "Et websted eller et endpoint som er opført i kataloget.", es: "Un sitio o 'endpoint' que está listado en el catálogo.", it: "Un sito o endpoint elencato nel catalogo."},
      definition: {en: "A service that is listed in the catalog.", cs: "Umístění či přístupový bod registrovaný v katalogu.", da: "Et websted eller et endpoint som er opført i kataloget.", es: "Un sitio o 'endpoint' que está listado en el catálogo.", it: "Un sito o endpoint elencato nel catalogo."},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      editorialNote: {en: "Status: English Definition text modified by DCAT 3 revision team, translations pending."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad añadida en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "service", cs: "služba", da: "datatjeneste", es: "servicio", it: "servizio"},
      range: "http://www.w3.org/ns/dcat#DataService",
      subPropertyOf: "http://www.w3.org/ns/dcat#resource",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :spatialResolutionInMeters,
      comment: {cs: "minimální prostorový rozestup rozeznatelný v datové sadě, měřeno v metrech.", da: "mindste geografiske afstand som kan erkendes i et datasæt, målt i meter.", "en-gb": "minimum spatial separation resolvable in a dataset, measured in metres.", "en-us": "minimum spatial separation resolvable in a dataset, measured in meters.", es: "mínima separacíon espacial disponible en un conjunto de datos, medida en metros.", it: "separazione spaziale minima risolvibile in un set di dati, misurata in metri."},
      definition: {cs: "minimální prostorový rozestup rozeznatelný v datové sadě, měřeno v metrech.", da: "mindste geografiske afstand som kan resolveres i et datasæt, målt i meter.", "en-gb": "minimum spatial separation resolvable in a dataset, measured in metres.", "en-us": "minimum spatial separation resolvable in a dataset, measured in meters.", es: "mínima separacíon espacial disponible en un conjunto de datos, medida en metros.", it: "separazione spaziale minima risolvibile in un set di dati, misurata in metri."},
      editorialNote: {en: "Might appear in the description of a Dataset or a Distribution, so no domain is specified.", cs: "Může se vyskytnout v popisu Datové sady nebo Distribuce, takže nebyl specifikován definiční obor.", da: "Kan optræde i forbindelse med beskrivelse af datasættet eller datasætditributionen, så der er ikke angivet et domæne for egenskaben."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny genskab tilføjet i DCAT 2.", es: "Nueva propiedad añadida en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "If the dataset is an image or grid this should correspond to the spacing of items. For other kinds of spatial dataset, this property will usually indicate the smallest distance between items in the dataset.", cs: "Různá prostorová rozlišení mohou být poskytována jako různé distribuce datové sady.", da: "Hvis datasættet udgøres af et billede eller et grid, så bør dette svare til afstanden mellem elementerne. For andre typer af spatiale datasæt, vil denne egenskab typisk indikere den mindste afstand mellem elementerne i datasættet.", es: "Si el conjunto de datos es una imágen o grilla, esta propiedad corresponde al espaciado de los elementos. Para otro tipo de conjunto de datos espaciales, esta propieda usualmente indica la menor distancia entre los elementos de dichos datos.", it: "Se il set di dati è un'immagine o una griglia, questo dovrebbe corrispondere alla spaziatura degli elementi. Per altri tipi di set di dati spaziali, questa proprietà di solito indica la distanza minima tra gli elementi nel set di dati."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {cs: "prostorové rozlišení (metry)", da: "geografisk opløsning (meter)", "en-gb": "spatial resolution (metres)", "en-us": "spatial resolution (meters)", es: "resolución espacial (metros)", it: "risoluzione spaziale (metri)"},
      range: "http://www.w3.org/2001/XMLSchema#decimal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :startDate,
      altLabel: {da: "starttidspunkt"},
      definition: {en: "The start of the period", cs: "Začátek doby trvání", da: "Start på perioden.", es: "El comienzo del período", it: "L'inizio del periodo"},
      domain: "http://purl.org/dc/terms/PeriodOfTime",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", da: "Ny egenskab tilføjet i DCAT 2.", es: "Nueva propiedad agregada en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The range of this property is intentionally generic, with the purpose of allowing different level of temporal precision for specifying the start of a period. E.g., it can be expressed with a date (xsd:date), a date and time (xsd:dateTime), or a year (xsd:gYear).", cs: "Obor hodnot této vlastnosti je úmyslně obecný, aby umožnil různé úrovně časového rozlišení pro specifikaci začátku doby trvání. Ten může být kupříkladu vyjádřen datumem (xsd:date), datumem a časem (xsd:dateTime) či rokem (xsd:gYear).", da: "Rækkeviden for denne egenskab er bevidst generisk defineret med det formål at tillade forskellige niveauer af tidslig præcision ifm. angivelse af startdatoen for en periode. Den kan eksempelvis udtrykkes som en dato (xsd:date), en dato og et tidspunkt (xsd:dateTime), eller et årstal (xsd:gYear).", es: "El rango de esta propiedad es intencionalmente genérico con el propósito de permitir distintos niveles de precisión temporal para especificar el comienzo de un período. Por ejemplo, puede expresarse como una fecha (xsd:date), una fecha y un tiempo (xsd:dateTime), o un año (xsd:gYear).", it: "Il range di questa proprietà è volutamente generico, con lo scopo di consentire diversi livelli di precisione temporale per specificare l'inizio di un periodo. Ad esempio, può essere espresso con una data (xsd:date), una data e un'ora (xsd:dateTime), o un anno (xsd:gYear)."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "start date", cs: "datum začátku", da: "startdato", it: "data di inizio"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :temporalResolution,
      comment: {en: "minimum time period resolvable in a dataset.", cs: "minimální doba trvání rozlišitelná v datové sadě.", da: "mindste tidsperiode der kan resolveres i datasættet.", es: "período de tiempo mínimo en el conjunto de datos.", it: "periodo di tempo minimo risolvibile in un set di dati."},
      definition: {en: "minimum time period resolvable in a dataset.", cs: "minimální doba trvání rozlišitelná v datové sadě.", da: "mindste tidsperiode der kan resolveres i datasættet.", es: "período de tiempo mínimo en el conjunto de datos.", it: "periodo di tempo minimo risolvibile in un set di dati."},
      editorialNote: {en: "Might appear in the description of a Dataset or a Distribution, so no domain is specified.", cs: "Může se vyskytnout v popisu Datové sady nebo Distribuce, takže nebyl specifikován definiční obor.", da: "Kan optræde i forbindelse med beskrivelse af datasættet eller datasætditributionen, så der er ikke angivet et domæne for egenskaben."},
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 2.", cs: "Nová vlastnost přidaná ve verzi DCAT 2.", es: "Nueva propiedad añadida en DCAT 2.", it: "Nuova proprietà aggiunta in DCAT 2."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "If the dataset is a time-series this should correspond to the spacing of items in the series. For other kinds of dataset, this property will usually indicate the smallest time difference between items in the dataset.", cs: "Různá časová rozlišení mohou být poskytována jako různé distribuce datové sady.", da: "Hvis datasættet er en tidsserie, så bør denne egenskab svare til afstanden mellem elementerne i tidsserien. For andre typer af datasæt indikerer denne egenskab den mindste tidsforskel mellem elementer i datasættet.", es: "Si el conjunto de datos es una serie temporal, debe corresponder al espaciado de los elementos de la serie. Para otro tipo de conjuntos de datos, esta propiedad indicará usualmente la menor diferencia de tiempo entre elementos en el dataset.", it: "Se il set di dati è una serie temporale, questo dovrebbe corrispondere alla spaziatura degli elementi della serie. Per altri tipi di set di dati, questa proprietà di solito indica la più piccola differenza di tempo tra gli elementi nel set di dati."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-2/",
      label: {en: "temporal resolution", cs: "časové rozlišení", da: "tidslig opløsning", es: "resolución temporal", it: "risoluzione temporale"},
      range: "http://www.w3.org/2001/XMLSchema#duration",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :theme,
      altLabel: {da: "tema"},
      comment: {en: "A main category of the resource. A resource can have multiple themes.", ar: "التصنيف الرئيسي لقائمة البيانات. قائمة البيانات يمكن أن تملك أكثر من تصنيف رئيسي واحد.", cs: "Hlavní téma zdroje. Zdroj může mít více témat.", da: "Et centralt emne for ressourcen. En ressource kan have flere centrale emner.", el: "Η κύρια κατηγορία του συνόλου δεδομένων. Ένα σύνολο δεδομένων δύναται να έχει πολλαπλά θέματα.", es: "La categoría principal del recurso. Un recurso puede tener varios temas.", fr: "La catégorie principale de la ressource. Une ressource peut avoir plusieurs thèmes.", it: "La categoria principale della risorsa. Una risorsa può avere più temi.", ja: "データセットの主要カテゴリー。データセットは複数のテーマを持つことができます。"},
      definition: {en: "A main category of the resource. A resource can have multiple themes.", ar: "التصنيف الرئيسي لقائمة البيانات. قائمة البيانات يمكن أن تملك أكثر من تصنيف رئيسي واحد.", cs: "Hlavní téma zdroje. Zdroj může mít více témat.", da: "Et centralt emne for ressourcen. En ressource kan have flere centrale emner.", el: "Η κύρια κατηγορία του συνόλου δεδομένων. Ένα σύνολο δεδομένων δύναται να έχει πολλαπλά θέματα.", es: "La categoría principal del recurso. Un recurso puede tener varios temas.", fr: "La catégorie principale de la ressource. Une ressource peut avoir plusieurs thèmes.", it: "La categoria principale della risorsa. Una risorsa può avere più temi.", ja: "データセットの主要カテゴリー。データセットは複数のテーマを持つことができます。"},
      editorialNote: {en: "Status: English Definition text  modified by DCAT revision team, all except for Italian and Czech translations are pending. Scope note has changed and its translations should be updated"},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The set of themes used to categorize the resources are organized in a skos:ConceptScheme, skos:Collection, owl:Ontology or similar, describing all the categories and their relations in the catalog.", cs: "Sada instancí třídy skos:Concept použitá pro kategorizaci zdrojů je organizována do schématu konceptů skos:ConceptScheme, které popisuje všechny kategorie v katalogu a jejich vztahy.", da: "Samlingen af begreber (skos:Concept) der anvendes til at emneinddele ressourcer organiseres i et begrebssystem (skos:ConceptScheme) som beskriver alle emnerne og deres relationer i kataloget.", el: "Το σετ των skos:Concepts που χρησιμοποιείται για να κατηγοριοποιήσει τα σύνολα δεδομένων είναι οργανωμένο εντός ενός skos:ConceptScheme που περιγράφει όλες τις κατηγορίες και τις σχέσεις αυτών στον κατάλογο.", es: "El conjunto de skos:Concepts utilizados para categorizar los recursos están organizados en un skos:ConceptScheme que describe todas las categorías y sus relaciones en el catálogo.", fr: "Un ensemble de skos:Concepts utilisés pour catégoriser les ressources sont organisés en un skos:ConceptScheme décrivant toutes les catégories et ses relations dans le catalogue.", it: "Il set di concetti skos usati per categorizzare le risorse sono organizzati in skos:ConceptScheme che descrive tutte le categorie e le loro relazioni nel catalogo.", ja: "データセットを分類するために用いられるskos:Conceptの集合は、カタログのすべてのカテゴリーとそれらの関係を記述しているskos:ConceptSchemeで組織化されます。"},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "theme", ar: "التصنيف", cs: "téma", da: "emne", el: "Θέμα", es: "tema", fr: "thème", it: "tema", ja: "テーマ/カテゴリー"},
      subPropertyOf: "http://purl.org/dc/terms/subject",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :themeTaxonomy,
      altLabel: {da: "temataksonomi"},
      comment: {en: "The knowledge organization system (KOS) used to classify catalog's datasets.", ar: "لائحة التصنيفات المستخدمه لتصنيف قوائم البيانات ضمن الفهرس", cs: "Systém organizace znalostí (KOS) použitý pro klasifikaci datových sad v katalogu.", da: "Vidensorganiseringssystem (KOS) som anvendes til at klassificere datasæt i kataloget.", el: "Το σύστημα οργάνωσης γνώσης που χρησιμοποιείται για την κατηγοριοποίηση των συνόλων δεδομένων του καταλόγου.", es: "El sistema de organización del conocimiento utilizado para clasificar conjuntos de datos de catálogos.", fr: "Le systhème d'ogranisation de connaissances utilisé pour classifier les jeux de données du catalogue.", it: "Il sistema di organizzazione della conoscenza (KOS) usato per classificare i dataset del catalogo.", ja: "カタログのデータセットを分類するために用いられる知識組織化体系（KOS；knowledge organization system）。"},
      definition: {en: "The knowledge organization system (KOS) used to classify catalog's datasets.", ar: "لائحة التصنيفات المستخدمه لتصنيف قوائم البيانات ضمن الفهرس", cs: "Systém organizace znalostí (KOS) použitý pro klasifikaci datových sad v katalogu.", da: "Vidensorganiseringssystem (KOS) som anvendes til at klassificere datasæt i kataloget.", el: "Το σύστημα οργάνωσης γνώσης που χρησιμοποιείται για την κατηγοριοποίηση των συνόλων δεδομένων του καταλόγου.", es: "El sistema de organización del conocimiento utilizado para clasificar conjuntos de datos de catálogos.", fr: "Le systhème d'ogranisation de connaissances utilisé pour classifier les jeux de données du catalogue.", it: "Il sistema di organizzazione della conoscenza (KOS) usato per classificare i dataset del catalogo.", ja: "カタログのデータセットを分類するために用いられる知識組織化体系（KOS；knowledge organization system）。"},
      domain: "http://www.w3.org/ns/dcat#Catalog",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "It is recommended that the taxonomy is organized in a skos:ConceptScheme, skos:Collection, owl:Ontology or similar, which allows each member to be denoted by an IRI and published as linked-data.", cs: "Je doporučeno, aby byla taxonomie vyjádřena jako skos:ConceptScheme, skos:Collection, owl:Ontology nebo podobné, aby mohla být každá položka identifikována pomocí IRI a publikována jako propojená data.", da: "Det anbefales at taksonomien organiseres i et skos:ConceptScheme, skos:Collection, owl:Ontology eller lignende, som giver mulighed for at ethvert medlem af taksonomien kan forsynes med en IRI og udgives som linked-data.", es: "Se recomienda que la taxonomía se organice como un skos:ConceptScheme, skos:Collection, owl:Ontology o similar, los cuáles permiten que cada miembro se denote con una IRI y se publique como datos enlazados.", it: "Si raccomanda che la tassonomia sia organizzata in uno skos:ConceptScheme, skos:Collection, owl:Ontology o simili, che permette ad ogni membro di essere indicato da un IRI e pubblicato come linked-data."},
      isDefinedBy: "http://www.w3.org/TR/vocab-dcat/",
      label: {en: "theme taxonomy", ar: "قائمة التصنيفات", cs: "taxonomie témat", da: "emnetaksonomi", el: "Ταξινομία θεματικών κατηγοριών.", es: "taxonomía de temas", fr: "taxonomie de thèmes", it: "tassonomia dei temi", ja: "テーマ"},
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      rangeIncludes: ["http://www.w3.org/2002/07/owl#Ontology", "http://www.w3.org/2004/02/skos/core#Collection", "http://www.w3.org/2004/02/skos/core#ConceptScheme"],
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :version,
      comment: {en: "The version indicator (name or identifier) of a resource.", es: "El indicador de versión (nombre o identificador) del recurso.", it: "L'indicatore di versione (un nome o un identificatore) di una risorsa."},
      definition: {en: "The version indicator (name or identifier) of a resource.", es: "El indicador de versión (nombre o identificador) del recurso.", it: "L'indicatore di versione (un nome o un identificatore) di una risorsa"},
      equivalentProperty: "http://purl.org/pav/version",
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", da: "Ny egenskab tilføjet i DCAT 3.", es: "Nueva propiedad agregada in DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "DCAT does not prescribe how a version name / identifier should be specified, and refers for guidance to [DWBP]'s Best Practice 7: Provide a version indicator.", es: "DCAT no prescribe cómo especificar el nombre or identificador de una versión, y como guía sugiere leer las práctica 7 en [DWBP] sobre cómo proveer un indicador de versión", it: "DCAT non prescrive come un nome o identificatore di versione dovrebbe essere specificato, e fa riferimento alle linee guida indicate in [DWBP] Best Practice 7: Provide a version indicator."},
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/",
      label: {en: "version", es: "versión", it: "versione"},
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]

    # Extra definitions
    term :inCatalog,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#resource",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
    term :isDistributionOf,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#distribution",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
    term :isVersionOf,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#hasVersion",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
    term :next,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#prev",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
    term :nextVersion,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#previousVersion",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
    term :seriesMember,
      "http://www.w3.org/2004/02/skos/core#changeNote": {en: "New property added in DCAT 3.", cs: "Nová vlastnost přidaná ve verzi DCAT 3.", es: "Nueva propiedad agregada en DCAT 3.", it: "Nuova proprietà aggiunta in DCAT 3."},
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This property MAY be used only in addition to its inverse, and it MUST NOT be used to replace it.", es: "Esta propiedad inversa PUEDE usarse sólo en combinación con su inversa, y NO PUEDE utilizarse en su reemplazo.", it: "Questa proprietà PUÒ essere usata solo insieme alla sua inversa, e NON DEVE essere usata per sostituirla."},
      inverseOf: "http://www.w3.org/ns/dcat#inSeries",
      isDefinedBy: "https://www.w3.org/TR/vocab-dcat-3/"
  end
end
