# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://usefulinc.com/ns/doap#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://usefulinc.com/ns/doap#>
  # @!visibility private
  DOAP = Class.new(RDF::StrictVocabulary("http://usefulinc.com/ns/doap#")) do

    # Ontology definition
    ontology :"http://usefulinc.com/ns/doap#",
      "http://purl.org/dc/elements/1.1/creator": "Edd Wilder-James",
      "http://purl.org/dc/elements/1.1/description": ["The Description of a Project (DOAP) vocabulary, described using W3C RDF Schema and the Web Ontology Language.", {cs: "Slovník Description of a Project (DOAP, Popis projektu), popsaný použitím W3C RDF Schema a Web Ontology Language.", de: "Das Vokabular \"Description of a Project (DOAP)\", beschrieben durch W3C RDF Schema and the Web Ontology Language.", es: "El vocabulario Description of a Project (DOAP, Descripción de un Proyecto), descrito usando RDF Schema de W3C\n\t\ty Web Ontology Language.", fr: "Le vocabulaire Description Of A Project (DOAP, Description D'Un Projet),\n\t\tdécrit en utilisant RDF Schema du W3C et OWL.", pt: "Vocabulário de descrição de um Projeto (DOAP - Description of a Project), descrito no esquema (schema) W3C RDF e na Web Ontology Language."}],
      "http://purl.org/dc/elements/1.1/format": "application/rdf+xml",
      "http://purl.org/dc/elements/1.1/rights": "Copyright © The DOAP Authors",
      "http://purl.org/dc/elements/1.1/title": "Description of a Project (DOAP) vocabulary",
      "http://www.w3.org/2002/07/owl#imports": "http://xmlns.com/foaf/0.1/",
      "http://xmlns.com/foaf/0.1/maker": term(
          "http://xmlns.com/foaf/0.1/mbox": "mailto:edd@usefulinc.com",
          "http://xmlns.com/foaf/0.1/name": "Edd Wilder-James",
          type: "http://xmlns.com/foaf/0.1/Person"
        ),
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :ArchRepository,
      comment: {en: "GNU Arch source code repository.", cs: "Úložiště zdrojových kódů GNU Arch.", de: "GNU Arch Quellcode-Versionierungssystem.", es: "Repositorio GNU Arch del código fuente.", fr: "Dépôt GNU Arch du code source.", pt: "Repositório GNU Arch do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "GNU Arch repository", cs: "Úložiště GNU Arch", de: "GNU Arch repository", es: "Repositorio GNU Arch", fr: "Dépôt GNU Arch", pt: "Repositório GNU Arch"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :BKRepository,
      comment: {en: "BitKeeper source code repository.", cs: "Úložiště zdrojových kódů BitKeeper.", de: "BitKeeper Quellcode-Versionierungssystem.", es: "Repositorio BitKeeper del código fuente.", fr: "Dépôt BitKeeper du code source.", pt: "Repositório BitKeeper do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "BitKeeper Repository", cs: "Úložiště BitKeeper", de: "BitKeeper Repository", es: "Repositorio BitKeeper", fr: "Dépôt BitKeeper", pt: "Repositório Bitkeeper"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :BazaarBranch,
      comment: {en: "Bazaar source code branch.", pt: "Código fonte da ramificação Bazaar."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Bazaar Branch", pt: "Ramificação Bazaar"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CVSRepository,
      comment: {en: "CVS source code repository.", cs: "Úložiště zdrojových kódů CVS.", de: "CVS Quellcode-Versionierungssystem.", es: "Repositorio CVS del código fuente.", fr: "Dépôt CVS du code source.", pt: "Repositório CVS do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "CVS Repository", cs: "Úložiště CVS", de: "CVS Repository", es: "Repositorio CVS", fr: "Dépôt CVS", pt: "Repositório CVS"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :DarcsRepository,
      comment: {en: "darcs source code repository.", es: "Repositorio darcs del código fuente.", fr: "Dépôt darcs du code source.", pt: "Repositório darcs do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "darcs Repository", es: "Repositorio darcs", fr: "Dépôt darcs", pt: "Repositório darcs"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :GitBranch,
      comment: {en: "Git source code branch.", pt: "Código fonte da ramificação Git."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Git Branch", pt: "Ramificação Git"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :GitRepository,
      comment: {en: "Git source code repository.", cs: "Úložiště zdrojových kódů Git.", de: "Git Quellcode-Versionierungssystem.", es: "Repositorio Git del código fuente.", fr: "Dépôt Git du code source.", pt: "Repositório Git do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Git Repository", cs: "Úložiště Git", de: "Git Repository", es: "Repositorio Git", fr: "Dépôt Git", pt: "Repositório Git"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :HgRepository,
      comment: {en: "Mercurial source code repository.", pt: "Repositório Mercurial do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Mercurial Repository", pt: "Repositório Mercurial"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Project,
      comment: {en: "A project.", cs: "Projekt.", de: "Ein Projekt.", es: "Un proyecto.", fr: "Un projet.", pt: "Projeto."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Project", cs: "Projekt", de: "Projekt", es: "Proyecto", fr: "Projet", pt: "Projeto"},
      subClassOf: ["http://xmlns.com/foaf/0.1/Project", "http://xmlns.com/wordnet/1.6/Project"],
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Repository,
      comment: {en: "Source code repository.", cs: "Úložiště zdrojových kódů.", de: "Quellcode-Versionierungssystem.", es: "Repositorio del código fuente.", fr: "Dépôt du code source.", pt: "Repositório do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Repository", cs: "Úložiště", de: "Repository", es: "Repositorio", fr: "Dépôt", pt: "Repositório"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SVNRepository,
      comment: {en: "Subversion source code repository.", cs: "Úložiště zdrojových kódů Subversion.", de: "Subversion Quellcode-Versionierungssystem.", es: "Repositorio Subversion del código fuente.", fr: "Dépôt Subversion du code source.", pt: "Repositório Subversion do código fonte."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Subversion Repository", cs: "Úložiště Subversion", de: "Subversion Repository", es: "Repositorio Subversion", fr: "Dépôt Subversion", pt: "Repositório Subversion"},
      subClassOf: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Specification,
      comment: {en: "A specification of a system's aspects, technical or otherwise.", pt: "A especificação de aspetos, técnicas ou outros do sistema."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Specification", pt: "Especificação"},
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Version,
      comment: {en: "Version information of a project release.", cs: "Informace o uvolněné verzi projektu.", de: "Versionsinformation eines Projekt Releases.", es: "Información sobre la versión de un release del proyecto.", fr: "Détails sur une version d'une release d'un projet.", pt: "Informação sobre a versão do projeto lançado."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Version", cs: "Verze", de: "Version", es: "Versión", fr: "Version", pt: "Versão"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"

    # Property definitions
    property :"anon-root",
      comment: {en: "Repository for anonymous access.", cs: "Úložiště pro anonymní přístup.", de: "Repository für anonymen Zugriff", es: "Repositorio para acceso anónimo.", fr: "Dépôt pour accès anonyme.", pt: "Repositório para acesso anónimo."},
      domain: "http://usefulinc.com/ns/doap#Repository",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "anonymous root", cs: "anonymní kořen", de: "Anonymes Root", es: "raíz anónima", fr: "racine anonyme", pt: "raíz anónima"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audience,
      comment: {en: "Description of target user base", pt: "Descrição do utilizador base alvo"},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "audience", pt: "audiência"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :blog,
      comment: {en: "URI of a blog related to a project", pt: "URI de um blog relacionado com um projeto"},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "blog", pt: "blog"},
      range: ["http://rdfs.org/sioc/types#Weblog", "http://www.w3.org/2000/01/rdf-schema#Resource"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :browse,
      comment: {en: "Web browser interface to repository.", cs: "Webové rozhraní pro prohlížení úložiště.", de: "Web-Browser Interface für das Repository.", es: "Interface web del repositorio.", fr: "Interface web au dépôt.", pt: "Interface web do repositório."},
      domain: "http://usefulinc.com/ns/doap#Repository",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "browse", cs: "prohlížeč", de: "browse", es: "navegar", fr: "visualiser", pt: "navegar"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"bug-database",
      comment: {en: "Bug tracker for a project.", cs: "Správa chyb projektu.", de: "Fehlerdatenbank eines Projektes.", es: "Bug tracker para un proyecto.", fr: "Suivi des bugs pour un projet.", pt: "Bug tracker para um projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "bug database", cs: "databáze chyb", de: "Fehlerdatenbank", es: "base de datos de bugs", fr: "suivi des bugs", pt: "base de dados de bugs"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :category,
      comment: {en: "A category of project.", cs: "Kategorie projektu.", de: "Eine Kategorie eines Projektes.", es: "Una categoría de proyecto.", fr: "Une catégorie de projet.", pt: "Uma categoría de projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "category", cs: "kategorie", de: "Kategorie", es: "categoría", fr: "catégorie", pt: "categoria"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :created,
      comment: {en: "Date when something was created, in YYYY-MM-DD form. e.g. 2004-04-05", cs: "Datum, kdy bylo něco vytvořeno ve formátu RRRR-MM-DD, např. 2004-04-05", de: "Erstellungsdatum von Irgendwas, angegeben im YYYY-MM-DD Format, z.B. 2004-04-05.", es: "Fecha en la que algo fue creado, en formato AAAA-MM-DD. e.g. 2004-04-05", fr: "Date à laquelle a été créé quelque chose, au format AAAA-MM-JJ (par ex. 2004-04-05)", pt: "Data em que algo foi criado, no formato AAAA-MM-DD. e.g. 2004-04-05"},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "created", cs: "vytvořeno", de: "erstellt", es: "creado", fr: "créé", pt: "criado"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :description,
      comment: {en: "Plain text description of a project, of 2-4 sentences in length.", cs: "Čistě textový, 2 až 4 věty dlouhý popis projektu.", de: "Beschreibung eines Projekts als einfacher Text mit der Länge von 2 bis 4 Sätzen.", es: "Descripción en texto plano de un proyecto, de 2 a 4 enunciados de longitud.", fr: "Texte descriptif d'un projet, long de 2 à 4 phrases.", pt: "Descrição de um projeto em texto apenas, com 2 a 4 frases de comprimento."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "description", cs: "popis", de: "Beschreibung", es: "descripción", fr: "description", pt: "descrição"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :developer,
      comment: {en: "Developer of software for the project.", cs: "Vývojář softwaru projektu.", de: "Software-Entwickler für das Projekt.", es: "Desarrollador de software para el proyecto.", fr: "Développeur pour le projet.", pt: "Programador de software para o projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "developer", cs: "vývojář", de: "Entwickler", es: "desarrollador", fr: "développeur", pt: "programador"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"developer-forum",
      comment: {en: "A forum or community for developers of this project."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "developer forum"},
      range: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :documentation,
      comment: {en: "Documentation of the project.", fr: "Aide pour l’utilisation de ce projet."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "documentation", fr: "aide"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :documenter,
      comment: {en: "Contributor of documentation to the project.", cs: "Spoluautor dokumentace projektu.", de: "Mitarbeiter an der Dokumentation des Projektes.", es: "Proveedor de documentación para el proyecto.", fr: "Collaborateur à la documentation du projet.", pt: "Contribuidor para a documentação do projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "documenter", cs: "dokumentarista", de: "Dokumentator", es: "escritor de ayuda", fr: "rédacteur de l'aide", pt: "documentador"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"download-mirror",
      comment: {en: "Mirror of software download web page.", cs: "Zrcadlo stránky pro stažení softwaru.", de: "Spiegel der Seite von die Projekt-Software heruntergeladen werden kann.", es: "Mirror de la página web de descarga.", fr: "Miroir de la page de téléchargement du programme.", pt: "Mirror da página web para fazer download."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "download mirror", cs: "zrcadlo stránky pro stažení", de: "Spiegel der Seite zum Herunterladen", es: "mirror de descarga", fr: "miroir pour le téléchargement", pt: "mirror para download"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"download-page",
      comment: {en: "Web page from which the project software can be downloaded.", cs: "Webová stránka, na které lze stáhnout projektový software.", de: "Web-Seite von der die Projekt-Software heruntergeladen werden kann.", es: "Página web de la cuál se puede bajar el software.", fr: "Page web à partir de laquelle on peut télécharger le programme.", pt: "Página web da qual o projeto de software pode ser descarregado."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "download page", cs: "stránka pro stažení", de: "Seite zum Herunterladen", es: "página de descarga", fr: "page de téléchargement", pt: "página para download"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"file-release",
      comment: {en: "URI of download associated with this release.", cs: "URI adresa stažení asociované s revizí.", pt: "URI para download associado com a publicação."},
      domain: "http://usefulinc.com/ns/doap#Version",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "file-release", cs: "soubor revize", pt: "publicação do ficheiro"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :helper,
      comment: {en: "Project contributor.", cs: "Spoluautor projektu.", de: "Projekt-Mitarbeiter.", es: "Colaborador del proyecto.", fr: "Collaborateur au projet.", pt: "Ajudante ou colaborador do projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "helper", cs: "spoluautor", de: "Helfer", es: "colaborador", fr: "collaborateur", pt: "colaborador"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :homepage,
      comment: {en: "URL of a project's homepage,\n\t\tassociated with exactly one project.", cs: "URL adresa domovské stránky projektu asociované s právě jedním projektem.", de: "URL der Projekt-Homepage,\n\t\tverbunden mit genau einem Projekt.", es: "El URL de la página de un proyecto,\n\t\tasociada con exactamente un proyecto.", fr: "L'URL de la page web d'un projet,\n\t\tassociée avec un unique projet.", pt: "O URL da página de um projeto,\n\t\tasociada com exactamente um projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "homepage", cs: "domovská stránka", de: "Homepage", es: "página web", fr: "page web", pt: "página web"},
      subPropertyOf: "http://xmlns.com/foaf/0.1/homepage",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :implements,
      comment: {en: "A specification that a project implements. Could be a standard, API or legally defined level of conformance.", pt: "Uma especificação que um projeto implementa. Pode ser uma padrão, API ou um nível de conformidade definida legalmente."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "Implements specification", pt: "Especificações para implementação"},
      range: "http://usefulinc.com/ns/doap#Specification",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :language,
      comment: {en: "BCP47 language code a project has been translated into", pt: "Código de idioma BCP47 do projeto para o qual foi traduzido"},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "language", pt: "idioma"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :license,
      comment: {en: "The URI of an RDF description of the license the software is distributed under. E.g. a SPDX reference", cs: "URI adresa RDF popisu licence, pod kterou je software distribuován.", de: "Die URI einer RDF-Beschreibung einer Lizenz unter der die Software herausgegeben wird. z.B. eine SPDX Referenz", es: "El URI de una descripción RDF de la licencia bajo la cuál se distribuye el software.", fr: "L'URI d'une description RDF de la licence sous laquelle le programme est distribué.", pt: "O URI de uma descrição RDF da licença do software sob a qual é distribuída. Ex.: referência SPDX"},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "license", cs: "licence", de: "Lizenz", es: "licencia", fr: "licence", pt: "licença"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :location,
      comment: {en: "Location of a repository.", cs: "Umístění úložiště.", de: "Lokation eines Repositorys.", es: "lugar de un repositorio.", fr: "Emplacement d'un dépôt.", pt: "Localização de um repositório."},
      domain: "http://usefulinc.com/ns/doap#Repository",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "repository location", cs: "umístění úložiště", de: "Repository Lokation", es: "lugar del respositorio", fr: "emplacement du dépôt", pt: "localização do respositório"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"mailing-list",
      comment: {en: "Mailing list home page or email address.", cs: "Domovská stránka nebo e–mailová adresa e–mailové diskuse.", de: "Homepage der Mailing Liste oder E-Mail Adresse.", es: "Página web de la lista de correo o dirección de correo.", fr: "Page web de la liste de diffusion, ou adresse de courriel.", pt: "Página web da lista de distribuição de e-mail ou dos endereços."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "mailing list", cs: "e–mailová diskuse", de: "Mailing Liste", es: "lista de correo", fr: "liste de diffusion", pt: "lista de distribuição de e-mail"},
      range: "http://rdfs.org/sioc/types#MailingList",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :maintainer,
      comment: {en: "Maintainer of a project, a project leader.", cs: "Správce projektu, vedoucí projektu.", de: "Hauptentwickler eines Projektes, der Projektleiter", es: "Desarrollador principal de un proyecto, un líder de proyecto.", fr: "Développeur principal d'un projet, un meneur du projet.", pt: "Programador principal de um projeto, um líder de projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "maintainer", cs: "správce", de: "Projektverantwortlicher", es: "desarrollador principal", fr: "développeur principal", pt: "programador principal"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :module,
      comment: {en: "Module name of a Subversion, CVS, BitKeeper or Arch repository.", cs: "Jméno modulu v CVS, BitKeeper nebo Arch úložišti.", de: "Modul-Name eines Subversion, CVS, BitKeeper oder Arch Repositorys.", es: "Nombre del módulo de un repositorio Subversion, CVS, BitKeeper o Arch.", fr: "Nom du module d'un dépôt Subversion, CVS, BitKeeper ou Arch.", pt: "Nome do módulo de um repositório Subversion, CVS, BitKeeper ou Arch."},
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://usefulinc.com/ns/doap#CVSRepository", "http://usefulinc.com/ns/doap#ArchRepository", "http://usefulinc.com/ns/doap#BKRepository")
        ),
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "module", cs: "modul", de: "Modul", es: "módulo", fr: "module", pt: "módulo"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :name,
      comment: {en: "A name of something.", cs: "Jméno něčeho.", de: "Der Name von Irgendwas", es: "El nombre de algo.", fr: "Le nom de quelque chose.", pt: "O nome de alguma coisa."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "name", cs: "jméno", de: "Name", es: "nombre", fr: "nom", pt: "nome"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"old-homepage",
      comment: {en: "URL of a project's past homepage,\n\t\tassociated with exactly one project.", cs: "URL adresa předešlé domovské stránky projektu asociované s právě jedním projektem.", de: "URL der letzten Projekt-Homepage,\n\t\tverbunden mit genau einem Projekt.", es: "El URL de la antigua página de un proyecto,\n\t\tasociada con exactamente un proyecto.", fr: "L'URL d'une ancienne page web d'un\n\t\tprojet, associée avec un unique projet.", pt: "O URL antigo da página de um projeto,\n\t\tassociada com exactamente um projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "old homepage", cs: "stará domovská stránka", de: "Alte Homepage", es: "página web antigua", fr: "ancienne page web", pt: "página web antiga"},
      subPropertyOf: "http://xmlns.com/foaf/0.1/homepage",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :os,
      comment: {en: "Sistema operativo a que o projeto está limitado. Omita esta propriedade se o projeto não é condicionado pelo SO usado.", cs: "Operační systém, na jehož použití je projekt limitován. Vynechejte tuto vlastnost, pokud je projekt nezávislý na operačním systému.", de: "Betriebssystem auf dem das Projekt eingesetzt werden kann. Diese Eigenschaft kann ausgelassen werden, wenn das Projekt nicht BS-spezifisch ist.", es: "Sistema opertivo al cuál está limitado el proyecto.  Omita esta propiedad si el proyecto no es específico\n\t\tde un sistema opertaivo en particular.", fr: "Système d'exploitation auquel est limité le projet. Omettez cette propriété si le\n\t\tprojet n'est pas limité à un système d'exploitation."},
      domain: ["http://usefulinc.com/ns/doap#Project", "http://usefulinc.com/ns/doap#Version"],
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "operating system", cs: "operační systém", de: "Betriebssystem", es: "sistema operativo", fr: "système d'exploitation", pt: "sistema operativo"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :platform,
      comment: {en: "Indicator of software platform (non-OS specific), e.g. Java, Firefox, ECMA CLR", pt: "Indicador da plataforma do software (não específico a nenhum SO), ex.: Java, Firefox, ECMA CLR"},
      domain: ["http://usefulinc.com/ns/doap#Project", "http://usefulinc.com/ns/doap#Version"],
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "platform", pt: "plataforma"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"programming-language",
      comment: {en: "Programming language a project is implemented in or intended for use with.", cs: "Programovací jazyk, ve kterém je projekt implementován nebo pro který je zamýšlen k použití.", de: "Programmiersprache in der ein Projekt implementiert ist oder intendiert wird zu benutzen.", es: "Lenguaje de programación en el que un proyecto es implementado o con el cuál pretende usarse.", fr: "Langage de programmation avec lequel un projet est implémenté,\n\t\tou avec lequel il est prévu de l'utiliser.", pt: "Linguagem de programação que o projeto usa ou é para ser utilizada."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "programming language", cs: "programovací jazyk", de: "Programmiersprache", es: "lenguaje de programación", fr: "langage de programmation", pt: "linguagem de programação"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :release,
      comment: {en: "A project release.", cs: "Relase (verze) projektu.", de: "Ein Release (Version) eines Projekts.", es: "Un release (versión) de un proyecto.", fr: "Une release (révision) d'un projet.", pt: "A publicação de um projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "release", cs: "release", de: "Release", es: "release", fr: "release", pt: "publicação"},
      range: "http://usefulinc.com/ns/doap#Version",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :repository,
      comment: {en: "Source code repository.", cs: "Úložiště zdrojových kódů.", de: "Quellcode-Versionierungssystem.", es: "Repositorio del código fuente.", fr: "Dépôt du code source.", pt: "Repositório do código fonte."},
      domain: "http://usefulinc.com/ns/doap#Project",
      inverseOf: "http://usefulinc.com/ns/doap#repositoryOf",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "repository", cs: "úložiště", de: "Repository", es: "repositorio", fr: "dépôt", pt: "repositório"},
      range: "http://usefulinc.com/ns/doap#Repository",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :repositoryOf,
      comment: {en: "The project that uses a repository."},
      domain: "http://usefulinc.com/ns/doap#Repository",
      inverseOf: "http://usefulinc.com/ns/doap#repository",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "repository of"},
      range: "http://usefulinc.com/ns/doap#Project",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :revision,
      comment: {en: "Revision identifier of a software release.", cs: "Identifikátor zpřístupněné revize softwaru.", de: "Versionsidentifikator eines Software-Releases.", es: "Indentificador de la versión de un release de software.", fr: "Identifiant de révision d'une release du programme.", pt: "Identificador do lançamento da revisão do software."},
      domain: "http://usefulinc.com/ns/doap#Version",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "revision", cs: "verze", de: "Version", es: "versión", fr: "révision", pt: "revisão"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :screenshots,
      comment: {en: "Web page with screenshots of project.", cs: "Webová stránka projektu se snímky obrazovky.", de: "Web-Seite mit Screenshots eines Projektes.", es: "Página web con capturas de pantalla del proyecto.", fr: "Page web avec des captures d'écran du projet.", pt: "Página web com as capturas de ecrãn do projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "screenshots", cs: "snímek obrazovky", de: "Screenshots", es: "capturas de pantalla", fr: "captures d'écran", pt: "capturas de ecrãs"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"security-contact",
      comment: {en: "The Agent that should be contacted\n\tif security issues are found with the project."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "security contact"},
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"security-policy",
      comment: {en: "URL of the security policy of a project."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "security policy"},
      subPropertyOf: "http://xmlns.com/foaf/0.1/page",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"service-endpoint",
      comment: {en: "The URI of a web service endpoint where software as a service may be accessed"},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "service endpoint"},
      range: "http://www.w3.org/2000/01/rdf-schema#Resource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :shortdesc,
      comment: {en: "Short (8 or 9 words) plain text description of a project.", cs: "Krátký (8 nebo 9 slov) čistě textový popis projektu.", de: "Kurzbeschreibung (8 oder 9 Wörter) eines Projekts als einfacher Text.", es: "Descripción corta (8 o 9 palabras) en texto plano de un proyecto.", fr: "Texte descriptif concis (8 ou 9 mots) d'un projet.", pt: "Descrição curta (com 8 ou 9 palavras) de um projeto em texto apenas."},
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "short description", cs: "krátký popis", de: "Kurzbeschreibung", es: "descripción corta", fr: "description courte", pt: "descrição curta"},
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :"support-forum",
      comment: {en: "A forum or community that supports this project."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "supporting forum"},
      range: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tester,
      comment: {en: "A tester or other quality control contributor.", cs: "Tester nebo jiný spoluautor kontrolující kvalitu.", de: "Ein Tester oder anderer Mitarbeiter der Qualitätskontrolle.", es: "Un tester u otro proveedor de control de calidad.", fr: "Un testeur ou un collaborateur au contrôle qualité.", pt: "Um controlador ou outro contribuidor para o controlo de qualidade."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "tester", cs: "tester", de: "Tester", es: "tester", fr: "testeur", pt: "controlador"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :translator,
      comment: {en: "Contributor of translations to the project.", cs: "Spoluautor překladu projektu.", de: "Mitarbeiter an den Übersetzungen des Projektes.", es: "Proveedor de traducciones al proyecto.", fr: "Collaborateur à la traduction du projet.", pt: "Contribuidor das traduções para o projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "translator", cs: "překladatel", de: "Übersetzer", es: "traductor", fr: "traducteur", pt: "tradutor"},
      range: "http://xmlns.com/foaf/0.1/Person",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :vendor,
      comment: {en: "Vendor organization: commercial, free or otherwise"},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "vendor"},
      range: "http://xmlns.com/foaf/0.1/Organization",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :wiki,
      comment: {en: "URL of Wiki for collaborative discussion of project.", cs: "URL adresa wiki projektu pro společné diskuse.", de: "Wiki-URL für die kollaborative Dikussion eines Projektes.", es: "URL del Wiki para discusión colaborativa del proyecto.", fr: "L'URL du Wiki pour la discussion collaborative sur le projet.", pt: "URL da Wiki para discussão em grupo do projeto."},
      domain: "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://usefulinc.com/ns/doap#",
      label: {en: "wiki", cs: "wiki", de: "Wiki", es: "wiki", fr: "wiki", pt: "wiki"},
      range: "http://rdfs.org/sioc/types#Wiki",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
  end
end
