# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.w3.org/2003/12/exif/ns#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.w3.org/2003/12/exif/ns#>
  # @!visibility private
  EXIF = Class.new(RDF::StrictVocabulary("http://www.w3.org/2003/12/exif/ns#")) do

    # Ontology definition
    ontology :"http://www.w3.org/2003/12/exif/ns#",
      "http://purl.org/dc/elements/1.1/description": {en: "Vocabulary to describe an Exif format picture data. All Exif 2.2 tags are defined as RDF properties, as well as several terms to help this schema.", fr: "Vocabulaire pour décrire les données Exif d'une photographie. Toutes les balises Exif 2.2 sont définies comme des propriétés RDF, ainsi que plusieurs termes pour donner de l'aide.", ja: "Exifフォーマットの写真からデータを取りだしてRDFで表現するため、Exif 2.2の全てのタグをRDFプロパティとして定義し、さらにそれを記述するのに必要な語彙を追加したボキャブラリ"},
      "http://purl.org/dc/elements/1.1/source": "http://tsc.jeita.or.jp/avs/data/cp3451.pdf",
      "http://purl.org/dc/elements/1.1/title": {en: "Exif data description vocabulary"},
      "http://purl.org/dc/terms/created": {en: "2003-07-18"},
      "http://purl.org/dc/terms/modified": {en: "2003-08-19"},
      "http://www.w3.org/2002/07/owl#versionInfo": {en: "Experimental version."},
      "http://xmlns.com/foaf/0.1/maker": "urn:pin:MK705",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :IFD,
      comment: {en: "An Image File Directory"},
      label: {en: "IFD"},
      type: "http://www.w3.org/2000/01/rdf-schema#Class"

    # Property definitions
    property :_unknown,
      comment: {en: "An Exif tag whose meaning is not known"},
      label: {en: "Unknown tag"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :apertureValue,
      comment: {en: "The lens aperture. The unit is the APEX value.", ja: "レンズ絞り値（APEX値）。この値のルート2のベキ乗を取ると、通常の絞り値となる。例えば'5'の場合だと√2^5=F5.6"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37378"},
      label: {en: "ApertureValue"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artist,
      comment: {en: "Person who created the image"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "315"},
      label: {en: "Artist"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/creator", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitsPerSample,
      comment: {en: "The number of bits per image component. In this standard each component of the image is 8 bits, so the value for this tag is 8. See also SamplesPerPixel. In JPEG compressed data a JPEG marker is used instead of this tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "258"},
      label: {en: "BitsPerSample"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#imageDataStruct", "http://www.w3.org/2003/12/exif/ns#resolution"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :brightnessValue,
      comment: {en: "The value of brightness. The unit is the APEX value. Ordinarily it is given in the range of -99.99 to 99.99. Note that if the numerator of the recorded value is FFFFFFFF.H, Unknown shall be indicated.", ja: "画像撮影時の撮影対象物の明るさ（APEX値）。EVにするにはISO感度の値を足す必要があり、Ev:Exposure, Bv:BrightnessValue, Sv:SensitivityValueとしてEv=Bv+Sv Sv=log^2(ISOSpeedRating/3.125)という計算式を使う。ISO感度100の場合Sv=5、ISO200の場合Sv=6、ISO125ではSv=5.32"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37379"},
      label: {en: "BrightnessValue"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :cfaPattern,
      comment: {en: "The color filter array (CFA) geometric pattern of the image sensor when a one-chip color area sensor is used. It does not apply to all sensing methods.", ja: "CCDに付いているColor filter array(CFA)のパターン。例えば普通のRGBフィルターだと、CFAPatternのデータは 02 02 00 01 01 02"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41730"},
      label: {en: "CFAPattern"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :colorSpace,
      comment: {en: "The color space information tag (ColorSpace) is always recorded as the color space specifier. Normally sRGB (=1) is used to define the color space based on the PC monitor conditions and environment.", ja: "使われる色空間。通常sRGB"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40961"},
      label: {en: "ColorSpace"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :componentsConfiguration,
      comment: {en: "Information specific to compressed data. The channels of each component are arranged in order from the 1st component to the 4th. For uncompressed data the data arrangement is given in the PhotometricInterpretation tag. However, since PhotometricInterpretation can only express the order of Y,Cb and Cr, this tag is provided for cases when compressed data uses components other than Y, Cb, and Cr and to enable support of other sequences.", ja: "圧縮データがYCC以外の並びの場合、4バイトでその並びを示す。それぞれの値は0:not exist,1:Y,2:Cb,3:Cr,4:R,5:G,6:B"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37121"},
      label: {en: "ComponentsConfiguration"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageConfig",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :compressedBitsPerPixel,
      comment: {en: "Information specific to compressed data. The compression mode used for a compressed image is indicated in unit bits per pixel.", ja: "画像の圧縮率"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37122"},
      label: {en: "CompressedBitsPerPixel"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageConfig",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :compression,
      comment: {en: "The compression scheme used for the image data. When a primary image is JPEG compressed, this designation is not necessary and is omitted. When thumbnails use JPEG compression, this tag value is set to 6."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "259"},
      label: {en: "Compression"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :contrast,
      comment: {en: "The direction of contrast processing applied by the camera when the image was shot."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41992"},
      label: {en: "Contrast"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :copyright,
      comment: {en: "Copyright information. In this standard the tag is used to indicate both the photographer and editor copyrights. It is the copyright notice of the person or organization claiming rights to the image.", ja: "この画像の撮影者および編集者の著作権情報"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "33432"},
      label: {en: "Copyright"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/rights", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :customRendered,
      comment: {en: "The use of special processing on image data, such as rendering geared to output. When special processing is performed, the reader is expected to disable or minimize any further processing.", ja: "特別なレンダリング処理を行っているかどうか"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41985"},
      label: {en: "CustomRendered"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :datatype,
      comment: {en: "The Exif field data type, such as ascii, byte, short etc."},
      label: {en: "Data Type"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/type",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :date,
      comment: {en: "a date information. Usually saved as YYYY:MM:DD (HH:MM:SS) format in Exif data, but represented here as W3C-DTF format"},
      label: {en: "Date"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateAndOrTime,
      comment: {en: "An attribute relating to Date and/or Time"},
      label: {en: "Date and/or Time"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateTime,
      comment: {en: "The date and time of image creation. In this standard it is the date and time the file was changed.", ja: "この画像が作成（あるいは最後に変更された）日時。通常はDateTimeOriginaと同じ値"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "306"},
      label: {en: "DateTime"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#date", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateTimeDigitized,
      comment: {en: "The date and time when the image was stored as digital data. If, for example, an image was captured by DSC and at the same time the file was recorded, then the DateTimeOriginal and DateTimeDigitized will have the same contents.", ja: "画像がデジタル化された日時。デジカメ画像なら通常DateTimeOriginalと同じ値"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "36868"},
      label: {en: "DateTimeDigitized"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#date", "http://www.w3.org/2003/12/exif/ns#dateAndOrTime"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateTimeOriginal,
      comment: {en: "The date and time when the original image data was generated. For a DSC the date and time the picture was taken are recorded.", ja: "オリジナル画像が作成（撮影）された日時"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "36867"},
      label: {en: "DateTimeOriginal"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#date", "http://www.w3.org/2003/12/exif/ns#dateAndOrTime"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :deviceSettingDescription,
      comment: {en: "Information on the picture-taking conditions of a particular camera model. The tag is used only to indicate the picture-taking conditions in the reader."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41995"},
      label: {en: "DeviceSettingDescription"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :digitalZoomRatio,
      comment: {en: "The digital zoom ratio when the image was shot. If the numerator of the recorded value is 0, this indicates that digital zoom was not used.", ja: "デジタルズームが使われた場合、その比率"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41988"},
      label: {en: "DigitalZoomRatio"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exifAttribute,
      comment: {en: "A property that connects an IFD to one of its entries. Super property which integrates all Exif tags."},
      domain: "http://www.w3.org/2003/12/exif/ns#IFD",
      label: {en: "Exif Attribute"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exifVersion,
      comment: {en: "Exif Version", ja: "Exif形式のバージョン"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "36864"},
      label: {en: "ExifVersion"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#versionInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exif_IFD_Pointer,
      comment: {en: "A pointer to the Exif IFD, which is a set of tags for recording Exif-specific attribute information.", ja: "Exif IFDへのポインタ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34665"},
      label: {en: "Exif IFD Pointer"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#ifdPointer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exifdata,
      comment: {en: "An Exif IFD data entry"},
      label: {en: "Exif data"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exposureBiasValue,
      comment: {en: "The exposure bias. The unit is the APEX value. Ordinarily it is given in the range of -99.99 to 99.99.", ja: "撮影時の露光補正量。単位はAPEX値(EV)"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37380"},
      label: {en: "ExposureBiasValue"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exposureIndex,
      comment: {en: "The exposure index selected on the camera or input device at the time the image is captured.", ja: "CCD感度。データ形式が符号なし分数である事を除き、ISOSpeedRatingsと同じ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41493"},
      label: {en: "ExposureIndex"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exposureMode,
      comment: {en: "the exposure mode set when the image was shot. In auto-bracketing mode, the camera shoots a series of frames of the same scene at different exposure settings.", ja: "露光モード"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41986"},
      label: {en: "ExposureMode"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exposureProgram,
      comment: {en: "The class of the program used by the camera to set exposure when the picture is taken.", ja: "露光制御のモード"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34850"},
      label: {en: "ExposureProgram"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :exposureTime,
      comment: {en: "Exposure time, given in seconds (sec).", ja: "露光時間（シャッター速度の逆数）。単位は秒"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "33434"},
      label: {en: "ExposureTime"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#pictTaking", "http://www.w3.org/2003/12/exif/ns#seconds"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :fNumber,
      comment: {en: "F number", ja: "レンズのF値"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "33437"},
      label: {en: "FNumber"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :fileSource,
      comment: {en: "The image source. If a DSC recorded the image, this tag value of this tag always be set to 3, indicating that the image was recorded on a DSC.", ja: "画像がどういうデバイスから得られたか。通常3=DSC"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41728"},
      label: {en: "FileSource"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :flash,
      comment: {en: "The status of flash when the image was shot.", ja: "フラッシュ発光の状態"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37385"},
      label: {en: "Flash"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :flashEnergy,
      comment: {en: "The strobe energy at the time the image is captured, as measured in Beam Candle Power Seconds (BCPS).", ja: "BCPSによるストロボの強度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41483"},
      label: {en: "FlashEnergy"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :flashpixVersion,
      comment: {en: "The Flashpix format version supported by a FPXR file. If the FPXR function supports Flashpix format Ver. 1.0, this is indicated similarly to ExifVersion by recording \"0100\" as 4-byte ASCII."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40960"},
      label: {en: "FlashpixVersion"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#versionInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :focalLength,
      comment: {en: "The actual focal length of the lens, in mm. Conversion is not made to the focal length of a 35 mm film camera.", ja: "レンズの焦点距離。単位はmm"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37386"},
      label: {en: "FocalLength"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#mm", "http://www.w3.org/2003/12/exif/ns#pictTaking"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :focalLengthIn35mmFilm,
      comment: {en: "The equivalent focal length assuming a 35mm film camera, in mm. A value of 0 means the focal length is unknown. Note that this tag differs from the FocalLength tag.", ja: "35mm換算した焦点距離"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41989"},
      label: {en: "FocalLengthIn35mmFilm"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#length", "http://www.w3.org/2003/12/exif/ns#pictTaking"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :focalPlaneResolutionUnit,
      comment: {en: "The unit for measuring FocalPlaneXResolution and FocalPlaneYResolution. This value is the same as the ResolutionUnit.", ja: "CCD画素密度の単位"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41488"},
      label: {en: "FocalPlaneResolutionUnit"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :focalPlaneXResolution,
      comment: {en: "The number of pixels in the image width (X) direction per FocalPlaneResolutionUnit on the camera focal plane.", ja: "撮影画像のCCD位置での水平解像度。この値とFocalPlaneYResolution、FocalLengthを使うと、レンズ焦点距離の35mmカメラ換算値が計算できる。例えば200万画素機を使いVGAモードの画像を撮ったような場合はこの値はVGAの解像度でリサンプルされた値になっており、CCDの画素ピッチそのままの値ではないので注意が必要"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41486"},
      label: {en: "FocalPlaneXResolution"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#pictTaking", "http://www.w3.org/2003/12/exif/ns#resolution"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :focalPlaneYResolution,
      comment: {en: "The number of pixels in the image height (Y) direction per FocalPlaneResolutionUnit on the camera focal plane.", ja: "撮影画像のCCD位置での垂直解像度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41487"},
      label: {en: "FocalPlaneYResolution"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#pictTaking", "http://www.w3.org/2003/12/exif/ns#resolution"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gainControl,
      comment: {en: "The degree of overall image gain adjustment."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41991"},
      label: {en: "GainControl"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :geo,
      comment: {en: "Geometric data such as latitude, longitude and altitude. Usually saved as rational number."},
      label: {en: "Geometric data"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsAltitude,
      comment: {en: "The altitude based on the reference in GPSAltitudeRef. Altitude is expressed as one RATIONAL value. The reference unit is meters."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "6"},
      label: {en: "GPSAltitude"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#geo", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsAltitudeRef,
      comment: {en: "Indicates the altitude used as the reference altitude. If the reference is sea level and the altitude is above sea level, 0 is given. If the altitude is below sea level, a value of 1 is given and the altitude is indicated as an absolute value in the GPSAltitude tag. The reference unit is meters."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "5"},
      label: {en: "GPSAltitudeRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsAreaInformation,
      comment: {en: "A character string recording the name of the GPS area. The first byte indicates the character code used, and this is followed by the name of the GPS area."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "28"},
      label: {en: "GPSAreaInformation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDOP,
      comment: {en: "The GPS DOP (data degree of precision). An HDOP value is written during two-dimensional measurement, and PDOP during three-dimensional measurement."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "11"},
      label: {en: "GPSDOP"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDateStamp,
      comment: {en: "date and time information relative to UTC (Coordinated Universal Time). The record format is \"YYYY:MM:DD\" while converted to W3C-DTF to use in RDF"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "29"},
      label: {en: "GPSDateStamp"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#date", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestBearing,
      comment: {en: "The bearing to the destination point. The range of values is from 0.00 to 359.99."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "24"},
      label: {en: "GPSDestBearing"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestBearingRef,
      comment: {en: "Indicates the reference used for giving the bearing to the destination point. 'T' denotes true direction and 'M' is magnetic direction."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "23"},
      label: {en: "GPSDestBearingRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestDistance,
      comment: {en: "The distance to the destination point."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "26"},
      label: {en: "GPSDestDistance"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestDistanceRef,
      comment: {en: "Indicates the unit used to express the distance to the destination point. 'K', 'M' and 'N' represent kilometers, miles and knots."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "25"},
      label: {en: "GPSDestDistanceRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestLatitude,
      comment: {en: "Latitude of destination, expressed as three values giving the degrees, minutes, and seconds, respectively."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "20"},
      label: {en: "GPSDestLatitude"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#geo", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestLatitudeRef,
      comment: {en: "Reference for latitude of destination"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "19"},
      label: {en: "GPSDestLatitudeRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestLongitude,
      comment: {en: "Longitude of destination, expressed as three values giving the degrees, minutes, and seconds, respectively."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "22"},
      label: {en: "GPSDestLongitude"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#geo", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDestLongitudeRef,
      comment: {en: "Reference for longitude of destination"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "21"},
      label: {en: "GPSDestLongitudeRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsDifferential,
      comment: {en: "Indicates whether differential correction is applied to the GPS receiver."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "30"},
      label: {en: "GPSDifferential"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsImgDirection,
      comment: {en: "The direction of the image when it was captured. The range of values is from 0.00 to 359.99."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "17"},
      label: {en: "GPSImgDirection"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsImgDirectionRef,
      comment: {en: "The reference for giving the direction of the image when it is captured. 'T' denotes true direction and 'M' is magnetic direction."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "16"},
      label: {en: "GPSImgDirectionRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsInfo,
      comment: {en: "An attribute relating to GPS information"},
      label: {en: "GPS Info"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsInfo_IFD_Pointer,
      comment: {en: "A pointer to the GPS IFD, which is a set of tags for recording GPS information.", ja: "GPS IFDへのポインタ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34853"},
      label: {en: "GPSInfo IFD Pointer"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#ifdPointer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsLatitude,
      comment: {en: "The latitude, expressed as three values giving the degrees, minutes, and seconds, respectively.", ja: "緯度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "2"},
      label: {en: "GPSLatitude"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#geo", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsLatitudeRef,
      comment: {en: "Indicates whether the latitude is north or south latitude. The ASCII value 'N' indicates north latitude, and 'S' is south latitude.", ja: "緯度の北緯もしくは南緯"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "1"},
      label: {en: "GPSLatitudeRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsLongitude,
      comment: {en: "The longitude, expressed as three values giving the degrees, minutes, and seconds, respectively.", ja: "経度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "4"},
      label: {en: "GPSLongitude"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#geo", "http://www.w3.org/2003/12/exif/ns#gpsInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsLongitudeRef,
      comment: {en: "Indicates whether the longitude is east or west longitude. ASCII 'E' indicates east longitude, and 'W' is west longitude.", ja: "経度の東経もしくは西経"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "3"},
      label: {en: "GPSLongitudeRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsMapDatum,
      comment: {en: "The geodetic survey data used by the GPS receiver. If the survey data is restricted to Japan, the value of this tag is 'TOKYO' or 'WGS-84'. If a GPS Info tag is recorded, it is strongly recommended that this tag be recorded.", ja: "測地系。日本なら'TOKYO'もしくは'WGS-84'"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "18"},
      label: {en: "GPSMapDatum"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsMeasureMode,
      comment: {en: "The GPS measurement mode. '2' means two-dimensional measurement and '3' means three-dimensional measurement is in progress."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "10"},
      label: {en: "GPSMeasureMode"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsProcessingMethod,
      comment: {en: "A character string recording the name of the method used for location finding. The first byte indicates the character code used, and this is followed by the name of the method."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "27"},
      label: {en: "GPSProcessingMethod"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsSatellites,
      comment: {en: "The GPS satellites used for measurements. This tag can be used to describe the number of satellites, their ID number, angle of elevation, azimuth, SNR and other information in ASCII notation. The format is not specified. If the GPS receiver is incapable of taking measurements, value of the tag shall be set to NULL."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "8"},
      label: {en: "GPSSatellites"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsSpeed,
      comment: {en: "The speed of GPS receiver movement."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "13"},
      label: {en: "GPSSpeed"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsSpeedRef,
      comment: {en: "The unit used to express the GPS receiver speed of movement. 'K' 'M' and 'N' represents kilometers per hour, miles per hour, and knots."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "12"},
      label: {en: "GPSSpeedRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsStatus,
      comment: {en: "The status of the GPS receiver when the image is recorded. 'A' means measurement is in progress, and 'V' means the measurement is Interoperability."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "9"},
      label: {en: "GPSStatus"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsTimeStamp,
      comment: {en: "The time as UTC (Coordinated Universal Time). TimeStamp is expressed as three RATIONAL values giving the hour, minute, and second."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "7"},
      label: {en: "GPSTimeStamp"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsTrack,
      comment: {en: "The direction of GPS receiver movement. The range of values is from 0.00 to 359.99."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "15"},
      label: {en: "GPSTrack"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsTrackRef,
      comment: {en: "The reference for giving the direction of GPS receiver movement. 'T' denotes true direction and 'M' is magnetic direction."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "14"},
      label: {en: "GPSTrackRef"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#gpsInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gpsVersionID,
      comment: {en: "The version of GPSInfoIFD. The version is given as 2.2.0.0. This tag is mandatory when GPSInfo tag is present."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "0"},
      label: {en: "GPSVersionID"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#gpsInfo", "http://www.w3.org/2003/12/exif/ns#versionInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :height,
      comment: {en: "Height of an object"},
      label: {en: "Height"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#length",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ifdPointer,
      comment: {en: "A tag that refers a child IFD"},
      label: {en: "IFD Pointer"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageConfig,
      comment: {en: "An attribute relating to Image Configuration"},
      label: {en: "Image Config"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageDataCharacter,
      comment: {en: "An attribute relating to image data characteristics"},
      label: {en: "Image Data Character"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageDataStruct,
      comment: {en: "An attribute relating to image data structure"},
      label: {en: "Image Data Structure"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageDescription,
      comment: {en: "A character string giving the title of the image. It may be a comment such as \"1988 company picnic\" or the like. Two-byte character codes cannot be used. When a 2-byte code is necessary, the Exif Private tag UserComment is to be used.", ja: "この画像についての説明。漢字等の2バイト文字の使用は禁止"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "270"},
      label: {en: "ImageDescription"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/title", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageLength,
      comment: {en: "Image height. The number of rows of image data. In JPEG compressed data a JPEG marker is used."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "257"},
      label: {en: "ImageLength"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#height", "http://www.w3.org/2003/12/exif/ns#imageDataStruct"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageUniqueID,
      comment: {en: "An identifier assigned uniquely to each image. It is recorded as an ASCII string equivalent to hexadecimal notation and 128-bit fixed length."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "42016"},
      label: {en: "ImageUniqueID"},
      subPropertyOf: ["http://purl.org/dc/elements/1.1/identifier", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :imageWidth,
      comment: {en: "Image width. The number of columns of image data, equal to the number of pixels per row. In JPEG compressed data a JPEG marker is used instead of this tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "256"},
      label: {en: "ImageWidth"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#imageDataStruct", "http://www.w3.org/2003/12/exif/ns#width"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :interopInfo,
      comment: {en: "An attribute relating to Interoperability. Tags stored in\nInteroperability IFD may be defined dependently to each Interoperability rule."},
      label: {en: "Interoperability Info"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :interoperabilityIndex,
      comment: {en: "Indicates the identification of the Interoperability rule. 'R98' = conforming to R98 file specification of Recommended Exif Interoperability Rules (ExifR98) or to DCF basic file stipulated by Design Rule for Camera File System. 'THM' = conforming to DCF thumbnail file stipulated by Design rule for Camera File System.", ja: "メイン画像のInteroperability IFDで、データの内容がExifR98 v1.0準拠の場合は、'R98'の文字列。サムネィル画像のInteroperability IFDの場合は、'THM'の文字列"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "1"},
      label: {en: "InteroperabilityIndex"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#interopInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :interoperabilityVersion,
      comment: {en: "Interoperability Version", ja: "データの内容がExifR98 v1.0準拠の場合は、'0100'の文字列。"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "2"},
      label: {en: "InteroperabilityVersion"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#interopInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :interoperability_IFD_Pointer,
      comment: {en: "A pointer to the Interoperability IFD, which is composed of tags storing the information to ensure the Interoperability", ja: "Interoperability IFDへのポインタ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40965"},
      label: {en: "Interoperability IFD Pointer"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#ifdPointer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isoSpeedRatings,
      comment: {en: "Indicates the ISO Speed and ISO Latitude of the camera or input device as specified in ISO 12232.", ja: "CCD感度の銀塩フィルム換算値"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34855"},
      label: {en: "ISOSpeedRatings"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :jpegInterchangeFormat,
      comment: {en: "The offset to the start byte (SOI) of JPEG compressed thumbnail data. This is not used for primary image JPEG data.", ja: "圧縮されたサムネイルへのオフセット"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "513"},
      label: {en: "JPEGInterchangeFormat"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#recOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :jpegInterchangeFormatLength,
      comment: {en: "The number of bytes of JPEG compressed thumbnail data. This is not used for primary image JPEG data.", ja: "圧縮されたサムネイルのサイズ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "514"},
      label: {en: "JPEGInterchangeFormatLength"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#recOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :length,
      comment: {en: "Length of an object. Could be a subProperty of other general schema."},
      label: {en: "Length"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :lightSource,
      comment: {en: "Light source such as Daylight, Tungsten, Flash etc.", ja: "光源。これはマニュアルでホワイトバランスを設定した場合のモード値となる"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37384"},
      label: {en: "LightSource"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :make,
      comment: {en: "Manufacturer of image input equipment", ja: "カメラのメーカー名。DCFでは必須"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "271"},
      label: {en: "Make"},
      subPropertyOf: ["http://www.w3.org/2000/01/rdf-schema#label", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :makerNote,
      comment: {en: "Manufacturer notes", ja: "カメラの内部情報等、メーカー依存データ"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37500"},
      label: {en: "MakerNote"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#userInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :maxApertureValue,
      comment: {en: "The smallest F number of the lens. The unit is the APEX value. Ordinarily it is given in the range of 00.00 to 99.99, but it is not limited to this range.", ja: "レンズの開放F値。ApertureValue同様、ルート2のベキ乗を取ると通常の絞り値に換算できる"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37381"},
      label: {en: "MaxApertureValue"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :meter,
      comment: {en: "A length with unit of meter"},
      label: {en: "Meter"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#length",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :meteringMode,
      comment: {en: "Metering mode, such as CenterWeightedAverage, Spot, MultiSpot,Pattern, Partial etc.", ja: "自動露出の測光モード"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37383"},
      label: {en: "MeteringMode"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mm,
      comment: {en: "A length with unit of mm"},
      label: {en: "Milimeter"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#length",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :model,
      comment: {en: "Model of image input equipment", ja: "カメラの機種名。DCFでは必須"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "272"},
      label: {en: "Model"},
      subPropertyOf: ["http://www.w3.org/2000/01/rdf-schema#label", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :oecf,
      comment: {en: "Indicates the Opto-Electric Conversion Function (OECF) specified in ISO 14524. OECF is the relationship between the camera optical input and the image values."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34856"},
      label: {en: "OECF"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :orientation,
      comment: {en: "The image orientation viewed in terms of rows and columns.", ja: "画像データがどこ(top-leftなど）を起点として、どの向きで格納されているか"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "274"},
      label: {en: "Orientation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :photometricInterpretation,
      comment: {en: "Pixel composition. In JPEG compressed data a JPEG marker is used instead of this tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "262"},
      label: {en: "PhotometricInterpretation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pictTaking,
      comment: {en: "An attribute relating to Picture-Taking Conditions"},
      label: {en: "PictTaking"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimBrightness,
      comment: {en: "Brightness info for print image matching"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "10"},
      label: {en: "PrintIM Brightness"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pimInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimColorBalance,
      comment: {en: "ColorBalance info for print image matching"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "11"},
      label: {en: "PrintIM ColorBalance"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pimInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimContrast,
      comment: {en: "Contrast info for print image matching"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "9"},
      label: {en: "PrintIM Contrast"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pimInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimInfo,
      comment: {en: "An attribute relating to print image matching"},
      label: {en: "PIM Info"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimSaturation,
      comment: {en: "Saturation info for print image matching"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "12"},
      label: {en: "PrintIM Saturation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pimInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pimSharpness,
      comment: {en: "Sharpness info for print image matching"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "13"},
      label: {en: "PrintIM Sharpness"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pimInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pixelXDimension,
      comment: {en: "Information specific to compressed data. When a compressed file is recorded, the valid width of the meaningful image shall be recorded in this tag, whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40962"},
      label: {en: "PixelXDimension"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#imageConfig", "http://www.w3.org/2003/12/exif/ns#width"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pixelYDimension,
      comment: {en: "Information specific to compressed data. When a compressed file is recorded, the valid height of the meaningful image shall be recorded in this tag, whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file. Since data padding is unnecessary in the vertical direction, the number of lines recorded in this valid image height tag will in fact be the same as that recorded in the SOF."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40963"},
      label: {en: "PixelYDimension"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#height", "http://www.w3.org/2003/12/exif/ns#imageConfig"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :planarConfiguration,
      comment: {en: "Indicates whether pixel components are recorded in chunky or planar format. In JPEG compressed files a JPEG marker is used instead of this tag. If this field does not exist, the TIFF default of 1 (chunky) is assumed."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "284"},
      label: {en: "PlanarConfiguration"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :primaryChromaticities,
      comment: {en: "The chromaticity of the three primary colors of the image. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace).", ja: "原色の色度。CCIR REcommendation 709 primariesを使っている場合は、'640/1000,330/1000,300/1000,600/1000,150/1000,60/1000'という値。通常はColorSpaceタグがあるので不要"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "319"},
      label: {en: "PrimaryChromaticities"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :printImageMatching_IFD_Pointer,
      comment: {en: "A pointer to the print image matching IFD"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "50341"},
      label: {en: "PrintImageMatching IFD Pointer"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#ifdPointer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :recOffset,
      comment: {en: "An attribute relating to recording offset"},
      label: {en: "Recording Offset"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :referenceBlackWhite,
      comment: {en: "The reference black point value and reference white point value. The color space is declared in a color space information tag, with the default being the value that gives the optimal image characteristics Interoperability these conditions.", ja: "画像情報の黒点・白点値。YCbCr形式の場合、最初の２つの値がY(輝度)の黒点・白点、次がCb、最後がCrとなり、デフォルト値は'0,255,0,128,0,128'。RGB形式の場合はR、G、Bの順で黒点・白点値が並んでおり、デフォルト値は'0,255,0,255,0,255'。"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "532"},
      label: {en: "ReferenceBlackWhite"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relatedFile,
      comment: {en: "Tag Relating to Related File Information"},
      label: {en: "Related File"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relatedImageFileFormat,
      comment: {en: "Related image file format", ja: "画像フォーマットを'Exif JPEG Ver. 2.1'などの文字列で示す。通常はサムネィル画像に使う"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "4096"},
      label: {en: "RelatedImageFileFormat"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#interopInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relatedImageLength,
      comment: {en: "Related image length", ja: "画像高。通常はサムネイル画像のInteroperability IFDに使う"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "4098"},
      label: {en: "RelatedImageLength"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#height", "http://www.w3.org/2003/12/exif/ns#interopInfo"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relatedImageWidth,
      comment: {en: "Related image width", ja: "画像幅。通常はサムネイル画像のInteroperability IFDに使う"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "4097"},
      label: {en: "RelatedImageWidth"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#interopInfo", "http://www.w3.org/2003/12/exif/ns#width"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relatedSoundFile,
      comment: {en: "Related audio file", ja: "画像と一緒に音声録音できる機種の場合に、音声ファイルの名前"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "40964"},
      label: {en: "RelatedSoundFile"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#relatedFile",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resolution,
      comment: {en: "a rational number representing a resolution. Could be a subProperty of other general schema."},
      label: {en: "Resolution"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resolutionUnit,
      comment: {en: "The unit for measuring XResolution and YResolution. The same unit is used for both XResolution and YResolution. If the image resolution in unknown, 2 (inches) is designated.", ja: "XResolution/YResolutionの解像度の単位"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "296"},
      label: {en: "ResolutionUnit"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rowsPerStrip,
      comment: {en: "The number of rows per strip. This is the number of rows in the image of one strip when an image is divided into strips. With JPEG compressed data this designation is not needed and is omitted."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "278"},
      label: {en: "RowsPerStrip"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#recOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :samplesPerPixel,
      comment: {en: "The number of components per pixel. Since this standard applies to RGB and YCbCr images, the value set for this tag is 3. In JPEG compressed data a JPEG marker is used instead of this tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "277"},
      label: {en: "SamplesPerPixel"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :saturation,
      comment: {en: "The direction of saturation processing applied by the camera when the image was shot."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41993"},
      label: {en: "Saturation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sceneCaptureType,
      comment: {en: "The type of scene that was shot. It can also be used to record the mode in which the image was shot, such as Landscape, Portrait etc. Note that this differs from the scene type (SceneType) tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41990"},
      label: {en: "SceneCaptureType"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sceneType,
      comment: {en: "The type of scene. If a DSC recorded the image, this tag value shall always be set to 1, indicating that the image was directly photographed.", ja: "画像がどうやって撮られたか。デジカメの場合は通常1=A directly photographed image"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41729"},
      label: {en: "SceneType"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :seconds,
      comment: {en: "a mesurement of time length with unit of second"},
      label: {en: "Seconds"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sensingMethod,
      comment: {en: "The image sensor type on the camera or input device, such as One-chip color area sensor etc.", ja: "イメージセンサーの形式。One-chip color area sensor、Color sequential area sensor、Trilinear sensorなど"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41495"},
      label: {en: "SensingMethod"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sharpness,
      comment: {en: "The direction of sharpness processing applied by the camera when the image was shot."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41994"},
      label: {en: "Sharpness"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :shutterSpeedValue,
      comment: {en: "Shutter speed. The unit is the APEX (Additive System of Photographic Exposure) setting", ja: "シャッター速度（APEX値）。この値の2のベキ乗をとって逆数にすると、通常のシャッター速度表示になる。例えば'4'の場合だと1/(2^4)=1/16秒"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37377"},
      label: {en: "ShutterSpeedValue"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :software,
      comment: {en: "The name and version of the software or firmware of the camera or image input device used to generate the image.", ja: "デジカメ（もしくは入力機器）の内蔵ソフトウェア/ファームウェアの名称とバージョン"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "305"},
      label: {en: "Software"},
      subPropertyOf: ["http://www.w3.org/2000/01/rdf-schema#label", "http://www.w3.org/2003/12/exif/ns#exifAttribute"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :spatialFrequencyResponse,
      comment: {en: "This tag records the camera or input device spatial frequency table and SFR values in the direction of image width, image height, and diagonal direction, as specified in ISO 12233."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41484"},
      label: {en: "SpatialFrequencyResponse"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :spectralSensitivity,
      comment: {en: "Indicates the spectral sensitivity of each channel of the camera used. The tag value is an ASCII string compatible with the standard developed by the ASTM Technical committee."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "34852"},
      label: {en: "SpectralSensitivity"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :stripByteCounts,
      comment: {en: "The total number of bytes in each strip. With JPEG compressed data this designation is not needed and is omitted."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "279"},
      label: {en: "StripByteCounts"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#recOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :stripOffsets,
      comment: {en: "For each strip, the byte offset of that strip. With JPEG compressed data this designation is not needed and is omitted."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "273"},
      label: {en: "StripOffsets"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#recOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subSecTime,
      comment: {en: "DateTime subseconds"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37520"},
      label: {en: "SubSecTime"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#dateAndOrTime", "http://www.w3.org/2003/12/exif/ns#subseconds"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subSecTimeDigitized,
      comment: {en: "DateTimeDigitized subseconds"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37522"},
      label: {en: "SubSecTimeDigitized"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#dateAndOrTime", "http://www.w3.org/2003/12/exif/ns#subseconds"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subSecTimeOriginal,
      comment: {en: "DateTimeOriginal subseconds"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37521"},
      label: {en: "SubSecTimeOriginal"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#dateAndOrTime", "http://www.w3.org/2003/12/exif/ns#subseconds"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subjectArea,
      comment: {en: "The location and area of the main subject in the overall scene.", ja: "画面中の主たる被写体の位置。2値によるXY座標、3値による円、4値による長方形座標の3通りの示し方がある"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37396"},
      label: {en: "SubjectArea"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subjectDistance,
      comment: {en: "The distance to the subject, given in meters. Note that if the numerator of the recorded value is FFFFFFFF.H, Infinity shall be indicated; and if the numerator is 0, Distance unknown shall be indicated.", ja: "被写体までの距離。単位はm"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37382"},
      label: {en: "SubjectDistance"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#meter", "http://www.w3.org/2003/12/exif/ns#pictTaking"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subjectDistanceRange,
      comment: {en: "The distance to the subject, such as Macro, Close View or Distant View."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41996"},
      label: {en: "SubjectDistanceRange"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subjectLocation,
      comment: {en: "The location of the main subject in the scene. The value of this tag represents the pixel at the center of the main subject relative to the left edge, prior to rotation processing as per the Rotation tag. The first value indicates the X column number and second indicates the Y row number.", ja: "画面中の主要被写体のXY座標"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41492"},
      label: {en: "SubjectLocation"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subseconds,
      comment: {en: "A tag used to record fractions of seconds for a date property"},
      label: {en: "Subseconds"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tag_number,
      comment: {en: "The Exif tag number"},
      label: {en: "Tag number"},
      subPropertyOf: "http://purl.org/dc/elements/1.1/identifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tagid,
      comment: {en: "The Exif tag number with context prefix, such as IFD type or maker name"},
      label: {en: "Tag ID"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#tag_number",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :transferFunction,
      comment: {en: "A transfer function for the image, described in tabular style. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace)."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "301"},
      label: {en: "TransferFunction"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :userComment,
      comment: {en: "A tag for Exif users to write keywords or comments on the image besides those in ImageDescription, and without the character code limitations of the ImageDescription tag. The character code used in the UserComment tag is identified based on an ID code in a fixed 8-byte area at the start of the tag data area.", ja: "ユーザーコメント。ImageDescriptionタグと違って、こちらはJIS2バイトコード、Unicode等での記述が許されており、最初の8バイトが文字コード"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "37510"},
      label: {en: "UserComment"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#userInfo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :userInfo,
      comment: {en: "An attribute relating to User Information"},
      label: {en: "User Info"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :versionInfo,
      comment: {en: "An attribute relating to Version"},
      label: {en: "Version Info"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#exifAttribute",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :whiteBalance,
      comment: {en: "The white balance mode set when the image was shot.", ja: "ホワイトバランスのモード"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "41987"},
      label: {en: "WhiteBalance"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#pictTaking",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :whitePoint,
      comment: {en: "The chromaticity of the white point of the image. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace).", ja: "白点の色度。CIE Standard Illuminant D65(いわゆる昼光色の世界標準値)を使っていれば、'3127/10000,3290/10000'という値。通常はColorSpaceタグがあるので不要"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "318"},
      label: {en: "WhitePoint"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :width,
      comment: {en: "Width of an object"},
      label: {en: "Width"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#length",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :xResolution,
      comment: {en: "The number of pixels per ResolutionUnit in the ImageWidth direction. When the image resolution is unknown, 72 [dpi] is designated.", ja: "画像の表示・印刷時の水平解像度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "282"},
      label: {en: "XResolution"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#imageDataStruct", "http://www.w3.org/2003/12/exif/ns#resolution"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :yCbCrCoefficients,
      comment: {en: "The matrix coefficients for transformation from RGB to YCbCr image data.", ja: "RGB形式からYCbCr形式に変換するための3つの係数。通常は0.299、0.587、0.114という値"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "529"},
      label: {en: "YCbCrCoefficients"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataCharacter",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :yCbCrPositioning,
      comment: {en: "The position of chrominance components in relation to the luminance component. This field is designated only for JPEG compressed data or uncompressed YCbCr data.", ja: "色情報のサンプリングを間引きしている場合に、色情報のサンプルポイントがどこになるか。1='centered'なら点集合の中央、2＝'co-sited'なら点集合の原点"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "531"},
      label: {en: "YCbCrPositioning"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :yCbCrSubSampling,
      comment: {en: "The sampling ratio of chrominance components in relation to the luminance component. In JPEG compressed data a JPEG marker is used instead of this tag."},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "530"},
      label: {en: "YCbCrSubSampling"},
      subPropertyOf: "http://www.w3.org/2003/12/exif/ns#imageDataStruct",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :yResolution,
      comment: {en: "The number of pixels per ResolutionUnit in the ImageLength direction. The same value as XResolution is designated.", ja: "画像の表示・印刷時の垂直解像度"},
      "http://www.w3.org/2003/12/exif/ns#tagNumber": {en: "283"},
      label: {en: "YResolution"},
      subPropertyOf: ["http://www.w3.org/2003/12/exif/ns#imageDataStruct", "http://www.w3.org/2003/12/exif/ns#resolution"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
  end
end
