# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://xmlns.com/foaf/0.1/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://xmlns.com/foaf/0.1/>
  # @!visibility private
  FOAF = Class.new(RDF::StrictVocabulary("http://xmlns.com/foaf/0.1/")) do

    # Ontology definition
    ontology :"http://xmlns.com/foaf/0.1/",
      "http://purl.org/dc/elements/1.1/description": "The Friend of a Friend (FOAF) RDF vocabulary, described using W3C RDF Schema and the Web Ontology Language.",
      "http://purl.org/dc/elements/1.1/title": "Friend of a Friend (FOAF) vocabulary",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :Agent,
      comment: "An agent (eg. person, group, software or physical artifact).",
      equivalentClass: "http://purl.org/dc/terms/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Agent",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Document,
      comment: "A document.",
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Organization", "http://xmlns.com/foaf/0.1/Project"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Document",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Group,
      comment: "A class of Agents.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Group",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Image,
      comment: "An image.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Image",
      subClassOf: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :LabelProperty,
      comment: "A foaf:LabelProperty is any RDF property with texual values that serve as labels.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Label Property",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :OnlineAccount,
      comment: "An online account.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Online Account",
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :OnlineChatAccount,
      comment: "An online chat account.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Online Chat Account",
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :OnlineEcommerceAccount,
      comment: "An online e-commerce account.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Online E-commerce Account",
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :OnlineGamingAccount,
      comment: "An online gaming account.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Online Gaming Account",
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Organization,
      comment: "An organization.",
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Document", "http://xmlns.com/foaf/0.1/Person"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Organization",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Person,
      comment: "A person.",
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Organization", "http://xmlns.com/foaf/0.1/Project"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Person",
      subClassOf: ["http://www.w3.org/2000/10/swap/pim/contact#Person", "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing", "http://xmlns.com/foaf/0.1/Agent"],
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :PersonalProfileDocument,
      comment: "A personal profile RDF document.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "PersonalProfileDocument",
      subClassOf: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Project,
      comment: "A project (a collective endeavour of some kind).",
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Document", "http://xmlns.com/foaf/0.1/Person"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Project",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]

    # Property definitions
    property :account,
      comment: "Indicates an account held by this agent.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "account",
      range: "http://xmlns.com/foaf/0.1/OnlineAccount",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :accountName,
      comment: "Indicates the name (identifier) associated with this online account.",
      domain: "http://xmlns.com/foaf/0.1/OnlineAccount",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "account name",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :accountServiceHomepage,
      comment: "Indicates a homepage of the service provide for this online account.",
      domain: "http://xmlns.com/foaf/0.1/OnlineAccount",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "account service homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :age,
      comment: "The age in years of some agent.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "age",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :aimChatID,
      comment: "An AIM chat ID",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "AIM chat ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :based_near,
      comment: "A location that something is based near, for some broadly human notion of near.",
      domain: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "based near",
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :birthday,
      comment: "The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "birthday",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :currentProject,
      comment: "A current project this person works on.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "current project",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :depiction,
      comment: "A depiction of some thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      inverseOf: "http://xmlns.com/foaf/0.1/depicts",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "depiction",
      range: "http://xmlns.com/foaf/0.1/Image",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :depicts,
      comment: "A thing depicted in this representation.",
      domain: "http://xmlns.com/foaf/0.1/Image",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      inverseOf: "http://xmlns.com/foaf/0.1/depiction",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "depicts",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dnaChecksum,
      comment: "A checksum for the DNA of some thing. Joke.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "DNA checksum",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :familyName,
      comment: "The family name of some person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "familyName",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :family_name,
      comment: "The family name of some person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "family_name",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :firstName,
      comment: "The first name of a person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "firstName",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :focus,
      comment: "The underlying or 'focal' entity associated with some SKOS-described concept.",
      domain: "http://www.w3.org/2004/02/skos/core#Concept",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "focus",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :fundedBy,
      comment: "An organization funding a project or person.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "funded by",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :geekcode,
      comment: "A textual geekcode for this person, see http://www.geekcode.com/geek.html",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "geekcode",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :gender,
      comment: "The gender of this Agent (typically but not necessarily 'male' or 'female').",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "gender",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :givenName,
      comment: "The given name of some person.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Given name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :givenname,
      comment: "The given name of some person.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Given name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :holdsAccount,
      comment: "Indicates an account held by this agent.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "account",
      range: "http://xmlns.com/foaf/0.1/OnlineAccount",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :homepage,
      comment: "A homepage for some thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: ["http://xmlns.com/foaf/0.1/isPrimaryTopicOf", "http://xmlns.com/foaf/0.1/page"],
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :icqChatID,
      comment: "An ICQ chat ID",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "ICQ chat ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :img,
      comment: "An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "image",
      range: "http://xmlns.com/foaf/0.1/Image",
      subPropertyOf: "http://xmlns.com/foaf/0.1/depiction",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :interest,
      comment: "A page about a topic of interest to this person.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "interest",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isPrimaryTopicOf,
      comment: "A document that this thing is the primary topic of.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://xmlns.com/foaf/0.1/primaryTopic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "is primary topic of",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/page",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :jabberID,
      comment: "A jabber ID for something.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "jabber ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :knows,
      comment: "A person known by this person (indicating some level of reciprocated interaction between the parties).",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "knows",
      range: "http://xmlns.com/foaf/0.1/Person",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :lastName,
      comment: "The last name of a person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "lastName",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :logo,
      comment: "A logo representing some thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "logo",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :made,
      comment: "Something that was made by this agent.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://xmlns.com/foaf/0.1/maker",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "made",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :maker,
      comment: "An agent that made this thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      equivalentProperty: "http://purl.org/dc/terms/creator",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://xmlns.com/foaf/0.1/made",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "maker",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :mbox,
      comment: "A personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "personal mailbox",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :mbox_sha1sum,
      comment: "The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the first owner of the mailbox.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "sha1sum of a personal mailbox URI name",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :member,
      comment: "Indicates a member of a Group",
      domain: "http://xmlns.com/foaf/0.1/Group",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "member",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :membershipClass,
      comment: "Indicates the class of individuals that are a member of a Group",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "membershipClass",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#AnnotationProperty"]
    property :msnChatID,
      comment: "An MSN chat ID",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "MSN chat ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
    property :myersBriggs,
      comment: "A Myers Briggs (MBTI) personality classification.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "myersBriggs",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :name,
      comment: "A name for some thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "name",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :nick,
      comment: "A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "nickname",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :openid,
      comment: "An OpenID for an Agent.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "openid",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :page,
      comment: "A page or document about this thing.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      inverseOf: "http://xmlns.com/foaf/0.1/topic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "page",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :pastProject,
      comment: "A project this person has previously worked on.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "past project",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :phone,
      comment: "A phone, specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "phone",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :plan,
      comment: "A .plan comment, in the tradition of finger and '.plan' files.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "plan",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :primaryTopic,
      comment: "The primary topic of some page or document.",
      domain: "http://xmlns.com/foaf/0.1/Document",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "primary topic",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :publications,
      comment: "A link to the publications of this person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "publications",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :schoolHomepage,
      comment: "A homepage of a school attended by the person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "schoolHomepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sha1,
      comment: "A sha1sum hash, in hex.",
      domain: "http://xmlns.com/foaf/0.1/Document",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "sha1sum (hex)",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :skypeID,
      comment: "A Skype ID",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Skype ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :status,
      comment: "A string expressing what the user is happy for the general public (normally) to know about their current activity.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "status",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :surname,
      comment: "The surname of some person.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Surname",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :theme,
      comment: "A theme.",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "theme",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :thumbnail,
      comment: "A derived thumbnail image.",
      domain: "http://xmlns.com/foaf/0.1/Image",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "thumbnail",
      range: "http://xmlns.com/foaf/0.1/Image",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :tipjar,
      comment: "A tipjar document for this agent, describing means for payment and reward.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "tipjar",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/page",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :title,
      comment: "Title (Mr, Mrs, Ms, Dr. etc)",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "title",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :topic,
      comment: "A topic of some page or document.",
      domain: "http://xmlns.com/foaf/0.1/Document",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      inverseOf: "http://xmlns.com/foaf/0.1/page",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "topic",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :topic_interest,
      comment: "A thing of interest to this person.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "topic_interest",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :weblog,
      comment: "A weblog of some thing (whether person, group, company etc.).",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "weblog",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/page",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :workInfoHomepage,
      comment: "A work info homepage of some person; a page about their work for some organization.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "work info homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :workplaceHomepage,
      comment: "A workplace homepage of some person; the homepage of an organization they work for.",
      domain: "http://xmlns.com/foaf/0.1/Person",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "workplace homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :yahooChatID,
      comment: "A Yahoo chat ID",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://xmlns.com/foaf/0.1/",
      label: "Yahoo chat ID",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#InverseFunctionalProperty"]
  end
end
