# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.w3.org/ns/hydra/core#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.w3.org/ns/hydra/core#>
  # @!visibility private
  HYDRA = Class.new(RDF::StrictVocabulary("http://www.w3.org/ns/hydra/core#")) do

    # Ontology definition
    ontology :"http://www.w3.org/ns/hydra/core#",
      comment: "A lightweight vocabulary for hypermedia-driven Web APIs",
      "http://creativecommons.org/ns#attributionName": "Hydra W3C Community Group",
      "http://creativecommons.org/ns#attributionURL": "http://www.hydra-cg.com/",
      "http://creativecommons.org/ns#license": "http://creativecommons.org/licenses/by/4.0/",
      "http://purl.org/dc/terms/description": "The Hydra Core Vocabulary is a lightweight vocabulary to create hypermedia-driven Web APIs. By specifying a number of concepts commonly used in Web APIs it enables the creation of generic API clients.",
      "http://purl.org/dc/terms/publisher": "Hydra W3C Community Group",
      "http://purl.org/dc/terms/rights": "Copyright © 2012-2014 the Contributors to the Hydra Core Vocabulary Specification",
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "hydra",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.hydra-cg.com/spec/latest/core/",
      label: "The Hydra Core Vocabulary",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :ApiDocumentation,
      comment: "The Hydra API documentation class",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "ApiDocumentation",
      subClassOf: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :BaseUriSource,
      comment: "Provides a base abstract for base Uri source for Iri template resolution.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Base Uri source",
      subClassOf: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Class,
      comment: "The class of Hydra classes.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Hydra Class",
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Class",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/ns/hydra/core#Resource"]
    term :Collection,
      comment: "A collection holding references to a number of related resources.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Collection",
      subClassOf: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Error,
      comment: "A runtime error, used to report information beyond the returned status code.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Error",
      subClassOf: "http://www.w3.org/ns/hydra/core#Status",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :HeaderSpecification,
      comment: "Specifies a possible either expected or returned header values",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Header specification",
      subClassOf: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :IriTemplate,
      comment: "The class of IRI templates.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "IRI Template",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :IriTemplateMapping,
      comment: "A mapping from an IRI template variable to a property.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "IriTemplateMapping",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Link,
      comment: "The class of properties representing links.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Link",
      subClassOf: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/ns/hydra/core#Resource"],
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Operation,
      comment: "An operation.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Operation",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :PartialCollectionView,
      comment: "A PartialCollectionView describes a partial view of a Collection. Multiple PartialCollectionViews can be connected with the the next/previous properties to allow a client to retrieve all members of the collection.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "PartialCollectionView",
      subClassOf: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Resource,
      comment: "The class of dereferenceable resources by means a client can attempt to dereference; however, the received responses should still be verified.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Hydra Resource",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :Status,
      comment: "Additional information about a status code that might be returned.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Status code description",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :SupportedProperty,
      comment: "A property known to be supported by a Hydra class.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Supported Property",
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :TemplatedLink,
      comment: "A templated link.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Templated Link",
      subClassOf: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/ns/hydra/core#Resource"],
      type: "http://www.w3.org/ns/hydra/core#Class"
    term :VariableRepresentation,
      comment: "A representation specifies how to serialize variable values into strings.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "VariableRepresentation",
      type: "http://www.w3.org/ns/hydra/core#Class"

    # Property definitions
    property :closedSet,
      comment: "Determines whether the provided set of header values is closed or not.",
      domain: "http://www.w3.org/ns/hydra/core#HeaderSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "closed set",
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :description,
      comment: "A description.",
      domainIncludes: ["http://www.w3.org/ns/hydra/core#ApiDocumentation", "http://www.w3.org/ns/hydra/core#Class", "http://www.w3.org/ns/hydra/core#Link", "http://www.w3.org/ns/hydra/core#Operation", "http://www.w3.org/ns/hydra/core#Status", "http://www.w3.org/ns/hydra/core#SupportedProperty", "http://www.w3.org/ns/hydra/core#TemplatedLink"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "description",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#comment",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :expectsHeader,
      comment: "Specification of the header expected by the operation.",
      domain: "http://www.w3.org/ns/hydra/core#Operation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "expects header",
      rangeIncludes: ["http://www.w3.org/2001/XMLSchema#string", "http://www.w3.org/ns/hydra/core#HeaderSpecification"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :extension,
      comment: "Hint on what kind of extensions are in use.",
      domain: "http://www.w3.org/ns/hydra/core#ApiDocumentation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "extension",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :freetextQuery,
      comment: "A property representing a freetext query.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "freetext query",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :headerName,
      comment: "Name of the header.",
      domain: "http://www.w3.org/ns/hydra/core#HeaderSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "header name",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :limit,
      comment: "Instructs to limit set only to N elements.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "take",
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mapping,
      comment: "A variable-to-property mapping of the IRI template.",
      domain: "http://www.w3.org/ns/hydra/core#IriTemplate",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "mapping",
      range: "http://www.w3.org/ns/hydra/core#IriTemplateMapping",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :method,
      comment: "The HTTP method.",
      domain: "http://www.w3.org/ns/hydra/core#Operation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "method",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :offset,
      comment: "Instructs to skip N elements of the set.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "skip",
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pageIndex,
      comment: "Instructs to provide a specific page of the collection at a given index.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "page index",
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.w3.org/ns/hydra/core#pageReference",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pageReference,
      comment: "Instructs to provide a specific page reference of the collection.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "page reference",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :possibleValue,
      comment: "Possible value of the header.",
      domain: "http://www.w3.org/ns/hydra/core#HeaderSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "possible header value",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :property,
      comment: "A property",
      domainIncludes: ["http://www.w3.org/ns/hydra/core#IriTemplateMapping", "http://www.w3.org/ns/hydra/core#SupportedProperty"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "property",
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :readable,
      comment: "True if the client can retrieve the property's value, false otherwise.",
      domain: "http://www.w3.org/ns/hydra/core#SupportedProperty",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "readable",
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :required,
      comment: "True if the property is required, false otherwise.",
      domainIncludes: ["http://www.w3.org/ns/hydra/core#IriTemplateMapping", "http://www.w3.org/ns/hydra/core#SupportedProperty"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "required",
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resolveRelativeUsing,
      domain: "http://www.w3.org/ns/hydra/core#IriTemplate",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "relative Uri resolution",
      range: "http://www.w3.org/ns/hydra/core#BaseUriSource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :returnsHeader,
      comment: "Name of the header returned by the operation.",
      domain: "http://www.w3.org/ns/hydra/core#Operation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "returns header",
      rangeIncludes: ["http://www.w3.org/2001/XMLSchema#string", "http://www.w3.org/ns/hydra/core#HeaderSpecification"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :statusCode,
      comment: "The HTTP status code. Please note it may happen this value will be different to actual status code received.",
      domain: "http://www.w3.org/ns/hydra/core#Status",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "status code",
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :template,
      comment: "A templated string with placeholders. The literal's datatype indicates the template syntax; if not specified, hydra:Rfc6570Template is assumed.",
      domain: "http://www.w3.org/ns/hydra/core#IriTemplate",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/hydra/core#Rfc6570Template",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "template",
      range: "http://www.w3.org/ns/hydra/core#Rfc6570Template",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :title,
      comment: "A title, often used along with a description.",
      domainIncludes: ["http://www.w3.org/ns/hydra/core#ApiDocumentation", "http://www.w3.org/ns/hydra/core#Class", "http://www.w3.org/ns/hydra/core#Link", "http://www.w3.org/ns/hydra/core#Operation", "http://www.w3.org/ns/hydra/core#Status", "http://www.w3.org/ns/hydra/core#SupportedProperty", "http://www.w3.org/ns/hydra/core#TemplatedLink"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "title",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :totalItems,
      comment: "The total number of items referenced by a collection.",
      domain: "http://www.w3.org/ns/hydra/core#Collection",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "total items",
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :variable,
      comment: "An IRI template variable",
      domain: "http://www.w3.org/ns/hydra/core#IriTemplateMapping",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "variable",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :variableRepresentation,
      comment: "The representation format to use when expanding the IRI template.",
      domain: "http://www.w3.org/ns/hydra/core#IriTemplateMapping",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "variable representation",
      range: "http://www.w3.org/ns/hydra/core#VariableRepresentation",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :writable,
      comment: "True if the client can change the property's value, false otherwise.",
      domain: "http://www.w3.org/ns/hydra/core#SupportedProperty",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "writable",
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"

    # Datatype definitions
    term :Rfc6570Template,
      comment: "An IRI template as defined by RFC6570.",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://tools.ietf.org/html/rfc6570",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "RFC6570 IRI template",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype"

    # Extra definitions
    term :BasicRepresentation,
      comment: "A representation that serializes just the lexical form of a variable value, but omits language and type information.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "BasicRepresentation",
      type: "http://www.w3.org/ns/hydra/core#VariableRepresentation"
    term :ExplicitRepresentation,
      comment: "A representation that serializes a variable value including its language and type information and thus differentiating between IRIs and literals.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "ExplicitRepresentation",
      type: "http://www.w3.org/ns/hydra/core#VariableRepresentation"
    term :LinkContext,
      comment: "States that the link's context IRI, as defined in RFC 5988, should be used as the base Uri",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "Link context",
      type: "http://www.w3.org/ns/hydra/core#BaseUriSource"
    term :Rfc3986,
      comment: "States that the base Uri should be established using RFC 3986 reference resolution algorithm specified in section 5.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "RFC 3986 based",
      type: "http://www.w3.org/ns/hydra/core#BaseUriSource"
    term :apiDocumentation,
      comment: "A link to the API documentation",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "apiDocumentation",
      range: "http://www.w3.org/ns/hydra/core#ApiDocumentation",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :collection,
      comment: "Collections somehow related to this resource.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "collection",
      range: "http://www.w3.org/ns/hydra/core#Collection",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :entrypoint,
      comment: "A link to main entry point of the Web API",
      domain: "http://www.w3.org/ns/hydra/core#ApiDocumentation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "entrypoint",
      range: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :expects,
      comment: "The information expected by the Web API.",
      domain: "http://www.w3.org/ns/hydra/core#Operation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "expects",
      rangeIncludes: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2000/01/rdf-schema#Resource", "http://www.w3.org/ns/hydra/core#Class", "http://www.w3.org/ns/hydra/core#Resource"],
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :first,
      comment: "The first resource of an interlinked set of resources.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "first",
      range: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :last,
      comment: "The last resource of an interlinked set of resources.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "last",
      range: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :manages,
      comment: "This predicate is left for compatibility purposes and hydra:memberAssertion should be used instead.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "manages",
      subPropertyOf: "http://www.w3.org/ns/hydra/core#memberAssertion"
    term :member,
      comment: "A member of the collection",
      domain: "http://www.w3.org/ns/hydra/core#Collection",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "member",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :memberAssertion,
      comment: "Semantics of each member provided by the collection.",
      domain: "http://www.w3.org/ns/hydra/core#Collection",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "member assertion"
    term :next,
      comment: "The resource following the current instance in an interlinked set of resources.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "next",
      range: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :object,
      comment: "The object.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "object"
    term :operation,
      comment: "An operation supported by the Hydra resource",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "operation",
      range: "http://www.w3.org/ns/hydra/core#Operation",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :possibleStatus,
      comment: "A status that might be returned by the Web API (other statuses should be expected and properly handled as well)",
      domainIncludes: ["http://www.w3.org/ns/hydra/core#ApiDocumentation", "http://www.w3.org/ns/hydra/core#Operation"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "possible status",
      range: "http://www.w3.org/ns/hydra/core#Status",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :previous,
      comment: "The resource preceding the current instance in an interlinked set of resources.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "previous",
      range: "http://www.w3.org/ns/hydra/core#Resource",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :returns,
      comment: "The information returned by the Web API on success",
      domain: "http://www.w3.org/ns/hydra/core#Operation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "returns",
      rangeIncludes: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2000/01/rdf-schema#Resource", "http://www.w3.org/ns/hydra/core#Class", "http://www.w3.org/ns/hydra/core#Resource"],
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :search,
      comment: "A IRI template that can be used to query a collection.",
      domain: "http://www.w3.org/ns/hydra/core#Resource",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "search",
      range: "http://www.w3.org/ns/hydra/core#IriTemplate",
      type: "http://www.w3.org/ns/hydra/core#TemplatedLink"
    term :subject,
      comment: "The subject.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "subject"
    term :supportedClass,
      comment: "A class known to be supported by the Web API",
      domain: "http://www.w3.org/ns/hydra/core#ApiDocumentation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "supported classes",
      range: "http://www.w3.org/2000/01/rdf-schema#Class",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :supportedOperation,
      comment: "An operation supported by instances of the specific Hydra class, or the target of the Hydra link, or IRI template.",
      domainIncludes: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/ns/hydra/core#Class", "http://www.w3.org/ns/hydra/core#Link", "http://www.w3.org/ns/hydra/core#SupportedProperty", "http://www.w3.org/ns/hydra/core#TemplatedLink"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "supported operation",
      range: "http://www.w3.org/ns/hydra/core#Operation",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :supportedProperty,
      comment: "The properties known to be supported by a Hydra class",
      domain: "http://www.w3.org/2000/01/rdf-schema#Class",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "supported properties",
      range: "http://www.w3.org/ns/hydra/core#SupportedProperty",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :view,
      comment: "A specific view of a resource.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "view",
      type: "http://www.w3.org/ns/hydra/core#Link"
    term :writeable,
      comment: "This property is left for compatibility purposes and hydra:writable should be used instead.",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic",
      isDefinedBy: "http://www.w3.org/ns/hydra/core",
      label: "writable",
      subPropertyOf: "http://www.w3.org/ns/hydra/core#writable"
  end
end
