# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://purl.org/ontology/mo/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://purl.org/ontology/mo/>
  # @!visibility private
  MO = Class.new(RDF::Vocabulary("http://purl.org/ontology/mo/")) do

    # Ontology definition
    ontology :"http://purl.org/ontology/mo/",
      "http://purl.org/dc/elements/1.1/created": "2006/12/21 12:00:00",
      "http://purl.org/dc/elements/1.1/date": "2013/07/22 16:54:19",
      "http://purl.org/dc/elements/1.1/description": "\n        The Music Ontology Specification provides main concepts and \n        properties fo describing music (i.e. artists, albums and tracks) \n        on the Semantic Web. \n    ",
      "http://purl.org/dc/elements/1.1/title": "The Music Ontology",
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "mo",
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://purl.org/ontology/mo/",
      "http://www.w3.org/2002/07/owl#imports": ["http://purl.org/NET/c4dm/event.owl", "http://purl.org/NET/c4dm/keys.owl", "http://purl.org/dc/terms/", "http://purl.org/ontology/ao/core", "http://purl.org/vocab/bio/0.1/", "http://purl.org/vocab/frbr/core", "http://www.w3.org/2006/time", "http://xmlns.com/foaf/0.1/"],
      "http://www.w3.org/2002/07/owl#versionInfo": "Revision: 2.1.5",
      "http://xmlns.com/foaf/0.1/maker": ["http://foaf.me/zazi#me", "http://kurtisrandom.com/foaf.rdf#kurtjx", "http://raimond.me.uk/foaf.rdf#moustaki", "http://www.talkdigger.com/foaf/fgiasson", term(
          "http://xmlns.com/foaf/0.1/homepage": "http://apassant.net/",
          "http://xmlns.com/foaf/0.1/name": "Alexandre Passant"
        ), term(
          "http://xmlns.com/foaf/0.1/homepage": "http://simon-reinhardt.de/",
          "http://xmlns.com/foaf/0.1/name": "Simon Reinhardt"
        ), term(
          "http://xmlns.com/foaf/0.1/name": "George Fazekas"
        )],
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :Activity,
      comment: "\n        An activity period, defining when an artist was musically active.\n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "activity",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AnalogSignal,
      comment: "\n        An analog signal.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2002/07/owl#disjointWith": "http://purl.org/ontology/mo/DigitalSignal",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "analogue signal",
      subClassOf: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Arrangement,
      comment: "\n        An arrangement event.\n        Takes as agent the arranger, and produces a score (informational object, not the actually published score).\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "arrangement",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Arranger,
      equivalentClass: term(
          onProperty: "http://purl.org/NET/c4dm/event.owl#isAgentIn",
          someValuesFrom: "http://purl.org/ontology/mo/Arrangement",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "arranger",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AudioFile,
      comment: "An audio file, which may be available on a local file system or through http, ftp, etc.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "audio file",
      subClassOf: ["http://purl.org/ontology/mo/Medium", "http://xmlns.com/foaf/0.1/Document"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CD,
      comment: "Compact Disc used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "CD",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Composer,
      equivalentClass: term(
          onProperty: "http://purl.org/NET/c4dm/event.owl#isAgentIn",
          someValuesFrom: "http://purl.org/ontology/mo/Composition",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "composer",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Composition,
      comment: "\n        A composition event.\n        Takes as agent the composer himself.\n        It produces a MusicalWork, or a MusicalExpression (when the initial \"product\" is a score, for example), or both...\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "composition",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Conductor,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/conducted",
          someValuesFrom: "http://purl.org/ontology/mo/Performance",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "conductor",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :CorporateBody,
      comment: "Organization or group of individuals and/or other organizations involved in the music market.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "corporate body",
      subClassOf: "http://xmlns.com/foaf/0.1/Organization",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DAT,
      comment: "Digital Audio Tape used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "DAT",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DCC,
      comment: "Digital Compact Cassette used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "DCC",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DVDA,
      comment: "DVD-Audio used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "DVDA",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DigitalSignal,
      comment: "\n        A digital signal\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2002/07/owl#disjointWith": "http://purl.org/ontology/mo/AnalogSignal",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "digital signal",
      subClassOf: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ED2K,
      comment: "Something available on the E-Donkey peer-2-peer filesharing network",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "ED2K",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Festival,
      comment: "\n        A festival - musical/artistic event lasting several days, like Glastonbury, Rock Am Ring...\n        We migth decompose this event (which is in fact just a classification of the space/time region related to \n        a particular festival) using hasSubEvent in several performances at different space/time.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Festival",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Genre,
      comment: "\n        An expressive style of music.\n        \n        Any taxonomy can be plug-in here. You can either define a genre by yourself, like this:\n\n        :mygenre a mo:Genre; dc:title \"electro rock\".\n\n        Or you can refer to a DBPedia genre (such as http://dbpedia.org/resource/Baroque_music), allowing semantic web\n        clients to access easily really detailed structured information about the genre you are refering to.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Genre",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Instrument,
      comment: "\n        Any of various devices or contrivances that can be used to produce musical tones or sound.\n        \n        Any taxonomy can be used to subsume this concept. The default one is one extracted by Ivan Herman\n        from the Musicbrainz instrument taxonomy, conforming to SKOS. This concept holds a seeAlso link \n        towards this taxonomy.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/ontology/mo/mit#",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Instrument",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Instrumentation,
      comment: "\n        Instrumentation deals with the techniques of writing music for a specific instrument, \n        including the limitations of the instrument, playing techniques and idiomatic handling of the instrument.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "instrumentation",
      subClassOf: "http://purl.org/ontology/mo/Arrangement",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Label,
      comment: "Trade name of a company that produces musical works or expression of musical works.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "label",
      subClassOf: "http://purl.org/ontology/mo/CorporateBody",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Libretto,
      comment: "\n                Libretto\n        ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "libretto",
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Listener,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/listened",
          someValuesFrom: "http://purl.org/ontology/mo/Performance",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "listened",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Lyrics,
      comment: "\n        Lyrics\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "lyrics",
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MD,
      comment: "Mini Disc used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "MD",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MagneticTape,
      comment: "Magnetic analogue tape used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "MagneticTape",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Medium,
      comment: "A means or instrumentality for storing or communicating musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Medium",
      subClassOf: "http://purl.org/ontology/mo/MusicalItem",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Membership,
      comment: "A membership event, where one or several people belongs to a group during a particular time period.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "membership",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Movement,
      comment: "A movement is a self-contained part of a musical work. While individual or selected movements from a composition are sometimes performed separately, a performance of the complete work requires all the movements to be performed in succession.\n\nOften a composer attempts to interrelate the movements thematically, or sometimes in more subtle ways, in order that the individual\nmovements exert a cumulative effect. In some forms, composers sometimes link the movements, or ask for them to be played without a\npause between them.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "movement",
      subClassOf: "http://purl.org/ontology/mo/MusicalWork",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicArtist,
      comment: "\n        A person or a group of people (or a computer :-) ), whose musical \n        creative work shows sensitivity and imagination \n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "music artist",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicGroup,
      comment: "Group of musicians, or musical ensemble, usually popular or folk, playing parts of or improvising off of a musical arrangement. ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "music group",
      subClassOf: ["http://purl.org/ontology/mo/MusicArtist", "http://xmlns.com/foaf/0.1/Group"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicalExpression,
      comment: "\nThe intellectual or artistic realization of a work in the form of alpha-numeric, musical, or choreographic notation, sound, etc., or any combination of such forms.    \n\n\nFor example:\n\nWork #1 Franz Schubert's Trout quintet\n\n    * Expression #1 the composer's score\n    * Expression #2 sound issued from the performance by the Amadeus Quartet and Hephzibah Menuhin on piano\n    * Expression #3 sound issued from the performance by the Cleveland Quartet and Yo-Yo Ma on the cello\n    * . . . . \n\nThe Music Ontology defines the following sub-concepts of a MusicalExpression, which should be used instead of MusicalExpression itself: Score (the\nresult of an arrangement), Sound (produced during a performance), Signal. However, it is possible to stick to FRBR and bypass the worflow\nmechanism this ontology defines by using the core FRBR properties on such objects. But it is often better to use events to interconnect such \nexpressions (allowing to go deeply into the production process - `this performer was playing this particular instrument at that\nparticular time').\n    \n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "musical expression",
      subClassOf: "http://purl.org/vocab/frbr/core#Expression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicalItem,
      comment: "A single exemplar of a musical expression.\n    \nFor example, it could be a single exemplar of a CD. This is normally an single object (a CD) possessed by somebody.\n\nFrom the FRBR final report: The entity defined as item is a concrete entity. It is in many instances a single physical object (e.g., a copy of a one-volume monograph, a single audio cassette, etc.). There are instances, however, where the entity defined as item comprises more than one physical object (e.g., a monograph issued as two separately bound volumes, a recording issued on three separate compact discs, etc.).\n\nIn terms of intellectual content and physical form, an item exemplifying a manifestation is normally the same as the manifestation itself. However, variations may occur from one item to another, even when the items exemplify the same manifestation, where those variations are the result of actions external to the intent of the producer of the manifestation (e.g., damage occurring after the item was produced, binding performed by a library, etc.). \n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "MusicalItem",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicalManifestation,
      comment: "\n\nThis entity is related to the edition/production/publication of a musical expression (musical manifestation are closely related with the music industry (their terms, concepts, definitions, methods (production, publication, etc.), etc.)\n    \nFrom the FRBR final report: The entity defined as manifestation encompasses a wide range of materials, including manuscripts, books, periodicals, maps, posters, sound recordings, films, video recordings, CD-ROMs, multimedia kits, etc. As an entity, manifestation represents all the physical objects that bear the same characteristics, in respect to both intellectual content and physical form.\n\n\nWork #1 J. S. Bach's Six suites for unaccompanied cello\n\n    * Expression #1 sound issued during the performance by Janos Starker recorded in 1963 and 1965\n          o Manifestation #1 recordings released on 33 1/3 rpm sound discs in 1965 by Mercury\n          o Manifestation #2 recordings re-released on compact disc in 1991 by Mercury \n    * Expression #2 sound issued during the performances by Yo-Yo Ma recorded in 1983\n          o Manifestation #1 recordings released on 33 1/3 rpm sound discs in 1983 by CBS Records\n          o Manifestation #2 recordings re-released on compact disc in 1992 by CBS Records \n\n          \nChanges that occur deliberately or even inadvertently in the production process that affect the copies result, strictly speaking, in a new manifestation. A manifestation resulting from such a change may be identified as a particular \"state\" or \"issue\" of the publication.\n\nChanges that occur to an individual copy after the production process is complete (e.g., the loss of a page, rebinding, etc.) are not considered to result in a new manifestation. That copy is simply considered to be an exemplar (or item) of the manifestation that deviates from the copy as produced.\n\nWith the entity defined as manifestation we can describe the physical characteristics of a set of items and the characteristics associated with the production and distribution of that set of items that may be important factors in enabling users to choose a manifestation appropriate to their physical needs and constraints, and to identify and acquire a copy of that manifestation.\n\nDefining manifestation as an entity also enables us to draw relationships between specific manifestations of a work. We can use the relationships between manifestations to identify, for example, the specific publication that was used to create a microreproduction.          \n\n",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "musical manifestation",
      subClassOf: "http://purl.org/vocab/frbr/core#Manifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MusicalWork,
      comment: "\n    Distinct intellectual or artistic musical creation.\n    \nFrom the FRBR final report: A work is an abstract entity; there is no single material object one can point to as the work. We recognize the work through individual realizations or expressions of the work, but the work itself exists only in the commonality of\ncontent between and among the various expressions of the work. When we speak of Homer's Iliad as a work, our point of reference is not a particular recitation or text of the work, but the intellectual creation that lies behind all the various expressions of the work.     \n\nFor example:\n\nwork #1 J. S. Bach's The art of the fugue\n\n    \n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "musical work",
      subClassOf: "http://purl.org/vocab/frbr/core#Work",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Orchestration,
      comment: "\n            Orchestration includes, in addition to instrumentation, the handling of groups of instruments and their balance and interaction.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "orchestration",
      subClassOf: "http://purl.org/ontology/mo/Arrangement",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Performance,
      comment: "\n        A performance event. \n        It might include as agents performers, engineers, conductors, or even listeners.\n        It might include as factors a score, a MusicalWork, musical instruments. \n        It might produce a sound:-)\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "performance",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Performer,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/performed",
          someValuesFrom: "http://purl.org/ontology/mo/Performance",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "performer",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PublishedLibretto,
      comment: "A published libretto",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "published libretto",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PublishedLyrics,
      comment: "Published lyrics, as a book or as a text file, for example",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "published lyrics",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PublishedScore,
      comment: "A published score (subclass of MusicalManifestation)",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "published score",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Record,
      comment: "A published record (manifestation which first aim is to render the product of a recording)",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "record",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Recording,
      comment: "\n        A recording event.\n        Takes a sound as a factor to produce a signal (analog or digital).\n        The location of such events (if any) is the actual location of the corresponding\n        microphone or the \"recording device\".\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "recording",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RecordingSession,
      comment: "A set of performances/recordings/mastering events. This event can be decomposed in its constituent events using event:sub_event",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "recording session",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Release,
      comment: "A specific release, with barcode, box, liner notes, cover art, and a number of records",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "release",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReleaseEvent,
      comment: "A release event, in a particular place (e.g. a country) at a particular time. Other factors of this event might include cover art, liner notes, box, etc. or a release grouping all these.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "release event",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReleaseStatus,
      comment: "Musical manifestation release status.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "release status",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReleaseType,
      comment: "\n        Release type of a particular manifestation, such as \"album\" or \"interview\"...\n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Release type",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SACD,
      comment: "Super Audio Compact Disc used as medium to record a musical manifestation.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "SACD",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Score,
      comment: "\n        Here, we are dealing with the informational object (the MusicalExpression), not the actually \"published\" score.\n        This may be, for example, the product of an arrangement process.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "score",
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Show,
      comment: "\n        A show - a musical event lasting several days, in a particular venue. Examples can be\n        \"The Magic Flute\" at the Opera Bastille, August 2005, or a musical in the west end...\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Show",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Signal,
      comment: "\n        A subclass of MusicalExpression, representing a signal, for example a master signal produced by a performance and a recording.\n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "signal",
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SignalGroup,
      comment: "\n        A musical expression representing a group of signals, for example a set of masters resulting from a whole recording/mastering session.\n    ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "signal group",
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SoloMusicArtist,
      comment: "Single person whose musical creative work shows sensitivity and imagination.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "solo music artist",
      subClassOf: ["http://purl.org/ontology/mo/MusicArtist", "http://xmlns.com/foaf/0.1/Person"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Sound,
      comment: "\n        A subclass of MusicalExpression, representing a sound. Realisation of a MusicalWork during a musical Performance.\n    ",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sound",
      subClassOf: ["http://purl.org/NET/c4dm/event.owl#Event", "http://purl.org/ontology/mo/MusicalExpression"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SoundEngineer,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/engineered",
          someValuesFrom: "http://purl.org/ontology/mo/Performance",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      label: "sound engineer",
      subClassOf: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Stream,
      comment: "Transmission over a network  used as medium to broadcast a musical manifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Stream",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Torrent,
      comment: "Something available on the Bittorrent peer-2-peer filesharing network",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Torrent",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Track,
      comment: "A track on a particular record",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "track",
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Transcription,
      comment: "Transcription event",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "transcription",
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Vinyl,
      comment: "Vinyl used as medium to record a musical manifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Vinyl",
      subClassOf: "http://purl.org/ontology/mo/Medium",
      type: "http://www.w3.org/2002/07/owl#Class"

    # Property definitions
    property :activity,
      comment: "Relates an artist to an activity period",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "activity",
      range: "http://purl.org/ontology/mo/Activity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :activity_end,
      comment: "Relates an artist to a date at which its activity ended",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "activity end",
      range: "http://www.w3.org/2001/XMLSchema#date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :activity_start,
      comment: "Relates an artist to a date at which its activity started",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "activity start",
      range: "http://www.w3.org/2001/XMLSchema#date",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :amazon_asin,
      comment: "Used to link a work or the expression of a work to its corresponding Amazon ASINs page.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Work", "http://purl.org/vocab/frbr/core#Expression", "http://purl.org/vocab/frbr/core#Manifestation", "http://purl.org/vocab/frbr/core#Item")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "amazon_asin",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :arranged_in,
      comment: "\n        Associates a work to an arrangement event where it was arranged\n    ",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/arrangement_of",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "arranged in",
      range: "http://purl.org/ontology/mo/Arrangement",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :arrangement_of,
      comment: "\n                Associates an arrangement event to a work\n        ",
      domain: "http://purl.org/ontology/mo/Arrangement",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/arranged_in",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "arrangement of",
      range: "http://purl.org/ontology/mo/MusicalWork",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :artist,
      comment: "Relates a membership event with the corresponding artist",
      domain: "http://purl.org/ontology/mo/Membership",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "artist",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :availableAs,
      equivalentProperty: "http://purl.org/ontology/mo/available_as",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :available_as,
      comment: "\n        Relates a musical manifestation to a musical item (this album, and my particular cd). By using\n        this property, there is no assumption on wether the full content is available on the linked item.\n        To be explicit about this, you can use a sub-property, such as mo:item (the full manifestation\n        is available on that item) or mo:preview (only a part of the manifestation is available on\n        that item).\n\n        This is a subproperty of frbr:examplar.\n    ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/MusicalItem",
      subPropertyOf: "http://purl.org/vocab/frbr/core#exemplar",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :biography,
      comment: "Used to link an artist to their online biography.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "biography",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :bitsPerSample,
      comment: "\n        Associates a digital signal to the number a bits used to encode one sample. Range is xsd:int.\n    ",
      domain: "http://purl.org/ontology/mo/DigitalSignal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :bpm,
      comment: "\n        Indicates the BPM of a MusicalWork or a particular Performance \n        Beats per minute: the pace of music measured by the number of beats occurring in 60 seconds.\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Signal")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "bpm",
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :catalogue_number,
      comment: "Links a release with the corresponding catalogue number",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "catalogue number",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :channels,
      comment: "\n        Associates a signal to the number of channels it holds (mono --> 1, stereo --> 2). Range is xsd:int.\n    ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :collaborated_with,
      comment: "Used to relate two collaborating people on a work.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "collaborated_with",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty", "http://www.w3.org/2002/07/owl#SymmetricProperty"]
    property :compilation_of,
      comment: "Indicates that a musical manifestation is a compilation of several Signals.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "compilation_of",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :compiled,
      comment: "Used to relate an person or a group of person who compiled the manifestation of a musical work.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/compiler",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "compiled",
      range: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :compiler,
      comment: "Used to relate the manifestation of a musical work to a person or a group of person who compiled it.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/compiled",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "compiler",
      range: "http://purl.org/ontology/mo/MusicArtist",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :composed_in,
      comment: "\n        Associates a MusicalWork to the Composition event pertaining\n        to its creation. For example, I might use this property to associate\n        the Magic Flute to its composition event, occuring during 1782 and having as\n        a mo:composer Mozart.\n    ",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/produced_work",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "composed in",
      range: "http://purl.org/ontology/mo/Composition",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#producedIn",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :composer,
      comment: "\n        Associates a composition event to the actual composer. For example,\n        this property could link the event corresponding to the composition of the\n        Magic Flute in 1782 to Mozart himself (who obviously has a FOAF profile:-) ).\n    ",
      domain: "http://purl.org/ontology/mo/Composition",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "composer",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :conducted,
      comment: "Relates agents to the performances they were conducting",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/conductor",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "conducted",
      range: "http://purl.org/ontology/mo/Performance",
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn", "http://purl.org/vocab/bio/0.1/event"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :conductor,
      comment: "Relates a performance to the conductor involved",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/conducted",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :contains_sample_from,
      comment: "\n        Relates a signal to another signal, which has been sampled.\n        ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "contains_sample_from",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :derived_from,
      comment: "A related signal from which the described signal is derived.",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "derived from",
      range: "http://purl.org/ontology/mo/Signal",
      subPropertyOf: "http://purl.org/dc/terms/source",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :discography,
      comment: "Used to links an artist to an online discography of their musical works. The discography should provide a summary of each released musical work of the artist.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "discography",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :discogs,
      comment: "Used to link a musical work or the expression of a musical work, an artist or a corporate body to to its corresponding Discogs page.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "discogs",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :djmix_of,
      comment: "Indicates that all (or most of) the tracks of a musical work or the expression of a musical work were mixed together from all (or most of) the tracks from another musical work or the expression of a musical work to form a so called DJ-Mix. \n    \nThe tracks might have been altered by pitching (so that the tempo of one track matches the tempo of the following track) and fading (so that one track blends in smoothly with the other). If the tracks have been more substantially altered, the \"mo:remix\" relationship type is more appropriate. ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "djmix_of",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :djmixed,
      comment: "Used to relate an artist who djmixed a musical work or the expression of a musical work. \n    \nThe artist usually selected the tracks, chose their sequence, and slightly changed them by fading (so that one track blends in smoothly with the other) or pitching (so that the tempo of one track matches the tempo of the following track). This applies to a 'Mixtape' in which all tracks were DJ-mixed together into one single long track. ",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/djmixed_by",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "djmixed",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :djmixed_by,
      comment: "Used to relate a work or the expression of a work to an artist who djmixed it. \n    \nThe artist usually selected the tracks, chose their sequence, and slightly changed them by fading (so that one track blends in smoothly with the other) or pitching (so that the tempo of one track matches the tempo of the following track). This applies to a 'Mixtape' in which all tracks were DJ-mixed together into one single long track. ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/djmixed",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "djmixed_by",
      range: "http://purl.org/ontology/mo/MusicArtist",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :download,
      comment: "\n                This property can be used to link from a person to the website where they make their works available, or from\n                a manifestation (a track or an album, for example) to a web page where it is available for\n                download.\n        \n        It is better to use one of the three sub-properties instead of this one in order to specify wether the\n        content can be accessed for free (mo:freedownload), if it is just free preview material (mo:previewdownload), or\n        if it can be accessed for some money (mo:paiddownload) (this includes links to the Amazon store, for example).\n\n                This property MUST be used only if the content is just available through a web page (holding, for example\n                a Flash application) - it is better to link to actual content directly through the use of mo:available_as and\n                mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n                less to rip streams from Flash applications can still access the audio content.\n        ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation", "http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "download",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :duration,
      comment: "The duration of a track or a signal in ms",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Track", "http://purl.org/ontology/mo/Signal")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :ean,
      comment: "The European Article Number (EAN) is a universal identifier for products, commonly printed in form of barcodes on them. The numbers represented by those codes can either be 8 or 13 digits long, with the 13-digit-version being most common. EANs form a superset of the North American Universal Product Code (UPC) as every UPC can be made an EAN by adding a leading zero to it. Additionally every EAN is also a Japanese Article Number (JAN). The identifiers were formerly assigned by EAN International which merged with Uniform Code Council (UCC, the guys behind the UPCs) and Electronic Commerce Council of Canada (ECCC) to become GS1. ",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "ean",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/gtin",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :encodes,
      comment: "\n        Relates a MusicalItem (a track on a particular CD, an audio file, a stream somewhere) to the signal it encodes.\n\n        This is usually a lower-resolution version of the master signal (issued from a Recording event).\n    ",
      domain: "http://purl.org/ontology/mo/MusicalItem",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "encodes",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :encoding,
      comment: "Method used to convert analog electronic signals into digital format such as \"MP3 CBR @ 128kbps\", \"OGG @ 160kbps\", \"FLAC\", etc.",
      domain: "http://purl.org/ontology/mo/AudioFile",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "encoding",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :engineer,
      comment: "Relates a performance or a recording to the engineer involved",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Recording", "http://purl.org/ontology/mo/RecordingSession")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/engineered",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :engineered,
      comment: "Relates agents to the performances/recordings they were engineering in",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/engineer",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "engineered",
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Recording", "http://purl.org/ontology/mo/RecordingSession")
        ),
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn", "http://purl.org/vocab/bio/0.1/event"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :eventHomePage,
      equivalentProperty: "http://purl.org/ontology/mo/event_homepage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :event_homepage,
      comment: "Links a particular event to a web page",
      domain: "http://purl.org/NET/c4dm/event.owl#Event",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "event homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :exchange_item,
      comment: "A person, a group of person or an organization exchanging an exemplar of a single manifestation.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "exchange_item",
      range: "http://purl.org/vocab/frbr/core#Item",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :fanpage,
      comment: "Used to link an artist to a fan-created webpage devoted to that artist.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "fanpage",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :free_download,
      comment: "\n        This property can be used to link from a person to the website where they make their works available, or from\n        a manifestation (a track or an album, for example) to a web page where it is available for free \n        download.\n\n        This property MUST be used only if the content is just available through a web page (holding, for example\n        a Flash application) - it is better to link to actual content directly through the use of mo:available_as and \n        mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n        less to rip streams from Flash applications can still access the audio content.\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation", "http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "free download",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: ["http://purl.org/ontology/mo/download", "http://xmlns.com/foaf/0.1/isPrimaryTopicOf"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :freedownload,
      equivalentProperty: "http://purl.org/ontology/mo/free_download",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :genre,
      comment: "\n        Associates an event (like a performance or a recording) to a particular musical genre.\n        Further version of this property may also include works and scores in the domain.\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Arrangement", "http://purl.org/ontology/mo/Composition", "http://purl.org/ontology/mo/Recording", "http://purl.org/ontology/mo/RecordingSession", "http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicalItem")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "genre",
      range: "http://purl.org/ontology/mo/Genre",
      subPropertyOf: "http://purl.org/ontology/ao/core#genre",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :grid,
      comment: "The Global Release Identifier (GRid) is a system for uniquely identifying Releases of music over electronic networks (that is, online stores where you can buy music as digital files). As that it can be seen as the equivalent of the BarCode (or more correctly the GTIN) as found on physical releases of music. Like the ISRC (a code for identifying single recordings as found on releases) it was developed by the IFPI but it does not appear to be a standard of the ISO.",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "GRid",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :group,
      comment: "Relates a membership event with the corresponding group",
      domain: "http://purl.org/ontology/mo/Membership",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "group",
      range: "http://xmlns.com/foaf/0.1/Group",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :gtin,
      comment: "GTIN is a grouping term for EANs and UPCs. In common speech those are called barcodes although the barcodes are just a representation of those identifying numbers.",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "gtin",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :has_track,
      equivalentProperty: "http://purl.org/ontology/mo/track",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :headliner,
      comment: "Relates a performance to the headliner(s) involved",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "headliner",
      subPropertyOf: "http://purl.org/ontology/mo/performer",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :homepage,
      comment: "Links an artist, a record, etc. to a corresponding web page",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicalItem")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "homepage",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :image,
      comment: "Indicates a pictorial image (JPEG, GIF, PNG, Etc.) of a musical work, the expression of a musical work, the manifestation of a work or the examplar of a manifestation.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicalItem")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "image",
      range: "http://xmlns.com/foaf/0.1/Image",
      subPropertyOf: "http://xmlns.com/foaf/0.1/depiction",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :imdb,
      comment: "Used to link an artist, a musical work or the expression of a musical work to their equivalent page on IMDb, the InternetMovieDatabase.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "imdb",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :instrument,
      comment: "Relates a performance to a musical instrument involved",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/Instrument",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :interpreter,
      comment: "Adds an involved music artist, who interpreted, remixed, or otherwise modified an existing signal, which resulted in the signal that is here the subject of this relation.",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "has interpeter",
      range: "http://purl.org/ontology/mo/MusicArtist",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :ipi,
      comment: "The Interested Parties Information Code (IPI) is an ISO standard similar to ISBNs for identifying the people or groups with some involvement with a particular musical work / compositions.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "ipi",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :ismn,
      comment: "The International Standard Music Number (ISMN) is an ISO standard similar to ISBNs for identifying printed music publications",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/PublishedLyrics", "http://purl.org/ontology/mo/PublishedLibretto", "http://purl.org/ontology/mo/PublishedScore")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "ismn",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :isrc,
      comment: "\n    The ISRC (International Standard Recording Code) is the international identification system for sound recordings and music videorecordings. \n    Each ISRC is a unique and permanent identifier for a specific recording which can be permanently encoded into a product as its digital fingerprint. \n    Encoded ISRC provide the means to automatically identify recordings for royalty payments.\n    ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "isrc",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :iswc,
      comment: "Links a musical work to the corresponding ISWC number",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "iswc",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :item,
      comment: "\n                Relates a musical manifestation to a musical item (this album, and my particular cd) holding the\n                entire manifestation, and not just a part of it.\n        ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/MusicalItem",
      subPropertyOf: "http://purl.org/ontology/mo/available_as",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :key,
      comment: "\n        Indicated the key used by the musicians during a performance, or the key of a MusicalWork.\n        Any of 24 major or minor diatonic scales that provide the tonal framework for a piece of music.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Signal")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "key",
      range: "http://purl.org/NET/c4dm/keys.owl#Key",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :label,
      comment: "Associates a release event with the label releasing the record",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Release", "http://purl.org/ontology/mo/MusicArtist")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "label",
      range: "http://purl.org/ontology/mo/Label",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :lc,
      comment: "The Label Code (LC) was introduced in 1977 by the IFPI (International Federation of Phonogram and Videogram Industries) in order to unmistakably identify the different record labels (see Introduction, Record labels) for rights purposes. The Label Code consists historically of 4 figures, presently being extended to 5 figures, preceded by LC and a dash (e.g. LC-0193 = Electrola; LC-0233 = His Master's Voice). Note that the number of countries using the LC is limited, and that the code given on the item is not always accurate.",
      domain: "http://purl.org/ontology/mo/Label",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "lc",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :level,
      comment: "\n        This annotation property associates to a particular Music Ontology term the corresponding\n        expressiveness level. These levels can be:\n\n            - 1: Only editorial/Musicbrainz type information\n            - 2: Workflow information\n            - 3: Even decomposition\n        \n        This property is mainly used for specification generation.\n    ",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "level",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :licence,
      comment: "Used to link a work or the expression of a work to the license under which they can be manipulated (downloaded, modified, etc). \n    \nThis is usually used to link to a Creative Commons licence.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Work", "http://purl.org/vocab/frbr/core#Expression", "http://purl.org/vocab/frbr/core#Manifestation")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "licence",
      range: "http://web.resource.org/cc/License",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :listened,
      comment: "Relates agents to the performances they were listening in",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/listener",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "listened",
      range: "http://purl.org/ontology/mo/Performance",
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn", "http://purl.org/vocab/bio/0.1/event"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :listener,
      comment: "Relates a performance to the listener involved",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/listened",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :lyrics,
      comment: "Associates lyrics with a musical work",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "lyrics",
      range: "http://purl.org/ontology/mo/Lyrics",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :mailorder,
      comment: "Used to link a musical work or the expression of a musical work to a website where people can buy a copy of the musical manifestation.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "mailorder",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :mashup_of,
      comment: "Indicates that musical works or the expressions of a musical work were mashed up on this album or track. \n    \nThis means that two musical works or the expressions of a musical work by different artists are mixed together, over each other, or otherwise combined into a single musical work (usually by a third artist, the remixer).",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "mashup_of",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :media_type,
      comment: "The mediatype (file format or MIME type, or physical medium) of a musical manifestation, e.g. a MP3, CD or vinyl.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "has media type",
      range: "http://purl.org/dc/terms/MediaType",
      subPropertyOf: "http://purl.org/dc/terms/format",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :medley_of,
      comment: "Indicates that a musical expression is a medley of several other musical expressions. \n    \nThis means that the orignial musical expression were rearranged to create a new musical expression in the form of a medley. ",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "medley_of",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :member,
      comment: "\n        Indicates a member of a musical group\n    ",
      domain: "http://purl.org/ontology/mo/MusicGroup",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "member",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://xmlns.com/foaf/0.1/member",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :member_of,
      comment: "Inverse of the foaf:member property",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://xmlns.com/foaf/0.1/member",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "member_of",
      range: "http://xmlns.com/foaf/0.1/Group",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :membership,
      comment: "Relates an agent with related membership events",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "membership",
      range: "http://purl.org/ontology/mo/Membership",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :meter,
      comment: "Associates a musical work or a score with its meter",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/Score")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "meter",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :movement,
      comment: "Indicates that a musical work has movements",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "has_movement",
      range: "http://purl.org/ontology/mo/Movement",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :movementNum,
      equivalentProperty: "http://purl.org/ontology/mo/movement_number",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :movement_number,
      comment: "Indicates the position of a movement in a musical work.",
      domain: "http://purl.org/ontology/mo/Movement",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "movement number",
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :musicbrainz,
      comment: "\n        Linking an agent, a track or a record to its corresponding Musicbrainz page.\n        ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalManifestation", "http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/Signal")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "musicbrainz",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :musicbrainz_guid,
      comment: "Links an object to the corresponding Musicbrainz identifier",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/Track", "http://purl.org/ontology/mo/Record", "http://purl.org/ontology/mo/SignalGroup", "http://purl.org/ontology/mo/Signal", "http://purl.org/ontology/mo/ReleaseEvent", "http://purl.org/ontology/mo/Label")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "Musicbrainz GUID",
      subPropertyOf: "http://purl.org/ontology/mo/uuid",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :musicmoz,
      comment: "Used to link an artist, a musical work or the expression of a musical work to its corresponding MusicMoz page.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "musicmoz",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :myspace,
      comment: "Used to link a person to its corresponding MySpace page.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "myspace",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :olga,
      comment: "Used to link a track to a tabulature file for track in the On-Line Guitar Archive.",
      domain: "http://purl.org/ontology/mo/Track",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "olga",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :onlinecommunity,
      comment: "Used to link a person with an online community web page like a blog, a wiki, a forum, a livejournal page, Etc.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "onlinecommunity",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :opus,
      comment: "\n        Used to define a creative work, especially a musical composition numbered to designate the order of a composer's works.\n    ",
      domain: "http://purl.org/ontology/mo/MusicalWork",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "opus",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :origin,
      comment: "Relates an artist to its geographic origin",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "origin",
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :other_release_of,
      comment: "Indicates that two musical manifestations are essentially the same.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "other_release_of",
      range: "http://purl.org/ontology/mo/MusicalManifestation",
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty", "http://www.w3.org/2002/07/owl#SymmetricProperty"]
    property :paid_download,
      comment: "\n                Provide a link from an artist to a web page where all of that artist's musical work is available for some money,\n                or a link from a manifestation (record/track, for example) to a web page providing a paid access to this manifestation.\n        ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation", "http://purl.org/ontology/mo/MusicArtist", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "paid download",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: ["http://purl.org/ontology/mo/download", "http://xmlns.com/foaf/0.1/isPrimaryTopicOf"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :paiddownload,
      equivalentProperty: "http://purl.org/ontology/mo/paid_download",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :performance_of,
      comment: "\n        Associates a Performance to a musical work or an arrangement that is being used as a factor in it.\n        For example, I might use this property to attach the Magic Flute musical work to \n        a particular Performance.\n    ",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/performed_in",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "performance of",
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Score", "http://purl.org/ontology/mo/MusicalWork")
        ),
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :performed,
      comment: "Relates agents to the performances they were performing in",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/performer",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "performed",
      range: "http://purl.org/ontology/mo/Performance",
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn", "http://purl.org/vocab/bio/0.1/event"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :performed_in,
      comment: "\n        Associates a Musical Work or an Score to Performances in which they were\n        a factor. For example, I might use this property in order to \n        associate the Magic Flute to a particular performance at the Opera\n        Bastille last year.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Score", "http://purl.org/ontology/mo/MusicalWork")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/performance_of",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "performed in",
      range: "http://purl.org/ontology/mo/Performance",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :performer,
      comment: "Relates a performance to the performers involved",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/performed",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :possess_item,
      comment: "A person, a group of person or an organization possessing an exemplar of a single manifestation.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "possess_item",
      range: "http://purl.org/vocab/frbr/core#Item",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :preview,
      comment: "\n                Relates a musical manifestation to a musical item (this album, and my particular cd), which holds\n                a preview of the manifestation (eg. one track for an album, or a snippet for a track)\n        ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/MusicalItem",
      subPropertyOf: "http://purl.org/ontology/mo/available_as",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :preview_download,
      comment: "\n                This property can be used to link from a person to the website where they make previews of their works available, or from\n                a manifestation (a track or an album, for example) to a web page where a preview download is available.\n\n                This property MUST be used only if the content is just available through a web page (holding, for example\n                a Flash application) - it is better to link to actual content directly through the use of mo:available_as and\n                mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n                less to rip streams from Flash applications can still access the audio content.\n        ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation", "http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/CorporateBody")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "preview download",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: ["http://purl.org/ontology/mo/download", "http://xmlns.com/foaf/0.1/isPrimaryTopicOf"],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :primary_instrument,
      comment: "Indicates that an artist primarily plays an instrument, or that a member was primarily playing a particular instrument during his membership",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Membership", "http://xmlns.com/foaf/0.1/Agent")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "primary instrument",
      range: "http://purl.org/ontology/mo/Instrument",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced,
      comment: "Used to relate an person or a group of person who produced the manifestation of a work.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/producer",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced",
      range: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced_score,
      comment: "\n        Associates an arrangement or a composition event to a score product (score here does not refer to a published score, but more\n        an abstract arrangement of a particular work).\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/Composition", "http://purl.org/ontology/mo/Arrangement")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced score",
      range: "http://purl.org/ontology/mo/Score",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced_signal,
      comment: "\n                Associates a Recording to the outputted signal.\n        ",
      domain: "http://purl.org/ontology/mo/Recording",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced signal",
      range: "http://purl.org/ontology/mo/Signal",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced_signal_group,
      comment: "Associates a recording session with a group of master signals produced by it.",
      domain: "http://purl.org/ontology/mo/RecordingSession",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced signal group",
      range: "http://purl.org/ontology/mo/SignalGroup",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced_sound,
      comment: "\n                Associates a Performance to a physical Sound that is being produced by it.\n        ",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced sound",
      range: "http://purl.org/ontology/mo/Sound",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :produced_work,
      comment: "\n                Associates a composition event to the produced MusicalWork. For example,\n                this property could link the event corresponding to the composition of the\n                Magic Flute in 1782 to the Magic Flute musical work itself. This musical work\n                can then be used in particular performances.\n        ",
      domain: "http://purl.org/ontology/mo/Composition",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/composed_in",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "produced work",
      range: "http://purl.org/ontology/mo/MusicalWork",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :producer,
      comment: "Used to relate the manifestation of a work to a person or a group of person who produced it.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/produced",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "producer",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :producesSignal,
      equivalentProperty: "http://purl.org/ontology/mo/produced_signal",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :producesSound,
      equivalentProperty: "http://purl.org/ontology/mo/produced_sound",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :producesWork,
      equivalentProperty: "http://purl.org/ontology/mo/produced_work",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :productOfComposition,
      equivalentProperty: "http://purl.org/ontology/mo/composed_in",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publicationOf,
      equivalentProperty: "http://purl.org/ontology/mo/publication_of",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publication_of,
      comment: "Link a particular manifestation to the related signal, score, libretto, or lyrics",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/published_as",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "publication of",
      range: "http://purl.org/ontology/mo/MusicalExpression",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :published,
      comment: "Used to relate an person or a group of person who published the manifestation of a work.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/publisher",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "published",
      range: "http://purl.org/ontology/mo/MusicalManifestation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publishedAs,
      equivalentProperty: "http://purl.org/ontology/mo/published_as",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :published_as,
      comment: "\n        Links a musical expression (e.g. a signal or a score) to one of its manifestations (e.g. a track on a particular record or a published score).\n    ",
      domain: "http://purl.org/ontology/mo/MusicalExpression",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/publication_of",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "published as",
      range: "http://purl.org/ontology/mo/MusicalManifestation",
      subPropertyOf: "http://purl.org/vocab/frbr/core#embodiment",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publisher,
      comment: "Used to relate a musical manifestation to a person or a group of person who published it.",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/published",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "publisher",
      range: "http://xmlns.com/foaf/0.1/Agent",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publishingLocation,
      equivalentProperty: "http://purl.org/ontology/mo/publishing_location",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :publishing_location,
      comment: "\n        Relates a musical manifestation to its publication location.\n        ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "publishingLocation",
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :puid,
      comment: "\n        Link a signal to the PUIDs associated with it, that is, PUID computed from MusicalItems (mo:AudioFile) \n        derived from this signal.\n        PUIDs (Portable Unique IDentifier) are the IDs used in the \n        proprietary MusicDNS AudioFingerprinting system which is operated by MusicIP.\n\n        Using PUIDs, one (with some luck) can identify the Signal object associated with a particular audio file, therefore allowing\n        to access further information (on which release this track is featured? etc.). Using some more metadata one can identify\n        the particular Track corresponding to the audio file (a track on a particular release).",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "puid",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :record,
      comment: "Associates a release with the records it contains. A single release can be associated with multiple records, for example for a multi-disc release.",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "released record",
      range: "http://purl.org/ontology/mo/Record",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :record_count,
      comment: "Associates a release with the number of records it contains, e.g. the number of discs it contains in the case of a multi-disc release.",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "record count",
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :record_number,
      comment: "Indicates the position of a record in a release (e.g. a 2xLP, etc.).",
      domain: "http://purl.org/ontology/mo/Record",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "has record number",
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :record_side,
      comment: "Associates the side on a vinyl record, where a track is located, e.g. A, B, C, etc. This property can then also be used \nin conjunction with mo:track_number, so that one can infer e.g. \"A1\", that means, track number 1 on side A.",
      domain: "http://purl.org/ontology/mo/Track",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "has record side",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :recordedAs,
      equivalentProperty: "http://purl.org/ontology/mo/recorded_as",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :recorded_as,
      comment: "\n        This is a shortcut property, allowing to bypass all the Sound/Recording steps. This property\n        allows to directly link a Performance to the recorded Signal. This is recommended for \"normal\"\n        users. However, advanced users wanting to express things such as the location of the microphone will\n        have to create this shortcut as well as the whole workflow, in order to let the \"normal\" users access\n        simply the, well, simple information:-) .\n    ",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/records",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "recorded as",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :recorded_in,
      comment: "\n            Associates a physical Sound to a Recording event where it is being used \n        in order to produce a signal. For example, I might use this property to \n        associate the sound produced by a particular performance of the magic flute\n        to a given recording, done using my cell-phone.\n    ",
      domain: "http://purl.org/ontology/mo/Sound",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/recording_of",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "recorded in",
      range: "http://purl.org/ontology/mo/Recording",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :recording_of,
      comment: "\n            Associates a Recording event to a physical Sound being recorded.\n                For example, I might use this property to\n                associate a given recording, done using my cell phone, to the \n        sound produced by a particular performance of the magic flute.\n    ",
      domain: "http://purl.org/ontology/mo/Recording",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/recorded_in",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "recorded sound",
      range: "http://purl.org/ontology/mo/Sound",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :records,
      comment: "\n        This is the inverse of the shortcut property recordedAs, allowing to relate directly a performance\n        to a signal.\n    ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/recordedAs",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "records",
      range: "http://purl.org/ontology/mo/Performance",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :release,
      comment: "Associates a release with the corresponding release event",
      domain: "http://purl.org/ontology/mo/ReleaseEvent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "release",
      range: "http://purl.org/ontology/mo/Release",
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :releaseStatus,
      equivalentProperty: "http://purl.org/ontology/mo/release_status",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :releaseType,
      equivalentProperty: "http://purl.org/ontology/mo/release_type",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :release_status,
      comment: "\n                Relates a musical manifestation to its release status (bootleg, ...)\n        ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/ReleaseStatus",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :release_type,
      comment: "\n        Relates a musical manifestation to its release type (interview, spoken word, album, ...)\n    ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://purl.org/ontology/mo/ReleaseType",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :remaster_of,
      comment: "This relates two musical work or the expression of a musical work, where one is a remaster of the other. \n    \nA remaster is a new version made for release from source recordings that were earlier released separately. This is usually done to improve the audio quality or adjust for more modern playback equipment. The process generally doesn't involve changing the music in any artistically important way. It may, however, result in tracks that are a few seconds longer or shorter.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "remaster_of",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :remix_of,
      comment: "Used to relate the remix of a musical work in a substantially altered version produced by mixing together individual tracks or segments of an original musical source work.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "remix_of",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :remixed,
      comment: "Used to relate an artist who remixed a musical work or the expression of a musical work. \n    \nThis involves taking just one other musical work and using audio editing to make it sound like a significantly different, but usually still recognisable, song. It can be used to link an artist to a single song that they remixed, or, if they remixed an entire musical work.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/remixer",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "remixed",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :remixer,
      comment: "Used to relate a musical work or the expression of a musical work to an artist who remixed it. \n    \nThis involves taking just one other musical work and using audio editing to make it sound like a significantly different, but usually still recognisable, song. It can be used to link an artist to a single song that they remixed, or, if they remixed an entire musical work.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/remixed",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "remixer",
      subPropertyOf: "http://purl.org/ontology/mo/interpreter",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :review,
      comment: "Used to link a work or the expression of a work to a review. \n    \nThe review does not have to be open content, as long as it is accessible to the general internet population.",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Work", "http://purl.org/vocab/frbr/core#Expression", "http://purl.org/vocab/frbr/core#Manifestation")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "review",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sampleRate,
      equivalentProperty: "http://purl.org/ontology/mo/sample_rate",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :sample_rate,
      comment: "\n        Associates a digital signal to its sample rate. It might be easier to express it this way instead of\n        defining a timeline map:-) Range is xsd:float.\n    ",
      domain: "http://purl.org/ontology/mo/DigitalSignal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :sampled,
      comment: "Used to relate an artist who sampled a Signal.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/sampler",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sampled",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sampledVersionOf,
      equivalentProperty: "http://purl.org/ontology/mo/sampled_version_of",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sampled_version,
      comment: "\n        Associates an analog signal with a sampled version of it\n    ",
      domain: "http://purl.org/ontology/mo/AnalogSignal",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/sampled_version_of",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sampled version",
      range: "http://purl.org/ontology/mo/DigitalSignal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sampled_version_of,
      comment: "\n        Associates a digital signal with the analog version of it\n    ",
      domain: "http://purl.org/ontology/mo/DigitalSignal",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      inverseOf: "http://purl.org/ontology/mo/sampled_version",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sampled version of",
      range: "http://purl.org/ontology/mo/AnalogSignal",
      subPropertyOf: "http://purl.org/ontology/mo/derived_from",
      type: ["http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sampler,
      comment: "Used to relate the signal of a musical work to an artist who sampled it.",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      inverseOf: "http://purl.org/ontology/mo/sampled",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sampler",
      subPropertyOf: "http://purl.org/ontology/mo/interpreter",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :sell_item,
      comment: "A person, a group of person or an organization selling an exemplar of a single manifestation.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "sell_item",
      range: "http://purl.org/vocab/frbr/core#Item",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :signal,
      comment: "Associates a group of signals with one of the signals it contains",
      domain: "http://purl.org/ontology/mo/SignalGroup",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "signal",
      range: "http://purl.org/ontology/mo/Signal",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :signalTime,
      equivalentProperty: "http://purl.org/ontology/mo/time",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :similar_to,
      comment: "\n            A similarity relationships between two objects (so far, either an agent, a signal or a genre, but\n        this could grow).\n        This relationship is pretty general and doesn't make any assumptions on how the similarity claim\n        was derived.\n        Such similarity statements can come from a range of different sources (Musicbrainz similarities between\n        artists, or coming from some automatic content analysis).\n        However, the origin of such statements should be kept using a named graph approach - and ultimately, the \n        documents providing such statements should attach some metadata to themselves (confidence of the claim, etc.).\n        ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicalItem", "http://purl.org/ontology/mo/Genre")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "similar_to",
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/MusicalExpression", "http://purl.org/ontology/mo/MusicalManifestation", "http://purl.org/ontology/mo/MusicalItem", "http://purl.org/ontology/mo/Genre")
        ),
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :singer,
      comment: "Relates a performance to an involved singer",
      domain: "http://purl.org/ontology/mo/Performance",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      range: "http://xmlns.com/foaf/0.1/Agent",
      subPropertyOf: "http://purl.org/ontology/mo/performer",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :supporting_musician,
      comment: "Used to relate an artist doing long-time instrumental or vocal support for another artist.",
      domain: "http://purl.org/ontology/mo/MusicArtist",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "supporting_musician",
      range: "http://purl.org/ontology/mo/MusicArtist",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :tempo,
      comment: "\n        Rate of speed or pace of music. Tempo markings are traditionally given in Italian; \n        common markings include: grave (solemn; very, very slow); largo (broad; very slow); \n        adagio (quite slow); andante (a walking pace); moderato (moderate); allegro (fast; cheerful); \n        vivace (lively); presto (very fast); accelerando (getting faster); ritardando (getting slower); \n        and a tempo (in time; returning to the original pace).\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/ontology/mo/MusicalWork", "http://purl.org/ontology/mo/Performance", "http://purl.org/ontology/mo/Signal")
        ),
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "tempo",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :text,
      comment: "Associates lyrics with their text.",
      domain: "http://purl.org/ontology/mo/Lyrics",
      "http://purl.org/ontology/mo/level": "2",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "text",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :time,
      comment: "\n        Associates a Signal to a time object - its actual domain\n    ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "time",
      range: "http://www.w3.org/2006/time#TemporalEntity",
      type: ["http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :track,
      comment: "Indicates a part of a musical manifestation - in this particular case, a track.",
      domain: "http://purl.org/ontology/mo/Record",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "track",
      range: "http://purl.org/ontology/mo/Track",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :trackNum,
      equivalentProperty: "http://purl.org/ontology/mo/track_number",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :track_count,
      comment: "The track count of a record",
      domain: "http://purl.org/ontology/mo/Record",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "track count",
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :track_number,
      comment: "Indicates the position of a track on a record medium (a CD, etc.).",
      domain: "http://purl.org/ontology/mo/Track",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "track number",
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :translation_of,
      comment: "Indicates that a work or the expression of a work has translated or transliterated into another expression of a work.",
      domain: "http://purl.org/vocab/frbr/core#Expression",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "translation_of",
      range: "http://purl.org/vocab/frbr/core#Expression",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :tribute_to,
      comment: "Indicates a musical work or the expression of a musical work that is a tribute to an artist - normally consisting of music being composed by the artist but performed by other artists. ",
      domain: "http://purl.org/ontology/mo/MusicalManifestation",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "tribute_to",
      range: "http://purl.org/ontology/mo/MusicArtist",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :trmid,
      comment: "\n        Indicates the TRMID of a track.\n        TRM IDs are MusicBrainz' old AudioFingerprinting system. \n        TRM (TRM Recognizes Music) IDs are (somewhat) unique ids that represent \n        the audio signature of a musical piece (see AudioFingerprint).\n    ",
      domain: "http://purl.org/ontology/mo/Signal",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "trmid",
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :upc,
      comment: "UPC stands for \"Universal Product Code\", which was the original barcode used in the United States and Canada. The UPC (now officially EAN.UCC-12 is a numerical method of identifying products without redundancy worldwide for all types of products in the retail sector. The EAN is a superset of the original UPC increasing the digits to 13 with the prefix 0 reserved for UPC. As of 2005, manufacturers are only allowed to use the new 13-digit codes on their items, rather than having two separate numbers.",
      domain: "http://purl.org/ontology/mo/Release",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "upc",
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://purl.org/ontology/mo/gtin",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :usedInPerformance,
      equivalentProperty: "http://purl.org/ontology/mo/performed_in",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :usedInRecording,
      equivalentProperty: "http://purl.org/ontology/mo/recorded_in",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :usesSound,
      equivalentProperty: "http://purl.org/ontology/mo/recording_of",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :usesWork,
      equivalentProperty: "http://purl.org/ontology/mo/performance_of",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :uuid,
      comment: "\n            Links an object to an universally unique identifier for it.\n    ",
      domain: "http://www.w3.org/2002/07/owl#Thing",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      label: "universally unique identifier",
      subPropertyOf: "http://purl.org/dc/terms/identifier",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :want_item,
      comment: "A person, a group of person or an organization wanting an exemplar of a single manifestation.",
      domain: "http://xmlns.com/foaf/0.1/Agent",
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "want_item",
      range: "http://purl.org/vocab/frbr/core#Item",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wikipedia,
      comment: "\n        Used to link an work, an expression of a work, a manifestation of a work, \n        a person, an instrument or a musical genre to its corresponding WikiPedia page. \n        The full URL should be used, not just the WikiName.\n    ",
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://purl.org/vocab/frbr/core#Work", "http://purl.org/vocab/frbr/core#Expression", "http://purl.org/vocab/frbr/core#Manifestation", "http://purl.org/vocab/frbr/core#Item", "http://xmlns.com/foaf/0.1/Agent", "http://purl.org/ontology/mo/Instrument", "http://purl.org/ontology/mo/Genre")
        ),
      "http://purl.org/ontology/mo/level": "1",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable",
      isDefinedBy: "http://purl.org/ontology/mo/",
      label: "wikipedia",
      range: "http://xmlns.com/foaf/0.1/Document",
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"

    # Extra definitions
    term :album,
      "http://purl.org/dc/elements/1.1/description": "\n        One or more track issued together.\n            This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "album",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :audiobook,
      "http://purl.org/dc/elements/1.1/description": "\n        Book read by a narrator without music.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "audio book",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :bootleg,
      "http://purl.org/dc/elements/1.1/description": "An unofficial/underground musical work or the expression of a musical work that was not sanctioned by the artist and/or the corporate body. ",
      "http://purl.org/dc/elements/1.1/title": "bootleg",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseStatus"
    term :compilation,
      "http://purl.org/dc/elements/1.1/description": "\n        Collection of previously released manifestations of a musical expression by one or more artists.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "compilation",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :ep,
      "http://purl.org/dc/elements/1.1/description": "\n            An EP\n    ",
      "http://purl.org/dc/elements/1.1/title": "ep",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :interview,
      "http://purl.org/dc/elements/1.1/description": "\n        Recording of the questioning of a person.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "interview",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :live,
      "http://purl.org/dc/elements/1.1/description": "\n        A musical manifestation that was recorded live.\n        This is a type of MusicalManifestation defined by the musical industry.",
      "http://purl.org/dc/elements/1.1/title": "live",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :official,
      "http://purl.org/dc/elements/1.1/description": "Any musical work or the expression of a musical work officially sanctioned by the artist and/or their corporate body.",
      "http://purl.org/dc/elements/1.1/title": "official",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseStatus"
    term :promotion,
      "http://purl.org/dc/elements/1.1/description": "A giveaway musical work or the expression of a musical work intended to promote an upcoming official musical work or the expression of a musical work.",
      "http://purl.org/dc/elements/1.1/title": "promotion",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseStatus"
    term :remix,
      "http://purl.org/dc/elements/1.1/description": "\n        Musical manifestation that primarily contains remixed material. \n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "remix",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :single,
      "http://purl.org/dc/elements/1.1/description": "A single or record single is a type of release, typically a recording of two tracks. In most cases, the single is a song that is released separately from an album, but it can still appear on an album.",
      "http://purl.org/dc/elements/1.1/title": "single",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :soundtrack,
      "http://purl.org/dc/elements/1.1/description": "\n        Sound recording on a narrow strip of a motion picture film.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "soundtrack",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
    term :spokenword,
      "http://purl.org/dc/elements/1.1/description": "\n        Spoken word is a form of music or artistic performance in which lyrics, poetry, or stories are spoken rather than sung. \n        Spoken-word is often done with a musical background, but emphasis is kept on the speaker.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ",
      "http://purl.org/dc/elements/1.1/title": "spoken word",
      "http://purl.org/ontology/mo/level": "1",
      isDefinedBy: "http://purl.org/ontology/mo/",
      type: "http://purl.org/ontology/mo/ReleaseType"
  end
end
