# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.w3.org/ns/prov#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.w3.org/ns/prov#>
  # @!visibility private
  PROV = Class.new(RDF::StrictVocabulary("http://www.w3.org/ns/prov#")) do

    # Ontology definition
    ontology :"http://www.w3.org/ns/prov#",
      comment: {en: "This document is published by the Provenance Working Group (http://www.w3.org/2011/prov/wiki/Main_Page).\n\nIf you wish to make comments regarding this document, please send them to public-prov-comments@w3.org (subscribe public-prov-comments-request@w3.org, archives http://lists.w3.org/\nArchives/Public/public-prov-comments/). All feedback is welcome."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": ["http://www.w3.org/TR/prov-o/#names-of-inverse-properties", "http://www.w3.org/TR/prov-overview/"],
      "http://www.w3.org/2002/07/owl#imports": ["http://www.w3.org/ns/prov-aq#", "http://www.w3.org/ns/prov-dc#", "http://www.w3.org/ns/prov-dictionary#", "http://www.w3.org/ns/prov-links#", "http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      "http://www.w3.org/2002/07/owl#versionIRI": ["http://www.w3.org/ns/prov-20130430", "http://www.w3.org/ns/prov-o-inverses-20130430"],
      "http://www.w3.org/ns/prov#specializationOf": "http://www.w3.org/ns/prov-o-inverses",
      "http://www.w3.org/ns/prov#wasDerivedFrom": ["http://www.w3.org/ns/prov-aq#", "http://www.w3.org/ns/prov-dc#", "http://www.w3.org/ns/prov-dictionary#", "http://www.w3.org/ns/prov-links#", "http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-20130430", "http://www.w3.org/ns/prov-o-inverses#"],
      "http://www.w3.org/ns/prov#wasRevisionOf": ["http://www.w3.org/ns/prov-20130312", "http://www.w3.org/ns/prov-o-inverses-20120312"],
      isDefinedBy: "http://www.w3.org/ns/prov",
      label: {en: "W3C PROVenance Interchange"},
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :Accept,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the acceptance of a resource (e.g., an article in a conference)"},
      label: {en: "Accept"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Activity,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": "An activity is something that occurs over a period of time and acts upon or with entities; it may include consuming, processing, transforming, modifying, relocating, using, or generating entities.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Activity",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Activity",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ActivityInfluence,
      comment: {en: "It is not recommended that the type ActivityInfluence be asserted without also asserting one of its more specific subclasses."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#activity",
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.w3.org/ns/prov#EntityInfluence",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "ActivitiyInfluence is the capacity of an activity to have an effect on the character, development, or behavior of another by means of generation, invalidation, communication, or other."},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "ActivityInfluence",
      subClassOf: ["http://www.w3.org/ns/prov#Influence", term(
          maxCardinality: "0",
          onProperty: "http://www.w3.org/ns/prov#hadActivity",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Agent,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.w3.org/ns/prov#InstantaneousEvent",
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "An agent is something that bears some form of responsibility for an activity taking place, for the existence of an entity, or for another agent's activity. "},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-agent",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Agent",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AgentInfluence,
      comment: {en: "It is not recommended that the type AgentInfluence be asserted without also asserting one of its more specific subclasses."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#agent",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "AgentInfluence is the capacity of an agent to have an effect on the character, development, or behavior of another by means of attribution, association, delegation, or other."},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "AgentInfluence",
      subClassOf: "http://www.w3.org/ns/prov#Influence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Association,
      comment: {en: "An instance of prov:Association provides additional descriptions about the binary prov:wasAssociatedWith relation from an prov:Activity to some prov:Agent that had some responsiblity for it. For example, :baking prov:wasAssociatedWith :baker; prov:qualifiedAssociation [ a prov:Association; prov:agent :baker; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "An activity association is an assignment of responsibility to an agent for an activity, indicating that the agent had a role in the activity. It further allows for a plan to be specified, which is the plan intended by the agent to achieve some goals in the context of this activity."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Association",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Association",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasAssociatedWith",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Association",
      subClassOf: "http://www.w3.org/ns/prov#AgentInfluence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Attribution,
      comment: {en: "An instance of prov:Attribution provides additional descriptions about the binary prov:wasAttributedTo relation from an prov:Entity to some prov:Agent that had some responsible for it. For example, :cake prov:wasAttributedTo :baker; prov:qualifiedAttribution [ a prov:Attribution; prov:entity :baker; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "Attribution is the ascribing of an entity to an agent.\n\nWhen an entity e is attributed to agent ag, entity e was generated by some unspecified activity that in turn was associated to agent ag. Thus, this relation is useful when the activity is not known, or irrelevant."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-attribution",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-attribution",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasAttributedTo",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Attribution",
      subClassOf: "http://www.w3.org/ns/prov#AgentInfluence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Bundle,
      comment: {en: "Note that there are kinds of bundles (e.g. handwritten letters, audio recordings, etc.) that are not expressed in PROV-O, but can be still be described by PROV-O."},
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#definition": {en: "A bundle is a named set of provenance descriptions, and is itself an Entity, so allowing provenance of provenance to be expressed."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-bundle-entity",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-bundle-declaration",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Bundle",
      subClassOf: "http://www.w3.org/ns/prov#Entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Collection,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#definition": {en: "A collection is an entity that provides a structure to some constituents, which are themselves entities. These constituents are said to be member of the collections."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-collection",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Collection",
      subClassOf: "http://www.w3.org/ns/prov#Entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Communication,
      comment: {en: "An instance of prov:Communication provides additional descriptions about the binary prov:wasInformedBy relation from an informed prov:Activity to the prov:Activity that informed it. For example, :you_jumping_off_bridge prov:wasInformedBy :everyone_else_jumping_off_bridge; prov:qualifiedCommunication [ a prov:Communication; prov:activity :everyone_else_jumping_off_bridge; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": "Communication is the exchange of an entity by two activities, one activity using the entity generated by the other.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Communication",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-wasInformedBy",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasInformedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Communication",
      subClassOf: "http://www.w3.org/ns/prov#ActivityInfluence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Contribute,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies any contribution of an agent to a resource. "},
      label: {en: "Contribute\n"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Contributor,
      "http://www.w3.org/ns/prov#definition": {en: "Role with the function of having responsibility for making contributions to a resource. The Agent assigned to this role is associated with a Modify or Create Activities"},
      label: {en: "Contributor"},
      subClassOf: "http://www.w3.org/ns/prov#Role",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Copyright,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the Copyrighting activity associated to a resource."},
      label: {en: "Copyright"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Create,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the creation of a resource"},
      label: {en: "Create"},
      subClassOf: "http://www.w3.org/ns/prov#Contribute",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Creator,
      "http://www.w3.org/ns/prov#definition": {en: "Role with the function of creating a resource. The Agent assigned to this role is associated with a Create Activity"},
      label: {en: "Creator"},
      subClassOf: "http://www.w3.org/ns/prov#Contributor",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Delegation,
      comment: {en: "An instance of prov:Delegation provides additional descriptions about the binary prov:actedOnBehalfOf relation from a performing prov:Agent to some prov:Agent for whom it was performed. For example, :mixing prov:wasAssociatedWith :toddler . :toddler prov:actedOnBehalfOf :mother; prov:qualifiedDelegation [ a prov:Delegation; prov:entity :mother; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "Delegation is the assignment of authority and responsibility to an agent (by itself or by another agent) to carry out a specific activity as a delegate or representative, while the agent it acts on behalf of retains some responsibility for the outcome of the delegated work.\n\nFor example, a student acted on behalf of his supervisor, who acted on behalf of the department chair, who acted on behalf of the university; all those agents are responsible in some way for the activity that took place but we do not say explicitly who bears responsibility and to what degree."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-delegation",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-delegation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#actedOnBehalfOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Delegation",
      subClassOf: "http://www.w3.org/ns/prov#AgentInfluence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Derivation,
      comment: {en: "The more specific forms of prov:Derivation (i.e., prov:Revision, prov:Quotation, prov:PrimarySource) should be asserted if they apply."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "A derivation is a transformation of an entity into another, an update of an entity resulting in a new one, or the construction of a new entity based on a pre-existing entity."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Derivation",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#Derivation-Relation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasDerivedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Derivation",
      subClassOf: "http://www.w3.org/ns/prov#EntityInfluence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Dictionary,
      comment: ["A given dictionary forms a given structure for its members. A different structure (obtained either by insertion or removal of members) constitutes a different dictionary.", "This concept allows for the provenance of the dictionary, but also of its constituents to be expressed. Such a notion of dictionary corresponds to a wide variety of concrete data structures, such as a maps or associative arrays."],
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "A dictionary is an entity that provides a structure to some constituents, which are themselves entities. These constituents are said to be member of the dictionary.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-conceptual-definition",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "Dictionary",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :DirectQueryService,
      comment: "Type for a generic provenance query service. Mainly for use in RDF provenance query service descriptions, to facilitate discovery in linked data environments.",
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/#provenance-query-service-discovery",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "ProvenanceService",
      subClassOf: "http://www.w3.org/ns/prov#SoftwareAgent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EmptyCollection,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#definition": {en: "An empty collection is a collection without members."},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: {en: "EmptyCollection"},
      subClassOf: "http://www.w3.org/ns/prov#Collection",
      type: ["http://www.w3.org/2002/07/owl#Class", "http://www.w3.org/2002/07/owl#NamedIndividual"]
    term :EmptyDictionary,
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "An empty dictionary (i.e. has no members).",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-conceptual-definition",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "Empty Dictionary",
      subClassOf: ["http://www.w3.org/ns/prov#Dictionary", "http://www.w3.org/ns/prov#EmptyCollection"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :End,
      comment: {en: "An instance of prov:End provides additional descriptions about the binary prov:wasEndedBy relation from some ended prov:Activity to an prov:Entity that ended it. For example, :ball_game prov:wasEndedBy :buzzer; prov:qualifiedEnd [ a prov:End; prov:entity :buzzer; :foo :bar; prov:atTime '2012-03-09T08:05:08-05:00'^^xsd:dateTime ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "End is when an activity is deemed to have been ended by an entity, known as trigger. The activity no longer exists after its end. Any usage, generation, or invalidation involving an activity precedes the activity's end. An end may refer to a trigger entity that terminated the activity, or to an activity, known as ender that generated the trigger."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-End",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-End",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasEndedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "End",
      subClassOf: ["http://www.w3.org/ns/prov#EntityInfluence", "http://www.w3.org/ns/prov#InstantaneousEvent"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Entity,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.w3.org/ns/prov#InstantaneousEvent",
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "An entity is a physical, digital, conceptual, or other kind of thing with some fixed aspects; entities may be real or imaginary. "},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-entity",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Entity",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EntityInfluence,
      comment: {en: "It is not recommended that the type EntityInfluence be asserted without also asserting one of its more specific subclasses."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "EntityInfluence is the capacity of an entity to have an effect on the character, development, or behavior of another by means of usage, start, end, derivation, or other. "},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "EntityInfluence",
      subClassOf: "http://www.w3.org/ns/prov#Influence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Generation,
      comment: {en: "An instance of prov:Generation provides additional descriptions about the binary prov:wasGeneratedBy relation from a generated prov:Entity to the prov:Activity that generated it. For example, :cake prov:wasGeneratedBy :baking; prov:qualifiedGeneration [ a prov:Generation; prov:activity :baking; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "Generation is the completion of production of a new entity by an activity. This entity did not exist before generation and becomes available for usage after this generation."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Generation",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Generation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasGeneratedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Generation",
      subClassOf: ["http://www.w3.org/ns/prov#ActivityInfluence", "http://www.w3.org/ns/prov#InstantaneousEvent"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Influence,
      comment: {en: "Because prov:Influence is a broad relation, its most specific subclasses (e.g. prov:Communication, prov:Delegation, prov:End, prov:Revision, etc.) should be used when applicable."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#definition": {en: "Influence is the capacity of an entity, activity, or agent to have an effect on the character, development, or behavior of another by means of usage, start, end, generation, invalidation, communication, derivation, attribution, association, or delegation."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-influence",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-influence",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasInfluencedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Influence",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Insertion,
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "Insertion is a derivation that transforms a dictionary into another, by insertion of one or more key-entity pairs.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-insertion",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-insertion",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#derivedByInsertionFrom",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "Insertion",
      subClassOf: ["http://www.w3.org/ns/prov#Derivation", term(
          cardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#dictionary",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          minCardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#insertedKeyEntityPair",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :InstantaneousEvent,
      comment: {en: "An instantaneous event, or event for short, happens in the world and marks a change in the world, in its activities and in its entities. The term 'event' is commonly used in process algebra with a similar meaning. Events represent communications or interactions; they are assumed to be atomic and instantaneous."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#dfn-event",
      "http://www.w3.org/ns/prov#definition": {en: "The PROV data model is implicitly based on a notion of instantaneous events (or just events), that mark transitions in the world. Events include generation, usage, or invalidation of entities, as well as starting or ending of activities. This notion of event is not first-class in the data model, but it is useful for explaining its other concepts and its semantics."},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "InstantaneousEvent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Invalidation,
      comment: {en: "An instance of prov:Invalidation provides additional descriptions about the binary prov:wasInvalidatedBy relation from an invalidated prov:Entity to the prov:Activity that invalidated it. For example, :uncracked_egg prov:wasInvalidatedBy :baking; prov:qualifiedInvalidation [ a prov:Invalidation; prov:activity :baking; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": "Invalidation is the start of the destruction, cessation, or expiry of an existing entity by an activity. The entity is no longer available for use (or further invalidation) after invalidation. Any generation or usage of an entity precedes its invalidation.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Invalidation",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Invalidation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasInvalidatedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Invalidation",
      subClassOf: ["http://www.w3.org/ns/prov#ActivityInfluence", "http://www.w3.org/ns/prov#InstantaneousEvent"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :KeyEntityPair,
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "A key-entity pair. Part of a prov:Dictionary through prov:hadDictionaryMember. The key is any RDF Literal, the value is a prov:Entity.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-membership",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-membership",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "Key-Entity Pair",
      subClassOf: [term(
          cardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#pairEntity",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#pairKey",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Location,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#atLocation",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#definition": {en: "A location can be an identifiable geographic place (ISO 19112), but it can also be a non-geographic place such as a directory, row, or column. As such, there are numerous ways in which location can be expressed, such as by a coordinate, address, landmark, and so forth."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-attribute-location",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-attribute",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Location",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Modify,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the modification of a resource. "},
      label: {en: "Modify"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Organization,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": "An organization is a social or legal institution such as a company, society, etc.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-agent",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-types",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Organization",
      subClassOf: "http://www.w3.org/ns/prov#Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Person,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "Person agents are people."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-agent",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-types",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Person",
      subClassOf: "http://www.w3.org/ns/prov#Agent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Plan,
      comment: {en: "There exist no prescriptive requirement on the nature of plans, their representation, the actions or steps they consist of, or their intended goals. Since plans may evolve over time, it may become necessary to track their provenance, so plans themselves are entities. Representing the plan explicitly in the provenance can be useful for various tasks: for example, to validate the execution as represented in the provenance record, to manage expectation failures, or to provide explanations."},
      "http://www.w3.org/ns/prov#category": ["expanded", "qualified"],
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": "A plan is an entity that represents a set of actions or steps intended by one or more agents to achieve some goals.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Association",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Association",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Plan",
      subClassOf: "http://www.w3.org/ns/prov#Entity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :PrimarySource,
      comment: {en: "An instance of prov:PrimarySource provides additional descriptions about the binary prov:hadPrimarySource relation from some secondary prov:Entity to an earlier, primary prov:Entity. For example, :blog prov:hadPrimarySource :newsArticle; prov:qualifiedPrimarySource [ a prov:PrimarySource; prov:entity :newsArticle; :foo :bar ] ."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#definition": {en: "A primary source for a topic refers to something produced by some agent with direct experience and knowledge about the topic, at the time of the topic's study, without benefit from hindsight.\n\nBecause of the directness of primary sources, they 'speak for themselves' in ways that cannot be captured through the filter of secondary sources. As such, it is important for secondary sources to reference those primary sources from which they were derived, so that their reliability can be investigated.\n\nA primary source relation is a particular case of derivation of secondary materials from their primary sources. It is recognized that the determination of primary sources can be up to interpretation, and should be done according to conventions accepted within the application's domain."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-primary-source",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-original-source",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#hadPrimarySource",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "PrimarySource",
      subClassOf: "http://www.w3.org/ns/prov#Derivation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Publish,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the publication of a resource"},
      label: {en: "Publish"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Publisher,
      "http://www.w3.org/ns/prov#definition": {en: "Role with the function of publishing a resource. The Agent assigned to this role is associated with a Publish Activity"},
      label: {en: "Publisher"},
      subClassOf: "http://www.w3.org/ns/prov#Role",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Quotation,
      comment: {en: "An instance of prov:Quotation provides additional descriptions about the binary prov:wasQuotedFrom relation from some taken prov:Entity from an earlier, larger prov:Entity. For example, :here_is_looking_at_you_kid prov:wasQuotedFrom :casablanca_script; prov:qualifiedQuotation [ a prov:Quotation; prov:entity :casablanca_script; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#definition": {en: "A quotation is the repeat of (some or all of) an entity, such as text or image, by someone who may or may not be its original author. Quotation is a particular case of derivation."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-quotation",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-quotation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasQuotedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Quotation",
      subClassOf: "http://www.w3.org/ns/prov#Derivation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Removal,
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "Removal is a derivation that transforms a dictionary into another, by removing one or more key-entity pairs.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-removal",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-removal",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#derivedByRemovalFrom",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "Removal",
      subClassOf: ["http://www.w3.org/ns/prov#Derivation", term(
          cardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#dictionary",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          minCardinality: "1",
          onProperty: "http://www.w3.org/ns/prov#removedKey",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Replace,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the replacement of a resource."},
      label: {en: "Replace"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Revision,
      comment: {en: "An instance of prov:Revision provides additional descriptions about the binary prov:wasRevisionOf relation from some newer prov:Entity to an earlier prov:Entity. For example, :draft_2 prov:wasRevisionOf :draft_1; prov:qualifiedRevision [ a prov:Revision; prov:entity :draft_1; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#definition": {en: "A revision is a derivation for which the resulting entity is a revised version of some original. The implication here is that the resulting entity contains substantial content from the original. Revision is a particular case of derivation."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-revision",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Revision",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasRevisionOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Revision",
      subClassOf: "http://www.w3.org/ns/prov#Derivation",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RightsAssignment,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the rights assignment of a resource."},
      label: {en: "RightsAssignment"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :RightsHolder,
      "http://www.w3.org/ns/prov#definition": {en: "Role with the function of owning or managing rights over a resource. The Agent assigned to this role is associated with a RightsAssignment Activity"},
      label: {en: "RightsHolder"},
      subClassOf: "http://www.w3.org/ns/prov#Role",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Role,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#hadRole",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "A role is the function of an entity or agent with respect to an activity, in the context of a usage, generation, invalidation, association, start, and end."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-attribute-role",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-attribute",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Role",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ServiceDescription,
      comment: "Type for a generic provenance query service. Mainly for use in RDF provenance query service descriptions, to facilitate discovery in linked data environments.",
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/#provenance-query-service-discovery",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "ServiceDescription",
      subClassOf: "http://www.w3.org/ns/prov#SoftwareAgent",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SoftwareAgent,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "A software agent is running software."},
      "http://www.w3.org/ns/prov#dm": ["http://www.w3.org/TR/2012/WD-prov-dm-20120703/prov-dm.html#term-agent", "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-agent"],
      "http://www.w3.org/ns/prov#n": ["http://www.w3.org/TR/2012/WD-prov-dm-20120703/prov-n.html#expression-types", "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-types"],
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      label: "SoftwareAgent",
      subClassOf: ["http://www.w3.org/2002/07/owl#Thing", "http://www.w3.org/ns/prov#Agent"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Start,
      comment: {en: "An instance of prov:Start provides additional descriptions about the binary prov:wasStartedBy relation from some started prov:Activity to an prov:Entity that started it. For example, :foot_race prov:wasStartedBy :bang; prov:qualifiedStart [ a prov:Start; prov:entity :bang; :foo :bar; prov:atTime '2012-03-09T08:05:08-05:00'^^xsd:dateTime ] ."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "Start is when an activity is deemed to have been started by an entity, known as trigger. The activity did not exist before its start. Any usage, generation, or invalidation involving an activity follows the activity's start. A start may refer to a trigger entity that set off the activity, or to an activity, known as starter, that generated the trigger."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Start",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Start",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasStartedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Start",
      subClassOf: ["http://www.w3.org/ns/prov#EntityInfluence", "http://www.w3.org/ns/prov#InstantaneousEvent"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Submit,
      "http://www.w3.org/ns/prov#definition": {en: "Activity that identifies the issuance (e.g., publication) of a resource. "},
      label: {en: "Submit"},
      subClassOf: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Usage,
      comment: {en: "An instance of prov:Usage provides additional descriptions about the binary prov:used relation from some prov:Activity to an prov:Entity that it used. For example, :keynote prov:used :podium; prov:qualifiedUsage [ a prov:Usage; prov:entity :podium; :foo :bar ]."},
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "Usage is the beginning of utilizing an entity by an activity. Before usage, the activity had not begun to utilize this entity and could not have been affected by the entity."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-Usage",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-Usage",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#used",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "Usage",
      subClassOf: ["http://www.w3.org/ns/prov#EntityInfluence", "http://www.w3.org/ns/prov#InstantaneousEvent"],
      type: "http://www.w3.org/2002/07/owl#Class"

    # Property definitions
    property :actedOnBehalfOf,
      comment: {en: "An object property to express the accountability of an agent towards another agent. The subordinate agent acted on behalf of the responsible agent in an actual activity. "},
      domain: "http://www.w3.org/ns/prov#Agent",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedDelegation", "http://www.w3.org/ns/prov#agent"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "hadDelegate",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Delegation", "http://www.w3.org/ns/prov#qualifiedDelegation"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "actedOnBehalfOf",
      range: "http://www.w3.org/ns/prov#Agent",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :activity,
      domain: "http://www.w3.org/ns/prov#ActivityInfluence",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorialNote": {en: "This property behaves in spirit like rdf:object; it references the object of a prov:wasInfluencedBy triple."},
      "http://www.w3.org/ns/prov#editorsDefinition": "The prov:activity property references an prov:Activity which influenced a resource. This property applies to an prov:ActivityInfluence, which is given by a subproperty of prov:qualifiedInfluence from the influenced prov:Entity, prov:Activity or prov:Agent.",
      "http://www.w3.org/ns/prov#inverse": "activityOfInfluence",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "activity",
      range: "http://www.w3.org/ns/prov#Activity",
      subPropertyOf: "http://www.w3.org/ns/prov#influencer",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :agent,
      domain: "http://www.w3.org/ns/prov#AgentInfluence",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorialNote": {en: "This property behaves in spirit like rdf:object; it references the object of a prov:wasInfluencedBy triple."},
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "The prov:agent property references an prov:Agent which influenced a resource. This property applies to an prov:AgentInfluence, which is given by a subproperty of prov:qualifiedInfluence from the influenced prov:Entity, prov:Activity or prov:Agent."},
      "http://www.w3.org/ns/prov#inverse": "agentOfInfluence",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "agent",
      range: "http://www.w3.org/ns/prov#Agent",
      subPropertyOf: "http://www.w3.org/ns/prov#influencer",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :alternateOf,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#specializationOf",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "alternate",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig",
      "http://www.w3.org/ns/prov#definition": {en: "Two alternate entities present aspects of the same thing. These aspects may be the same or different, and the alternate entities may or may not overlap in time."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-alternate",
      "http://www.w3.org/ns/prov#inverse": "alternateOf",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-alternate",
      inverseOf: "http://www.w3.org/ns/prov#alternateOf",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "alternateOf",
      range: "http://www.w3.org/ns/prov#Entity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :aq,
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :asInBundle,
      comment: {en: "prov:asInBundle is used to specify which bundle the general entity of a prov:mentionOf property is described.\n\nWhen :x prov:mentionOf :y and :y is described in Bundle :b, the triple :x prov:asInBundle :b is also asserted to cite the Bundle in which :y was described."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#inverse": "contextOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#mentionOf",
      isDefinedBy: "http://www.w3.org/ns/prov-links#",
      label: "asInBundle",
      range: "http://www.w3.org/ns/prov#Bundle",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :atLocation,
      comment: ["This property has multiple RDFS domains to suit multiple OWL Profiles. See <a href=\"#owl-profile\">PROV-O OWL Profile</a>.", {en: "The Location of any resource."}],
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Activity", "http://www.w3.org/ns/prov#Agent", "http://www.w3.org/ns/prov#Entity", "http://www.w3.org/ns/prov#InstantaneousEvent")
        ),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#editorialNote": {en: "This property is not functional because the many values could be at a variety of granularies (In this building, in this room, in that chair)."},
      "http://www.w3.org/ns/prov#inverse": "locationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Location",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "atLocation",
      range: "http://www.w3.org/ns/prov#Location",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :atTime,
      comment: {en: "The time at which an InstantaneousEvent occurred, in the form of xsd:dateTime."},
      domain: "http://www.w3.org/ns/prov#InstantaneousEvent",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#InstantaneousEvent",
      "http://www.w3.org/ns/prov#unqualifiedForm": ["http://www.w3.org/ns/prov#endedAtTime", "http://www.w3.org/ns/prov#generatedAtTime", "http://www.w3.org/ns/prov#invalidatedAtTime", "http://www.w3.org/ns/prov#startedAtTime"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "atTime",
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :category,
      comment: {en: "Classify prov-o terms into three categories, including 'starting-point', 'qualifed', and 'extended'. This classification is used by the prov-o html document to gently introduce prov-o terms to its users. "},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :component,
      comment: {en: "Classify prov-o terms into six components according to prov-dm, including 'agents-responsibility', 'alternate', 'annotations', 'collections', 'derivations', and 'entities-activities'. This classification is used so that readers of prov-o specification can find its correspondence with the prov-dm specification."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :constraints,
      comment: {en: "A reference to the principal section of the PROV-CONSTRAINTS document that describes this concept."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :definition,
      comment: {en: "A definition quoted from PROV-DM or PROV-CONSTRAINTS that describes the concept expressed with this OWL term."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :derivedByInsertionFrom,
      domain: "http://www.w3.org/ns/prov#Dictionary",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The dictionary was derived from the other by insertion. prov:qualifiedInsertion shows details of the insertion, in particular the inserted key-entity pairs.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-insertion",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-insertion",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "derivedByInsertionFrom",
      range: "http://www.w3.org/ns/prov#Dictionary",
      subPropertyOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :derivedByRemovalFrom,
      domain: "http://www.w3.org/ns/prov#Dictionary",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The dictionary was derived from the other by removal. prov:qualifiedRemoval shows details of the removal, in particular the removed key-entity pairs.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-removal",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-removal",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "derivedByRemovalFrom",
      range: "http://www.w3.org/ns/prov#Dictionary",
      subPropertyOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :describesService,
      comment: {en: "relates a generic provenance query service resource (type prov:ServiceDescription) to a specific query service description (e.g. a prov:DirectQueryService or a sd:Service)."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/rovenance-query-service-description",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      "http://www.w3.org/ns/prov#inverse": "serviceDescribedBy",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "describesService",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :dictionary,
      domain: ["http://www.w3.org/ns/prov#Insertion", "http://www.w3.org/ns/prov#Removal"],
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The property used by a prov:Insertion and prov:Removal to cite the prov:Dictionary that was prov:derivedByInsertionFrom or prov:derivedByRemovalFrom another dictionary.",
      "http://www.w3.org/ns/prov#dm": ["http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-insertion", "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-removal"],
      "http://www.w3.org/ns/prov#n": ["http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-insertion", "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-removal"],
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "dictionary",
      range: "http://www.w3.org/ns/prov#Dictionary",
      subPropertyOf: "http://www.w3.org/ns/prov#entity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :dm,
      comment: {en: "A reference to the principal section of the PROV-DM document that describes this concept."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :editorialNote,
      comment: {en: "A note by the OWL development team about how this term expresses the PROV-DM concept, or how it should be used in context of semantic web or linked data."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :editorsDefinition,
      comment: {en: "When the prov-o term does not have a definition drawn from prov-dm, and the prov-o editor provides one."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/ns/prov#definition",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :endedAtTime,
      comment: {en: "The time at which an activity ended. See also prov:startedAtTime."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "It is the intent that the property chain holds: (prov:qualifiedEnd o prov:atTime) rdfs:subPropertyOf prov:endedAtTime."},
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#End", "http://www.w3.org/ns/prov#atTime"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "endedAtTime",
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :entity,
      domain: "http://www.w3.org/ns/prov#EntityInfluence",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#editorialNote": {en: "This property behaves in spirit like rdf:object; it references the object of a prov:wasInfluencedBy triple."},
      "http://www.w3.org/ns/prov#editorsDefinition": "The prov:entity property references an prov:Entity which influenced a resource. This property applies to an prov:EntityInfluence, which is given by a subproperty of prov:qualifiedInfluence from the influenced prov:Entity, prov:Activity or prov:Agent.",
      "http://www.w3.org/ns/prov#inverse": "entityOfInfluence",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "entity",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#influencer",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :generated,
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "prov:generated is one of few inverse property defined, to allow Activity-oriented assertions in addition to Entity-oriented assertions."},
      "http://www.w3.org/ns/prov#inverse": "wasGeneratedBy",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Generation",
      inverseOf: "http://www.w3.org/ns/prov#wasGeneratedBy",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "generated",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#influenced",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :generatedAtTime,
      comment: {en: "The time at which an entity was completely created and is available for use."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "It is the intent that the property chain holds: (prov:qualifiedGeneration o prov:atTime) rdfs:subPropertyOf prov:generatedAtTime."},
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Generation", "http://www.w3.org/ns/prov#atTime"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "generatedAtTime",
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :hadActivity,
      comment: ["This property has multiple RDFS domains to suit multiple OWL Profiles. See <a href=\"#owl-profile\">PROV-O OWL Profile</a>.", {en: "The _optional_ Activity of an Influence, which used, generated, invalidated, or was the responsibility of some Entity. This property is _not_ used by ActivityInfluence (use prov:activity instead)."}],
      domain: ["http://www.w3.org/ns/prov#Influence", term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Delegation", "http://www.w3.org/ns/prov#Derivation", "http://www.w3.org/ns/prov#End", "http://www.w3.org/ns/prov#Start")
        )],
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#editorialNote": {en: "The multiple rdfs:domain assertions are intended. One is simpler and works for OWL-RL, the union is more specific but is not recognized by OWL-RL."},
      "http://www.w3.org/ns/prov#inverse": "wasActivityOfInfluence",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Activity",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadActivity",
      range: "http://www.w3.org/ns/prov#Activity",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadDictionaryMember,
      domain: "http://www.w3.org/ns/prov#Dictionary",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "Describes the key-entity pair that was member of a prov:Dictionary. A dictionary can have multiple members.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-membership",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-membership",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "hadDictionaryMember",
      range: "http://www.w3.org/ns/prov#KeyEntityPair",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadGeneration,
      comment: {en: "The _optional_ Generation involved in an Entity's Derivation."},
      domain: "http://www.w3.org/ns/prov#Derivation",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "generatedAsDerivation",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Generation",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadGeneration",
      range: "http://www.w3.org/ns/prov#Generation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadMember,
      domain: "http://www.w3.org/ns/prov#Collection",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "expanded",
      "http://www.w3.org/ns/prov#inverse": "wasMemberOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Collection",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadMember",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadPlan,
      comment: {en: "The _optional_ Plan adopted by an Agent in Association with some Activity. Plan specifications are out of the scope of this specification."},
      domain: "http://www.w3.org/ns/prov#Association",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "wasPlanOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Plan",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadPlan",
      range: "http://www.w3.org/ns/prov#Plan",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadPrimarySource,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedPrimarySource", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "wasPrimarySourceOf",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#PrimarySource", "http://www.w3.org/ns/prov#qualifiedPrimarySource"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadPrimarySource",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadRole,
      comment: ["This property has multiple RDFS domains to suit multiple OWL Profiles. See <a href=\"#owl-profile\">PROV-O OWL Profile</a>.", {en: "The _optional_ Role that an Entity assumed in the context of an Activity. For example, :baking prov:used :spoon; prov:qualified [ a prov:Usage; prov:entity :spoon; prov:hadRole roles:mixing_implement ]."}],
      domain: ["http://www.w3.org/ns/prov#Influence", term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Association", "http://www.w3.org/ns/prov#InstantaneousEvent")
        )],
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "prov:hadRole references the Role (i.e. the function of an entity with respect to an activity), in the context of an instantaneous usage, generation, association, start, and end."},
      "http://www.w3.org/ns/prov#inverse": "wasRoleIn",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Role",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "hadRole",
      range: "http://www.w3.org/ns/prov#Role",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :hadUsage,
      comment: {en: "The _optional_ Usage involved in an Entity's Derivation."},
      domain: "http://www.w3.org/ns/prov#Derivation",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "wasUsedInDerivation",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Usage",
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      label: "hadUsage",
      range: "http://www.w3.org/ns/prov#Usage",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :has_anchor,
      comment: {en: "Indicates anchor URI for a potentially dynamic resource instance."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/#resource-represented-as-html",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      "http://www.w3.org/ns/prov#inverse": "anchorOf",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "has_anchor",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :has_provenance,
      comment: {en: "Indicates a provenance-URI for a resource; the resource identified by this property presents a provenance record about its subject or anchor resource."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/#resource-represented-as-html",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      "http://www.w3.org/ns/prov#inverse": "provenanceOf",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "has_provenance",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :has_query_service,
      comment: {en: "Indicates a provenance query service that can access provenance related to its subject or anchor resource."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      "http://www.w3.org/ns/prov#inverse": "provenanceQueryServiceOf",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "hasProvenanceService",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :influenced,
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "wasInfluencedBy",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Influence",
      inverseOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "influenced",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :influencer,
      comment: {en: "Subproperties of prov:influencer are used to cite the object of an unqualified PROV-O triple whose predicate is a subproperty of prov:wasInfluencedBy (e.g. prov:used, prov:wasGeneratedBy). prov:influencer is used much like rdf:object is used."},
      domain: "http://www.w3.org/ns/prov#Influence",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-influence",
      "http://www.w3.org/ns/prov#editorialNote": {en: "This property and its subproperties are used in the same way as the rdf:object property, i.e. to reference the object of an unqualified prov:wasInfluencedBy or prov:influenced triple."},
      "http://www.w3.org/ns/prov#editorsDefinition": {en: "This property is used as part of the qualified influence pattern. Subclasses of prov:Influence use these subproperties to reference the resource (Entity, Agent, or Activity) whose influence is being qualified."},
      "http://www.w3.org/ns/prov#inverse": "hadInfluence",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "influencer",
      range: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :insertedKeyEntityPair,
      domain: "http://www.w3.org/ns/prov#Insertion",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "An object property to refer to the prov:KeyEntityPair inserted into a prov:Dictionary.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-insertion",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-insertion",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "insertedKeyEntityPair",
      range: "http://www.w3.org/ns/prov#KeyEntityPair",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :invalidated,
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "prov:invalidated is one of few inverse property defined, to allow Activity-oriented assertions in addition to Entity-oriented assertions."},
      "http://www.w3.org/ns/prov#inverse": "wasInvalidatedBy",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Invalidation",
      inverseOf: "http://www.w3.org/ns/prov#wasInvalidatedBy",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "invalidated",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#influenced",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :invalidatedAtTime,
      comment: {en: "The time at which an entity was invalidated (i.e., no longer usable)."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "It is the intent that the property chain holds: (prov:qualifiedInvalidation o prov:atTime) rdfs:subPropertyOf prov:invalidatedAtTime."},
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Invalidation", "http://www.w3.org/ns/prov#atTime"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "invalidatedAtTime",
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :inverse,
      comment: {en: "PROV-O does not define all property inverses. The directionalities defined in PROV-O should be given preference over those not defined. However, if users wish to name the inverse of a PROV-O property, the local name given by prov:inverse should be used."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/TR/prov-o/#names-of-inverse-properties",
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :mentionOf,
      comment: {en: "prov:mentionOf is used to specialize an entity as described in another bundle. It is to be used in conjuction with prov:asInBundle.\n\nprov:asInBundle is used to cite the Bundle in which the generalization was mentioned."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#inverse": "hadMention",
      isDefinedBy: "http://www.w3.org/ns/prov-links#",
      label: "mentionOf",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#specializationOf",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :n,
      comment: {en: "A reference to the principal section of the PROV-M document that describes this concept."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :order,
      comment: {en: "The position that this OWL term should be listed within documentation. The scope of the documentation (e.g., among all terms, among terms within a prov:category, among properties applying to a particular class, etc.) is unspecified."},
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :pairEntity,
      domain: "http://www.w3.org/ns/prov#KeyEntityPair",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The value of a KeyEntityPair.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-membership",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-membership",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "pairKey",
      range: "http://www.w3.org/ns/prov#Entity",
      type: ["http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :pairKey,
      domain: "http://www.w3.org/ns/prov#KeyEntityPair",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The key of a KeyEntityPair, which is an element of a prov:Dictionary.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-membership",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-membership",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "pairKey",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :pingback,
      comment: {en: "Relates a resource to a provenance pingback service that may receive additional provenance links about the resource."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/#provenance-pingback",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "provenance pingback",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :provenanceUriTemplate,
      comment: {en: "Relates a provenance service to a URI template string for constructing provenance-URIs."},
      "http://www.w3.org/ns/prov#aq": "http://www.w3.org/TR/2013/NOTE-prov-aq-20130430/",
      "http://www.w3.org/ns/prov#category": "access-and-query",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "provenanceUriTemplate",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :qualifiedAssociation,
      comment: {en: "If this Activity prov:wasAssociatedWith Agent :ag, then it can qualify the Association using prov:qualifiedAssociation [ a prov:Association;  prov:agent :ag; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "qualifiedAssociationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Association",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasAssociatedWith",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedAssociation",
      range: "http://www.w3.org/ns/prov#Association",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedAttribution,
      comment: {en: "If this Entity prov:wasAttributedTo Agent :ag, then it can qualify how it was influenced using prov:qualifiedAttribution [ a prov:Attribution;  prov:agent :ag; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "qualifiedAttributionOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Attribution",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasAttributedTo",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedAttribution",
      range: "http://www.w3.org/ns/prov#Attribution",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedCommunication,
      comment: {en: "If this Activity prov:wasInformedBy Activity :a, then it can qualify how it was influenced using prov:qualifiedCommunication [ a prov:Communication;  prov:activity :a; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedCommunicationOf",
      "http://www.w3.org/ns/prov#qualifiedForm": "http://www.w3.org/ns/prov#Communication",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Communication",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedCommunication",
      range: "http://www.w3.org/ns/prov#Communication",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedDelegation,
      comment: {en: "If this Agent prov:actedOnBehalfOf Agent :ag, then it can qualify how with prov:qualifiedResponsibility [ a prov:Responsibility;  prov:agent :ag; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Agent",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "qualifiedDelegationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Delegation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#actedOnBehalfOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedDelegation",
      range: "http://www.w3.org/ns/prov#Delegation",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedDerivation,
      comment: {en: "If this Entity prov:wasDerivedFrom Entity :e, then it can qualify how it was derived using prov:qualifiedDerivation [ a prov:Derivation;  prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "qualifiedDerivationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Derivation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasDerivedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedDerivation",
      range: "http://www.w3.org/ns/prov#Derivation",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedEnd,
      comment: {en: "If this Activity prov:wasEndedBy Entity :e1, then it can qualify how it was ended using prov:qualifiedEnd [ a prov:End;  prov:entity :e1; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedEndOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#End",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasEndedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedEnd",
      range: "http://www.w3.org/ns/prov#End",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedForm,
      comment: {en: "This annotation property links a subproperty of prov:wasInfluencedBy with the subclass of prov:Influence and the qualifying property that are used to qualify it. \n\nExample annotation:\n\n    prov:wasGeneratedBy prov:qualifiedForm prov:qualifiedGeneration, prov:Generation .\n\nThen this unqualified assertion:\n\n    :entity1 prov:wasGeneratedBy :activity1 .\n\ncan be qualified by adding:\n\n   :entity1 prov:qualifiedGeneration :entity1Gen .\n   :entity1Gen \n       a prov:Generation, prov:Influence;\n       prov:activity :activity1;\n       :customValue 1337 .\n\nNote how the value of the unqualified influence (prov:wasGeneratedBy :activity1) is mirrored as the value of the prov:activity (or prov:entity, or prov:agent) property on the influence class."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :qualifiedGeneration,
      comment: {en: "If this Activity prov:generated Entity :e, then it can qualify how it performed the Generation using prov:qualifiedGeneration [ a prov:Generation;  prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedGenerationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Generation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasGeneratedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedGeneration",
      range: "http://www.w3.org/ns/prov#Generation",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedInfluence,
      comment: {en: "Because prov:qualifiedInfluence is a broad relation, the more specific relations (qualifiedCommunication, qualifiedDelegation, qualifiedEnd, etc.) should be used when applicable."},
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Activity", "http://www.w3.org/ns/prov#Agent", "http://www.w3.org/ns/prov#Entity")
        ),
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "qualifiedInfluenceOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Influence",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasInfluencedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedInfluence",
      range: "http://www.w3.org/ns/prov#Influence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedInsertion,
      domain: "http://www.w3.org/ns/prov#Dictionary",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The dictionary was derived from the other by insertion. prov:qualifiedInsertion shows details of the insertion, in particular the inserted key-entity pairs.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-insertion",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-insertion",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "qualifiedInsertion",
      range: "http://www.w3.org/ns/prov#Insertion",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedDerivation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedInvalidation,
      comment: {en: "If this Entity prov:wasInvalidatedBy Activity :a, then it can qualify how it was invalidated using prov:qualifiedInvalidation [ a prov:Invalidation;  prov:activity :a; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedInvalidationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Invalidation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasInvalidatedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedInvalidation",
      range: "http://www.w3.org/ns/prov#Invalidation",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedPrimarySource,
      comment: {en: "If this Entity prov:hadPrimarySource Entity :e, then it can qualify how using prov:qualifiedPrimarySource [ a prov:PrimarySource; prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "qualifiedSourceOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#PrimarySource",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#hadPrimarySource",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedPrimarySource",
      range: "http://www.w3.org/ns/prov#PrimarySource",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedQuotation,
      comment: {en: "If this Entity prov:wasQuotedFrom Entity :e, then it can qualify how using prov:qualifiedQuotation [ a prov:Quotation;  prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "qualifiedQuotationOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Quotation",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasQuotedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedQuotation",
      range: "http://www.w3.org/ns/prov#Quotation",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedRemoval,
      domain: "http://www.w3.org/ns/prov#Dictionary",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The dictionary was derived from the other by removal. prov:qualifiedRemoval shows details of the removal, in particular the removed keys.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-removal",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-removal",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "qualifiedRemoval",
      range: "http://www.w3.org/ns/prov#Removal",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedDerivation",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedRevision,
      comment: {en: "If this Entity prov:wasRevisionOf Entity :e, then it can qualify how it was revised using prov:qualifiedRevision [ a prov:Revision;  prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "revisedEntity",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Revision",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasRevisionOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedRevision",
      range: "http://www.w3.org/ns/prov#Revision",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedStart,
      comment: {en: "If this Activity prov:wasStartedBy Entity :e1, then it can qualify how it was started using prov:qualifiedStart [ a prov:Start;  prov:entity :e1; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedStartOf",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Start",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#wasStartedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedStart",
      range: "http://www.w3.org/ns/prov#Start",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :qualifiedUsage,
      comment: {en: "If this Activity prov:used Entity :e, then it can qualify how it used it using prov:qualifiedUsage [ a prov:Usage; prov:entity :e; :foo :bar ]."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "qualifiedUsingActivity",
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Usage",
      "http://www.w3.org/ns/prov#unqualifiedForm": "http://www.w3.org/ns/prov#used",
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "qualifiedUsage",
      range: "http://www.w3.org/ns/prov#Usage",
      subPropertyOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :removedKey,
      domain: "http://www.w3.org/ns/prov#Removal",
      "http://www.w3.org/ns/prov#category": "collections",
      "http://www.w3.org/ns/prov#component": "collections",
      "http://www.w3.org/ns/prov#constraints": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#dictionary-constraints",
      "http://www.w3.org/ns/prov#definition": "The key removed in a Removal.",
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#term-dictionary-removal",
      "http://www.w3.org/ns/prov#n": "http://www.w3.org/TR/2013/NOTE-prov-dictionary-20130430/#expression-dictionary-removal",
      isDefinedBy: "http://www.w3.org/ns/prov#",
      label: "removedKey",
      range: "http://www.w3.org/2000/01/rdf-schema#Literal",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :sharesDefinitionWith,
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :specializationOf,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/ns/prov#alternateOf",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "alternate",
      "http://www.w3.org/ns/prov#constraints": ["http://www.w3.org/TR/2012/WD-prov-dm-20120703/prov-constraints.html#prov-dm-constraints-fig", "http://www.w3.org/TR/2013/REC-prov-constraints-20130430/#prov-dm-constraints-fig"],
      "http://www.w3.org/ns/prov#definition": {en: "An entity that is a specialization of another shares all aspects of the latter, and additionally presents more specific aspects of the same thing as the latter. In particular, the lifetime of the entity being specialized contains that of any specialization. Examples of aspects include a time period, an abstraction, and a context associated with the entity."},
      "http://www.w3.org/ns/prov#dm": ["http://www.w3.org/TR/2012/WD-prov-dm-20120703/prov-dm.html#term-specialization", "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-specialization"],
      "http://www.w3.org/ns/prov#inverse": "generalizationOf",
      "http://www.w3.org/ns/prov#n": ["http://www.w3.org/TR/2012/WD-prov-dm-20120703/prov-n.html#expression-specialization", "http://www.w3.org/TR/2013/REC-prov-n-20130430/#expression-specialization"],
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      label: "specializationOf",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: ["http://www.w3.org/2002/07/owl#topObjectProperty", "http://www.w3.org/ns/prov#alternateOf"],
      type: ["http://www.w3.org/2002/07/owl#AnnotationProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :startedAtTime,
      comment: {en: "The time at which an activity started. See also prov:endedAtTime."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#editorialNote": {en: "It is the intent that the property chain holds: (prov:qualifiedStart o prov:atTime) rdfs:subPropertyOf prov:startedAtTime."},
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Start", "http://www.w3.org/ns/prov#atTime"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "startedAtTime",
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :todo,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :unqualifiedForm,
      comment: {en: "Classes and properties used to qualify relationships are annotated with prov:unqualifiedForm to indicate the property used to assert an unqualified provenance relation."},
      isDefinedBy: ["http://www.w3.org/ns/prov#", "http://www.w3.org/ns/prov-o#"],
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#seeAlso",
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty"
    property :used,
      comment: {en: "A prov:Entity that was used by this prov:Activity. For example, :baking prov:used :spoon, :egg, :oven ."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedUsage", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "wasUsedBy",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Usage", "http://www.w3.org/ns/prov#qualifiedUsage"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "used",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :value,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#definition": {en: "Provides a value that is a direct representation of an entity."},
      "http://www.w3.org/ns/prov#dm": "http://www.w3.org/TR/2013/REC-prov-dm-20130430/#term-attribute-value",
      "http://www.w3.org/ns/prov#editorialNote": ["The editor's definition comes from http://www.w3.org/TR/rdf-primer/#rdfvalue", {en: "This property serves the same purpose as rdf:value, but has been reintroduced to avoid some of the definitional ambiguity in the RDF specification (specifically, 'may be used in describing structured values')."}],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "value",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :wasAssociatedWith,
      comment: {en: "An prov:Agent that had some (unspecified) responsibility for the occurrence of this prov:Activity."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedAssociation", "http://www.w3.org/ns/prov#agent"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#inverse": "wasAssociateFor",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Association", "http://www.w3.org/ns/prov#qualifiedAssociation"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasAssociatedWith",
      range: "http://www.w3.org/ns/prov#Agent",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasAttributedTo,
      comment: {en: "Attribution is the ascribing of an entity to an agent."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedAttribution", "http://www.w3.org/ns/prov#agent"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#definition": {en: "Attribution is the ascribing of an entity to an agent."},
      "http://www.w3.org/ns/prov#inverse": "contributed",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Attribution", "http://www.w3.org/ns/prov#qualifiedAttribution"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasAttributedTo",
      range: "http://www.w3.org/ns/prov#Agent",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasDerivedFrom,
      comment: {en: "The more specific subproperties of prov:wasDerivedFrom (i.e., prov:wasQuotedFrom, prov:wasRevisionOf, prov:hadPrimarySource) should be used when applicable."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedDerivation", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#definition": {en: "A derivation is a transformation of an entity into another, an update of an entity resulting in a new one, or the construction of a new entity based on a pre-existing entity."},
      "http://www.w3.org/ns/prov#inverse": "hadDerivation",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Derivation", "http://www.w3.org/ns/prov#qualifiedDerivation"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasDerivedFrom",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasEndedBy,
      comment: {en: "End is when an activity is deemed to have ended. An end may refer to an entity, known as trigger, that terminated the activity."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedEnd", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "ended",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#End", "http://www.w3.org/ns/prov#qualifiedEnd"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasEndedBy",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasGeneratedBy,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedGeneration", "http://www.w3.org/ns/prov#activity"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "generated",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Generation", "http://www.w3.org/ns/prov#qualifiedGeneration"],
      inverseOf: "http://www.w3.org/ns/prov#generated",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "wasGeneratedBy",
      range: "http://www.w3.org/ns/prov#Activity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasInfluencedBy,
      comment: ["This property has multiple RDFS domains to suit multiple OWL Profiles. See <a href=\"#owl-profile\">PROV-O OWL Profile</a>.", {en: "Because prov:wasInfluencedBy is a broad relation, its more specific subproperties (e.g. prov:wasInformedBy, prov:actedOnBehalfOf, prov:wasEndedBy, etc.) should be used when applicable."}],
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Activity", "http://www.w3.org/ns/prov#Agent", "http://www.w3.org/ns/prov#Entity")
        ),
      "http://www.w3.org/ns/prov#category": "qualified",
      "http://www.w3.org/ns/prov#component": "agents-responsibility",
      "http://www.w3.org/ns/prov#editorialNote": {en: "The sub-properties of prov:wasInfluencedBy can be elaborated in more detail using the Qualification Pattern. For example, the binary relation :baking prov:used :spoon can be qualified by asserting :baking prov:qualifiedUsage [ a prov:Usage; prov:entity :spoon; prov:atLocation :kitchen ] .\n\nSubproperties of prov:wasInfluencedBy may also be asserted directly without being qualified.\n\nprov:wasInfluencedBy should not be used without also using one of its subproperties. \n"},
      "http://www.w3.org/ns/prov#inverse": "influenced",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Influence", "http://www.w3.org/ns/prov#qualifiedInfluence"],
      "http://www.w3.org/ns/prov#sharesDefinitionWith": "http://www.w3.org/ns/prov#Influence",
      inverseOf: "http://www.w3.org/ns/prov#influenced",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "wasInfluencedBy",
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class",
          unionOf: list("http://www.w3.org/ns/prov#Activity", "http://www.w3.org/ns/prov#Agent", "http://www.w3.org/ns/prov#Entity")
        ),
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasInformedBy,
      comment: {en: "An activity a2 is dependent on or informed by another activity a1, by way of some unspecified entity that is generated by a1 and used by a2."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedCommunication", "http://www.w3.org/ns/prov#activity"),
      "http://www.w3.org/ns/prov#category": "starting-point",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "informed",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Communication", "http://www.w3.org/ns/prov#qualifiedCommunication"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasInformedBy",
      range: "http://www.w3.org/ns/prov#Activity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasInvalidatedBy,
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedInvalidation", "http://www.w3.org/ns/prov#activity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "invalidated",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Invalidation", "http://www.w3.org/ns/prov#qualifiedInvalidation"],
      inverseOf: "http://www.w3.org/ns/prov#invalidated",
      isDefinedBy: ["http://www.w3.org/ns/prov-o#", "http://www.w3.org/ns/prov-o-inverses#"],
      label: "wasInvalidatedBy",
      range: "http://www.w3.org/ns/prov#Activity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasQuotedFrom,
      comment: {en: "An entity is derived from an original entity by copying, or 'quoting', some or all of it."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedQuotation", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "quotedAs",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Quotation", "http://www.w3.org/ns/prov#qualifiedQuotation"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasQuotedFrom",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :wasRevisionOf,
      comment: {en: "A revision is a derivation that revises an entity into a revised version."},
      domain: "http://www.w3.org/ns/prov#Entity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedRevision", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "derivations",
      "http://www.w3.org/ns/prov#inverse": "hadRevision",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Revision", "http://www.w3.org/ns/prov#qualifiedRevision"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasRevisionOf",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      type: ["http://www.w3.org/2002/07/owl#AnnotationProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :wasStartedBy,
      comment: {en: "Start is when an activity is deemed to have started. A start may refer to an entity, known as trigger, that initiated the activity."},
      domain: "http://www.w3.org/ns/prov#Activity",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.w3.org/ns/prov#qualifiedStart", "http://www.w3.org/ns/prov#entity"),
      "http://www.w3.org/ns/prov#category": "expanded",
      "http://www.w3.org/ns/prov#component": "entities-activities",
      "http://www.w3.org/ns/prov#inverse": "started",
      "http://www.w3.org/ns/prov#qualifiedForm": ["http://www.w3.org/ns/prov#Start", "http://www.w3.org/ns/prov#qualifiedStart"],
      isDefinedBy: "http://www.w3.org/ns/prov-o#",
      label: "wasStartedBy",
      range: "http://www.w3.org/ns/prov#Entity",
      subPropertyOf: "http://www.w3.org/ns/prov#wasInfluencedBy",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"

    # Extra definitions
    term :activityOfInfluence,
      inverseOf: "http://www.w3.org/ns/prov#activity",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "activityOfInfluence"
    term :agentOfInfluence,
      inverseOf: "http://www.w3.org/ns/prov#agent",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "agentOfInfluence"
    term :contributed,
      inverseOf: "http://www.w3.org/ns/prov#wasAttributedTo",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "contributed"
    term :ended,
      inverseOf: "http://www.w3.org/ns/prov#wasEndedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "ended"
    term :entityOfInfluence,
      inverseOf: "http://www.w3.org/ns/prov#entity",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "entityOfInfluence"
    term :generalizationOf,
      inverseOf: "http://www.w3.org/ns/prov#specializationOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "generalizationOf"
    term :generatedAsDerivation,
      inverseOf: "http://www.w3.org/ns/prov#hadGeneration",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "generatedAsDerivation"
    term :hadDelegate,
      inverseOf: "http://www.w3.org/ns/prov#actedOnBehalfOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "hadDelegate"
    term :hadDerivation,
      inverseOf: "http://www.w3.org/ns/prov#wasDerivedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "hadDerivation"
    term :hadInfluence,
      inverseOf: "http://www.w3.org/ns/prov#influencer",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "hadInfluence"
    term :hadRevision,
      inverseOf: "http://www.w3.org/ns/prov#wasRevisionOf",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "hadRevision"
    term :informed,
      inverseOf: "http://www.w3.org/ns/prov#wasInformedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "informed"
    term :locationOf,
      inverseOf: "http://www.w3.org/ns/prov#atLocation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "locationOf"
    term :qualifiedAssociationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedAssociation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedAssociationOf"
    term :qualifiedAttributionOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedAttribution",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedAttributionOf"
    term :qualifiedCommunicationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedCommunication",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedCommunicationOf"
    term :qualifiedDelegationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedDelegation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedDelegationOf"
    term :qualifiedDerivationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedDerivation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedDerivationOf"
    term :qualifiedEndOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedEnd",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedEndOf"
    term :qualifiedGenerationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedGeneration",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedGenerationOf"
    term :qualifiedInfluenceOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedInfluence",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedInfluenceOf"
    term :qualifiedInvalidationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedInvalidation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedInvalidationOf"
    term :qualifiedQuotationOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedQuotation",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedQuotationOf"
    term :qualifiedSourceOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedPrimarySource",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedSourceOf"
    term :qualifiedStartOf,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedStart",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedStartOf"
    term :qualifiedUsingActivity,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedUsage",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "qualifiedUsingActivity"
    term :quotedAs,
      inverseOf: "http://www.w3.org/ns/prov#wasQuotedFrom",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "quotedAs"
    term :revisedEntity,
      inverseOf: "http://www.w3.org/ns/prov#qualifiedRevision",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "revisedEntity"
    term :started,
      inverseOf: "http://www.w3.org/ns/prov#wasStartedBy",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "started"
    term :wasActivityOfInfluence,
      inverseOf: "http://www.w3.org/ns/prov#hadActivity",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasActivityOfInfluence"
    term :wasAssociateFor,
      inverseOf: "http://www.w3.org/ns/prov#wasAssociatedWith",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasAssociateFor"
    term :wasMemberOf,
      inverseOf: "http://www.w3.org/ns/prov#hadMember",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasMemberOf"
    term :wasPlanOf,
      inverseOf: "http://www.w3.org/ns/prov#hadPlan",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasPlanOf"
    term :wasPrimarySourceOf,
      inverseOf: "http://www.w3.org/ns/prov#hadPrimarySource",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasPrimarySourceOf"
    term :wasRoleIn,
      inverseOf: "http://www.w3.org/ns/prov#hadRole",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasRoleIn"
    term :wasUsedBy,
      inverseOf: "http://www.w3.org/ns/prov#used",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasUsedBy"
    term :wasUsedInDerivation,
      inverseOf: "http://www.w3.org/ns/prov#hadUsage",
      isDefinedBy: "http://www.w3.org/ns/prov-o-inverses#",
      label: "wasUsedInDerivation"
  end
end
