# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rdfs.org/sioc/types#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://rdfs.org/sioc/types#>
  # @!visibility private
  SiocTypes = Class.new(RDF::StrictVocabulary("http://rdfs.org/sioc/types#")) do

    # Ontology definition
    ontology :"http://rdfs.org/sioc/types#",
      "http://purl.org/dc/terms/description": {en: "Extends the SIOC Core Ontology (Semantically-Interlinked Online Communities) by defining subclasses and subproperties of SIOC terms."},
      "http://purl.org/dc/terms/title": {en: "SIOC Types Ontology Module Namespace"},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/spec/#sec-modules",
      "http://www.w3.org/2002/07/owl#imports": "http://rdfs.org/sioc/ns#",
      type: ["http://www.w3.org/2002/07/owl#Ontology", "http://www.w3.org/2002/07/owl#Thing"]

    # Class definitions
    term :AddressBook,
      comment: {en: "Describes a collection of personal or organisational addresses."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://xmlns.com/foaf/0.1/Agent",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Address Book"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AnnotationSet,
      comment: {en: "Describes a set of annotations, for example, those created by a particular user or related to a particular topic."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2000/10/annotation-ns#Annotation",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Annotation Set"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Answer,
      comment: {en: "A Post that provides an answer in reply to a Question."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Answer"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ArgumentativeDiscussion,
      comment: {en: "Describes a discussion area where logical arguments can take place."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/ibis#Idea",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Argumentative Discussion"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :AudioChannel,
      comment: {en: "Describes a channel for distributing audio or sound files, for example, a podcast."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/Sound",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Audio Channel"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BestAnswer,
      comment: {en: "A Post that is the best answer to a Question, as chosen by the UserAccount who asked the Question or as voted by a Community of UserAccounts."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Best Answer"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BlogPost,
      comment: {en: "Describes a post that is specifically made on a weblog."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Weblog",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Blog Post"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BoardPost,
      comment: {en: "Describes a post that is specifically made on a message board."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MessageBoard",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Board Post"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :BookmarkFolder,
      comment: {en: "Describes a shared collection of bookmarks."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2002/01/bookmark#Bookmark",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Bookmark Folder"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Briefcase,
      comment: {en: "Describes a briefcase or file service."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://xmlns.com/foaf/0.1/Document",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Briefcase"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Category,
      comment: {en: "Category is used on the object of sioc:topic to indicate that this resource is a category on a site."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Category"},
      subClassOf: "http://www.w3.org/2008/05/skos#Concept",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ChatChannel,
      comment: {en: "Describes a channel for chat or instant messages, for example, via IRC or IM."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#InstantMessage",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Chat Channel"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Comment,
      comment: {en: "Comment is a subtype of sioc:Post and allows one to explicitly indicate that this SIOC post is a comment.  Note that comments have a narrower scope than sioc:Post and may not apply to all types of community site."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Forum",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Comment"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :EventCalendar,
      comment: {en: "Describes a calendar of events."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2002/12/cal/icaltzd#VEVENT",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Event Calendar"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :FavouriteThings,
      comment: {en: "Describes a list or a collection of one's favourite things."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Favourite Things"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ImageGallery,
      comment: {en: "Describes an image gallery, for example, a photo album."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2003/12/exif/ns/IFD",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Image Gallery"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :InstantMessage,
      comment: {en: "Describes an instant message, e.g. sent via Jabber."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#ChatChannel",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Instant Message"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MailMessage,
      comment: {en: "Describes an electronic mail message, e.g. a post sent to a mailing list."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MailingList",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Mail Message"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MailingList,
      comment: {en: "Describes an electronic mailing list."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MailMessage",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Mailing List"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MessageBoard,
      comment: {en: "Describes a message board, also known as an online bulletin board or discussion forum."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#BoardPost",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Message Board"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Microblog,
      comment: {en: "Describes a microblog, i.e. a blog consisting of short text messages."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MicroblogPost",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Microblog"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :MicroblogPost,
      comment: {en: "Describes a post that is specifically made on a microblog."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Microblog",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Microblog Post"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :OfferList,
      comment: {en: "Describes a list of the items someone has available to offer."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Offer List"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Playlist,
      comment: {en: "Describes a list of media items that have been played or can be played."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Playlist"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Poll,
      comment: {en: "Describes a posted item that contains a poll or survey content."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#SurveyCollection",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Poll"},
      subClassOf: "http://rdfs.org/sioc/ns#Item",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ProjectDirectory,
      comment: {en: "Describes a project directory."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://usefulinc.com/ns/doap#Project",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Project Directory"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Question,
      comment: {en: "A Post that asks a Question."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Question"},
      subClassOf: "http://rdfs.org/sioc/ns#Post",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReadingList,
      comment: {en: "Describes a list of books or other materials that have been read or are suggested for reading."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Reading List"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ResumeBank,
      comment: {en: "Describes a collection of resumes."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://captsolo.net/semweb/resume/cv.rdfs#Resume",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Resume Bank"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :ReviewArea,
      comment: {en: "Describes an area where reviews are posted."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": ["http://purl.org/stuff/rev#Review", "http://www.isi.edu/webscripter/communityreview/abstract-review-o#Review"],
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Review Area"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SubscriptionList,
      comment: {en: "Describes a shared set of feed subscriptions."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://atomowl.org/ontologies/atomrdf#Feed",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Subscription List"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :SurveyCollection,
      comment: {en: "Describes an area where survey data can be collected, e.g. from polls."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Poll",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Survey Collection"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Tag,
      comment: {en: "Tag is used on the object of sioc:topic to indicate that this resource is a tag on a site."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Tag"},
      type: "http://www.w3.org/2002/07/owl#Class"
    term :VideoChannel,
      comment: {en: "Describes a channel for distributing videos (moving image) files, for example, a video podcast."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/MovingImage",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Video Channel"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Weblog,
      comment: {en: "Describes a weblog (blog), i.e. an online journal."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#BlogPost",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Weblog"},
      subClassOf: "http://rdfs.org/sioc/ns#Forum",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Wiki,
      comment: {en: "Describes a wiki space."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#WikiArticle",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Wiki"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :WikiArticle,
      comment: {en: "Describes a wiki article."},
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Wiki",
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Wiki Article"},
      subClassOf: "http://rdfs.org/sioc/ns#Item",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :WishList,
      comment: {en: "Describes a list of the items someone wishes to get."},
      isDefinedBy: "http://rdfs.org/sioc/types#",
      label: {en: "Wish List"},
      subClassOf: "http://rdfs.org/sioc/ns#Container",
      type: "http://www.w3.org/2002/07/owl#Class"
  end
end
