# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#>
  # @!visibility private
  EBUCore = Class.new(RDF::StrictVocabulary("http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#")) do

    # Ontology definition
    ontology :"http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#",
      "http://creativecommons.org/ns#licence": "http://creativecommons.org/licenses/by-sa/3.0/",
      "http://purl.org/dc/elements/1.1/contributor": {de: "JÃ¼rgen Grupp, SWR", "en-us": "Kara van Malssen, AV Preserve", fi: "Kim Viljanen, YLE", fr: "Cedric Klein, Perfect Memory", ie: "Christophe Debruyne, RIA", nl: "Hugo Manguinhas, Europeana", no: "Are Tverberg, TV2"},
      "http://purl.org/dc/elements/1.1/creator": {ch: "Jean Pierre Evain, EBU"},
      "http://purl.org/dc/elements/1.1/description": {en: "Note to implementers: The EBUCore ontology is used by a variety of users with different needs. Several EBUCore properties have no range to allow different implementations using entities or literals. As an implementer, it is your choice to go for one or the other for each property to have consistent expectations when parsing individuals. EBUCore also provides different classes defined as subclasses of skos:Concept. You can use these classes as entities in range of several properties currently left without range. EBUCore is expressed in RDF in order to facilitate such modelling and flexibility. As a consequence, propoerties appear in the documentation as annotation properties."},
      "http://purl.org/dc/elements/1.1/publisher": {ch: "European Broadcasting Union (EBU)"},
      "http://purl.org/dc/elements/1.1/rights": {en: "Copyright 2020 EBU"},
      "http://purl.org/dc/elements/1.1/title": {en: "EBUCore - the Dublin Core for media"},
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#",
      "http://spinrdf.org/spin#imports": "http://topbraid.org/spin/owlrl-all",
      "http://www.w3.org/2002/07/owl#backwardCompatibleWith": "http://www.ebu.ch/metadata/ontologies/ebucore/20182011/ebucore.rdf",
      "http://www.w3.org/2002/07/owl#imports": "http://www.w3.org/2004/02/skos/core",
      "http://www.w3.org/2002/07/owl#priorVersion": "http://www.ebu.ch/metadata/ontologies/ebucore/20182011/ebucore.rdf",
      "http://www.w3.org/2002/07/owl#versionInfo": {en: "Add property dateProduced and property hasProducer."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": {en: "stable"},
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :AccessConditions,
      comment: {en: "The conditions under which content can be accessed."},
      label: {en: "Access conditions"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Action,
      comment: {en: "A class to log Actions."},
      label: {en: "Action"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Action_Type,
      comment: {en: "To define a type of Action."},
      label: {en: "Action type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ActiveFormatDescriptorCode,
      comment: {en: "To define an active format code."},
      label: {en: "Active format descriptor code"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Affiliation,
      comment: {en: "An Organisation to which a Contact is affiliated (with period of validity)."},
      label: {en: "Affiliation"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Agent,
      comment: {en: "A person / contact or organisation."},
      equivalentClass: ["http://purl.org/dc/terms/Agent", "http://xmlns.com/foaf/0.1/Agent"],
      label: {en: "Agent"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AncillaryData,
      comment: {en: "Any ancillary data provided with the content\n            other than captioning and subtitling."},
      label: {en: "Ancillary data"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AncillaryDataFormat,
      comment: {en: "To define the format of AncillaryData such as\n            legacy data used to be carried in vertical blanking intervals. This is provided as free\n            text in an annotation label or as an identifier pointing to a term in a classification\n            scheme."},
      label: {en: "Ancillary data format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Animal,
      comment: {en: "To identify an animal."},
      label: {en: "Animal"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AnimalBreedCode,
      comment: {en: "To provide a breed code for an animal.."},
      label: {en: "Animal breed code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AnimalColourCode,
      comment: {en: "To provide a colour code for an animal.."},
      label: {en: "Animal colour code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Annotation,
      comment: {en: "A class used to annotate Assets."},
      label: {en: "Annotation"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Annotation_Type,
      comment: {en: "To define a type of Annotation."},
      label: {en: "Annotation type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Artefact,
      comment: {en: "To identify and describe artefacts used in a production (on and behind the stage)."},
      label: {en: "Artefact"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Artefact_Type,
      comment: {en: "To define a type of artefact."},
      label: {en: "Artefact type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Asset,
      comment: {en: "The Class \"Asset\" is an\n            object to which an identifier will be associated at commissioning. It will serve as a\n            central reference point to manage rights associated to EditorialObjects, Resources,\n            MediaResources or Essences, and PublicationEvents (distribution and exploitation\n            conditions)."},
      label: {en: "Asset"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Asset_Type,
      comment: {en: "To define a type of asset."},
      label: {en: "Asset type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Atmosphere,
      comment: {en: "To describe a feeling summarising the atmosphere."},
      label: {en: "Atmosphere"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudienceLevel,
      comment: {en: "The target audience (target region, target\n            audience category but also parental guidance recommendation) for which the media\n            resource is intended."},
      label: {en: "Target audience"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudienceRating,
      comment: {en: "The audience by which the Resource can be\n            seen according to ratings like MPAA  (http://en.wikipedia.org/wiki/Motion_picture_rating_system) or other organisational / national / local standards."},
      label: {en: "Audience rating"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudienceScoreRecordingTechnique,
      comment: {en: "To define the technique use to measure an audience score."},
      label: {en: "Audience score recording technique"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioChannelFunction,
      comment: {en: "To define the function of an AudioChannel."},
      label: {en: "Audio channel function"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioChannelPurpose,
      comment: {en: "To define the purpose of an AudioChannel."},
      label: {en: "Audio channel purpose"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioCodec,
      comment: {en: "To provide information about an audio codec."},
      label: {en: "Audio codec"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioContent,
      comment: {en: "An audioContent defines one component of a programme (e.g. background\r\n\t\t\t\tmusic), its association with an audioGroup (e.g. a 2.0 audioPackFormat of\r\n\t\t\t\taudioChannelFormats for stereo reproduction), its association with an\r\n\t\t\t\taudioStreamFormat, and its set of loudness parameters."},
      label: {en: "Audio content"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioContent_Type,
      comment: {en: "to define a type of AudioContent."},
      label: {en: "Audio content type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioDescription,
      comment: {en: "A Track containing audio description."},
      label: {en: "Audio description"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioEncodingFormat,
      comment: {en: "The encoding format for the audio."},
      label: {en: "Audio encoding format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioFormat,
      comment: {en: "To define an AudioFormat."},
      label: {en: "Audio format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioObject,
      comment: {en: "To define an audio object in reference to the Audio Definition Model (ADM)"},
      label: {en: "Audio object"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioProgramme,
      comment: {en: "A set of one or more audioContent that derive from the same material,\r\n\t\t\t\ti.e. an audioMultiplex, and the definition of its multiplexed audioContents (e.g.\r\n\t\t\t\tforeground and commentary, background music)."},
      label: {en: "Audio programme"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioProgramme_Type,
      comment: {en: "to define a type of AudioProgramme."},
      label: {en: "Audio programme type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioStream,
      comment: {en: "An audioStreamFormat describes a decodable signal - PCM signal or a Dolby E stream for example. It is composed of one or more AudioTracks."},
      label: {en: "Audio stream"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Stream",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioTrack,
      comment: {en: "Represents a physical container or carrier to hold an audio stream. This\r\n\t\t\t\tshould be usually defined by many attributes such as ID, format (e.g. 48 kHz/24\r\n\t\t\t\tbits), linkage information (e.g. odd/even)â€¦"},
      label: {en: "Audio track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :AudioTrackPurpose,
      comment: {en: "To describe the purpose of an AudioTrack e.g. dubbing."},
      label: {en: "Audio track purpose"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Award,
      comment: {en: "To describe an Award and associated information."},
      label: {en: "Award"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Award_Type,
      comment: {en: "To define a type of Award."},
      label: {en: "Award type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BMContent,
      comment: {en: "The FIMS BMContent."},
      label: {en: "BMContent"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BMEssence,
      comment: {en: "The FIMS Essence"},
      label: {en: "BMEssence"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BMTemplate,
      comment: {en: "A template describe as a BMEssence."},
      label: {en: "BMTemplate"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Template",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BibliographicalObject,
      comment: {en: "Documents of various nature."},
      label: {en: "Bibliographical object"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Biography,
      comment: {en: "To record a biography."},
      label: {en: "Biography"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BibliographicalObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Brand,
      comment: {en: "A group of EditorialObjects having a Brand as a\n            common denominator."},
      label: {en: "Brand"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BreakingNewsItem,
      comment: {en: "To describe a breaking news."},
      label: {en: "Breaking news item"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BusinessObject,
      comment: {en: "An image, a document, an annotation\n            (descriptive textual metadata or audio/video tag), a tag (time related in audiovisual\n            media resources), or an audiovisual media resource (optionally composed of one or more\n            fragment / part and / or audio, video data tracks). Other types of BusinessObjects may\n            be defined as subclasses."},
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Business Object"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :BusinessObject_Type,
      comment: {en: "To define a type of business object."},
      label: {en: "Business object type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Captioning,
      comment: {en: "To signal the presence of hard of hearing\n            captioning."},
      label: {en: "Captioning"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CaptioningFormat,
      comment: {en: "To define the format of captioning.\n            Captioning's main use isfor hard of hearing transcription. This is provided as\n            free text in an annotation label or as an identifier pointing to a term in a\n            classification scheme."},
      label: {en: "Captioning format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Cast,
      comment: {en: "A member of the cast list (a list of performers/actors and associated fictitious\n            characters)."},
      label: {en: "Cast member"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Character,
      comment: {en: "E.g. a fictitious contact / person."},
      label: {en: "Character"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CityCode,
      comment: {en: "To allocate a city code."},
      label: {en: "City code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Clip,
      comment: {en: "For use in models where Clip is common."},
      label: {en: "Clip"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ClosedCaptions,
      comment: {en: "Closed captioning is provided as separate\n            content."},
      label: {en: "Closed caption"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ClosedSubtitling,
      comment: {en: "Closed subtitles are provided as separate\n            content."},
      label: {en: "Closed subtitling"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Codec,
      comment: {en: "To provide information on a codec."},
      label: {en: "Codec"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Collection,
      comment: {en: "A group of EditorialObjects. There can be many\n            types of collections for which specific sub-classes should be defined. In the worl of\n            archives, A collection corresponds to all items belonging to an individual /\n            collector."},
      label: {en: "Collection"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ColourSpace,
      comment: {en: "The CoulourSpace of a VideoResource. A\n            ColourSpace is defined as free text in an annotation label or as an identifier pointing\n            to a term in a classification scheme such as\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ColourCodeCS.rdf."},
      label: {en: "Colour space"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CommercialCode,
      comment: {en: "To identify a type of commercial content."},
      label: {en: "Commercial code"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Component,
      comment: {en: "A component e.g. audio, video, data or else or a MediaResource or Essence."},
      label: {en: "Component"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Contact,
      comment: {en: "A physical person."},
      label: {en: "Contact"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContainerCodec,
      comment: {en: "To identify an container codec, e.g. MXF"},
      label: {en: "Container codec"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContainerEncodingFormat,
      comment: {en: "To define the conatiner encoding format."},
      label: {en: "Container encoding format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContainerMimeType,
      comment: {en: "The definition of the container if available as\n            a MIME type. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme. For more information:\n            http://www.iana.org/assignments/media-types/application/index.html."},
      label: {en: "Container Mime type"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContentAlert,
      comment: {en: "To provide information about a particular type of content potentially sensitive."},
      label: {en: "Content alert"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContentEditorialCode,
      comment: {en: "To define a code of EditorialFormat"},
      label: {en: "Editorial code"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContentEditorialFormat,
      comment: {en: "To define an EditorialFormat"},
      label: {en: "Editorial format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ContractType,
      comment: {en: "To define a type of contract."},
      label: {en: "Contract type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Copyright,
      comment: {en: "To provide a copyright\n            statement."},
      label: {en: "Copyright"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Costume,
      comment: {en: "To identify and describe Costumes used in productions."},
      label: {en: "Costume"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CostumeType,
      comment: {en: "To define a costume type."},
      label: {en: "Costume type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CountryCode,
      comment: {en: "To identify a country by its ISO code."},
      label: {en: "Country code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CoverageRestrictions,
      comment: {en: "To provide information on possible restrictions\n            regarding the temporal and spatial coverage for publication."},
      label: {en: "Coverage restrictions"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CreativeCommons,
      comment: {en: "A set of creative commons rights."},
      label: {en: "Creative commons"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Crew,
      comment: {en: "A member of the Crew."},
      label: {en: "Crew member"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CuisineStyle,
      comment: {en: "To identify a style of Cuisine."},
      label: {en: "Cuisine style"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :CurrencyCode,
      comment: {en: "To identify a currency by its ISO code."},
      label: {en: "Currency code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :DataFormat,
      comment: {en: "To provide addtional technical information on\n            the characteristics of data streams in a MediaResource including but not limited to\n            AncillaryData, Subtilting and Captioning. Additional specific data format may be defined\n            as subclasses of DataFormat."},
      label: {en: "Data format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :DataTrack,
      comment: {en: "Ancillary data track e.g. Â¨captioning\"\n            or \"subtitling\" in addition to video and audio tracks."},
      label: {en: "Data track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Department,
      comment: {en: "A department within and\n            organisation."},
      label: {en: "Department"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :DepictedEvent,
      comment: {en: "A DepictedEVent is fictitious or historical or\n            other sort of Event that the content of the BusinessObject or resource relates\n            to."},
      label: {en: "Depicted Event"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Disclaimer,
      comment: {en: "To provide a disclaimer of any\n            form."},
      label: {en: "Disclaimer"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Document,
      comment: {en: "To describe a publication in the form of a\n            document e.g. a html webpage (news item) or a pdf document e.g. a script."},
      label: {en: "Document"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :DocumentFormat,
      comment: {en: "To provide technical information about the\n            format of a document such as the orientation. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification\n            scheme."},
      label: {en: "Document format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Dopesheet,
      comment: {en: "Provides additional information about a NewsItem, e.g. date and place, subject."},
      label: {en: "Dopesheet"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :EditorialObject,
      comment: {en: "In the audiovisual domain, the Class\n            EditorialObject transforms a commissioned concept into an editorial definition of a\n            MediaResource before fabrication (in the Production Domain) and Distribution (in the\n            Distribution Domain). An EditorialObject is a set of descriptive metadata summarising\n            e.g. editing decisions. An EditorialObject can also be a part of an EditorialObject,\n            which is defined by its start time and duration. An EditorialObject can also be a group\n            of EditorialObjects. For example a series composed of episodes is defined as an\n            EditorialObject."},
      label: {en: "Editorial Object"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :EditorialObject_Type,
      comment: {en: "To define a type of editorial object."},
      label: {en: "Editorial object type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Emotion,
      comment: {en: "A class to log Emotions."},
      label: {en: "Emotion"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Emotion_Type,
      comment: {en: "To define a type of emotion."},
      label: {en: "Emotion type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :EncodingFormat,
      comment: {en: "To provide a definition of the encoding format\n            for audio and video. This is provided as free text in an annotation label or as an\n            identifier pointing to a term in a classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_AudioCompressionCodeCS.rdf or\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_VideoCompressionCodeCS.rdf."},
      label: {en: "Encoding"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Episode,
      comment: {en: "To describe an episode in a series."},
      label: {en: "Episode"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Essence,
      comment: {en: "Essence is content ready for distribution. Essence can become a MediaResource in further production processes."},
      label: {en: "Essence"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Event,
      comment: {en: "Additional types of event shall be defined as\n            new sub-classes of event."},
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Event",
      label: {en: "Event"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :EventType,
      comment: {en: "To define a type of event."},
      label: {en: "Event type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ExclusivityType,
      comment: {en: "To define a type of exclusity rights."},
      label: {en: "Exclusivity type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ExploitationIssues,
      comment: {en: "To highlight potential exploitation\n            issues."},
      label: {en: "Exploitation issues"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Feature,
      comment: {en: "The editorial object for a feature film."},
      label: {en: "Feature"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FictionalEvent,
      comment: {en: "To describe a fictional Event."},
      label: {en: "Fictional event"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FictionalLocation,
      comment: {en: "To describe a fictional Location."},
      label: {en: "Fictional location"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FictionalOrganisation,
      comment: {en: "To define a fictional Organisation."},
      label: {en: "Fictional organisation"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FictionalPerson,
      comment: {en: "To describe a fictional Person, e.g. a character in a drama."},
      label: {en: "Fictional person"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FileFormat,
      comment: {en: "A file format for Resources other than\n            audiovisual resources. The format is defined as free text or pointing at a term in a\n            classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_FileFormatCS.rdf."},
      label: {en: "File format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Food,
      comment: {en: "To describe Food shown or consumed in productions."},
      label: {en: "Food"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :FoodStyle,
      comment: {en: "To define a style of food."},
      label: {en: "Food style"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Format,
      comment: {en: "The format provides technical information on\n            the format of a Resource. A BusinessObject can be instantiated in a variety of Resources\n            each in a particular Format. Other specific data formats may be defined as subclasses of\n            format."},
      label: {en: "Format"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Generation,
      comment: {en: "Identifies the generation of a version of a resource, i.e. master, edit master, distribution copy, etc."},
      label: {en: "Generation"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Genre,
      comment: {en: "This class shall be used to provide information\n            on the genre of the BusinessObject or Resource. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ContentGenreCS.rdf or\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_EditorialFormatCodeCS.rdf."},
      label: {en: "Genre"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Group,
      comment: {en: "To define a collection / group of media\n            resources, for example a series made of episodes."},
      label: {en: "Group"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :IPRRestrictions,
      comment: {en: "To provide information on intellectual\n            property."},
      label: {en: "IPR restrictions"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Identifier,
      comment: {en: "To support the use of structured identifiers."},
      label: {en: "Identifier"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :IdentifierType,
      comment: {en: "To define a type of identifier."},
      label: {en: "Identifier type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Image,
      comment: {en: "A still image / thumbnail / key frame / logo\n            related to the media resource or being the media resource itself."},
      label: {en: "Image"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ImageCodec,
      comment: {en: "to identify a codec for images"},
      label: {en: "Image codec"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ImageFormat,
      comment: {en: "To provide technical information about the\n            format of an image such as the orientation. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification\n            scheme."},
      label: {en: "Image format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :IntentionCode,
      comment: {en: "To indicate the purpose for which content was created."},
      label: {en: "Intention code"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Item,
      comment: {en: "An item e.g. newsItem or sportItem"},
      label: {en: "Item"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :KeyCareerEvent,
      comment: {en: "To describe a key career Event of a Contact."},
      label: {en: "Key career event"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyEvent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :KeyEvent,
      comment: {en: "To describe a significant event."},
      label: {en: "Key event"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :KeyPersonalEvent,
      comment: {en: "A key personal Event of a Contact."},
      label: {en: "Key personal event"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyEvent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Keyframe,
      comment: {en: "A key frame is a frame extarcted from video,\n            e.g. representative of a part of a MediaResource."},
      label: {en: "key frame"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Keyword,
      comment: {en: "To proivde keywords and define key concepts\n            illustrating the content of the Resource or EditorialObject. This is provided as free\n            text in an annotation label or as an identifier pointing to a term in a classification\n            scheme."},
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Theme",
      label: {en: "Keyword"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Language,
      comment: {en: "To provide information on languages present in\n            the BusinessObject and its purpose. This is provided as free text in an annotation label\n            or as an identifier pointing to a term in a classification scheme.Other language\n            specific types may be added as subclasses of language."},
      label: {en: "Language"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Licensing,
      comment: {en: "To define the licensing terms associated with an Asset."},
      label: {en: "Licensing"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Link,
      comment: {en: "To define a custom link."},
      label: {en: "Link"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Location,
      comment: {en: "A type of location is defined as a sub-class of \n            location."},
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Place",
      label: {en: "Location"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LocationCode,
      comment: {en: "A code given to a Location."},
      label: {en: "Location code."},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LocationTimeType,
      comment: {en: "To define a type of time at a location."},
      label: {en: "Location time type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :LocationType,
      comment: {en: "To define a type of location."},
      label: {en: "Location type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Locator,
      comment: {en: "Custom attributes are to be associated by implementers."},
      label: {en: "Locator"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Logo,
      comment: {en: "A Logo allows to visually identify an\n            organisation, publicationService, publicationChannel, or ratings /\n            parentalGuidance"},
      label: {en: "Logo"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaFragment,
      comment: {en: "A MediaFragment is a temporal or spatial segment of a resource identified by a MediaGragment URI (http://www.w3.org/2008/WebVideo/Fragments/WD-media-fragments-spec/)."},
      label: {en: "Media Fragment"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaResource,
      comment: {en: "The use of MediaResource is reserved to\n            audiovisual content. In a production process, several MediaResources can be edited and assembled to realsie an Essence ready for distribution (see IMF package and OPL)"},
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Media Resource"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaResource_Type,
      comment: {en: "To define a type of MediaResource."},
      label: {en: "Media resource type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MediaType,
      comment: {en: "To provide additional information on the type of media."},
      label: {en: "Media type"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Medium,
      comment: {en: "To provide information on the medium formats in\n            which the resource is available. This is provided as free text in an annotation label or\n            as an identifier pointing to a term in a classification scheme."},
      label: {en: "Medium"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MetadataTrack,
      comment: {en: "A Track on which metadata is embedded (e.g. MXF)."},
      label: {en: "Metadata track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :MimeType,
      comment: {en: "The definition of the container if available as\n            a MIME type. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme. For more information:\n            http://www.iana.org/assignments/media-types/index.html."},
      label: {en: "Mime type"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :NewsItem,
      comment: {en: "A NewsItem aggregates all information about a particular news event."},
      label: {en: "News Item"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :ObjectType,
      comment: {en: "To specify the type of BusinessObject e.g. and\n            EditorialObject of type \"programme\" or clip\". This is\n            provided as free text in an annotation label or as an identifier pointing to a term in a\n            classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ObjectTypeCodeCS.rdf."},
      label: {en: "Object type"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :OpenCaptions,
      comment: {en: "Open Captions are burned in the\n            image."},
      label: {en: "Open captions"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :OpenSubtitling,
      comment: {en: "Open subtitles are burned in the\n            image."},
      label: {en: "Open subtitling"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Organisation,
      comment: {en: "An organisation (business, corporation, federation, etc.) or moral agent (government body)."},
      equivalentClass: ["http://www.bbc.co.uk/ontologies/coreconcepts/Organisation", "http://xmlns.com/foaf/0.1/Organization"],
      label: {en: "Organisation"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :OriginalLanguage,
      comment: {en: "The original language in which the\n            BusinessObject or Resource has been created and released. This is provided as free text\n            in an annotation label or as an identifier pointing to a term in a classification\n            scheme."},
      label: {en: "Language"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Part,
      comment: {en: "A Fragment is a particular section of a\n            MediaResource identified by a start and end time or duration. Fragment can also be\n            called segment or part."},
      label: {en: "Part, Fragment, Segment"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Part_Type,
      comment: {en: "To define a type or part."},
      label: {en: "Part type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Party,
      comment: {en: "To identify a Party intervening in a transaction or contractual agreement."},
      label: {en: "Party"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Person,
      comment: {en: "To describe a Person."},
      equivalentClass: ["http://www.bbc.co.uk/ontologies/coreconcepts/Person", "http://xmlns.com/foaf/0.1/Person"],
      label: {en: "Person"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PhysicalResource,
      comment: {en: "To describe a physical resource e.g. a tape."},
      label: {en: "Physical resource"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Pictogram,
      comment: {en: "A visual / graphical representation of a concept."},
      label: {en: "Pictogram"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Picture,
      comment: {en: "A photography, a logo, a pictogram, etc."},
      equivalentClass: "http://xmlns.com/foaf/0.1/img",
      label: {en: "Picture"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PictureDisplayFormat,
      comment: {en: "To define a picture display format code."},
      label: {en: "Picture display format code"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Platform,
      comment: {en: "A platform like a network or operator platform."},
      label: {en: "Platform"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Programme,
      comment: {en: "An EditorialObject corresponding to a\n            MediaResource ready for publication."},
      label: {en: "Programme"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Props,
      comment: {en: "To identify and describe Props used in productions (e.g. vehicles, objects of various shapes and brand and purpose, etc.)."},
      equivalentClass: "http://xmlns.com/foaf/0.1/Agent",
      label: {en: "Props"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Provenance,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationChannel,
      comment: {en: "The name of the channel through which a\n            Resource has been published as a PublicationEvent. A PublicationChannel can use a\n            variety of medias e.g. broadcast or online."},
      label: {en: "Publication Channel"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationChannel_Type,
      comment: {en: "To define a type of publication channel."},
      label: {en: "Publication channel type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationEvent,
      comment: {en: "To describe any manifestation of a media\n            resource on any media (live, on demand, catch-up TV, etc.) and the appropriate\n            PublciationChannel."},
      label: {en: "Publication Event"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationEvent_Type,
      comment: {en: "To define a type of publication event."},
      label: {en: "Publication event type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationHistory,
      comment: {en: "A collection of PublicationEvents through which\n            a resource has been published."},
      label: {en: "Publication History"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationMedium,
      label: "Publication medium",
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationPlan,
      comment: {en: "A collection of PublicationEvents organised as a PublicationPlanning."},
      label: {en: "Publication History"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PublicationPlan_Type,
      comment: {en: "To define a type of publication plan."},
      label: {en: "Publication plan type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :RadioProgramme,
      comment: {en: "A programme for distribution on radio\n            channels."},
      label: {en: "Radio Programme"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Rating,
      comment: {en: "All the information about the rating/evaluation\n            given to a media resource by an Agent i.e. a person/Contact or\n            Organisation."},
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent"],
      label: {en: "Rating"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Record,
      comment: {en: "The record the description of an Asset."},
      label: {en: "Record"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BibliographicalObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :RegionCode,
      comment: "To define a region.(@en}",
      label: {en: "Region code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Relation,
      comment: {en: "To define links and relations."},
      label: {en: "Relation"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Relation_Type,
      comment: {en: "To specify a type of relation."},
      label: {en: "Relation type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Resource,
      comment: {en: "To describe a Resource."},
      label: {en: "Resource"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Resource_Type,
      comment: {en: "To define a type of resource."},
      label: {en: "Resource type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Review,
      comment: {en: "To provide a Review."},
      label: {en: "Review"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Rights,
      comment: {en: "To provide information on the rights, including\n            intellectual property, related to a BusinessObject or Resource."},
      label: {en: "Rights"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :RightsClearance,
      comment: {en: "To signal that rights have been cleared (or\n            not)"},
      label: {en: "Rights Clearance"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :RightsType,
      comment: {en: "To define a type of Rights."},
      label: {en: "Rights type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Role,
      comment: {en: "To define the role / action of an agent. This\n            is provided as free text in an annotation label or as an identifier pointing to a term\n            in a classification scheme."},
      label: {en: "Role"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Scene,
      comment: {en: "A specifc type of Part."},
      label: {en: "Scene"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Season,
      comment: {en: "A series can be composed of one or more seasons\n            clustering a certain number of episodes. Fro this reason, seasons are related to series\n            using the isRelatedTo property."},
      label: {en: "Season"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Series,
      comment: {en: "Series is a particular type of collection. TV\n            or Radio Series are composed of Episodes."},
      label: {en: "Series"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Service,
      comment: {en: "A service is the umbrella under which one or\n            more PublicationChannel is operated."},
      label: {en: "Service"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Service_Type,
      comment: {en: "To define a type of service."},
      label: {en: "Service type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Shot,
      comment: {en: "A specifc type of Part."},
      label: {en: "Shot"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SignLanguageCode,
      comment: {en: "To identify a sign language by its code."},
      label: {en: "Sign language code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Signing,
      comment: {en: "To signal the presence of Signing for hard of\n            hearing users. The type of Signing (e.g. incursted in or else) or language of Signing\n            can be specified using the appropriate properties."},
      label: {en: "Signing"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoTrack",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SigningFormat,
      comment: {en: "To provide additional information on the\n            signing format. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme."},
      label: {en: "Signing format"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SportItem,
      comment: {en: "A SportItem aggregates all information about a sport event."},
      label: {en: "Sport item"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Staff,
      comment: {en: "A member of Staff."},
      label: {en: "Staff member."},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Standard,
      comment: {en: "identifies the technical video standard of a resource, i.e. NTSC or PAL."},
      label: {en: "Standard"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Sticker,
      comment: {en: "A sticker associated with a Costume."},
      label: {en: "Sticker"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Storage_Type,
      comment: {en: "The type of storage used for the repository.\n            This is provided as free text in an annotation label or as an identifier pointing to a\n            term in a classification scheme."},
      label: {en: "Storage type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Stream,
      comment: {en: "A continuous stream of bits."},
      label: {en: "Stream"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Component",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Subject,
      comment: {en: "A term describing the topic covered by the\n            BusinessObject or resource. This is provided as free text in an annotation label or as\n            an identifier pointing to a term in a classification scheme."},
      label: {en: "Subject"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Subtitling,
      comment: {en: "To signal the presence of subtitles for\n            translation in alternative languages."},
      label: {en: "Subtitling"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :SubtitlingFormat,
      comment: {en: "To define the format of subtitling.\n            subtitling's main use isfor translation. This is provided as free text in an\n            annotation label  or as an identifier pointing to a term in a classification\n            scheme."},
      label: {en: "Subtitling format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TVProgramme,
      comment: {en: "A programme for distribution on television\n            channels."},
      label: {en: "TV Programme"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TargetAudience,
      comment: {en: "To identify the audience for which the content was created."},
      label: {en: "Target audience"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TargetPlatform,
      comment: {en: "To specify a target platform."},
      label: {en: "Target Platform"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Team,
      comment: {en: "To define a Team."},
      equivalentClass: "http://xmlns.com/foaf/0.1/Group",
      label: {en: "Team"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Template,
      comment: {en: "An Essence defined as a Template with all associated technical parameters."},
      label: {en: "Template"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TerritoryCode,
      comment: {en: "To identify a territory e.g. by its UN code."},
      label: {en: "Territory code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TextAnnotation,
      comment: {en: "A class specific to the annotation of a text or portions of text."},
      label: {en: "Text Annotation"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TextLine,
      comment: {en: "To provide lines of text extracted from or additional to the resource."},
      label: {en: "Text line"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TextLine_Type,
      comment: {en: "To define a TextLine type."},
      label: {en: "Text line type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TextUsageType,
      comment: {en: "To specify the usage of a text."},
      label: {en: "Text usage type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Theme,
      comment: {en: "To define a Theme associated with an Asset."},
      label: {en: "Theme"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Thumbnail,
      comment: {en: "A thumbnail is a low resolution picture that\n            can be associated with EditorialObjects or e.g. MediaResources or\n            Contacts."},
      label: {en: "Thumbnail"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimecodeTrack,
      comment: {en: "A track with timecode information e.g. in MXF."},
      label: {en: "Timecode track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimedTextAuthoringTechnique,
      comment: {en: "To define a timed text authoring technique."},
      label: {en: "Timed text authoring technique"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimedTextContentType,
      comment: {en: "To define a type of timed text."},
      label: {en: "Timed text content type"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimedTextSubtitleTargetFormat,
      comment: {en: "To define a timed text subtitle format."},
      label: {en: "Timed text subtitle target format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimelineTrack,
      comment: {en: "To define a time sequence of EditorialObjects."},
      label: {en: "Timeline track"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TimelineTrack_Type,
      comment: {en: "To specify a type or TimelineTrack."},
      label: {en: "Timeline track type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Topic,
      comment: {en: "A type subject for use in some contexts. This\n            is provided as free text in an annotation label or as an identifier pointing to a term\n            in a classification scheme."},
      label: {en: "Topic"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Track,
      comment: {en: "Audiovisual content can be composed of audio,\n            video and data Tracks (including captioning and subtitling)."},
      label: {en: "Track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :TrackPurpose,
      comment: {en: "To define the prupose of a track."},
      label: {en: "Track purpose"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Track_Type,
      comment: {en: "To define a type of track."},
      label: {en: "Track type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Type,
      comment: {en: "An expression of type in textual form or as a term from a classification scheme."},
      label: {en: "Type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :UsageRestrictions,
      comment: {en: "To define a set of UsageRestrictions."},
      label: {en: "Usage restrictions"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :UsageRights,
      comment: {en: "Usage rights associated with content."},
      label: {en: "Usage rights"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Version,
      comment: {en: "To specifically identify a Version of an EditorialObject."},
      label: {en: "Version"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :VideoCodec,
      comment: {en: "To provide information about a video codec."},
      label: {en: "Video codec"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :VideoEncodingFormat,
      comment: {en: "The encoding format of the video."},
      label: {en: "Video encoding format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :VideoFormat,
      comment: {en: "To define an VideoFormat."},
      label: {en: "Video format"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :VideoStream,
      comment: {en: "A decodable video stream of bits."},
      label: {en: "Video stream"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Stream",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :VideoTrack,
      comment: {en: "A specialisation of Track for Video to provide\n            a link to specific data properties such as frameRate, etc. Signing is another possible\n            example of video track. Specific VideoTracks such as Signing can be defined as sub\n            VideoTracks.. In advanced systems, different VideoTracks can be used to provide e.g.\n            different viewing angles."},
      label: {en: "Video track"},
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :WrappingType,
      comment: {en: "To define a type of wrapping."},
      label: {en: "Wrapping type"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2000/01/rdf-schema#Class"

    # Property definitions
    property :DID,
      comment: {en: "The Data Identifier word (along with the SDID,\n            if used), indicates the type of ancillary data that the packet corresponds\n            to."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData",
      label: {en: "DID"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :SDID,
      comment: {en: "Secondary data identification word for\n            ancillary data. Send mode identifier. An identifier which indicates the transmission\n            timing for closed caption data."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData",
      label: {en: "SDID"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :abrigedTitle,
      comment: {en: "An abridged title."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Abridged title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :abstract,
      comment: {en: "To provide an abstract."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Abstract"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionDescription,
      comment: {en: "The description of an Action."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionId,
      comment: {en: "An identifier attributed to an Action."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionName,
      comment: {en: "The name of an Action."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionTimestamp,
      comment: {en: "The time when the Action occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action timestamp"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionTimestampEditUnits,
      comment: {en: "The edit unit number at which the Action occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action edit unit number"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionTimestampNormalPlayTime,
      comment: {en: "The normal play time at which the Action occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action normal play time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionTimestampTimecode,
      comment: {en: "The timecode at which the Action occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action timecode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionTimestampTimecodeDropFrame,
      comment: {en: "The timecode (dropframe) at which the Action occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action timecode (dropframe)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :actionType,
      comment: {en: "Range: Action_type or string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :activityEndDate,
      comment: {en: "To provide the end date of activity of an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Activity end date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :activityStartDate,
      comment: {en: "To provide the start date of activity of an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Activity start date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :adultContent,
      comment: {en: "A flag to indiucate adult content."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Adult content flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :affiliationEndDate,
      comment: {en: "The date of end of Affiliation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation",
      label: {en: "Affiliation end date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :affiliationStartDate,
      comment: {en: "The date of Affiliation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation",
      label: {en: "Affiliation start date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :age,
      comment: {en: "The age of a Contact/Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Age"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentDbpedia,
      comment: {en: "A link to a DBPedia page."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: "DBPedia",
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentDescription,
      comment: {en: "To provide a description of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentEmailAddress,
      comment: {en: "To provide an email address."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "email"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentFacebook,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Facebook"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentFee,
      comment: {en: "The fee of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent fee"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentFlickr,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Flickr"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentId,
      comment: {en: "Range: an Identifier or anyURI or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentImdb,
      comment: {en: "A link to an imdb page."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: "Wikidata",
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentInstagram,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Instagram"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentLinkedData,
      comment: {en: "Range: a URL or URI."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent linked data"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentLinkedIn,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "LinkedIn"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentMobileTelephoneNumber,
      comment: {en: "To provide the mobile telephone number of an\n            Agent (Contact/Person or organisation)"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Mobile"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentName,
      comment: {en: "To provide a name of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentNickname,
      comment: {en: "To provide a nickname of a Contact/Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Nickname"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentPreviousName,
      comment: {en: "To provide the previous name of a Contact/Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Previous name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentRelatedInformationLink,
      comment: {en: "To provide a link to a web resource containing\n            information related to an Agent (Contact/Person or Organisation)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Related information link"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentRelatedLink",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentRelatedLink,
      comment: {en: "To provide a link to e.g. a web resource related to an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Related link"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentRelatedPressLink,
      comment: {en: "To provide a link to a web resource containing\n            information related to an Agent (Contact/Person or Organisation)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Related press link"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentRelatedLink",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentSocialMedia,
      comment: {en: "Links to an Agent's social media."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Socail media"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentTelephoneNumber,
      comment: {en: "To provide the telephone number of an Agent\n            (Contact/Person or Organisation)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Telephone"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentTwitter,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Twitter"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentType,
      comment: {en: "Range: string or anyURI or Concept."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentWebHomepage,
      comment: {en: "To provide the address of the webpage of an\n            Agent (Contact/Person or Organisation)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      equivalentProperty: "http://xmlns.com/foaf/0.1/homepage",
      label: {en: "Homepage"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentWikidata,
      comment: {en: "A link to a wikidata page."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: "Wikidata",
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :agentWikipedia,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Wikipedia"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :alternativeTitle,
      comment: {en: "To provide an alternative title."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Alternative title."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalBirthYear,
      comment: {en: "To year of birth of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal birth year"},
      range: "http://www.w3.org/2001/XMLSchema#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalCharacterName,
      comment: {en: "To associate a fictitious character name with an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal character name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalCode,
      comment: {en: "To associate a code with an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalDescription,
      comment: {en: "To describe an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalGender,
      comment: {en: "To give the gender of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal gender"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalId,
      comment: {en: "To associate an Id with an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal Id"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalName,
      comment: {en: "To name an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :animalPassport,
      comment: {en: "To replicate the passport of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal passport"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationConfidence,
      comment: {en: "To estimate the confidence in an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation confidence"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationCurationDateTime,
      comment: {en: "To provide the date and time when an Annotation has been reviewed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation curation date & time"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationDescription,
      comment: {en: "To describe an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationId,
      comment: {en: "To identify an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation Id"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationName,
      comment: {en: "To name an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationSaliency,
      comment: {en: "To estimate the saliency of an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation saliency"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :annotationType,
      comment: {en: "To define a type of Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :appliesOutOf,
      comment: {en: "To define the Location (e.g. country, region) to which Rating and TargetAudience do NOT apply."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Exclusion area"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :appliesTo,
      comment: {en: "To identify the media resource to which the Rating applies."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Media resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :applyTo,
      comment: {en: "The Asset to which Rights apply."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Asset"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :approvedBy,
      comment: {en: "To identify the Agent who approved the EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Agent"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactAvailability,
      comment: {en: "To flag the availability of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact availability flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactBoxHeight,
      comment: {en: "The height of the box containing the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Artefact box height."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactBoxTopLeftCornerLineNumber,
      comment: {en: "The coordinates on a vertical axis of the position of the top left corner of the box containing the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Artefact box top left corner Y position."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactBoxTopLeftCornerPixelNumber,
      comment: {en: "The coordinates on an horizontal axis of the position of the top left corner of the box containing the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Artefact box top left corner X position."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactBoxWidth,
      comment: {en: "The width of the box containing the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Artefact box width."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactBrand,
      comment: {en: "To specify the brand of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact brand"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactColour,
      comment: {en: "To provide the clour(s) of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact colour(s)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactComment,
      comment: {en: "To provide a contextual comment about an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact comment"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactDateOfPurchase,
      comment: {en: "The date when an Artefact was purchased. ."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact date of purchase"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactDateOfSell,
      comment: {en: "The date when an Artefact was sold."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact date of sell"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactDescription,
      comment: {en: "A description of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactId,
      comment: {en: "To identify an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact Identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactModel,
      comment: {en: "To specify a model of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact model"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactName,
      comment: {en: "A name associated with an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactPeriod,
      comment: {en: "To specify the period associated with an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact period"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactPriceAmount,
      comment: {en: "To specifythe price of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact price"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactReference,
      comment: {en: "To specify a reference of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact reference"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactStyle,
      comment: {en: "To specify the style associated with an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact style"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactType,
      comment: {en: "To specify the type of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactUsageHistory,
      comment: {en: "To provide information on the usage history of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact usage history"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :artefactWebsite,
      comment: {en: "To specify a website where more \tinformation can be found on the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact website"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :aspectRatio,
      comment: {en: "To specify the aspect ratio."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Aspect ratio"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :assetDescription,
      comment: {en: "To provide a description of an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :assetId,
      comment: {en: "Range: an Identifier or anyURI or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Asset identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :assetName,
      comment: {en: "To provide a name of an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :assetType,
      comment: {en: "Range: string or anyURI or Concept."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Asset type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioBitRate,
      comment: {en: "The audio bitrate."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRate",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioBitRateMax,
      comment: {en: "The max audio bitrate."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMax",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioBitRateMode,
      comment: {en: "The audio bitrate mode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio bitrate mode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMode",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioChannelNumber,
      comment: {en: "The total number of audio channels contained in\n            the MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio channel number"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioEncodingLevel,
      comment: {en: "The encoding level as defined in specifications."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio encoding level"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingLevel",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioEncodingProfile,
      comment: {en: "The encoding profile as defined in specifications."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio encoding profile"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingProfile",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioTrackConfiguration,
      comment: {en: "The configuration of audio tracks contained in\n            the MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio track configuration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :audioTrackNumber,
      comment: {en: "The total number of audio tracks contained in\n            the MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio track number"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardCeremony,
      comment: {en: "To provide an Award ceremony name."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award ceremony"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardDate,
      comment: {en: "To provide an date when an Award was delivered."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardDescription,
      comment: {en: "To provide a description for an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardId,
      comment: {en: "To identify an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardName,
      comment: {en: "To provide the name of an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :awardType,
      comment: {en: "Range: string or Award_Type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Award type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitDepth,
      comment: {en: "To provide the bitdepth at which the\n            MediaResource has been encoded."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate",
      label: {en: "Bit depth"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitRate,
      comment: {en: "To provide the bitrate at which the\n            MediaResource can be played in bits/second. Current bitrate if constant, and average bitrate if variable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate",
      label: {en: "Bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitRateMax,
      comment: {en: "The maximum bitrate when variable, in bits per second."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Maximum bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitRateMode,
      comment: {en: "A flag to indicate if the bit rate is fixed or\n            variable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Bitrate mode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bitRateOverall,
      comment: {en: "To provide the overall bitrate at which the\n            MediaResource can be played in bits/second. Current bitrate if constant, and average bitrate if variable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate",
      label: {en: "Overall bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :bookmark,
      comment: {en: "To provide a bookmark."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Bookmark"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :businessObjectDescription,
      comment: {en: "To provide a description of an BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :businessObjectId,
      comment: {en: "An identifier attributed to an BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "BusinessObject identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :businessObjectName,
      comment: {en: "To provide a name of an BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :businessObjectType,
      comment: {en: "Range: string or BusinessObjectType"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Business Object type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :characterDescription,
      comment: {en: "To provide the description of a Character."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character",
      label: {en: "Character description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :characterEndIndex,
      comment: {en: "To identify the end character index of the portion of text to which the Annotation applies."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextAnnotation",
      label: {en: "Annotation character start index"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :characterName,
      comment: {en: "To specify the name of a Character."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character",
      label: {en: "Character name."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :characterStartIndex,
      comment: {en: "To identify the start character index of the portion of text to which the Annotation applies."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextAnnotation",
      label: {en: "Annotation text character start index"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :clonedTo,
      comment: {en: "Identifies relationship between a digital instantiation of a Resource and its direct copy, with no generational loss."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isClonedFrom",
      label: {en: "Cloned to"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :codecFamily,
      comment: {en: "To provide information on the product family of the Codec."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      label: {en: "Codec family"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :codecId,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      label: {en: "Codec Identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :codecName,
      comment: {en: "To provide a name for the Codec, e.g. a product name."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      label: {en: "Codec name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :codecVersion,
      comment: {en: "To provide information on the version of the Codec."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      label: {en: "Codec version"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :comments,
      comment: {en: "To provide a comment."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Comments"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :costumeGender,
      comment: {en: "To specify the gender associated with a Costume."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Costume gender"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :costumeSizeInformation,
      comment: {en: "To collect all information available useful to determine the size of a Costume."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Costume size information"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :costumeTexture,
      comment: {en: "To define the texture of a Costume."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Costume texture"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :costumeType,
      comment: {en: "To specify a type of Costume."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Costume type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CostumeType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :date,
      comment: {en: "A date associated to an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/date",
      label: {en: "Date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateArchived,
      comment: {en: "The date when the Asset was archived."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Archiving date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateBroadcast,
      comment: {en: "The date when the Asset was first broadcast publicly on television or radio or via streaming."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Broadcast date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateCreated,
      comment: {en: "The date of creation of the Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Creation date/time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateDeleted,
      comment: {en: "The date when the Resource was deleted."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Deletion date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateDigitised,
      comment: {en: "The date when the Resource was digitised."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Digitisation date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateDistributed,
      comment: {en: "The date when the Resource was first made available to the public for purchase, download, or online access."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Distribution date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateIngested,
      comment: {en: "The date when the Resource was ingested/acquired in institutional holdings."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Ingest date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateIssued,
      comment: {en: "The date when the Asset was issued."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Archiving date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateMigrated,
      comment: {en: "The date when the Resource was copied or converted from an obsolete or endangered original format to a more updated format for preservation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Migration date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateModified,
      comment: {en: "To indicate the date at which the Asset has been modified."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Modification date/time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateNormalized,
      comment: {en: "The date when the Resource was converted from its original format into a format pre-selected by the institution for preservation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Normalization date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateOfBirth,
      comment: {en: "The date when a Contact/Person is born."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/dateOfBirth",
      label: {en: "Date of birth"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateOfDeath,
      comment: {en: "The date when a Contact/Person has passed away."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/dateOfDeath",
      label: {en: "Date of death"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateOfRetirement,
      comment: {en: "The date when a Contact/Person has retired."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Date of retirement"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateProduced,
      comment: {en: "The date of production of the Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "production date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateReleased,
      comment: {en: "The date when the Resource was first made available to the public for purchase, download, or online access."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Release date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateTransferred,
      comment: {en: "The date when the Asset was moved from one digital or physical location to another."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Transfer date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dateValidated,
      comment: {en: "The most recent date when the Resource was confirmed to be valid through manual or digital QC."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Validation date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :datelicenseEnd,
      comment: {en: "The date when the licence for the Asset ends."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Licence end date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :datelicensed,
      comment: {en: "The date when the licence for the Asset begins."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate",
      label: {en: "Licence start date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :derivedTo,
      comment: {en: "To identify a new version derived from the original."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Derivation target"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :description,
      comment: {en: "This can be specialised by using sub-properties\n            like defined in http://www.ebu.ch/metadata/cs/web/ebu_DescriptionTypeCodeCS_p.xml.htm\n            implemented as examples as e.g. 'summary' or\n            'script'."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/description", "http://www.w3.org/ns/ma-ont#description"],
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dimensions,
      comment: {en: "Describes the physical dimensions of a MediaResource, with units of measure concatenated to become part of the value."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Dimensions"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dishDescription,
      comment: {en: "The description of a Dish."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Dish description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dishName,
      comment: {en: "The name of a Dish."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Dish name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :displayAspectRatio,
      comment: {en: "The aspect ratio when displayed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Display aspect ratio"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ActiveFormatDescriptorCode", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#aspectRatio",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :displayOrder,
      comment: {en: "The order in which an Agent appears in a scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Display order"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :dubbedTo,
      comment: {en: "Range: string or Language."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isDubbedFrom",
      label: {en: "Dubbed to"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :duration,
      comment: {en: "To provide information on the duration of an EditorialObject or MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#duration",
      label: {en: "Duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationEditUnits,
      comment: {en: "To provide a duration in edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Duration (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationNormalPlayTime,
      comment: {en: "To provide a duration as normal\n            time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Duration (time)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationPublished,
      comment: {en: "To provide information on the published / announced duration of an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Published Duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationPublishedNormalPlayTime,
      comment: {en: "To provide a published duration as normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Published duration (play time)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#durationPublished",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationTimecode,
      comment: {en: "The duration expressed as a\n            timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Duration (timecode)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :durationTimecodeDropFrame,
      comment: {en: "The duration expressed as a\n            timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Duration (timecode, drop frame)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :editUnit,
      comment: {en: "The edit unit is e.g. the inverse of the audio\n            sample rate or video frame rate."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Edit unit"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :editorialObjectDescription,
      comment: {en: "To provide a description of an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :editorialObjectId,
      comment: {en: "Range: an Identifier or anyURI or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Editorial object identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :editorialObjectName,
      comment: {en: "A name attributed to an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :editorialObjectType,
      comment: {en: "A type attributed to an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Editorial Object type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :education,
      comment: {en: "To provide information on the education."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Education"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionDescription,
      comment: {en: "The description of an Emotion."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionEditUnit,
      comment: {en: "The edit unit number at which the Emotion occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion edit unit number"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionId,
      comment: {en: "An identifier attributed to an Emotion."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionName,
      comment: {en: "A name attributed to an Emotion."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionNormalPlayTime,
      comment: {en: "The normal play time at which the Emotion occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion normal play time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionTimecode,
      comment: {en: "The timecode at which the Emotion occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion timecode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionTimecodeDropFrame,
      comment: {en: "The timecode (dropframe) at which the Emotion occurs."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion timecode (dropframe)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionTimestamp,
      comment: {en: "To identify a timestamp at which an Emotion can be seen."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion timestamp"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :emotionType,
      comment: {en: "A type of Emotion."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :encodingLevel,
      comment: {en: "To define an encoding level."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Encoding level"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :encodingProfile,
      comment: {en: "The encoding profile as defined in specifications."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Encoding profile"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :end,
      comment: {en: "To define an end timestamp, e.g. the end point of a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "End"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endEditUnits,
      comment: {en: "The end time in edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "End time (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endNormalPlayTime,
      comment: {en: "The end time expressed using a time\n            expression."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "End time (time)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endOffsetEditUnits,
      comment: {en: "The offset end time in edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Offset end time (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endOffsetNormalPlayTime,
      comment: {en: "The offset end time in normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Offset end time (normal play time)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endOffsetTimecode,
      comment: {en: "The offset end timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Offset end timecode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endOffsetTimecodedropframe,
      comment: {en: "The offset end timecode dropframe."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Offset end timecode (dropframe)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endTimecode,
      comment: {en: "An end time expressed as\n            timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "End time (timecode)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :endTimecodeDropFrame,
      comment: {en: "An end time expressed as\n            timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "End time (timecode dropframe)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :episodeNumber,
      comment: {en: "The Episode Number"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Episode number"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :episodeNumberInSeason,
      comment: {en: "The Episode Number in a season"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Episode number in season"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :episodeNumberInSeries,
      comment: {en: "The Episode Number in a series"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Episode number in series"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventDescription,
      comment: {en: "To provide a description for an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventDuration,
      comment: {en: "The duration of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventEndDate,
      comment: {en: "The end date of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event end date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventEndDateTime,
      comment: {en: "The end date and time of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event end date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventEndTime,
      comment: {en: "The end time of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event end time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventId,
      comment: {en: "Range: identifier or string or anyURI."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventName,
      comment: {en: "To provide a name for an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventPeriod,
      comment: {en: "The period of time during which an Event has occured."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event period"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventStartDate,
      comment: {en: "The start date of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event start date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventStartDateTime,
      comment: {en: "The start date and time of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event start date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventStartTime,
      comment: {en: "The start time of an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event start time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :eventType,
      comment: {en: "To define a type of Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EventType", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :familyInformation,
      comment: {en: "To provide information on the family of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Family information"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :familyName,
      comment: {en: "The family name of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Family name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :fileSize,
      comment: {en: "Provides the size of a MediaResource in bytes."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "File size"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :firstShowing,
      comment: {en: "To flag this is a first showing PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "First showing flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :firstShowingThisService,
      comment: {en: "To falg this is a first showing  PublicationEvent on this service."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "First showing on service flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :folksonomy,
      comment: {en: "Provides a user/audience-generated description, tag, or label for resource content."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Folksonomy"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :followsInSequence,
      comment: {en: "A link to an Asset precedinging the current Asset in an ordered sequence."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Preceding"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :foodCategory,
      comment: {en: "To define a category of Food."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Food category"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :foodIngredient,
      comment: {en: "The Food ingredients or Food items."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Food ingredient"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :formatId,
      comment: {en: "Range: string or anyURI or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      label: {en: "Format version identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :formatVersionId,
      comment: {en: "Range: string or anyURI or identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      label: {en: "Format version identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameHeight,
      comment: {en: "The height of a video frame."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Frame height"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#height",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameHeightUnit,
      comment: {en: "The unit used to measure the height of a frame."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Frame height unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#heightUnit",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameRate,
      comment: {en: "The unit used to express the frame rate of a MediaResource in frames/second."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameSizeUnit",
      label: {en: "Frame rate"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameSizeUnit,
      comment: {en: "The unit used to express the frame width or\n            height. The unit by default is 'pixel'."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameSizeUnit",
      label: {en: "Frame size unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameWidth,
      comment: {en: "The width of a video frame."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Frame width"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#width",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :frameWidthUnit,
      comment: {en: "The unit used to measure the width of a frame."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Frame width unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#widthUnit",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :free,
      comment: {en: "A flag to indicate that the access to the PublicationEvent is 'free'."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Free access"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :gender,
      comment: {en: "The gender of a Person e.g. male or female."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/gender",
      label: {en: "Gender"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :geoBlocking,
      comment: {en: "To identify geographical areas where content cannor be accessed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AccessConditions",
      label: {en: "Geographical blocking"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :givenName,
      comment: {en: "The given name of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Given name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :groupDescription,
      comment: {en: "A textual description of a\n            Group."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      label: {en: "Group description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :groupId,
      comment: {en: "An identifier attributed to a Group."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      label: {en: "Group identifier"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :groupName,
      comment: {en: "The name attributed to a Group."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      label: {en: "Group name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :groupType,
      comment: {en: "Range: Concept or string or anyURI."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      label: {en: "Group identifier"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAccessConditions,
      comment: {en: "Range: string or AccessConditions."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent"],
      label: {en: "Access conditions"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AccessConditions", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasActionRelatedAgent,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action related agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasActionRelatedScene,
      comment: {en: "Range: string or Scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action",
      label: {en: "Action related scene"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAffiliation,
      comment: {en: "A property to establish the relation between a\n            Contact/Person and an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Affiliation"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentBiography,
      comment: {en: "Range: a string or an anyURI (e,g, a URL to a webpage) or a Biography."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Biography"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Biography", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentCountryOfResidence,
      comment: {en: "To indicate the place of residence of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Country of residence"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentLanguage,
      comment: {en: "To provide the language(s) of a Contact/person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Language"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentMember,
      comment: {en: "To associate an Agent to another Agent e.g. a Team."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent member"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentNationality,
      comment: {en: "To provide the nationality of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Nationality"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentPlaceOfResidence,
      comment: {en: "To indicate the place of residence of an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Place of residence"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAgentRelatedPicture,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      "http://purl.org/dc/elements/1.1/description": {en: "A link/locator to a picture related to an Agent."},
      label: {en: "Related picture"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAncillaryData,
      comment: {en: "To identify ancillary data in the media resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Ancillary data"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAncillaryDataFormat,
      comment: {en: "Range: string or AncillaryDataFormat"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Ancillary data format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryDataFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnimalBreedCode,
      comment: {en: "To associate a breed code with an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal breed code"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AnimalBreedCode", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnimalColourCode,
      comment: {en: "To associate a colour code with an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal colour code"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AnimalColourCode", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnimalRole,
      comment: {en: "To identify the role of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal role"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationBody,
      comment: {en: "To define the Annotation has a string or instance of an EBUCore class."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation body"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationPurpose,
      comment: {en: "To define the purpose of an Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation confidence"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationRelatedAgent,
      comment: {en: "To identify an Agent subject of the Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation related agent"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationRelatedArtefact,
      comment: {en: "To identify an Artefact subject of the Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation related artefact"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationRelatedEvent,
      comment: {en: "To identify an Event subject of the Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation related event"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationRelatedLocation,
      comment: {en: "To identify a Location subject of the Annotation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation related location"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAnnotationTarget,
      comment: {en: "To define the target object to which the Annotation applies."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Annotation target"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactBuyer,
      comment: {en: "The Agent who bought the Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Buyer"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactCreator,
      comment: {en: "To identify the creator of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Creator"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactLocation,
      comment: {en: "To identify the location of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactOwner,
      comment: {en: "To identify the owner of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Owner"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactPriceCurrency,
      comment: {en: "Range: string or CurrencyCode"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Artefact price currency"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CurrencyCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRelatedAgent,
      comment: {en: "To associate an Artefact/Prop or else with an Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Associated agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRelatedEditorialObject,
      comment: {en: "Range: string or EditorialObject"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Associated editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRelatedLocation,
      comment: {en: "To associate an Artefact/Prop or else with a Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Associated location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRelatedPhysicalResource,
      comment: {en: "To associate an Artefact/Prop or else with a physical resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Associated physical resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PhysicalResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRelatedResource,
      comment: {en: "Range: string or Resource"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Associated resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactRetailer,
      comment: {en: "To identify the retailer of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Retailer"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasArtefactSupplier,
      comment: {en: "To identify a supplier of an Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      label: {en: "Supplier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssetRelatedBusinessObject,
      comment: {en: "To associate a BusinessObject with an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related business object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssetRelatedEditorialObject,
      comment: {en: "To associate an EditorialObject with an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssetRelatedMediaResource,
      comment: {en: "To identify a related MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Asset related media resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssetRelatedResource,
      comment: {en: "To identify a related Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Asset related resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssociatedArtefact,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      "http://purl.org/dc/elements/1.1/description": {en: "Range: string or Artefact"},
      label: {en: "Related Artefact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssociatedAsset,
      comment: {en: "To identify an associated asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Associated asset"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAssociatedRelation,
      comment: {en: "To define a Relation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Relation"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudienceScoreRecordingTechnique,
      comment: {en: "Range: string or AudienceScorerecordingTechnique."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudienceRating",
      label: {en: "Audience score recording technique"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioCodec,
      comment: {en: "Range:string or AudioCodec"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio codec"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioCodec",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioContentType,
      comment: {en: "Range:string or AudioContent_Type."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent",
      label: {en: "Audio content type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent_Type", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioDescription,
      comment: {en: "To signal the presence of\n            AudioDescription."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Audio description"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioDescription",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioEncodingFormat,
      comment: {en: "To specify the audio encoding format."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio encoding format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioEncodingFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioProgrammeType,
      comment: {en: "To define a type of AudioProgramme."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme",
      label: {en: "Audio programme type."},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme_Type", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAudioTrack,
      comment: {en: "To identify AudioTracks in the Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAwardRelatedAgent,
      comment: {en: "To link an Agent to an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAwardRelatedBusinessObject,
      comment: {en: "To link a BusinessObject to an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Business object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasAwardRelatedEvent,
      comment: {en: "An Event e.g. a ceremony, associated to an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award",
      label: {en: "Event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasBeenAwarded,
      comment: {en: "Range: a string or an Award."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCaptioning,
      comment: {en: "To signal the presence of\n            Captioning."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Captioning"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCaptioningFormat,
      comment: {en: "The format of Captioning."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Captioning format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CaptioningFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCaptioningSource,
      comment: {en: "Range: string or Agent"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Captioning source"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCastMember,
      comment: {en: "Range: a string or a Cast"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Cast member"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Cast", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCastRole,
      comment: {en: "Range: a string or a Role/Concept from a controlled vocabulary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Cast role"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasChannelLogo,
      comment: {en: "The logo of a Publication Channel"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "Channel logo"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasChannelPublicationEvent,
      comment: {en: "To associate PublicationEvents with\n            PublicationChannels."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "Publication event"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCharacter,
      comment: {en: "To list characters in a fiction."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Character"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCodec,
      comment: {en: "To identify a Codec used to create a resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Codec"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCodecVendor,
      comment: {en: "To provide a name for the vendor of the Codec."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec",
      label: {en: "Codec vendor"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasColourSpace,
      comment: {en: "To describe the colour space."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Colour space"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ColourSpace",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContact,
      comment: {en: "Range: a link to a Contact or a string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Contact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Contact", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContainerCodec,
      comment: {en: "To identify a container codec."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Container codec"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContainerCodec",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContainerEncodingFormat,
      comment: {en: "To describe the container encoding format."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Container encoding format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContainerEncodingFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContainerMimeType,
      comment: {en: "To provide the Mime type of the Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Mime type"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MimeType",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContentEditorialFormat,
      comment: {en: "To define a content editorial format e.g. magazine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Editorial format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContentEditorialFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasContributor,
      comment: {en: "To identify a contributor to a Resource, a Business Object, an Event..."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/contributor",
      label: {en: "Contributor"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCopyright,
      comment: {en: "Range: string or Copyright."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Copyright"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Copyright", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCostumeType,
      comment: {en: "Range: a string or Costume_type e.g. a Concept code from a vocabulary, e.g. Getty."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Costume type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CostumeType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCountryOfBirth,
      comment: {en: "Range: string or CountryCode"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/placeOfBirth",
      label: {en: "Country of birth"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCountryOfDeath,
      comment: {en: "The country where a person is dead."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/placeOfBirth",
      label: {en: "Country of death"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCoverage,
      comment: {en: "To provide coverage information."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Coverage"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCoverageRestrictions,
      comment: {en: "Range: string or CoverageRestrictions."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent"],
      label: {en: "Coverage restrictions"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CoverageRestrictions", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCreationLocation,
      comment: {en: "To identify the location where a media resources was created."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Creation location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCreativeCommons,
      comment: {en: "Range: string or Creative Commons."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Creative Commons"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CreativeCommons", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCreator,
      comment: {en: "To identify an Agent involved in the creation of the Resource or BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/creator", "http://www.w3.org/ns/ma-ont#hasCreator"],
      label: {en: "Creator"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCrewMember,
      comment: {en: "Range: a string or a Crew"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Crew member"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Cast", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCrewRole,
      comment: {en: "Range: a string or a Role/Concept from a controlled vocabulary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Crew role"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCuisineOrigin,
      comment: {en: "The country/region of origin of the cuisine"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Cuisine origin"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasCuisineStyle,
      comment: {en: "Range: a string or CuisineStyle"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Cuisine style"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CuisineStyle", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDataFormat,
      comment: {en: "Range: string or DataFormat"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack",
      label: {en: "Data format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDataTrack,
      comment: {en: "To identify DataTracks in the Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Data track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDepartment,
      comment: {en: "To identify a department in an organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Department"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Department", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDisclaimer,
      comment: {en: "To express Disclaimer."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Disclaimer"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Disclaimer", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDocumentFormat,
      comment: {en: "To describe the format of a Document."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document",
      label: {en: "Document format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DocumentFormat",
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDopesheet,
      comment: {en: "The dopesheet of a NewsItem."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#NewsItem",
      label: {en: "Dopesheet"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Dopesheet", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasDubbedLanguage,
      comment: {en: "Range: string or Language."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Dubbed language"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLanguage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEidrIdentifier,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier",
      label: {en: "EIDR"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEmotionRelatedAgent,
      comment: {en: "To associate an Emotion with an Agent (e.g. Person or Character)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion related agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEmotionRelatedScene,
      comment: {en: "Range: string or Scene"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion",
      label: {en: "Emotion related scene"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEncodingFormat,
      comment: {en: "To describe any encoding format use to produce content."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture"],
      label: {en: "Encoding format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEpisode,
      comment: {en: "Range: string or Episode."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series"],
      label: {en: "Episode"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Episode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedAgent,
      comment: {en: "An Agent relates to an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedArtefact,
      comment: {en: "Range: string or Artefact."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Artefact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedBusinessObject,
      comment: {en: "A BusinessObject relates to an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Business object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedEvent,
      comment: {en: "Range: string or Event"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedLocation,
      comment: {en: "To associate a Location with an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventRelatedResource,
      comment: {en: "A Resource relates to an Event."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasEventType,
      comment: {en: "Range: string or EventType"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event",
      label: {en: "Agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EventType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasExploitationIssues,
      comment: {en: "Range: string or Exploitation Issues."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Exploitation Issues"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ExploitationIssues", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasFileFormat,
      comment: {en: "The format of a file."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "File format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#FileFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasFoodStyle,
      comment: {en: "The style of Food."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food",
      label: {en: "Food style"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#FoodStyle", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasFormat,
      comment: {en: "Range: string, Format or any Format-related Concept"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasFormatId,
      comment: {en: "Range: Identifier or string or anyURI."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format",
      label: {en: "Format identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasGeneration,
      comment: {en: "Identifies the generation of a version of a resource, i.e. master,\r\n      edit master, distribution copy, etc."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Generation"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasGenre,
      comment: {en: "range: string or Genre."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasGenre",
      label: {en: "Genre"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Genre", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIMediaIdentifier,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier",
      label: {en: "IMedia Id"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIPRRestrictions,
      comment: {en: "Range: string or IPR Restrictions."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "IPR restrictions"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#IPRRestrictions", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIdPicture,
      comment: {en: "To provide a link to an identification picture."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Identification picture"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIdentifier,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier",
      label: {en: "Identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIdentifierType,
      comment: {en: "To define a type of Identifer (e.g. UUID, ISAN, EIDR, in-house production Id)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      label: {en: "Identifier type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#IdentifierType", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasImageCodec,
      comment: {en: "To specify the codec of an Image."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Image codec"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ImageCodec", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasImageFormat,
      comment: {en: "To specify the format of an Image."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Image format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ImageFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasIsanIdentifier,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier",
      label: {en: "ISAN"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasKeyCareerEvent,
      comment: {en: "To identify the key career events of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Career event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyCareerEvent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasKeyPersonalEvent,
      comment: {en: "Range: string or KeyPersonalEvent"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Personal event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyPersonalEvent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasKeyword,
      comment: {en: "Range: Keyword or string or any URI from a controlled vocabulary"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasKeyword",
      label: {en: "Keyword"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Keyword", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLanguage,
      comment: {en: "Range: string or Language."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/language", "http://www.w3.org/ns/ma-ont#hasLanguage"],
      label: {en: "Language"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLicensing,
      comment: {en: "To express Licensing."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Licensing"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Licensing", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationCode,
      comment: {en: "Range: string or LocationCode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Locationcode"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationPicture,
      comment: {en: "A picture associated with a Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Picture"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationRelatedArtefact,
      comment: {en: "To associate an Artefact with a\n            Location."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      label: {en: "Artefact"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationRelatedEvent,
      comment: {en: "To associate an Event with a\n            Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationRelatedResource,
      comment: {en: "To identify a Resource associated with a Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Related resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocationType,
      comment: {en: "Range: string or LocationType."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Locationcode"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLocator,
      comment: {en: "A locator from where the MediaResource can be accessed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator",
      label: {en: "Locator"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasLogo,
      comment: {en: "Logos can be used in a variety of contexts.\n            Logo can be associated with an Organisation or a Service or a PublicationChannel."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service"],
      label: {en: "Logo"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasManifestation,
      comment: {en: "A manifestation is the physical embodiment of work e.g. a tape, a file..."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Manifestation"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMaster,
      comment: {en: "To identify the master of a Resource"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Master"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMediaFragment,
      comment: {en: "To define relation to MediaFragments\n            withiin a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasFragment",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isMediaFragmentOf",
      label: {en: "Fragment"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMedium,
      comment: {en: "To specify the medium on which the Resource is available."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Medium"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Medium", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMember,
      comment: {en: "To establish group/collection relationship between EditorialObjects."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      label: {en: "Member."},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMemberPublicationPlan,
      comment: {en: "To identify a PublicationPlan that forms part of another PublicationPlan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication  plan member"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMetadataTrack,
      comment: {en: "To identify MetadataTracks in the Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Metadata track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MetadataTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasMimeType,
      comment: {en: "Range: string or MimeType"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Mime type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MimeType", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasObjectType,
      comment: {en: "Range: string or ObjectType."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Object/asset type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ObjectType", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasOrganisationLogo,
      comment: {en: "The logo representing an Organisation"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Organisation logo"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasOrganisationStaff,
      comment: {en: "To identify Staff members in an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Staff"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Staff", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasOriginalLanguage,
      comment: {en: "To define the original language of an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Original language"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLanguage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasParentEditorialObject,
      comment: {en: "To link a EditorialOject to a parent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Parent editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasParentMediaResource,
      comment: {en: "To link a MediaResource to a parent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Parent resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPart,
      comment: {en: "To define Parts (segments, fragments, shots, etc.)\n            within an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Part"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPartType,
      comment: {en: "Range: a string or Part_Type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasParticipatingAgent,
      comment: {en: "range: Agent or string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Participating agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPictogram,
      comment: {en: "Range: a locator/URI or a Picture."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Pictogram"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPlaceOfBirth,
      comment: {en: "To identify the place of birth."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Birth place"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPlaceOfDeath,
      comment: {en: "To identify the place of death."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Death place"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasProducer,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasCreator",
      label: {en: "Producer"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasProductionLocation,
      comment: {en: "To identify the Location of a production"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Production location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasProvenance,
      comment: {en: "To associate information on Provenance to an EBUCore class."},
      domain: "http://www.w3.org/2002/07/owl#Thing",
      label: {en: "Provenance"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasProvenanceTarget,
      comment: {en: "The instance of an object sourced by the Provenance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance target"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationEvent,
      comment: {en: "To associate PublicationEvents with\n            PublicationChannels or as elements of a PublicationHistory or PublicationPlanning."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationHistory", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan"],
      label: {en: "Publication event"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationHistory,
      comment: {en: "To provide the history of publication of an EditorailObject or MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Publication history"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationHistory",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationMedium,
      comment: {en: "To identify the publication medium."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication medium"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationMedium", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationPlanMember,
      comment: {en: "To identify a subplan of a publication plan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication plan member."},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationPlanType,
      comment: {en: "Range: string or PublicationPlan_type."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication plan type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublicationRegion,
      comment: {en: "Range: string or Location"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication region"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasPublisher,
      comment: {en: "To identify an Agent involved in the publication of the Resource or BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/publisher", "http://www.w3.org/ns/ma-ont#hasPublisher"],
      label: {en: "Publisher"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRating,
      comment: {en: "Range: a string or a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRating",
      label: {en: "Rating"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRatingProvider,
      comment: {en: "To identify an Agent who has provided a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating source / agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRatingSource,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating source / agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAnimal,
      comment: {en: "To identify animals associate with an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related animal"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedArtefact,
      comment: {en: "To identify and Artefact related to EditorialObject or a resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related artefact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAsset,
      comment: {en: "To identify related Assets."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related asset"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAudioContent,
      comment: {en: "To identify related Audio Content"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Audio content"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAudioObject,
      comment: {en: "To identify related Audio Objects"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAudioProgramme,
      comment: {en: "A related audio programme"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Audio programme"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAudioTrack,
      comment: {en: "To identify related Audio Tracks"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedAward,
      comment: {en: "To identify an Award related to EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related award"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedEditorialObject,
      comment: {en: "To identify related EditorialObjects."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedEssence,
      comment: {en: "To establish a relation between a MediaResource and an Essence."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Related essence"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedEvent,
      comment: {en: "Range: Sting or Event"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Event"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCoverage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedImage,
      comment: {en: "To associate an Image with a BusinessObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Image"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Image",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedLocation,
      comment: {en: "A property to identify the \n            Locations, all real or fictional, covered by the \n            EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedLocation",
      label: {en: "Location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCoverage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedMediaFragment,
      comment: {en: "To associate a Part of an Asset with a MediaFragment within the association MediaResource instantiating the Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Media fragment"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedMediaResource,
      comment: {en: "To identify a MediaResource associated with an Asset or a BusinessObject or a PublicationEvent or another Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedResource",
      label: {en: "Related media resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedPicture,
      comment: {en: "To associate a Picture with a BusinessObject or a Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedImage",
      label: {en: "Picture"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedPublicationChannel,
      comment: {en: "Range: string or PublicationChannel"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication channel"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedPublicationEvent,
      comment: {en: "To identify the PublicationEvent associated with a MediaResource (manifestation of an EditorialObject)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication event"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedRecord,
      comment: {en: "To associate a Record with an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related record"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Record", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedResource,
      comment: {en: "To identify a Resource associated with an Asset or a BusinessObject or a PublicationEvent or another Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedResource",
      label: {en: "Related resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedService,
      comment: {en: "To establish a relation between Services."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Related Service"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelatedTextLine,
      comment: {en: "A TextLine or free text related to an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Related text line"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRelationSource,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation source"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasResourceLocator,
      comment: {en: "A locator from where the Resource can be accessed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator",
      label: {en: "Locator"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasReview,
      comment: {en: "To provide a review."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Review"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Review", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRightsClearance,
      comment: {en: "To express Rights Clearance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Rights clearance"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RightsClearance", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRightsContact,
      comment: {en: "To identify a Contact/person who can provide\n            assistance / guidance regarding the associated Rights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Contact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Contact", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRightsHolder,
      comment: {en: "To identify an Agent (Contact/person or\n            Organisation) having/managing Rights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights holder"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasRole,
      comment: {en: "Range: a string or a Role/Concept from a controlled vocabulary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Role"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSeason,
      comment: {en: "To identiify Seasons in a Series."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series",
      label: {en: "Season"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasServiceGenre,
      comment: {en: "Range: string or Genre"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service genre"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Genre", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasServiceLogo,
      comment: {en: "The Logo characterising a Service"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service logo"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasShootingLocation,
      comment: {en: "The Location where content has been captured."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Shooting location"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSigning,
      comment: {en: "A locator/URI to a resource or a Signing resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasSigning",
      label: {en: "Accessibility - signing"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSigningFormat,
      comment: {en: "To specify the format used for signing."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing",
      label: {en: "Signing format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#SigningFormat", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSigningSource,
      comment: {en: "To specify the source of signing."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing",
      label: {en: "Signing source"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSource,
      comment: {en: "To identify the source of a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStaffMember,
      comment: {en: "Range: string or Staff."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "member of Staff"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Staff", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStaffRole,
      comment: {en: "Range: a string or a Role/Concept from a controlled vocabulary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Staff role"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStakeholder,
      comment: {en: "An Agent related to the PublicationPlan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication plan stakeholder"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStandard,
      comment: {en: "Identifies the technical video standard of a MediaResource, i.e. NTSC or PAL."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Standard"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Standard", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStorageId,
      comment: {en: "Range: Identifier, anyURI, string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Storage identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasStorageType,
      comment: {en: "To define a type of storage associated with a locator from which a Resource can be accessed or can be retrieved."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Storage type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Storage_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSubject,
      comment: {en: "This property enables to associate an Asset with a subject which can be a string or a URI pointing to a term from a controlled vocabulary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/subject",
      label: {en: "Subject"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subject", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSubtitling,
      comment: {en: "To identify existing subtitling."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Subtitling"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSubtitlingFormat,
      comment: {en: "Range: string or SubtitlingFormat"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Subtitling format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#SubtitlingFormat", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasSubtitlingSource,
      comment: {en: "To identify the source of the Subtitling\n            resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling",
      label: {en: "Subtitling source"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTargetAudience,
      comment: {en: "To associate a TargetAudience (e.g. for\n            parental guiddance or targeting a particular social group) with a\n            BusinessObject/Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTargetAudience",
      label: {en: "Target audience"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TargetAudience", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTargetPlatform,
      comment: {en: "To specify a target platform."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Target platform"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TargetPlatform", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTeamMember,
      comment: {en: "To identify the members of a Team"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Team",
      label: {en: "Team member"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineId,
      comment: {en: "To attribute an identifier to a text line."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line identifier."},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine_Type", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineRelatedAgent,
      comment: {en: "To identify an Agent/Person/Character related to a TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line related agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineRelatedCharacter,
      comment: {en: "To identify a Character related to a TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line related character"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineRelatedScene,
      comment: {en: "Range: string or Scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line related scene"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineSource,
      comment: {en: "To identify the source of a TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line source"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTextLineType,
      comment: {en: "Range: string or TextLine_Type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine_Type", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTheme,
      comment: {en: "Range: a Concept, anyURI or a string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Theme"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Theme", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTimecodeTrack,
      comment: {en: "To identify a timecode track with a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTrack",
      label: {en: "Timecode track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimecodeTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTimelineTrack,
      comment: {en: "To associate a TimelineTrack with an EditorialObject"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Timeline track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTimelineTrackPart,
      comment: {en: "To associate an EditorialObject to a TimelineTrackPart"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Timeline track part"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTimelineTrackType,
      comment: {en: "Range: string or anyURI or TimelineTrack_Type."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Timeline track type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTopic,
      comment: {en: "This property enables to associate an Asset with a topic which can be a string or a URI pointing to a term from a controlled vocabulary. A typical example is to make use of the IPTC Media Topics defined at http://cv.iptc.org/newscodes/mediatopic/."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Topic"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Topic", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTrack,
      comment: {en: "To associate audio/data/video tracks with a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTrack",
      label: {en: "Track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTrackPart,
      comment: {en: "An element to identify a part of a track by a title, a start time and an end time in both the media source and media destinationn."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      label: {en: "Track part source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasTrackPurpose,
      comment: {en: "The purpose for which the Track is provided."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName",
      label: {en: "Track purpose"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TrackPurpose", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasType,
      comment: {en: "Range: string or Type."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: "http://purl.org/dc/elements/1.1/type",
      label: {en: "Asset type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasUsageRestrictions,
      comment: {en: "To express usage restrictions."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent"],
      label: {en: "Usage restrictions"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#UsageRestrictions", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasUsageRights,
      comment: {en: "Range: string or UsageRights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Usage rights"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#UsageRights", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasVersion,
      comment: {en: "To identify another version of an Asset, BusinessObject or Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isVersionOf",
      label: {en: "Version"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasVideoCodec,
      comment: {en: "To identify a video codec"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video codec"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoCodec",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasVideoEncodingFormat,
      comment: {en: "To specify the video encoding format."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Audio encoding format"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoEncodingFormat", "http://www.w3.org/2001/XMLSchema#string"],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasVideoTrack,
      comment: {en: "To identify VideoTracks in the Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video track"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hasWrappingType,
      comment: {en: "To specify the type of wrapping."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData",
      label: {en: "Wrapping type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#WrappingType", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hashValue,
      comment: {en: "The hash value associated to a Resource. There\n            are different methods / algorithms to calculate hash values, which can be defined as\n            subproperties."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Hash code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :height,
      comment: {en: "The height of e.g. a video frame typically\n            expressed as a number of lines or the height of a picture/image expressed in millimeters\n            or else."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameHeight",
      label: {en: "Height"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :heightUnit,
      comment: {en: "To specify a unit to express height."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Height unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :highlights,
      comment: {en: "To provide highlights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Highlights"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :hobbies,
      comment: {en: "The hobbies of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Hobbies"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :iFrameSize,
      comment: {en: "The distance between 2 I-frames also known as the gop size."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "I-frame/Gop size"},
      range: "http://www.w3.org/2001/XMLSchema#int",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :idDateOfCreation,
      comment: {en: "The date when the identifier was generated."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      label: {en: "Date of creation"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :identifierValue,
      comment: {en: "Range: string or anyURI."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      label: {en: "Identifier value"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :inchesPerSecond,
      comment: {en: "Identifies the inches per second at which an analog audio tape should be played back for human consumption."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameRate",
      label: {en: "Inches per second"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#playbackSpeed",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :instantiates,
      comment: {en: "To link a particular manifestation of a\n            BusinessObject to the corresponding Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Business object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAgent,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAnimalGroom,
      comment: {en: "To identify the groom / care taker of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal groom"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAnimalOwner,
      comment: {en: "To identify the owner of an animal."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal",
      label: {en: "Animal owner"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAnnotatedMediaResource,
      comment: {en: "To link an Annotation to a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Media resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAnnotationBy,
      comment: {en: "To link an Annotation to an Agent who created it."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation",
      label: {en: "Agent"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isAttributedTo,
      comment: {en: "Tassociate an Agent with a Provenance instance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance target"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isBrand,
      comment: {en: "To identify a Brand."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode",
      label: {en: "Brand"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Brand", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isCharacter,
      comment: {en: "To identify a character."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent",
      label: {en: "Fictional character."},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isChildOf,
      comment: {en: "To link a BusinessOject or Resource to a parent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Parent"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isClonedFrom,
      comment: {en: "To identify the source of a clone Editorial Object or Resource"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Clone source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isComposedOf,
      comment: {en: "To identify mediaResources used to compose an Essence."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Media Resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isCoveredBy,
      comment: {en: "Range: a link to Rights or open text (string)."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent"],
      equivalentProperty: ["http://purl.org/dc/elements/1.1/rights", "http://www.w3.org/ns/ma-ont#hasPermissions", "http://www.w3.org/ns/ma-ont#hasPolicy"],
      label: {en: "Rights"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isDerivedFrom,
      comment: {en: "Identifies a content-based relationship between two resources."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#derivedTo",
      label: {en: "Derived from"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isDistributedOn,
      comment: {en: "To identify the platform on which content is distributed."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Platform/Service/PublicationChannel"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isDubbedFrom,
      comment: {en: "the origin of a dubbed MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#dubbedTo",
      label: {en: "Dubbed from"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isEditorialFormatOf,
      comment: {en: "To identify an Editorial Object based on the same Editorial format"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Same editorial format"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isEpisodeOf,
      comment: {en: "The Episode of a Series or a Season."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode",
      label: {en: "Parent season / series"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isEpisodeOfSeason,
      comment: {en: "Range: string or Season."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode",
      label: {en: "Parent season / series"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isEpisodeOfSeries,
      comment: {en: "Range: string or Series."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode",
      label: {en: "Parent season / series"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isFictitiousPerson,
      comment: {en: "To identify a Contact/Person being fictitious."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character",
      label: {en: "Fictitious contact"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isInstantiatedBy,
      comment: {en: "To identify a MediaResource instantiating an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Media Resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isIssuedBy,
      comment: {en: "To identify the issuer of an identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier",
      label: {en: "Issuer"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isMasterOf,
      comment: {en: "To identify the master of a derived media resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Derived media resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isMediaFragmentOf,
      comment: {en: "To identify the Media Resource to which a Media Fragment belongs to"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment",
      label: {en: "Media fragment source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isMemberOf,
      comment: {en: "To identify a Group to which an EditorialObject is a member of."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasMember",
      label: {en: "Member of"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isMemberOfPublicationPlan,
      comment: {en: "To identify a parent Publication Plan"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Parent publication  plan"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isNextInSequence,
      comment: {en: "A link to an Asset following the current Asset in an ordered sequence."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Next"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isOperatedBy,
      comment: {en: "Range: string or Service."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "Operator, owner"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isOwnedBy,
      comment: {en: "Range: string or Agent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Owner"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isParentOf,
      comment: {en: "To link a Asset to a parent Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Child"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isPartOf,
      comment: {en: "To identify the editorial object to which belongs a part."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isPictureIdLocator,
      comment: {en: "Range: e.g. a string, URL or Locator."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Identification picture locator"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isRatingRelatedToBusinessObject,
      comment: {en: "To identify the BusinessObject associated with a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rated business object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isRatingRelatedToResource,
      comment: {en: "To identify the resource associated with a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rated Resource"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isReferencedBy,
      comment: {en: "To described references between assets."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Reference source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isReleasedBy,
      comment: {en: "Range: Service or string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Service"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isReplacedBy,
      comment: {en: "To identify substitutions."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Replacement"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isRequiredBy,
      comment: {en: "To express strong relations between Assets, BusinessObjects or Resources."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Required"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isScheduledOn,
      comment: {en: "To associatre a PublicationEvent with an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Publication event"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isSeasonOf,
      comment: {en: "To assoicate a Season with a Series."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season",
      label: {en: "Series"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isSeriesOf,
      comment: {en: "Range: Brand or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series",
      label: {en: "Brand"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Brand", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isTimelineTrackPartOf,
      comment: {en: "To associate an EditorialObject with a part of the TimelineTrack."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Editorial Object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isTrackPartOf,
      comment: {en: "An element to identify a part of a track by a title, a start time and an end time in both the media source and media destination."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Track part source"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :isVersionOf,
      comment: {en: "To identify related versions."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasVersion",
      label: {en: "Version of"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :lineNumber,
      comment: {en: "To provide the number of the line on which\n            ancillary data is being carried and the equivalent in the digital domain."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData",
      label: {en: "Line number"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :linkToLogo,
      comment: {en: "Range: string or Logo"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Link to logo"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :linkToSticker,
      comment: {en: "To provide a link to a Sticker"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume",
      label: {en: "Link to Sticker"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Sticker",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :live,
      comment: {en: "A flag to signal that content is live"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "live"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :localFamiliyName,
      comment: {en: "To provide a family name in its local expression."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Local familiy name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :localGivenName,
      comment: {en: "To provide a given name in its local expression."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Local given name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddress,
      comment: {en: "To provide the address of a\n           Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Address"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddressArea,
      comment: {en: "To provide the Area part of an\n            Adrress."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Area"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddressCountry,
      comment: {en: "To provide the country name and or country\n            code."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Country"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddressLine,
      comment: {en: "To provide an address line."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Adress line"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddressLocality,
      comment: {en: "To provide the name of a city, village,\n            etc."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Locality"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAddressPostalCode,
      comment: {en: "To provide an address postal\n            code."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Postal code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationAltitude,
      comment: {en: "To define the altitude of a Location in\n            meters."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationAltitude",
      label: {en: "Altitude"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationCoordinateSystemName,
      comment: {en: "To specify the name of the gps coordinate\n            system used for the Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Coordinate system"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationDescription,
      comment: {en: "To provide a description of a particular Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Location description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationId,
      comment: {en: "An identifier attributed to a Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Location identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationLatitude,
      comment: {en: "The latitude of the Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      equivalentProperty: ["http://www.w3.org/2003/01/geo/wgs84_pos#lat", "http://www.w3.org/ns/ma-ont#locationLatitude"],
      label: {en: "Latitude"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationLongitude,
      comment: {en: "To define the longitude of the\n            Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      equivalentProperty: ["http://www.w3.org/2003/01/geo/wgs84_pos#long", "http://www.w3.org/ns/ma-ont#locationLongitude"],
      label: {en: "Longitude"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationName,
      comment: {en: "To provide a namefor a particular Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Location name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationRegion,
      comment: {en: "Range: string or RegionCode"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      label: {en: "Region"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RegionCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationTimeType,
      comment: {en: "A type of time at a Location."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationName",
      label: {en: "Location type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationTimeType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locationType,
      comment: {en: "Range: string or anyURI or LocationType"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationName",
      label: {en: "Location type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationType", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :locatorTargetInformation,
      comment: {en: "Information on the locator target."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator",
      label: {en: "Locator target information"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :log,
      comment: {en: "To log everything in the content following predefined rules and criterias, as a neutral sequence of (possibly timed) textual descriptions."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Log"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessIntegratedLoudness,
      comment: {en: "The value for integrated loudness measured at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Integrated loudness"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessMaxMomentary,
      comment: {en: "The value for maximum momentary loudness measured at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Max momentary loudness"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessMaxShortTerm,
      comment: {en: "The value for maximum max short term loudness measured at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Max short term loudness"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessMaxTruepeak,
      comment: {en: "The value for maximum true peak loudness measured at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Max true peak loudness"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessMethod,
      comment: {en: "The method for loudness measurement at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Loudness method"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessParameters,
      comment: {en: "To provide loudness parameters."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Loudness parameters"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :loudnessRange,
      comment: {en: "The loudness range measured at AudioProgramme or AudioContent level."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme"],
      label: {en: "Loudness range"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mainTitle,
      comment: {en: "Specifies the main title or name given to the\n            EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/title", "http://www.w3.org/ns/ma-ont#title"],
      label: {en: "Main title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :maritalStatus,
      comment: {en: "To identify the marital status of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Marital Status"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mediaResourceDescription,
      comment: {en: "A description of a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "MediaResource description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mediaResourceId,
      comment: {en: "To identify a type of MediaResource, e.g. a template'."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Media resource Id"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :mediaResourceType,
      comment: {en: "Range: MediaResource_Type or string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Media resource type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :midRollAdAllowed,
      comment: {en: "A flag to indicate whether it is allowed to insert ad breaks in mid-roll."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Midroll ad allowed"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :middleName,
      comment: {en: "To provide one or more middle names for a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Middle name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :nickName,
      comment: {en: "The nickname of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Nickname"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :noiseFilter,
      comment: {en: "A flag to signal that a noise filter has been\n            used."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Noise filter"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :notRated,
      comment: {en: "A flag to indicate that the EditorialObejct has not been rated."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Not rated"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :numberOfAudioTracks,
      comment: {en: "To provide the number of audio tracks."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Number of audio tracks"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#numberOfTracks",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :numberOfTracks,
      comment: {en: "The number of Tracks composing the MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#numberOfTracks",
      label: {en: "Number of tracks"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :numberOfVideoTracks,
      comment: {en: "To provide the number of video tracks."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Number of video tracks"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#numberOfTracks",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :occupation,
      comment: {en: "The job / occupation name of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Occupation"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :offers,
      comment: {en: "To identify the PublicationEvents provided through a Service."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "PublicationEvent"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :officeEmailAddress,
      comment: {en: "To provide the professional/office email\n            address of an Agent (Contact/Person or Organisation)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Office email"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentEmailAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :officeMobileTelephoneNumber,
      comment: {en: "To provide the office mobile telephone number of an\n            Agent (Contact/Person)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Telephone (private)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :officeTelephoneNumber,
      comment: {en: "To provide the office telephone number of an\n            Agent (Contact/Person)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Telephone (private)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :orderedFlag,
      comment: {en: "A flag to indicate that a EditorialObject is member of an ordered group or is an ordered group (e.g. Series)"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Ordered flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :organisationDescription,
      comment: {en: "To provide a description of an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Organisation description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :organisationId,
      comment: {en: "Range: string or Identifier"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Organisation identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :organisationName,
      comment: {en: "To provide the full name of an Organisation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Organisation name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :organisationType,
      comment: {en: "Range: string or anyURI or Concept."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation",
      label: {en: "Asset type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :orientation,
      comment: {en: "The orientation of a Document or an Image i.e. landscape or\n            portrait."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Orientation"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :originalTitle,
      comment: {en: "The original title used to identify the work."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Original title."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :packageByteSize,
      comment: {en: "The size of a media package in\n            Bytes."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Package size (in bytes)"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :packageName,
      comment: {en: "The name of a media package in\n            Bytes."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Package name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partDefinition,
      comment: {en: "A definition associated with the Part."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part definition"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partDescription,
      comment: {en: "A description associated with the Part."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part definition"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partId,
      comment: {en: "The identifier of a Part."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partName,
      comment: {en: "A name associated with the Part."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partNumber,
      comment: {en: "The number associated to a Part as one among\n            many."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part",
      label: {en: "Part number"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :partTotalNumber,
      comment: {en: "The total number of Parts associated with an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Part total number"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personDescription,
      comment: {en: "To provide a description of a Person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personHeight,
      comment: {en: "To indicate the height of a person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Person height"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personId,
      comment: {en: "Range: an Identifier or anyURI or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Person identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personName,
      comment: {en: "To provide e.g. compound names."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Person name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personType,
      comment: {en: "Range: a Concept or anyURI or string."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Person type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :personWeight,
      comment: {en: "To indicate the weight of a person."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Person weight"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :playbackSpeed,
      comment: {en: "Identifies the rate of units against time at which the resource should be played back for human consumption.  If the unit of measure is known, use sub-properties framesPerSecond or inchesPerSecond."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameRate",
      label: {en: "Playback speed"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :playlist,
      comment: {en: "To provide a playlist."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Playlist"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :playsOut,
      comment: {en: "To identify the Essence used in a PublicationEvent"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Essence"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :position,
      comment: {en: "To indicate the position of an EditorialObject in an ordered\r\n      group."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Position"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :privateEmailAddress,
      comment: {en: "To provide the private email address of an\n            Agent (Contact/Person)"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Private email"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentEmailAddress",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :privateHomepage,
      comment: {en: "To provide an private web homepage of an Agent\n            (Contact/Person)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://xmlns.com/foaf/0.1/homepage",
      label: {en: "Homepage (private)"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentWebHomepage",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :privateMobileTelephoneNumber,
      comment: {en: "To provide the private mobile telephone number of an\n            Agent (Contact/Person)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Telephone (private)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :privateTelephoneNumber,
      comment: {en: "To provide the private telephone number of an\n            Agent (Contact/Person)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Telephone (private)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :productionSynopsis,
      comment: {en: "A synopsis or summary provided by the producer at the time of production."},
      label: {en: "Production synopsis"},
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :promotionalInformation,
      comment: {en: "To provide textual promotional information."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Promotional information"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceDateCreated,
      comment: {en: "The date of creation of a Provenance instance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance creation date & time"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceDateModified,
      comment: {en: "The date of modification of a Provenance instance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance modification date & time"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceDescription,
      comment: {en: "To describe a Provenance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceId,
      comment: {en: "To identify a Provenance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance Id"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceName,
      comment: {en: "To name a Provenance."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :provenanceType,
      comment: {en: "Range: string, anyURI or Concept."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance",
      label: {en: "Provenance type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :pubStatus,
      comment: {en: "To indicate a publication status."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Publication status"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationChannelDescription,
      comment: {en: "To provide a description of a PublicationChannel e.g. a TV channel or website."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "PublicationChannel description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationChannelId,
      comment: {en: "An identifier attributed to a PublicationChannel."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "Publication channel identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationChannelName,
      comment: {en: "To provide a name to a PublicationChannel e.g. a TV channel or website."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "PublicationChannel name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationChannelType,
      comment: {en: "To define a type of PublicationChannel."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel",
      label: {en: "Publication Channel type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string", "http://www.w3.org/2004/02/skos/core#Concept"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationDuration,
      comment: {en: "The actual duration of a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEndDateTime,
      comment: {en: "The actual end date and time of a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent end date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventAbstract,
      comment: {en: "To provide an abstract for a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent abstract"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventDescription,
      comment: {en: "To provide the description of a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent  description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventId,
      comment: {en: "An identifier attributed to a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication event identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventName,
      comment: {en: "To provide a name to a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventTitle,
      comment: {en: "To provide a title for a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "PublicationEvent title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationEventType,
      comment: {en: "Range: a string or PublicationEvent_Type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication event type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanDescription,
      comment: {en: "A description of a PublicationPlan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "PublicationPlan description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanEndDate,
      comment: {en: "The end date of a PublicationPlan"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "PublicationPlan end date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanId,
      comment: {en: "Range: Identifier, anyURI, string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication plan identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanName,
      comment: {en: "A name attributed to a PublicationPlan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "Publication plan name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanStartDate,
      comment: {en: "The start date of a PublicationPlan"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "PublicationPlan start date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationPlanStatus,
      comment: {en: "To provide a status regarding the PublicationPlan."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan",
      label: {en: "PublicationPlan status"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationScheduleDate,
      comment: {en: "To express specifically the schedule date to which a PublicationEvent is related in particular if the broacdast time is after midnight. For example, the schedule date would be May 29th and the programme is published at 1 am on May 30th, while still associated in the schedule with the night of May 29th."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Schedule date"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publicationStartDateTime,
      comment: {en: "The actual start date and time of a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication start date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publishedEndDateTime,
      comment: {en: "The end date and time of a PublicationEvent as\n            scheduled."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication end date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publishedStartDateTime,
      comment: {en: "The start date and time of a PublicationEvent\n            as scheduled."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Publication start date & time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publishedTitle,
      comment: {en: "The title used to identify the work at publication time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Published title."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :publishes,
      comment: {en: "The editorial object associated to a PublicationEvent."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent",
      label: {en: "Editorial object"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingDescription,
      comment: {en: "To associate a description with a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingId,
      comment: {en: "Range: string or anyURI or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating Id"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingName,
      comment: {en: "To associate a name with a Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingScaleMax,
      comment: {en: "The maximum value of the scale used for the Rating\n            of a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingScaleMax",
      label: {en: "Rating scale (top value)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingScaleMin,
      comment: {en: "The minimum value of the scale used for rating\n            a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingScaleMin",
      label: {en: "Rating scale (min. value)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingSystemEnvironment,
      comment: {en: "To identify the environment in which rating applies."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRatingSystem",
      label: {en: "Rating environment"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingSystemName,
      comment: {en: "To identify a Rating system by its name."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRatingSystem",
      label: {en: "Rating system"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingType,
      comment: {en: "To define a type of Rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Rating type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :ratingValue,
      comment: {en: "To express a free text Rating value defined in\n            a rating classification scheme."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingValue",
      label: {en: "Rating"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :readyForPublication,
      comment: {en: "A flag to indicate that the Essence is ready for publication."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence",
      label: {en: "Ready for publication"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :reason,
      comment: {en: "A reason given for a rating."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating",
      label: {en: "Reason"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :references,
      comment: {en: "To express a reference between Assets, BusinessObjects or Resources."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "References"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :regionDelimX,
      comment: {en: "To define the top left corner of a zone on\n            the x-axis. If present with regionDelimy, the zone definition is complemented by the\n            associated values of the height and width."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Region delimiter (x-axis)"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :regionDelimY,
      comment: {en: "To define the bottom right corner of a zone on\n            the y-axis. If present with regionDelimX, the zone definition is complemented by the\n            associated values of the height and width."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Region delimiter (y-axis)"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationIdentifier,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation Type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationLink,
      comment: {en: "To define a link in a Relation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Link"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationNote,
      comment: {en: "A note to provide additional information about a Relation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation Note"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationOrderedGroupFlag,
      comment: {en: "A boolean to define if a Relation is defined within and ordered group."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation Ordered group flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationRunningOrderNumber,
      comment: {en: "The order number in a list."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation Running Order Number"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationTotalNumberOfGroupMembers,
      comment: {en: "Total number of group members in a Relation."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Total number of group members."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :relationType,
      comment: {en: "Range: string or Relation_Type."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation",
      label: {en: "Relation Type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :replaces,
      comment: {en: "To identify substitution."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Replaces"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :represents,
      comment: {en: "To establish a relation between a BusinessObject and an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject",
      label: {en: "Related asset"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :requires,
      comment: {en: "To express dependency."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Requires"},
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resolution,
      comment: {en: "To define the resolution of an Asset e.g. video, image..."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Resolution"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceDescription,
      comment: {en: "A desciprtion of a Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      label: {en: "Resource description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceFileSize,
      comment: {en: "Provides the size of a Resource in bytes."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      label: {en: "File size"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceFilename,
      comment: {en: "The name of the file containing the\n            Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      label: {en: "File name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceId,
      comment: {en: "Range: Identifier or anyURI or string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource id"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceIdType,
      comment: {en: "To define a type of Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource id"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceLocatorTargetInformation,
      comment: {en: "Information on the Resource locator target."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator",
      label: {en: "Locator target information"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceName,
      comment: {en: "The name given to a Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource",
      label: {en: "Resource name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceOffset,
      comment: {en: "The start offset within a Resource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource offset"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceOffsetNormalPlaytime,
      comment: {en: "The resource offset in normal play time"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource offset normal playtime"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceOffsetNumberEditUnit,
      comment: {en: "The resource offset in edit units"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource offset number edit units"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceOffsetTimecode,
      comment: {en: "The resource offset in timecode"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource offset timecode."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :resourceOffsetTimecodedropframe,
      comment: {en: "The resource offset in timecode dropframe"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Resource offset timecode (dropframe)."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsClearanceFlag,
      comment: {en: "A flag to indicate that righst have been cleared"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject",
      label: {en: "Rights clearance flag"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsDuration,
      comment: {en: "To define the duration of the period when Rights are applicable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsEndDateTime,
      comment: {en: "To define the end time until when Rights are applicable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights end date time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsExpression,
      comment: {en: "To express an expression of Rights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsId,
      comment: {en: "An identifier attributed to a set of Rights."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsLink,
      comment: {en: "A link to e.g. a webpage where an expression of\n            the rights can be found and consulted."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights web resource"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsStartDateTime,
      comment: {en: "To define the start time since when Rights are applicable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights start date time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsTerritoryExcludes,
      comment: {en: "Range: string or CountryCode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Excluded territories"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsTerritoryIncludes,
      comment: {en: "Range: string or CountryCode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Included territories"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :rightsType,
      comment: {en: "Range: a string or a Rights_Type or a ContractType."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights",
      label: {en: "Rights type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContractType", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ExclusivityType", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RightsType", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :roleId,
      comment: {en: "Range: string or anyURI."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role",
      label: {en: "role Id"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :roleType,
      comment: {en: "To define a type of Role (not the Role itself)."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role",
      label: {en: "Role type"},
      range: ["http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :salutationTitle,
      comment: {en: "To provide a salutation title e.g M. Ms, Dr, Pr."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://xmlns.com/foaf/0.1/title",
      label: {en: "Salutation title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sampleRate,
      comment: {en: "The frequency at which audio is sampled per second. Also called sampling rate."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#samplingRate",
      label: {en: "Sample Rate"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sampleSize,
      comment: {en: "The size of an audio sample in\n            bits. Also called bit depth."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Sample size"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :sampleType,
      comment: {en: "The type of audio sample."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Sample type"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :scanningFormat,
      comment: {en: "To define the scanning format for a\n            MediaResource. For video, the two main values are \"interlaced\" or\n            \"progressive\"."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Scanning format"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :script,
      comment: {en: "To provide a script."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Script"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :seasonNumber,
      comment: {en: "To provide a Season number."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Season number"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :serviceDescription,
      comment: {en: "A description of the Service."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service description"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :serviceId,
      comment: {en: "Range: string or Identifier."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service identiifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :serviceName,
      comment: {en: "The name of the Service."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :serviceType,
      comment: {en: "Range: string or Service_type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service",
      label: {en: "Service type"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :shotLog,
      comment: {en: "Provides a shot-by-shot description of a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Shot log"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :start,
      comment: {en: "Start timestamp e.g. the start time for a MediaResource."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startEditUnits,
      comment: {en: "A start time expressed as a number of edit\n            units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start time (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startNormalPlayTime,
      comment: {en: "A start time expressed as a normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start time (normal play time)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startOffsetEditUnit,
      comment: {en: "A start offset time expressed as a number of edit\n            units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Startoffset  time (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startOffsetNormalPlayTime,
      comment: {en: "A start offset time expressed as normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Startoffset  time (edit units)"},
      range: "http://www.w3.org/2001/XMLSchema#double",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startOffsetTimecode,
      comment: {en: "A start offset time expressed as\n            timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start offset time (timecode)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startOffsetTimecodeDropFrame,
      comment: {en: "A start offset time expressed as\n            timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start offset time (timecode, drop frames)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startTimecode,
      comment: {en: "A start time expressed as\n            timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start time (timecode)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :startTimecodeDropFrame,
      comment: {en: "A start time expressed as\n            timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Start time (timecode, drop frames)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :subtitle,
      comment: {en: "A complementary subtitle."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Subtitle"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :suffix,
      comment: {en: "To provide a suffix associated with a Person name e.g. Jr."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      label: {en: "Suffix"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :summary,
      comment: {en: "To provide a summary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Summary"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :synopsis,
      comment: {en: "To provide a summary."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Synopsis"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tableOfContent,
      comment: {en: "to provide a table of content."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Table of content"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :tag,
      comment: {en: "To provide a list of tags."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Tag"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :targetAudienceSystem,
      comment: {en: "To define the system used to provide a TargetAudience."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudienceLevel",
      label: {en: "Target audience system"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineBoxHeight,
      comment: {en: "The height of the text box containing the TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line box height."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineBoxTopLeftCornerLineNumber,
      comment: {en: "The coordinates on a vertical axis of the position of the top left corner of the text box containing the TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line box top left corner Y position."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineBoxTopLeftCornerPixelNumber,
      comment: {en: "The coordinates on an horizontal axis of the position of the top left corner of the text box containing the TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line box top left Coner X position."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineBoxWidth,
      comment: {en: "The width of the text box containing the TextLine."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line box width."},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineContent,
      comment: {en: "To provide the content of a text line."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineEndEditUnits,
      comment: {en: "The end time of a TextLine expressed as a number of edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line end in edit units"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineEndNormalPlayTime,
      comment: {en: "The end time of a TextLine expressed as a normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line end in normal play time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineEndTime,
      comment: {en: "The end time point of a TextLine in a Scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line end time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineEndTimecode,
      comment: {en: "The end time of a TextLine expressed as timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line end timecode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineEndTimecodeDropFrame,
      comment: {en: "The end time of a TextLine expressed as timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line end timecode drop frames"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineOrder,
      comment: {en: "The order in which a text line can be found e.g. in a scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line order"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineStartEditUnits,
      comment: {en: "The start time of a TextLine expressed as a number of edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line start in edit units"},
      range: "http://www.w3.org/2001/XMLSchema#long",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineStartNormalPlayTime,
      comment: {en: "The start time of a TextLine expressed as a normal play time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line start in normal play time"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineStartTime,
      comment: {en: "The start time point of a TextLine in a Scene."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line start time"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineStartTimecode,
      comment: {en: "The start time of a TextLine expressed as timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line start timecode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :textLineStartTimecodeDropFrame,
      comment: {en: "The start time of a TextLine expressed as timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine",
      label: {en: "Text line start timecode drop frames"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timeCreated,
      comment: {en: "the tie of creation of an Asset."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Time created."},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timelineTrackDuration,
      comment: {en: "To express the duration of a TimelineTrack."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "TimelineTrack duration"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timelineTrackDurationEditUnits,
      comment: {en: "To provide a duration as a number of edit units."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Duration (edit unit)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timelineTrackDurationNormalPlayTime,
      comment: {en: "To provide a duration as normal\n            time."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Duration (time)"},
      range: "http://www.w3.org/2001/XMLSchema#time",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timelineTrackDurationTimecode,
      comment: {en: "The duration expressed as a\n            timecode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Duration (timecode)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :timelineTrackDurationTimecodeDropFrame,
      comment: {en: "The duration expressed as a\n            timecode with drop frames."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack",
      label: {en: "Duration (timecode, drop frame)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :title,
      comment: {en: "All value of the EBU title status\n            classification scheme\n            (http://www.ebu.ch/metadata/cs/web/ebu_TitleStatusCodeCS_p.xml.htm) are candidates\n            subproperties of the title property as implemented for an example with\n            alternativeTitle."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      equivalentProperty: ["http://purl.org/dc/elements/1.1/title", "http://www.w3.org/ns/ma-ont#title"],
      label: {en: "Title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :totalNumberOfEpisodes,
      comment: {en: "To provide the total number of episodes in a Series or a Season."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      label: {en: "Total number of episodes"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :totalNumberOfGroupMembers,
      comment: {en: "To provide the total number of members in a Group."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group",
      label: {en: "Total number of Group members"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :trackDefinition,
      comment: {en: "To provide a definition associated to a\n            Track."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName",
      label: {en: "Definition"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :trackId,
      comment: {en: "Range: Identifier, anyURI, string"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      label: {en: "Track identifier"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :trackName,
      comment: {en: "To provide  name of a\n            Track."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName",
      label: {en: "Track name"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :trackType,
      comment: {en: "Range: string or Track_Type"},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName",
      label: {en: "Track name"},
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track_Type", "http://www.w3.org/2001/XMLSchema#anyURI", "http://www.w3.org/2001/XMLSchema#string"],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :translationTitle,
      comment: {en: "A translated version of the title."},
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject", "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource"],
      label: {en: "Translation title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :username,
      comment: {en: "The username by which a Person is\n            known e.g. when attributing a rating value."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person",
      equivalentProperty: "http://xmlns.com/foaf/0.1/nick",
      label: {en: "Username"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :version,
      comment: {en: "To provide information on the current version of an EditorialObject."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Version"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :versionTitle,
      comment: {en: "An alternative title specific to a verison of content."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Version title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :videoBitRate,
      comment: {en: "The video bitrate. To provide the bitrate at which the MediaResource can be played\r\n          in bits/second. Current bitrate if constant, and average bitrate if\r\n          variable."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video bitrate"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRate",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :videoBitRateMax,
      comment: {en: "The maximum video bitrate."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video bitrate max"},
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMax",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :videoBitRateMode,
      comment: {en: "The video bitrate mode."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video bitrate mode"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMode",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :videoEncodingLevel,
      comment: {en: "The encoding level as defined in specifications."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video encoding level"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingLevel",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :videoEncodingProfile,
      comment: {en: "The encoding level as defined in specifications."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Video encoding profile"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingProfile",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :width,
      comment: {en: "The width of e.g. a video frame typically\n            expressed as a number of pixels, or picture/image in millimeters."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameWidth",
      label: {en: "Width"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :widthUnit,
      comment: {en: "The unit used to measure a width e.g. in pixels\n            or number of lines or millimeters or else."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource",
      label: {en: "Width unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :wordCount,
      comment: {en: "The number of words contained in a\n            document."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document",
      label: {en: "Word count"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :workingTitle,
      comment: {en: "A title used while content is not complete."},
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset",
      label: {en: "Working title"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
  end
end
