# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.geonames.org/ontology#
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://www.geonames.org/ontology#>
  # @!visibility private
  GEONAMES = Class.new(RDF::StrictVocabulary("http://www.geonames.org/ontology#")) do

    # Ontology definition
    ontology :"http://www.geonames.org/ontology#",
      comment: {en: "Modifications from version 3.01 :\n            Added : gn:GeonamesFeature, subclass of gn:Feature.\n            Added : explicit property gn:geonamesID, mandatory and unique for each gn:GeonamesFeature instance.\n            Deleted : owl:FunctionalProperty declarations for properties attached to gn:Feature, replaced by local cardinality restrictions on gn:GeonamesFeature\n            The gn:Feature class and attached properties can therefore be used in the open world for features not necessarily identified in the Geonames data base, or with partial descriptions.\n            Modified : Equivalent classes and superclasses of geonames:Feature in other vocabularies.\n            Added : new feature codes for historical features.\n            Improved metadata.\n      "},
      "http://creativecommons.org/ns#license": "http://creativecommons.org/licenses/by/3.0/",
      "http://purl.org/dc/terms/contributor": ["Erik Bolstad (norwegian and swedish translations)", "Roman Rachkov (bulgarian translation)", "Valery Hronusov (russian translation)"],
      "http://purl.org/dc/terms/creator": "http://data.semanticweb.org/person/bernard-vatant",
      "http://purl.org/dc/terms/description": {en: "The Geonames ontologies provides elements of description for geographical features, in particular those defined in the geonames.org data base"},
      "http://purl.org/dc/terms/issued": "2006-10-14",
      "http://purl.org/dc/terms/modified": "2012-10-29",
      "http://purl.org/dc/terms/publisher": "http://dbpedia.org/resource/GeoNames",
      "http://purl.org/dc/terms/title": {en: "The Geonames ontology"},
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "gn",
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://www.geonames.org/ontology#",
      "http://www.w3.org/2002/07/owl#priorVersion": "http://www.geonames.org/ontology/ontology_v3.0.1.rdf",
      "http://www.w3.org/2002/07/owl#versionInfo": {en: "Version 3.1 - 2012-10-29"},
      "http://www.w3.org/ns/adms#relatedDocumentation": "http://www.geonames.org/ontology/documentation.html",
      "http://xmlns.com/foaf/0.1/homepage": "http://www.geonames.org/ontology/documentation.html",
      isDefinedBy: "http://www.geonames.org/ontology/ontology_v3.1.rdf",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :A,
      comment: {en: "country, state, region ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :Class,
      comment: {en: "A class of features."},
      label: {en: "Class"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#ConceptScheme",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Code,
      comment: {en: "A feature code."},
      label: {en: "Code"},
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :Feature,
      comment: {en: "A geographical feature"},
      equivalentClass: ["http://geovocab.org/spatial#Feature", "http://www.mindswap.org/2003/owl/geo/geoFeatures20040307.owl#GeographicFeature"],
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Modified in version 3.1 : The cardinality constraints on feature code, feature class are relaxed on this class, and put on the specific subclass Geonames Feature. This class and attached properties can therefore be used for features not necessarily identified in the Geoanmes data base"},
      label: {en: "Feature"},
      subClassOf: ["http://schema.org/Place", "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing"],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :GeonamesFeature,
      comment: {en: "A feature described in geonames database, uniquely defined by its geonames identifier"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in version 3.1"},
      label: {en: "Geonames Feature"},
      subClassOf: ["http://www.geonames.org/ontology#Feature", term(
          cardinality: "1",
          onProperty: "http://www.geonames.org/ontology#featureClass",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://www.geonames.org/ontology#geonamesID",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://www.geonames.org/ontology#name",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://www.w3.org/2003/01/geo/wgs84_pos#lat",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          cardinality: "1",
          onProperty: "http://www.w3.org/2003/01/geo/wgs84_pos#long",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#countryCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#parentADM1",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#parentADM2",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#parentADM3",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#parentADM4",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ), term(
          maxCardinality: "1",
          onProperty: "http://www.geonames.org/ontology#population",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        )],
      type: "http://www.w3.org/2002/07/owl#Class"
    term :H,
      comment: {en: "stream, lake, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :L,
      comment: {en: "parks,area, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :Map,
      comment: {en: "A Web page displaying a map"},
      label: {en: "Map"},
      subClassOf: "http://xmlns.com/foaf/0.1/Document",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :P,
      comment: {en: "city, village,..."},
      type: "http://www.geonames.org/ontology#Class"
    term :R,
      comment: {en: "road, railroad, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :RDFData,
      comment: {en: "A Document containing RDF description of one or several features."},
      label: {en: "RDF Data"},
      subClassOf: "http://xmlns.com/foaf/0.1/Document",
      type: "http://www.w3.org/2002/07/owl#Class"
    term :S,
      comment: {en: "spot, building, farm, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :T,
      comment: {en: "mountain, hill, rock, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :U,
      comment: {en: "undersea"},
      type: "http://www.geonames.org/ontology#Class"
    term :V,
      comment: {en: "forest, heath, ..."},
      type: "http://www.geonames.org/ontology#Class"
    term :WikipediaArticle,
      comment: {en: "A Wikipedia article"},
      label: {en: "Wikipedia Article"},
      subClassOf: "http://xmlns.com/foaf/0.1/Document",
      type: "http://www.w3.org/2002/07/owl#Class"

    # Property definitions
    property :alternateName,
      domain: "http://www.geonames.org/ontology#Feature",
      subPropertyOf: "http://www.w3.org/2004/02/skos/core#altLabel",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :childrenFeatures,
      comment: {en: "Links to an RDF document containing the descriptions of children features"},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "children features"},
      range: "http://www.geonames.org/ontology#RDFData",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :colloquialName,
      label: {en: "colloquial name"},
      subPropertyOf: "http://www.geonames.org/ontology#alternateName",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :countryCode,
      comment: {en: "The countryCode value for a Geoname Feature is equal to the countryCode value of the parentCountry value."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "ISO country code"},
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :featureClass,
      comment: {en: "The main category of the feature, as defined in geonames taxonomy."},
      domain: "http://www.geonames.org/ontology#Feature",
      "http://www.w3.org/2002/07/owl#propertyChainAxiom": list("http://www.geonames.org/ontology#featureCode", "http://www.w3.org/2004/02/skos/core#inScheme"),
      label: {en: "feature class"},
      range: "http://www.geonames.org/ontology#Class",
      subPropertyOf: "http://purl.org/dc/terms/type",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :featureCode,
      comment: {en: "Type of the feature, as defined in geonames taxonomy."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "feature code"},
      range: "http://www.geonames.org/ontology#Code",
      subPropertyOf: "http://purl.org/dc/terms/type",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :geonamesID,
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in version 3.1"},
      label: {en: "geonames identifier"},
      subPropertyOf: "http://purl.org/dc/terms/identifier",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :historicalName,
      label: {en: "historical name"},
      subPropertyOf: "http://www.geonames.org/ontology#alternateName",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :locatedIn,
      comment: {en: "Indicates that the subject resource is located in the object feature"},
      label: {en: "located in"},
      range: "http://www.geonames.org/ontology#Feature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :locationMap,
      comment: {en: "A geonames map centered on the feature."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "map"},
      range: "http://www.geonames.org/ontology#Map",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :name,
      comment: {en: "The main international name of a feature. The value has no xml:lang tag."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "name"},
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :nearby,
      comment: {en: "A feature close to the reference feature"},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "nearby"},
      range: "http://www.geonames.org/ontology#Feature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :nearbyFeatures,
      comment: {en: "Links to an RDF document containing the descriptions of nearby features"},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "nearby features"},
      range: "http://www.geonames.org/ontology#RDFData",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :neighbour,
      comment: {en: "A feature sharing a common boarder with the reference feature"},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "neighbour"},
      range: "http://www.geonames.org/ontology#Feature",
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty", "http://www.w3.org/2002/07/owl#SymmetricProperty"]
    property :neighbouringFeatures,
      comment: {en: "Links to an RDF document containing the descriptions of neighbouring features. Applies when the feature has definite boarders."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "neighbouring features"},
      range: "http://www.geonames.org/ontology#RDFData",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :officialName,
      comment: {en: "A name in an official local language"},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "official name"},
      subPropertyOf: "http://www.w3.org/2004/02/skos/core#prefLabel",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :parentADM1,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "level 1 administrative parent"},
      range: term(
          "http://www.w3.org/2002/07/owl#hasValue": "http://www.geonames.org/ontology#A.ADM1",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      subPropertyOf: "http://www.geonames.org/ontology#parentFeature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :parentADM2,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "level 2 administrative parent"},
      range: term(
          "http://www.w3.org/2002/07/owl#hasValue": "http://www.geonames.org/ontology#A.ADM2",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      subPropertyOf: "http://www.geonames.org/ontology#parentFeature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :parentADM3,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "level 3 administrative parent"},
      range: term(
          "http://www.w3.org/2002/07/owl#hasValue": "http://www.geonames.org/ontology#A.ADM3",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      subPropertyOf: "http://www.geonames.org/ontology#parentFeature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :parentADM4,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "level 4 administrative parent"},
      range: term(
          "http://www.w3.org/2002/07/owl#hasValue": "http://www.geonames.org/ontology#A.ADM4",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      subPropertyOf: "http://www.geonames.org/ontology#parentFeature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :parentCountry,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "parent country"},
      range: term(
          "http://www.w3.org/2002/07/owl#hasValue": "http://www.geonames.org/ontology#A.PCLI",
          onProperty: "http://www.geonames.org/ontology#featureCode",
          type: "http://www.w3.org/2002/07/owl#Restriction"
        ),
      subPropertyOf: "http://www.geonames.org/ontology#parentFeature",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"
    property :parentFeature,
      comment: {en: "A feature parent of the current one, in either administrative or physical subdivision."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "parent feature"},
      range: "http://www.geonames.org/ontology#Feature",
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty", "http://www.w3.org/2002/07/owl#TransitiveProperty"]
    property :population,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "population"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :postalCode,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "postal code"},
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :shortName,
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "short name"},
      subPropertyOf: "http://www.geonames.org/ontology#alternateName",
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty"
    property :wikipediaArticle,
      comment: {en: "A Wikipedia article of which subject is the resource."},
      domain: "http://www.geonames.org/ontology#Feature",
      label: {en: "wikipedia article"},
      range: "http://www.geonames.org/ontology#WikipediaArticle",
      type: "http://www.w3.org/2002/07/owl#ObjectProperty"

    # Extra definitions
    term :"A.ADM1",
      definition: {en: "a primary administrative division of a country, such as a state in the United States", ru: "первоначальное политико-административное  деление, например, деление США на штаты"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM1",
      prefLabel: {en: "first-order administrative division", bg: "първостепенна административна единица", no: "primær administrativ inndeling", ru: "политико-административное деление первого порядка", sv: "första ordningens administrativ avdelning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM1H",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM1H",
      prefLabel: {en: "historical first-order administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM2",
      definition: {en: "a subdivision of a first-order administrative division", ru: "дальнейшее деление политико-административного деления первого порядка"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM2",
      prefLabel: {en: "second-order administrative division", bg: "второстепенна административна единица", no: "sekundær administrativ inndeling", ru: "политико-административное деление второго порядка", sv: "andra ordningens administrativ avdelning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM2H",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM2H",
      prefLabel: {en: "historical second-order administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM3",
      definition: {en: "a subdivision of a second-order administrative division", ru: "дальнейшее деление политико-административного деления второго порядка"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM3",
      prefLabel: {en: "third-order administrative division", bg: "третостепенна административна единица", no: "administrativ inndeling av tredje grad", ru: "политико-административное деление третьего порядка", sv: "tredje ordningens administrativ avdelning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM3H",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM3H",
      prefLabel: {en: "historical third-order administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM4",
      definition: {en: "a subdivision of a third-order administrative division", ru: "дальнейшее деление политико-административного деления третьего порядка"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM4",
      prefLabel: {en: "fourth-order administrative division", bg: "четвъртостепенна административна единица", no: "administrativ inndeling av fjerde grad", ru: "политико-административное деление четвертого порядка", sv: "fjärde ordningens administrativ avdelning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM4H",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADM4H",
      prefLabel: {en: "historical fourth-order administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADM5",
      definition: {en: "a subdivision of a fourth-order administrative division"},
      notation: "A.ADM5",
      prefLabel: {en: "fifth-order administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADMD",
      definition: {en: "an administrative division of a country, undifferentiated as to administrative level", ru: "деление страны на административные единицы"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADMD",
      prefLabel: {en: "administrative division", bg: "административно делене", no: "administrativ inndeling", ru: "политико-административное  деление", sv: "administrativ avdelning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ADMH",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ADMH",
      prefLabel: {en: "historical administrative division"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.LTER",
      definition: {en: "a tract of land leased to another country, usually for military installations", ru: "арендованный правительством Великобритании у властей Китая участок земли, часть Гонконга"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.LTER",
      prefLabel: {en: "leased area", bg: "територия под аренда", no: "leid landområde", ru: "арендованный район/территория", sv: "uthyrt område"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCL",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCL",
      prefLabel: {en: "political entity", bg: "политическо тяло", no: "politisk enhet", ru: "политическое образование", sv: "politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLD",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLD",
      prefLabel: {en: "dependent political entity", bg: "зависимо политическо тяло", no: "avhengig politisk enhet", ru: "зависимое политическое образование", sv: "beroende politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLF",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLF",
      prefLabel: {en: "freely associated state", bg: "свободно асоциирана държава", no: "fritt tilknyttet stat", ru: "свободно присоединившееся государство (свободное ассоциированное государство)", sv: "fritt associerad stat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLH",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLH",
      prefLabel: {en: "historical political entity"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLI",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLI",
      prefLabel: {en: "independent political entity", bg: "независимо политическо образувание", no: "uavhengig politisk enhet", ru: "независимое политическое образование", sv: "oberoende politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLIX",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLIX",
      prefLabel: {en: "section of independent political entity", bg: "част от независимо политическо образувание", no: "del av uavhengig politisk enhet", ru: "участок независимого политического образования", sv: "del av oberoende politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PCLS",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PCLS",
      prefLabel: {en: "semi-independent political entity", bg: "полу-независимо политическо образувание", no: "delvis uavhengig politisk enhet", ru: "наполовину зависимое политическое образование", sv: "delvis oberoende politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PPCLH",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "A.PPCLH",
      prefLabel: {en: "historical capital of a political entity"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PPLH",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "A.PPLH",
      prefLabel: {en: "historical populated place"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.PRSH",
      definition: {en: "an ecclesiastical district", ru: "низший церковный округ в христианской церкви, центром которого является храм"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.PRSH",
      prefLabel: {en: "parish", bg: "енория", no: "sogn", ru: "церковный приход", sv: "kommun"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.TERR",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.TERR",
      prefLabel: {en: "territory", bg: "територия", no: "territorium", ru: "территория (административная единица в США, Канаде и Австралии, не имеющая прав штата или провинции)", sv: "territorium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ZN",
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ZN",
      prefLabel: {en: "zone", bg: "зона", no: "sone", ru: "зона", sv: "zon"},
      type: "http://www.geonames.org/ontology#Code"
    term :"A.ZNB",
      definition: {en: "a zone recognized as a buffer between two nations in which military presence is minimal or absent", ru: "область, официально признанная в качестве буфера между двумя нациями; военное присутствие минимально или вовсе отсутствует"},
      inScheme: "http://www.geonames.org/ontology#A",
      notation: "A.ZNB",
      prefLabel: {en: "buffer zone", bg: "буферна зона", no: "buffersone", ru: "буферная зона", sv: "bufferzon"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.AIRS",
      definition: {en: "a place on a waterbody where floatplanes land and take off", ru: "место на воде для взлета и посадки гидросамолета"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.AIRS",
      prefLabel: {en: "seaplane landing area", bg: "летище за хидроплани", no: "landingsområde for sjøfly", ru: "посадочная полоса для гидросамолета", sv: "landningsplats för sjöflygplan"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.ANCH",
      definition: {en: "an area where vessels may anchor", ru: "место, где судна бросают якорь"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.ANCH",
      prefLabel: {en: "anchorage", bg: "пристанище", no: "ankerplass", ru: "якорная стоянка", sv: "ankarplats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BAY",
      definition: {en: "a coastal indentation between two capes or headlands, larger than a cove but smaller than a gulf", ru: "изгиб берега  между двумя мысами, больше чем открытая гавань, но меньше чем залив"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BAY",
      prefLabel: {en: "bay", bg: "залив", no: "bukt", ru: "бухта", sv: "vik, bukt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BAYS",
      definition: {en: "coastal indentations between two capes or headlands, larger than a cove but smaller than a gulf", ru: "изгибы берега  между двумя мысами, больше чем открытая гавань, но меньше чем залив"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BAYS",
      prefLabel: {en: "bays", bg: "заливи", no: "bukter", ru: "бухты", sv: "vikar, bukter"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BGHT",
      definition: {en: "an open body of water forming a slight recession in a coastline", ru: "открытый участок воды; там, где происходит отступание береговой черты"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BGHT",
      prefLabel: {en: "bight(s)", bg: "ивица(и)", no: "vik", ru: "излучина (реки)", sv: "bukt(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BNK",
      definition: {en: "an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for most surface navigation", ru: "возвышенность, которая обычно располагается на мелководье; однако количества воды достаточно для надводного судоходства"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BNK",
      prefLabel: {en: "bank(s)", bg: "бряг(ове)", no: "banker", ru: "нанос", sv: "strandssluttning, strandvall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BNKR",
      definition: {en: "a sloping margin of a stream channel which normally confines the stream to its channel on land", ru: "косой берег реки, который удерживает поток воды в своих границах"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BNKR",
      prefLabel: {en: "stream bank", bg: "бряг изложен на течение", no: "elvebredd", ru: "речной берег", sv: "flodstrand"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BNKX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BNKX",
      prefLabel: {en: "section of bank", bg: "част от бряг", no: "del av bredd", ru: "участок берега", sv: "del av flodstrand"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.BOG",
      definition: {en: "a wetland characterized by peat forming sphagnum moss, sedge, and other acid-water plants", ru: "заболоченная территория, которая является благоприятной почвой для торфяного мха, осоки и других болотных растений"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.BOG",
      prefLabel: {en: "bog(s)", bg: "блато(а)", no: "myr", ru: "болото", sv: "kärr, träsk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CAPG",
      definition: {en: "a dome-shaped mass of glacial ice covering an area of  mountain summits or other high lands; smaller than an ice sheet", ru: "куполообразная масса ледникового льда, покрывающая гонные вершины; по размеру меньше ледникового щита"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CAPG",
      prefLabel: {en: "icecap", bg: "ледена покривка", no: "iskappe", ru: "шапка полярного льда", sv: "iskalott"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CHN",
      definition: {en: "the deepest part of a stream, bay, lagoon, or strait, through which the main current flows", ru: "самый глубоки участок реки, пролива, залива, лагуны; через него проходит основной поток воды"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CHN",
      prefLabel: {en: "channel", bg: "канал", no: "kanal", ru: "русло", sv: "kanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CHNL",
      definition: {en: "that part of a lake having water deep enough for navigation between islands, shoals, etc.", ru: "наиболее глубокое место в озере; здесь могут проходить суда"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CHNL",
      prefLabel: {en: "lake channel(s)", bg: "езерен канал(и)", no: "seilingskanal i innsjø", ru: "омут", sv: "sjökanal(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CHNM",
      definition: {en: "that part of a body of water deep enough for navigation through an area otherwise not suitable", ru: "канал, предназначенный для судоходной связи между морями"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CHNM",
      prefLabel: {en: "marine channel", bg: "морски канал", no: "skipsled på sjøen", ru: "морской канал", sv: "marinkanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CHNN",
      definition: {en: "a buoyed channel of sufficient depth for the safe navigation of vessels", ru: "огражденный буями пролив, достаточно глубокий для безопасного судоходства"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CHNN",
      prefLabel: {en: "navigation channel", bg: "навигационен канал", no: "merket skipsled", ru: "судоходное русло", sv: "navigeringskanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNFL",
      definition: {en: "a place where two or more streams or intermittent streams flow together", ru: "место, где две (или больше) реки соединяются в одну"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNFL",
      prefLabel: {en: "confluence", bg: "устие", no: "sammenløp", ru: "место слияние (рек)", sv: "sammanflöde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNL",
      definition: {en: "an artificial watercourse", ru: "искусственная река"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNL",
      prefLabel: {en: "canal", bg: "канал", no: "kanal", ru: "канал", sv: "kanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLA",
      definition: {en: "a conduit used to carry water", ru: "трубопровод, используемый для передачи воды"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLA",
      prefLabel: {en: "aqueduct", bg: "аквадукт", no: "akvedukt", ru: "акведук/водопровод", sv: "akvedukt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLB",
      definition: {en: "a conspicuously curved or bent section of a canal", ru: "изогнутый участок канала"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLB",
      prefLabel: {en: "canal bend", bg: "канална връзка", no: "kanalsving", ru: "излучина канала", sv: "kanalkrök"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLD",
      definition: {en: "an artificial waterway carrying water away from a wetland or from drainage ditches", ru: "искусственный судоходный канал, забирает лишнюю воду  либо в заболоченной местности, либо из дренажного канала"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLD",
      prefLabel: {en: "drainage canal", bg: "отводнителен канал", no: "dreneringskanal", ru: "водоотводный канал", sv: "dräneringskanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLI",
      definition: {en: "a canal which serves as a main conduit for irrigation water", ru: "канал, который служит главным средством передачи воды для орошения"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLI",
      prefLabel: {en: "irrigation canal", bg: "напоителен канал", no: "vanningskanal", ru: "оросительный канал", sv: "bevattningskanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLN",
      definition: {en: "a watercourse constructed for navigation of vessels", ru: "канал, предназначенный для судоходства"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLN",
      prefLabel: {en: "navigation canal(s)", bg: "навигационен канал(и)", no: "seilingskanal", ru: "судоходный канал", sv: "navigeringskanaler"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLQ",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLQ",
      prefLabel: {en: "abandoned canal", bg: "изоставен канал", no: "nedlagt kanal", ru: "заброшенный канал", sv: "övergiven kanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLSB",
      definition: {en: "a gently inclined underground tunnel bringing water for irrigation from aquifers", ru: "подземный туннель, по которому течет вода, используемая  для орошения; вода берется из водоносного слоя почвы"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLSB",
      prefLabel: {en: "underground irrigation canal(s)", bg: "подземна напоителна система", no: "underjordisk vanningskanal", ru: "подземный оросительный канал", sv: "underjordisk bevattningskanal(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CNLX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CNLX",
      prefLabel: {en: "section of canal", bg: "част от канал", no: "del av kanal", ru: "сечение канала", sv: "del av kanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.COVE",
      definition: {en: "a small coastal indentation, smaller than a bay", ru: "защищённое, закрытое место в скалах на морском берегу"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.COVE",
      prefLabel: {en: "cove(s)", bg: "заливче", no: "kil", ru: "прибойная пещера", sv: "liten vik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CRKT",
      definition: {en: "a meandering channel in a coastal wetland subject to bi-directional tidal currents", ru: "извилистый канал на прибрежной заболоченной территории, по которому идет двустороннее приливное течение"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CRKT",
      prefLabel: {en: "tidal creek(s)", bg: "приливно заливче", no: "tidevannselv", ru: "небольшой временный водоток (связанный с приливами и отливами)", sv: "tidvattensvik(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CRNT",
      definition: {en: "a horizontal flow of water in a given direction with uniform velocity", ru: "горизонтальный поток воды в заданном направлении с одинаковой скоростью"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CRNT",
      prefLabel: {en: "current", bg: "течение", no: "strøm", ru: "течение", sv: "ström, strömning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.CUTF",
      definition: {en: "a channel formed as a result of a stream cutting through a meander neck", ru: "канал, образованный в результате потока воды, идущей  через шейку меандра"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.CUTF",
      prefLabel: {en: "cutoff", bg: "скъсяване", no: "avskåret", ru: "обводной канал", sv: "cutoff"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DCK",
      definition: {en: "a waterway between two piers, or cut into the land for the berthing of ships", ru: "портовое сооружение для ремонта и постройки судов."},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DCK",
      prefLabel: {en: "dock(s)", bg: "пристанище(а)", no: "dokk", ru: "док", sv: "skeppsdocka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DCKB",
      definition: {en: "a part of a harbor where ships dock", ru: "часть гавани, предназначенная для стоянки судов"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DCKB",
      prefLabel: {en: "docking basin", bg: "басейнов док", no: "havnebasseng", ru: "портовый бассейн", sv: "fartygsdocka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DOMG",
      definition: {en: "a comparatively elevated area on an icecap", ru: "небольшая возвышенность на поверхности ледника"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DOMG",
      prefLabel: {en: "icecap dome", bg: "ледено покритие", no: "iskuppel", ru: "ледниковый купол", sv: "välvd iskalott"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DPRG",
      definition: {en: "a comparatively depressed area on an icecap", ru: "небольшое углубление на поверхности ледника"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DPRG",
      prefLabel: {en: "icecap depression", bg: "заледена падина", no: "fordypning i iskappen", ru: "ледниковая впадина", sv: "sänka i iskalott"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DTCH",
      definition: {en: "a small artificial watercourse dug for draining or irrigating the land", ru: "небольшой искусственный водоем, используемый для осушения и орошения территории"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DTCH",
      prefLabel: {en: "ditch", bg: "канавка", no: "grøft", ru: "канава", sv: "dike"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DTCHD",
      definition: {en: "a ditch which serves to drain the land", ru: "канава, используемая для осушения территории"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DTCHD",
      prefLabel: {en: "drainage ditch", bg: "отводнителна канавка", no: "dreneringsgrøft", ru: "водоотводная канава", sv: "dräneringsdike"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DTCHI",
      definition: {en: "a ditch which serves to distribute irrigation water", ru: "канава, используемая для орошения почвы"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DTCHI",
      prefLabel: {en: "irrigation ditch", bg: "напоителна канавка", no: "vanningsgrøft", ru: "оросительная канава", sv: "bevattningsdike"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.DTCHM",
      definition: {en: "an area where a drainage ditch enters a lagoon, lake or bay", ru: "место, где осушительный канал впадает в лагуну, озеро или залив"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.DTCHM",
      prefLabel: {en: "ditch mouth(s)", bg: "заустване на канавка", no: "grøfteutløp", ru: "устье канала", sv: "dikesmynning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.ESTY",
      definition: {en: "a funnel-shaped stream mouth or embayment where fresh water mixes with sea water under tidal influences", ru: "однорукавное, воронкообразное устье реки, расширяющееся в сторону моря"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.ESTY",
      prefLabel: {en: "estuary", bg: "заливно устие", no: "elvemunning", ru: "эстуарий", sv: "flodmynning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FISH",
      definition: {en: "a fishing ground, bank or area where fishermen go to catch fish", ru: "место ловли рыбы"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FISH",
      prefLabel: {en: "fishing area", bg: "риболовен район", no: "fiskeområde", ru: "рыболовная зона", sv: "fiskeområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FJD",
      definition: {en: "a long, narrow, steep-walled, deep-water arm of the sea at high latitudes, usually along mountainous coasts", ru: "узкий, длинный, глубоководный морской залив с крутыми берегами; берега фьорда  в большинстве случаев образованы высокими скалами"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FJD",
      prefLabel: {en: "fjord", bg: "фиорд", no: "fjord", ru: "фьорд", sv: "fjord"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FJDS",
      definition: {en: "long, narrow, steep-walled, deep-water arms of the sea at high latitudes, usually along mountainous coasts", ru: "узкие, длинные, глубоководные морские заливы с крутыми берегами"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FJDS",
      prefLabel: {en: "fjords", bg: "фиорди", no: "fjorder", ru: "фьорды", sv: "fjordar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FLLS",
      definition: {en: "a perpendicular or very steep descent of the water of a stream", ru: "падение воды в реке с уступа, пересекающего речное русло"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FLLS",
      prefLabel: {en: "waterfall(s)", bg: "водопад(и)", no: "foss", ru: "водопад", sv: "vattenfall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FLLSX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FLLSX",
      prefLabel: {en: "section of waterfall(s)", bg: "част от водопад(и)", no: "del av foss", ru: "участок водопада", sv: "del av vattenfall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FLTM",
      definition: {en: "a relatively level area of mud either between high and low tide lines, or subject to flooding", ru: "средних размеров площадь илистого грунта, занимает промежуточное место между высокой и низкой границами прилива, подвергается затоплению"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FLTM",
      prefLabel: {en: "mud flat(s)", bg: "тинесто мочурище(а)", no: "slamområde", ru: "топь", sv: "mud flat(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.FLTT",
      definition: {en: "a large flat area of mud or sand attached to the shore and alternately covered and uncovered by the tide", ru: "береговая полоса, покрываемая водой при приливе"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.FLTT",
      prefLabel: {en: "tidal flat(s)", bg: "заливно мочурище(а)", no: "tidevannsområde", ru: "приливно-отливная отмель", sv: "tidal flat(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.GLCR",
      definition: {en: "a mass of ice, usually at high latitudes or high elevations, with sufficient thickness to flow away from the source area in lobes, tongues, or masses", ru: "масса льда преимущественно атмосферного происхождения, испытывающая вязкопластическое течение под действием силы тяжести и принявшая форму потока, системы потоков, купола (щита) или плавучей плиты"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.GLCR",
      prefLabel: {en: "glacier(s)", bg: "ледник", no: "isbre", ru: "ледник", sv: "glaciär(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.GULF",
      definition: {en: "a large recess in the coastline, larger than a bay", ru: "вдавшаяся в сушу часть моря"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.GULF",
      prefLabel: {en: "gulf", bg: "залив", no: "golf", ru: "морской залив", sv: "golf, bukt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.GYSR",
      definition: {en: "a type of hot spring with intermittent eruptions of jets of hot water and steam", ru: "источник вулканического происхождения, выбрасывающий через определённые промежутки времени фонтаны горячей воды и пара"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.GYSR",
      prefLabel: {en: "geyser", bg: "гейзер", no: "geysir", ru: "гейзер", sv: "geyser"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.HBR",
      definition: {en: "a haven or space of deep water so sheltered by the adjacent land as to afford a safe anchorage for ships", ru: "естественная или искусственная защищенная от ветра и волн прибрежная часть водного пространства, служащая местом стоянки, причала и ремонта судов"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.HBR",
      prefLabel: {en: "harbor(s)", bg: "пристанище(а)", no: "havn", ru: "гавань", sv: "hamn(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.HBRX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.HBRX",
      prefLabel: {en: "section of harbor", bg: "част от пристанище", no: "del av havn", ru: "участок гавани", sv: "del av hamn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.INLT",
      definition: {en: "a narrow waterway extending into the land, or connecting a bay or lagoon with a larger body of water", ru: "узкий водный путь, простирающийся до суши; или связывающий бухту или лагуну с большим водным образованием"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.INLT",
      prefLabel: {en: "inlet", bg: "проток", no: "innløp", ru: "узкий пролив", sv: "vik, sund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.INLTQ",
      definition: {en: "an inlet which has been filled in, or blocked by deposits", ru: "узкий пролив, который ранее был пригоден для судоходства, в настоящее время пролив засыпан"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.INLTQ",
      prefLabel: {en: "former inlet", bg: "бивш проток", no: "tidligere innløp", ru: "засыпанный узкий пролив", sv: "tidigare vik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LBED",
      definition: {en: "a dried up or drained area of a former lake", ru: "место, которое осталось после высохшего или специально осушенного озера"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LBED",
      prefLabel: {en: "lake bed(s)", bg: "легло на езеро(а)", no: "gammel innsjøbunn", ru: "озерная котловина", sv: "sjöbotten"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LGN",
      definition: {en: "a shallow coastal waterbody, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature", ru: "мелководный залив или озеро, отделившиеся от моря вследствие образования песчаной полосы"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LGN",
      prefLabel: {en: "lagoon", bg: "лагуна", no: "lagune", ru: "лагуна", sv: "lagun"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LGNS",
      definition: {en: "shallow coastal waterbodies, completely or partly separated from a larger body of water by a barrier island, coral reef or other depositional feature", ru: "мелководные заливы или озеро, отделившиеся от моря вследствие образования песчаной полосы"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LGNS",
      prefLabel: {en: "lagoons", bg: "лагуни", no: "laguner", ru: "лагуны", sv: "laguner"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LGNX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LGNX",
      prefLabel: {en: "section of lagoon", bg: "част от кагуна", no: "del av lagune", ru: "участок лагуны", sv: "del av lagun"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LK",
      definition: {en: "a large inland body of standing water", ru: "замкнутый естественный водоём в углублении суши, котловине"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LK",
      prefLabel: {en: "lake", bg: "езеро", no: "innsjø", ru: "озеро", sv: "sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKC",
      definition: {en: "a lake in a crater or caldera", ru: "озеро в кратере или кальдере (круглое или овальное углубление в жерле вулкана)"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKC",
      prefLabel: {en: "crater lake", bg: "вулканично езеро", no: "kratersjø", ru: "кратерное озеро", sv: "kratersjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKI",
      prefLabel: {en: "intermittent lake", bg: "пресъхващо езеро", no: "tilbakevendende innsjø", ru: "временно исчезающее озеро", sv: "periodisk sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKN",
      definition: {en: "an inland body of salt water with no outlet", ru: "озеро, вода которого сильно минерализована; содержит большое количество солей"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKN",
      prefLabel: {en: "salt lake", bg: "солено езеро", no: "saltsjø", ru: "соленое озеро", sv: "saltsjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKNI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKNI",
      prefLabel: {en: "intermittent salt lake", bg: "пресъхващо солено езеро", no: "tilbakevendende saltsjø", ru: "временно исчезающее соленое озеро", sv: "periodisk saltsjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKO",
      definition: {en: "a crescent-shaped lake commonly found adjacent to meandering streams", ru: "серповидное озеро, прилегающее  к извилистым рекам"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKO",
      prefLabel: {en: "oxbow lake", bg: "корекция", no: "kroksjø", ru: "пойменное озеро", sv: "uformad sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKOI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKOI",
      prefLabel: {en: "intermittent oxbow lake", bg: "пресъхващи корекции", no: "tilbakevendende kroksjø", ru: "временно исчезающее пойменное озеро", sv: "peridodisk uformad sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKS",
      definition: {en: "large inland bodies of standing water", ru: "замкнутые естественные водоёмы в углублении суши, котловине"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKS",
      prefLabel: {en: "lakes", bg: "езера", no: "innsjøer", ru: "озера", sv: "sjöar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKSB",
      definition: {en: "a standing body of water in a cave", ru: "озеро в карстовых пещерах, питающееся подземными водами"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKSB",
      prefLabel: {en: "underground lake", bg: "подземни езера", no: "underjordisk innsjø", ru: "подземное озеро", sv: "underjordisk sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKSC",
      definition: {en: "lakes in a crater or caldera", ru: "озера в кратере или кальдере (круглое или овальное углубление в жерле вулкана)"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKSC",
      prefLabel: {en: "crater lakes", bg: "вулканични езера", no: "kratersjøer", ru: "кратерные озера", sv: "kratersjöar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKSI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKSI",
      prefLabel: {en: "intermittent lakes", bg: "пресъхващи езера", no: "tilbakevendende innsjøer", ru: "исчезающие озера", sv: "periodiska sjöar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKSN",
      definition: {en: "inland bodies of salt water with no outlet", ru: "озера, вода которых сильно минерализована; содержит большое количество солей"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKSN",
      prefLabel: {en: "salt lakes", bg: "солени езера", no: "saltsjøer", ru: "соленые озера", sv: "saltsjöar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKSNI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKSNI",
      prefLabel: {en: "intermittent salt lakes", bg: "пресъхващи солени езера", no: "tilbakevendende saltsjøer", ru: "исчезающие соленые озера", sv: "periodiska saltsjöar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.LKX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.LKX",
      prefLabel: {en: "section of lake", bg: "част от езеро", no: "del av innsjø", ru: "участок озера", sv: "del av sjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.MFGN",
      definition: {en: "diked salt ponds used in the production of solar evaporated salt", ru: "обвалованный соленые пруды, используемые в производстве  выварочной соли"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.MFGN",
      prefLabel: {en: "salt evaporation ponds", bg: "солено испаряващо се езерце", no: "saltutvinningsbasseng", ru: "соленый испарительный пруд", sv: "saltdammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.MGV",
      definition: {en: "a tropical tidal mud flat characterized by mangrove vegetation", ru: "связанная с приливами и отливами, тропическая, илистая, равнинная местность, на которой произрастают мангровые растения"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.MGV",
      prefLabel: {en: "mangrove swamp", bg: "мангрови блата", no: "mangrovesump", ru: "мангровое болото", sv: "mangroveträsk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.MOOR",
      definition: {en: "an area of open ground overlaid with wet peaty soils", ru: "залежи торфа, торфяное болото"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.MOOR",
      prefLabel: {en: "moor(s)", bg: "тресавище(а)", no: "mo", ru: "торфяник", sv: "hed(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.MRSH",
      definition: {en: "a wetland dominated by grass-like vegetation", ru: "заболоченная территория, заросшая травой"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.MRSH",
      prefLabel: {en: "marsh(es)", bg: "мочурище(а)", no: "myr", ru: "травяное болото", sv: "moras, sumpmark"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.MRSHN",
      definition: {en: "a flat area, subject to periodic salt water inundation, dominated by grassy salt-tolerant plants", ru: "равнинная местность, подверженная затоплению соленой водой; здесь произрастают преимущественно травянистые солеустойчивые растения"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.MRSHN",
      prefLabel: {en: "salt marsh", bg: "солени мочурища", no: "marskland", ru: "соленое травяное болото", sv: "salt sumpmark"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.NRWS",
      definition: {en: "a navigable narrow part of a bay, strait, river, etc.", ru: "район водной поверхности, доступный для плавания по ширине и по глубинам, но стесняющий свободное маневрирование из-за близости берегов, рифов, отмелей и кос"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.NRWS",
      prefLabel: {en: "narrows", bg: "тясна част на протоци", no: "smale sund", ru: "узкости", sv: "trångt sund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.OCN",
      definition: {en: "one of the major divisions of the vast expanse of salt water covering part of the earth", ru: "непрерывная водная оболочка Земли, окружающая материки и острова и обладающая общностью солевого состава"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.OCN",
      prefLabel: {en: "ocean", bg: "океан", no: "hav", ru: "океан", sv: "hav"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.OVF",
      definition: {en: "an area of breaking waves caused by the meeting of currents or by waves moving against the current", ru: "круговращательное движение воды, происходящее от столкновения встречных течений"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.OVF",
      prefLabel: {en: "overfalls", bg: "бързеи", no: "brenninger", ru: "водоворот", sv: "vattenfall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PND",
      definition: {en: "a small standing waterbody", ru: "небольшой водоем со стоячей водой"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PND",
      prefLabel: {en: "pond", bg: "поток", no: "tjern", ru: "пруд", sv: "damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDI",
      prefLabel: {en: "intermittent pond", bg: "пресъхващ поток", no: "tilbakevendende tjern", ru: "временно исчезающий пруд", sv: "periodisk damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDN",
      definition: {en: "a small standing body of salt water often in a marsh or swamp, usually along a seacoast", ru: "небольшой водоем с соленой водой, обычно в болотистой местности, или вдоль морского побережья"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDN",
      prefLabel: {en: "salt pond", bg: "солено езерце", no: "saltvannsdam", ru: "соленый пруд", sv: "saltdamm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDNI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDNI",
      prefLabel: {en: "intermittent salt pond(s)", bg: "пресъхващо солено езерце(а)", no: "tilbakevendende saltvannsdam", ru: "временно исчезающий соленый пруд", sv: "periodiska saltdammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDS",
      definition: {en: "small standing waterbodies", ru: "небольшие водоемы со стоячей водой"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDS",
      prefLabel: {en: "ponds", bg: "езерца", no: "dammer", ru: "пруды", sv: "dammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDSF",
      definition: {en: "ponds or enclosures in which fish are kept or raised", ru: "специальный искусственный водоем, в котором разводят рыб"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDSF",
      prefLabel: {en: "fishponds", bg: "рибарник", no: "fiskedammer", ru: "пруд для разведения рыб", sv: "fiskdammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDSI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDSI",
      prefLabel: {en: "intermittent ponds", bg: "пресъхващи езерца", no: "tilbakevendende dammer", ru: "временно исчезающие пруды", sv: "periodiska dammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.PNDSN",
      definition: {en: "small standing bodies of salt water often in a marsh or swamp, usually along a seacoast", ru: "небольшие водоемы с соленой водой, обычно в болотистой местности, или вдоль морского побережья"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.PNDSN",
      prefLabel: {en: "salt ponds", bg: "солени езерца", no: "saltvannsdammer", ru: "соленые пруды", sv: "saltdammar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.POOL",
      definition: {en: "a small and comparatively still, deep part of a larger body of water such as a stream or harbor; or a small body of standing water", ru: "водоем со стоячей водой"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.POOL",
      prefLabel: {en: "pool(s)", bg: "вир(ове)", no: "kulp", ru: "бассейн", sv: "pöl, damm, pool"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.POOLI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.POOLI",
      prefLabel: {en: "intermittent pool", bg: "пресъхващи вирове", no: "tilbakevendende kulp", ru: "временно исчезающий водоем", sv: "peridodisk pool"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RCH",
      definition: {en: "a straight section of a navigable stream or channel between two bends", ru: "участок реки между изгибами, перекатами с широким, спокойным течением и большей, чем на перекатах, глубиной"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RCH",
      prefLabel: {en: "reach", bg: "част на река между два завоя/на канал между два шлюза", no: "rett elve- eller kanalstrekning", ru: "плёс", sv: "utvidgning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RDGG",
      definition: {en: "a linear elevation on an icecap", ru: "узкая и длинная возвышенность на ледниковой поверхности"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RDGG",
      prefLabel: {en: "icecap ridge", bg: "заледена част на река между два завоя/на канал между два шлюза", no: "iskapperygg", ru: "шапка полярного льда", sv: "iskalottsfåra"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RDST",
      definition: {en: "an open anchorage affording less protection than a harbor", ru: "часть акватории порта, предназначенная для якорной стоянки судов и перегрузки грузов"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RDST",
      prefLabel: {en: "roadstead", bg: "пристанище далеч от брега", no: "åpen ankerplass", ru: "рейд", sv: "redd"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RF",
      definition: {en: "a surface-navigation hazard composed of consolidated material", ru: "резкое надводное или подводное возвышение морского дна на мелководьях, препятствующее судоходству"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RF",
      prefLabel: {en: "reef(s)", bg: "риф(ове)", no: "rev", ru: "риф(ы)", sv: "rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RFC",
      definition: {en: "a surface-navigation hazard composed of coral", ru: "подводные геологические образования из органогенных известняков, представляющие собой препятствия (опасности) для навигации"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RFC",
      prefLabel: {en: "coral reef(s)", bg: "коралов риф(ове)", no: "korallrev", ru: "коралловые рифы", sv: "korallrev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RFX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RFX",
      prefLabel: {en: "section of reef", bg: "част от риф", no: "del av rev", ru: "участок риф", sv: "del av rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RPDS",
      definition: {en: "a turbulent section of a stream associated with a steep, irregular stream bed", ru: "мелководный каменистый или скалистый участок в русле реки с относительно большим падением уровня воды и повышенной скоростью течения"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RPDS",
      prefLabel: {en: "rapids", bg: "бързеи", no: "stryk", ru: "пороги реки", sv: "forsar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RSV",
      definition: {en: "an artificial pond or lake", ru: "искусственный водоём, образованный, как правило, в долине реки водоподпорными сооружениями для накопления и хранения воды в целях её использования в народном хозяйстве"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RSV",
      prefLabel: {en: "reservoir(s)", bg: "водохранилище(а)", no: "reservoar", ru: "водохранилище", sv: "reservoar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RSVI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RSVI",
      prefLabel: {en: "intermittent reservoir", bg: "пресъхващи водохранилища", no: "tilbakevendende reservoar", ru: "периодически пересыхающее водохранилище", sv: "periodisk reservoar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RSVT",
      definition: {en: "a contained pool or tank of water at, below, or above ground level", ru: "наполненный водой бак или резервуар, находящийся на, выше или ниже уровня земли"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RSVT",
      prefLabel: {en: "water tank", bg: "воден ресервуар", no: "vanntank", ru: "водяной бак", sv: "vattentank"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.RVN",
      definition: {en: "a small, narrow, deep, steep-sided stream channel, smaller than a gorge", ru: "глубокая длинная впадина на поверхности земли, образовавшаяся от действия дождевых и талых вод"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.RVN",
      prefLabel: {en: "ravine(s)", bg: "клисура(и)", no: "ravine", ru: "овраг", sv: "ravin(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SBKH",
      definition: {en: "a salt flat or salt encrusted plain subject to periodic inundation from flooding or high tides", ru: "замкнутое бессточное понижение рельефа с плоским глинистым днищем, занятым солончаками"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SBKH",
      prefLabel: {en: "sabkha(s)", bg: "сухо легло на солено езеро(а)", no: "sabkha (oversvømt område)", ru: "себха", sv: "sabkha"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SD",
      definition: {en: "a long arm of the sea forming a channel between the mainland and an island or islands; or connecting two larger bodies of water", ru: "длинный морской рукав, образующий пролив между материком и островом, или островами"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SD",
      prefLabel: {en: "sound", bg: "морски ръкав", no: "sund", ru: "широкая лагуна", sv: "sund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SEA",
      definition: {en: "a large body of salt water more or less confined by continuous land or chains of islands forming a subdivision of an ocean", ru: "большое водное пространство, ограниченное с одной или нескольких сторон сушей и отделяемое от самого океана островами или возвышенностями подводного рельефа"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SEA",
      prefLabel: {en: "sea", bg: "море", no: "sjø", ru: "море", sv: "hav"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SHOL",
      definition: {en: "a surface-navigation hazard composed of unconsolidated material", ru: "участок (обычно прибрежный) реки, озера и т.п. с небольшой глубиной"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SHOL",
      prefLabel: {en: "shoal(s)", bg: "плитчина(и)", no: "sandgrunne", ru: "мелководье", sv: "grund, rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SILL",
      definition: {en: "the low part of an underwater gap or saddle separating basins, including a similar feature at the mouth of a fjord", ru: "вытянутое горное поднятие на дне океанов и морей. Часто подводные хребты выступают над поверхностью воды в виде островов или целых архипелагов"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SILL",
      prefLabel: {en: "sill", bg: "врата на шлюз", no: "terskel", ru: "подводный хребет", sv: "tröskel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SPNG",
      definition: {en: "a place where ground water flows naturally out of the ground", ru: "водный источник, бьющий, текущий из глубины земли; ключ"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SPNG",
      prefLabel: {en: "spring(s)", bg: "извор(и)", no: "kilde", ru: "родник", sv: "källa(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SPNS",
      definition: {en: "a place where sulphur ground water flows naturally out of the ground", ru: "источник воды, насыщенной сероводородом"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SPNS",
      prefLabel: {en: "sulphur spring(s)", bg: "серен извор(и)", no: "svovelkilde", ru: "серный источник", sv: "svavelkälla(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SPNT",
      definition: {en: "a place where hot ground water flows naturally out of the ground", ru: "источник термальных вод, температура которых выше 20°C"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SPNT",
      prefLabel: {en: "hot spring(s)", bg: "горещ извор(и)", no: "varm kilde", ru: "термальный источник", sv: "varmkälla (or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STM",
      definition: {en: "a body of running water moving to a lower level in a channel on land", ru: "небольшой мелкий водоток с постоянным или временным течением"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STM",
      prefLabel: {en: "stream", bg: "поток", no: "bekk", ru: "ручей", sv: "å, bäck, ström"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMA",
      definition: {en: "a diverging branch flowing out of a main stream and rejoining it downstream", ru: "водоток, отходящий от реки и впадающий в неё ниже по течению;"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMA",
      prefLabel: {en: "anabranch", bg: "речен скален остров", no: "elvearm som vender tilbake til hovedløpet", ru: "протока", sv: "bifurkation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMB",
      definition: {en: "a conspicuously curved or bent segment of a stream", ru: "крутой поворот, изгиб ручья"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMB",
      prefLabel: {en: "stream bend", bg: "завой на поток", no: "elvesving", ru: "излучина ручья", sv: "åkrök"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMC",
      definition: {en: "a stream that has been substantially ditched, diked, or straightened", ru: "естественный или искусственный водный поток канала"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMC",
      prefLabel: {en: "canalized stream", bg: "канализиран поток", no: "kanalisert bekk", ru: "водоток канала", sv: "kanaliserat vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMD",
      definition: {en: "a branch which flows away from the main stream, as in a delta or irrigation canal", ru: "ответвление, отходящее от главного русла реки"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMD",
      prefLabel: {en: "distributary(-ies)", bg: "речен ръкав(и)", no: "flodarm som ikke vender tilbake til hovedløpet", ru: "рукав реки", sv: "biflod(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMH",
      definition: {en: "the source and upper part of a stream, including the upper drainage basin", ru: "часть реки, близкая к её истокам; прилегающая к ней местность"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMH",
      prefLabel: {en: "headwaters", bg: "горен бйеф", no: "utspring", ru: "верховье", sv: "källfloder"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMI",
      prefLabel: {en: "intermittent stream", bg: "пресъхващ поток", no: "tilbakevendende bekk", ru: "река с периодическим водотоком", sv: "periodiskt vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMIX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMIX",
      prefLabel: {en: "section of intermittent stream", bg: "част от пресъхващ пото", no: "del av tilbakevendende bekk", ru: "участок реки с периодическим водотоком", sv: "del av periodiskt vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMM",
      definition: {en: "a place where a stream discharges into a lagoon, lake, or the sea", ru: "место впадения реки (в море, озеро и т.п.), конечный участок нижнего течения реки"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMM",
      prefLabel: {en: "stream mouth(s)", bg: "планински поток(и)", no: "bekkeutløp", ru: "устье реки", sv: "åmynning(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMQ",
      definition: {en: "a former stream or distributary no longer carrying flowing water, but still evident due to lakes, wetland, topographic or vegetation patterns", ru: "водоем, в котором больше нет воды, но который еще заметный благодаря его топографическим или растительным особенностям"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMQ",
      prefLabel: {en: "abandoned watercourse", bg: "пресъхнали реки", no: "inntørket elveleie", ru: "высохший водоем", sv: "övergivet vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMS",
      definition: {en: "bodies of running water moving to a lower level in a channel on land", ru: "небольшие мелкие водотоки с постоянным или временным течением"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMS",
      prefLabel: {en: "streams", bg: "потоци", no: "bekker", ru: "ручьи", sv: "vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMSB",
      definition: {en: "a surface stream that disappears into an underground channel, or dries up in an arid area", ru: "река,  полностью высохшая или превратившаяся в подземный канал"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMSB",
      prefLabel: {en: "lost river", bg: "изгубващи се реки", no: "elv uten utløp", ru: "высохшая река", sv: "lost river"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STMX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STMX",
      prefLabel: {en: "section of stream", bg: "част от поток", no: "del av bekk", ru: "участок ручья", sv: "del av vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.STRT",
      definition: {en: "a relatively narrow waterway, usually narrower and less extensive than a sound, connecting two larger bodies of water", ru: "узкое водное пространство, разъединяющее участки суши и соединяющее водоёмы (моря, озёра и т.п.) или их части"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.STRT",
      prefLabel: {en: "strait", bg: "пролив", no: "sund", ru: "пролив", sv: "sund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SWMP",
      definition: {en: "a wetland dominated by tree vegetation", ru: "заболоченная территория, на которой преобладает древесная растительность"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SWMP",
      prefLabel: {en: "swamp", bg: "язовир", no: "sump", ru: "лесное болото", sv: "träsk, sumpmark, kärr"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.SYSI",
      definition: {en: "a network of ditches and one or more of the following elements: water supply, reservoir, canal, pump, well, drain, etc.", ru: "земельная территория вместе с сетью каналов и др. гидротехнических и эксплуатационных сооружений, обеспечивающих её орошение"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.SYSI",
      prefLabel: {en: "irrigation system", bg: "напоителен язовир", no: "vanningssystem", ru: "оросительная система", sv: "bevattningssystem"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.TNLC",
      definition: {en: "a tunnel through which a canal passes", ru: "тоннель, сооружаемый при пересечении судоходным каналом возвышенности, горного хребта и т. п."},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.TNLC",
      prefLabel: {en: "canal tunnel", bg: "канален тунел", no: "kanaltunnel", ru: "судоходный тоннель", sv: "canal tunnel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WAD",
      definition: {en: "a valley or ravine, bounded by relatively steep banks, which in the rainy season becomes a watercourse; found primarily in North Africa and the Middle East", ru: "русло или долина пересыхающего водотока; в Азии, в Африке"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WAD",
      prefLabel: {en: "wadi", bg: "сухи речни корита (вади)", no: "wadi", ru: "вади", sv: "flod"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WADB",
      definition: {en: "a conspicuously curved or bent segment of a wadi", ru: "изогнутый участок вади"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WADB",
      prefLabel: {en: "wadi bend", bg: "извивка на вади", no: "wadi-sving", ru: "излучина вади", sv: "flodkrök"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WADJ",
      definition: {en: "a place where two or more wadies join"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WADJ",
      prefLabel: {en: "wadi junction", bg: "възел на вади", no: "wadi-sammenløp", ru: "место слияния двух или более вади", sv: "flodförbindning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WADM",
      definition: {en: "the lower terminus of a wadi where it widens into an adjoining floodplain, depression, or waterbody", ru: "место впадения вади (в море, озеро и т.п.), конечный участок нижнего течения вади"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WADM",
      prefLabel: {en: "wadi mouth", bg: "гърло на вади", no: "wadi-utløp", ru: "устье вади", sv: "flodmynning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WADS",
      definition: {en: "valleys or ravines, bounded by relatively steep banks, which in the rainy season become watercourses; found primarily in North Africa and the Middle East", ru: "русла или долины пересыхающих водотоков; в Азии, в Африке"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WADS",
      prefLabel: {en: "wadies", bg: "множество вади", no: "wadier", ru: "множество вади", sv: "floder"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WADX",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WADX",
      prefLabel: {en: "section of wadi", bg: "част от вади", no: "del av wadi", ru: "участок вади", sv: "del av flod"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WHRL",
      definition: {en: "a turbulent, rotating movement of water in a stream", ru: "вращательное движение воды в реках, морях и т.п.; место, где происходит такое движение"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WHRL",
      prefLabel: {en: "whirlpool", bg: "водовъртеж", no: "strømvirvel", ru: "водоворот", sv: "virvel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WLL",
      definition: {en: "a cylindrical hole, pit, or tunnel drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface", ru: "глубокая яма с отвесными стенками, обычно защищённая от обвалов срубом, служащая для добывания воды из водоносных слоёв земли"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WLL",
      prefLabel: {en: "well", bg: "кладенец", no: "brønn", ru: "колодец", sv: "brunn, källa"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WLLQ",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WLLQ",
      prefLabel: {en: "abandoned well", bg: "изоставен кладенец", no: "forlatt brønn", ru: "заброшенный колодец", sv: "övergiven källa"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WLLS",
      definition: {en: "cylindrical holes, pits, or tunnels drilled or dug down to a depth from which water, oil, or gas can be pumped or brought to the surface", ru: "глубокие ямы с отвесными стенками, обычно защищённые от обвалов срубом, служащие для добывания воды из водоносных слоёв земли"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WLLS",
      prefLabel: {en: "wells", bg: "кладенци", no: "brønner", ru: "колодцы", sv: "källor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WTLD",
      definition: {en: "an area subject to inundation, usually characterized by bog, marsh, or swamp vegetation", ru: "территория, подвергающаяся частым наводнениям; здесь часто образуются болота, на которых растет характерная для них болотная растительность"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WTLD",
      prefLabel: {en: "wetland", bg: "влажни зони", no: "våtmark", ru: "заболоченная местность", sv: "våtmark"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WTLDI",
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WTLDI",
      prefLabel: {en: "intermittent wetland", bg: "пресъхващи влажни зони", no: "tilbakevendende våtmark", ru: "периодически затопляемая территория", sv: "periodisk våtmark"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WTRC",
      definition: {en: "a natural, well-defined channel produced by flowing water, or an artificial channel designed to carry flowing water", ru: "стремительно текущая река или ручей"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WTRC",
      prefLabel: {en: "watercourse", bg: "речно корито", no: "vannløp", ru: "поток", sv: "vattendrag"},
      type: "http://www.geonames.org/ontology#Code"
    term :"H.WTRH",
      definition: {en: "a natural hole, hollow, or small depression that contains water, used by man and animals, especially in arid areas", ru: "естественное углубление, в котором собирается вода"},
      inScheme: "http://www.geonames.org/ontology#H",
      notation: "H.WTRH",
      prefLabel: {en: "waterhole(s)", bg: "гьол(ове)", no: "vannhull", ru: "водяная яма", sv: "vattenhål"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.AGRC",
      definition: {en: "a tract of land set aside for agricultural settlement", ru: "участок земли, отведенный для сельскохозяйственных поселений"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.AGRC",
      prefLabel: {en: "agricultural colony", bg: "селскостопанска колония", no: "landbrukskoloni", ru: "сельскохозяйственная колония", sv: "jordbrukskoloni"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.AMUS",
      definition: {en: "Amusement Park are theme parks, adventure parks offering entertainment, similar to funfairs but with a fix location", ru: "парк развлечений, то же, что и ярмарка, только с постоянным месторасположением"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.AMUS",
      prefLabel: {en: "amusement park", bg: "amusement park", no: "amusement park", ru: "Парк аттракционов  (ПКиО)", sv: "nöjespark"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.AREA",
      definition: {en: "a tract of land without homogeneous character or boundaries", ru: "местность, земля, край; часть какой-либо территории (страны, государства, материка, земной суши и т.п.), выделяемая при районировании по определённому существенному признаку"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.AREA",
      prefLabel: {en: "area", bg: "регион", no: "område", ru: "Область", sv: "area, område"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.BSND",
      definition: {en: "an area drained by a stream", ru: "поверхность, с которой речная система, море или озеро собирают воды"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.BSND",
      prefLabel: {en: "drainage basin", bg: "доден басейн", no: "dreneringsbasseng", ru: "Водосборный бассейн", sv: "vattenuppsamlingsområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.BSNP",
      definition: {en: "an area underlain by an oil-rich structural basin", ru: "область с богатой нефтью структурной впадиной"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.BSNP",
      prefLabel: {en: "petroleum basin", bg: "нефтен басейн", no: "petroleumsbasseng", ru: "нефтегазовый бассейн", sv: "råoljebassäng"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.BTL",
      definition: {en: "a site of a land battle of historical importance", ru: "район боевых действий; имеет важное историческое значение"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.BTL",
      prefLabel: {en: "battlefield", bg: "полесражение", no: "slagmark", ru: "поле боя", sv: "slagfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CLG",
      definition: {en: "an area in a forest with trees removed", ru: "открытое пространство в парке или в лесу"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CLG",
      prefLabel: {en: "clearing", bg: "сечище", no: "lysning", ru: "поляна", sv: "uthuggning, röjt område"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CMN",
      definition: {en: "a park or pasture for community use", ru: "земли (выгоны, сенокосы, леса), которые  находятся в общем пользовании"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CMN",
      prefLabel: {en: "common", bg: "обществена собственост", no: "allmenning", ru: "общинные земли", sv: "allmänt område"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CNS",
      definition: {en: "a lease of land by a government for economic development, e.g., mining, forestry", ru: "арендуемая государством земля, пользование которой необходимо для экономического развития, например, шахты, лесные массивы"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CNS",
      prefLabel: {en: "concession area", bg: "концесионен район", no: "konsesjonsområde", ru: "лицензионная территория", sv: "koncessionsområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.COLF",
      definition: {en: "a region in which coal deposits of possible economic value occur", ru: "площадь непрерывного или островного распространения угленосных формаций, значительная по размерам или запасам угля"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.COLF",
      prefLabel: {en: "coalfield", bg: "въглищно находище", no: "kullfelt", ru: "угольный бассейн", sv: "kolfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CONT",
      definition: {en: "continent : Europe, Africa, Asia, North America, South America, Oceania,Antarctica", ru: "континент: Евразия, Африка, Северная Америка, Южная Америка, Антарктида, Австралия, Океания"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CONT",
      prefLabel: {en: "continent", bg: "континент", no: "kontinent", ru: "континент", sv: "kontinent"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CST",
      definition: {en: "a zone of variable width straddling the shoreline", ru: "полоса суши, примыкающая к водной поверхности моря или океана и взаимодействующая с ним"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CST",
      prefLabel: {en: "coast", bg: "крайбрежие", no: "kyst", ru: "морской берег", sv: "kust"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.CTRB",
      definition: {en: "a place where a number of businesses are located", ru: "деловая часть города"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.CTRB",
      prefLabel: {en: "business center", bg: "бизнес център", no: "forretningssenter", ru: "бизнес центр", sv: "affärscenter"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.DEVH",
      definition: {en: "a tract of land on which many houses of similar design are built according to a development plan", ru: "часть застроенной территории населенного пункта, предполагающая целостность архитектурного замысла"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.DEVH",
      prefLabel: {en: "housing development", bg: "жилищна зона", no: "boligområde", ru: "квартал", sv: "housing development"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.FLD",
      definition: {en: "an open as opposed to wooded area", ru: "безлесная равнина, ровное (в отличие от селения, леса) обширное пространство"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.FLD",
      prefLabel: {en: "field(s)", bg: "поле(та)", no: "åker", ru: "поле", sv: "fält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.FLDI",
      definition: {en: "a tract of level or terraced land which is irrigated", ru: "участки земли, подготовленные для естественной биологической очистки сточных вод и выращивания с.-х. растений"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.FLDI",
      prefLabel: {en: "irrigated field(s)", bg: "напоявани полета", no: "overrislet åker", ru: "ирригационные поля", sv: "(konst)bevattnade fält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.GASF",
      definition: {en: "an area containing a subterranean store of natural gas of economic value", ru: "совокупность залежей природного газа на определенной территории"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.GASF",
      prefLabel: {en: "gasfield", bg: "залежи от гас", no: "gassfelt", ru: "месторождение газа", sv: "gasfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.GRAZ",
      definition: {en: "an area of grasses and shrubs used for grazing", ru: "участок травянистой растительности, используемый и поддерживаемый для выпаса домашних животных"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.GRAZ",
      prefLabel: {en: "grazing area", bg: "тревиста зона", no: "beiteområde", ru: "пастбище", sv: "betesområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.GVL",
      definition: {en: "an area covered with gravel", ru: "покрытая гравием территория"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.GVL",
      prefLabel: {en: "gravel area", bg: "едрозърнест пясък", no: "grusområde", ru: "покрытие из гравия", sv: "grusområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.INDS",
      definition: {en: "an area characterized by industrial activity", ru: "территория с ярко выраженной индустриально-производственной специализацией"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.INDS",
      prefLabel: {en: "industrial area", bg: "индустриална зона", no: "industriområde", ru: "промышленный район", sv: "industriområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.LAND",
      definition: {en: "a tract of land in the Arctic", ru: "участок земли в Арктике"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.LAND",
      prefLabel: {en: "arctic land", bg: "арктически територии", no: "arktisk landskap", ru: "арктические земли", sv: "arktiskt land"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.LCTY",
      definition: {en: "a minor area or place of unspecified or mixed character and indefinite boundaries", ru: "название низовой административно-территориальной единицы"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.LCTY",
      prefLabel: {en: "locality", bg: "местност", no: "trakt", ru: "район", sv: "locality"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.MILB",
      definition: {en: "a place used by an army or other armed service for storing arms and supplies, and for accommodating and training troops, a base from which operations can be initiated", ru: "территория (важный в стратегическом или политическом отношении пункт, район) и размещенные на ней войска с запасами оружия, боеприпасов, продовольствия и других материальных средств, необходимых для боевой и повседневной деятельности"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.MILB",
      prefLabel: {en: "military base", bg: "военна база", no: "militærbase", ru: "военная база", sv: "militärbas"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.MNA",
      definition: {en: "an area of mine sites where minerals and ores are extracted", ru: "район добычи полезных ископаемых"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.MNA",
      prefLabel: {en: "mining area", bg: "полезни ископаеми", no: "gruveområde", ru: "район разработки", sv: "gruvområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.MVA",
      definition: {en: "a tract of land where military field exercises are carried out", ru: "участок суши или моря, предназначенный для испытаний различных видов оружия, боевых средств и техники, а также для боевой подготовки войск"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.MVA",
      prefLabel: {en: "maneuver area", bg: "военен полигон", no: "militært treningsområde", ru: "полигон", sv: "maneuver area"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.NVB",
      definition: {en: "an area used to store supplies, provide barracks for troops and naval personnel, a port for naval vessels, and from which operations are initiated", ru: "оборудованный и обороняемый район (зона) побережья и прилегающего участка моря обычно с несколькими пунктами базирования кораблей, с силами и средствами, предназначенными для обороны"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.NVB",
      prefLabel: {en: "naval base", bg: "военоворска база", no: "marinebase", ru: "военно-морская база", sv: "marinbas"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.OAS",
      definition: {en: "an area in a desert made productive by the availability of water", ru: "участок пустыни или полупустыни с обильным естественным или искусственным увлажнением, обусловленным близостью рек и грунтовых вод, и с богатой растительностью"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.OAS",
      prefLabel: {en: "oasis(-es)", bg: "оазис(и)", no: "oase", ru: "оазис", sv: "oas(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.OILF",
      definition: {en: "an area containing a subterranean store of petroleum of economic value", ru: "место под землей, где залегают запасы нефти"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.OILF",
      prefLabel: {en: "oilfield", bg: "петролно находище", no: "oljefelt", ru: "нефтяное месторождение", sv: "oljefält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.PEAT",
      definition: {en: "an area where peat is harvested", ru: "место, где добывают торф"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.PEAT",
      prefLabel: {en: "peat cutting area", bg: "торфено находище", no: "torvskjæringsområde", ru: "торфяное месторождение", sv: "torvfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.PRK",
      definition: {en: "an area, often of forested land, maintained as a place of beauty, or for recreation", ru: "обширная озелененная территория, благоустроенная и художественно оформленная для отдыха под открытым небом"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.PRK",
      prefLabel: {en: "park", bg: "парк", no: "park", ru: "парк", sv: "park"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.PRT",
      definition: {en: "a place provided with terminal and transfer facilities for loading and discharging waterborne cargo or passengers, usually located in a harbor", ru: "место с закрытым водным пространством, специально оборудованное для стоянки, погрузки и разгрузки судов, гавань"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.PRT",
      prefLabel: {en: "port", bg: "пристанище", no: "havn", ru: "порт", sv: "hamn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.QCKS",
      definition: {en: "an area where loose sand with water moving through it may become unstable when heavy objects are placed at the surface, causing them to sink", ru: "пески, перенасыщенные водой восходящих источников и способные вследствие этого засасывать попадающие на них предметы, животных и человека"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.QCKS",
      prefLabel: {en: "quicksand", bg: "плаващ пясък", no: "kvikksand", ru: "зыбучие пески", sv: "kvicksand"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.REP",
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.REP",
      prefLabel: {en: "republic"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RES",
      definition: {en: "a tract of public land reserved for future use or restricted as to use", ru: "особо охраняемая территория, полностью исключенная из любой хозяйственной деятельности в целях сохранения в нетронутом виде природных комплексов"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RES",
      prefLabel: {en: "reserve", bg: "резерват", no: "regulert område", ru: "заповедник", sv: "reservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESA",
      definition: {en: "a tract of land reserved for agricultural reclamation and/or development", ru: "участок земли, предназначенный для агромелиорации"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESA",
      prefLabel: {en: "agricultural reserve", bg: "аграрен резерват", no: "område regulert til landbruk", ru: "агрозаповедник", sv: "jordbruksreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESF",
      definition: {en: "a forested area set aside for preservation or controlled use", ru: "особо охраняемый участок леса, использование которого контролируется"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESF",
      prefLabel: {en: "forest reserve", bg: "горски резерват", no: "vernet skog", ru: "лесной заповедник", sv: "skogsreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESH",
      definition: {en: "a tract of land used primarily for hunting", ru: "участок территории, выделенный для интенсивного воспроизводства дичи и проведения строго регулируемых охот"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESH",
      prefLabel: {en: "hunting reserve", bg: "ловен резерват", no: "jaktområde", ru: "заповедно-охотничье хозяйство", sv: "jaktreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESN",
      definition: {en: "an area reserved for the maintenance of a natural habitat", ru: "особо охраняемые участки земли, водной поверхности и воздушного пространства над ними, где располагаются природные комплексы и объекты, которые имеют свое научное, культурное, эстетическое и оздоровительное значение, которые изъяты решениями органов государственной власти полностью или частично из хозяйственного использования"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESN",
      prefLabel: {en: "nature reserve", bg: "природен резерват", no: "naturreservat", ru: "особо охраняемая природная  территория", sv: "naturreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESP",
      definition: {en: "an area of palm trees where use is controlled", ru: "место, где растут пальмы, использование которых контролируется"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESP",
      prefLabel: {en: "palm tree reserve", bg: "резерват от палмови дървета", no: "palmereservat", ru: "пальмовый заповедник", sv: "palmträdsreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESV",
      definition: {en: "a tract of land set aside for aboriginal, tribal, or native populations", ru: "территории, отведенные для поселения коренного населения страны"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESV",
      prefLabel: {en: "reservation", bg: "резерват", no: "reservat", ru: "резервация", sv: "reservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RESW",
      definition: {en: "a tract of public land reserved for the preservation of wildlife", ru: "заповедник, территория, где природные богатства (животные и растения) находятся под особой охраной правительства"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RESW",
      prefLabel: {en: "wildlife reserve", bg: "резерват дива природа", no: "viltreservat", ru: "резерват", sv: "viltreservat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RGN",
      definition: {en: "an area distinguished by one or more observable physical or cultural characteristics", ru: "область, район, территория, часть страны, отличающиеся совокупностью естественных или исторически сложившихся экономико-географических условий и национального состава населения"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RGN",
      prefLabel: {en: "region", bg: "регион", no: "region", ru: "регион", sv: "region"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RGNE",
      definition: {en: "a region of a country established for economic development or for statistical purposes", ru: "регион страны, характеризующийся своеобразием природных и экономических условий; деление страны на эк. регионы используется для получения статистических данных"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RGNE",
      prefLabel: {en: "economic region", bg: "икономически регион", no: "økonomisk region", ru: "экономический регион", sv: "ekonomisk region"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RGNH",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RGNH",
      prefLabel: {en: "historical region"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RGNL",
      definition: {en: "a tract of land distinguished by numerous lakes", ru: "место скопления большого количества озер"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RGNL",
      prefLabel: {en: "lake region", bg: "езерен регион", no: "innsjøområde", ru: "озерный край", sv: "sjöregion"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.RNGA",
      definition: {en: "a tract of land used for artillery firing practice", ru: "участок земли, где проходят военные артиллерийские учения"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.RNGA",
      prefLabel: {en: "artillery range", bg: "артилерийски полигон", no: "militært skytefelt", ru: "артиллерийский полигон", sv: "skjutfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.SALT",
      definition: {en: "a shallow basin or flat where salt accumulates after periodic inundation", ru: "мелководье или равнинная местность, где после периодических наводнений собирается соль"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.SALT",
      prefLabel: {en: "salt area", bg: "засолени територии", no: "saltområde", ru: "солевой бассейн", sv: "saltområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.SNOW",
      definition: {en: "an area of permanent snow and ice forming the accumulation area of a glacier", ru: "место скопления многолетнего снега и льда"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.SNOW",
      prefLabel: {en: "snowfield", bg: "перманентна снежна покривка", no: "snødekt område", ru: "ледник", sv: "snöfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.TRB",
      definition: {en: "a tract of land used by nomadic or other tribes", ru: "участок земли, являющийся в течение некоторого времени местом жительства для кочующих племен"},
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.TRB",
      prefLabel: {en: "tribal area", bg: "племенна територия", no: "stammeområde", ru: "территория племени", sv: "stamområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"L.ZZZZZ",
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#L",
      notation: "L.ZZZZZ",
      prefLabel: {en: "master source holdings list"},
      type: "http://www.geonames.org/ontology#Code"
    term :"Marc-Wick",
      "http://xmlns.com/foaf/0.1/name": "Marc Wick",
      type: "http://xmlns.com/foaf/0.1/Person"
    term :"P.PPL",
      definition: {en: "a city, town, village, or other agglomeration of buildings where people live and work", ru: "место, где живут люди (город, село, поселок и т. п.)"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPL",
      prefLabel: {en: "populated place", bg: "населено място", no: "befolket sted", ru: "населенный пункт", sv: "befolkad plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLA",
      definition: {en: "seat of a first-order administrative division (PPLC takes precedence over PPLA)", ru: "центр административного деления первого порядка (столица политического образования предшествует центру АТД первого порядка)"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLA",
      prefLabel: {en: "seat of a first-order administrative\n            division", bg: "център на първостепенна административна единица", no: "sete for primær administrativ inndeling", ru: "центр административного деления первого порядка", sv: "säte för en första ordningens administrativ enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLA2",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLA2",
      prefLabel: {en: "seat of a second-order administrative division", ru: "центр административного деления второго порядка"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLA3",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLA3",
      prefLabel: {en: "seat of a third-order administrative division", ru: "центр административного деления третьего порядка"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLA4",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLA4",
      prefLabel: {en: "seat of a fourth-order administrative division", ru: "центр административного деления четвертого порядка"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLC",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLC",
      prefLabel: {en: "capital of a political entity", bg: "столица на политическо образувание", no: "Hovedstad", ru: "столица политического образования", sv: "huvudstad i politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLF",
      definition: {en: "a populated place where the population is largely engaged in agricultural activities", ru: "населенный пункт, где большая часть населения занята в сельским хозяйством"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLF",
      prefLabel: {en: "farm village", ru: "деревня"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLG",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLG",
      prefLabel: {en: "seat of government of a political entity", bg: "столица на правителство на политическо образувание", no: "regjeringssete i en politisk enhet", ru: "здание правительства политического образования", sv: "säte av ledningen för en politisk enhet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLL",
      definition: {en: "an area similar to a locality but with a small group of dwellings or other buildings", ru: "первичная единица расселения людей в пределах одного застроенного земельного участка: город, поселок городского типа, село. Обязательным признаком населенного пункта является постоянство его использования как места обитания"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLL",
      prefLabel: {en: "populated locality", bg: "населено място", no: "befolket trakt", ru: "населенный пункт", sv: "befolkad ort"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLQ",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLQ",
      prefLabel: {en: "abandoned populated place", bg: "изоставено населено място", no: "avfolket sted", ru: "покинутый населенный пункт", sv: "tidigare befolkad plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLR",
      definition: {en: "a populated place whose population is largely engaged in religious occupations", ru: "населенный пункт, где большую часть населения составляют люди, объединенные одной верой. Например, монастырь"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLR",
      prefLabel: {en: "religious populated place", bg: "религиозен център", no: "religiøst befolket sted", ru: "религиозная община", sv: "religiös befolkad plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLS",
      definition: {en: "cities, towns, villages, or other agglomerations of buildings where people live and work", ru: "первичные единицы расселения людей в пределах одного застроенного земельного участка: город, поселок городского типа, село. Обязательным признаком населенных пункт является постоянство его использования как места обитания."},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLS",
      prefLabel: {en: "populated places", bg: "населени места", no: "befolkede steder", ru: "населенные пункты", sv: "befolkade platser"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLW",
      definition: {en: "a village, town or city destroyed by a natural disaster, or by war", ru: "населенный пункт (деревня, город), пострадавший в результате природной катастрофы или войны"},
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLW",
      prefLabel: {en: "destroyed populated place", bg: "разрушено населено място", no: "ødelagt befolket sted", ru: "разрушенный населенный пункт", sv: "förstörd befolkad plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.PPLX",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.PPLX",
      prefLabel: {en: "section of populated place", bg: "част от населено място", no: "del av befolket sted", ru: "участок населенного пункта", sv: "del av befolkad plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"P.STLMT",
      inScheme: "http://www.geonames.org/ontology#P",
      notation: "P.STLMT",
      prefLabel: {en: "israeli settlement", bg: "израелски поселения", no: "israelsk bosetning", ru: "еврейские поселения", sv: "israelisk bosättning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.CSWY",
      definition: {en: "a raised roadway across wet ground or shallow water", ru: "насыпная дорога для проезда, прохода через топкое место"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.CSWY",
      prefLabel: {en: "causeway", bg: "път в блато", no: "veifylling", ru: "гать", sv: "broväg, höjd gångbana"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.CSWYQ",
      definition: {en: "a causeway no longer used for transportation"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.CSWYQ",
      prefLabel: {en: "former causeway"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.OILP",
      definition: {en: "a pipeline used for transporting oil", ru: "трубопровод для перекачки нефти и нефтепродуктов"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.OILP",
      prefLabel: {en: "oil pipeline", bg: "нефтопровод", no: "oljeledning", ru: "нефтепровод", sv: "oljepipeline"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.PRMN",
      definition: {en: "a place for public walking, usually along a beach front", ru: "место для прогулки, особ. набережная, проспект, бульвар, аллея, палуба корабля"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.PRMN",
      prefLabel: {en: "promenade", bg: "стъргало", no: "promenade", ru: "променад", sv: "promenad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.PTGE",
      definition: {en: "a place where boats, goods, etc., are carried overland between navigable waters", ru: "перевал в верховьях рек различных бассейнов"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.PTGE",
      prefLabel: {en: "portage", bg: "място за пренос на лодки", no: "eid", ru: "волок", sv: "portage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RD",
      definition: {en: "an open way with improved surface for transportation of animals, people and vehicles", ru: "полоса земли, служащая для езды и ходьбы"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RD",
      prefLabel: {en: "road", bg: "път", no: "vei", ru: "дорога", sv: "väg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RDA",
      definition: {en: "the remains of a road used by ancient cultures", ru: "развалины, на месте которых была дорога во времена античности"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RDA",
      prefLabel: {en: "ancient road", bg: "античен път", no: "gammel vei", ru: "старая дорога", sv: "historisk väg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RDB",
      definition: {en: "a conspicuously curved or bent section of a road", ru: "изогнутый участок дороги"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RDB",
      prefLabel: {en: "road bend", bg: "завой на път", no: "veikurve", ru: "поворот дороги", sv: "vägkrök"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RDCUT",
      definition: {en: "an excavation cut through a hill or ridge for a road", ru: "вырытый в горном хребте туннель, через который будет проведена дорога"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RDCUT",
      prefLabel: {en: "road cut", bg: "прекъсване на път", no: "veiskjæring", ru: "выемка грунта под дорогу", sv: "road cut"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RDJCT",
      definition: {en: "a place where two or more roads join", ru: "место пересечения двух или более дорог"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RDJCT",
      prefLabel: {en: "road junction", bg: "кръстопът", no: "veikryss", ru: "перекресток", sv: "vägknytpunkt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RJCT",
      definition: {en: "a place where two or more railroad tracks join", ru: "пункт на пересечении нескольких ж.-д. линий, представляющий собой сложный комплекс разнообразных технических сооружений и устройств"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RJCT",
      prefLabel: {en: "railroad junction", bg: "жп кръстопът", no: "jernbanekryss", ru: "железнодорожный узел", sv: "järnvägsknytpunkt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RR",
      definition: {en: "a permanent twin steel-rail track on which freight and passenger cars move long distances", ru: "рельсовый путь, предназначенный для движения поездов"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RR",
      prefLabel: {en: "railroad", bg: "жп линия", no: "jernbane", ru: "железная дорога", sv: "järnväg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RRQ",
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RRQ",
      prefLabel: {en: "abandoned railroad", bg: "изоставена жп линия", no: "nedlagt jernbane", ru: "заброшенная железная дорога", sv: "övergiven järnväg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RTE",
      definition: {en: "the route taken by caravans", ru: "маршрут следования караванов"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RTE",
      prefLabel: {en: "caravan route", bg: "Керванен път", no: "karavanerute", ru: "караванный путь", sv: "karavanväg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.RYD",
      definition: {en: "a system of tracks used for the making up of trains, and switching and storing freight cars", ru: "техническая железнодорожная станция для расформирования и формирования различных категорий поездов, выполнение техническое обслуживание и коммерческий осмотр составов поездов и устранение выявленных неисправностей вагонов, смена локомотивов и локомотивных бригад"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.RYD",
      prefLabel: {en: "railroad yard", bg: "жп парк", no: "jernbaneområde", ru: "сортировочная станция", sv: "railroad yard"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.ST",
      definition: {en: "a paved urban thoroughfare", ru: "пространство между двумя рядами домов в населенных пунктах для проезда и прохода"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.ST",
      prefLabel: {en: "street", bg: "улица", no: "gate", ru: "улица", sv: "väg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.STKR",
      definition: {en: "a route taken by livestock herds", ru: "маршрут перегона крупного рогатого домашнего скота"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.STKR",
      prefLabel: {en: "stock route", bg: "път на стада", no: "rute for krøtterdrift", ru: "скотопрогон", sv: "boskapsled"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TNL",
      definition: {en: "a subterranean passageway for transportation", ru: "подземное сооружение, служащее для транспортных целей"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TNL",
      prefLabel: {en: "tunnel", bg: "тунел", no: "tunnel", ru: "туннель", sv: "tunnel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TNLN",
      definition: {en: "a cave that is open at both ends", ru: "пещера, открытая с двух концов"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TNLN",
      prefLabel: {en: "natural tunnel", bg: "естествен тунел", no: "naturlig tunnel", ru: "природный туннель", sv: "naturlig tunnel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TNLRD",
      definition: {en: "a tunnel through which a road passes", ru: "тоннель, через который проходит дорога"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TNLRD",
      prefLabel: {en: "road tunnel", bg: "пътен тунел", no: "veitunnel", ru: "автодорожный туннель", sv: "vägtunnel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TNLRR",
      definition: {en: "a tunnel through which a railroad passes", ru: "тоннель, по которому проходит ж/д дорога"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TNLRR",
      prefLabel: {en: "railroad tunnel", bg: "жп тунел", no: "jernbanetunnel", ru: "железнодорожный туннель", sv: "järnvägstunnel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TNLS",
      definition: {en: "subterranean passageways for transportation", ru: "подземные  сооружение, служащие для транспортных целей"},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TNLS",
      prefLabel: {en: "tunnels", bg: "тунели", no: "tunneler", ru: "туннели", sv: "tunnlar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"R.TRL",
      definition: {en: "a path, track, or route used by pedestrians, animals, or off-road vehicles", ru: "узкая пешеходная дорожка, протоптанная людьми или животными в лесу, в поле, по снегу и т. п."},
      inScheme: "http://www.geonames.org/ontology#R",
      notation: "R.TRL",
      prefLabel: {en: "trail", bg: "пътека", no: "sti", ru: "тропинка", sv: "spår, stig"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ADMF",
      definition: {en: "a government building", ru: "Исполнительные и распорядительные органы управления, власти в государстве."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ADMF",
      prefLabel: {en: "administrative facility", bg: "административна сграда", no: "administrasjonsanlegg", ru: "администрация", sv: "administrativ inrättning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AGRF",
      definition: {en: "a building and/or tract of land used for improving agriculture", ru: "здание или участок земли, используемый для повышения качества сельскохозяйственной продукции"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AGRF",
      prefLabel: {en: "agricultural facility", bg: "селскостопанска сграда", no: "jordbruksanlegg", ru: "агробаза", sv: "jordbruksinrättning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AIRB",
      definition: {en: "an area used to store supplies, provide barracks for air force personnel, hangars and runways for aircraft, and from which operations are initiated", ru: "земельный (водный) участок, предназначенный для базирования самолётов стратегической, тактической и транспортной авиации, вертолётов, частей обеспечения, ремонта, запасов материальных и технических средств обеспечения боевых действий"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AIRB",
      prefLabel: {en: "airbase", bg: "авиобаза", no: "flybase", ru: "авиабаза", sv: "flygbas"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AIRF",
      definition: {en: "a place on land where aircraft land and take off; no facilities provided for the commercial handling of passengers and cargo", ru: "комплекс сооружений, оборудования и земельный участок с воздушным пространством, предназначенный для взлёта, посадки, размещения и обслуживания самолётов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AIRF",
      prefLabel: {en: "airfield", bg: "самолетна писта", no: "flyplass", ru: "аэродром", sv: "flygfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AIRH",
      definition: {en: "a place where helicopters land and take off", ru: "земельный участок, площадка на здании, судне и т.п., оборудованные для взлёта, посадки и обслуживания вертолётов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AIRH",
      prefLabel: {en: "heliport", bg: "летище за хеикоптери", no: "heliport", ru: "вертолетная площадка", sv: "landningsplats för helikopter"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AIRP",
      definition: {en: "a place where aircraft regularly land and take off, with runways, navigational aids, and major facilities for the commercial handling of passengers and cargo", ru: "комплекс сооружений (с аэродромом и аэровокзалом) для осуществления регулярных полётов транспортной авиации и обслуживания пассажиров"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AIRP",
      prefLabel: {en: "airport", bg: "летище", no: "lufthavn", ru: "аэропорт", sv: "flygplats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AIRQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AIRQ",
      prefLabel: {en: "abandoned airfield", bg: "изоставено летище", no: "forlatt lufthavn", ru: "заброшенный аэродром", sv: "övergivet flygfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AMTH",
      definition: {en: "an oval or circular structure with rising tiers of seats about a stage or open space", ru: "декоративное сооружение в форме эллипса со ступенчато расположенными рядами сидений, предназначенное для зрелищных мероприятий"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AMTH",
      prefLabel: {en: "amphitheater", bg: "амфитеатър", no: "amfiteater", ru: "амфитеатр", sv: "amfiteater"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ANS",
      definition: {en: "a place where archeological remains, old structures, or cultural artifacts are located", ru: "остатки древнего укрепленного поселения или города"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ANS",
      prefLabel: {en: "ancient site", bg: "антични останки", no: "historisk sted", ru: "городище", sv: "forntida lämning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.AQC",
      definition: {en: "facility or area for the cultivation of aquatic animals and plants, especially fish, shellfish, and seaweed, in natural or controlled marine or freshwater environments; underwater agriculture"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.AQC",
      prefLabel: {en: "aquaculture facility"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ARCH",
      definition: {en: "a natural or man-made structure in the form of an arch", ru: "декоративное сооружение в виде больших ворот со сводом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ARCH",
      prefLabel: {en: "arch", bg: "арка", no: "bue", ru: "арка", sv: "båge, valv"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ASTR",
      definition: {en: "a point on the earth whose position has been determined by observations of celestial bodies", ru: "научное учреждение, ведущее астрономические и геофизические наблюдения и исследования; здание, специально оборудованное для таких наблюдений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ASTR",
      prefLabel: {en: "astronomical station", bg: "астрономическа станция", no: "astronomisk stasjon", ru: "обсерватория", sv: "astronomisk station"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ASYL",
      definition: {en: "a facility where the insane are cared for and protected", ru: "место, где можно укрыться, скрыться от чего-н."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ASYL",
      prefLabel: {en: "asylum", bg: "лудница", no: "asyl", ru: "убежище", sv: "mentalsjukhus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ATHF",
      definition: {en: "a tract of land used for playing team sports, and athletic track and field events", ru: "комплексное спортивное сооружение со специально оборудованными площадками для состязаний, тренировок, вспомогательными помещениями и трибунами для зрителей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ATHF",
      prefLabel: {en: "athletic field", bg: "спортно игрище", no: "idrettsbane", ru: "стадион", sv: "idrottsfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ATM",
      definition: {en: "An unattended electronic machine in a public place, connected to a data system and related equipment and activated by a bank customer to obtain cash withdrawals and other banking services.", ru: "автоматическое устройство, предназначенное для получения наличных денег по кредитной карточке."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ATM",
      prefLabel: {en: "automatic teller machine", bg: "automatic teller machine", no: "automatic teller machine", ru: "банкомат", sv: "bankomat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BANK",
      definition: {en: "A business establishment in which money is kept for saving or commercial purposes or is invested, supplied for loans, or exchanged.", ru: "особые экономические институты, осуществляющие: аккумуляцию денежных средств и накоплений, предоставление кредита, проведение денежных расчётов, выпуск в обращение определённых видов денег"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BANK",
      prefLabel: {en: "bank"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BCN",
      definition: {en: "a fixed artificial navigation mark", ru: "устройство, оборудованное звуковой, световой или радиотехнической сигнализацией для навигационного ориентирования судов, самолетов и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BCN",
      prefLabel: {en: "beacon", bg: "фар", no: "signalstasjon", ru: "маяк", sv: "båk, fyrtorn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BDG",
      definition: {en: "a structure erected across an obstacle such as a stream, road, etc., in order to carry roads, railroads, and pedestrians across", ru: "сооружение для перехода, переезда через реку, овраг, железнодорожный путь и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BDG",
      prefLabel: {en: "bridge", bg: "мост", no: "bro", ru: "мост", sv: "bro"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BDGQ",
      definition: {en: "a destroyed or decayed bridge which is no longer functional", ru: "мост, который больше не функционирует"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BDGQ",
      prefLabel: {en: "ruined bridge", bg: "останки от мост", no: "ødelagt bro", ru: "разрушенный мост", sv: "raserad bro"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BLDG",
      definition: {en: "a structure built for permanent use, as a house, factory, etc.", ru: "архитектурное сооружение, постройка (обычно больших размеров), например, дом, завод и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BLDG",
      prefLabel: {en: "building(s)", bg: "сграда(и)", no: "bygning", ru: "здание", sv: "byggnad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BLDO",
      definition: {en: "commercial building where business and/or services are conducted"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BLDO",
      prefLabel: {en: "office building"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BP",
      definition: {en: "a fixture marking a point along a boundary", ru: "ограничительный знак, используемый для обозначения границ"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BP",
      prefLabel: {en: "boundary marker", bg: "граничен пазар", no: "grensemarkør", ru: "межевой знак", sv: "gränsmärke"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BRKS",
      definition: {en: "a building for lodging military personnel", ru: "шалаши, временные, легкие строения для размещения войск или рабочих"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BRKS",
      prefLabel: {en: "barracks", bg: "бараки", no: "brakker", ru: "бараки", sv: "kaserner"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BRKW",
      definition: {en: "a structure erected to break the force of waves at the entrance to a harbor or port", ru: "гидротехническое сооружение для защиты места стоянки судов или берега от разрушительного действия волн"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BRKW",
      prefLabel: {en: "breakwater", bg: "вълнолом", no: "bølgebryter", ru: "волнорез", sv: "vågbrytare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BSTN",
      definition: {en: "a facility for baling agricultural products", ru: "место, где прессуют сено в тюки"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BSTN",
      prefLabel: {en: "baling station", bg: "товарна станция", no: "ballestasjon", ru: "прессовальная станция", sv: "baling station"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BTYD",
      definition: {en: "a waterside facility for servicing, repairing, and building small vessels", ru: "расположенное на берегу моря, реки и т.п.  сооружение, которое занимается обслуживанием, ремонтом и изготовлением лодок"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BTYD",
      prefLabel: {en: "boatyard", bg: "лодкостоянка", no: "verft", ru: "лодочная мастерская", sv: "skeppsvarv"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BUR",
      definition: {en: "a cave used for human burials", ru: "яма для погребения умершего"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BUR",
      prefLabel: {en: "burial cave(s)", bg: "пгребална пещера(и)", no: "gravhule", ru: "могила", sv: "begravningsgrotta(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BUSTN",
      definition: {en: "a facility comprising ticket office, platforms, etc. for loading and unloading passengers", ru: "транспортное предприятие для обслуживания пассажиров междугородных и пригородных автобусных сообщений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BUSTN",
      prefLabel: {en: "bus station", ru: "автостанция"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.BUSTP",
      definition: {en: "a place lacking station facilities", ru: "пункт, место, установленные для посадки и высадки пассажиров"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.BUSTP",
      prefLabel: {en: "bus stop", ru: "автобусная остановка", sv: "Busshållplats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CARN",
      definition: {en: "a heap of stones erected as a landmark or for other purposes", ru: "груда камней, служащая условным знаком, надгробным памятником и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CARN",
      prefLabel: {en: "cairn", bg: "грамада", no: "varde", ru: "пирамида из камней", sv: "stenkummel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CAVE",
      definition: {en: "an underground passageway or chamber, or cavity on the side of a cliff", ru: "углубление, полое пространство, образовавшееся в земной коре, горных массивах естественным путём или созданные человеком, с выходом наружу"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CAVE",
      prefLabel: {en: "cave(s)", bg: "пещера(и)", no: "grotte", ru: "пещера", sv: "grotta(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CCL",
      definition: {en: "Centres for Continuous Learning"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CCL",
      prefLabel: {en: "Centre Continuous Learning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CH",
      definition: {en: "a building for public Christian worship", ru: "здание, в котором происходит христианское богослужение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CH",
      prefLabel: {en: "church", bg: "църква", no: "kirke", ru: "церковь", sv: "kyrka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMP",
      definition: {en: "a site occupied by tents, huts, or other shelters for temporary use", ru: "временное поселение, стоянка"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMP",
      prefLabel: {en: "camp(s)", bg: "лагер(и)", no: "leir", ru: "лагерь", sv: "läger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPL",
      definition: {en: "a camp used by loggers", ru: "временное поселение лесозаготовителей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPL",
      prefLabel: {en: "logging camp", bg: "лагер на дървосекачи", no: "tømmerkoie", ru: "лесной поселок", sv: "logging camp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPLA",
      definition: {en: "a camp used by migrant or temporary laborers", ru: "лагерь, в котором живут трудовые мигранты, приезжающие на заработки"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPLA",
      prefLabel: {en: "labor camp", bg: "трудов лагер", no: "arbeidsleir", ru: "лагерь сезонных рабочих", sv: "arbetsläger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPMN",
      definition: {en: "a camp used by miners", ru: "временное поселение горняков"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPMN",
      prefLabel: {en: "mining camp", bg: "миньорски лагер", no: "gruveleir", ru: "рудничный поселок", sv: "gruvläger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPO",
      definition: {en: "a camp used by oilfield workers", ru: "поселок, в котором живут работники нефтяной промышленности"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPO",
      prefLabel: {en: "oil camp", bg: "лагер на нефторъботници", no: "oljeleir", ru: "поселок нефтяников", sv: "oljeläger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPQ",
      prefLabel: {en: "abandoned camp", bg: "изоставен лагер", no: "forlatt leir", ru: "покинутый лагерь/поселок", sv: "övergivet läger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMPRF",
      definition: {en: "a camp used by refugees", ru: "лагерь, в котором живут беженцы (люди, покинувшие место своего жительства, спасаясь от бедствия (землетрясения, войны, голода и т.п.)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMPRF",
      prefLabel: {en: "refugee camp", bg: "бежански лагер", no: "flyktningleir", ru: "лагерь беженцев", sv: "flyktingläger"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CMTY",
      definition: {en: "a burial place or ground", ru: "место, предназначенное для погребения умерших"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CMTY",
      prefLabel: {en: "cemetery", bg: "гробище", no: "gravlund", ru: "кладбище", sv: "kyrkogård"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.COMC",
      definition: {en: "a facility, including buildings, antennae, towers and electronic equipment for receiving and transmitting information", ru: "совокупность технических средств оператора связи, обеспечивающих оказание услуг связи и присоединение к сети общего пользования"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.COMC",
      prefLabel: {en: "communication center", bg: "комуникационен център", ru: "узел связи"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CRRL",
      definition: {en: "a pen or enclosure for confining or capturing animals", ru: "загон для скота"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CRRL",
      prefLabel: {en: "corral(s)", bg: "заграждение(я) за добитък", no: "innhegning", ru: "корраль", sv: "fålla, inhägnad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CSNO",
      definition: {en: "a building used for entertainment, especially gambling", ru: "игорный дом, в котором осуществляется проведение азартных игр"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CSNO",
      prefLabel: {en: "casino", bg: "казино", no: "kasino", ru: "казино", sv: "kasino"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CSTL",
      definition: {en: "a large fortified building or set of buildings", ru: "здание (или комплекс зданий), сочетающие в себе жилые и оборонительно функции"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CSTL",
      prefLabel: {en: "castle", bg: "замък", no: "slott", ru: "замок", sv: "slott"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CSTM",
      definition: {en: "a building in a port where customs and duties are paid, and where vessels are entered and cleared", ru: "помещение, где размещается учреждение, ведающее контролем провоза через границу грузов, багажа, почты и собирающее пошлину за такой провоз"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CSTM",
      prefLabel: {en: "customs house", bg: "митница", no: "tollbod", ru: "таможня", sv: "tullhus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTHSE",
      definition: {en: "a building in which courts of law are held", ru: "здание, в котором проходят заседания суда"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTHSE",
      prefLabel: {en: "courthouse", bg: "съдебна сграда", no: "rettsbygning", ru: "здание суда", sv: "domstolsbyggnad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRA",
      definition: {en: "a facility where atomic research is carried out", ru: "научный центр, в котором проводятся атомные исследования"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRA",
      prefLabel: {en: "atomic center", bg: "атомен център", no: "atomsenter", ru: "центр атомных исследований", sv: "atomcentrum"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRCM",
      definition: {en: "a facility for community recreation and other activities", ru: "помещение для проведения культурных и общественных мероприятий"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRCM",
      prefLabel: {en: "community center", bg: "обществен център", no: "kommunesenter", ru: "дом культуры", sv: "kulturcentrum"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRF",
      definition: {en: "a place where more than one facility is situated", ru: "центр, предоставляющий не одну, а сразу несколько услуг одновременно"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRF",
      prefLabel: {en: "facility center", bg: "паркинг", no: "tjenestesenter", ru: "центр обслуживания", sv: "tjänstecentrum"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRM",
      definition: {en: "a complex of health care buildings including two or more of the following: hospital, medical school, clinic, pharmacy, doctor's offices, etc.", ru: "комплекс лечебных учреждений; включает в себя: больницу, поликлинику, аптеку, медицинский институт"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRM",
      prefLabel: {en: "medical center", bg: "медицински център", no: "legesenter", ru: "медицинский центр", sv: "medicinskt center"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRR",
      definition: {en: "a facility where more than one religious activity is carried out, e.g., retreat, school, monastery, worship", ru: "комплекс нескольких религиозных учреждений (монашеская обитель, школа для священнослужителей, церковь)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRR",
      prefLabel: {en: "religious center", bg: "религиозен център", no: "religiøst senter", ru: "религиозный центр", sv: "religiöst center"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CTRS",
      definition: {en: "a facility for launching, tracking, or controlling satellites and space vehicles", ru: "центр, который осуществляет запуск и наблюдение за полетом искусственных спутников земли и космических кораблей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CTRS",
      prefLabel: {en: "space center", bg: "космически център", no: "romsenter", ru: "космический центр", sv: "rymdcenter"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.CVNT",
      definition: {en: "a building where a community of nuns lives in seclusion", ru: "обитель, общежитие монахинь"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.CVNT",
      prefLabel: {en: "convent", bg: "женски манастир", no: "kloster", ru: "женский монастырь", sv: "kloster"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DAM",
      definition: {en: "a barrier constructed across a stream to impound water", ru: "гидротехническое сооружение, искусственная насыпь для предохранения местности от затопления, для ограждения водохранилищ и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DAM",
      prefLabel: {en: "dam", bg: "язовирна стена", no: "demning", ru: "дамба", sv: "damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DAMQ",
      definition: {en: "a destroyed or decayed dam which is no longer functional", ru: "дамба, которая больше не функционирует"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DAMQ",
      prefLabel: {en: "ruined dam", bg: "разрушена язовирна стена", no: "ødelagt demning", ru: "разрушенная дамба", sv: "förstörd damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DAMSB",
      definition: {en: "a dam put down to bedrock in a sand river", ru: "дамба, возведенная на  песчаном дне реки"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DAMSB",
      prefLabel: {en: "sub-surface dam", bg: "нископовърхностна стена", no: "demning gravd ned til grunnfjellet", ru: "грунтовая дамба", sv: "underjordisk damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DARY",
      definition: {en: "a facility for the processing, sale and distribution of milk or milk products", ru: "предприятие по производству молочных продуктов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DARY",
      prefLabel: {en: "dairy", bg: "мандра", no: "meieri", ru: "молочный комбинат", sv: "mejeri"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DCKD",
      definition: {en: "a dock providing support for a vessel, and means for removing the water so that the bottom of the vessel can be exposed", ru: "портовое сооружение для ремонта и постройки судов; сухой док сооружается на защищённой от волнения акватории и представляет собой отделяемую от неё с торца затвором водонепроницаемую камеру"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DCKD",
      prefLabel: {en: "dry dock", bg: "сух док", no: "demning gravd ned til grunnfjellet", ru: "сухой док", sv: "torrdocka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DCKY",
      definition: {en: "a facility for servicing, building, or repairing ships", ru: "предприятие для постройки и ремонта судов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DCKY",
      prefLabel: {en: "dockyard", bg: "корабостроителница", no: "skipsverft", ru: "верфь", sv: "skeppsvarv"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DIKE",
      definition: {en: "an earth or stone embankment usually constructed for flood or stream control", ru: "неглубокий и неширокий ров, обычно служащий для спуска или отвода воды"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DIKE",
      prefLabel: {en: "dike", bg: "дига", no: "dike", ru: "канава", sv: "damm, fördämning, bank"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DIP",
      definition: {en: "office, residence, or facility of a foreign government, which may include an embassy, consulate, chancery, office of charge d?affaires, or other diplomatic, economic, military, or cultural mission", ru: "office, residence, or facility of a foreign government, which may include an embassy, consulate, chancery, office of charge d?affaires, or other diplomatic, economic, military, or cultural mission"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DIP",
      prefLabel: {en: "diplomatic facility"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.DPOF",
      definition: {en: "an area where fuel is stored", ru: "специальное помещение, предназначенное для хранения горючего"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.DPOF",
      prefLabel: {en: "fuel depot", bg: "горивно депо", no: "brennstofflager", ru: "склад горючего", sv: "bränsledepå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.EST",
      definition: {en: "a large commercialized agricultural landholding with associated buildings and other facilities", ru: "крупное земельное владение, обычно с усадьбой"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.EST",
      prefLabel: {en: "estate(s)", bg: "имение(я)", no: "gods", ru: "поместье", sv: "egendom(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTB",
      definition: {en: "an estate that specializes in the growing of bananas"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTB",
      prefLabel: {en: "banana plantation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTC",
      definition: {en: "an estate specializing in the cultivation of cotton"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTC",
      prefLabel: {en: "cotton plantation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTO",
      definition: {en: "an estate specializing in the cultivation of oil palm trees", ru: "большая земельная площадь, на которой выращивают масличные пальмы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTO",
      prefLabel: {en: "oil palm plantation", bg: "плантация за маслена палма", no: "oljepalmeplantasje", ru: "плантация масличных пальм", sv: "oljepalmsplantage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTR",
      definition: {en: "an estate which specializes in growing and tapping rubber trees", ru: "большая земельная площадь, на которой выращивают каучуковые деревья"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTR",
      prefLabel: {en: "rubber plantation", bg: "каучукова плантация", no: "gummiplantasje", ru: "каучуковая плантация", sv: "gummiplantage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTSG",
      definition: {en: "an estate that specializes in growing sugar cane", ru: "большая земельная площадь, на которой выращивают сахарный тростник"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTSG",
      prefLabel: {en: "sugar plantation", bg: "захарна плантация", no: "sukkerplantasje", ru: "сахарная плантация", sv: "sockerplantage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTSL",
      definition: {en: "an estate that specializes in growing sisal"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTSL",
      prefLabel: {en: "sisal plantation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTT",
      definition: {en: "an estate which specializes in growing tea bushes", ru: "большая земельная площадь, на которой выращивают чай"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTT",
      prefLabel: {en: "tea plantation", bg: "чайна плантация", no: "teplantasje", ru: "чайная плантация", sv: "teplantage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ESTX",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ESTX",
      prefLabel: {en: "section of estate", bg: "част от имение", no: "del av gods", ru: "участок плантации", sv: "del av egendom"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FCL",
      definition: {en: "a building or buildings housing a center, institute, foundation, hospital, prison, mission, courthouse, etc.", ru: "организация, образуемая для осуществления определённого рода деятельности (Государственное у. Общественные учреждения. Научные учреждения. Торговое, лечебно-профилактическое, административное у.)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FCL",
      prefLabel: {en: "facility", bg: "съоръжение", no: "anlegg", ru: "учреждение", sv: "inrättning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FNDY",
      definition: {en: "a building or works where metal casting is carried out", ru: "мастерская, в которой происходит обработка металла путем плавления и заливки в литейные формы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FNDY",
      prefLabel: {en: "foundry", bg: "леярна", no: "støperi", ru: "литейный цех", sv: "gjuteri"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FRM",
      definition: {en: "a tract of land with associated buildings devoted to agriculture", ru: "частное сельскохозяйственное предприятие, принадлежащее фермеру и ведущееся им на собственной или арендованной земле"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FRM",
      prefLabel: {en: "farm", bg: "ферма", no: "gård", ru: "ферма", sv: "farm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FRMQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FRMQ",
      prefLabel: {en: "abandoned farm", bg: "изоставена ферма", no: "forlatt gård", ru: "покинутая (заброшенная) ферма", sv: "övergiven farm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FRMS",
      definition: {en: "tracts of land with associated buildings devoted to agriculture", ru: "частные сельскохозяйственные предприятия, принадлежащие фермеру и ведущиеся им на собственной или арендованной земле"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FRMS",
      prefLabel: {en: "farms", bg: "ферми", no: "gårder", ru: "фермы", sv: "farmer"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FRMT",
      definition: {en: "the buildings and adjacent service areas of a farm", ru: "жилой дом с примыкающими надворными постройками и угодьями (сад, огород и т.п.), представляющий собой отдельное хозяйство (преимущественно в сельской местности)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FRMT",
      prefLabel: {en: "farmstead", bg: "чифлик", no: "gårdsbruk", ru: "усадьба", sv: "bondgård"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FT",
      definition: {en: "a defensive structure or earthworks", ru: "защитное сооружение или земляное укрепление"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FT",
      prefLabel: {en: "fort", bg: "форт", no: "fort", ru: "крепость", sv: "fort"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.FY",
      definition: {en: "a boat or other floating conveyance and terminal facilities regularly used to transport people and vehicles across a waterbody", ru: "плоскодонное судно, плот для переправы людей, транспорта, грузов через реку, озеро или пролив"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.FY",
      prefLabel: {en: "ferry", bg: "ферибот", no: "ferge", ru: "паром", sv: "färja"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GATE",
      definition: {en: "a controlled access entrance or exit", ru: "конструкция для регулирования входа и выхода"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GATE",
      prefLabel: {en: "gate", bg: "бариера", no: "grind", ru: "ворота", sv: "grind,port"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GDN",
      definition: {en: "an enclosure for displaying selected plant or animal life", ru: "участок земли для выращивания садовых растений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GDN",
      prefLabel: {en: "garden(s)", bg: "градина(и)", no: "hage", ru: "сад", sv: "trädgård(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GHAT",
      definition: {en: "a set of steps leading to a river, which are of religious significance, and at their base is usually a platform for bathing", ru: "a set of steps leading to a river, which are of religious significance, and at their base is usually a platform for bathing"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GHAT",
      prefLabel: {en: "ghat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GHSE",
      definition: {en: "a house used to provide lodging for paying guests", ru: "дом с меблированными комнатами («номерами») для временного проживания путешественников"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GHSE",
      prefLabel: {en: "guest house", bg: "къща за гости", no: "gjestehus", ru: "гостиница", sv: "gästhus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GOSP",
      definition: {en: "a facility for separating gas from oil", ru: "аппарат для отделения газа от нефти"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GOSP",
      prefLabel: {en: "gas-oil separator plant", bg: "сепаратор на нефт-гас", no: "separasjonsanlegg for gass og olje", ru: "нефтегазовый сепаратор", sv: "gas och olje separator"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GOVL",
      definition: {en: "a facility housing local governmental offices, usually a city, town, or village hall"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GOVL",
      prefLabel: {en: "local government office"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.GRVE",
      definition: {en: "a burial site", ru: "место захоронения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.GRVE",
      prefLabel: {en: "grave", bg: "гроб", no: "grav", ru: "могила", sv: "grav"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HERM",
      definition: {en: "a secluded residence, usually for religious sects", ru: "жилище монахов-отшельников"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HERM",
      prefLabel: {en: "hermitage", bg: "отшелническа килия", no: "eneboerhytte", ru: "скит", sv: "eremitage"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HLT",
      definition: {en: "a place where caravans stop for rest", ru: "место, где караваны останавливаются, чтобы передохнуть"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HLT",
      prefLabel: {en: "halting place", bg: "отбивка за почивка", no: "stoppested", ru: "место привала", sv: "halting place"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HMSD",
      definition: "a residence, owner's or manager's, on a sheep or cattle station, woolshed, outcamp, or Aboriginal outstation, specific to Australia and New Zealand",
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.1"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HMSD",
      prefLabel: {en: "homestead"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSE",
      definition: {en: "a building used as a human habitation", ru: "жилое здание, строение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSE",
      prefLabel: {en: "house(s)", bg: "къща(и)", no: "hus", ru: "дом", sv: "hus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSEC",
      definition: {en: "a large house, mansion, or chateau, on a large estate", ru: "дом, находящийся за городом, вне города, вблизи от него"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSEC",
      prefLabel: {en: "country house", bg: "селска къща", no: "landsted", ru: "загородный дом", sv: "lantgods"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSP",
      definition: {en: "a building in which sick or injured, especially those confined to bed, are medically treated", ru: "лечебное учреждение, больница"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSP",
      prefLabel: {en: "hospital", bg: "болница", no: "sykehus", ru: "госпиталь", sv: "sjukhus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSPC",
      definition: {en: "a medical facility associated with a hospital for outpatients", ru: "медицинское учреждение, осуществляющее внебольничное лечебно-профилактическое обслуживание населения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSPC",
      prefLabel: {en: "clinic", bg: "клиника", no: "klinikk", ru: "поликлиника", sv: "klinik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSPD",
      definition: {en: "a building where medical or dental aid is dispensed", ru: "медицинское учреждение, занимающееся лечением и предупреждением болезней путём систематического врачебного наблюдения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSPD",
      prefLabel: {en: "dispensary", bg: "диспансер", no: "apotek", ru: "диспансер", sv: "klinik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSPL",
      definition: {en: "an asylum or hospital for lepers", ru: "приют для прокаженных"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSPL",
      prefLabel: {en: "leprosarium", bg: "общежитие за прокажени", no: "leprasykehus", ru: "лепрозорий", sv: "leprosarium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HSTS",
      definition: {en: "a place of historical importance", ru: "здания, сооружения, памятные места и предметы, связанные с важнейшими историческими событиями, жизнью исторических деятелей и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HSTS",
      prefLabel: {en: "historical site", bg: "историческо място", no: "historisk sted", ru: "исторический памятник", sv: "historisk plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HTL",
      definition: {en: "a building providing lodging and/or meals for the public", ru: "то же, что и гостиница; дом для временного проживания туристов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HTL",
      prefLabel: {en: "hotel", bg: "хотел", no: "hotell", ru: "отель", sv: "hotell"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HUT",
      definition: {en: "a small primitive house", ru: "небольшой примитивный домик"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HUT",
      prefLabel: {en: "hut", bg: "хижа", no: "hytte", ru: "хижина", sv: "hydda"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.HUTS",
      definition: {en: "small primitive houses", ru: "небольшие примитивные домики"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.HUTS",
      prefLabel: {en: "huts", bg: "хижи", no: "hytter", ru: "хижины", sv: "hyddor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.INSM",
      definition: {en: "a facility for use of and control by armed forces", ru: "территория (важный в стратегическом или политическом отношении пункт, район) и размещенные на ней войска с запасами оружия, боеприпасов, продовольствия и других материальных средств, необходимых для боевой и повседневной деятельности"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.INSM",
      prefLabel: {en: "military installation", bg: "военна инсталация", no: "militæranlegg", ru: "военная база", sv: "militär installation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ITTR",
      definition: {en: "a facility where research is carried out", ru: "учреждение, занимающееся исследованиями"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ITTR",
      prefLabel: {en: "research institute", bg: "иследователски институт", no: "forskningsinstitutt", ru: "научно-исследовательский институт", sv: "forskningsinstitut"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.JTY",
      definition: {en: "a structure built out into the water at a river mouth or harbor entrance to regulate currents and silting", ru: "гидротехническое сооружение, перегораживающее реку (или др. водоток) для подъёма уровня воды перед ним, сосредоточения напора в месте расположения сооружения и создания водохранилища"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.JTY",
      prefLabel: {en: "jetty", bg: "вълнолом", no: "molo", ru: "плотина", sv: "pir,brygga"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LDNG",
      definition: {en: "a place where boats receive or discharge passengers and freight, but lacking most port facilities", ru: "совокупность сооружений и устройств для стоянки и обслуживания судов, посадки и высадки пассажиров, грузовых операций и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LDNG",
      prefLabel: {en: "landing", bg: "стоварище", no: "kai", ru: "причал", sv: "landstigning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LEPC",
      definition: {en: "a settled area inhabited by lepers in relative isolation", ru: "лечебное учреждение для больных проказой; место проживания и лечения таких больных"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LEPC",
      prefLabel: {en: "leper colony", bg: "колония на прокажени", no: "leprakoloni", ru: "приют для прокаженных", sv: "spetälskekoloni"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LIBR",
      definition: {en: "A place in which information resources such as books are kept for reading, reference, or lending.", ru: "учреждение или отдел какого-л. учреждения, собирающие и хранящие книги, периодику, памятники письменности и т.п. для общественного пользования"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LIBR",
      prefLabel: {en: "library", bg: "library", no: "library", ru: "библиотека", sv: "bibliotek"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LNDF",
      definition: {en: "a place for trash and garbage disposal in which the waste is buried between layers of earth to build up low-lying land", ru: "место, куда свозят, выбрасывают мусор, нечистоты, негодные вещи"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LNDF",
      prefLabel: {en: "landfill", bg: "landfill", no: "landfill", ru: "свалка", sv: "landfill"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LOCK",
      definition: {en: "a basin in a waterway with gates at each end by means of which vessels are passed from one water level to another", ru: "гидротехническое сооружение между водоёмами с различными уровнями воды, позволяющее переводить суда из одного водоёма в другой"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LOCK",
      prefLabel: {en: "lock(s)", bg: "шлюз(ове)", no: "sluse", ru: "шлюз", sv: "sluss(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.LTHSE",
      definition: {en: "a distinctive structure exhibiting a major navigation light", ru: "сооружение башенного типа, служащее ориентиром для опознавания берегов, определения места судна и предупреждения о навигационной опасности"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.LTHSE",
      prefLabel: {en: "lighthouse", bg: "фар", no: "fyrtårn", ru: "световой маяк", sv: "fyr"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MALL",
      definition: {en: "A large, often enclosed shopping complex containing various stores, businesses, and restaurants usually accessible by common passageways.", ru: "группа разнородных торговых предприятий, сосредоточенных в одном месте, функционирующих и управляемых как единый, целостный объект"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MALL",
      prefLabel: {en: "mall", bg: "мол", no: "kjøpesenter", ru: "торговый центр", sv: "köpcentrum"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MAR",
      definition: {en: "a harbor facility for small boats, yachts, etc.", ru: "специально оборудованное место, сооружение для причаливания и стоянки лодок, яхт и т.д."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MAR",
      prefLabel: {en: "marina", bg: "яхтостроителница", no: "småbåthavn", ru: "пристань", sv: "marina"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFG",
      definition: {en: "one or more buildings where goods are manufactured, processed or fabricated", ru: "промышленное или крупное промысловое предприятие, или комплекс предприятий"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFG",
      prefLabel: {en: "factory", bg: "фабрика", no: "fabrikk", ru: "завод", sv: "fabrik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGB",
      definition: {en: "one or more buildings where beer is brewed", ru: "предприятие по производству пива"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGB",
      prefLabel: {en: "brewery", bg: "пивоварна", no: "bryggeri", ru: "пивоварня", sv: "bryggeri"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGC",
      definition: {en: "a building where food items are canned", ru: "предприятие по производству консерв"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGC",
      prefLabel: {en: "cannery", bg: "консервна фабрика", no: "hermetikkfabrikk", ru: "консервный завод", sv: "konservfabrik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGCU",
      definition: {en: "a facility for processing copper ore", ru: "предприятие по переработке медной руды"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGCU",
      prefLabel: {en: "copper works", bg: "медна фабрика", no: "kopperverk", ru: "медеплавильный завод", sv: "kopparbruk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGLM",
      definition: {en: "a furnace in which limestone is reduced to lime", ru: "печь для обжига извести"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGLM",
      prefLabel: {en: "limekiln", bg: "варница", no: "kalkbrenneri", ru: "известеобжигательная печь", sv: "kalkugn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGM",
      definition: {en: "a factory where ammunition is made", ru: "предприятие по производству оружия"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGM",
      prefLabel: {en: "munitions plant", bg: "фабрка за амуниции", no: "ammunisjonsfabrikk", ru: "оружейный завод", sv: "ammunitionsfabrik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGPH",
      definition: {en: "a facility for producing fertilizer", ru: "предприятие по производству удобрений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGPH",
      prefLabel: {en: "phosphate works", bg: "фосфатна фабрика", no: "fosfatanlegg", ru: "фосфатный завод", sv: "fosfatfabrik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGQ",
      prefLabel: {en: "abandoned factory", bg: "изоставена фабрика", no: "nedlagt fabrikk", ru: "покинутый завод", sv: "övergiven fabrik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MFGSG",
      definition: {en: "a facility for converting raw sugar into refined sugar", ru: "завод по переработки сахарного тростника в рафинад"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MFGSG",
      prefLabel: {en: "sugar refinery", bg: "захарна рафинерия", no: "sukkerraffineri", ru: "рафинадный завод", sv: "sockerbruk, sockerraffinaderi"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MKT",
      definition: {en: "a place where goods are bought and sold at regular intervals", ru: "место торговли, на котором встречаются продавцы и покупатели"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MKT",
      prefLabel: {en: "market", bg: "пазар", no: "marked", ru: "рынок", sv: "marknad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ML",
      definition: {en: "a building housing machines for transforming, shaping, finishing, grinding, or extracting products", ru: "промышленное предприятие, обрабатывающее сырье машинным способом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ML",
      prefLabel: {en: "mill(s)", bg: "мелница(и)", no: "mølle", ru: "фабрика", sv: "kvarn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLM",
      definition: {en: "a facility for improving the metal content of ore by concentration", ru: "предприятие, которое занимается отделением друг от друга входящих в состав руды металлов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLM",
      prefLabel: {en: "ore treatment plant", bg: "миннообогатително предприятие", no: "malmbehandlingsanlegg", ru: "завод по переработке руды", sv: "malmförädling"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLO",
      definition: {en: "a mill where oil is extracted from olives", ru: "предприятие, которое занимается переработкой оливок и получением из них оливкового масла."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLO",
      prefLabel: {en: "olive oil mill", bg: "фабрика за зехтин", no: "olivenoljemølle", ru: "завод по производству оливкового масла", sv: "olivoljebruk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLSG",
      definition: {en: "a facility where sugar cane is processed into raw sugar", ru: "предприятие, которое занимается переработкой сахарного тростника в нерафинированный сахар"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLSG",
      prefLabel: {en: "sugar mill", bg: "захарна фабрика", no: "sukkermølle", ru: "сахарный завод", sv: "sockerbruk, sockerraffinaderi"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLSGQ",
      definition: {en: "a sugar mill no longer used as a sugar mill", ru: "сахарный завод, прекративший свою работу"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLSGQ",
      prefLabel: {en: "former sugar mill", bg: "бивша захарна фабрика", no: "tidligere sukkermølle", ru: "бывший сахарный завод", sv: "tidigare sockerbruk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLSW",
      definition: {en: "a mill where logs or lumber are sawn to specified shapes and sizes", ru: "изготовление пиломатериалов (брусьев и досок) из брёвен"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLSW",
      prefLabel: {en: "sawmill", bg: "дъскорезница", no: "sagbruk", ru: "лесопильный завод", sv: "sågverk"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLWND",
      definition: {en: "a mill or water pump powered by wind", ru: "аэродинамический механизм, который выполняет механическую работу за счет энергии ветра, улавливаемой крыльями мельницы. Наиболее известным применением ветряных мельниц является их использование для помола муки"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLWND",
      prefLabel: {en: "windmill", bg: "вятърна мелница", no: "vindmølle", ru: "ветряная мельница", sv: "väderkvarn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MLWTR",
      definition: {en: "a mill powered by running water", ru: "гидротехнические сооружение, использующее гидроэнергию, получаемую с водяного колеса, движение которого выполняет полезную работу посредством зубчатой передачи"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MLWTR",
      prefLabel: {en: "water mill", bg: "водна мелница", no: "kvernhus", ru: "водяная мельница", sv: "vattenkvarn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MN",
      definition: {en: "a site where mineral ores are extracted from the ground by excavating surface pits and subterranean passages", ru: "горнопромышленное предприятие, ведущее добычу полезных ископаемых подземным способом; место проведения подземных работ"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MN",
      prefLabel: {en: "mine(s)", bg: "мина(и)", no: "gruve", ru: "шахта", sv: "gruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNAU",
      definition: {en: "a mine where gold ore, or alluvial gold is extracted", ru: "предприятие, осуществляющее добычу золота или золотой руды"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNAU",
      prefLabel: {en: "gold mine(s)", bg: "златна мина(и)", no: "gullgruve", ru: "золотопромышленный рудник", sv: "guldgruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNC",
      definition: {en: "a mine where coal is extracted", ru: "горнопромышленное предприятие, ведущее добычу угля подземным способом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNC",
      prefLabel: {en: "coal mine(s)", bg: "въглищна мина(и)", no: "kullgruve", ru: "угольная шахта", sv: "kolgruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNCR",
      definition: {en: "a mine where chrome ore is extracted", ru: "горнопромышленное предприятие, ведущее добычу хрома подземным способом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNCR",
      prefLabel: {en: "chrome mine(s)", bg: "хромна мина(и)", no: "kromgruve", ru: "шахта по добыче хрома", sv: "kromgruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNCU",
      definition: {en: "a mine where copper ore is extracted", ru: "горнопромышленное предприятие, осуществляющее добычу меди"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNCU",
      prefLabel: {en: "copper mine(s)", bg: "медна мина(и)", no: "koppergruve", ru: "медный рудник", sv: "koppargruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNDT",
      definition: {en: "a place where diatomaceous earth is extracted"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNDT",
      prefLabel: {en: "diatomite mine(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNFE",
      definition: {en: "a mine where iron ore is extracted", ru: "горнопромышленное предприятие, осуществляющее добычу железа"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNFE",
      prefLabel: {en: "iron mine(s)", bg: "желязна мина(и)", no: "jerngruve", ru: "железный рудник", sv: "järngruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNMT",
      definition: {en: "a commemorative structure or statue", ru: "архитектурное или скульптурное сооружение в память какого-л. лица, события"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNMT",
      prefLabel: {en: "monument", bg: "монумент", no: "monument", ru: "памятник", sv: "monument"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNN",
      definition: {en: "a mine from which salt is extracted", ru: "горнопромышленное предприятие, осуществляющее добычу солей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNN",
      prefLabel: {en: "salt mine(s)", bg: "солна мина(и)", no: "saltgruve", ru: "соляная шахта", sv: "saltgruva(or)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNNI",
      definition: {en: "a mine where nickel ore is extracted"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNNI",
      prefLabel: {en: "nickel mine(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNPB",
      definition: {en: "a mine where lead ore is extracted"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNPB",
      prefLabel: {en: "lead mine(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNPL",
      definition: {en: "a place where heavy metals are concentrated and running water is used to extract them from unconsolidated sediments"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNPL",
      prefLabel: {en: "placer mine(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNQ",
      prefLabel: {en: "abandoned mine", bg: "изоставена мина", no: "nedlagt gruve", ru: "заброшенная шахта", sv: "övergiven gruva"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNQR",
      definition: {en: "a surface mine where building stone or gravel and sand, etc. are extracted", ru: "место открытой разработки неглубоко залегающих полезных ископаемых (угля, песка, глины и т.п.)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNQR",
      prefLabel: {en: "quarry(-ies)", bg: "каменоломна(и)", no: "steinbrudd", ru: "карьер", sv: "stenbrott"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MNSN",
      definition: {en: "a mine where tin ore is extracted"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MNSN",
      prefLabel: {en: "tin mine(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MOLE",
      definition: {en: "a massive structure of masonry or large stones serving as a pier or breakwater", ru: "гидротехническое сооружение для защиты места стоянки судов или берега от разрушительного действия волн"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MOLE",
      prefLabel: {en: "mole", bg: "дига", no: "molo", ru: "волнолом", sv: "pir, vågbrytare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MSQE",
      definition: {en: "a building for public Islamic worship", ru: "у мусульман: молитвенный дом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MSQE",
      prefLabel: {en: "mosque", bg: "джамия", no: "moské", ru: "мечеть", sv: "moské"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MSSN",
      definition: {en: "a place characterized by dwellings, school, church, hospital and other facilities operated by a religious group for the purpose of providing charitable services and to propagate religion", ru: "жилые дома, больница, школа, принадлежащие религиозной организации, которая занимается благотворительностью и распространением собственной религии среди инаковерующих"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MSSN",
      prefLabel: {en: "mission", bg: "мисия", no: "misjonsstasjon", ru: "резиденция миссионеров", sv: "beskickning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MSSNQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MSSNQ",
      prefLabel: {en: "abandoned mission", bg: "изоставена мисия", no: "nedlagt misjonsstasjon", ru: "заброшенная резиденция миссионеров", sv: "övergiven beskickning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MSTY",
      definition: {en: "a building and grounds where a community of monks lives in seclusion", ru: "религиозная община монахов, представляющая собой церковно-хозяйственную организацию, владеющую землями и капиталами"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MSTY",
      prefLabel: {en: "monastery", bg: "манастир", no: "kloster", ru: "мужской монастырь", sv: "munkkloster"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MTRO",
      definition: {en: "metro station (Underground, Tube, or Métro)", ru: "пункт остановки электропоездов в  метрополитене"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MTRO",
      prefLabel: {en: "metro station", bg: "metro station", no: "metro station", ru: "станция метро", sv: "tunnelbanestation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.MUS",
      definition: {en: "a building where objects of permanent interest in one or more of the arts and sciences are preserved and exhibited", ru: "учреждение, собирающее, хранящее и выставляющее на обозрение памятники истории, искусства, культуры, науки, техники и других областей, сфер деятельности общества; помещение такого учреждения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.MUS",
      prefLabel: {en: "museum", bg: "музей", no: "museum", ru: "музей", sv: "museum"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.NOV",
      definition: {en: "a religious house or school where novices are trained", ru: "религиозный дом, где учатся послушники, готовящиеся стать монахами"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.NOV",
      prefLabel: {en: "novitiate", bg: "семинария", no: "novisiat", ru: "дом послушничества", sv: "novitiat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.NSY",
      definition: {en: "a place where plants are propagated for transplanting or grafting", ru: "тёплое с покрытием из прозрачного материала помещение для выращивания ранних овощей, цветов, теплолюбивых растений; оранжерея"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.NSY",
      prefLabel: {en: "nursery(-ies)", bg: "парник(-ци)", no: "barnehage", ru: "теплица", sv: "plantskola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OBPT",
      definition: {en: "a wildlife or scenic observation point", ru: "специально оборудованное место, с которого ведётся наблюдение за действиями противника и своих войск"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OBPT",
      prefLabel: {en: "observation point", bg: "наблюдателна точка", no: "observasjonssted", ru: "наблюдательный пункт", sv: "observationspunkt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OBS",
      definition: {en: "a facility equipped for observation of atmospheric or space phenomena", ru: "научное учреждение, ведущее астрономические и геофизические наблюдения и исследования; здание, специально оборудованное для таких наблюдений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OBS",
      prefLabel: {en: "observatory", bg: "обсерватория", no: "observatorium", ru: "обсерватория", sv: "observatorium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OBSR",
      definition: {en: "a facility equipped with an array of antennae for receiving radio waves from space", ru: "учреждение, оборудованное антеннами для приема радиоволн из Космоса"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OBSR",
      prefLabel: {en: "radio observatory", bg: "радио обсерватория", no: "radioobservatorium", ru: "радиообсерватория", sv: "radioobservatorium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OILJ",
      definition: {en: "a section of an oil pipeline where two or more pipes join together", ru: "участок нефтепровода, на котором происходит соединение двух или более трубопроводов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OILJ",
      prefLabel: {en: "oil pipeline junction", bg: "връзка на нефтопровод", no: "oljeledningsknutepunkt", ru: "место соединение нескольких нефтепроводов", sv: "knutpunkt för oljepipeline"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OILQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OILQ",
      prefLabel: {en: "abandoned oil well", bg: "изоставен петролен кладенец", no: "forlatt oljebrønn", ru: "заброшенная нефтяная скважина", sv: "övergiven oljekälla"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OILR",
      definition: {en: "a facility for converting crude oil into refined petroleum products", ru: "предприятие, которое занимается переработкой нефти в бензин, авиационный керосин, мазут, дизельное топливо, смазочные масла, смазки, битумы, нефтяной кокс сырьё для нефтехимии"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OILR",
      prefLabel: {en: "oil refinery", bg: "петролна рафинерия", no: "oljeraffineri", ru: "нефтеперерабатывающий завод", sv: "oljeraffinaderi"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OILT",
      definition: {en: "a tract of land occupied by large, cylindrical, metal tanks in which oil or liquid petrochemicals are stored", ru: "промышленный объект для хранения нефти или нефтепродуктов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OILT",
      prefLabel: {en: "tank farm", bg: "петролна база", no: "petrokjemisk anlegg", ru: "нефтехранилище", sv: "depå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OILW",
      definition: {en: "a well from which oil may be pumped", ru: "вертикальная горная выработка круглого сечения, предназначенная для разведки либо добычи нефти и попутного газа"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OILW",
      prefLabel: {en: "oil well", bg: "петролен кладенец", no: "oljebrønn", ru: "нефтяная скважина", sv: "oljekälla"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.OPRA",
      definition: {en: "A theater designed chiefly for the performance of operas.", ru: "театр; оперная труппа театра"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.OPRA",
      prefLabel: {en: "opera house", bg: "опера", no: "operahus", ru: "оперный дом", sv: "operahus"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PAL",
      definition: {en: "a large stately house, often a royal or presidential residence", ru: "здание, являющееся жилищем, постоянным местопребыванием царствующей особы, главы государства, а также членов царствующей семьи"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PAL",
      prefLabel: {en: "palace", bg: "дворец", no: "palass", ru: "дворец", sv: "palats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PGDA",
      definition: {en: "a tower-like storied structure, usually a Buddhist shrine", ru: "в Китае, Японии и некоторых других странах: культовое мемориальное буддийское сооружение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PGDA",
      prefLabel: {en: "pagoda", bg: "пагода", no: "pagode", ru: "пагода", sv: "pagod"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PIER",
      definition: {en: "a structure built out into navigable water on piles providing berthing for ships and recreation", ru: "двусторонний причал, выдающийся в акваторию порта и предназначенный для швартовки судов с двух сторон"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PIER",
      prefLabel: {en: "pier", bg: "пристан", no: "pir", ru: "пирс", sv: "pir, kaj, vågbrytare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PKLT",
      definition: {en: "an area used for parking vehicles", ru: "место для парковки автотранспорта"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PKLT",
      prefLabel: {en: "parking lot", bg: "място за паркиране", no: "parkeringsplass", ru: "автостоянка", sv: "parkerginsplats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PMPO",
      definition: {en: "a facility for pumping oil through a pipeline", ru: "станция, предназначенная для перекачки нефти через трубопроводы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PMPO",
      prefLabel: {en: "oil pumping station", bg: "нефтена помпена станция", no: "oljepumpestasjon", ru: "нефтеперекачивающая станция", sv: "pumpstation för olja"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PMPW",
      definition: {en: "a facility for pumping water from a major well or through a pipeline", ru: "специальное здание для насосов, перекачивающих воду из водоёма к местам её использования"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PMPW",
      prefLabel: {en: "water pumping station", bg: "водна помпена станция", no: "vannpumpestasjon", ru: "водокачка", sv: "pumpstation för vatten"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PO",
      definition: {en: "a public building in which mail is received, sorted and distributed", ru: "учреждение связи, ведающее пересылкой писем, периодических изданий, посылок, денег и т.п.; здание, помещение, где находится это учреждение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PO",
      prefLabel: {en: "post office", bg: "пощенска станция", no: "postkontor", ru: "почта", sv: "postkontor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PP",
      definition: {en: "a building in which police are stationed", ru: "здание, в котором располагается пост милиции"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PP",
      prefLabel: {en: "police post", bg: "полицейски пост", no: "politiforlegning", ru: "милицейский пост", sv: "polispostering"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PPQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PPQ",
      prefLabel: {en: "abandoned police post", bg: "изоставен полицейски пост", no: "nedlagt politiforlegning", ru: "заброшенный полицейский пост", sv: "övergiven polispostering"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PRKGT",
      definition: {en: "a controlled access to a park", ru: "вход в парк, запираемый створами"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PRKGT",
      prefLabel: {en: "park gate", bg: "паркова бариера", no: "inngang til militæranlegg", ru: "ворота парка", sv: "parkingång"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PRKHQ",
      definition: {en: "a park administrative facility", ru: "здание, в котором располагается администрация парка"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PRKHQ",
      prefLabel: {en: "park headquarters", bg: "администрация на парк", no: "hovedkvarter på militæranlegg", ru: "администрация парка", sv: "park huvudkontor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PRN",
      definition: {en: "a facility for confining prisoners", ru: "место заключения, здание, где содержатся лица, приговорённые судом к лишению свободы; лица, находящиеся под следствием"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PRN",
      prefLabel: {en: "prison", bg: "зътвор", no: "fengsel", ru: "тюрьма", sv: "fängelse"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PRNJ",
      definition: {en: "a facility for confining, training, and reforming young law offenders", ru: "исправительно-трудовое учреждение, в котором отбывают наказание лица до 18 лет, осуждённые к лишению свободы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PRNJ",
      prefLabel: {en: "reformatory", bg: "исправително училище", no: "forbedringsanstalt", ru: "колония для несовершеннолетних", sv: "uppfostringsanstalt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PRNQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PRNQ",
      prefLabel: {en: "abandoned prison", bg: "изоставен затвор", no: "nedlagt fengsel", ru: "заброшенная тюрьма", sv: "övergivet fängelse"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PS",
      definition: {en: "a facility for generating electric power", ru: "предприятие, где производится электроэнергия из других видов энергии"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PS",
      prefLabel: {en: "power station", bg: "влектростанция", no: "kraftstasjon", ru: "электростанция", sv: "kraftstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PSH",
      definition: {en: "a building where electricity is generated from water power", ru: "электростанция, преобразующая энергию падающей воды в электроэнергию (сокращённо ГЭС)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PSH",
      prefLabel: {en: "hydroelectric power station", bg: "ВЕЦ", no: "vannkraftverk", ru: "гидроэлектростанция", sv: "vattenkraftstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PSTB",
      definition: {en: "a post or station at an international boundary for the regulation of movement of people and goods", ru: "пост, ведающий контролем  передвижения через международную границу людей и товаров"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PSTB",
      prefLabel: {en: "border post", bg: "граничен пост", no: "grensestasjon", ru: "пограничный пост", sv: "gränspostering"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PSTC",
      definition: {en: "a building at an international boundary where customs and duties are paid on goods", ru: "пост, ведающий контролем провоза через границу грузов, багажа, почты и собирающее пошлину за такой провоз"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PSTC",
      prefLabel: {en: "customs post", bg: "митнически пост", no: "tollstasjon", ru: "таможенный пост", sv: "tullpostering"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PSTP",
      definition: {en: "a post from which patrols are sent out", ru: "вид наряда, который используется для несения патрульно-постовой службы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PSTP",
      prefLabel: {en: "patrol post", bg: "патрулен пост", no: "patruljepost", ru: "патрульный пост", sv: "patrullpostering"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PYR",
      definition: {en: "an ancient massive structure of square ground plan with four triangular faces meeting at a point and used for enclosing tombs", ru: "В Древнем Египте: массивное сооружение из каменных блоков с четырёхугольным основанием и сходящимися к вершине боковыми гранями, служившее гробницей фараона"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PYR",
      prefLabel: {en: "pyramid", bg: "пирамида", no: "pyramide", ru: "пирамида", sv: "pyramid"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.PYRS",
      definition: {en: "ancient massive structures of square ground plan with four triangular faces meeting at a point and used for enclosing tombs", ru: "В Древнем Египте: массивные сооружения из каменных блоков с четырёхугольным основанием и сходящимися к вершине боковыми гранями, служившие гробницей фараона"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.PYRS",
      prefLabel: {en: "pyramids", bg: "пирамиди", no: "pyramider", ru: "пирамиды", sv: "pyramider"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.QUAY",
      definition: {en: "a structure of solid construction along a shore or bank which provides berthing for ships and which generally provides cargo handling facilities", ru: "стоянка для судов; специальное сооружение, к которому причаливают суда"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.QUAY",
      prefLabel: {en: "quay", bg: "кей", no: "brygge", ru: "причал", sv: "kaj"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RDCR",
      definition: {en: "a road junction formed around a central circle about which traffic moves in one direction only"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RDCR",
      prefLabel: {en: "traffic circle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RECG",
      definition: {en: "a recreation field where golf is played", ru: "место для отдыха, где находится поле, предназначенное для игры в гольф"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RECG",
      prefLabel: {en: "golf course", bg: "голф игрище", no: "golfbane", ru: "поле для гольфа", sv: "golfbana"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RECR",
      definition: {en: "a track where races are held", ru: "специально оборудованный участок для конных бегов, скачек и состязаний, представляющий собой площадь овальной формы с амфитеатром для зрителей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RECR",
      prefLabel: {en: "racetrack", bg: "хиподрум", no: "veddeløpsbane", ru: "ипподром", sv: "kapplöpningsbana"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.REST",
      definition: {en: "A place where meals are served to the public", ru: "торговое заведение, где можно вкусно поесть и приятно провести время (иногда с музыкой, танцами и т.п.)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.REST",
      prefLabel: {en: "restaurant", bg: "ресторант", no: "restaurant", ru: "ресторан", sv: "restaurang"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RET",
      definition: {en: "a building where goods and/or services are offered for sale"},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RET",
      prefLabel: {en: "store"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RHSE",
      definition: {en: "a structure maintained for the rest and shelter of travelers", ru: "лечебно-профилактическое учреждение для лечения и отдыха"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RHSE",
      prefLabel: {en: "resthouse", bg: "страноприемница", no: "hvilehjem", ru: "дом отдыха", sv: "härbärge, vilohem"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RKRY",
      definition: {en: "a breeding place of a colony of birds or seals", ru: "место, где лежат стадами некоторые морские животные"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RKRY",
      prefLabel: {en: "rookery", bg: "птича колония", no: "fuglekoloni", ru: "лежбище", sv: "djurkoloni"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RLG",
      definition: {en: "an ancient site of significant religious importance", ru: "место религиозного поклонения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RLG",
      prefLabel: {en: "religious site", bg: "религиозно място", no: "religiøst sted", ru: "религиозная святыня", sv: "religiös plats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RLGR",
      definition: {en: "a place of temporary seclusion, especially for religious groups", ru: "жилище, где кто-л. чувствует себя безопасно, уютно и спокойно; пристанище, прибежище для бездомных или одиноких, нуждающихся людей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RLGR",
      prefLabel: {en: "retreat", bg: "приют", no: "tilfluktssted", ru: "приют", sv: "fristad, tillflyktsort"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RNCH",
      definition: {en: "a large farm specializing in extensive grazing of livestock", ru: "крупная ферма, основной специализацией которой является разведение крупного рогатого скота"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RNCH",
      prefLabel: {en: "ranch(es)", bg: "ранчо(а)", no: "ranch", ru: "ранчо", sv: "ranch(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSD",
      definition: {en: "a short track parallel to and joining the main track", ru: "короткая железная дорога, параллельная и примыкающая к главной железной дороге"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSD",
      prefLabel: {en: "railroad siding", bg: "коловоз", no: "jernbanesidespor", ru: "запасный железнодорожный путь", sv: "järnvägsstickspår"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSGNL",
      definition: {en: "a signal at the entrance of a particular section of track governing the movement of trains", ru: "сигнал для передачи приказов и указаний, обеспечивающих безопасность движения поездов, маневровых работ"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSGNL",
      prefLabel: {en: "railroad signal", bg: "жп сигнализация", no: "jernbanesignal", ru: "железнодорожный сигнал", sv: "järnvägssignal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSRT",
      definition: {en: "a specialized facility for vacation, health, or participation sports activities", ru: "местность с целебными природными свойствами, используемая для лечебных целей и для отдыха"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSRT",
      prefLabel: {en: "resort", bg: "курорт", no: "feriested", ru: "курорт", sv: "semesterort"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSTN",
      definition: {en: "a facility comprising ticket office, platforms, etc. for loading and unloading train passengers and freight", ru: "здание или комплекс зданий для обслуживания пассажиров и размещения служб на железнодорожных станциях"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSTN",
      prefLabel: {en: "railroad station", bg: "жп гара", no: "jernbanestasjon", ru: "ж/д вокзал", sv: "järnvägsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSTNQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSTNQ",
      prefLabel: {en: "abandoned railroad station", bg: "изоставена жп гара", no: "nedlagt jernbanestasjon", ru: "заброшенный вокзал", sv: "övergiven järnvägsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSTP",
      definition: {en: "a place lacking station facilities where trains stop to pick up and unload passengers and freight", ru: "пункт, место, установленные для посадки и высадки пассажиров электропоезда"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSTP",
      prefLabel: {en: "railroad stop", bg: "жп спирка", no: "jernbanestoppested", ru: "остановка поезда", sv: "järnvägsstopp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RSTPQ",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RSTPQ",
      prefLabel: {en: "abandoned railroad stop", bg: "изоставена жп спирка", no: "nedlagt jernbanestoppested", ru: "заброшенная остановка", sv: "övergivet järnvägsstopp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.RUIN",
      definition: {en: "a destroyed or decayed structure which is no longer functional", ru: "развалины какого-л. строения, сооружения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.RUIN",
      prefLabel: {en: "ruin(s)", bg: "руина(и)", no: "ruin", ru: "руины", sv: "ruin(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCH",
      definition: {en: "building(s) where instruction in one or more branches of knowledge takes place", ru: "учебное заведение, которое осуществляет общее образование и воспитание молодого поколения; здание, в котором помещается это заведение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCH",
      prefLabel: {en: "school", bg: "училище", no: "skole", ru: "школа", sv: "skola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHA",
      definition: {en: "a school with a curriculum focused on agriculture", ru: "школа, в учебном плане которой сделан акцент на изучение сельскохозяйственных наук"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHA",
      prefLabel: {en: "agricultural school", bg: "земеделско училище", no: "landbruksskole", ru: "сельскохозяйственная школа", sv: "jordbruksskola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHC",
      definition: {en: "the grounds and buildings of an institution of higher learning", ru: "в Англии, США и некоторых других странах: высшее или среднее учебное заведение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHC",
      prefLabel: {en: "college", bg: "колеж", no: "høyskole", ru: "колледж", sv: "universitet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHD",
      definition: {en: "Driving School"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHD",
      prefLabel: {en: "Driving School"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHL",
      definition: {en: "Language Schools & Institutions", ru: "языковые учебные заведения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHL",
      prefLabel: {en: "language school", bg: "language school", no: "language school", ru: "языковая школа", sv: "Språkskola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHM",
      definition: {en: "a school at which military science forms the core of the curriculum", ru: "военное образовательное учреждение высшего и среднего профессионального образования"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHM",
      prefLabel: {en: "military school", bg: "военен колеж", no: "militærskole", ru: "военное училище", sv: "militärskola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHN",
      definition: {en: "a school at which maritime sciences form the core of the curriculum", ru: "военно-учебное заведение для подготовки офицеров военно-морского флота (ВМФ)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHN",
      prefLabel: {en: "maritime school", bg: "морско училище", no: "sjøfartsskole", ru: "военно-морское училище", sv: "sjöfartsskola"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SCHT",
      definition: {en: "post-secondary school with a specifically technical or vocational curriculum", ru: "школа, предоставляющая профессионально-техническое образование"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SCHT",
      prefLabel: {en: "technical school", ru: "техническое училище"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SECP",
      definition: {en: "state exam preparation centres", ru: "центры по подготовке к сдаче государственного экзамена"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SECP",
      prefLabel: {en: "State Exam Prep Centre", bg: "State Exam Prep Centre", no: "State Exam Prep Centre", ru: "центр подготовки к государственному экзамену", sv: "State Exam Prep Centre"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SHPF",
      definition: {en: "a fence or wall enclosure for sheep and other small herd animals", ru: "хлев, загон для овец"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SHPF",
      prefLabel: {en: "sheepfold", bg: "кошара за овце", no: "sauekve", ru: "овчарня", sv: "fårfälla"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SHRN",
      definition: {en: "a structure or place memorializing a person or religious concept", ru: "в христианской церкви: большой ларец (в виде гробницы или саркофага), в котором хранятся мощи святого"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SHRN",
      prefLabel: {en: "shrine", bg: "светилище", no: "helligdom", ru: "рака", sv: "helgedom"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SHSE",
      definition: {en: "a building for storing goods, especially provisions", ru: "специальное помещение для хранения товаров, сырья, оборудования и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SHSE",
      prefLabel: {en: "storehouse", bg: "хамбар", no: "lagerbygning", ru: "склад", sv: "magasin"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SLCE",
      definition: {en: "a conduit or passage for carrying off surplus water from a waterbody, usually regulated by means of a sluice gate", ru: "гидротехническое сооружение между водоёмами с различными уровнями воды, позволяющее переводить суда из одного водоёма в другой"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SLCE",
      prefLabel: {en: "sluice", bg: "шлюз", no: "sluse", ru: "шлюз", sv: "sluss"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SNTR",
      definition: {en: "a facility where victims of physical or mental disorders are treated", ru: "лечебно-профилактическое учреждение для лечения и отдыха"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SNTR",
      prefLabel: {en: "sanatorium", bg: "санаториум", no: "sanatorium", ru: "санаторий", sv: "sanatorium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SPA",
      definition: {en: "a resort area usually developed around a medicinal spring", ru: "курорт с минеральным источником"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SPA",
      prefLabel: {en: "spa", bg: "спа", no: "spa", ru: "спа", sv: "bad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SPLY",
      definition: {en: "a passage or outlet through which surplus water flows over, around or through a dam", ru: "водосброс, осуществляющийся путём свободного перелива воды через гребень плотины"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SPLY",
      prefLabel: {en: "spillway", bg: "преливник", no: "overløp", ru: "водослив", sv: "dammavlopp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SQR",
      definition: {en: "a broad, open, public area near the center of a town or city", ru: "незастроенное, обрамлённое какими-л. зданиями, зелёными насаждениями место в пределах города или села, составляющее часть городского, сельского пространства"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SQR",
      prefLabel: {en: "square", bg: "площад", no: "plass", ru: "площадь", sv: "torg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STBL",
      definition: {en: "a building for the shelter and feeding of farm animals, especially horses", ru: "помещение для содержания лошадей, обычно представляет собой постройку, разделённую на индивидуальные для каждой лошади секции, которые называются денниками"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STBL",
      prefLabel: {en: "stable", bg: "обор", no: "stall", ru: "конюшня", sv: "stall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STDM",
      definition: {en: "a structure with an enclosure for athletic games with tiers of seats for spectators", ru: "комплексное спортивное сооружение со специально оборудованными площадками для состязаний, тренировок, вспомогательными помещениями и трибунами для зрителей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STDM",
      prefLabel: {en: "stadium", bg: "стадион", no: "stadion", ru: "стадион", sv: "stadium"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNB",
      definition: {en: "a scientific facility used as a base from which research is carried out or monitored", ru: "помещение, которое используется в качестве базы для проведения различных научных исследований"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNB",
      prefLabel: {en: "scientific research base", bg: "научно иследователска база", no: "forskningsbase", ru: "научно-исследовательская база", sv: "forskningsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNC",
      definition: {en: "a facility from which the coast is guarded by armed vessels", ru: "пункт, с которого вооруженные корабли ведут охрану береговой линии"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNC",
      prefLabel: {en: "coast guard station", bg: "станция на брегова охрана", no: "kystvaktstasjon", ru: "пост береговой охраны", sv: "kustvaktsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNE",
      definition: {en: "a facility for carrying out experiments", ru: "место проведения различного рода испытаний"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNE",
      prefLabel: {en: "experiment station", bg: "експериментална станция", no: "eksperimentstasjon", ru: "испытательная станция", sv: "experimentstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNF",
      definition: {en: "a collection of buildings and facilities for carrying out forest management", ru: "хозяйственные строения, в которых располагается управление лесным участком"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNF",
      prefLabel: {en: "forest station", bg: "горска станция", no: "skogstasjon", ru: "лесничество", sv: "skogsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNI",
      definition: {en: "a station at which vehicles, goods, and people are inspected", ru: "место досмотра вещей и обыска людей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNI",
      prefLabel: {en: "inspection station", bg: "инспекционна станция", no: "inspeksjonsstasjon", ru: "контрольно-пропускной пункт", sv: "inspektionsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNM",
      definition: {en: "a station at which weather elements are recorded", ru: "учреждение, которое проводит регулярные наблюдения за состоянием атмосферы"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNM",
      prefLabel: {en: "meteorological station", bg: "метереологична станция", no: "meteorologisk stasjon", ru: "метеорологическая станция", sv: "meteorologisk station"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNR",
      definition: {en: "a facility for producing and transmitting information by radio waves", ru: "комплекс устройств для передачи информации посредством радиоволн и (или) её приёма"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNR",
      prefLabel: {en: "radio station", bg: "радио станция", no: "radiostasjon", ru: "радиостанция", sv: "radiostation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNS",
      definition: {en: "a facility for tracking and communicating with orbiting satellites", ru: "космический аппарат, предназначенный для долговременного пребывания людей на околоземной орбите с целью проведения научных исследований в условиях космического пространства, разведки, наблюдений за поверхностью и атмосферой планеты, астрономических наблюдений, и т.п."},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNS",
      prefLabel: {en: "satellite station", bg: "сателитна станция", no: "satellittstasjon", ru: "орбитальная станция", sv: "satellitstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STNW",
      definition: {en: "a facility for butchering whales and processing train oil", ru: "место забоя китов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STNW",
      prefLabel: {en: "whaling station", bg: "китоловна станция", no: "hvalfangststasjon", ru: "китобойная станция", sv: "valstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.STPS",
      definition: {en: "stones or slabs placed for ease in ascending or descending a steep slope", ru: "пристройка перед входом в дом, состоящая из площадки и лестницы, иногда под навесом"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.STPS",
      prefLabel: {en: "steps", bg: "стъпало", no: "trinn", ru: "крыльцо", sv: "trappa"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.SWT",
      definition: {en: "facility for the processing of sewage and/or wastewater", ru: "комплекс инженерных сооружений в системе канализации населённого места или промышленного предприятия, предназначенный для очистки"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.SWT",
      prefLabel: {en: "sewage treatment plant", ru: "очистное сооружение"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.THTR",
      definition: {en: "A building, room, or outdoor structure for the presentation of plays, films, or other dramatic performances", ru: "учреждение, организация, занимающиеся устройством представлений"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.THTR",
      prefLabel: {en: "theater", bg: "театър", no: "teater", ru: "театр", sv: "teater"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TMB",
      definition: {en: "a structure for interring bodies", ru: "яма для погребения умершего"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TMB",
      prefLabel: {en: "tomb(s)", bg: "гробница(и)", no: "grav", ru: "могила", sv: "grav(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TMPL",
      definition: {en: "an edifice dedicated to religious worship", ru: "здание, предназначенное для совершения богослужений и религиозных обрядов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TMPL",
      prefLabel: {en: "temple(s)", bg: "храм(ове)", no: "tempel", ru: "храм", sv: "tempel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TNKD",
      definition: {en: "a small artificial pond used for immersing cattle in chemically treated water for disease control", ru: "искусственный водоем со специальным химическим раствором; в этот водоем опускают крупный рогатый скот для профилактики от опасных заболеваний"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TNKD",
      prefLabel: {en: "cattle dipping tank", bg: "яма за третиране на животни", no: "desinfeksjonsstasjon for kveg", ru: "макательная ванна для крупного рогатого скота", sv: "cattle dipping tank"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TOWR",
      definition: {en: "a high conspicuous structure, typically much higher than its diameter", ru: "высокое узкое архитектурное или инженерное сооружение (круглой, четырёхгранной или многогранной формы) различного назначения"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TOWR",
      prefLabel: {en: "tower", bg: "кула", no: "tårn", ru: "башня", sv: "torn"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TRANT",
      definition: {en: "facilities for the handling of vehicular freight and passengers", ru: "станция для перегрузки материалов с одного вида транспорта на другой и для пересадки пассажиров"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TRANT",
      prefLabel: {en: "transit terminal", ru: "перевалочная база/станция пересадки"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TRIG",
      definition: {en: "a point on the earth whose position has been determined by triangulation", ru: "опорный геодезический пункт, созданный методом триангуляции (геодезия)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TRIG",
      prefLabel: {en: "triangulation station", bg: "триангулачна точка", no: "trianguleringsstasjon", ru: "триангуляционный пост", sv: "trianguleringsstation"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TRMO",
      definition: {en: "a tank farm or loading facility at the end of an oil pipeline", ru: "нефтебаза или нефтеналивная станция в конце нефтепровода"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TRMO",
      prefLabel: {en: "oil pipeline terminal", bg: "нефтен терминал", no: "terminal for oljerørledning", ru: "конечный пункт нефтепровода", sv: "oljepipelineterminal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.TWO",
      definition: {en: "Temporary Work Offices", ru: "учреждение, осуществляющее посредничество между предпринимателями и наёмными работниками"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.TWO",
      prefLabel: {en: "temp work office", bg: "temp work office", no: "temp work office", ru: "биржа труда", sv: "Temp Work Office"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.UNIO",
      definition: {en: "Post Universitary Education Institutes (post graduate studies and highly specialised master programs) & MBA"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.UNIO",
      prefLabel: {en: "postgrad & MBA"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.UNIP",
      definition: {en: "University Preparation Schools & Institutions", ru: "подготовительные курсы для поступления в высшее учебное заведение"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.UNIP",
      prefLabel: {en: "university prep school", bg: "university prep school", no: "university prep school", ru: "подготовительные курсы", sv: "University Prep School"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.UNIV",
      definition: {en: "An institution for higher learning with teaching and research facilities constituting a graduate school and professional schools that award master's degrees and doctorates and an undergraduate division that awards bachelor's degrees.", ru: "высшее учебно-научное заведение с различными гуманитарными и естественно-математическими отделениями (факультетами)"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.UNIV",
      prefLabel: {en: "university", bg: "университет", no: "universitet", ru: "университет", sv: "universitet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.USGE",
      definition: {en: "a facility operated by the United States Government in Panama", ru: "учреждение, которое находится под контролем правительства США в Панаме"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.USGE",
      prefLabel: {en: "united states government establishment", bg: "представителство на САЩ", no: "anlegg tilhørende USA", ru: "представительство США в Панаме", sv: "amerikansk regeringsbyggnad"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.VETF",
      definition: {en: "a building or camp at which veterinary services are available", ru: "больница, где лечат животных"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.VETF",
      prefLabel: {en: "veterinary facility", bg: "ветеринарна лечебница", no: "veterinæranlegg", ru: "ветеринарная клиника", sv: "veterinärklinik"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WALL",
      definition: {en: "a thick masonry structure, usually enclosing a field or building, or forming the side of a structure", ru: "вертикальная часть здания, служащая для поддержания перекрытий и разделения помещения на части"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WALL",
      prefLabel: {en: "wall", bg: "вал", no: "mur", ru: "стена", sv: "mur"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WALLA",
      definition: {en: "the remains of a linear defensive stone structure", ru: "руины защитного сооружения, построенного из камня"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WALLA",
      prefLabel: {en: "ancient wall", bg: "античен вал", no: "fortidsmur", ru: "античная стена", sv: "historisk damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WEIR",
      definition: {en: "a small dam in a stream, designed to raise the water level or to divert stream flow through a desired channel", ru: "гидротехническое сооружение, перегораживающее водоток для подъёма воды в реке, создания водохранилища или электростанции"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WEIR",
      prefLabel: {en: "weir(s)", bg: "бент(ове)", no: "fiskedam", ru: "плотина", sv: "damm, fördämning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WHRF",
      definition: {en: "a structure of open rather than solid construction along a shore or a bank which provides berthing for ships and cargo-handling facilities", ru: "специально оборудованное место, сооружение для причаливания и стоянки судов"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WHRF",
      prefLabel: {en: "wharf(-ves)", bg: "пристан(и)", no: "kai", ru: "пристань", sv: "kaj, brygga"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WRCK",
      definition: {en: "the site of the remains of a wrecked vessel", ru: "остатки кораблекрушения, выброшенные морем на берег"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WRCK",
      prefLabel: {en: "wreck", bg: "гробница за кораби", no: "vrak", ru: "обломки разбитого судна", sv: "vrak"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.WTRW",
      definition: {en: "a facility for supplying potable water through a water source and a system of pumps and filtration beds", ru: "система наносов и очистных сооружений, сквозь которые проходит вода, используемая в дальнейшем для питья и технических целей"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.WTRW",
      prefLabel: {en: "waterworks", bg: "водопроводна станция", no: "vannverk", ru: "водопроводная станция", sv: "vattenverk, vattenkonst"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ZNF",
      definition: {en: "an area, usually a section of a port, where goods may be received and shipped free of customs duty and of most customs regulations", ru: "территория, на которой не взимаются таможенные пошлины, налоги и сборы с пересекающих границу иностранных товаров"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ZNF",
      prefLabel: {en: "free trade zone", bg: "свободна търговска зона", no: "frihandelssone", ru: "зона свободной торговли", sv: "frihandelszon"},
      type: "http://www.geonames.org/ontology#Code"
    term :"S.ZOO",
      definition: {en: "a zoological garden or park where wild animals are kept for exhibition", ru: "зоологический парк, где содержат диких животных с целью их демонстрации"},
      inScheme: "http://www.geonames.org/ontology#S",
      notation: "S.ZOO",
      prefLabel: {en: "zoo", bg: "зоопарк", no: "dyrehage", ru: "зоопарк", sv: "zoo"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ASPH",
      definition: {en: "a small basin containing naturally occurring asphalt", ru: "небольшой бассейн, который вместо воды заполнен природным асфальтом"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ASPH",
      prefLabel: {en: "asphalt lake", bg: "асфалтово езеро", no: "asfaltsjø", ru: "асфальтовое озеро", sv: "asfaltssjö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ATOL",
      definition: {en: "a ring-shaped coral reef which has closely spaced islands on it encircling a lagoon", ru: "коралловый остров кольцеобразной формы с мелководной лагуной внутри (преимущественно в Индийском и Тихом океанах)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ATOL",
      prefLabel: {en: "atoll(s)", bg: "атол(и)", no: "atoll", ru: "атолл", sv: "atoll(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BAR",
      definition: {en: "a shallow ridge or mound of coarse unconsolidated material in a stream channel, at the mouth of a stream, estuary, or lagoon and in the wave-break zone along coasts", ru: "наносная мель у морских берегов (обычно в устье реки)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BAR",
      prefLabel: {en: "bar", bg: "нанос", no: "bar", ru: "бар", sv: "rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BCH",
      definition: {en: "a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves", ru: "отлогий намывной берег, удобный для купания и принятия солнечных ванн"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BCH",
      prefLabel: {en: "beach", bg: "бряг", no: "strand", ru: "пляж", sv: "strand"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BCHS",
      definition: {en: "a shore zone of coarse unconsolidated sediment that extends from the low-water line to the highest reach of storm waves", ru: "отлогие намывные берега, удобные для купания и принятия солнечных ванн"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BCHS",
      prefLabel: {en: "beaches", bg: "брегове", no: "strender", ru: "пляжи", sv: "stränder"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BDLD",
      definition: {en: "an area characterized by a maze of very closely spaced, deep, narrow, steep-sided ravines, and sharp crests and pinnacles", ru: "неплодородная эродированная сильнопересечённая местность"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BDLD",
      prefLabel: {en: "badlands", bg: "Необитаема зона", no: "steinørken", ru: "бесплодная земля", sv: "ofruktbart land"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BLDR",
      definition: {en: "a high altitude or high latitude bare, flat area covered with large angular rocks", ru: "равнинная местность, покрытая большими углообразными валунами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BLDR",
      prefLabel: {en: "boulder field", bg: "Скалиста зона", no: "steinmark", ru: "завалуненное поле", sv: "stenblocksfält"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BLHL",
      definition: {en: "a hole in coastal rock through which sea water is forced by a rising tide or waves and spurted through an outlet into the air", ru: "a hole in coastal rock through which sea water is forced by a rising tide or waves and spurted through an outlet into the air"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BLHL",
      prefLabel: {en: "blowhole(s)", bg: "ноздра(и)", no: "luftehull", ru: "blowhole", sv: "blowhole(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BLOW",
      definition: {en: "a small depression in sandy terrain, caused by wind erosion", ru: "небольшое углубление на песчаной местности, образовавшееся в результате эрозии"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BLOW",
      prefLabel: {en: "blowout(s)", bg: "пукнатина(и)", no: "utblåsning", ru: "развеянная дюна", sv: "utvidgning(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BNCH",
      definition: {en: "a long, narrow bedrock platform bounded by steeper slopes above and below, usually overlooking a waterbody", ru: "выдающаяся вперед часть горного массива (обычно над водой), имеющая вид ступени или террасы"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BNCH",
      prefLabel: {en: "bench", bg: "банка", no: "benk", ru: "выступ, имеющий вид ступени или террасы", sv: "avsats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.BUTE",
      definition: {en: "a small, isolated, usually flat-topped hill with steep sides", ru: "небольшая  возвышенность округлой или овальной формы с крутым склоном"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.BUTE",
      prefLabel: {en: "butte(s)", bg: "Изолирана скала(и)", no: "høyde med bratte sider", ru: "крутой холм на равнине", sv: "kulle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CAPE",
      definition: {en: "a land area, more prominent than a point, projecting into the sea and marking a notable change in coastal direction", ru: "часть суши, острым углом вдающаяся в водное пространство (море, озеро, реку)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CAPE",
      prefLabel: {en: "cape", bg: "нос", no: "nes", ru: "мыс", sv: "udde, kap"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CFT",
      definition: {en: "a deep narrow slot, notch, or groove in a coastal cliff", ru: "узкое ущелье в горах"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CFT",
      prefLabel: {en: "cleft(s)", bg: "цепнатина(и)", no: "kløft", ru: "расщелина", sv: "klyfta"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CLDA",
      definition: {en: "a depression measuring kilometers across formed by the collapse of a volcanic mountain", ru: "котлообразная впадина с крутыми склонами и ровным дном, образовавшаяся вследствие провала вершины вулкана, а иногда и прилегающей к нему местности"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CLDA",
      prefLabel: {en: "caldera", bg: "Вулканично пропадане", no: "caldera", ru: "кальдера", sv: "krater"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CLF",
      definition: {en: "a high, steep to perpendicular slope overlooking a waterbody or lower area", ru: "отвесная скала"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CLF",
      prefLabel: {en: "cliff(s)", bg: "урва(и)", no: "klippe", ru: "утес", sv: "brant klippa, stup"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CNYN",
      definition: {en: "a deep, narrow valley with steep sides cutting into a plateau or mountainous area", ru: "глубокая речная долина с очень крутыми или отвесными склонами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CNYN",
      prefLabel: {en: "canyon", bg: "каньон", no: "canyon", ru: "каньон", sv: "kanjon, djup flodbädd"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CONE",
      definition: {en: "a conical landform composed of mud or volcanic material", ru: "рельеф канонической формы, образованный из вулканогенного материала и покрытый грязью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CONE",
      prefLabel: {en: "cone(s)", bg: "конус(и)", no: "kjegle", ru: "конус вулкана", sv: "kon"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CRDR",
      definition: {en: "a strip or area of land having significance as an access way", ru: "узкое длинное пространство, проход, ограниченные с обеих сторон"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CRDR",
      prefLabel: {en: "corridor", bg: "коридор", no: "korridor", ru: "коридор", sv: "korridor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CRQ",
      definition: {en: "a bowl-like hollow partially surrounded by cliffs or steep slopes at the head of a glaciated valley", ru: "естественное чашеобразное углубление в привершинной части горы (обычно со скалистыми или покрытыми льдом, снегом стенами)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CRQ",
      prefLabel: {en: "cirque", bg: "циркус", no: "dalgryte", ru: "цирк", sv: "kitteldal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CRQS",
      definition: {en: "bowl-like hollows partially surrounded by cliffs or steep slopes at the head of a glaciated valley", ru: "естественные чашеобразные углубления в привершинной части горы (обычно со скалистыми или покрытыми льдом, снегом стенами)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CRQS",
      prefLabel: {en: "cirques", bg: "циркуси", no: "dalgryter", ru: "цирки", sv: "kitteldalar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CRTR",
      definition: {en: "a generally circular saucer or bowl-shaped depression caused by volcanic or meteorite explosive action", ru: "углубление на вершине вулкана, из которого при извержении выливается лава"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CRTR",
      prefLabel: {en: "crater(s)", bg: "кратер(и)", no: "krater", ru: "кратер", sv: "krater"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.CUET",
      definition: {en: "an asymmetric ridge formed on tilted strata", ru: "наклонная равнина, круто обрезанная с одной стороны"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.CUET",
      prefLabel: {en: "cuesta(s)", bg: "стръмен хълм(ове)", no: "cuesta", ru: "куэста", sv: "backe"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.DLTA",
      definition: {en: "a flat plain formed by alluvial deposits at the mouth of a stream", ru: "устье большой реки с его разветвлениями на отдельные рукава и прилегающая к нему суша"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.DLTA",
      prefLabel: {en: "delta", bg: "делта", no: "delta", ru: "дельта реки", sv: "delta"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.DPR",
      definition: {en: "a low area surrounded by higher land and usually characterized by interior drainage", ru: "понижение земной поверхности в пределах суши, на дне океанов и морей"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.DPR",
      prefLabel: {en: "depression(s)", bg: "депресия(и)", no: "fordypning", ru: "впадина", sv: "depression(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.DSRT",
      definition: {en: "a large area with little or no vegetation due to extreme environmental conditions", ru: "обширная засушливая область с небольшим количеством осадков, резкими колебаниями воздуха и почвы и скудной растительностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.DSRT",
      prefLabel: {en: "desert", bg: "пустина(и)", no: "ørken", ru: "пустыня", sv: "öken"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.DUNE",
      definition: {en: "a wave form, ridge or star shape feature composed of sand", ru: "песчаный холм или их группа, образованные ветром на слабо закреплённых растительностью песчаных массивах"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.DUNE",
      prefLabel: {en: "dune(s)", bg: "дюня(и)", no: "sanddyne", ru: "дюна", sv: "sanddyn(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.DVD",
      definition: {en: "a line separating adjacent drainage basins", ru: "возвышенная местность между бассейнами рек, разделяющая их"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.DVD",
      prefLabel: {en: "divide", bg: "разделение", no: "vannskille", ru: "водораздел", sv: "vattendelare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ERG",
      definition: {en: "an extensive tract of shifting sand and sand dunes", ru: "тип пустынь с песчаной поверхностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ERG",
      prefLabel: {en: "sandy desert", bg: "пясъчна пустиня", no: "sandørken", ru: "песчаная пустыня", sv: "sandöken"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.FAN",
      definition: {en: "a fan-shaped wedge of coarse alluvium with apex merging with a mountain stream bed and the fan spreading out at a low angle slope onto an adjacent plain", ru: "форма рельефа, имеющая вид слабовыпуклого полуконуса, образованного скоплением рыхлого обломочного материала (аллювия) в устьевой части временных водных потоков и небольших рек или при выходе их из гор на предгорные равнины или из ущелий в более широкую долину"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.FAN",
      prefLabel: {en: "fan(s)", bg: "ветрило(а)", no: "avleiringsvifte", ru: "конус выноса", sv: "fan(s)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.FORD",
      definition: {en: "a shallow part of a stream which can be crossed on foot or by land vehicle", ru: "мелкое место во всю ширину реки, озера и т.п., удобное для перехода, переезда"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.FORD",
      prefLabel: {en: "ford", bg: "брод", no: "vadested", ru: "брод", sv: "vadställe"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.FSR",
      definition: {en: "a crack associated with volcanism", ru: "глубокая трещина, узкое ущелье в горной породе, в земле"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.FSR",
      prefLabel: {en: "fissure", bg: "цепнатина", no: "revne", ru: "расселина", sv: "klyfta, spricka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.GAP",
      definition: {en: "a low place in a ridge, not used for transportation", ru: "крутой, глубокий обрыв, очень глубокая расселина, бездна"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.GAP",
      prefLabel: {en: "gap", bg: "клисура", no: "kløft", ru: "пропасть", sv: "gap, öppning, hål, klyfta"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.GRGE",
      definition: {en: "a short, narrow, steep-sided section of a stream valley", ru: "узкая крутосклонная долина (обычно в пределах горной страны), промытая рекой в твёрдых коренных породах"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.GRGE",
      prefLabel: {en: "gorge(s)", bg: "пролом(и)", no: "juv", ru: "ущелье", sv: "trång klyfta mellan berg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.HDLD",
      definition: {en: "a high projection of land extending into a large body of water beyond the line of the coast", ru: "часть суши, острым углом вдающаяся в водное пространство (море, озеро, реку)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.HDLD",
      prefLabel: {en: "headland", bg: "нос", no: "pynt", ru: "возвышенный мыс", sv: "halvö,udde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.HLL",
      definition: {en: "a rounded elevation of limited extent rising above the surrounding land with local relief of less than 300m", ru: "небольшая отлогая горка, возвышенность округлой или овальной формы с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.HLL",
      prefLabel: {en: "hill", bg: "възвишение", no: "ås", ru: "холм", sv: "kulle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.HLLS",
      definition: {en: "rounded elevations of limited extent rising above the surrounding land with local relief of less than 300m", ru: "небольшие отлогие горки, возвышенности округлой или овальной формы с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.HLLS",
      prefLabel: {en: "hills", bg: "възвишения", no: "åser", ru: "холмы", sv: "kullar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.HMCK",
      definition: {en: "a patch of ground, distinct from and slightly above the surrounding plain or wetland. Often occurs in groups", ru: "ледяная глыба, образовавшаяся при сжатии льдов на северных морях и реках"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.HMCK",
      prefLabel: {en: "hammock(s)", bg: "хамак(и)", no: "hammock (stykker av hevet land)", ru: "торос", sv: "hammock"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.HMDA",
      definition: {en: "a relatively sand-free, high bedrock plateau in a hot desert, with or without a gravel veneer", ru: "тип пустыни, развитой на слабовыветренных коренных породах плато низкогорий и мелкосопочника, покрытых щебнем и галькой (поверхность К. п. почти лишена почвенно-растительного покрова, животный компонент типично пустынный)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.HMDA",
      prefLabel: {en: "rock desert", bg: "пустинно плато", no: "steinørken", ru: "каменистая пустыня", sv: "klippöken"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.INTF",
      definition: {en: "a relatively undissected upland between adjacent stream valleys", ru: "местность, расположенная между двумя реками"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.INTF",
      prefLabel: {en: "interfluve", bg: "промеждутък", no: "land mellom to elver", ru: "междуречье", sv: "interfluve"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISL",
      definition: {en: "a tract of land, smaller than a continent, surrounded by water at high water", ru: "часть суши, со всех сторон окружённая водой"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISL",
      prefLabel: {en: "island", bg: "остров", no: "øy", ru: "остров", sv: "ö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLET",
      definition: {en: "small island, bigger than rock, smaller than island."},
      "http://www.w3.org/2004/02/skos/core#historyNote": {en: "Added in v3.0"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLET",
      prefLabel: {en: "islet"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLF",
      definition: {en: "an island created by landfill or diking and filling in a wetland, bay, or lagoon", ru: "искусственный остров (для разработки морских месторождений нефти и газа)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLF",
      prefLabel: {en: "artificial island", bg: "искуствен остров", no: "kunstig øy", ru: "искусственный остров", sv: "artificiell ö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLM",
      definition: {en: "a mangrove swamp surrounded by a waterbody", ru: "мангровое болото, окруженное водой"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLM",
      prefLabel: {en: "mangrove island", bg: "мангров остров", no: "mangroveøy", ru: "мангровый остров", sv: "mangrove ö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLS",
      definition: {en: "tracts of land, smaller than a continent, surrounded by water at high water", ru: "части суши, со всех сторон окружённые водой"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLS",
      prefLabel: {en: "islands", bg: "острови", no: "øyer", ru: "острова", sv: "öar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLT",
      definition: {en: "a coastal island connected to the mainland by barrier beaches, levees or dikes", ru: "побережье острова, соединенное с материком посредством вырытого рва, траншеи или дамбы"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLT",
      prefLabel: {en: "land-tied island", bg: "остров свързан със сушата", no: "øy med landforbindelse", ru: "соединяющийся с материком остров", sv: "halvö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISLX",
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISLX",
      prefLabel: {en: "section of island", bg: "част от остров", no: "del av øy", ru: "участок острова", sv: "del av ö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.ISTH",
      definition: {en: "a narrow strip of land connecting two larger land masses and bordered by water", ru: "полоса суши, соединяющая два материка или материк с полуостровом и т.п., разделённые водой"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.ISTH",
      prefLabel: {en: "isthmus", bg: "провлак", no: "landtunge", ru: "перешеек", sv: "näs"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.KRST",
      definition: {en: "a distinctive landscape developed on soluble rock such as limestone characterized by sinkholes, caves, disappearing streams, and underground drainage", ru: "ландшафт, образованный деятельностью подземных вод на участках суши, поверхность которых сложена растворимыми горными породами: известняками, гипсом, каменной солью и др."},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.KRST",
      prefLabel: {en: "karst area", bg: "карст", no: "karstområde", ru: "карстовый район", sv: "karstområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.LAVA",
      definition: {en: "an area of solidified lava"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.LAVA",
      prefLabel: {en: "lava area", bg: "зона с лава", no: "lavaområde", ru: "район застывшей лавы", sv: "lavaområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.LEV",
      definition: {en: "a natural low embankment bordering a distributary or meandering stream; often built up artificially to control floods", ru: "гидротехническое сооружение, перегораживающее водоток для подъёма воды в реке, создания водохранилища или электростанции"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.LEV",
      prefLabel: {en: "levee", bg: "вал", no: "demning", ru: "плотина", sv: "skyddsvall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.MESA",
      definition: {en: "a flat-topped, isolated elevation with steep slopes on all sides, less extensive than a plateau", ru: "обширная возвышенность с равнинной или холмистой поверхностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.MESA",
      prefLabel: {en: "mesa(s)", bg: "скалисто плато(а)", no: "mesa", ru: "плоскогорье", sv: "platå(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.MND",
      definition: {en: "a low, isolated, rounded hill", ru: "холм, горка"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.MND",
      prefLabel: {en: "mound(s)", bg: "могила(и)", no: "voll", ru: "бугор", sv: "höjd(er)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.MRN",
      definition: {en: "a mound, ridge, or other accumulation of glacial till", ru: "скопление обломков горных пород, образуемое на границе передвижения и таяния ледников"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.MRN",
      prefLabel: {en: "moraine", bg: "морена", no: "morene", ru: "морена", sv: "morän"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.MT",
      definition: {en: "an elevation standing high above the surrounding area with small summit area, steep slopes and local relief of 300m or more", ru: "Значительная возвышенность, поднимающаяся над окружающей местностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.MT",
      prefLabel: {en: "mountain", bg: "планина", no: "fjell", ru: "гора", sv: "berg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.MTS",
      definition: {en: "a mountain range or a group of mountains or high ridges", ru: "значительные возвышенности, поднимающиеся над окружающей местностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.MTS",
      prefLabel: {en: "mountains", bg: "планини", no: "fjell", ru: "горы", sv: "berg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.NKM",
      definition: {en: "a narrow strip of land between the two limbs of a meander loop at its narrowest point", ru: "узкий участок суши между двумя краями излучины реки; самая узкая часть меандра реки"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.NKM",
      prefLabel: {en: "meander neck", bg: "Извивка между меандри", no: "meanderhals", ru: "шейка меандра", sv: "meander neck"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.NTK",
      definition: {en: "a rock or mountain peak protruding through glacial ice", ru: "изолированный скалистый пик, горный гребень или холм, выступающий над ледниковой поверхностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.NTK",
      prefLabel: {en: "nunatak", bg: "Ледникова скала", no: "nunatak", ru: "нунатак", sv: "nunatak"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.NTKS",
      definition: {en: "rocks or mountain peaks protruding through glacial ice", ru: "изолированные скалистые пики, горные гребни или холмы, выступающие над ледниковой поверхностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.NTKS",
      prefLabel: {en: "nunataks", bg: "Ледникови скали", no: "nunatakker", ru: "нунатаки", sv: "nunataker"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PAN",
      definition: {en: "a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool", ru: "большое углубление, впадина в земной поверхности с покатым спуском со всех сторон"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PAN",
      prefLabel: {en: "pan", bg: "котловина", no: "aurhelle", ru: "котловина", sv: "sänka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PANS",
      definition: {en: "a near-level shallow, natural depression or basin, usually containing an intermittent lake, pond, or pool", ru: "большие углубления, впадины в земной поверхности с покатым спуском со всех сторон"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PANS",
      prefLabel: {en: "pans", bg: "котловини", no: "aurheller", ru: "котловины", sv: "sänkor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PASS",
      definition: {en: "a break in a mountain range or other high obstruction, used for transportation from one side to the other [See also gap]", ru: "ущелье, узкий, тесный проход между возвышенностями или водными преградами (в котором можно остановить противника)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PASS",
      prefLabel: {en: "pass", bg: "Дефиле", no: "pass", ru: "дефиле", sv: "bergspass, trång väg(passage)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PEN",
      definition: {en: "an elongate area of land projecting into a body of water and nearly surrounded by water", ru: "часть суши, с трёх сторон омываемая водой, а четвёртой стороной примыкающая к материку или острову"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PEN",
      prefLabel: {en: "peninsula", bg: "полуостров", no: "halvøy", ru: "полуостров", sv: "halvö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PENX",
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PENX",
      prefLabel: {en: "section of peninsula", bg: "част от полуостров", no: "del av halvøy", ru: "участок полуострова", sv: "del av halvö"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PK",
      definition: {en: "a pointed elevation atop a mountain, ridge, or other hypsographic feature", ru: "остроконечная горная вершина или высшая точка горной вершины вообще"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PK",
      prefLabel: {en: "peak", bg: "връх", no: "tind", ru: "пик", sv: "topp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PKS",
      definition: {en: "pointed elevations atop a mountain, ridge, or other hypsographic features", ru: "остроконечные горные вершины"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PKS",
      prefLabel: {en: "peaks", bg: "върхове", no: "tinder", ru: "пики", sv: "toppar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PLAT",
      definition: {en: "an elevated plain with steep slopes on one or more sides, and often with incised streams", ru: "возвышенная равнина, ограниченная чётко выраженными уступами, крутыми склонами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PLAT",
      prefLabel: {en: "plateau", bg: "плато", no: "platå", ru: "плато", sv: "platå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PLATX",
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PLATX",
      prefLabel: {en: "section of plateau", bg: "част от плато", no: "del av platå", ru: "участок плато", sv: "del av platå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PLDR",
      definition: {en: "an area reclaimed from the sea by diking and draining", ru: "осушенный участок моря или другого водоёма"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PLDR",
      prefLabel: {en: "polder", bg: "Преградена с дига зона", no: "polder", ru: "польдер", sv: "invallat landområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PLN",
      definition: {en: "an extensive area of comparatively level to gently undulating land, lacking surface irregularities, and usually adjacent to a higher area", ru: "обширный участок суши без значительных повышений и понижений поверхности"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PLN",
      prefLabel: {en: "plain(s)", bg: "поле(та)", no: "sletteland", ru: "равнина", sv: "slätt(land)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PLNX",
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PLNX",
      prefLabel: {en: "section of plain", bg: "Част от поле", no: "del av slette", ru: "участок равнины", sv: "del av slättland"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PROM",
      definition: {en: "a bluff or prominent hill overlooking or projecting into a lowland", ru: "выступ, мыс"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PROM",
      prefLabel: {en: "promontory(-ies)", bg: "издатина(и)", no: "tange", ru: "промонторий", sv: "hög udde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PT",
      definition: {en: "a tapering piece of land projecting into a body of water, less prominent than a cape", ru: "длинная узкая отмель, идущая от берега, или низменный узкий мыс"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PT",
      prefLabel: {en: "point", bg: "Място", no: "odde", ru: "выступающая морская коса", sv: "udde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.PTS",
      definition: {en: "tapering pieces of land projecting into a body of water, less prominent than a cape", ru: "длинные узкие отмели, идущие от берега, или низменные узкие мысы"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.PTS",
      prefLabel: {en: "points", bg: "Места", no: "odder", ru: "выступающие морские косы", sv: "uddar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.RDGB",
      definition: {en: "a ridge of sand just inland and parallel to the beach, usually in series", ru: "песчаная гряда, находящаяся на суше или идущая параллельно пляжу"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.RDGB",
      prefLabel: {en: "beach ridge", bg: "Плажен хребет", no: "strandrygg", ru: "гребень косы", sv: "bergskam"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.RDGE",
      definition: {en: "a long narrow elevation with steep sides, and a more or less continuous crest", ru: "ряд гор, тянущихся в одном направлении, горная цепь"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.RDGE",
      prefLabel: {en: "ridge(s)", bg: "хребет(и)", no: "rygg", ru: "горный хребет", sv: "rygg, kam, ås"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.REG",
      definition: {en: "a desert plain characterized by a surface veneer of gravel and stones", ru: "каменистая пустыня"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.REG",
      prefLabel: {en: "stony desert", bg: "камениста пустиня", no: "steinørken", ru: "гаммада", sv: "stenöken"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.RK",
      definition: {en: "a conspicuous, isolated rocky mass", ru: "каменная глыба, утёс с крутыми склонами и острыми выступами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.RK",
      prefLabel: {en: "rock", bg: "скала", no: "stein", ru: "скала", sv: "klippa"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.RKFL",
      definition: {en: "an irregular mass of fallen rock at the base of a cliff or steep slope", ru: "камни, низвергающиеся с гор лавиной"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.RKFL",
      prefLabel: {en: "rockfall", bg: "Свлачище", no: "steinras", ru: "камнепад", sv: "ras"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.RKS",
      definition: {en: "conspicuous, isolated rocky masses", ru: "остроконечные горные вершины или высшие точки горной вершины вообще"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.RKS",
      prefLabel: {en: "rocks", bg: "скали", no: "klipper", ru: "скалы", sv: "klippor"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SAND",
      definition: {en: "a tract of land covered with sand", ru: "территория, покрытая песками"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SAND",
      prefLabel: {en: "sand area", bg: "Пясъчна област", no: "sandområde", ru: "район песков", sv: "sandområde"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SBED",
      definition: {en: "a channel formerly containing the water of a stream", ru: "углубление в почве, по которому ранее текла вода"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SBED",
      prefLabel: {en: "dry stream bed", bg: "Сухо легло на поток", no: "tørt elveleie", ru: "высохшее речное русло", sv: "uttorkad flodbädd"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SCRP",
      definition: {en: "a long line of cliffs or steep slopes separating level surfaces above and below", ru: "покатая поверхность горы, холма и т.п.; склон"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SCRP",
      prefLabel: {en: "escarpment", bg: "Насип", no: "bratt skråning", ru: "откос", sv: "brant sluttning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SDL",
      definition: {en: "a broad, open pass crossing a ridge or between hills or mountains", ru: "продолговатая впадина, понижение между вершинами горного хребта или возвышенности"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SDL",
      prefLabel: {en: "saddle", bg: "Седловина", no: "sal", ru: "седловина", sv: "sadelformad bergsrygg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SHOR",
      definition: {en: "a narrow zone bordering a waterbody which covers and uncovers at high and low water, respectively", ru: "полоса земной поверхности по обе стороны береговой линии моря, озера, водохранилища"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SHOR",
      prefLabel: {en: "shore", bg: "бряг", no: "bredd", ru: "побережье", sv: "kust, strand"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SINK",
      definition: {en: "a small crater-shape depression in a karst area", ru: "отрицательная форма рельефа, замкнутая впадина чашеобразной, конической или другой формы, диаметром до 50 метров, глубиной до 15 (иногда до 200) метров"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SINK",
      prefLabel: {en: "sinkhole", bg: "Впадина", no: "jordfallshull", ru: "карстовая воронка", sv: "sänka"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SLID",
      definition: {en: "a mound of earth material, at the base of a slope and the associated scoured area", ru: "естественное или специально сооруженное возвышение для спуска на лыжах, санках и т.п."},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SLID",
      prefLabel: {en: "slide", bg: "Стръмнина", no: "ras", ru: "горка", sv: "kana"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SLP",
      definition: {en: "a surface with a relatively uniform slope angle", ru: "наклонная поверхность, скат (горы, холма и т.п.)"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SLP",
      prefLabel: {en: "slope(s)", bg: "наклон(и)", no: "kontinentalskråning", ru: "склон", sv: "sluttning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SPIT",
      definition: {en: "a narrow, straight or curved continuation of a beach into a waterbody", ru: "узкий и длинный мыс при слиянии двух рек; песчаная коса, намытая прибоем"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SPIT",
      prefLabel: {en: "spit", bg: "Дълъг подводен бряг", no: "tange", ru: "стрелка", sv: "landtunga"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.SPUR",
      definition: {en: "a subordinate ridge projecting outward from a hill, mountain or other elevation", ru: "ответвление основной горной цепи"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.SPUR",
      prefLabel: {en: "spur(s)", bg: "Издадена скала(и)", no: "utspring", ru: "отрог", sv: "utlöpare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.TAL",
      definition: {en: "a steep concave slope formed by an accumulation of loose rock fragments at the base of a cliff or steep slope", ru: "пологий спуск, покрытый обломками горных пород, осыпающимися в результате выветривания"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.TAL",
      prefLabel: {en: "talus slope", bg: "Склон", no: "steinur", ru: "скат, покрытый осыпью", sv: "stenrassluttning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.TRGD",
      definition: {en: "a long wind-swept trough between parallel longitudinal dunes", ru: "понижение земной поверхности в пределах суши, на дне океанов и морей, расположенное между двумя дюнами"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.TRGD",
      prefLabel: {en: "interdune trough(s)", bg: "бразда(и) между дюни", no: "dal mellom sanddyner", ru: "впадина между дюнами", sv: "ränna mellan dyner"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.TRR",
      definition: {en: "a long, narrow alluvial platform bounded by steeper slopes above and below, usually overlooking a waterbody", ru: "горизонтальная или слегка наклонная площадка, образующая уступ на склоне местности, естественного происхождения или устроенная искусственно"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.TRR",
      prefLabel: {en: "terrace", bg: "тераса", no: "terrasse", ru: "терраса", sv: "terass"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.UPLD",
      definition: {en: "an extensive interior region of high land with low to moderate surface relief", ru: "обширная возвышенность с равнинной или холмистой поверхностью"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.UPLD",
      prefLabel: {en: "upland", bg: "низина", no: "oppland", ru: "плоскогорье", sv: "högland"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.VAL",
      definition: {en: "an elongated depression usually traversed by a stream", ru: "удлинённая впадина между гор или в холмистой местности; равнина вдоль речного русла"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.VAL",
      prefLabel: {en: "valley", bg: "долина", no: "dal", ru: "долина", sv: "dal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.VALG",
      definition: {en: "a valley the floor of which is notably higher than the valley or shore to which it leads; most common in areas that have been glaciated", ru: "боковая долина, днище которой оканчивается выше днища главной долины"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.VALG",
      prefLabel: {en: "hanging valley", bg: "Наклонена долина", no: "hengende dal", ru: "висячая долина", sv: "hängdal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.VALS",
      definition: {en: "elongated depressions usually traversed by a stream", ru: "удлинённые впадины между гор или в холмистой местности; равнины вдоль речного русла"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.VALS",
      prefLabel: {en: "valleys", bg: "долини", no: "daler", ru: "долины", sv: "dalar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.VALX",
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.VALX",
      prefLabel: {en: "section of valley", bg: "част от долина", no: "del av dal", ru: "участок долины", sv: "del av dal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"T.VLC",
      definition: {en: "a conical elevation composed of volcanic materials with a crater at the top", ru: "конусообразная гора с кратером на вершине, через который из недр земли извергаются огонь, лава, пепел, горячие газы, пары воды и обломки горных пород"},
      inScheme: "http://www.geonames.org/ontology#T",
      notation: "T.VLC",
      prefLabel: {en: "volcano", bg: "вулкан", no: "vulkan", ru: "вулкан", sv: "vulkan"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.APNU",
      definition: {en: "a gentle slope, with a generally smooth surface, particularly found around groups of islands and seamounts", ru: "прибрежная мелководная зона океана (с глубинами до 200 м); материковая отмель"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.APNU",
      prefLabel: {en: "apron", bg: "Козирка", no: "slette", ru: "береговой шельф", sv: "plattform"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.ARCU",
      definition: {en: "a low bulge around the southeastern end of the island of Hawaii", ru: "территория, пространство, границы которого имеют форму изогнутой линии (например, дуга на юго-востоке Гавайского хребта)"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.ARCU",
      prefLabel: {en: "arch", bg: "Арка", no: "bue", ru: "дуга", sv: "båge, valv"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.ARRU",
      definition: {en: "an area of subdued corrugations off Baja California", ru: "an area of subdued corrugations off Baja California"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.ARRU",
      prefLabel: {en: "arrugado", bg: "Нагъване", no: "arrugado", ru: "arrugado", sv: "veckig"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.BDLU",
      definition: {en: "a region adjacent to a continent, normally occupied by or bordering a shelf, that is highly irregular with depths well in excess of those typical of a shelf", ru: "невысокий порог, отделяющий геосинклиналь от океана"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.BDLU",
      prefLabel: {en: "borderland", bg: "Гранична област", no: "grenseområde", ru: "бордерленд", sv: "gränsland"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.BKSU",
      definition: {en: "elevations, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation", ru: "геологические образования, обязанные своим происхождением деятельности текучей воды; возвышенности на поверхности шельфа, не препятствующие судоходству"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.BKSU",
      prefLabel: {en: "banks", bg: "Крайбрежия", no: "bredd", ru: "наносы", sv: "strandsluttningar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.BNCU",
      definition: {en: "a small terrace"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.BNCU",
      prefLabel: {en: "bench"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.BNKU",
      definition: {en: "an elevation, typically located on a shelf, over which the depth of water is relatively shallow but sufficient for safe surface navigation", ru: "геологическое образование, обязанное своим происхождением деятельности текучей воды; возвышенность на поверхности шельфа, не препятствующее судоходству"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.BNKU",
      prefLabel: {en: "bank", bg: "Крайбрежие", no: "bredd", ru: "нанос", sv: "strandsluttning, vall"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.BSNU",
      definition: {en: "a depression more or less equidimensional in plan and of variable extent", ru: "понижение земной поверхности в пределах суши, на дне океанов и морей"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.BSNU",
      prefLabel: {en: "basin", bg: "басейн", no: "basseng", ru: "впадина", sv: "sänka, bassäng"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.CDAU",
      definition: {en: "an entire mountain system including the subordinate ranges, interior plateaus, and basins", ru: "горная цепь"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.CDAU",
      prefLabel: {en: "cordillera", bg: "кордилиери", no: "fjellkjede", ru: "кордельера", sv: "bergskedja"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.CNSU",
      definition: {en: "relatively narrow, deep depressions with steep sides, the bottom of which generally has a continuous slope", ru: "глубокие речные долины с очень крутыми или отвесными склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.CNSU",
      prefLabel: {en: "canyons", bg: "каньони", no: "canyoner", ru: "каньоны", sv: "kanjoner"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.CNYU",
      definition: {en: "a relatively narrow, deep depression with steep sides, the bottom of which generally has a continuous slope", ru: "глубокая речная долина с очень крутыми или отвесными склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.CNYU",
      prefLabel: {en: "canyon", bg: "каньон", no: "canyon", ru: "каньон", sv: "kanjon"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.CRSU",
      definition: {en: "a gentle slope rising from oceanic depths towards the foot of a continental slope", ru: "континентальное подножие, один из основных элементов подводной окраины материков; расположено между основанием материкового склона и внешней границей ложа океана"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.CRSU",
      prefLabel: {en: "continental rise", bg: "Континентална издатина", no: "kontinentalstigning", ru: "материковое подножие", sv: "kontinentalhöjning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.DEPU",
      definition: {en: "a localized deep area within the confines of a larger feature, such as a trough, basin or trench", ru: "водная глубь, морская бездна; глубокий провал в болоте, топь"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.DEPU",
      prefLabel: {en: "deep", bg: "Бездна", no: "dyp", ru: "пучина", sv: "djup"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.EDGU",
      definition: {en: "a line along which there is a marked increase of slope at the outer margin of a continental shelf or island shelf", ru: "внешний край континентального шельфа"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.EDGU",
      prefLabel: {en: "shelf edge", bg: "бряг", no: "kontinentalsokkelkant", ru: "бровка шельфа", sv: "shelf edge"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.ESCU",
      definition: {en: "an elongated and comparatively steep slope separating flat or gently sloping areas", ru: "отвесная скала"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.ESCU",
      prefLabel: {en: "escarpment (or scarp)", bg: "Насип", no: "bratt skråning", ru: "утес", sv: "brant sluttning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FANU",
      definition: {en: "a relatively smooth feature normally sloping away from the lower termination of a canyon or canyon system", ru: "аккумулятивная форма рельефа, образованная скоплением обломочных пород, вынесенных горными реками на предгорную равнину или в более плоскую широкую долину, где происходит резкое уменьшение живой силы потока"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FANU",
      prefLabel: {en: "fan", bg: "Вертрило", no: "avleiringsvifte", ru: "конус выступа", sv: "fan"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FLTU",
      definition: {en: "a small level or nearly level area", ru: "равнина, расположенная не выше 200 м над уровнем моря; низменная территория, местность"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FLTU",
      prefLabel: {en: "flat", bg: "Плитчина", no: "flate", ru: "низменность", sv: "flat"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FRKU",
      definition: {en: "a branch of a canyon or valley"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FRKU",
      prefLabel: {en: "fork"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FRSU",
      definition: {en: "a branch of a canyon or valley"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FRSU",
      prefLabel: {en: "forks"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FRZU",
      definition: {en: "an extensive linear zone of irregular topography of the sea floor, characterized by steep-sided or asymmetrical ridges, troughs, or escarpments", ru: "система крупных разломов (сбросов) и грабенов (рифтов)"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FRZU",
      prefLabel: {en: "fracture zone", bg: "Зона на накъсване", no: "bruddsone", ru: "зона разломов земной коры", sv: "fracture zone"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.FURU",
      definition: {en: "a closed, linear, narrow, shallow depression", ru: "длинная узкая впадина на дне океана или моря"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.FURU",
      prefLabel: {en: "furrow", bg: "Улей", no: "fure", ru: "желоб", sv: "spår"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.GAPU",
      definition: {en: "a narrow break in a ridge or rise", ru: "узкая крутосклонная долина (обычно в пределах горной страны), промытая рекой в твёрдых коренных породах"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.GAPU",
      prefLabel: {en: "gap", bg: "клисура", no: "passasje", ru: "ущелье", sv: "klyfta"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.GLYU",
      definition: {en: "a small valley-like feature", ru: "впадина в земле, промытая ливнем, образованная потоком воды"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.GLYU",
      prefLabel: {en: "gully", bg: "Дере", no: "renne", ru: "промоина", sv: "ravin"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.HLLU",
      definition: {en: "an elevation rising generally less than 500 meters", ru: "возвышенность, высота которой менее 500 метров"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.HLLU",
      prefLabel: {en: "hill", bg: "Стръмнина", no: "ås", ru: "холм", sv: "kulle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.HLSU",
      definition: {en: "elevations rising generally less than 500 meters", ru: "возвышенности, высота которых менее 500 метров"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.HLSU",
      prefLabel: {en: "hills", bg: "Стръмнини", no: "åser", ru: "холмы", sv: "kullar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.HOLU",
      definition: {en: "a small depression of the sea floor", ru: "понижение земной поверхности в пределах суши, на дне океанов и морей"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.HOLU",
      prefLabel: {en: "hole", bg: "Вдлъбнатина", no: "hull", ru: "впадина", sv: "hål"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.KNLU",
      definition: {en: "an elevation rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summit", ru: "небольшая подводная возвышенность   округлой или овальной формы с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.KNLU",
      prefLabel: {en: "knoll", bg: "Хълм", no: "knaus", ru: "возвышение морского дна", sv: "liten kulle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.KNSU",
      definition: {en: "elevations rising generally more than 500 meters and less than 1,000 meters and of limited extent across the summits", ru: "небольшие подводные возвышенности округлой или овальной формы с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.KNSU",
      prefLabel: {en: "knolls", bg: "Хълмове", no: "knauser", ru: "возвышения морского дна", sv: "små kullar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.LDGU",
      definition: {en: "a rocky projection or outcrop, commonly linear and near shore", ru: "надводные или подводные скалистые возвышения морского дна, опасные для судоходства"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.LDGU",
      prefLabel: {en: "ledge", bg: "тераса", no: "avsats", ru: "риф", sv: "klippavsats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.LEVU",
      definition: {en: "an embankment bordering a canyon, valley, or seachannel", ru: "искусственное земляное возвышение, ограждающее каньон, речную долину или морской канал"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.LEVU",
      prefLabel: {en: "levee", bg: "Стръмен бряг", no: "demning", ru: "насыпь", sv: "damm"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MDVU",
      definition: {en: "the axial depression of the mid-oceanic ridge system"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MDVU",
      prefLabel: {en: "median valley"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MESU",
      definition: {en: "an isolated, extensive, flat-topped elevation on the shelf, with relatively steep sides", ru: "гора с плоскими вершинами и более или менее крутыми, иногда ступенчатыми склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MESU",
      prefLabel: {en: "mesa", bg: "Високо плато", no: "mesa", ru: "столовая гора", sv: "högplatå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MNDU",
      definition: {en: "a low, isolated, rounded hill", ru: "низкий холмик округлой формы на месте погребения"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MNDU",
      prefLabel: {en: "mound", bg: "Могила", no: "voll", ru: "могильный холм", sv: "gravkulle"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MOTU",
      definition: {en: "an annular depression that may not be continuous, located at the base of many seamounts, islands, and other isolated elevations", ru: "длинное углубление, вырытое в земле"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MOTU",
      prefLabel: {en: "moat", bg: "Ров", no: "vollgrav", ru: "ров", sv: "vallgrav"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MTSU",
      definition: {en: "well-delineated subdivisions of a large and complex positive feature"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MTSU",
      prefLabel: {en: "mountains"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.MTU",
      definition: {en: "a well-delineated subdivision of a large and complex positive feature", ru: "значительная возвышенность, поднимающаяся над окружающей местностью"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.MTU",
      prefLabel: {en: "mountain", bg: "планина", no: "fjell", ru: "гора", sv: "berg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PKSU",
      definition: {en: "prominent elevations, part of a larger feature, either pointed or of very limited extent across the summit", ru: "остроконечные горные вершины или высшие точки горной вершины вообще"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PKSU",
      prefLabel: {en: "peaks", bg: "върхове", no: "topper", ru: "пики", sv: "toppar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PKU",
      definition: {en: "a prominent elevation, part of a larger feature, either pointed or of very limited extent across the summit", ru: "остроконечная горная вершина или высшая точка горной вершины вообще"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PKU",
      prefLabel: {en: "peak", bg: "връх", no: "topp", ru: "пик", sv: "topp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PLFU",
      definition: {en: "a flat or gently sloping underwater surface extending seaward from the shore"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PLFU",
      prefLabel: {en: "platform"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PLNU",
      definition: {en: "a flat, gently sloping or nearly level region", ru: "участок дна моря, океана без резких колебаний высот"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PLNU",
      prefLabel: {en: "plain", bg: "Поле", no: "slette", ru: "равнина", sv: "slätt(land)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PLTU",
      definition: {en: "a comparatively flat-topped feature of considerable extent, dropping off abruptly on one or more sides", ru: "возвышенная равнина, ограниченная чётко выраженными уступами, крутыми склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PLTU",
      prefLabel: {en: "plateau", bg: "плато", no: "platå", ru: "плато", sv: "platå"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PNLU",
      definition: {en: "a high tower or spire-shaped pillar of rock or coral, alone or cresting a summit", ru: "остроконечная скала"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PNLU",
      prefLabel: {en: "pinnacle", bg: "Шпиц", no: "tind", ru: "шпиц", sv: "klippa"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.PRVU",
      definition: {en: "a region identifiable by a group of similar physiographic features whose characteristics are markedly in contrast with surrounding areas", ru: "часть природной географической зоны в составе определенной физико-географической области; региональная единица физико-географического районирования. Физико-географические провинции выделяются по морфоструктурным особенностям рельефа и климату, а в горах - по характеру высотной поясности"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.PRVU",
      prefLabel: {en: "province", bg: "Регион", no: "provins", ru: "провинция, физико-географическая", sv: "provins"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RAVU",
      definition: {en: "a small canyon"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RAVU",
      prefLabel: {en: "ravine"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RDGU",
      definition: {en: "a long narrow elevation with steep sides", ru: "цепи невысоких гор"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RDGU",
      prefLabel: {en: "ridge", bg: "Гребен", no: "rygg", ru: "горный кряжи", sv: "ås"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RDSU",
      definition: {en: "long narrow elevations with steep sides", ru: "цепь невысоких гор"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RDSU",
      prefLabel: {en: "ridges", bg: "Гребени", no: "rygger", ru: "горный кряж", sv: "åsar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RFSU",
      definition: {en: "surface-navigation hazards composed of consolidated material", ru: "надводные или подводные скалистые возвышения морского дна, опасные для судоходства"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RFSU",
      prefLabel: {en: "reefs", bg: "Рифове", no: "rev", ru: "рифы", sv: "rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RFU",
      definition: {en: "a surface-navigation hazard composed of consolidated material", ru: "надводные или подводные скалистые возвышения морского дна, опасные для судоходства"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RFU",
      prefLabel: {en: "reef", bg: "Риф", no: "rev", ru: "риф", sv: "rev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RISU",
      definition: {en: "a broad elevation that rises gently, and generally smoothly, from the sea floor", ru: "участок морского дна,  возвышающийся над окружающим рельефом"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RISU",
      prefLabel: {en: "rise", bg: "възвишение", no: "stigning", ru: "небольшое возвышение морского дна", sv: "höjd"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RMPU",
      definition: {en: "a gentle slope connecting areas of different elevations"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RMPU",
      prefLabel: {en: "ramp"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.RNGU",
      definition: {en: "a series of associated ridges or seamounts"},
      "http://www.w3.org/2002/07/owl#deprecated": "true",
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.RNGU",
      prefLabel: {en: "range"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SCNU",
      definition: {en: "a continuously sloping, elongated depression commonly found in fans or plains and customarily bordered by levees on one or two sides", ru: "впадина на дне морского дна, с покатыми краями и защищенная с одной или двух сторон валом"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SCNU",
      prefLabel: {en: "seachannel", bg: "Морски канал", no: "sjøkanal", ru: "канал на дне океана", sv: "havskanal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SCSU",
      definition: {en: "continuously sloping, elongated depressions commonly found in fans or plains and customarily bordered by levees on one or two sides", ru: "впадины на дне морского дна с пологими склонами, защищенные с одной или двух сторон валом"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SCSU",
      prefLabel: {en: "seachannels", bg: "Морски канали", no: "sjøkanaler", ru: "каналы на дне океана", sv: "havskanaler"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SDLU",
      definition: {en: "a low part, resembling in shape a saddle, in a ridge or between contiguous seamounts", ru: "продолговатая впадина, понижение между вершинами подводного горного хребта или возвышенности"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SDLU",
      prefLabel: {en: "saddle", bg: "Седловина", no: "sal", ru: "седловина подводной горной цепи", sv: "sadelformad bergsrygg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SHFU",
      definition: {en: "a zone adjacent to a continent (or around an island) that extends from the low water line to a depth at which there is usually a marked increase of slope towards oceanic depths", ru: "прибрежная мелководная зона океана (с глубинами до 200 м); материковая отмель"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SHFU",
      prefLabel: {en: "shelf", bg: "шелф", no: "hylle", ru: "шельф", sv: "sandrev, klippavsats"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SHLU",
      definition: {en: "a surface-navigation hazard composed of unconsolidated material", ru: "участок (обычно прибрежный) реки, озера и т.п. с небольшой глубиной"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SHLU",
      prefLabel: {en: "shoal", bg: "Плитчина", no: "sandgrunne", ru: "мелководье", sv: "grund, sandrev"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SHSU",
      definition: {en: "hazards to surface navigation composed of unconsolidated material", ru: "участки (обычно прибрежные) реки, озера и т.п. с небольшой глубиной"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SHSU",
      prefLabel: {en: "shoals", bg: "Плитчини", no: "sandgrunner", ru: "мелководья", sv: "sandbankar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SHVU",
      definition: {en: "a valley on the shelf, generally the shoreward extension of a canyon", ru: "относительно мелководная подводная равнина, прилегающая к берегам материков и генетически составляющая часть материковой платформы"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SHVU",
      prefLabel: {en: "shelf valley", bg: "Шелфова долина", no: "dal gjennom kontinentalhyllen", ru: "материковая отмель", sv: "shelf valley"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SILU",
      definition: {en: "the low part of a gap or saddle separating basins", ru: "каменистое поперечное возвышение дна реки, нарушающее плавность её течения и затрудняющее судоходство"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SILU",
      prefLabel: {en: "sill", bg: "Интрузия", no: "terskel", ru: "порог", sv: "tröskel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SLPU",
      definition: {en: "the slope seaward from the shelf edge to the beginning of a continental rise or the point where there is a general reduction in slope", ru: "покатая поверхность горы, холма и т.п.; склон"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SLPU",
      prefLabel: {en: "slope", bg: "скат", no: "skråning", ru: "откос", sv: "sluttning"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SMSU",
      definition: {en: "elevations rising generally more than 1,000 meters and of limited extent across the summit", ru: "изолированные поднятия морского дна с относительной высотой более 500 м и четко выраженной конической или куполообразной одной или несколькими вершинами и крутыми склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SMSU",
      prefLabel: {en: "seamounts", bg: "Морски връх", no: "undersjøiske fjell", ru: "подводные горы", sv: "undervattensberg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SMU",
      definition: {en: "an elevation rising generally more than 1,000 meters and of limited extent across the summit", ru: "изолированное поднятие морского дна с относительной высотой более 500 м и четко выраженной конической или куполообразной одной или несколькими вершинами и крутыми склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SMU",
      prefLabel: {en: "seamount", bg: "Морски върхове", no: "undersjøisk fjell", ru: "подводная гора", sv: "undervattensberg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.SPRU",
      definition: {en: "a subordinate elevation, ridge, or rise projecting outward from a larger feature", ru: "ряд гор, тянущихся в одном направлении, горная цепь"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.SPRU",
      prefLabel: {en: "spur", bg: "хребет", no: "utspring", ru: "хребет", sv: "utlöpare"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TERU",
      definition: {en: "a relatively flat horizontal or gently inclined surface, sometimes long and narrow, which is bounded by a steeper ascending slope on one side and by a steep descending slope on the opposite side", ru: "горизонтальная или слегка наклонная площадка, образующая уступ на склоне местности, естественного происхождения или устроенная искусственно"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TERU",
      prefLabel: {en: "terrace", bg: "тераса", no: "terrasse", ru: "терраса", sv: "terass"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TMSU",
      definition: {en: "seamounts having a comparatively smooth, flat top", ru: "плосковершинные подводные вулканические горы, встречающиеся одиночно или группами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TMSU",
      prefLabel: {en: "tablemounts (or guyots)", bg: "Плоски възвишения", no: "guyoter", ru: "гайоты", sv: "undervattensberg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TMTU",
      definition: {en: "a seamount having a comparatively smooth, flat top", ru: "подводный плосковершинный вулкан"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TMTU",
      prefLabel: {en: "tablemount (or guyot)", bg: "Плоско възвишение", no: "guyot", ru: "гайот", sv: "undervattensberg"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TNGU",
      definition: {en: "an elongate (tongue-like) extension of a flat sea floor into an adjacent higher feature", ru: "длинная узкая отмель, идущая от берега, или низменный узкий мыс"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TNGU",
      prefLabel: {en: "tongue", bg: "нос", no: "landtunge", ru: "коса", sv: "landtunga"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TRGU",
      definition: {en: "a long depression of the sea floor characteristically flat bottomed and steep sided, and normally shallower than a trench", ru: "углубление с пологими склонами  на дне океанов и морей"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TRGU",
      prefLabel: {en: "trough", bg: "падина", no: "gjennomgang", ru: "впадина на дне океана с пологими склонами", sv: "ränna"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.TRNU",
      definition: {en: "a long, narrow, characteristically very deep and asymmetrical depression of the sea floor, with relatively steep sides", ru: "углубление с крутыми склонами на дне океанов и морей"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.TRNU",
      prefLabel: {en: "trench", bg: "просека", no: "renne", ru: "впадина на дне океана с крутыми склонами", sv: "dike"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.VALU",
      definition: {en: "a relatively shallow, wide depression, the bottom of which usually has a continuous gradient", ru: "овраг с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.VALU",
      prefLabel: {en: "valley", bg: "долина", no: "dal", ru: "лощина", sv: "dal"},
      type: "http://www.geonames.org/ontology#Code"
    term :"U.VLSU",
      definition: {en: "a relatively shallow, wide depression, the bottom of which usually has a continuous gradient", ru: "овраги с пологими склонами"},
      inScheme: "http://www.geonames.org/ontology#U",
      notation: "U.VLSU",
      prefLabel: {en: "valleys", bg: "долини", no: "daler", ru: "лощины", sv: "dalar"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.BUSH",
      definition: {en: "a small clump of conspicuous bushes in an otherwise bare area", ru: "заросли куста"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.BUSH",
      prefLabel: {en: "bush(es)", bg: "храст(и)", no: "busk", ru: "кустарник", sv: "djungel"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.CULT",
      definition: {en: "an area under cultivation", ru: "площадь, предназначенная для возделывания многих с.-х. культур"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.CULT",
      prefLabel: {en: "cultivated area", bg: "обработваеми площи", no: "dyrket mark", ru: "посевная площадь", sv: "uppodlat område"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.FRST",
      definition: {en: "an area dominated by tree vegetation", ru: "множество дикорастущих деревьев, расположенных на большом пространстве; пространство, обильно поросшее деревьями"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.FRST",
      prefLabel: {en: "forest(s)", bg: "гори", no: "skog", ru: "лес", sv: "skog(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.FRSTF",
      definition: {en: "a forest fossilized by geologic processes and now exposed at the earth's surface", ru: "значительное скопление древесных окаменелостей на небольшом участке"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.FRSTF",
      prefLabel: {en: "fossilized forest", bg: "горски вкаменелости", no: "forsteinet skog", ru: "окаменелый лес", sv: "fossil skog"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.GRSLD",
      definition: {en: "an area dominated by grass vegetation", ru: "пространство земли, покрытое травянистой растительностью; сенокосное, пастбищное угодье"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.GRSLD",
      prefLabel: {en: "grassland", bg: "ливади", no: "gresslette", ru: "луг", sv: "grässlätt"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.GRVC",
      definition: {en: "a planting of coconut trees", ru: "большой участок земли, занятый кокосовыми деревьями"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.GRVC",
      prefLabel: {en: "coconut grove", bg: "кокосови насаждения", no: "kokospalmelund", ru: "плантация кокосовых деревьев", sv: "kokoslund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.GRVO",
      definition: {en: "a planting of olive trees", ru: "большой участок земли, занятый оливковыми деревьями"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.GRVO",
      prefLabel: {en: "olive grove", bg: "маслинова плантация", no: "olivenlund", ru: "плантация оливковых деревьев", sv: "olivlund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.GRVP",
      definition: {en: "a planting of palm trees", ru: "небольшой лесной участок, состоящий из пальмовых деревьев"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.GRVP",
      prefLabel: {en: "palm grove", bg: "палмова плантация", no: "palmelund", ru: "пальмовая роща", sv: "palmlund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.GRVPN",
      definition: {en: "a planting of pine trees", ru: "небольшой лесной участок, состоящий из сосен"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.GRVPN",
      prefLabel: {en: "pine grove", bg: "иглолистни насаждения", no: "furulund", ru: "сосновая роща", sv: "furulund"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.HTH",
      definition: {en: "an upland moor or sandy area dominated by low shrubby vegetation including heather", ru: "вересковые пустоши, тип растительности, представленный вечнозелёными кустарниками и кустарничками, преимущественно семейства вересковых, имеющих жёсткие узкие листья"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.HTH",
      prefLabel: {en: "heath", bg: "пустош", no: "hei", ru: "верещатник", sv: "hed"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.MDW",
      definition: {en: "a small, poorly drained area dominated by grassy vegetation", ru: "небольшой луг, луг среди других угодий (лесных, пастбищных"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.MDW",
      prefLabel: {en: "meadow", bg: "ливада", no: "eng", ru: "луговина", sv: "äng"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.OCH",
      definition: {en: "a planting of fruit or nut trees", ru: "участок земли, на котором выращивают фруктовые деревья"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.OCH",
      prefLabel: {en: "orchard(s)", bg: "овощна градина(и)", no: "frukthage", ru: "фруктовый сад", sv: "fruktträdgård(ar)"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.SCRB",
      definition: {en: "an area of low trees, bushes, and shrubs stunted by some environmental limitation", ru: "густо разросшийся кустарник, массив трав, деревьев и т. п."},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.SCRB",
      prefLabel: {en: "scrubland", bg: "храсти", no: "krattskog", ru: "кустарниковая заросль", sv: "buskterräng"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.TREE",
      definition: {en: "a conspicuous tree used as a landmark", ru: "дерево (известное благодаря чему-л.), являющееся  достопримечательностью"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.TREE",
      prefLabel: {en: "tree(s)", bg: "дървета", no: "tre", ru: "дерево", sv: "träd"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.TUND",
      definition: {en: "a marshy, treeless, high latitude plain, dominated by mosses, lichens, and low shrub vegetation under permafrost conditions", ru: "тип растительности высоких широт Северного полушария Земли, характеризующийся развитием мохового и лишайникового покровов, наличием низкорослых кустарников и т.п.; природная зона с таким типом растительности"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.TUND",
      prefLabel: {en: "tundra", bg: "тундра", no: "tundra", ru: "тундра", sv: "tundra"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.VIN",
      definition: {en: "a planting of grapevines", ru: "участок, засаженный виноградом; виноградная плантация"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.VIN",
      prefLabel: {en: "vineyard", bg: "лозя", no: "vingård", ru: "виноградник", sv: "vingård"},
      type: "http://www.geonames.org/ontology#Code"
    term :"V.VINS",
      definition: {en: "plantings of grapevines", ru: "виноградные плантации"},
      inScheme: "http://www.geonames.org/ontology#V",
      notation: "V.VINS",
      prefLabel: {en: "vineyards", bg: "лозя", no: "vingårder", ru: "виноградники", sv: "vingårdar"},
      type: "http://www.geonames.org/ontology#Code"
  end
end
