# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://gs1.org/voc/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://gs1.org/voc/>
  # @!visibility private
  GS1 = Class.new(RDF::StrictVocabulary("http://gs1.org/voc/")) do

    # Ontology definition
    ontology :"http://gs1.org/voc/",
      "http://purl.org/dc/elements/1.1/description": "The GS1 RDF vocabulary, described using W3C RDF Schema and the Web Ontology Language.",
      "http://purl.org/dc/elements/1.1/title": "GS1 vocabulary",
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Class definitions
    term :AdditionalProductClassificationDetails,
      comment: {en: "A product classification for the product other than the Global Product Classification(GPC brick value)."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Product Classification Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :AdditiveDetails,
      comment: {en: "A set of details about one of the additives within the product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additive Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :AwardPrizeDetails,
      comment: {en: "Describes a prize or award won by a product or organization."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Beverage,
      comment: {en: "Any potable liquid."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Beverage"},
      subClassOf: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Brand,
      comment: {en: "Information on brands and sub-brands for a product."},
      exactMatch: "http://schema.org/Brand",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Brand"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :CertificationDetails,
      comment: {en: "Information about the type of certification issued by a certifying body."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Certification"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Clothing,
      comment: {en: " A product that is worn on the body."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Clothing "},
      subClassOf: "http://gs1.org/voc/WearableProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :ColourCodeDetails,
      comment: {en: "A set of colour code details (colour code, party controlling the code list) for the product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Colour Code Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :ContactPoint,
      comment: {en: "Information on an individual or department acting as point of contact for an organiation."},
      exactMatch: "http://schema.org/ContactPoint",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Contact"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Country,
      comment: {en: "Country is a complex data type that indicates a country and a country subdivision."},
      exactMatch: "http://schema.org/Country",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Country"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :DietTypeCodeDetails,
      comment: {en: "A set of diet type code details (diet type code and diet type sub code) for the product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diet Type Code Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Dimension,
      comment: {en: "Provides the length, width, and depth of an item with their associated unit of measure."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Dimension"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :FoodAndBeveragePreparationInformation,
      comment: {en: "Food and Beverage Preparation Information is a complex data type that indicates a preparation state code and preparation instructions."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Food and Beverage Preparation Information"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :FoodBeverageTobaccoIngredientDetails,
      comment: {en: "Food Beverage Tobacco Ingredient is a complex data type that includes an ingredient statement and details."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Food Beverage Tobacco Ingredient"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :FoodBeverageTobaccoProduct,
      comment: {en: "A food, beverage or tobacco product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Food Beverage Tobacco Product"},
      subClassOf: "http://gs1.org/voc/Product",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Footwear,
      comment: {en: " Outerwear that is worn on the feet such as shoes or boots."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Footwear "},
      subClassOf: "http://gs1.org/voc/WearableProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :FruitsVegetables,
      comment: {en: "Contains properties related specifically to fruit and vegetable products."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fruits and Vegetables"},
      subClassOf: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :GeoCoordinates,
      comment: {en: "The geographic coordinates of a place or event."},
      exactMatch: "http://schema.org/GeoCoordinates",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "GeoCoordinates"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :MeatPoultry,
      comment: {en: "Meat and poultry products."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Meat Poultry"},
      subClassOf: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :MilkButterCreamYogurtCheeseEggsSubstitutes,
      comment: {en: "Milk butter cream yogurts cheese eggs and any substitutes for these products."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Milk Butter Cream Yogurt Cheese Eggs Substitutes"},
      subClassOf: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :NutritionMeasurementType,
      comment: {en: "A class providing nutritional value and intake percent."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutrition Measurement Type"},
      subClassOf: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Offer,
      comment: {en: "An offer to transfer some rights to an item or to provide a service,for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book."},
      exactMatch: "http://schema.org/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Offer"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :OrganicClaimDetails,
      comment: {en: "A set of organic claim details for the product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organic Claim Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Organization,
      comment: {en: "An Organization is any legal or physical entity involved at any point in any supply chain and upon which there is a need to retrieve predefined information. An Organization is uniquely identified by a Global Location Number (GLN)."},
      exactMatch: "http://schema.org/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organization"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :PackagingDetails,
      comment: {en: "Details on packaging for a product for example packaging type (bottle), materials, features, recycling, etc.."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :PackagingMaterialDetails,
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Place,
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :PostalAddress,
      comment: {en: "The location at which a particular organization or person may be found or reached."},
      exactMatch: "http://schema.org/PostalAddress",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Address"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :PriceSpecification,
      comment: {en: "A structured value representing a monetary amount, consisting of a value and currency code."},
      exactMatch: "http://schema.org/PriceSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Amount Type"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :Product,
      comment: {en: "Any item (product or service) upon which there is a need to retrieve pre-defined information and that may be priced, or ordered, or invoiced at any point in any supply chain."},
      exactMatch: "http://schema.org/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :ProductYieldDetails,
      comment: {en: "A grouping of properties related to the yield of a food or beverage product according to a specified type of preparation."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Yield Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :QuantitativeValue,
      comment: {en: "A point value or interval for product characteristics and other purposes. A unit of measurement is also specified."},
      exactMatch: ["http://purl.org/goodrelations/v1#QuantitativeValue", "http://schema.org/QuantitativeValue"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Measurement Type"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :ReferencedFileDetails,
      comment: {en: "Provides URL and other information on a referenced electronic file."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Referenced File"},
      subClassOf: ["http://schema.org/MediaObject", "http://www.w3.org/2002/07/owl#Thing"],
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :ReturnablePackageDepositDetails,
      type: "http://www.w3.org/2000/01/rdf-schema#Class"
    term :Seafood,
      comment: {en: "Seafood Products including fish and shellfish."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Seafood"},
      subClassOf: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :SizeCodeDetails,
      comment: {en: "A grouping of properties related to the representing the size of a product, by specifying a value from a specified code list."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Code Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :SizeDetails,
      comment: {en: "A grouping of properties related to the size of a wearable product"},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :TargetMarketDetails,
      comment: {en: "A set of target market details (product release date and associated countries) for the product."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Target Market Details"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :TextileMaterialDetails,
      comment: {en: "Details on the composition of any materials used to make a product using textiles."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Material"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :TypeCode,
      comment: {en: "A code list."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Type Code"},
      subClassOf: "http://www.w3.org/2002/07/owl#Thing",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :WarrantyPromise,
      comment: {en: "An assurance that the product is reliable and that repairs or replacement will be done free of charge within a given time limit and under certain conditions in the event of a defect."},
      exactMatch: "http://schema.org/WarrantyPromise",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Warranty"},
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]
    term :WearableProduct,
      comment: {en: "Products that are worn on the body."},
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Wearable Product"},
      subClassOf: "http://gs1.org/voc/Product",
      type: ["http://www.w3.org/2000/01/rdf-schema#Class", "http://www.w3.org/2002/07/owl#Class"]

    # Property definitions
    property :acceptedPaymentMethod,
      comment: {en: "Code indicating a means of payment, for example, BANK_CHEQUE, CASH, etc."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/acceptedPaymentMethod",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Accepted Payment Method"},
      range: "http://gs1.org/voc/PaymentMethod",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :additionalOrganizationIdentificationTypeValue,
      comment: {en: "The value associated with the Additional Organization Identification Type Value."},
      domain: "http://gs1.org/voc/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Organization Identification Type Value"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :additionalProductClassification,
      comment: {en: "Relates to a set of additional product classification details"},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Additional Product Classification"},
      range: "http://gs1.org/voc/AdditionalProductClassificationDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :additionalProductClassificationCode,
      comment: {en: "Code specifying the applied additional product classification scheme."},
      domain: "http://gs1.org/voc/AdditionalProductClassificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Product Classification Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :additionalProductClassificationCodeDescription,
      comment: {en: "A description related to  the additional product classification code value."},
      domain: "http://gs1.org/voc/AdditionalProductClassificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Product Classification Code Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :additionalProductClassificationValue,
      comment: {en: "Code specifying an additional product classification other than the GS1 Global Product Classification. The applied classification scheme is specified as additional information together with the classification value."},
      domain: "http://gs1.org/voc/AdditionalProductClassificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Product Classification Value"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :additionalProductDescription,
      comment: {en: "Additional variants necessary to communicate to the industry to help define the product. Multiple variants can be established for each GTIN for e.g. Style, Colour, and Fragrance ."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additional Product Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :additive,
      comment: {en: "Relates to details about any additives that a product may contain."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Additive"},
      range: "http://gs1.org/voc/AdditiveDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :additiveLevelOfContainment,
      comment: {en: "Code indicating the level of presence of the additive."},
      domain: "http://gs1.org/voc/AdditiveDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additive Level Of Containment"},
      range: "http://gs1.org/voc/LevelOfContainmentCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :additiveName,
      comment: {en: "The name of any additive or genetic modification contained or not contained in the product ."},
      domain: "http://gs1.org/voc/AdditiveDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Additive Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :address,
      comment: {en: "The postal address for an organization or place."},
      domain: ["http://gs1.org/voc/Organization", "http://gs1.org/voc/Place"],
      exactMatch: "http://schema.org/address",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Postal Address"},
      range: "http://gs1.org/voc/PostalAddress",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :addressCountry,
      comment: {en: "Code specifying the country (and country subdivision) for the address using ISO 3166-1."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: "http://schema.org/addressCountry",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Address Country"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :addressLocality,
      comment: {en: "Text specifying the name of the locality, for example a city."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: ["http://schema.org/addressLocality", "http://www.w3.org/2006/vcard/ns#locality"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Address Locality"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :addressRegion,
      comment: {en: "Text specifying a province or state in abbreviated format for example NJ."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: ["http://schema.org/addressRegion", "http://www.w3.org/2006/vcard/ns#region"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Province State Code"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :afterHoursContact,
      comment: {en: "Links to afterhours contact information for an organization."},
      domain: "http://gs1.org/voc/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/contactPoint",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has After Hours Contact"},
      range: "http://gs1.org/voc/ContactPoint",
      subPropertyOf: ["http://gs1.org/voc/contactPoint", "http://schema.org/contactPoint"],
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :alcoholicBeverageSubregion,
      comment: {en: "A legally defined geographical region where the grapes for a wine were grown also known as an appellation. It is recommended to populate this property with an ISO 3166-2 code to indicate country and subdivision."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Alcoholic Beverage Sub-region"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :allergenLevelOfContainmentCode,
      comment: {en: "Code specifying the level of presence of the allergen."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Allergen Level Of Containment"},
      range: "http://gs1.org/voc/LevelOfContainmentCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :allergenSpecificationAgency,
      comment: {en: "The agency or other organization that defines or manages the criteria for allergen containment."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Allergen Specification Agency"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :allergenSpecificationName,
      comment: {en: "Free text field containing the name and version of the regulation or standard that defines the criteria of allergen containment."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Allergen Specification Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :allergenStatement,
      comment: {en: "Textual description of the presence or absence of allergens as governed by local rules and regulations, specified as one string."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Allergen Statement"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :allergenType,
      comment: {en: "Code specifying the type of allergen."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Allergen Type Code"},
      range: "http://gs1.org/voc/AllergenTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :anatomicalForm,
      comment: {en: "Describes the meat product in terms of whether it is the whole animal or part of the animal which has been cut such as the muscle, bone, organ, or fat. "},
      domain: "http://gs1.org/voc/MeatPoultry",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Anatomical Form"},
      range: "http://gs1.org/voc/AnatomicalFormCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :audioFile,
      comment: {en: "Link to a file containing an audio clip which is relevant to the product. Examples are commercials, or instructional/ how to use audio files."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Audio File"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :availabilityEnds,
      comment: {en: "The date from which the product is no longer available from the information provider, including seasonal or temporary product and services ."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/availabilityEnds",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Offer Effective End Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :availabilityStarts,
      comment: {en: "The date from which the product is available from the information provider, including seasonal or temporary product and services."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/availabilityStarts",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Offer Effective Start Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :availableAtOrFrom,
      comment: {en: "The location the offered product or service is available from."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/availableAtOrFrom",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Available At/From"},
      range: "http://gs1.org/voc/Place",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :availableLanguage,
      comment: {en: "ISO 639-1 code specifying the language of a specified contact point."},
      domain: "http://gs1.org/voc/ContactPoint",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Available Language"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      related: "http://schema.org/ContactPoint",
      subPropertyOf: "http://schema.org/availableLanguage",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :awardPrize,
      comment: {en: "An award or prize given to the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Award Prize"},
      range: "http://gs1.org/voc/AwardPrizeDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :awardPrizeCode,
      comment: {en: "Indicates the achievement of the product in relation to a prize or award, e.g. winner, runner-up, shortlisted."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :awardPrizeCountryCode,
      comment: {en: "An ISO standard code identifying the country in which a prize or award is given. It is recommended to populate this property with an ISO 3166-1 country code."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Country Code"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :awardPrizeDescription,
      comment: {en: "Text that describes the awards won."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :awardPrizeJury,
      comment: {en: "Free text listing members of the jury that awarded the prize."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Jury"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :awardPrizeName,
      comment: {en: "The name of a prize or award which the product has received."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :awardPrizeYear,
      comment: {en: "The year in which a prize or award was given."},
      domain: "http://gs1.org/voc/AwardPrizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Award Prize Year"},
      range: "http://www.w3.org/2001/XMLSchema#gYear",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :beverageVintage,
      comment: {en: "The year in which the majority of ingredients are harvested and/or the alcoholic beverage is produced. Determination as to whether the vintage year is the harvest date or production date is according to requirements in the Target Market."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Beverage Vintage"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :biotinPerNutrientBasis,
      comment: {en: "Biotin Acid per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Biotin Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :bonelessClaim,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether the product makes a specific claim to contain no bones. "},
      domain: "http://gs1.org/voc/MeatPoultry",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Boneless Claim"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :brand,
      comment: {en: "The brand of the product that appears on the consumer package."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Brand"},
      range: "http://gs1.org/voc/Brand",
      subPropertyOf: "http://schema.org/brand",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :brandName,
      comment: {en: "The brand name of the product that appears on the consumer package."},
      domain: "http://gs1.org/voc/Brand",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Brand Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Brand",
      subPropertyOf: "http://schema.org/name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :brandOwner,
      comment: {en: "The brand owner of the product. The organization that is responsible for allocating the GTIN to the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Brand Owner"},
      range: "http://gs1.org/voc/Organization",
      subPropertyOf: "http://schema.org/brand",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :calciumPerNutrientBasis,
      comment: {en: "Calcium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Calcium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :carbohydratesPerNutrientBasis,
      comment: {en: "Carbohydrates per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Carbohydrates Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :catchZone,
      comment: {en: "Free text field describing the sea zone from which the product was caught in. "},
      domain: "http://gs1.org/voc/Seafood",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Catch Zone"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :certification,
      comment: {en: "Information on certification to which the product complies."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Certification"},
      range: "http://gs1.org/voc/CertificationDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :certificationAgency,
      comment: {en: "Name of the organization issuing the certification standard or other requirement being met ."},
      domain: "http://gs1.org/voc/CertificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Certification Agency"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :certificationStandard,
      comment: {en: "Name of the certification standard. Free text. Example: Egg classification ."},
      domain: "http://gs1.org/voc/CertificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Certification Standard"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :certificationValue,
      comment: {en: "The product's certification standard value. Example:4."},
      domain: "http://gs1.org/voc/CertificationDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Certification Value"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :cheeseFirmness,
      comment: {en: "The firmness of the cheese product for example EXTRA_HARD."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Cheese Firmness"},
      range: "http://gs1.org/voc/CheeseFirmnessCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :cheeseMaturationPeriodDescription,
      comment: {en: "A descriptive way to specify a date range as some cheeses are matured over a period of time, but not an exact period. For example 3 to 4 weeks, over 1 year etc. The term maturation is also known in other markets as Aged."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Cheese Maturation Period Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :chloridePerNutrientBasis,
      comment: {en: "Chloride per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Chloride Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :cholesterolPerNutrientBasis,
      comment: {en: "Cholesterol per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Cholesterol Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :chromiumPerNutrientBasis,
      comment: {en: "Chromium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Chromium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :clothingCut,
      comment: {en: "Supplemental information to indicate the clothing cut or silhouette make of the garment. For example, silhouette details for a pair of jeans such as boot cut, or loose fit, comfort fit."},
      domain: "http://gs1.org/voc/Clothing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Clothing Cut"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :collarType,
      comment: {en: "A free text description of the type of collar on the garment."},
      domain: "http://gs1.org/voc/Clothing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Collar Type"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :colourCode,
      comment: {en: "Relates to a set of details about the colour code for a product"},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Colour Code"},
      range: "http://gs1.org/voc/ColourCodeDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :colourCodeList,
      comment: {en: "The parties controlling the colour code lists. Dependent on colour code value."},
      domain: "http://gs1.org/voc/ColourCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Colour Code List"},
      range: "http://gs1.org/voc/ColourCodeListCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :colourCodeValue,
      comment: {en: "A code depicting the colour of an object according to a specific code list. The applied code list is specified as additional information together with the colour code."},
      domain: "http://gs1.org/voc/ColourCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Colour Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :colourDescription,
      comment: {en: "A description of the colour of an object."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://schema.org/color",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Colour Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Product",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :consumerFirstAvailabilityDateTime,
      comment: {en: "The first date/time that the buyer is allowed to sell the product to consumers. Usually related to a specific geography. ISO 8601 date format CCYY-MM-DDTHH:MM:SS."},
      domain: "http://gs1.org/voc/TargetMarketDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer First Availability Date Time"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :consumerHandlingStorage,
      comment: {en: "Link to a website, file, or image containing the manufacturer's recommendations for how the consumer or end user should store and handle the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Consumer Handling Storage"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :consumerLifestage,
      comment: {en: "Indicates, with reference to the product branding, labelling or packaging, the descriptive term that is used by the product manufacturer to identify the period or stage in the consumer's life during which the product is considered to be suitable. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Lifestage"},
      range: "http://gs1.org/voc/ConsumerLifestageCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :consumerPackageDisclaimer,
      comment: {en: "Additional information that should be used in advertising and in displaying."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Package Disclaimer"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :consumerSafetyInformation,
      comment: {en: "Information on consumer safety regarding the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Safety Information"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :consumerSalesCondition,
      comment: {en: "A code depicting restrictions imposed on the product regarding how it can be sold to the consumer for example Prescription Required."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Sales Condition Code"},
      range: "http://gs1.org/voc/ConsumerSalesConditionsCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :consumerStorageInstructions,
      comment: {en: "Expresses in text the consumer storage instructions of a product which are normally held on the label or accompanying the product. This information may or may not be labelled on the pack."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Storage Instructions"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :consumerUsageInstructions,
      comment: {en: "Free text containing the usage instructions of a product, which are normally held on the label or accompanying the product. This information may or may not be labelled on the pack."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Consumer Usage Instructions"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :contactPoint,
      comment: {en: "Links to information about a business location for an organization."},
      domain: "http://gs1.org/voc/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Business Contact"},
      range: "http://gs1.org/voc/ContactPoint",
      subPropertyOf: "http://schema.org/contactPoint",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :contactType,
      comment: {en: "The function or role of a contact for example Customer Support."},
      domain: "http://gs1.org/voc/ContactPoint",
      exactMatch: "http://schema.org/contactType",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Contact Type"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :convenienceLevelPercent,
      comment: {en: "An indication of the ease of preparation for semi-prepared products. The convenience level indicates the level of preparation in percentage required to prepare and helps the consumer to assess how long it will take to prepare the meal."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Convenience Level Percent"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :copperPerNutrientBasis,
      comment: {en: "Copper per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Copper Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :countryCode,
      comment: {en: "Code specifying the country for the address using ISO 3166-1."},
      domain: "http://gs1.org/voc/Country",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://schema.org/addressCountry",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Country Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      related: "http://schema.org/PostalAddress",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :countryOfAssembly,
      comment: {en: "The place where product is assembled."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Country Of Assembly"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :countryOfLastProcessing,
      comment: {en: "The place where the product or ingredient was last processed and tested before importation."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Country Of Last Processing"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :countryOfOrigin,
      comment: {en: "Code indicating the country of origin of the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Country Of Origin"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :countryOfOriginStatement,
      comment: {en: "A description of the geographic area the item may have originated from or has been processed."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Country Of Origin Statement"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :countrySubdivisionCode,
      comment: {en: "A short text string code (see values defined in ISO 3166_2) specifying the country subdivision in which an activity is performed, for example processing, bottling, manufacturing."},
      domain: "http://gs1.org/voc/Country",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Country Subdivision Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :countyCode,
      comment: {en: "A code that identifies a county. A county is a territorial division in some countries, forming the chief unit of local administration. In the US, a county is a political and administrative division of a state."},
      domain: "http://gs1.org/voc/PostalAddress",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "County Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :crossStreet,
      comment: {en: "A street intersecting a main street (usually at right angles) and continuing on both sides of it."},
      domain: "http://gs1.org/voc/PostalAddress",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Cross Street"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :customerSupportCentre,
      comment: {en: "The organization which provides product support to the trading partner organization to which merchandise is sold."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Customer Support Centre"},
      range: "http://gs1.org/voc/Organization",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dailyValueIntakePercent,
      comment: {en: "The percentage of the recommended daily intake of a nutrient as recommended by authorities of the target market. Is expressed relative to the serving size and base daily value intake."},
      domain: "http://gs1.org/voc/NutritionMeasurementType",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Daily Value Intake Percent"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :department,
      comment: {en: "The name of a division of an organization dealing with a specific activity"},
      domain: "http://gs1.org/voc/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://schema.org/department",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Department"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :dependentProprietaryProduct,
      comment: {en: "Dependent products are products which are required to make the current product functional."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": ["http://schema.org/isAccessoryOrSparePartFor", "http://schema.org/isConsumableFor"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/isSimilarTo",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Dependent Proprietary Product"},
      range: "http://gs1.org/voc/Product",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :depth,
      comment: {en: "The depth of the product, as measured according to the GS1 Package Measurement Rules. See http://www.gs1.org/package-measurement-rules-implementation-guide for more details."},
      domain: "http://gs1.org/voc/Dimension",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Depth"},
      range: "http://gs1.org/voc/QuantitativeValue",
      related: "http://schema.org/depth",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :descriptiveSize,
      comment: {en: "An alphanumeric size factor the brand owner wishes to communicate to the consumer. IE Jumbo, Capri, Full Length, Maxi."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Descriptive Size"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :diameter,
      comment: {en: "The measurement of the diameter of the product at its largest point. For example, 165 mmt."},
      domain: "http://gs1.org/voc/Dimension",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diameter"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dietCode,
      comment: {en: "Links to multiple pairs of gs1:DietTypeCode and diet type sub code (free-form text string)."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diet Code"},
      range: "http://gs1.org/voc/DietTypeCodeDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :dietType,
      comment: {en: "Code indicating the diet the product is suitable for example Kosher."},
      domain: "http://gs1.org/voc/DietTypeCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diet Type Code"},
      range: "http://gs1.org/voc/DietTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dietTypeDescription,
      comment: {en: "Free text for indication of diet not stated in the list of diets."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diet Type Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :dietTypeSubcode,
      comment: {en: "Indicates a set of agreements or a certificate name that guarantees the product is permitted in a particular diet. A diet type subcode is a subclassification of a specific diet type. For example, Pareve is a diet type subcode of Kosher."},
      domain: "http://gs1.org/voc/DietTypeCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Diet Type Sub-code"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :drainedWeight,
      comment: {en: "The weight of the product when drained of its liquid. For example 225 grm, Jar of pickles in vinegar."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Drained Weight"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/weight",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :durationOfWarranty,
      comment: {en: "The time period that the warranty is valid within."},
      domain: "http://gs1.org/voc/WarrantyPromise",
      exactMatch: "http://schema.org/durationOfWarranty",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Duration Of Warranty"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :dutyFeeTaxAmount,
      comment: {en: "The current tax or duty or fee amount applicable to the product, expressed as a floating-point numeric value that is qualified by the corresponding currency. See also gs1:priceCurrency."},
      domain: "http://gs1.org/voc/PriceSpecification",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://gs1.org/voc/priceCurrency",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Duty Fee Tax Amount"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :dutyFeeTaxDescription,
      comment: {en: "A description of tax type for example Taxes sure les supports audio."},
      domain: "http://gs1.org/voc/PriceSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Duty Fee Tax Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :dutyFeeTaxRate,
      comment: {en: "The current tax or duty rate percentage applicable to the product."},
      domain: "http://gs1.org/voc/PriceSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Duty Fee Tax Rate"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :eligibleQuantity,
      comment: {en: "The quantity including unit of measure for which the offer for good or service is valid.  If this is not specified, an eligible quantity of 1 should be assumed."},
      domain: ["http://gs1.org/voc/Offer", "http://gs1.org/voc/PriceSpecification"],
      exactMatch: "http://schema.org/eligibleQuantity",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Eligible Quantity"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/eligibleQuantity",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :eligibleQuantityMaximum,
      comment: {en: "The maximum quantity including unit of measure for which the offer for good or service is valid."},
      domain: "http://gs1.org/voc/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/eligibleQuantity",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Eligible Quantity Maximum"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/eligibleQuantity",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :eligibleQuantityMinimum,
      comment: {en: "The minimum quantity including unit of measure for which the offer for good or service is valid."},
      domain: "http://gs1.org/voc/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/eligibleQuantity",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Eligible Quantity Minimum"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/eligibleQuantity",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :email,
      comment: {en: "Creating/sending/receiving of unstructured free text messages or documents using computer network, a mini-computer or an attached modem and regular telephone line or other electronic transmission media."},
      domain: "http://gs1.org/voc/ContactPoint",
      exactMatch: ["http://schema.org/email", "http://www.w3.org/2006/vcard/ns#hasEmail"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "email"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :energyFromFatPerNutrientBasis,
      comment: {en: "Energy from Fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Energy from Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :energyPerNutrientBasis,
      comment: {en: "Energy Per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Energy Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :equivalentProduct,
      comment: {en: "A product which can be substituted for the product based on supplier-defined functional equivalence to the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Equivalent Product"},
      range: "http://gs1.org/voc/Product",
      subPropertyOf: "http://schema.org/isSimilarTo",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :fatInMilkContent,
      comment: {en: "The percentage of fat contained in milk content of the product."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fat In Milk Content"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :fatPerNutrientBasis,
      comment: {en: "Fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :fatpercentageInDryMatter,
      comment: {en: "The amount of fat contained in the base product expressed in percentage."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fat In Dry Matter"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :faxNumber,
      comment: {en: "Device used for transmitting and reproducing fixed graphic material (as printing) by means of signals over telephone lines or other electronic transmission media."},
      domain: "http://gs1.org/voc/ContactPoint",
      exactMatch: "http://schema.org/faxNumber",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Telefax"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :fibrePerNutrientBasis,
      comment: {en: "Fibre per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fibre Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :fileLanguageCode,
      comment: {en: "The specified language to which the digital asset is targeted. It is recommended to use the ISO 639-1 language code."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "File Language Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      related: "http://schema.org/CreativeWork",
      subPropertyOf: "http://schema.org/inLanguage",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :filePixelHeight,
      comment: {en: "The number of pixels along the vertical axis of the image."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "File Pixel Height"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      related: "http://schema.org/MediaObject",
      subPropertyOf: "http://schema.org/height",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :filePixelWidth,
      comment: {en: "The number of pixels along the horizontal axis of the image."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "File Pixel Width"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      related: "http://schema.org/MediaObject",
      subPropertyOf: "http://schema.org/width",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :fishType,
      comment: {en: "The type of fish for example Sea bass. "},
      domain: "http://gs1.org/voc/Seafood",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fish Type"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :fluoridePerNutrientBasis,
      comment: {en: "Fluoride per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fluoride Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :folicAcidPerNutrientBasis,
      comment: {en: "Folic Acid per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Folic Acid Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :foodBeverageRefrigerationClaim,
      comment: {en: "Identifies whether or not the product requires refrigeration."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Food Beverage Refrigeration Claim"},
      range: "http://gs1.org/voc/FoodBeverageRefrigerationClaimCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :foodBeverageTargetUse,
      comment: {en: "The type of meal the food or beverage product is targeted to for example Breakfast."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Food Beverage Target Use"},
      range: "http://gs1.org/voc/FoodBeverageTargetUseCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :footwearFasteningType,
      comment: {en: "Something that mechanically joins or affixes two or more parts together in a footwear product for example a shoe lace."},
      domain: "http://gs1.org/voc/Footwear",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fastening Type"},
      range: "http://gs1.org/voc/FootwearFasteningTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :footwearUpperType,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether the footwear upper is open or closed. Otherwise known as Open or Closed Upper."},
      domain: "http://gs1.org/voc/Footwear",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Footwear Upper Type"},
      range: "http://gs1.org/voc/UpperTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :freshOrSeawaterFarmed,
      comment: {en: "A code determining whether the fish originated from the sea or was farmed. "},
      domain: "http://gs1.org/voc/Seafood",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Fresh or Seawater Farmed"},
      range: "http://gs1.org/voc/FreshOrSeawaterFarmedCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :functionalName,
      comment: {en: "Describes use of the product or service by the consumer. Should help clarify the product classification associated with the GTIN."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Functional Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :geneticallyModifiedDeclaration,
      comment: {en: "A statement of the presence or absence of genetically modified protein or DNA."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Genetically Modified Declaration Code"},
      range: "http://gs1.org/voc/LevelOfContainmentCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :geo,
      comment: {en: "Links to information about geocoordinates for a place."},
      domain: "http://gs1.org/voc/Place",
      exactMatch: "http://schema.org/geo",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Geocoordinates"},
      range: "http://gs1.org/voc/GeoCoordinates",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :globalLocationNumber,
      comment: {en: "A Global Location Number (GLN) is the GS1 Identification Key used to identify physical locations or parties. The key comprises a GS1 Company Prefix, Location Reference and Check Digit. For more information see http://www.gs1.org/gln."},
      domain: "http://gs1.org/voc/Organization",
      exactMatch: "http://schema.org/globalLocationNumber",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Global Location Number (GLN)"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :gpcCategoryCode,
      comment: {en: "8-digit code (GPC Brick Value) specifying a product category according to the GS1 Global Product Classification (GPC) standard. For more information see http://www.gs1.org/gpc"},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "GPC Category Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :gpcCategoryDescription,
      comment: {en: "A description of the code specifying a product category according to the GS1 Global Product Classification (GPC) standard."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "GPC Category Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :grossWeight,
      comment: {en: "Used to identify the gross weight of the product. The gross weight includes all packaging materials of the product. At pallet level the productGrossWeight includes the weight of the pallet itself. For example, 200 grm, value - total pounds, total grams, etc."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Gross Weight"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/weight",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :growingMethod,
      comment: {en: "The process through which fresh produce is grown and cultivated."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Growing Method"},
      range: "http://gs1.org/voc/GrowingMethodCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :gtin,
      comment: {en: "A Global Trade Item Number (GTIN) is the 14 digit GS1 Identification Key used to identify products. The key comprises a GS1 Company Prefix followed by an Item Reference Number and a Check Digit. See http://www.gs1.org/gtin  for more details."},
      domain: "http://gs1.org/voc/Product",
      exactMatch: "http://schema.org/gtin14",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": ["http://schema.org/gtin12", "http://schema.org/gtin13", "http://schema.org/gtin8"],
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "GTIN"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :hasReturnablePackageDeposit,
      comment: {en: "links to details of amounts refunded for returnable package in a specified region."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Returnable Package Deposit Details"},
      range: "http://gs1.org/voc/ReturnablePackageDepositDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :healthClaimDescription,
      comment: {en: "A description of health claims according to regulations of the target market."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Health Claim"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :height,
      comment: {en: "The height of the product, as measured according to the GS1 Package Measurement Rules. See http://www.gs1.org/package-measurement-rules-implementation-guide for more details."},
      domain: "http://gs1.org/voc/Dimension",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Height"},
      range: "http://gs1.org/voc/QuantitativeValue",
      related: "http://schema.org/height",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :image,
      comment: {en: "Link to a file containing a visual representation of the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": ["http://schema.org/image", "http://xmlns.com/foaf/0.1/depiction"],
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Product Image"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :inPackageDimensions,
      comment: {en: "The dimensions of a product including the packaging in which the product was supplied."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has In Package Dimensions"},
      range: "http://gs1.org/voc/Dimension",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :includedAccessories,
      comment: {en: "Any included object or device not part of the core product itself but which adds to its functionality or use."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://schema.org/isAccessoryOrSparePartFor",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Included Accessories"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/isAccessoryOrSparePartFor",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :ingredient,
      comment: {en: "Links to information about ingredients of a specific Food/Beverage/Tobacco product."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Food And Beverage Ingredient Information"},
      range: "http://gs1.org/voc/FoodBeverageTobaccoIngredientDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :ingredientContentPercentage,
      comment: {en: "Quantity of the ingredient contained in the product as a percentage of the total product ingredients. This is used in conjunction with ingredientName."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoIngredientDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Ingredient Content Percentage"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :ingredientName,
      comment: {en: "Free text field describing an ingredient or ingredient group. Ingredients include any additives (colourings, preservatives, e-numbers, etc.) that are encompassed."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoIngredientDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Ingredient Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :ingredientOfConcern,
      comment: {en: "Indicates a claim to an ingredient, considered to be a concern for regulatory or other reasons, and which is 'contained' within the product but may not need to specify the amount whether approximate, or an accurate measurement be given."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Ingredient of Concern"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :ingredientSequence,
      comment: {en: "Integer (1, 2, 3...) indicating the ingredient order by content percentage of the product. (major ingredient = 1, second ingredient = 2) etc."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoIngredientDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Ingredient Sequence"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :ingredientStatement,
      comment: {en: "Information on the constituent ingredient make up of the product specified as one string."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Ingredient Statement"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :instructionsForUse,
      comment: {en: "Link to a file containing the Instructions For Use."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Instructions For Use"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :iodinePerNutrientBasis,
      comment: {en: "Iodine per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Iodine Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :ironPerNutrientBasis,
      comment: {en: "Iron per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Iron Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :irradiatedCode,
      comment: {en: "Indicates if radiation has been applied to the product."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Irradiated Code"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isCarbonated,
      comment: {en: "Used to identify whether or not a beverage product is naturally effervescent or has been made effervescent by the addition of carbon dioxide gas."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Carbonated"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isDecaffeinated,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether or not the product contains caffeine."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Decaffeinated"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isFromConcentrate,
      comment: {en: "Used to identify whether or not the product claims to be made from a concentrated formulation."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If From Concentrate"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isHomogenised,
      comment: {en: "A The indication whether or not the milk used was actively homogenised. The homogenisation of milk is a technical process in the dairy. The milk fat is milled to such an extent that further creaming is prevented."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Homogenised"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isInstant,
      comment: {en: "Determines whether the product is instant."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Instant"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isMaternity,
      comment: {en: "Indicates, with reference to the product branding, labelling or packaging, the descriptive term that is used by the product manufacturer to identify if the product is intended as maternity wear."},
      domain: "http://gs1.org/voc/Clothing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Maternity"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isPatterned,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether or not the product has a patterned design. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Patterned"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isPittedStoned,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether or not a fruit or vegetable product has been de-stoned or pitted prior to being offered for sale. "},
      domain: "http://gs1.org/voc/FruitsVegetables",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Pitted Stoned"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isProductRecalled,
      comment: {en: "An indicator for the product to determine if the Manufacturer or Supplier has recalled the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Product Recalled"},
      range: "http://www.w3.org/2001/XMLSchema#boolean",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :isRindEdible,
      comment: {en: "An indicator whether or not the cheese rind is edible. Some cheeses are coated in plastic or their surface is treated with other traditional substances to increase their shelf life. This can result in the rind no longer being edible."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Rind Edible"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isSeedless,
      comment: {en: "Determines whether the product is seedless as grown. "},
      domain: "http://gs1.org/voc/FruitsVegetables",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Seedless"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isShelledPeeled,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify whether or not the product or its contents have been shelled/peeled prior to being offered for sale. "},
      domain: "http://gs1.org/voc/FruitsVegetables",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Shelled or Peeled"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isSliced,
      comment: {en: "Determines whether the product comes pre-sliced."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Sliced"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isThermal,
      comment: {en: "The descriptive term that is used to identify whether the product is thermal. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Thermal"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isVintage,
      comment: {en: "Identifies whether the product makes claim to being vintage."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "If Vintage"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isWashedReadyToEat,
      comment: {en: "Determines whether product has been prewashed and is ready to eat. "},
      domain: "http://gs1.org/voc/FruitsVegetables",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Washed Ready To Eat"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isWaterproof,
      comment: {en: "The descriptive term that is used to identify whether or not the product claims to provide waterproofing to the applied surface. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Waterproof"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :isWearableItemDisposable,
      comment: {en: "Identifies whether or not the product is intended to be disposed of after single use or a limited period of use. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Is Wearable Item Disposable"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :itemOffered,
      comment: {en: "The product included in the offer."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/itemOffered",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Item Offered"},
      range: "http://gs1.org/voc/Product",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :jobTitle,
      comment: {en: "The job title of the person that can be contacted for example Manager."},
      domain: "http://gs1.org/voc/ContactPoint",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://schema.org/jobTitle",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Job Title"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Person",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :juiceContentPercent,
      comment: {en: "The fruit juice content of the product expressed as a percentage."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Juice Content Percent"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :latitude,
      comment: {en: "Angular distance North or South from the earth's equator measured through 90 degrees."},
      domain: "http://gs1.org/voc/GeoCoordinates",
      exactMatch: "http://schema.org/latitude",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://www.w3.org/2003/01/geo/wgs84_pos#lat",
      isDefinedBy: "http://gs1.org/voc",
      label: {en: "Latitude"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :location,
      comment: {en: "The place associated with an organization."},
      domain: "http://gs1.org/voc/Organization",
      exactMatch: "http://schema.org/location",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Location"},
      range: "http://gs1.org/voc/Place",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :longitude,
      comment: {en: "The arc or portion of the earth's equator intersected between the meridian of a given place and the prime meridian and expressed in degrees"},
      domain: "http://gs1.org/voc/GeoCoordinates",
      exactMatch: "http://schema.org/longitude",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://www.w3.org/2003/01/geo/wgs84_pos#lat",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Longitude"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :magnesiumPerNutrientBasis,
      comment: {en: "Magnesium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Magnesium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :makesOffer,
      comment: {en: "An offer made by an organization."},
      domain: "http://gs1.org/voc/Organization",
      exactMatch: "http://schema.org/makesOffer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Makes Offer"},
      range: "http://gs1.org/voc/Offer",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :manganesePerNutrientBasis,
      comment: {en: "Manganese per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Manganese Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :manufacturer,
      comment: {en: "The organization that produces the item."},
      domain: "http://gs1.org/voc/Product",
      exactMatch: "http://schema.org/manufacturer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Manufacturer"},
      range: "http://gs1.org/voc/Organization",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :manufacturerPreparationCode,
      comment: {en: "Code indicating the preparation methods that a manufacturer has used in the manufacturing of a product for example DEEP_FRY."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Manufacturer Preparation Code"},
      range: "http://gs1.org/voc/PreparationTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :manufacturersWarranty,
      comment: {en: "The warranty associated with the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://schema.org/warranty",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/warranty",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Manufacturer's Warranty"},
      range: "http://gs1.org/voc/WarrantyPromise",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :manufacturingPlant,
      comment: {en: "A physical location consisting of one or more buildings with facilities for manufacturing."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Manufacturing Plant"},
      range: "http://gs1.org/voc/Organization",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :maturationMethod,
      comment: {en: "The method of maturity for the item for example tree ripened or jet fresh."},
      domain: "http://gs1.org/voc/FruitsVegetables",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Maturation Method Code"},
      range: "http://gs1.org/voc/MaturationMethodCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :maxPrice,
      comment: {en: "Provides a maximum price value as a floating-point numeric value that is qualified by the corresponding currency. See also gs1:priceCurrency"},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/maxPrice",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://gs1.org/voc/priceCurrency",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Price Value Maximum"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :maximumOptimumConsumptionTemperature,
      comment: {en: "The upper limit drinking temperature of the optimum range of the drinking temperature. The optimum range of the drinking temperature is a recommendation and is based on the experience of the individual producer. Allows for the representation of the same value in different units of measure but not multiple values."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Maximum Optimum Consumption Temperature"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :meatPoultryType,
      comment: {en: "The fish, meat, or poultry type for this food and beverage item."},
      domain: "http://gs1.org/voc/MeatPoultry",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Meat Poultry Type Code"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :minPrice,
      comment: {en: "Provides a minimum price value as a floating-point numeric value that is qualified by the corresponding currency. See also gs1:priceCurrency"},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/minPrice",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://gs1.org/voc/priceCurrency",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Price Value Minimum"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :minimumFishContent,
      comment: {en: "The minimum amount of fish contained in a food and beverage product expressed as a measurement. "},
      domain: "http://gs1.org/voc/Seafood",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Minimum Fish Content"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :minimumMeatPoultryContent,
      comment: {en: "The minimum amount of fish, meat or poultry contained in a food and beverage product expressed as a measurement."},
      domain: "http://gs1.org/voc/MeatPoultry",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Minimum Meat Poultry Content"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :minimumOptimumConsumptionTemperature,
      comment: {en: "The lower limit drinking temperature of the optimum range of the drinking temperature. The optimum range of the drinking temperature is a recommendation and is based on the experience of the individual producer. Allows for the representation of the same value in different units of measure but not multiple values."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Minimum Optimum Consumption Temperature"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :molybdenumPerNutrientBasis,
      comment: {en: "Molybdenum per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Molybdenum Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :monounsaturatedFatPerNutrientBasis,
      comment: {en: "Monounsaturated fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Monounsaturated Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :netContent,
      comment: {en: "The quantity of the product contained by a package, usually as claimed on the label. Indicates the net content of the total product. For fixed value products use the value claimed on the package, to avoid variable fill rate issue that arises with some product which are sold by volume or weight, and whose actual content may vary slightly from batch to batch."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Net Content"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :netWeight,
      comment: {en: "Used to identify the net weight of the product. Net Weight excludes all packaging material, including the packaging material of all lower-level GTINs. Example:11.5 kgm."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Net Weight"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/weight",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :niacinPerNutrientBasis,
      comment: {en: "Niacin per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Niacin Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :numberOfServingsPerPackage,
      comment: {en: "The total number of servings contained in the package."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Number of Servings Per Package"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :numberOfServingsPerPackageMeasurementPrecision,
      comment: {en: "Code indicating whether the number of servings per package is exact or approximate, for example, 4-6 adults."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Number of Servings Per Package Measurement Precision"},
      range: "http://gs1.org/voc/MeasurementPrecisionCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :numberOfServingsRangeDescription,
      comment: {en: "A free text field specifying a range for the number of servings contained in the package. "},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Number of Servings Range Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :nutrientBasisQuantity,
      comment: {en: "Quantity on which the nutrient information has been based; for example, per 100 grams. When specified, nutrientBasisQuantity establishes the basis for all contained nutrient records."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :nutrientBasisQuantityType,
      comment: {en: "The type of quantity specified in the nutrientBasisQuantity for example measurement, serving size, or container. This is used in conjunction with the nutrientBasisQuantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutrient Basis Quantity Type Code"},
      range: "http://gs1.org/voc/NutrientBasisQuantityCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :nutrientMeasurementPrecision,
      comment: {en: "The Code indicating whether the specified nutrient content is exact or approximate."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutrient Measurement Precision"},
      range: "http://gs1.org/voc/MeasurementPrecisionCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :nutritionalClaim,
      comment: {en: "Code indicating a nutritional claim applicable to the product, for example FAT_FREE."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutritional Claim Code"},
      range: "http://gs1.org/voc/NutritionalClaimTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :nutritionalClaimStatement,
      comment: {en: "Free text field for any additional nutritional claims."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Nutritional Claim Statement"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :offerDescription,
      comment: {en: "A description of the offer including goods or services offered for sale or use."},
      domain: "http://gs1.org/voc/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Offer Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Offer",
      subPropertyOf: "http://schema.org/description",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :organicClaim,
      comment: {en: "Relates to an organic claim about the product"},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Organic Claim"},
      range: "http://gs1.org/voc/OrganicClaimDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :organicClaimAgency,
      comment: {en: "A governing body that creates and maintains standards related to organic products."},
      domain: "http://gs1.org/voc/OrganicClaimDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organic Claim Agency Code"},
      range: "http://gs1.org/voc/OrganicClaimAgencyCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :organicPercentClaim,
      comment: {en: "The percent of actual organic materials per weight of the product. This is usually claimed on the product."},
      domain: "http://gs1.org/voc/OrganicClaimDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organic Percent Claim"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :organizationName,
      comment: {en: "The name of the organization expressed in text."},
      domain: ["http://gs1.org/voc/Organization", "http://gs1.org/voc/PostalAddress"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organization Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: ["http://schema.org/Organization", "http://schema.org/PostalAddress"],
      subPropertyOf: "http://schema.org/name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :organizationRole,
      comment: {en: "Code indicating an organization role. Allowed code values are specified in OrganizationalRole code list."},
      domain: "http://gs1.org/voc/Organization",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Organization Role"},
      range: "http://gs1.org/voc/OrganizationRoleType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :outOfPackageDimensions,
      comment: {en: "The dimensions of a product after removal from consumer packaging and assembled (if necessary) for final use. This property can be used for products such as a computer desk; entertainment centre; microwave oven; lawnmower; a floor cleaner; a grouping of table and chairs; stove; telephone; camera; large appliance (e.g. washing machines); small appliance (e.g. food processors)."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Out of Package Dimensions"},
      range: "http://gs1.org/voc/Dimension",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packaging,
      comment: {en: "Details on the packaging for a product including type, weight and materials."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Packaging"},
      range: "http://gs1.org/voc/PackagingDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingFeature,
      comment: {en: "Code indicating a feature that facilitates the usage of the product by the consumer, for example a handle. Packaging features do not affect the core composition of the packaging type nor modify its usage."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Feature"},
      range: "http://gs1.org/voc/PackagingFeatureCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingFunction,
      comment: {en: "Code indicating specific functionality for packaging resulting from specific processes or features present in the packaging type,for example, ANTI_TAMPERING."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Function"},
      range: "http://gs1.org/voc/PackagingFunctionCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMarkedDietAllergenType,
      comment: {en: "Indication of which dietary or allergen marks are on the package."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Marked Diet Allergen Type Code"},
      range: "http://gs1.org/voc/PackagingMarkedDietAllergenCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMarkedFreeFrom,
      comment: {en: "Indication of the food ingredients that the package is marked free from."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Marked Free From Code"},
      range: "http://gs1.org/voc/PackagingMarkedFreeFromCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMarkedLabelAccreditation,
      comment: {en: "A marking that the product received recognition, endorsement, certification by following guidelines by the label issuing agency. This does not represent claims for regulatory purposes on products such as free from markings."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Accreditation Code"},
      range: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMaterial,
      comment: {en: "links to details about packaging material type, quantity and thickness"},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Packaging Material Details"},
      range: "http://gs1.org/voc/PackagingMaterialDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMaterialCompositionQuantity,
      comment: {en: "The quantity of the packaging material of the product. Can be weight, volume or surface, can vary by country."},
      domain: "http://gs1.org/voc/PackagingMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Material Composition Quantity"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMaterialThickness,
      comment: {en: "The thickness of a packaging material."},
      domain: "http://gs1.org/voc/PackagingMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Material Thickness"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingMaterialType,
      comment: {en: "The materials used for the packaging of the product for example glass or plastic."},
      domain: "http://gs1.org/voc/PackagingMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Material Type"},
      range: "http://gs1.org/voc/PackagingMaterialTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingRecyclingProcessType,
      comment: {en: "The process the packaging could undertake for recyclable & sustainability programs. Examples COMPOSTABLE, ENERGY_RECOVERABLE, REUSABLE."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Recycling Process Type"},
      range: "http://gs1.org/voc/PackagingRecyclingProcessTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingRecyclingScheme,
      comment: {en: "A code determining the recycling scheme the packaging of this product will fall within when recycled. Applies to recyclable packaging with or without deposit."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Recycling Scheme"},
      range: "http://gs1.org/voc/PackagingRecyclingSchemeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingShape,
      comment: {en: "A code depicting the shape of a package for example CONE."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Shape"},
      range: "http://gs1.org/voc/PackagingShapeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :packagingType,
      comment: {en: "The dominant means used to transport, store, handle or display the product as defined by the data source. This packaging is not used to describe any manufacturing process.Recommend to use UNECE Rec 21 codes."},
      domain: "http://gs1.org/voc/PackagingDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Packaging Type"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :pantothenicAcidPerNutrientBasis,
      comment: {en: "Pantothenic Acid per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Pantothenic Acid Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :paymentTerms,
      comment: {en: "The type of payment term expressed as a code, for example Discount."},
      domain: "http://gs1.org/voc/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Payment Terms"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :percentageOfAlcoholByVolume,
      comment: {en: "The percentage of alcohol contained in product."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Percentage of Alcohol Per Volume"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :phosphorusPerNutrientBasis,
      comment: {en: "Phosphorus per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Phosphorus Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :polyolsPerNutrientBasis,
      comment: {en: "Polyols per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Polyols Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :polyunsaturatedFatPerNutrientBasis,
      comment: {en: "Polyunsaturated fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Polyunsaturated Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :postOfficeBoxNumber,
      comment: {en: "The number that identifies a PO box. A PO box is a box in a post office or other postal service location assigned to an organization where postal items may be kept."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: "http://schema.org/postOfficeBoxNumber",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "PO Box Number"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :postalCode,
      comment: {en: "Text specifying the postal code for an address."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: ["http://schema.org/postalCode", "http://www.w3.org/2006/vcard/ns#postal-code"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Postal Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :potassiumPerNutrientBasis,
      comment: {en: "Potassium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Potassium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :preparationCode,
      comment: {en: "Code specifying the preparation state of the product for which the nutrient information is valid. PREPARED, UNPREPARED."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Preparation Type Code"},
      range: "http://gs1.org/voc/PreparationTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :preparationConsumptionPrecautions,
      comment: {en: "Specifies additional precautions to be taken before preparation or consumption of the product."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Preparation Consumption Precautions"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :preparationInformation,
      comment: {en: "Links to information about how to prepare a specific Food/Beverage/Tobacco product."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Food And Beverage Preparation Information"},
      range: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :preparationInstructions,
      comment: {en: "Free text providing instructions on how to prepare the product before serving."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Preparation Instructions"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :preservationTechnique,
      comment: {en: "Code indicating the preservation technique used to preserve the product from deterioration, for example, BRINING."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Preservation Technique"},
      range: "http://gs1.org/voc/PreservationTechniqueCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :price,
      comment: {en: "Provides a price value as a floating-point numeric value that is qualified by the corresponding currency. See also gs1:priceCurrency. The price value indicates the unit price unless the property gs1:eligibleQuantity is specified and indicates multiple units"},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/price",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://gs1.org/voc/priceCurrency",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Price Value"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :priceCurrency,
      comment: {en: "A string value indicating a currency from ISO 4217 for example USD ."},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/priceCurrency",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Currency Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :priceSpecification,
      comment: {en: "The price related to an offer. If the offer is a multi-buy offer for a quantity of product greater than one unit, this should be indicated using the property gs1:eligibleQuantity"},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/priceSpecification",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Price Specification"},
      range: "http://gs1.org/voc/PriceSpecification",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :primaryAlternateProduct,
      comment: {en: "A product that is similar to the current product but is not exact match. Same form fit function, e.g. same product different colour, different package size, better quality."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Primary Alternate Product"},
      range: "http://gs1.org/voc/Product",
      subPropertyOf: "http://schema.org/isSimilarTo",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :productDescription,
      comment: {en: "An understandable and useable description of a product using brand and other descriptors. This attribute is filled with as little abbreviation as possible, while keeping to a reasonable length.  This should be a meaningful description of the product with full spelling to facilitate message processing. Retailers can use this description as the base to fully understand the brand, flavour, scent etc. of the specific product, in order to accurately create a product description as needed for their internal systems. Examples: XYZ Brand Base Invisible Solid Deodorant AP Stick Spring Breeze."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Product",
      subPropertyOf: "http://schema.org/description",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productFeatureBenefit,
      comment: {en: "Element for consumer facing marketing content to describe the key features or benefits of the style suitable for display purposes."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Feature Benefit"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productFormDescription,
      comment: {en: "The physical form or shape of the product. Used, for example, in pharmaceutical industry to indicate the formulation of the product. Defines the form the product takes and is distinct from the form of the packaging."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Form Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productID,
      comment: {en: "Additional means to the Global Trade Item Number to identify a product."},
      domain: "http://gs1.org/voc/Product",
      exactMatch: "http://schema.org/productID",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product ID"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :productMarketingMessage,
      comment: {en: "Marketing message associated with the product. Consumer-friendly marketing detailed description of the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Marketing Message"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productName,
      comment: {en: "Consumer friendly short description of the product suitable for compact presentation."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Product",
      subPropertyOf: "http://schema.org/name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productRange,
      comment: {en: "A name, used by a Brand Owner, that span multiple consumer categories or uses. E.g. (Waist Watchers)."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Range"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/brand",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productYield,
      comment: {en: "Product quantity after preparation. This can differ based on productYieldType"},
      domain: "http://gs1.org/voc/ProductYieldDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Yield"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :productYieldType,
      comment: {en: "Code indicating the type of yield measurement specified in productYield. Examples: AFTER_DILUTION, DRAINED_WEIGHT."},
      domain: "http://gs1.org/voc/ProductYieldDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Yield Type Code"},
      range: "http://gs1.org/voc/ProductYieldTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :productYieldVariationPercentage,
      comment: {en: "Indication of range in percent of the given cooking / roasting loss. Percentage that the actual weight of the product differs upward or downward from the average or estimated product yield."},
      domain: "http://gs1.org/voc/ProductYieldDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Product Yield Variation Percentage"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productionVariantDescription,
      comment: {en: "Free text assigned by the manufacturer to describe the production variant. Examples are: package series X, package series Y."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Production Variant Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :productionVariantEffectiveDateTime,
      comment: {en: "The start date of a production variant. The variant applies to products having a date mark (a best before date or expiration date) on the package that comes on or after the effective date."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Production Variant Effective Date Time"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :proteinPerNutrientBasis,
      comment: {en: "Protein per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Protein Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :provenanceStatement,
      comment: {en: "Free text description of the region or place the product originates from. This is to be specifically used to specify areas such as cities, mountain ranges, regions. Examples: Made in ThÃ¼ringen Mountains, Made in Paris, From the Napa Valley."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Provenance Statement"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :recipeWebsite,
      comment: {en: "Link to a website containing recipes associated with the product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Recipe Website"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :referencedFile,
      comment: {en: "Link to a file or website containing additional information on product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Referenced File"},
      range: "http://gs1.org/voc/ReferencedFileDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :referencedFileEffectiveEndDateTime,
      comment: {en: "The date upon which the target of this external link ceases to be effective for use."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Referenced File Effective End Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      subPropertyOf: "http://schema.org/expires",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :referencedFileEffectiveStartDateTime,
      comment: {en: "The date upon which the target of this external link begins to be effective for use."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://schema.org/datePublished",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Referenced File Effective Start Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :referencedFileSize,
      comment: {en: "The size of the file as it is stored in an uncompressed format."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Referenced File Size"},
      range: "http://gs1.org/voc/QuantitativeValue",
      subPropertyOf: "http://schema.org/contentSize",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :referencedFileType,
      comment: {en: "A Code depicting the purpose or role of file (not a MIME type) that is being referenced, for example PRODUCT_LABEL_IMAGE. This code is used when the purpose of a file is not specified in the property."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://schema.org/description",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Referenced File Type"},
      range: "http://gs1.org/voc/ReferencedFileTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :referencedFileURL,
      comment: {en: "Simple text string that refers to a resource on the internet, URLs may refer to documents, resources, people, etc."},
      domain: "http://gs1.org/voc/ReferencedFileDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Website"},
      range: "http://www.w3.org/2001/XMLSchema#anyURI",
      subPropertyOf: "http://schema.org/url",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :regulatedProductName,
      comment: {en: "The prescribed, regulated or generic product name or denomination that describes the true nature of the product. For example for a food product in order to distinguish it from other foods according to country specific regulations."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      "http://www.w3.org/2004/02/skos/core#broadMatch": "http://schema.org/name",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Regulated Product Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Product",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :reheatingClaim,
      comment: {en: "Indicates, with reference to the product branding, labelling or packaging whether a food product which is ready to eat can be reheated if required prior to consumption."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Reheating Claim"},
      range: "http://gs1.org/voc/NonbinaryLogicCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :replacedByProduct,
      comment: {en: "The product which permanently replaces the current product. This product is sent in the record for the original item that is being replaced."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Replaced By Product"},
      range: "http://gs1.org/voc/Product",
      subPropertyOf: "http://schema.org/isSimilarTo",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :replacedProduct,
      comment: {en: "Indicates the product identification of an item that is being permanently replaced by this product."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Replaced Product"},
      range: "http://gs1.org/voc/Product",
      subPropertyOf: "http://schema.org/isSimilarTo",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :responsibility,
      comment: {en: "Text further specifying the area of responsibility of the trade contact."},
      domain: "http://gs1.org/voc/ContactPoint",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Responsibility"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :returnablePackageDepositAmount,
      comment: {en: "The monetary amount for the individual returnable package."},
      domain: "http://gs1.org/voc/ReturnablePackageDepositDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Returnable Package Deposit Amount"},
      range: "http://gs1.org/voc/PriceSpecification",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :returnablePackageDepositRegion,
      comment: {en: "The geographic region associated with the returnable package deposit amount."},
      domain: "http://gs1.org/voc/ReturnablePackageDepositDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Returnable Package Deposit Region"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :riboflavinPerNutrientBasis,
      comment: {en: "Riboflavin per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Riboflavin Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :saltPerNutrientBasis,
      comment: {en: "Salt per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Salt Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :saturatedFatPerNutrientBasis,
      comment: {en: "Saturated fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Saturated Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :seasonCalendarYear,
      comment: {en: "The calendar year in which the product is seasonally available. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Season Calendar Year"},
      range: "http://www.w3.org/2001/XMLSchema#gYear",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :seasonName,
      comment: {en: "Element defines the season applicable to the item for example Winter. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Season Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :seasonParameter,
      comment: {en: "Code indicating the season in which the product is available, e.g. SPRING, WINTER"},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Season Parameter"},
      range: "http://gs1.org/voc/SeasonParameterCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :seeker,
      comment: {en: "The organization seeking an offer."},
      domain: "http://gs1.org/voc/Offer",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Seeker"},
      range: "http://gs1.org/voc/Organization",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :seleniumPerNutrientBasis,
      comment: {en: "Selenium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Selenium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :seller,
      comment: {en: "The organization seeking to sell a product or service."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/seller",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Seller"},
      range: "http://gs1.org/voc/Organization",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :servingSize,
      comment: {en: "Measurement value specifying the serving size in which the information per nutrient has been stated. Example: Per 100 grams."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Serving Size"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :servingSizeDescription,
      comment: {en: "A free text field specifying the serving size for which the nutrient information has been stated for example: per 1/3 cup (42 g)."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Serving Size Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :servingSuggestion,
      comment: {en: "Free text field for serving suggestion."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Serving Suggestion"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :sharpnessOfCheese,
      comment: {en: "The descriptive term that is used by the product manufacturer to identify the sharpness of the taste of the product for example EXTRA_SHARP. Usually the longer the aging of the product, the sharper the taste."},
      domain: "http://gs1.org/voc/MilkButterCreamYogurtCheeseEggsSubstitutes",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Sharpness Of Cheese"},
      range: "http://gs1.org/voc/SharpnessOfCheeseCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :size,
      comment: {en: "Links a wearable product to one or more groupings of gs1:SizeDetails representing size systems, size groups, size type and size dimensions."},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size"},
      range: "http://gs1.org/voc/SizeDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sizeCode,
      comment: {en: "Links a product to one or more groupings of gs1:SizeCodeDetails representing the size value from a specified code list."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Yield"},
      range: "http://gs1.org/voc/SizeCodeDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sizeCodeListCode,
      comment: {en: "Code specifying a size code list. Allowed code values are specified in GS1 Code List SizeCodeListCode ."},
      domain: "http://gs1.org/voc/SizeCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Code List Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :sizeCodeValue,
      comment: {en: "A code depicting the size of an object according to a specific code list. The applied code list is specified as additional information together with the size code."},
      domain: "http://gs1.org/voc/SizeCodeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Code"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :sizeDimension,
      comment: {en: "The numerical size measurement relating to the size type."},
      domain: "http://gs1.org/voc/SizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Dimension"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sizeGroup,
      comment: {en: "Code indicating the type of size that is necessary to uniquely specify the size of the item, for example, BOYS."},
      domain: "http://gs1.org/voc/SizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Group"},
      range: "http://gs1.org/voc/SizeGroupCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sizeSystem,
      comment: {en: "The system that is being used to define the size for example EUROPE. Size system is used in conjunction with size group to define the size dimension."},
      domain: "http://gs1.org/voc/SizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size System"},
      range: "http://gs1.org/voc/SizeSystemCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sizeType,
      comment: {en: "The type of size dimension being specified for example SLEEVE."},
      domain: "http://gs1.org/voc/SizeDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Size Type"},
      range: "http://gs1.org/voc/SizeTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sodiumPerNutrientBasis,
      comment: {en: "Sodium per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Sodium Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sourceAnimal,
      comment: {en: "Code indicating the source of raw material used to produce the food product, for example a GOAT for milk."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Source Animal Code"},
      range: "http://gs1.org/voc/SourceAnimalCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :sportingActivityType,
      comment: {en: "Code indicating the type of sporting activity for which the product is intended to be worn, for example FOOTBALL."},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Sporting Activity Type"},
      range: "http://gs1.org/voc/SportingActivityTypeCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :starchPerNutrientBasis,
      comment: {en: "Starch per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Starch Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :streetAddress,
      comment: {en: "The street address expressed as free form text. The street address is printed on paper as the first lines below the name. For example, the name of the street and the number in the street or the name of a building."},
      domain: "http://gs1.org/voc/PostalAddress",
      exactMatch: ["http://schema.org/streetAddress", "http://www.w3.org/2006/vcard/ns#street-address"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Street Address"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :styleDescription,
      comment: {en: "An attribute that classifies products that share many of the same characteristics (attribute values) that does NOT vary by GTIN, and are presented by the supplier as a single merchandise selection for the buyer."},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Style Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :subBrandName,
      comment: {en: "Second level of brand. Can be a trademark. It is the primary differentiating factor that a brand owner wants to communicate to the consumer or buyer. E.g. Yummy-Cola Classic. In this example Yummy-Cola is the brand and Classic is the sub-brand."},
      domain: "http://gs1.org/voc/Brand",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Sub-brand Name"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      related: "http://schema.org/Brand",
      subPropertyOf: "http://schema.org/name",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :sugarsPerNutrientBasis,
      comment: {en: "Sugars per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Sugars Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :supplierSpecifiedMinimumConsumerStorageDays,
      comment: {en: "Represents the number of days between a product's sell by date and its use by date."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Supplier Specified Minimum Consumer Storage Days"},
      range: "http://www.w3.org/2001/XMLSchema#integer",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :targetConsumerAge,
      comment: {en: "Identifies the target consumer age range for which a product has been designed. "},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Target Consumer Age"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :targetConsumerGender,
      comment: {en: "Identifies the target consumer gender for which a product has been designed for example MALE"},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Target Consumer Gender"},
      range: "http://gs1.org/voc/TargetConsumerGenderCode",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :targetMarket,
      comment: {en: "Relates to a set of target market details (product release date and associated countries)"},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Target Market"},
      range: "http://gs1.org/voc/TargetMarketDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :targetMarketCountries,
      comment: {en: "List of countries representing the target market for a particular release date indicated by gs1:consumerFirstAvailabilityDateTime"},
      domain: "http://gs1.org/voc/TargetMarketDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Target Market Countries"},
      range: "http://gs1.org/voc/Country",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :telephone,
      comment: {en: "Voice/data transmission by telephone."},
      domain: "http://gs1.org/voc/ContactPoint",
      exactMatch: ["http://schema.org/telephone", "http://www.w3.org/2006/vcard/ns#hasTelephone"],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Telephone"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :textileMaterial,
      comment: {en: "One or more links to information about the materials used in a wearable product."},
      domain: "http://gs1.org/voc/Clothing",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Textile Material"},
      range: "http://gs1.org/voc/TextileMaterialDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :textileMaterialContent,
      comment: {en: "A description of the material composition used in conjunction with the material percentage."},
      domain: "http://gs1.org/voc/WearableProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Material Content"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :textileMaterialDescription,
      comment: {en: "This provides a name or brief description of one material contained within the product, for example Rayon. "},
      domain: "http://gs1.org/voc/TextileMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :textileMaterialPercentage,
      comment: {en: "Corresponding net weight percentage of the product material specified via gs1:textileMaterialDescription, e.g. 70."},
      domain: "http://gs1.org/voc/TextileMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Material Percentage"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :textileMaterialThreadCount,
      comment: {en: "The quality of material (fabric) of a product based on the total number of vertical and horizontal threads in one square inch."},
      domain: "http://gs1.org/voc/TextileMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Material Thread Count"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty", "http://www.w3.org/2002/07/owl#FunctionalProperty"]
    property :textileMaterialWeight,
      comment: {en: "The measured weight of the material expressed in ounces per square yard or grams per square meter."},
      domain: "http://gs1.org/voc/TextileMaterialDetails",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Textile Material Weight"},
      range: "http://gs1.org/voc/QuantitativeValue",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#FunctionalProperty", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :thiaminPerNutrientBasis,
      comment: {en: "Thiamin per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Thiamin Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :transFatPerNutrientBasis,
      comment: {en: "Trans Fat per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Trans Fat Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :unitCode,
      comment: {en: "A string value indicating a Measurement Unit from UN/ECE Recommendation 20, Units of Measure used in International Trade e.g. GRM = gram - see http://www.unece.org/fileadmin/DAM/cefact/recommendations/rec20/rec20_rev3_Annex3e.pdf"},
      domain: "http://gs1.org/voc/QuantitativeValue",
      exactMatch: "http://schema.org/unitCode",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Measurement Unit"},
      range: "http://www.w3.org/2001/XMLSchema#string",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :upperMaterialType,
      comment: {en: "The material(s) used for the upper part of the footwear product. The upper is the part of a shoe, boot, slipper or other item of footwear that is above the sole."},
      domain: "http://gs1.org/voc/Footwear",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Upper Material"},
      range: "http://gs1.org/voc/TextileMaterialDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :validFrom,
      comment: {en: "The effective start date of the price ."},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/validFrom",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Price Effective Start Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :validThrough,
      comment: {en: "The effective end date of the price ."},
      domain: "http://gs1.org/voc/PriceSpecification",
      exactMatch: "http://schema.org/validThrough",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Price Effective End Date"},
      range: "http://www.w3.org/2001/XMLSchema#dateTime",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :value,
      comment: {en: "A floating-point numeric value that is qualified by the corresponding measurement unit code - see gs1:measurementUnitCode"},
      domain: "http://gs1.org/voc/QuantitativeValue",
      exactMatch: "http://schema.org/value",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Measurement Value"},
      range: "http://www.w3.org/2001/XMLSchema#float",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :variantDescription,
      comment: {en: "Free text field used to identify the variant of the product. Variants are the distinguishing characteristics that differentiate products with the same brand and size including such things as the particular flavour, fragrance, taste."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Variant Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :vintner,
      comment: {en: "The person hired by a winery or wine company who is responsible for many of the processes in the preparation, taste and quality of the wine produced. The science of wine making is referred to as oenology. The vintner is the oenologist."},
      domain: "http://gs1.org/voc/Beverage",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vintner"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :vitaminAPerNutrientBasis,
      comment: {en: "Vitamin A per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin A Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminB12PerNutrientBasis,
      comment: {en: "Vitamin B12 per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin B12 Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminB6PerNutrientBasis,
      comment: {en: "Vitamin B6 per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin B6 Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminCPerNutrientBasis,
      comment: {en: "Vitamin C per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin C Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminDPerNutrientBasis,
      comment: {en: "Vitamin D per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin D Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminEPerNutrientBasis,
      comment: {en: "Vitamin E per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin E Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :vitaminKPerNutrientBasis,
      comment: {en: "Vitamin K per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Vitamin K Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :warningCopyDescription,
      comment: {en: "Warning information is additional information that outlines special requirements, warning and caution information printed on the package."},
      domain: "http://gs1.org/voc/Product",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Warning Copy Description"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :warranty,
      comment: {en: "The warranty associated with the product, as provided by the manufacturer."},
      domain: "http://gs1.org/voc/Offer",
      exactMatch: "http://schema.org/warranty",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Has Offer Warranty"},
      range: "http://gs1.org/voc/WarrantyPromise",
      subPropertyOf: "http://schema.org/warranty",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :warrantyScopeDescription,
      comment: {en: "The description of warranty available for the product. Allows for the representation of the same value in different languages but not for multiple values."},
      domain: "http://gs1.org/voc/WarrantyPromise",
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://schema.org/WarrantyPromise",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Warranty Scope"},
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString",
      subPropertyOf: "http://schema.org/description",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#DatatypeProperty"]
    property :width,
      comment: {en: "The width of the product, as measured according to the GS1 Package Measurement Rules. See http://www.gs1.org/package-measurement-rules-implementation-guide for more details."},
      domain: "http://gs1.org/voc/Dimension",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Width"},
      range: "http://gs1.org/voc/QuantitativeValue",
      related: "http://schema.org/width",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :yield,
      comment: {en: "Links a wearable product to one or more groupings of gs1:SizeDetails representing size systems, size groups, size type and size dimensions."},
      domain: "http://gs1.org/voc/FoodAndBeveragePreparationInformation",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Yield"},
      range: "http://gs1.org/voc/ProductYieldDetails",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]
    property :zincPerNutrientBasis,
      comment: {en: "Zinc per specified nutrient basis quantity."},
      domain: "http://gs1.org/voc/FoodBeverageTobaccoProduct",
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing",
      isDefinedBy: "http://gs1.org/voc/",
      label: {en: "Zinc Per Nutrient Basis Quantity"},
      range: "http://gs1.org/voc/NutritionMeasurementType",
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property", "http://www.w3.org/2002/07/owl#ObjectProperty"]

    # Extra definitions
    term :AllergenTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/bms/Version2_8/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:AllergenTypeCodeList&release=1",
      label: {en: "Allergen Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"AllergenTypeCode-ALMONDS",
      comment: {en: "Refers to the presence of almond and almond products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SA",
      label: {en: "Almond and Almond Products"},
      prefLabel: "ALMONDS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-ALPHA_ISOMETHYL_IONONE",
      comment: {en: "Refers to the presence of Alpha-Isomethyl Ionone as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AI",
      label: {en: "Alpha-Isomethyl Ionone"},
      prefLabel: "ALPHA_ISOMETHYL_IONONE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-AMYLCINNAMYL_ALCOHOL",
      comment: {en: "Refers to the presence of Amylcinnamyl Alcohol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AA",
      label: {en: "Amylcinnamyl Alcohol"},
      prefLabel: "AMYLCINNAMYL_ALCOHOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-AMYL_CINNAMAL",
      comment: {en: "Refers to the presence of Amyl Cinnamal as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AL",
      label: {en: "Amyl Cinnamal"},
      prefLabel: "AMYL_CINNAMAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-ANISE_ALCOHOL",
      comment: {en: "Refers to the presence of Anise Alcohol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AH",
      label: {en: "Anise Alcohol"},
      prefLabel: "ANISE_ALCOHOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BARLEY",
      comment: {en: "Refers to the presence of Barley and barley products (glutencontaining grain) as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "GB",
      label: {en: "Barley and Barley Products"},
      prefLabel: "BARLEY",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BENZYL_ALCOHOL",
      comment: {en: "Refers to the presence of Benzyl Alcohol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "BA",
      label: {en: "Benzyl Alcohol"},
      prefLabel: "BENZYL_ALCOHOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BENZYL_BENZOATE",
      comment: {en: "Refers to the presence of Benzyl Benzoate as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "BB",
      label: {en: "Benzyl Benzoate"},
      prefLabel: "BENZYL_BENZOATE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BENZYL_CINNAMATE",
      comment: {en: "Refers to the presence of Benzyl Cinnamate as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "BI",
      label: {en: "Benzyl Cinnamate."},
      prefLabel: "BENZYL_CINNAMATE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BENZYL_SALICYLATE",
      comment: {en: "Refers to the presence of Benzyl Salicylate as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "BS",
      label: {en: "Benzyl Salicylate"},
      prefLabel: "BENZYL_SALICYLATE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BRAZIL_NUTS",
      comment: {en: "Refers to the presence of brazil nut and brazil nut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SR",
      label: {en: "Brazil Nut and Brazil Nut Products"},
      prefLabel: "BRAZIL_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-BUTYLPHENYL_METHYLPROPIONATE",
      comment: {en: "Refers to the presence of Butylphenyl Methylpropionate as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "BE",
      label: {en: "Butylphenyl Methylpropionate."},
      prefLabel: "BUTYLPHENYL_METHYLPROPIONATE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CARROTS",
      comment: {en: "Refers to the presence of carrot and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NW",
      label: {en: "Carrot and Derivatives"},
      prefLabel: "CARROTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CASHEW_NUTS",
      comment: {en: "Refers to the presence of cashew and cashew products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SC",
      label: {en: "Cashew and Cashew Products"},
      prefLabel: "CASHEW_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CELERY",
      comment: {en: "Refers to the presence of celery or their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "BC",
      label: {en: "Celery or Derivatives"},
      prefLabel: "CELERY",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CEREALS_CONTAINING_GLUTEN",
      comment: {en: "Refers to the presence of Cereals containing gluten and their derivatives in the product, as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AW",
      label: {en: "Cereals Containing Gluten and Their Derivatives"},
      prefLabel: "CEREALS_CONTAINING_GLUTEN",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CINNAMAL",
      comment: {en: "Refers to the presence of Cinnamal as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "CL",
      label: {en: "Cinnamal"},
      prefLabel: "CINNAMAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CINNAMYL_ALCOHOL",
      comment: {en: "Refers to the presence of Cinnamyl Alcohol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "CA",
      label: {en: "Cinnamyl Alcohol"},
      prefLabel: "CINNAMYL_ALCOHOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CITRAL",
      comment: {en: "Refers to the presence of Citral as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "CT",
      label: {en: "Citral"},
      prefLabel: "CITRAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CITRONELLOL",
      comment: {en: "Refers to the presence of Citronellol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "CN",
      label: {en: "Citronellol"},
      prefLabel: "CITRONELLOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-COCOA",
      comment: {en: "Refers to the presence of cocoa and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NC",
      label: {en: "Cocoa and Derivatives"},
      prefLabel: "COCOA",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CORIANDER",
      comment: {en: "Refers to the presence of coriander and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NK",
      label: {en: "Coriander Derivatives"},
      prefLabel: "CORIANDER",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CORN",
      comment: {en: "Refers to the presence of corn and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NM",
      label: {en: "Corn and Derivatives"},
      prefLabel: "CORN",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-COUMARIN",
      comment: {en: "Refers to the presence of Coumarin as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "CO",
      label: {en: "Coumarin"},
      prefLabel: "COUMARIN",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-CRUSTACEANS",
      comment: {en: "Refers to the presence of Crustaceans and their derivatives in the product, as listed as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AC",
      label: {en: "Crustaceans and Their Derivatives"},
      prefLabel: "CRUSTACEANS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-EGGS",
      comment: {en: "Refers to the presence of eggs and their derivatives in the product, as listed as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AE",
      label: {en: "Eggs and Their Derivatives"},
      prefLabel: "EGGS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-EUGENOL",
      comment: {en: "Refers to the presence of Eugenol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "EG",
      label: {en: "Eugenol"},
      prefLabel: "EUGENOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-EVERNIA_FURFURACEA",
      comment: {en: "Refers to the presence of Evernia Furfuracea as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "EV",
      label: {en: "Evernia Furfuracea"},
      prefLabel: "EVERNIA_FURFURACEA",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-EVERNIA_PRUNASTRI",
      comment: {en: "Refers to the presence of Evernia Prunastri as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "EP",
      label: {en: "Evernia Prunastri"},
      prefLabel: "EVERNIA_PRUNASTRI",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-FARNESOL",
      comment: {en: "Refers to the presence of Farnesol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "FA",
      label: {en: "Farnesol"},
      prefLabel: "FARNESOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-FISH",
      comment: {en: "Refers to the presence of Fish and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AF",
      label: {en: "Fish and Their Derivatives"},
      prefLabel: "FISH",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-GERANIOL",
      comment: {en: "Refers to the presence of Geraniol as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "GE",
      label: {en: "Geraniol"},
      prefLabel: "GERANIOL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-GLUTEN",
      comment: {en: "Refers to the presense of other gluten containing grain and gluten containing grain products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AX",
      label: {en: "Gluten"},
      prefLabel: "GLUTEN",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-HAZELNUTS",
      comment: {en: "Refers to the presence of hazelnut and hazelnut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SH",
      label: {en: "Hazelnut and Hazelnut Products"},
      prefLabel: "HAZELNUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-HEXYL_CINNAMAL",
      comment: {en: "Refers to the presence of Hexyl Cinnamal as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "HX",
      label: {en: "Hexyl Cinnamal"},
      prefLabel: "HEXYL_CINNAMAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-HYDROXYCITRONELLAL",
      comment: {en: "Refers to the presence of Hydroxycitronellal as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "HY",
      label: {en: "Hydroxycitronellal"},
      prefLabel: "HYDROXYCITRONELLAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-HYDROXYISOHEXYL_3-CYCLOHEXENE_CARBOXALDEHYDE_ISOEUGENOL_LIMONENE_LINAL",
      comment: {en: "Refers to the presence of Hydroxyisohexyl 3-Cyclohexene Carboxaldehyde Isoeugenol Limonene Linal as listed in the regulations specified in AllergenSpecificationAgency and llergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "HC",
      label: {en: "Hydroxyisohexyl 3-Cyclohexene Carboxaldehyde Isoeugenol Limonene Linal"},
      prefLabel: "HYDROXYISOHEXYL_3-CYCLOHEXENE_CARBOXALDEHYDE_ISOEUGENOL_LIMONENE_LINAL",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-KAMUT",
      comment: {en: "Refers to the presence of kamut and kamut products (glutencontaining grain) as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "GK",
      label: {en: "Kamut and Kamut Products"},
      prefLabel: "KAMUT",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-LACTOSE",
      comment: {en: "Refers to the presence of lactose as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "ML",
      label: {en: "Lactose"},
      prefLabel: "LACTOSE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-LUPINE",
      comment: {en: "Refers to the presence of Lupine and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NL",
      label: {en: "Lupine and Derivatives"},
      prefLabel: "LUPINE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-MACADAMIA_NUTS",
      comment: {en: "Refers to the presence of macadamia nut and macadamia nut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "SM",
      label: {en: "Macadamia Nut and Macadamia Nut Products"},
      prefLabel: "MACADAMIA_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-METHYL_2_OCTYNOATE",
      comment: {en: "Refers to the presence of Methyl 2-Octynoate as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "MO",
      label: {en: "Methyl 2-Octynoate"},
      prefLabel: "METHYL_2_OCTYNOATE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-MILK",
      comment: {en: "Refers to the presence of milk and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AM",
      label: {en: "Milk and Derivatives"},
      prefLabel: "MILK",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-MOLLUSCS",
      comment: {en: "Refers to the presence of molluscs and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "UM",
      label: {en: "Molluscs and Their Derivatives"},
      prefLabel: "MOLLUSCS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-MUSTARD",
      comment: {en: "Refers to the presence of mustard or their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "BM",
      label: {en: "Mustard and Derivatives "},
      prefLabel: "MUSTARD",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-NO_DECLARED_ALLERGENS",
      comment: {en: "Does not contain declaration obligatory allergens as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "X99",
      label: {en: "No Declaration Obligatory Allergens"},
      prefLabel: "NO_DECLARED_ALLERGENS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-OAT",
      comment: {en: "Refers to the presence of oat and oat products (gluten containing grain) as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "GO",
      label: {en: "Oat and Oat Products"},
      prefLabel: "OAT",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-PEANUTS",
      comment: {en: "Refers to the presence of peanuts and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AP",
      label: {en: "Peanuts and Their Derivatives"},
      prefLabel: "PEANUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-PEAS",
      comment: {en: "Refers to the presence of peas and pea products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "NE",
      label: {en: "Peas and Pea Products"},
      prefLabel: "PEAS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-PECAN_NUTS",
      comment: {en: "Refers to the presence of pecan nut and pecan nut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SP",
      label: {en: "Pecan Nut and Pecan Nut"},
      prefLabel: "PECAN_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-PISTACHIOS",
      comment: {en: "Refers to the presence of pistachio and pistachio products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "ST",
      label: {en: "Pistachio and Pistachio Products"},
      prefLabel: "PISTACHIOS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-POD_FRUITS",
      comment: {en: "Refers to the presence of pod fruits and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NP",
      label: {en: "Pod Fruits Derivatives"},
      prefLabel: "POD_FRUITS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-QUEENSLAND_NUTS",
      comment: {en: "Refers to the presence of queensland nut and queensland nut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "SQ",
      label: {en: "Queensland Nut and Queensland Nut Products"},
      prefLabel: "QUEENSLAND_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-RYE",
      comment: {en: "Refers to the presence of rye and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "NR",
      label: {en: "Rye and Derivatives"},
      prefLabel: "RYE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-SESAME_SEEDS",
      comment: {en: "Refers to the presence of sesame seeds or their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AS",
      label: {en: "Sesame Seeds or Their Derivatives"},
      prefLabel: "SESAME_SEEDS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-SOYBEANS",
      comment: {en: "Refers to the presence of soybeans and their derivatives in the product, as listed in as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "AY",
      label: {en: "Soybeans and Their Derivatives"},
      prefLabel: "SOYBEANS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-SPELT",
      comment: {en: "Refers to the presence of spelt and spelt products (gluten containing grain) as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "GS",
      label: {en: "Spelt and Spelt Products"},
      prefLabel: "SPELT",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-SULPHUR_DIOXIDE",
      comment: {en: "Refers to the presence of sulphur dioxide and sulphites as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName."},
      "http://gs1.org/voc/originalCodeValue": "AU",
      label: {en: "Sulphur Dioxide and Sulphites"},
      prefLabel: "SULPHUR_DIOXIDE",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-TREE_NUTS",
      comment: {en: "Refers to the presence of tree nuts and their derivatives in the product, as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName. Tree nuts can include almonds, hazelnut, walnut, cashews, etc."},
      "http://gs1.org/voc/originalCodeValue": "AN",
      label: {en: "Tree Nuts and Their Derivatives"},
      prefLabel: "TREE_NUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-TREE_NUT_TRACES",
      comment: {en: "Contains Traces of Tree Nuts, i.e. almonds, various kinds of tree nuts."},
      "http://gs1.org/voc/originalCodeValue": "TN",
      label: {en: "Traces of Tree Nuts"},
      prefLabel: "TREE_NUT_TRACES",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-WALNUTS",
      comment: {en: "Refers to the presence of walnut and walnut products as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "SW",
      label: {en: "Walnut and Walnut Products"},
      prefLabel: "WALNUTS",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :"AllergenTypeCode-WHEAT",
      comment: {en: "Refers to the presence of wheat and their derivatives in the product, as listed in the regulations specified in AllergenSpecificationAgency and AllergenSpecificationName"},
      "http://gs1.org/voc/originalCodeValue": "UW",
      label: {en: "Wheat and Their Derivatives"},
      prefLabel: "WHEAT",
      type: "http://gs1.org/voc/AllergenTypeCode"
    term :AnatomicalFormCode,
      label: {en: "Anatomical Form Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"AnatomicalFormCode-BELLY",
      label: {en: "Belly"},
      prefLabel: "BELLY",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-BLOOD",
      label: {en: "Blood"},
      prefLabel: "BLOOD",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-BONE",
      label: {en: "Bone"},
      prefLabel: "BONE",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-BRAIN",
      label: {en: "Brain"},
      prefLabel: "BRAIN",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-CARCASS_NONPOULTRY",
      label: {en: "Carcass Nonpoultry"},
      prefLabel: "CARCASS_NONPOULTRY",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-DIAPHRAM",
      label: {en: "Diaphram"},
      prefLabel: "DIAPHRAM",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-ESOPHAGUS",
      label: {en: "Esophagus"},
      prefLabel: "ESOPHAGUS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-FAT",
      label: {en: "Fat"},
      prefLabel: "FAT",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-FEET",
      label: {en: "Feet"},
      prefLabel: "FEET",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-FOREQUARTER",
      label: {en: "Forequarter"},
      prefLabel: "FOREQUARTER",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-GIZZARD",
      label: {en: "Gizzard"},
      prefLabel: "GIZZARD",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-HEAD",
      label: {en: "Head"},
      prefLabel: "HEAD",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-HEADMEAT_CHEEKMEAT",
      label: {en: "Headmeat Cheekmeat"},
      prefLabel: "HEADMEAT_CHEEKMEAT",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-HEART",
      label: {en: "Heart"},
      prefLabel: "HEART",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-HINDQUARTER",
      label: {en: "Hindquarter"},
      prefLabel: "HINDQUARTER",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-HORN",
      label: {en: "Horn"},
      prefLabel: "HORN",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-INTESTINE_LARGE",
      label: {en: "Intestine Large"},
      prefLabel: "INTESTINE_LARGE",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-INTESTINE_SMALL",
      label: {en: "Intenstine Small"},
      prefLabel: "INTESTINE_SMALL",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-KIDNEY",
      label: {en: "Kidney"},
      prefLabel: "KIDNEY",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-LIPS",
      label: {en: "Lips"},
      prefLabel: "LIPS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-LIVER",
      label: {en: "Liver"},
      prefLabel: "LIVER",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-LUNGS",
      label: {en: "Lungs"},
      prefLabel: "LUNGS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-MIXED_OFFAL",
      label: {en: "Mixed Offal"},
      prefLabel: "MIXED_OFFAL",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-MIXED_PARTS_FOR_GROUNDING_MINCING",
      label: {en: "Mixed Parts For Grounding or Mincing"},
      prefLabel: "MIXED_PARTS_FOR_GROUNDING_MINCING",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-NECK",
      label: {en: "Neck"},
      prefLabel: "NECK",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-PANCREAS",
      label: {en: "Pancreas"},
      prefLabel: "PANCREAS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-SKIN",
      label: {en: "Skin"},
      prefLabel: "SKIN",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-STOMACH",
      label: {en: "Stomach"},
      prefLabel: "STOMACH",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-TAIL",
      label: {en: "Tail"},
      prefLabel: "TAIL",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-TENDONS",
      label: {en: "Tendons"},
      prefLabel: "TENDONS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-TESTICLES",
      label: {en: "Testicles"},
      prefLabel: "TESTICLES",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-THYMUS",
      label: {en: "Thymus"},
      prefLabel: "THYMUS",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-TONGUE",
      label: {en: "Tongue"},
      prefLabel: "TONGUE",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-TRIPE",
      label: {en: "Tripe"},
      prefLabel: "TRIPE",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_BIRD",
      label: {en: "Whole Bird"},
      prefLabel: "WHOLE_BIRD",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_NONPOULTRY_MEATPART_PIECE",
      label: {en: "Whole Muscle Nonpoultry Meatpart Piece"},
      prefLabel: "WHOLE_MUSCLE_NONPOULTRY_MEATPART_PIECE",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_POULTRY_PART",
      label: {en: "Whole Muscle Poultry Part"},
      prefLabel: "WHOLE_MUSCLE_POULTRY_PART",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_PRIMAL",
      label: {en: "Whole Muscle Primal"},
      prefLabel: "WHOLE_MUSCLE_PRIMAL",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_RIBCUT",
      label: {en: "Whole Muscle Ribcut"},
      prefLabel: "WHOLE_MUSCLE_RIBCUT",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_ROASTCUT",
      label: {en: "Whole Muscle Roast Cut"},
      prefLabel: "WHOLE_MUSCLE_ROASTCUT",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_SLICE_CHOPCUT",
      prefLabel: "WHOLE_MUSCLE_SLICE_CHOPCUT"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_SLICE_CUTLET",
      label: {en: "Whole Muscle Slice Cutlet"},
      prefLabel: "WHOLE_MUSCLE_SLICE_CUTLET",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_STEAK_CHOPCUT",
      label: {en: "Whole Muscle Steak Chop-cut"},
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :"AnatomicalFormCode-WHOLE_MUSCLE_SUBPRIMAL",
      label: {en: "Whole Muscle Subprimal"},
      prefLabel: "WHOLE_MUSCLE_SUBPRIMAL",
      type: "http://gs1.org/voc/AnatomicalFormCode"
    term :CheeseFirmnessCode,
      label: {en: "Cheese Firmness Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"CheeseFirmnessCode-EXTRA_HARD",
      label: {en: "Extra Hard"},
      prefLabel: "EXTRA_HARD",
      type: "http://gs1.org/voc/CheeseFirmnessCode"
    term :"CheeseFirmnessCode-FIRM_SEMIHARD",
      label: {en: "Firm Semi Hard"},
      prefLabel: "FIRM_SEMIHARD",
      type: "http://gs1.org/voc/CheeseFirmnessCode"
    term :"CheeseFirmnessCode-HARD",
      label: {en: "Hard"},
      prefLabel: "HARD",
      type: "http://gs1.org/voc/CheeseFirmnessCode"
    term :"CheeseFirmnessCode-SOFT",
      label: {en: "Soft"},
      prefLabel: "SOFT",
      type: "http://gs1.org/voc/CheeseFirmnessCode"
    term :"CheeseFirmnessCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/CheeseFirmnessCode"
    term :"ColourCodeList-BUYER",
      comment: {en: "Assigned by buyer."},
      "http://gs1.org/voc/originalCodeValue": "6",
      label: {en: "Assigned by Buyer"},
      prefLabel: "BUYER",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-IFPS",
      comment: {en: "International Federation for Produce Standards."},
      "http://gs1.org/voc/originalCodeValue": "11",
      label: {en: "International Federation for Produce Standards"},
      prefLabel: "IFPS",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-NCS",
      comment: {en: "Natural Colour System."},
      "http://gs1.org/voc/originalCodeValue": "10",
      label: {en: "Natural Colour System"},
      prefLabel: "NCS",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-NRF",
      comment: {en: "National Retail Federation."},
      "http://gs1.org/voc/originalCodeValue": "1",
      label: {en: "National Retail Federation."},
      prefLabel: "NRF",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-PANTONE_HEXACHROME",
      comment: {en: "Pantone Hexachrome."},
      "http://gs1.org/voc/originalCodeValue": "4",
      label: {en: "Pantone Hexachrome"},
      prefLabel: "PANTONE_HEXACHROME",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-PANTONE_MATCHING",
      comment: {en: "Pantone Matching System."},
      "http://gs1.org/voc/originalCodeValue": "2",
      label: {en: "Pantone Matching System"},
      prefLabel: "PANTONE_MATCHING",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-PANTONE_PROCESS_COLOUR",
      comment: {en: "Pantone Process Colour System."},
      "http://gs1.org/voc/originalCodeValue": "3",
      label: {en: "Pantone Process Colour System"},
      prefLabel: "PANTONE_PROCESS_COLOUR",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-PANTONE_TEXTILE",
      comment: {en: "Pantone Textile. Same as GS1 ColourCodeList Code 5"},
      "http://gs1.org/voc/originalCodeValue": "5",
      label: {en: "Pantone Textile"},
      prefLabel: "PANTONE_TEXTILE",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-RAL",
      comment: {en: "Farbsystem RAL Colour System."},
      "http://gs1.org/voc/originalCodeValue": "9",
      label: {en: "Farbsystem RAL Colour System"},
      prefLabel: "RAL",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-SELLER",
      comment: {en: "Assigned by seller."},
      "http://gs1.org/voc/originalCodeValue": "7",
      label: {en: "Assigned by Seller"},
      prefLabel: "SELLER",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :"ColourCodeList-WWS",
      comment: {en: "Waren Wirtschafts System."},
      "http://gs1.org/voc/originalCodeValue": "8",
      label: {en: "Waren Wirtschafts System"},
      prefLabel: "WWS",
      type: "http://gs1.org/voc/ColourCodeListCode"
    term :ColourCodeListCode,
      label: {en: "Colour Code List Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :ConsumerLifestageCode,
      label: {en: "Consumer Lifestage Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"ConsumerLifestageCode-ADULT",
      label: {en: "Suitable for Adults"},
      prefLabel: "ADULT",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-ALL_AGES",
      label: {en: "Suitable for All Ages"},
      prefLabel: "ALL_AGES",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-BABY_INFANT",
      label: {en: "Suitable for Babies/Infants"},
      prefLabel: "BABY_INFANT",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-CHILD_1_To_2_YEARS",
      label: {en: "Suitable for Children One to Two Years Old"},
      prefLabel: "CHILD_1_To_2_YEARS",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-CHILD_2_YEARS_ONWARDS",
      label: {en: "Suitable for Children 2 Plus Years of Age"},
      prefLabel: "CHILD_2_YEARS_ONWARDS",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :"ConsumerLifestageCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/ConsumerLifestageCode"
    term :ConsumerSalesConditionsCode,
      isDefinedBy: "http://apps.gs1.org/GDD/bms/Version2_8/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:ConsumerSalesConditionCodeList&release=2",
      label: {en: "Consumer Sales Conditions Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"ConsumerSalesConditionsCode-BTC",
      comment: {en: "Products that are sold without a prescription but must be distributed through a pharmacy."},
      label: {en: "Behind the Counter"},
      prefLabel: "BTC",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :"ConsumerSalesConditionsCode-OTC",
      comment: {en: "Products that may be sold without a prescription. These products are generally available without restrictions."},
      label: {en: "Over the Counter"},
      prefLabel: "OTC",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :"ConsumerSalesConditionsCode-PRESCRIPTION_REQUIRED",
      comment: {en: "Product may only be sold or dispensed under the direction of a prescription."},
      label: {en: "Prescription Required"},
      prefLabel: "PRESCRIPTION_REQUIRED",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :"ConsumerSalesConditionsCode-RESTRICTED_TO_SELL_16",
      comment: {en: "Based upon legal regulatory restrictions it is illegal to sell the product to anyone under the age of 16 years old."},
      label: {en: "Restricted To Sell 16"},
      prefLabel: "RESTRICTED_TO_SELL_16",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :"ConsumerSalesConditionsCode-RESTRICTED_TO_SELL_18",
      comment: {en: "Based upon legal regulatory restrictions it is illegal to sell the product to anyone under the age of 18 years old."},
      label: {en: "Restricted To Sell 18"},
      prefLabel: "RESTRICTED_TO_SELL_18",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :"ConsumerSalesConditionsCode-RESTRICTED_TO_SELL_21",
      comment: {en: "Based upon legal regulatory restrictions it is illegal to sell the product to anyone under the age of 21 years old."},
      label: {en: "Restricted To Sell 21"},
      prefLabel: "RESTRICTED_TO_SELL_21",
      type: "http://gs1.org/voc/ConsumerSalesConditionsCode"
    term :DietTypeCode,
      label: {en: "Diet Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"DietTypeCode-COELIAC",
      comment: {en: "Denotes a product that can be safely consumed by a person with coeliac disease. Coeliac disease is caused by a reaction to gladin (a gluten protein found in wheat) and similar proteins found in other crops."},
      label: {en: "Coeliac"},
      prefLabel: "COELIAC",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-DIETETIC",
      comment: {en: "Denotes a product that is specially prepared or processed for people on restrictive diets."},
      label: {en: "Dietetic"},
      prefLabel: "DIETETIC",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-FREE_FROM_GLUTEN",
      comment: {en: "Denotes a product that can be used in a gluten free diet, as specified by the appropriate authority within a target market."},
      label: {en: "Free From Gluten"},
      prefLabel: "FREE_FROM_GLUTEN",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-HALAL",
      comment: {en: "Denotes selling or serving food ritually fit according to Islamic dietary laws."},
      label: {en: "Halal"},
      prefLabel: "HALAL",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-KOSHER",
      comment: {en: "Denotes selling or serving food ritually fit according to Jewish dietary laws."},
      label: {en: "Kosher"},
      prefLabel: "KOSHER",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-ORGANIC",
      comment: {en: "Denotes a food product that was produced with the use of feed or fertiliser of plant or animal origin, without employment of chemically formulated fertilisers, growth stimulants, antibiotics or pesticides."},
      label: {en: "Organic"},
      prefLabel: "ORGANIC",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-VEGAN",
      comment: {en: "Denotes a food product which contains no animal food or dairy products."},
      label: {en: "Vegan"},
      prefLabel: "VEGAN",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-VEGETARIAN",
      comment: {en: "Denotes a product that contains no meat, fish or other animal products."},
      label: {en: "Vegetarian"},
      prefLabel: "VEGETARIAN",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-WITHOUT_BEEF",
      comment: {en: "Denotes a product that contains no beef or beef-products. Beef is considered to be a taboo food product by some religions most notable Hinduism, Buddhism and Jainism."},
      label: {en: "Without Beef"},
      prefLabel: "WITHOUT_BEEF",
      type: "http://gs1.org/voc/DietTypeCode"
    term :"DietTypeCode-WITHOUT_PORK",
      comment: {en: "Denotes a product that contains no pork meat."},
      label: {en: "Without Pork"},
      prefLabel: "WITHOUT_PORK",
      type: "http://gs1.org/voc/DietTypeCode"
    term :FoodBeverageRefrigerationClaimCode,
      label: {en: "Food Beverage Refrigeration Claim Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"FoodBeverageRefrigerationClaimCode-CAN_BE_REFRIGERATED",
      label: {en: "Can Be Refrigerated."},
      prefLabel: "CAN_BE_REFRIGERATED",
      type: "http://gs1.org/voc/FoodBeverageRefrigerationClaimCode"
    term :"FoodBeverageRefrigerationClaimCode-MUST_BE_REFRIGERATED",
      label: {en: "Must Be Refrigerated."},
      prefLabel: "MUST_BE_REFRIGERATED",
      type: "http://gs1.org/voc/FoodBeverageRefrigerationClaimCode"
    term :"FoodBeverageRefrigerationClaimCode-SHELF_STABLE",
      label: {en: "Shelf Stable."},
      prefLabel: "SHELF_STABLE",
      type: "http://gs1.org/voc/FoodBeverageRefrigerationClaimCode"
    term :"FoodBeverageRefrigerationClaimCode-UNIDENTIFIED",
      label: {en: "Unidentified."},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/FoodBeverageRefrigerationClaimCode"
    term :FoodBeverageTargetUseCode,
      label: {en: "Food Beverage Target Use Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"FoodBeverageTargetUseCode-ANY_MEAL",
      label: {en: "Any Meal"},
      prefLabel: "ANY_MEAL",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :"FoodBeverageTargetUseCode-BREAKFAST",
      label: {en: "Breakfast"},
      prefLabel: "BREAKFAST",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :"FoodBeverageTargetUseCode-MAIN_MEAL",
      label: {en: "Main Meal"},
      prefLabel: "MAIN_MEAL",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :"FoodBeverageTargetUseCode-PORTABLE_MEAL",
      label: {en: "Portable Meal"},
      prefLabel: "PORTABLE_MEAL",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :"FoodBeverageTargetUseCode-SNACK",
      label: {en: "Snack"},
      prefLabel: "SNACK",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :"FoodBeverageTargetUseCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/FoodBeverageTargetUseCode"
    term :FootwearFasteningTypeCode,
      label: {en: "Footwear Fastening Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"FootwearFasteningTypeCode-MULTIPLE_FASTENING",
      label: {en: "Multiple Fastenings"},
      prefLabel: "MULTIPLE_FASTENING",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-SHOE_LACE",
      label: {en: "Shoe Lace"},
      prefLabel: "SHOE_LACE",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-SLIP_ON_WITHOUT_ELASTIC",
      label: {en: "Slip On Without Elastic"},
      prefLabel: "SLIP_ON_WITHOUT_ELASTIC",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-SLIP_ON_WITH_ELASTIC",
      label: {en: "Slip On With Elastic"},
      prefLabel: "SLIP_ON_WITH_ELASTIC",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-STRAP",
      label: {en: "Strap"},
      prefLabel: "STRAP",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :"FootwearFasteningTypeCode-VELCRO",
      label: {en: "Velcro"},
      prefLabel: "VELCRO",
      type: "http://gs1.org/voc/FootwearFasteningTypeCode"
    term :FreshOrSeawaterFarmedCode,
      label: {en: "Fresh Or Seawater Farmed Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"FreshOrSeawaterFarmedCode-FRESHWATER_FARMED",
      label: {en: "Freshwater Farmed"},
      prefLabel: "FRESHWATER_FARMED",
      type: "http://gs1.org/voc/FreshOrSeawaterFarmedCode"
    term :"FreshOrSeawaterFarmedCode-SEAWATER_FARMED",
      label: {en: "Seawater Farmed"},
      prefLabel: "SEAWATER_FARMED",
      type: "http://gs1.org/voc/FreshOrSeawaterFarmedCode"
    term :"FreshOrSeawaterFarmedCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/FreshOrSeawaterFarmedCode"
    term :"FreshOrSeawaterFarmedCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/FreshOrSeawaterFarmedCode"
    term :GrowingMethodCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:GrowingMethodCode&release=1",
      label: {en: "Growing Method Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"GrowingMethodCode-CAGE_FREE",
      comment: {en: "Animal is not confined to a cage."},
      label: {en: "Cage Free"},
      prefLabel: "CAGE_FREE",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-CLONED_FOODS",
      comment: {en: "Product is a result of genetic engineering."},
      label: {en: "Cloned Food"},
      prefLabel: "CLONED_FOODS",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-CONVENTIONAL",
      comment: {en: "Foods grown non-organically, either indoors or outdoors without any special processes."},
      label: {en: "Conventional"},
      prefLabel: "CONVENTIONAL",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-FARM_RAISED",
      comment: {en: "Animal is raised on a farm."},
      label: {en: "Farm Raised"},
      prefLabel: "FARM_RAISED",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-FIELD_GROWN",
      comment: {en: "Plants Grown Outdoors"},
      label: {en: "Field Grown"},
      prefLabel: "FIELD_GROWN",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-FLY_FREE",
      comment: {en: "Citrus Grown in an area certified to be free of all Caribbean Fruit Flies based on trappings"},
      label: {en: "Fly Free"},
      prefLabel: "FLY_FREE",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-FREE_RANGE",
      comment: {en: "A method that animals are allowed to roam with little restriction to their movements."},
      label: {en: "Free Range"},
      prefLabel: "FREE_RANGE",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-GRASS_FED",
      comment: {en: "Animal is predominately fed grass or forage. "},
      label: {en: "Grass Fed"},
      prefLabel: "GRASS_FED",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-GREENHOUSE",
      comment: {en: "Plants that are grown and cultivated in an indoor covered place."},
      label: {en: "Greenhouse"},
      prefLabel: "GREENHOUSE",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-HUMANELY_RAISED",
      comment: {en: "A process where animals are raised such that the welfare of the animal is a foremost concern."},
      label: {en: "Humanely Raised"},
      prefLabel: "HUMANELY_RAISED",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-HYDROPONIC",
      comment: {en: "Plants grown using mineral nutrient solutions instead of soil."},
      label: {en: "Hydroponic"},
      prefLabel: "HYDROPONIC",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-INTEGRATED_PEST_MANAGEMENT",
      comment: {en: "(IPM) Plants grown using a pest control strategy that uses an array of complimentary methods: mechanical devices, physical devices, genetic, biological, legal, cultural management and chemical management. These methods are done in three stages: prevention, observation, and intervention. It is an ecological approach with a main goal of significantly reducing or eliminating the use of pesticides."},
      label: {en: "Integrated Pest Management"},
      prefLabel: "INTEGRATED_PEST_MANAGEMENT",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-ORGANIC",
      comment: {en: "Foods grown organically, either indoors or outdoors."},
      label: {en: "Organic"},
      prefLabel: "ORGANIC",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-SHADE_GROWN",
      comment: {en: "Produce which has been grown under shade or grown under cloth."},
      label: {en: "Shade Grown"},
      prefLabel: "SHADE_GROWN",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-SUSTAINABLE",
      "http://www.w3.org/2000/01/rdf-schema#comemnt": "A method of growing a resource so that the resource is not depleted or permanently damaged",
      label: {en: "Sustainable"},
      prefLabel: "SUSTAINABLE",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :"GrowingMethodCode-WILD",
      comment: {en: "The animal or plant was not inhibited or prohibited from roving, wandering, and not tamed or domesticated. "},
      label: {en: "Wild"},
      prefLabel: "WILD",
      type: "http://gs1.org/voc/GrowingMethodCode"
    term :LevelOfContainmentCode,
      isDefinedBy: "http://apps.gs1.org/GDD/bms/Version2_8/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:LevelOfContainmentCodeList&release=1",
      label: {en: "Level Of Containment Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"LevelOfContainmentCode-CONTAINS",
      comment: {en: "Intentionally included in the product."},
      label: {en: "Contains"},
      prefLabel: "CONTAINS",
      type: "http://gs1.org/voc/LevelOfContainmentCode"
    term :"LevelOfContainmentCode-FREE_FROM",
      comment: {en: "The product is free from the indicated substance."},
      label: {en: "Free From"},
      prefLabel: "FREE_FROM",
      type: "http://gs1.org/voc/LevelOfContainmentCode"
    term :"LevelOfContainmentCode-MAY_CONTAIN",
      comment: {en: "The substance is not intentionally included, but due to shared production facilities or other reasons, the product may contain the substance."},
      label: {en: "May Contain"},
      prefLabel: "MAY_CONTAIN",
      type: "http://gs1.org/voc/LevelOfContainmentCode"
    term :MaturationMethodCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:MaturationMethodCode&release=1",
      label: {en: "Maturation Method Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"MaturationMethodCode-JET_FRESH",
      comment: {en: "Freshly picked and immediately packed and shipped at mature stage and flown to destination for adequate distribution (i.e. imports from South America, Africa or Europe). Flown by jet to market; the carton will be labelled Jet Fresh, when applicable, stickered Jet Fresh. For the produce industry, most common with berries, stone fruits and pineapples."},
      label: {en: "Jet Fresh"},
      prefLabel: "JET_FRESH",
      type: "http://gs1.org/voc/MaturationMethodCode"
    term :"MaturationMethodCode-PRECONDITIONED",
      comment: {en: "Product stored at proper temperature prior to shipment to allow ripening and/or colouring, adequate for distribution and/or consumption. Pre-conditioned product is matured to a specific maturity level as a result of ripening through either temperature, gas treatment, humidity or any combination thereof."},
      label: {en: "Preconditioned"},
      prefLabel: "PRECONDITIONED",
      type: "http://gs1.org/voc/MaturationMethodCode"
    term :"MaturationMethodCode-TREE_VINE_RIPE",
      comment: {en: "Product that is picked at optimum maturity or just shy of. It is almost ripe or ready to eat. This fruit will be shipped immediately (imported = flown) from the pack-house and stickered as Tree or Vine Ripe."},
      label: {en: "Tree Vine Ripe"},
      prefLabel: "TREE_VINE_RIPE",
      type: "http://gs1.org/voc/MaturationMethodCode"
    term :MeasurementPrecisionCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:MeasurementPrecisionCode&release=1",
      label: {en: "Measurement Precision Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"MeasurementPrecisionCode-APPROXIMATELY",
      comment: {en: "The method used to analyse the products resulted in ap-proximate value of the nutritional content."},
      label: {en: "Approximately"},
      prefLabel: "APPROXIMATELY",
      type: "http://gs1.org/voc/MeasurementPrecisionCode"
    term :"MeasurementPrecisionCode-EXACT",
      comment: {en: "The method used to analyse the products resulted in exact value of the nutritional content."},
      label: {en: "Exact"},
      prefLabel: "EXACT",
      type: "http://gs1.org/voc/MeasurementPrecisionCode"
    term :"MeasurementPrecisionCode-LESS_THAN",
      comment: {en: "To indicate presence when the measurement value is too small to be measured precisely (rule states less than 0.5)."},
      label: {en: "Less Than"},
      prefLabel: "LESS_THAN",
      type: "http://gs1.org/voc/MeasurementPrecisionCode"
    term :NonbinaryLogicCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:NonBinaryLogicEnumeration&release=1",
      label: {en: "Nonbinary Logic Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"NonbinaryLogicCode-FALSE",
      label: {en: "False"},
      prefLabel: "FALSE",
      type: "http://gs1.org/voc/NonbinaryLogicCode"
    term :"NonbinaryLogicCode-NOT_APPLICABLE",
      label: {en: "Not Applicable"},
      prefLabel: "NOT_APPLICABLE",
      type: "http://gs1.org/voc/NonbinaryLogicCode"
    term :"NonbinaryLogicCode-TRUE",
      label: {en: "True"},
      prefLabel: "TRUE",
      type: "http://gs1.org/voc/NonbinaryLogicCode"
    term :"NonbinaryLogicCode-UNSPECIFIED",
      label: {en: "Unspecified"},
      prefLabel: "UNSPECIFIED",
      type: "http://gs1.org/voc/NonbinaryLogicCode"
    term :NutrientBasisQuantityCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:NutrientBasisQuantityTypeCode&release=1",
      label: {en: "Nutrient Basis Quantity Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"NutrientBasisQuantityCode-BY_MEASURE",
      comment: {en: "Nutrient measurement is based on a measurement value for example grams or ounces."},
      label: {en: "By Measure"},
      prefLabel: "BY_MEASURE",
      type: "http://gs1.org/voc/NutrientBasisQuantityCode"
    term :"NutrientBasisQuantityCode-BY_SERVING",
      comment: {en: "Nutrient measurement is based on a specified serving amount. "},
      label: {en: "By Serving"},
      prefLabel: "BY_SERVING",
      type: "http://gs1.org/voc/NutrientBasisQuantityCode"
    term :NutritionalClaimTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:NutritionalClaimTypeCode&release=1",
      label: {en: "Nutritional Claim Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"NutritionalClaimTypeCode-ADDITIVE_FREE",
      comment: {en: "A claim that a food is free from additives. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Additive Free"},
      prefLabel: "ADDITIVE_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-ARTIFICIALLY_SWEETENED",
      comment: {en: "A claim that a food contains artificial sweeteners. Artificial sweeteners are sugar substitutes that are synthetic."},
      label: {en: "Artificially Sweetened"},
      prefLabel: "ARTIFICIALLY_SWEETENED",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-CHOLESTEROL_FREE",
      comment: {en: "A claim that a food is free from Cholesterol. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Cholesterol Free"},
      prefLabel: "CHOLESTEROL_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-COLOURING_AGENT_FREE",
      comment: {en: "A claim that a food is free from colouring agents. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Colouring Agent Free"},
      prefLabel: "COLOURING_AGENT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-CONTAINS_GLYZYRRHIZIN",
      comment: {en: "A claim that a food contains glyzyrrhizin. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Contains Glyzyrrhizin"},
      prefLabel: "CONTAINS_GLYZYRRHIZIN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-CONTAINS_LIQUORICE",
      comment: {en: "A claim that a food is contains liquorice. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Contains Liquorice"},
      prefLabel: "CONTAINS_LIQUORICE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-CONTAINS_SOY",
      comment: {en: "A claim that a food contains soy. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Contains Soy"},
      prefLabel: "CONTAINS_SOY",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-EGG_FREE",
      comment: {en: "A claim that a food is free from egg. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Egg Free"},
      prefLabel: "EGG_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-ENERGY_FREE",
      comment: {en: "A claim that a food is energy-free, and any claim likely to have the same meaning for the consumer, may only be made where the product contains less than 4kcal (17kj)/100ml. In the case of energy-free foods, the term naturally may be used as a prefix to this claim."},
      label: {en: "Energy Free"},
      prefLabel: "ENERGY_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-ENERGY_REDUCED",
      comment: {en: "A claim that a food is energy-reduced, and any claim likely to have the same meaning for the consumer, may only be made where the energy value is reduced by at least 30%, with an indication of the characteristic(s), which make(s) the food reduced in its total energy value."},
      label: {en: "Energy Reduced"},
      prefLabel: "ENERGY_REDUCED",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-ENRICHED_OR_FORTIFIED_IN_VITAMINS_AND_OR_MINERALS",
      comment: {en: "A claim that a food is enriched or fortified in vitamins and/or minerals, and any claim likely to have the same meaning for the consumer, may only be made where the product contains the vitamins and/or minerals in at least a significant amount as defined in the Annex of Directive 90/496/EEC."},
      label: {en: "Enriched or Fortified in Vitamins Minerals"},
      prefLabel: "ENRICHED_OR_FORTIFIED_IN_VITAMINS_AND_OR_MINERALS",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-FAT_FREE",
      comment: {en: "A claim that a food is fat-free, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.5g of fat per 100g or 100ml. However, claims expressed as X% fat-free shall be prohibited. In the case of foods naturally fat-free, the term naturally may be used as a prefix to this claim."},
      label: {en: "Fat Free"},
      prefLabel: "FAT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-FREE_FROM_GLUTEN",
      comment: {en: "A claim that a food is free from Gluten. Any claim likely to have the same meaning for the consumer, may only be made where the product contains an amount less than or equal to 20 mg/kg gluten according to the Commission Regulation (EC) No 41/2009"},
      label: {en: "Free From Gluten"},
      prefLabel: "FREE_FROM_GLUTEN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-GUARANTEED_LACTOSE_FREE",
      comment: {en: "A claim that a food is regularly analysed to guarantee that the product is free from lactose."},
      label: {en: "Guarantee Lactose Free"},
      prefLabel: "GUARANTEED_LACTOSE_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-HIGH_FIBRE",
      comment: {en: "A claim that a food is high in fibre, and any claim likely to have the same meaning for the consumer, may only be made where the product contains at least 6g of fibre per 100g or at least 3g of fibre per 100 kcal. In the case of foods naturally high in fibre, the term naturally may be used as a prefix to this claim."},
      label: {en: "High Fibre"},
      prefLabel: "HIGH_FIBRE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-HIGH_PROTEIN",
      comment: {en: "A claim that a food is high in protein, and any claim likely to have the same meaning for the consumer, may only be made where at least 20% of the energy value of the food is provided by protein. In the case of foods naturally high in protein, the term naturally may be used as a prefix to this claim."},
      label: {en: "High Protein"},
      prefLabel: "HIGH_PROTEIN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-HIGH_VITAMINS_AND_OR_MINERALS",
      comment: {en: "A claim that a food is high in vitamins and or minerals, and any claim likely to have the same meaning for the consumer, may only be made where the product contains at least twice the value of source of vitamins and minerals. In case of foods naturally high in vitamins and/or minerals, the term naturally may be used as a prefix to this claim."},
      label: {en: "High in Vitamins Minerals"},
      prefLabel: "HIGH_VITAMINS_AND_OR_MINERALS",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LACTOSE_FREE",
      comment: {en: "A claim that a food is free of lactose. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Lactose Free"},
      prefLabel: "LACTOSE_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LIGHT_LITE",
      comment: {en: "A claim stating that a product is light or lite, and any claim likely to have the same meaning for the consumer, shall follow the same conditions as those set for the term reduced; the claim shall also be accompanied by an indication of the characteristic(s) which make the food light or lite."},
      label: {en: "Light or Lite"},
      prefLabel: "LIGHT_LITE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_ENERGY",
      comment: {en: "A claim that a food is low in energy, and any claim likely to have the same meaning for the consumer, may only be made where the product contains less than 40 kcal (170 kj)/100g and less than 20kcal (80kj)/100ml. In the case of foods naturally low in energy, the term naturally may be used as a prefix to this claim."},
      label: {en: "Low Energy"},
      prefLabel: "LOW_ENERGY",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_FAT",
      comment: {en: "A claim that a food is low in fat, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 3g of fat per 100g or 1.5g of fat per 100ml. In the case of foods naturally low in fat, the term naturally may be used as a prefix to this claim."},
      label: {en: "Low in Fat"},
      prefLabel: "LOW_FAT",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_LACTOSE",
      comment: {en: "A claim that a food is low in lactose. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Low in Lactose"},
      prefLabel: "LOW_LACTOSE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_PROTEIN",
      comment: {en: "A claim that a food contains low levels of protein. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Low Protein"},
      prefLabel: "LOW_PROTEIN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_SATURATED_FAT",
      comment: {en: "A claim that a food is low in saturated fat, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 1.5g of saturates per 100g for solids or, 0.75g of saturates per 100ml for liquids and in either case saturated fat must not provide more than 10% of energy. In the case of foods naturally low in saturated fat, the term naturally may be used as a prefix to this claim."},
      label: {en: "Low in Saturated Fat"},
      prefLabel: "LOW_SATURATED_FAT",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_SODIUM_SALT",
      comment: {en: "A claim that a food is low in sodium, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.12g of sodium, or the equivalent value for salt, per 100g or per 100ml. In the case of foods naturally low in sodium, the term naturally may be used as a prefix to this claim."},
      label: {en: "Low in Sodium"},
      prefLabel: "LOW_SODIUM_SALT",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-LOW_SUGARS",
      comment: {en: "A claim that a food is low in sugars, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 5g of sugars per 100g or 100ml. In the case of foods naturally low in sugars, the term naturally may be used as a prefix to this claim."},
      label: {en: "Low in sugars"},
      prefLabel: "LOW_SUGARS",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-MILK_FREE",
      comment: {en: "A claim that a food is free from milk. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Milk Free"},
      prefLabel: "MILK_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-MILK_PROTEIN_FREE",
      comment: {en: "A claim that a food is free from milk proteins. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Milk Protein Free"},
      prefLabel: "MILK_PROTEIN_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-NATURAL_SOURCE_OF_VITAMINS_AND_OR_MINERALS",
      comment: {en: "A claim that a food is a natural source of vitamins and/or minerals, and any claim likely to have the same meaning for the consumer, may only be made where the product contains at least 15% of the recommended daily allowance specified in the Annex of Council Directive 90/496/EEC per 100 g or 100 ml."},
      label: {en: "Natural Source of Vitamins Minerals"},
      prefLabel: "NATURAL_SOURCE_OF_VITAMINS_AND_OR_MINERALS",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-NON_ALCOHOLIC",
      comment: {en: "A claim that a food contains no alcohol. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Non-alcoholic"},
      prefLabel: "NON_ALCOHOLIC",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-NUT_FREE",
      comment: {en: "A claim that a food is free from nuts. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Nut Free"},
      prefLabel: "NUT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-PEANUT_FREE",
      comment: {en: "A claim that a food is free from peanuts. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Peanut Free"},
      prefLabel: "PEANUT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-PRESERVATIVE_FREE",
      comment: {en: "A claim that a food is free from preservatives. A preservative is a natural or synthetic substance or chemical that is added to products to prevent decomposition by microbial growth or by undesirable chemical changes. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Preservative Free"},
      prefLabel: "PRESERVATIVE_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SATURATED_FAT_FREE",
      comment: {en: "A claim that a food does not contain saturated fat, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.1g of saturated fat per 100g or 100ml. In the case of foods naturally saturated fat-free, the term naturally may be used as a prefix to this claim."},
      label: {en: "Saturated Fat Free"},
      prefLabel: "SATURATED_FAT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SODIUM_FREE_OR_SALT_FREE",
      comment: {en: "A claim that a food is sodium-free, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.005g of sodium, or the equivalent value for salt, per 100g. In the case of foods naturally sodium-free, the term naturally may be used as a prefix to this claim."},
      label: {en: "Sodium of Salt Free"},
      prefLabel: "SODIUM_FREE_OR_SALT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SOURCE_OF_FIBRE",
      comment: {en: "A claim that a food is a source of fibre, and any claim likely to have the same meaning for the consumer, may only be made where the product contains at least 3g of fibre per 100g or at least 1.5g of fibre per 100kcal. In the case of foods that are naturally sources of fibre, the term naturally may be used as a prefix to this claim."},
      label: {en: "Source of Fibre"},
      prefLabel: "SOURCE_OF_FIBRE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SOURCE_OF_PROTEIN",
      comment: {en: "A claim that a food is a source of protein, and any claim likely to have the same meaning for the consumer, may only be made where at least 12% of the energy value of the food is provided by protein. In the case of foods that are naturally sources of protein, the term naturally may be used as a prefix to this claim."},
      label: {en: "Source of Protein"},
      prefLabel: "SOURCE_OF_PROTEIN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SOY_FREE",
      comment: {en: "A claim that a food is free from Soy. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Soy Free"},
      prefLabel: "SOY_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-STRONGLY_SALTED",
      comment: {en: "A claim that a food has a high sodium content. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Strongly Salted"},
      prefLabel: "STRONGLY_SALTED",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SUGARS_FREE",
      comment: {en: "A claim that a food is sugars-free, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.5g of sugars per 100g or 100ml. In the case of foods naturally sugars-free, the term naturally may be used as a prefix to this claim."},
      label: {en: "Sugar Free"},
      prefLabel: "SUGARS_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_AGAVE_SYRUP",
      comment: {en: "A claim that a food is sweetened with syrup from the Agave plant."},
      label: {en: "Sweetened With Agave Syrup"},
      prefLabel: "SWEETENED_WITH_AGAVE_SYRUP",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_CANE_SUGAR",
      comment: {en: "A claim that a food is sweetened with sugar from sugar cane."},
      label: {en: "Sweetened With Came Sugar"},
      prefLabel: "SWEETENED_WITH_CANE_SUGAR",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_CORN_SYRUP",
      comment: {en: "A claim that a food is sweetened with corn syrup."},
      label: {en: "Sweetened With Corn Syrup"},
      prefLabel: "SWEETENED_WITH_CORN_SYRUP",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_FRUCTOSE",
      comment: {en: "A claim that a food is sweetened with fructose."},
      label: {en: "Sweetened With Fructose"},
      prefLabel: "SWEETENED_WITH_FRUCTOSE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_FRUIT_JUICE",
      comment: {en: "A claim that a food is sweetened with fruit juice."},
      label: {en: "Sweetened With Fruit Juice"},
      prefLabel: "SWEETENED_WITH_FRUIT_JUICE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_FRUIT_SYRUP",
      comment: {en: "A claim that a food is sweetened with fruit syrup. Fruit syrup is made from fruit and other ingredients such as sugar, corn syrup and water."},
      label: {en: "Sweetened With Fruit Syrup"},
      prefLabel: "SWEETENED_WITH_FRUIT_SYRUP",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_HONEY",
      comment: {en: "A claim that a food is sweetened with honey."},
      label: {en: "Sweetened With Honey"},
      prefLabel: "SWEETENED_WITH_HONEY",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_MALT",
      comment: {en: "A claim that a food is sweetened with malt."},
      label: {en: "Sweetened With Malt"},
      prefLabel: "SWEETENED_WITH_MALT",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_RAW_BEET_SUGAR",
      comment: {en: "A claim that a food is sweetened with raw sugar derived from the sugar beet."},
      label: {en: "Sweetened With Raw Beet Sugar"},
      prefLabel: "SWEETENED_WITH_RAW_BEET_SUGAR",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-SWEETENED_WITH_WHITE_SUGAR",
      comment: {en: "A claim that a food is sweetened with white sugar. White or granulated sugar is refined sugar (pure white crystalline sucrose) ground to granules or grains."},
      label: {en: "Sweetened With White Sugar"},
      prefLabel: "SWEETENED_WITH_WHITE_SUGAR",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-VERY_LOW_GLUTEN",
      comment: {en: "A claim that a food contains a low level of gluten which is defined as 21 - 100 mg/kg gluten according to the Commission Regulation (EC) No 41/2009"},
      label: {en: "Very Low Gluten"},
      prefLabel: "VERY_LOW_GLUTEN",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-VERY_LOW_SODIUM_SALT",
      comment: {en: "A claim that a food is very low in sodium, and any claim likely to have the same meaning for the consumer, may only be made where the product contains no more than 0.04g of sodium, or the equivalent value for salt, per 100g or per 100 ml. In the case of foods naturally very low in sodium, the term naturally may be used as a prefix to this claim."},
      label: {en: "Very Low in Sodium Salt"},
      prefLabel: "VERY_LOW_SODIUM_SALT",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-WHEAT_FREE",
      comment: {en: "A claim that a food is free from wheat. Note the amount that determines containment or lack of containment is based on target market regulations."},
      label: {en: "Wheat Free"},
      prefLabel: "WHEAT_FREE",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :"NutritionalClaimTypeCode-WITH_NO_ADDED_SUGARS",
      comment: {en: "A claim stating that sugar has not been added to a food, and any claim likely to have the same meaning for the consumer, may only be made where the product does not contain any added mono- or disaccharides or any other food used for its sweetening properties."},
      label: {en: "No Added Sugar"},
      prefLabel: "WITH_NO_ADDED_SUGARS",
      type: "http://gs1.org/voc/NutritionalClaimTypeCode"
    term :OrganicClaimAgencyCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:OrganicClaimAgencyCode&release=1",
      label: {en: "Organic Claim Agency Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"OrganicClaimAgencyCode-BFA",
      comment: {en: "Biological Farmers of Australia"},
      label: {en: "Biological Farmers of Australia"},
      prefLabel: "BFA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-BIOLAND",
      comment: {en: "Bioland: The leading organic farmers' association in Germany for the economy of organic-based businesses without synthetic pesticides and synthetic chemical nitrogen fertilizer. The animals are kept humanely and processed food carefully. This provides an environmentally sound and sustainable food production. http://www.bioland.de."},
      label: {en: "Bioland"},
      prefLabel: "BIOLAND",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-BIOPARK",
      comment: {en: "Biopark is an organic farmersâ€™ association based in the North of Germany, in Mecklenburg-Vorpommerania. Same as GS1 code 13"},
      label: {en: "Biopark"},
      prefLabel: "BIOPARK",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-DEMETER_BUND",
      comment: {en: "The Demeter movement as an entrepreneurial network promotes the development of bio-dynamic economy, to secure the livelihoods of the world and to strengthen the positive people in his ministry. In cooperation contribute producers, processors, traders and consumers in partnership to shape the market."},
      label: {en: "Demeter-Bund"},
      prefLabel: "DEMETER_BUND",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-DEMETER_INTERNATIONAL",
      comment: {en: "Demeter International Demeter-International e. V. is a non profit organisation and its member organisations work together in the spirit of an international confederation with democratic principles. Membership requires a functioning Demeter certification programme. Same as GS1 Code 16"},
      label: {en: "Demeter International"},
      prefLabel: "DEMETER_INTERNATIONAL",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-ECOLAND",
      comment: {en: "Ecoland is a membership organisation whose members elect a governing Board which is responsible for the design and implementation of the organic certification system."},
      label: {en: "Ecoland"},
      prefLabel: "ECOLAND",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-ECOVIN",
      comment: {en: "ECOVIN Federation Organic Viticulture Association: ECOVIN largest merger in 1985 as ecologically-working wine estates in Germany was founded. Approximately 220 member companies currently manage 1,600 hectares of vineyards in 11 German wine-growing areas. Same as GS1 code 14"},
      label: {en: "Ecovin"},
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-EPA",
      comment: {en: "US Environmental Protection Agency. Same as GS1 Code 1"},
      label: {en: "US Environmental Protection Agency"},
      prefLabel: "EPA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-EVOVIN",
      prefLabel: "ECOVIN"
    term :"OrganicClaimAgencyCode-FDA",
      comment: {en: "FDA US Food and Drug Agency"},
      label: {en: "FDA US Food and Drug Agency"},
      prefLabel: "FDA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-FSA",
      comment: {en: "UK Food Standards Agency"},
      label: {en: "FSA"},
      prefLabel: "FSA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-GAA",
      comment: {en: "GÃA is a diverse farming association for farmers, processors and traders inside.Focal point is Germany. GÃ¤a is a special design for the structure of the organic farming. Biokreis- The Biokreis is an association for organic farming. Currently more than 800 farms, 80 and 200 processors, consumers are members of Biokreis, committed to working together on more than 33,000 for organic and sustainable farming."},
      label: {en: "GAA"},
      prefLabel: "GAA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-IFOA",
      comment: {en: "International Foundation for Organic Agriculture"},
      label: {en: "International Foundation for Organic Agriculture"},
      prefLabel: "IFOA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-IFOAM",
      comment: {en: "The International Federation of Organic Agriculture Movements (IFOAM) is a grassroots and democratic organization that currently unites 750 member organizations in 116 countries. Same as GS1 code 15"},
      label: {en: "International Federation of Organic Agriculture Movements."},
      prefLabel: "IFOAM",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-NATURLAND",
      comment: {en: "Naturland - Naturland is active the world over in promoting organic agriculture. Its members are farmers who produce a wide range of valuable products: coffee from Mexico and Peru, olive oil from Greece, tea from the slopes of Indiaâ€™s mountains, pineapple and other tropical fruit from Uganda, spices from Sri Lanka. Organic agriculture safeguards the existence of smallholders and helps with the sustainable management of what are often fragile ecosystems. On a global scale, over 50,000 Naturland farmers are cultivating an area of over 142,000 hectares.Same as GS1 Code 12"},
      label: {en: "Naturland"},
      prefLabel: "NATURLAND",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-QAI",
      comment: {en: "Quality Assurance International. QAI is a leading USDA-accredited organic product certifying agency."},
      label: {en: "Quality Assurance International"},
      prefLabel: "QAI",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-SUDITIROL",
      comment: {en: "Bioland Association of South Tyrol The Association of South Tyrol is the largest organic association for organic farmers having to farmers in South Tyrol and the only active in association with a national association office Terlan."},
      label: {en: "SÃ¼dtirol Bioland"},
      prefLabel: "SUDITIROL",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :"OrganicClaimAgencyCode-USDA",
      comment: {en: "US Department of Agriculture."},
      label: {en: "US Department of Agriculture"},
      prefLabel: "USDA",
      type: "http://gs1.org/voc/OrganicClaimAgencyCode"
    term :OrganizationRoleType,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PartyRoleCode&release=2",
      label: {en: "Organization Role Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"OrganizationRoleType-ACCEPTING_PARTY",
      comment: {en: "Organization accepting goods, products, services etc."},
      label: {en: "Accepting Organization"},
      prefLabel: "ACCEPTING_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BILL_OF_LADING_RECIPIENT",
      comment: {en: "Organization to receive Bill of Lading."},
      label: {en: "Bill of Lading Recipient"},
      prefLabel: "BILL_OF_LADING_RECIPIENT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BILL_TO",
      comment: {en: "Organization which receives goods and invoice."},
      label: {en: "Bill To"},
      prefLabel: "BILL_TO",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BRAND_OWNER",
      comment: {en: "The organisation that owns the specifications of the Organization regardless of where and by whom it is manufactured is normally responsible for the allocation of the Global Trade Item Number (GTIN)."},
      label: {en: "Brand Owner"},
      prefLabel: "BRAND_OWNER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BREEDER",
      comment: {en: "The organization which breeds the animal."},
      label: {en: "Breeder"},
      prefLabel: "BREEDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BROKER_AGENT",
      comment: {en: "A person who buys or sells for another entity without having title to the property."},
      label: {en: "Broker Agent"},
      prefLabel: "BROKER_AGENT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BUYER",
      comment: {en: "Organization to which merchandise are sold."},
      label: {en: "Buyer"},
      prefLabel: "BUYER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-BUYERS_AGENT_REPRESENTATIVE",
      comment: {en: "Third party who arranged the purchase of merchandise on behalf of the actual buyer."},
      label: {en: "Buyers Agent Representative"},
      prefLabel: "BUYERS_AGENT_REPRESENTATIVE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CARRIER",
      comment: {en: "A company, which physically transports goods from one place to another."},
      label: {en: "Carrier"},
      prefLabel: "CARRIER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CENTRAL_PAYMENT_SERVICE",
      comment: {en: "Master of the conveyance. An organization providing central (or consolidated payment) services."},
      label: {en: "Central Payment Service"},
      prefLabel: "CENTRAL_PAYMENT_SERVICE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CHECKING_PARTY",
      comment: {en: "Organization or contact designated on behalf of carrier or his agent to establish the actual figures for quantities, weight, volume and/or (cube) measurements of goods or containers which are to appear in the transport contract and on which charges will be based"},
      label: {en: "Checking Organization"},
      prefLabel: "CHECKING_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CHEQUE_ORDER",
      comment: {en: "Organization to which the cheque will be ordered, when different from the beneficiary."},
      label: {en: "Cheque Order"},
      prefLabel: "CHEQUE_ORDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CONSIGNEE",
      comment: {en: "Organization to which goods are consigned."},
      label: {en: "Consignee."},
      prefLabel: "CONSIGNEE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CONSOLIDATOR",
      comment: {en: "Organization consolidating various consignments, payments etc."},
      label: {en: "Consolidator"},
      prefLabel: "CONSOLIDATOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CONSUMER",
      comment: {en: "The end user of a product or a service."},
      label: {en: "Consumer"},
      prefLabel: "CONSUMER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CORPORATE_IDENTITY",
      comment: {en: "Identity of the organization to whom all other parties of the same commercial organization are linked."},
      label: {en: "Corporate Identity"},
      prefLabel: "CORPORATE_IDENTITY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CUSTOMS",
      comment: {en: "Identification of customs authority relevant to the transaction or shipment."},
      label: {en: "Customs"},
      prefLabel: "CUSTOMS",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CUSTOMS_BROKER",
      comment: {en: "Organization responsible for the preparation of documents and/or electronic submissions, the calculation on behalf of the client of taxes, duties and excises, and facilitating communication between the importer/exporter and governmental authorities."},
      label: {en: "Customs Broker"},
      prefLabel: "CUSTOMS_BROKER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-CUTTER",
      comment: {en: "One engaged in carving meat (In EANCOM as Meat Cutter)."},
      label: {en: "Cutter"},
      prefLabel: "CUTTER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DECLARANTS_AGENT_REPRESENTATIVE",
      comment: {en: "Any natural or legal person who makes a declaration to an official body on behalf of another natural or legal person, where legally permitted (CCC)."},
      label: {en: "Declarants Agent Representative"},
      prefLabel: "DECLARANTS_AGENT_REPRESENTATIVE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DELIVERY_PARTY",
      comment: {en: "Organization to which goods are delivered."},
      label: {en: "Delivery Organization"},
      prefLabel: "DELIVERY_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DESIGNER",
      comment: {en: "A Organization who designs."},
      label: {en: "Designer"},
      prefLabel: "DESIGNER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DESPATCH_PARTY",
      comment: {en: "Organization where goods are collected or taken over by the carrier."},
      label: {en: "Despatch Organization"},
      prefLabel: "DESPATCH_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DISTRIBUTOR",
      comment: {en: "Organization distributing goods, financial payments or documents."},
      label: {en: "Distributor"},
      prefLabel: "DISTRIBUTOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-DOCK_DOOR",
      comment: {en: "A door or collection of doors where trucks or rail cars are loaded (shipping) or unloaded (receiving). Used to load or unload products for logistics."},
      label: {en: "Dock Door"},
      prefLabel: "DOCK_DOOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-EMPTY_EQUIPMENT_DESPATCH_PARTY",
      comment: {en: "Organization from whose premises empty equipment will be or has been despatched."},
      label: {en: "Empty Equipment Despatch Organization"},
      prefLabel: "EMPTY_EQUIPMENT_DESPATCH_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-EMPTY_EQUIPMENT_RETURN_PARTY",
      comment: {en: "Organization from whose premises empty equipment will be or has been returned."},
      label: {en: "Empty Equipment Return Organization"},
      prefLabel: "EMPTY_EQUIPMENT_RETURN_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-EQUIPMENT_OWNER",
      comment: {en: "Owner of equipment (container, etc.)."},
      label: {en: "Equipment Owner"},
      prefLabel: "EQUIPMENT_OWNER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-EXPORTER",
      comment: {en: "Organization who makes - or on whose behalf a Customs clearing agent or other authorized person makes - an export declaration. This may include a manufacturer, seller or other person. Within a Customs union, consignor may have the same meaning as exporter"},
      label: {en: "Exporter"},
      prefLabel: "EXPORTER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-FACTOR",
      comment: {en: "An organization that purchases financial receiving instruments e.g. invoices"},
      label: {en: "Factor"},
      prefLabel: "FACTOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-FATTENER",
      comment: {en: "The Organization which fattens the animal."},
      label: {en: "Fattener"},
      prefLabel: "FATTENER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-FREIGHT_FORWARDER",
      comment: {en: "A person or firm that arranges for a pick up or deliver goods by a carrier on instructions of a shipper or consignee from or to a point by various necessary conveyances and common carriers."},
      label: {en: "Freight Forwarder"},
      prefLabel: "FREIGHT_FORWARDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-GOODS_OWNER",
      comment: {en: "The organization which owns the goods."},
      label: {en: "Goods Owner"},
      prefLabel: "GOODS_OWNER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-GROWER",
      comment: {en: "An organization which is responsible for the growth or production of the unit specifically refers to vegetation. This organization may or may not be a producer or packer."},
      label: {en: "Grower"},
      prefLabel: "GROWER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-HEAD_OFFICE",
      comment: {en: "The executive or main office of an enterprise."},
      label: {en: "Head Office"},
      prefLabel: "HEAD_OFFICE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-IMPORTER",
      comment: {en: "Organization who makes - or on whose behalf a Customs clearing agent or other authorized person makes - an import declaration. This may include a person who has possession of the goods or to whom the goods are consigned."},
      label: {en: "Importer"},
      prefLabel: "IMPORTER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INFORMATION_PROVIDER",
      comment: {en: "The Organization providing the information contained in the document."},
      label: {en: "Information Provider"},
      prefLabel: "INFORMATION_PROVIDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INSURER",
      comment: {en: "A person or company offering insurance policies for premiums."},
      label: {en: "Insurer"},
      prefLabel: "INSURER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INTERMEDIARY_BANK_1",
      comment: {en: "A financial institution between the ordered bank and the beneficiary's bank."},
      label: {en: "Intermediary Bank 1"},
      prefLabel: "INTERMEDIARY_BANK_1",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INTERMEDIARY_BANK_2",
      comment: {en: "A financial institution between the ordered bank and the beneficiary's bank."},
      label: {en: "Intermediary Bank 2"},
      prefLabel: "INTERMEDIARY_BANK_2",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INVENTORY_CONTROLLER",
      comment: {en: "To specifically identify the organisation in charge of inventory control."},
      label: {en: "Inventory Controller"},
      prefLabel: "INVENTORY_CONTROLLER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INVENTORY_REPORTING_PARTY",
      comment: {en: "Organization reporting inventory information."},
      label: {en: "Inventory Reporting Organization"},
      prefLabel: "INVENTORY_REPORTING_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-INVOICEE",
      comment: {en: "Organization issuing an invoice."},
      label: {en: "Invoicee"},
      prefLabel: "INVOICEE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-ISSUER_OF_INVOICE",
      comment: {en: "Organization which issues an invoice."},
      label: {en: "Issuer of Invoice"},
      prefLabel: "ISSUER_OF_INVOICE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-LOGISTICS_SERVICE_PROVIDER",
      comment: {en: "An umbrella term for an entity, which provides a combination of many different logistics services for another entity."},
      label: {en: "Logistics Service Provider"},
      prefLabel: "LOGISTICS_SERVICE_PROVIDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MANUFACTURER_OF_GOODS",
      comment: {en: "Organization who manufactures the goods."},
      label: {en: "Manufacturer of Goods"},
      prefLabel: "MANUFACTURER_OF_GOODS",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MANUFACTURING_PLANT",
      comment: {en: "A physical location consisting of one or more buildings with facilities for manufacturing."},
      label: {en: "Manufacturing Plant"},
      prefLabel: "MANUFACTURING_PLANT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MARK_FOR",
      comment: {en: "The ultimate destination of a unit load or transport package of goods where the Ship-To is a different location."},
      label: {en: "Mark For"},
      prefLabel: "MARK_FOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MESSAGE_FROM",
      comment: {en: "Organization where the message comes from."},
      label: {en: "Message From."},
      prefLabel: "MESSAGE_FROM",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MESSAGE_RECIPIENT",
      comment: {en: "Organization receiving the message."},
      label: {en: "Message Recipient"},
      prefLabel: "MESSAGE_RECIPIENT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-MINCER",
      comment: {en: "One engaged in the cutting or chopping of meat into very small pieces"},
      label: {en: "Mincer"},
      prefLabel: "MINCER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-OPERATING_DIVISION",
      comment: {en: "An entity that is part of another entity. For example, a Regional Marketing Office. Operating Divisions may have multiple days and times of operation."},
      label: {en: "Operating Division"},
      prefLabel: "OPERATING_DIVISION",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-OPERATOR",
      comment: {en: "A person or persons who own or operate a business establishment, which services consumers directly. For example a restaurant owner as part of a chain or an independent operation."},
      label: {en: "Operator"},
      prefLabel: "OPERATOR",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-ORDERING_PARTY",
      comment: {en: "To be used only if ordering organization and buyer are not identical."},
      label: {en: "Ordering Organization"},
      prefLabel: "ORDERING_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-OWNER_OF_EQUIPMENT",
      comment: {en: "Organization who owns equipment."},
      label: {en: "Owner of equipment"},
      prefLabel: "OWNER_OF_EQUIPMENT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-OWNER_OF_MEANS_OF_TRANSPORT",
      comment: {en: "Organization owning the means of transport. Not a synonym of carrier"},
      label: {en: "Owner of Means of Transport"},
      prefLabel: "OWNER_OF_MEANS_OF_TRANSPORT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_DECLARING_THE_VALUE_ADDED_TAX",
      comment: {en: "A code to identify the organization who is responsible for declaring the Value Added Tax (VAT) on the sale of goods or services."},
      label: {en: "Organization Declaring the Value Added Tax"},
      prefLabel: "PARTY_DECLARING_THE_VALUE_ADDED_TAX",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_FOR_WHOM_ITEM_IS_ULTIMATELY_INTENDED",
      label: {en: "Organization For Whom Item is Ultimately Intended"},
      prefLabel: "PARTY_FOR_WHOM_ITEM_IS_ULTIMATELY_INTENDED",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_RECEIVING_PRIVATE_DATA",
      comment: {en: "The organization who is allowed access to master data information by the data owner when the data is viewed as private."},
      label: {en: "Organization Receiving Private Data"},
      prefLabel: "PARTY_RECEIVING_PRIVATE_DATA",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_RECOVERING_THE_VALUE_ADDED_TAX",
      comment: {en: "A code to identify the organization who is eligible to recover the Value Added Tax (VAT) on the sale of goods or services."},
      label: {en: "Organization Recovering the Value Added Tax"},
      prefLabel: "PARTY_RECOVERING_THE_VALUE_ADDED_TAX",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_TO_RECEIVE_ALL_DOCUMENTS",
      comment: {en: "An organization which is named to be the recipient of all documents."},
      label: {en: "Organization to Receive All Documents"},
      prefLabel: "PARTY_TO_RECEIVE_ALL_DOCUMENTS",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_TO_RECEIVE_COMMERCIAL_INVOICE",
      comment: {en: "Organization to whom payment for a commercial invoice or bill should be remitted."},
      label: {en: "Organization to Receive Commercial Invoice"},
      prefLabel: "PARTY_TO_RECEIVE_COMMERCIAL_INVOICE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_TO_RECEIVE_ELECTRONIC_MEMO_OF_INVOICE",
      comment: {en: "Organization being informed about invoice issue (via EDI)."},
      label: {en: "Organization to Receive Electronic Memo of Invoice"},
      prefLabel: "PARTY_TO_RECEIVE_ELECTRONIC_MEMO_OF_INVOICE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_TO_RECEIVE_FREIGHT_BILL",
      comment: {en: "Organization to whom the freight bill should be sent."},
      label: {en: "Organization to Receive Freight Bill"},
      prefLabel: "PARTY_TO_RECEIVE_FREIGHT_BILL",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PARTY_TO_RECEIVE_REFUND",
      comment: {en: "Organization to whom a refund is given."},
      label: {en: "Organization to Receive Refund"},
      prefLabel: "PARTY_TO_RECEIVE_REFUND",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PAYEE",
      comment: {en: "Organization, which receives payment."},
      label: {en: "Payee"},
      prefLabel: "PAYEE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PAYER",
      comment: {en: "Organization which initiates payment."},
      label: {en: "Payer"},
      prefLabel: "PAYER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-POINT_OF_SALE",
      comment: {en: "Refers to the retail type checkout where bar code symbols are normally scanned."},
      label: {en: "Point Of Sale"},
      prefLabel: "POINT_OF_SALE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PRICE_LOCATION_PARTY",
      comment: {en: "An organization to which a price for a product is applicable. Within the context of GDSN Price Synchronization, it is also known as the 'Price Location' which is a GLN."},
      label: {en: "Price Location Organization"},
      prefLabel: "PRICE_LOCATION_PARTY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PROXY",
      comment: {en: "A company that is selected by the Brand Owner to maintain their baseline attributes and Administrative Records in the GDSN."},
      label: {en: "Proxy"},
      prefLabel: "PROXY",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PUBLIC_WAREHOUSE",
      comment: {en: "A building, or a part of one, where storage space is offered to other companies for compensation (fee), for the storage of their goods, merchandise, etc."},
      label: {en: "Public Warehouse"},
      prefLabel: "PUBLIC_WAREHOUSE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-PURCHASE_ORDER_RECEIVER",
      comment: {en: "The organization that receives the purchase order for the goods or services."},
      label: {en: "Purchase Order Receiver"},
      prefLabel: "PURCHASE_ORDER_RECEIVER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-REGISTERED_AGENT",
      comment: {en: "The organization having legal responsibility for the product in the target market for example a company to which market authorization has been issued. "},
      label: {en: "Registered Agent "},
      prefLabel: "REGISTERED_AGENT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-REMIT_TO",
      comment: {en: "Organization to whom funds are directed for payment of a commercial invoice."},
      label: {en: "Remit To"},
      prefLabel: "REMIT_TO",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-RETURNABLE_ASSET_SERVICE_CENTRE",
      comment: {en: "The location where a returnable asset is serviced."},
      label: {en: "Returnable Asset Service Centre"},
      prefLabel: "RETURNABLE_ASSET_SERVICE_CENTRE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SELLER",
      comment: {en: "Organization which sells products or services to a buyer."},
      label: {en: "Seller"},
      prefLabel: "SELLER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SERVICE_PROVIDER",
      comment: {en: "An organization providing services for another organization (e.g re- packing supplierâ€™s products)."},
      label: {en: "Service Provider"},
      prefLabel: "SERVICE_PROVIDER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SHIP_FROM",
      comment: {en: "Organization from where goods will be or have been shipped."},
      label: {en: "Ship From"},
      prefLabel: "SHIP_FROM",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SHIP_TO",
      comment: {en: "Organization which receives goods and invoices."},
      label: {en: "Ship To"},
      prefLabel: "SHIP_TO",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SLAUGHTERER",
      comment: {en: "The Organization who has undertaken or will undertake a slaughter."},
      label: {en: "Slaughterer"},
      prefLabel: "SLAUGHTERER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-STORE",
      comment: {en: "A physical entity that sells products to a consumer."},
      label: {en: "Store"},
      prefLabel: "STORE",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SUBSTITUTE_SUPPLIER",
      comment: {en: "Organization which may be in a position to supply products or services should the main usual supplier be unable to do so."},
      label: {en: "Substitute Supplier"},
      prefLabel: "SUBSTITUTE_SUPPLIER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-SUPPLIER",
      comment: {en: "An organization that provides goods or services."},
      label: {en: "Supplier"},
      prefLabel: "SUPPLIER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-TRANSPORTATION_CARRIER",
      comment: {en: "Organization undertaking or arranging transport of goods between named points."},
      label: {en: "Transportation Carrier"},
      prefLabel: "TRANSPORTATION_CARRIER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-VISITING_ADDRESS",
      comment: {en: "An enterpriseâ€™s physical location where guests are received during set working hours"},
      label: {en: "Visiting Address"},
      prefLabel: "VISITING_ADDRESS",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-WAREHOUSE_AND_OR_DEPOT",
      comment: {en: "Industrial department of a company equipped with appropriate equipment and fit-tings in which goods are stored in appropriate conditions."},
      label: {en: "Warehouse and or Depot"},
      prefLabel: "WAREHOUSE_AND_OR_DEPOT",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-WAREHOUSE_KEEPER",
      comment: {en: "Organization taking responsibility for goods entered into a warehouse."},
      label: {en: "Warehouse Keeper"},
      prefLabel: "WAREHOUSE_KEEPER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :"OrganizationRoleType-WHOLESALER",
      comment: {en: "Seller of articles, often in large quantities, to be retailed by others."},
      label: {en: "WholeSaler"},
      prefLabel: "WHOLESALER",
      type: "http://gs1.org/voc/OrganizationRoleType"
    term :PackagingFeatureCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingFeatureCode&release=1",
      label: {en: "Packaging Feature Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingFeatureCode-BASE",
      comment: {en: "A general term applied to the support or pedestal of an object."},
      label: {en: "Base"},
      prefLabel: "BASE",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-BEAM",
      comment: {en: "Long sturdy piece of squared timber or metal used in house-building etc."},
      label: {en: "Beam"},
      prefLabel: "BEAM",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-BUNG_SEAL",
      comment: {en: "A bung is an apparatus used to seal a container, such as a bottle, barrel or tubeâ€\u009D (or in this case). A bung is partially inserted inside the container to act as a seal. The most common every-day example of a bung is the stopper of a wine bottle."},
      label: {en: "Bung Seal"},
      prefLabel: "BUNG_SEAL",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-CAP",
      comment: {en: "A cap that seals a bottle or other form of packaging."},
      label: {en: "Cap"},
      prefLabel: "CAP",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-CARRIER",
      comment: {en: "A device of various types attached to or hung from trolleys to support the load."},
      label: {en: "Carrier"},
      prefLabel: "CARRIER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-CONSUMPTION_UTENSIL",
      comment: {en: "An item which allows the user to extract and/or consume the content of a container."},
      label: {en: "Consumption Utensil"},
      prefLabel: "CONSUMPTION_UTENSIL",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-CORE",
      comment: {en: "A tubular shape around which flexible material such as plastic film or paper are wound for purposes of transport and handling."},
      label: {en: "Core"},
      prefLabel: "CORE",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-CREEL",
      comment: {en: "A creel is a device for holding the required number of roving spools or other supply packages of reinforcement fibers for Fiber Reinforced Plastics manufacturing. This device holds the rovings in the desired position for unwinding in continuous processes like Pultrusion and Filament Winding."},
      label: {en: "Creel"},
      prefLabel: "CREEL",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-EDGE_PROTECTION",
      comment: {en: "A right-angle piece placed over the outermost perimeter edges of a container to distribute pressure and prevent collapse or cutting from banding, strapping, or handling."},
      label: {en: "Edge Protection"},
      prefLabel: "EDGE_PROTECTION",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-HANDLE",
      comment: {en: "A grip attached to an object for using or moving the object, usually with the hands."},
      label: {en: "Handle"},
      prefLabel: "HANDLE",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-INNER_CONTAINER",
      comment: {en: "Inner Container"},
      label: {en: "Inner Container"},
      prefLabel: "INNER_CONTAINER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-INTERNAL_DIVIDER",
      comment: {en: "An internal divider is an object, either flat or custom-shaped, used to separate the content of a container or to prevent the content from mixing."},
      label: {en: "Internal Divider"},
      prefLabel: "INTERNAL_DIVIDER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-LABEL",
      comment: {en: "A label is a piece of paper, polymer, cloth, metal, or other material affixed to a container or article (or printed directly upon it), which usually carries information about the article to.which it has been attached."},
      label: {en: "Label"},
      prefLabel: "LABEL",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-LID",
      comment: {en: "In packaging, the top or bottom of a container, usually the part that closes the opening; may also be known as cap, over, or top"},
      label: {en: "Lid"},
      prefLabel: "LID",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-LINER",
      comment: {en: "An internal chamber within a container which separates the content of the container from the walls. Inner liners provide additional isolation and protection to the content of a container. Sometimes coatings of certain materials may be applied as an alternative to inner liners."},
      label: {en: "Liner"},
      prefLabel: "LINER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-LUG",
      comment: {en: "A small indentation or raised portion on the surface of a bottle, provided as an indexing means for operations such as multi-pass decoration or labeling."},
      label: {en: "Lug"},
      prefLabel: "LUG",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-NESTING_EDGE",
      comment: {en: "Edges which allow items of the same size to be partially stacked within one another in any direction thus reducing the space required in order to stack them."},
      label: {en: "Nesting Edge"},
      prefLabel: "NESTING_EDGE",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-PEG",
      comment: {en: "A fastener which allows a product to be hanged."},
      label: {en: "Peg"},
      prefLabel: "PEG",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-PULL_OFF_TAB",
      comment: {en: "A flexible cover which can be easily removed in order to open a container."},
      label: {en: "Pull Off Tab"},
      prefLabel: "PULL_OFF_TAB",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-RING_HOLDER",
      comment: {en: "A hollow circular band of material wound around itself."},
      label: {en: "Ring Holder"},
      prefLabel: "RING_HOLDER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-RIVET",
      comment: {en: "A permanent fastener which consists of a cylindrical shaft with a head on one end and tail which is deformed to fixate the rivet in place."},
      label: {en: "Rivet"},
      prefLabel: "RIVET",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-SLEEVE",
      comment: {en: "A tubular form, open at both ends, that is slipped over an item or package."},
      label: {en: "Sleeve"},
      prefLabel: "SLEEVE",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-SPOUT",
      comment: {en: "A spout is a protruding edge which allows the lifting and pouring of liquids contained within a container."},
      label: {en: "Spout"},
      prefLabel: "SPOUT",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-TAG",
      comment: {en: "A hanging card made of any material which is used to identify or provide additional information of a product."},
      label: {en: "Tag"},
      prefLabel: "TAG",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-WICKER_OUTER_CONTAINER",
      comment: {en: "An outer container made of wicker which is fitted to the bottle usually a little less than half way up from the bottom of the bottle and is used to hold, hang or support the bottle."},
      label: {en: "Wicker Outer Container"},
      prefLabel: "WICK_OUTER_CONTAINER",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :"PackagingFeatureCode-WRAP",
      comment: {en: "A layer of any material which completely enclose a product. A wrap can have many purposes, from providing additional protection to an item to serving as a gift-wrap."},
      label: {en: "Wrap"},
      prefLabel: "WRAP",
      type: "http://gs1.org/voc/PackagingFeatureCode"
    term :PackagingFunctionCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingFunctionCode&release=1",
      label: {en: "Packaging Function Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingFunctionCode-ANTISEPTIC",
      comment: {en: "The process by which a sterile (aseptic) product (typically food or pharmaceutical) is packaged in a sterile container in a way which maintains sterility."},
      label: {en: "Antiseptic"},
      prefLabel: "ANTISEPTIC",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-ANTI_TAMPERING",
      comment: {en: "A methodology used to hinder, or deter unauthorized access to a device."},
      label: {en: "Anti-tampering"},
      prefLabel: "ANTI_TAMPERING",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-COATED",
      comment: {en: "Covered with a material (paraffin, wax) that protects the product or packaging."},
      label: {en: "Coated"},
      prefLabel: "COATED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-COMPRESSED",
      comment: {en: "Content has been pressed together to the maximum possible way."},
      label: {en: "Compressed"},
      prefLabel: "COMPRESSED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-DISPENSER",
      comment: {en: "A device or mechanism to supply or extract contents."},
      label: {en: "Dispenser"},
      prefLabel: "DISPENSER",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-GIFT_WRAPPED",
      comment: {en: "Packaging is wrapped in a decorative way for the purposes of the consumer giving it as a gift."},
      label: {en: "Gift Wrapped"},
      prefLabel: "GIFT_WRAPPED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-ISOTHERMIC",
      comment: {en: "Thermal carry container designed for the carriage of temperature controlled goods such as vaccines, pharmaceuticals, and medicines."},
      label: {en: "Isothermic"},
      prefLabel: "ISOTHERMIC",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-MODIFIED_ATMOSPHERE",
      comment: {en: "The practice of modifying the composition of the internal atmosphere of a package, (commonly food packages, and drugs) in order to improve the shelf life."},
      label: {en: "Modified Atmosphere"},
      prefLabel: "MODIFIED_ATMOSPHERE",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-OXYGEN_INFUSED",
      comment: {en: "A barrier packaging material for an infusion solution, i.e., oxygen."},
      label: {en: "Oxygen Infused"},
      prefLabel: "OXYGEN_INFUSED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-PEEL_OFF",
      comment: {en: "A section of the packaging can be detached with ease in order to have access to the content or product, e.g. peel-off Lids used for packing Milk, Coffee and Cacao Powder."},
      label: {en: "Peel Off"},
      prefLabel: "PEEL_OFF",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-PINPACK",
      comment: {en: "The package is equipped to be hung up on a hook."},
      label: {en: "Pinpack"},
      prefLabel: "PINPACk",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-PROTECTED",
      comment: {en: "Functionality to keep from being damaged, attacked, stolen, or injured; guard."},
      label: {en: "Protected"},
      prefLabel: "PROTECTED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-REINFORCED",
      comment: {en: "A component is added to a container for a particular application to lend additional support under severe applications."},
      label: {en: "Reinforced"},
      prefLabel: "REINFORCED",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-SIFT_PROOF",
      comment: {en: "Packaging is designed to prevent leaking of the content specially when it is on powdered or liquid state."},
      label: {en: "Sift Proof"},
      prefLabel: "SIFT_PROOF",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-TAMPER_EVIDENT",
      comment: {en: "The packaging is designed to show when there has been some interference with the original sealing or configuration of the packaging."},
      label: {en: "Tamper Evident"},
      prefLabel: "TAMPER_EVIDENT",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :"PackagingFunctionCode-WATER_RESISTANT",
      comment: {en: "Coated with materials that make the packaging impervious to the effects of water."},
      label: {en: "Water Resistant"},
      prefLabel: "WATER_RESISTANT",
      type: "http://gs1.org/voc/PackagingFunctionCode"
    term :PackagingMarkedDietAllergenCode,
      isDefinedBy: "http://apps.gs1.org/GDD/bms/Version2_8/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackageMarksDietAllergenCodeList&release=1",
      label: {en: "Packaging Marked Diet Allergen Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingMarkedDietAllergenCode-APPROVED_BY_ASTHMA_AND_ALLERGY_ASSOC",
      comment: {en: "Definitions made by the asthma and allergist association."},
      label: {en: "Asthma and Allergist Association"},
      prefLabel: "APPROVED_BY_ASTHMA_AND_ALLERGY_ASSOC",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-APPROVED_FOR_TUBE_FEEDING",
      comment: {en: "The item is physically marked that it is approved for tube feeding by the appropriate authority of the target market."},
      label: {en: "Approved for Tube Feeding"},
      prefLabel: "APPROVED_FOR_TUBE_FEEDING",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-BIOLOGICAL",
      comment: {en: "Indicates the product has been marked as a biological item which indicates a food product that was produced with the use of feed or fertilizer of plant or animal origin, without employment of chemically formulated fertilizers, growth stimulants, antibiotics or pesticides."},
      label: {en: "Biological"},
      prefLabel: "BIOLOGICAL",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-CALORIES_PER_PORTION",
      comment: {en: "Indicates the product has a marking with the calories per portion contained in the product."},
      label: {en: "Calories Per Portion"},
      prefLabel: "CALORIES_PER_PORTION",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-CONTAINS_LATEX",
      comment: {en: "The item is physically marked as containing Latex (rubber)."},
      label: {en: "Contains Latex"},
      prefLabel: "CONTAINS_LATEX",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-CONTAINS_PVC",
      comment: {en: "The item is physically marked as containing PVC (Polyvinyl chloride). Phthalate content is unspecified."},
      label: {en: "Contains PVC"},
      prefLabel: "CONTAINS_PVC",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-CONTAINS_PVC_WITHOUT_PHTHALATES",
      comment: {en: "The item is physically marked as containing PVC (Polyvinyl chloride) without phthalates."},
      label: {en: "Contains PVC Without Phthalates"},
      prefLabel: "CONTAINS_PVC_WITHOUT_PHTHALATES",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-CONTAINS_PVC_WITH_PHTHALATES",
      comment: {en: "The item is physically marked as containing PVC (Polyvinyl chloride) with phthalates."},
      label: {en: "Contains PVC With Phthalates"},
      prefLabel: "CONTAINS_PVC_WITH_PHTHALATES",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-DIET_PRODUCT_450_800_KCAL_PER_DAY",
      comment: {en: "The item is physically marked that it is approved for a 450-800 kilocalorie/day diet by the appropriate authority of the target market."},
      label: {en: "450-800 Kilocalorie Per Day Diet"},
      prefLabel: "DIET_PRODUCT_450_800_KCAL_PER_DAY",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-DIET_PRODUCT_800_1200_KCAL_PER_DAY",
      comment: {en: "The item is physically marked that it is approved for a 800-1200 kilocalorie/day diet by the appropriate authority of the target market."},
      label: {en: "800-1200 Kilocalorie Per Day Diet"},
      prefLabel: "DIET_PRODUCT_800_1200_KCAL_PER_DAY",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-GEZONDE_KEUZE_KLAVERTJE",
      comment: {en: "Health symbol used in the Netherlands Target Market which indicates that the item is a cholesterol-reducing product."},
      label: {en: "Gezonde Keuze Klavertje"},
      prefLabel: "GEZONDE_KEUZE_KLAVERTJE",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-HALAL",
      comment: {en: "Indicates the product has been marked as Halal which denotes selling or serving food ritually fit according to Islamic dietary laws."},
      label: {en: "Halal"},
      prefLabel: "HALAL",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-IK_KIES_BEWUST",
      comment: {en: "Conscious choice symbol used in the Netherlands Target Market which may be used for products low in saturated fat, trans fatty acids, sugar and salt."},
      label: {en: "Ik Kies Bewust"},
      prefLabel: "IK_KIES_BEWUST",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-KOSHER",
      comment: {en: "Indicates the product has been marked as Kosher which denotes selling or serving food ritually fit according to Jewish dietary laws."},
      label: {en: "Kosher"},
      prefLabel: "KOSHER",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-LACTASE_ENZYME",
      comment: {en: "The item is physically marked that it is approved as lactase enzyme by the appropriate authority of the target market."},
      label: {en: "Lactase Enzyme"},
      prefLabel: "LACTASE_ENZYME",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-LOW_ON_PHENYLALANINE",
      comment: {en: "The item is physically marked as containing a low level of phenylalanine as approved by the appropriate authority of the target market."},
      label: {en: "Low in Phenylalanine"},
      prefLabel: "LOW_ON_PHENYLALANINE",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-LOW_ON_SUGAR",
      comment: {en: "The item is physically marked as containing a low level of sugar as approved by the appropriate authority of the target market."},
      label: {en: "Low Sugar"},
      prefLabel: "LOW_ON_SUGAR",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-MOTHERS_MILK_SUBSTITUTE",
      comment: {en: "The item is physically marked that it is approved as substitute mother's milk the appropriate authority of the target market."},
      label: {en: "Mother's Milk Substitute"},
      prefLabel: "MOTHERS_MILK_SUBSTITUTE",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-NUTRITION_SUPPLEMENT",
      comment: {en: "The item is physically marked that it is approved as nutrition supplement by the appropriate authority of the target market."},
      label: {en: "Nutrition Supplement"},
      prefLabel: "NUTRITION_SUPPLEMENT",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-NYCKELHAL_MARK",
      comment: {en: "Lean product."},
      label: {en: "Nyckelhal Mark"},
      prefLabel: "NYCKELHAL_MARK",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :"PackagingMarkedDietAllergenCode-VEGETARIAN",
      comment: {en: "Indicates the product has been marked as vegetarian which denotes a product that contains no meat, fish or other animal products."},
      label: {en: "Vegetarian"},
      prefLabel: "VEGETARIAN",
      type: "http://gs1.org/voc/PackagingMarkedDietAllergenCode"
    term :PackagingMarkedFreeFromCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingMarkedFreeFromCode&release=1",
      label: {en: "Packaging Marked Free From Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_ARTIFICIAL_COLOURING",
      comment: {en: "The item is physically marked as having no artificial colouring."},
      label: {en: "Free From Artificial Colouring"},
      prefLabel: "FREE_FROM_ARTIFICIAL_COLOURING",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_ARTIFICIAL_FLAVOURING",
      comment: {en: "The item is physically marked as having no artificial flavouring."},
      label: {en: "Free From Artificial Flavouring"},
      prefLabel: "FREE_FROM_ARTIFICIAL_FLAVOURING",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_ARTIFICIAL_PRESERVATIVES",
      comment: {en: "The item is physically marked as having no artificial preservatives."},
      label: {en: "Free From Artificial Preservatives"},
      prefLabel: "FREE_FROM_ARTIFICIAL_PRESERVATIVES",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_CHOLESTEROL",
      comment: {en: "The item is physically marked as having no Cholesterol."},
      label: {en: "Free From Cholesterol"},
      prefLabel: "FREE_FROM_CHOLESTEROL",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_CLONED_FOOD",
      comment: {en: "The item is physically marked as being free from cloned food."},
      label: {en: "Free From Cloned Food"},
      prefLabel: "FREE_FROM_CLONED_FOOD",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_DAIRY",
      comment: {en: "The item is physically marked as being free from dairy and dairy products, as approved by the appropriate authority of the target market."},
      label: {en: "Free From Dairy and Dairy Products"},
      prefLabel: "FREE_FROM_DAIRY",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_EGG",
      comment: {en: "The item is physically marked as free from egg."},
      label: {en: "Free From Egg"},
      prefLabel: "FREE_FROM_EGG",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_FISH",
      comment: {en: "The item is physically marked as being free from fish."},
      label: {en: "Free From Fish"},
      prefLabel: "FREE_FROM_FISH",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_GLUTEN",
      comment: {en: "The item is physically marked as free from gluten. This level of containment is frequently determined through regulation."},
      label: {en: "Free From Gluten"},
      prefLabel: "FREE_FROM_GLUTEN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_LACTOSE",
      comment: {en: "The item is physically marked as being free of lactose."},
      label: {en: "Free Of Lactose"},
      prefLabel: "FREE_FROM_LACTOSE",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_LATEX",
      comment: {en: "The item is physically marked being free from Latex (rubber)."},
      label: {en: "Free From Latex"},
      prefLabel: "FREE_FROM_LATEX",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_LEGUME_PROTEIN",
      comment: {en: "The item is physically marked as being free from legume protein."},
      label: {en: "Free From Legume Protein"},
      prefLabel: "FREE_FROM_LEGUME_PROTEIN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_MILK",
      comment: {en: "The item is physically marked as being free from milk and any of its derivatives."},
      label: {en: "Free From Milk"},
      prefLabel: "FREE_FROM_MILK",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_MILK_PROTEIN",
      comment: {en: "The item is physically marked as being free from milk protein."},
      label: {en: "Free From Milk Protein"},
      prefLabel: "FREE_FROM_MILK_PROTEIN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_NATURAL_GLUTEN",
      comment: {en: "The item is physically marked as being naturally free from gluten and not extracted as part of the manufacturing process."},
      label: {en: "Naturally Free From Gluten"},
      prefLabel: "FREE_FROM_NATURAL_GLUTEN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_PEANUTS",
      comment: {en: "The item is physically marked as being free from peanuts."},
      label: {en: "Free From Peanuts"},
      prefLabel: "FREE_FROM_PEANUTS",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_PROTEIN",
      comment: {en: "The item is physically marked as being free from protein."},
      label: {en: "Free from Frotein"},
      prefLabel: "FREE_FROM_PROTEIN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_PVC",
      comment: {en: "The item is physically marked as being free from PVC (Polyvinyl chloride)."},
      label: {en: "Free from PVC"},
      prefLabel: "FREE_FROM_PVC",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_SOYA",
      comment: {en: "The item is physically marked as being free from soya."},
      label: {en: "Free From Soya"},
      prefLabel: "FREE_FROM_SOYA",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_SUGAR",
      comment: {en: "The item is physically marked as being free from sugar."},
      label: {en: "Free From Sugar"},
      prefLabel: "FREE_FROM_SUGAR",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-FREE_FROM_TRANSFAT",
      comment: {en: "The item is physically marked being free from Trans Fatty Acids (Trans Fat)"},
      label: {en: "Free from Trans Fatty Acids"},
      prefLabel: "FREE_FROM_TRANSFAT",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-REDUCED_LACTOSE",
      comment: {en: "The item is physically marked as having a reduced amount of lactose"},
      label: {en: "Reduced Amount of Lactose"},
      prefLabel: "REDUCED_LACTOSE",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-REDUCED_PROTEIN",
      comment: {en: "The item is physically marked as containing a low level of protein."},
      label: {en: "Low Level of Protein"},
      prefLabel: "REDUCED_PROTEIN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-REDUCED_TRANSFAT",
      comment: {en: "The item is physically marked as having a reduced amount of transfats (unsaturated)."},
      label: {en: "Reduced Amount of Transfats"},
      prefLabel: "REDUCED_TRANSFAT",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-VERY_LOW_GLUTEN",
      comment: {en: "The item is physically marked as as a very low amount of gluten. Very low is frequently determined through regulation for example, per EU Regulation (EC) No 41/2009 [of 20 January 2009], this is defined as containing between 20 and 100 mg/kg)."},
      label: {en: "Very Low Amount of Gluten"},
      prefLabel: "VERY_LOW_GLUTEN",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-WITHOUT_ADDED_SALT",
      comment: {en: "The item is physically marked that no salt has been added when manufacturing the product but it still can contain salt that is naturally part of the ingredients, as approved by the appropriate authority of the target market."},
      label: {en: "Without Added Salt"},
      prefLabel: "WITHOUT_ADDED_SALT",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-WITHOUT_ADDED_SUGAR",
      comment: {en: "The item is physically marked that no sugar has been added when manufacturing the product but it still can contain sugars that are naturally part of the ingredients, as approved by the appropriate authority of the target market."},
      label: {en: "Without Added Sugar"},
      prefLabel: "WITHOUT_ADDED_SUGAR",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :"PackagingMarkedFreeFromCode-WITHOUT_ADDED_SWEETENER",
      comment: {en: "The item is physically marked that no sweetener has been added when manufacturing the product."},
      label: {en: "Without Added Sweetener"},
      prefLabel: "WITHOUT_ADDED_SWEETENER",
      type: "http://gs1.org/voc/PackagingMarkedFreeFromCode"
    term :PackagingMarkedLabelAccreditationCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingMarkedLabelAccreditationCode&release=1",
      label: {en: "Packaging Marked Label Accreditation Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingMarkedLabelAccreditationCode-AMA_ORGANIC_SEAL",
      comment: {en: "Austria Ministry of Agriculture Organic Label, AMA Marketing licenses the AMA organic logo. Red, white and black indicates the majority of ingredients are of Austrian origin."},
      label: {en: "Austria Ministry of Agriculture Organic Label"},
      prefLabel: "AMA_ORGANIC_SEAL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-AUS_KAUP_ESTONIA",
      comment: {en: "Used to specify Estonia Meat in their product."},
      label: {en: "Aus Kaup Estonia"},
      prefLabel: "AUS_KAUP_ESTONIA",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BDIH_LOGO",
      label: {en: "BDIH Germany guidelines for Certified Natural Cosmetics"},
      prefLabel: "BDIH_LOGO",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BETER_LEVEN_1_STER",
      comment: {en: "The one-star Beter Leven (better life) mark indicates that the product comes from a company that cares that animals are kept according to the minimal requirements for sanitation and wel-being for the cattle industry."},
      label: {en: "Beter Leven One Star Mark"},
      prefLabel: "BETER_LEVEN_1_STER",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BETER_LEVEN_2_STER",
      comment: {en: "The two-star Beter Leven (better life) mark indicates that the product comes from a company that provides for a higher well-being of animals than that established by the minimal requirements for sanitation and wel-being for the cattle industry, yet the conditions are inferior to those of Biological-class products."},
      label: {en: "Beter Leven Two Star Mark"},
      prefLabel: "BETER_LEVEN_2_STER",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BETER_LEVEN_3_STER",
      comment: {en: "The three-star Beter Leven (better life) mark is awarded to products that come from companies that excel in keeping animals according to top guidelines for Biological-class products. In some cases this mark is accompanied by an EKO indication."},
      label: {en: "Beter Leven Three Star Mark"},
      prefLabel: "BETER_LEVEN_3_STER",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BIO_AUSTRIA_LABEL",
      label: {en: "Bio Austria"},
      prefLabel: "BIO_AUSTRIA_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BIO_LABEL_GERMAN",
      label: {en: "German national organic certification label (Bio-Siegel)"},
      prefLabel: "BIO_LABEL_GERMAN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BIO_SUISSE_BUD_SEAL",
      label: {en: "Represents interests of Swiss organic farmers"},
      prefLabel: "BIO_SUISSE_BUD_SEAL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BLUE_ANGEL",
      comment: {en: "The Blue Angel is awarded to companies as kind of a reward for their commitment to environmental protection. They use it to professionally promote their eco-friendly products in the market. The Blue Angel is an ecological beacon showing the consumer the way to the ecologically superior product and promotes environmentally conscious consumption."},
      label: {en: "Blue Angel"},
      prefLabel: "BLUE_ANGEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BORD_BIA_APPROVED",
      comment: {en: "The Bord Bia Approved logo is awarded to a company which has been audited by Bord Bia to verify that processes, from farm to fork, comply with the highest Quality Assurance Standards. These standards include animal welfare, traceability, environment, safety, feed, water, testing, inspection, hygiene and good manufacturing practice. Bord Bia Approved is awarded to a company where all the ingredients including meat content satisfy the Bord Bia requirements."},
      label: {en: "Bord Bia Approved Logo"},
      prefLabel: "BORD_BIA_APPROVED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BORD_BIA_APPROVED_MEAT",
      comment: {en: "Bord Bia Approved - Meat Content Only applies to companies where only the meat content satisfies certain conditions detailed in the Bord Bia requirements document."},
      label: {en: "Bord Bia Approved - Meat Content Only"},
      prefLabel: "BORD_BIA_APPROVED_MEAT",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-BRA_MILJOVAL_LABEL_SWEDISH",
      comment: {en: "Bra MiljÃ¶val Bra MiljÃ¶val is the ecolabel of SSNC. It is referred to as Good Environmental Choice in English. SSNC started ecolabelling."},
      label: {en: "Bra MiljÃ¶val Bra MiljÃ¶val"},
      prefLabel: "BRA_MILJOVAL_LABEL_SWEDISH",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-CROSSED_GRAIN_SYMBOL",
      comment: {en: "Crossed grain logo is a trademark owned and administered by Coeliac. It is a worldwide symbol for safe gluten-free foods. Each country has their own Coeliac"},
      label: {en: "Crossed grain logo"},
      prefLabel: "CROSSED_GRAIN_SYMBOL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-DEMETER_LABEL",
      comment: {en: "Demeter International trademark for products of certified biodynamic production."},
      label: {en: "Demeter International Trademark"},
      prefLabel: "DEMETER_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-ECOCERT_CERTIFICATE",
      comment: {en: "ECOCERT is a certification body for sustainable development."},
      label: {en: "ECOCERT Certification"},
      prefLabel: "ECOCERT_CERTIFICATE",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-ECO_LABEL_LADYBUG",
      comment: {en: "This is a Finnish label used by the Organic union, which represents the entire Finnish organic industry, consumers and producers in a common interest group. They work as a neutral voice in various working groups and consultations, and prepare position papers and presentations. The Federation also organizes training events and professional seminars. The Organic Federation also publishes the magazine Organic. "},
      label: {en: "Eco Label Ladybug"},
      prefLabel: "ECO_LABEL_LADYBUG",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EC_NATIONAL_HEALTH_MARK",
      comment: {en: "The package is physically marked with EC National Health Mark. The EC National Health Mark is the health mark for specific hygiene regulations for food of animal origin. The regulation (EC) Nr. 853/2004 of 29. April 2004 of the European Parliament on hygiene rules for food of animal origin demands that companies handling products of animal origin are authorised according to this regulation. The official body responsible for this authorisation assigns a health mark to the food producing company"},
      label: {en: "EC National Health Mark"},
      prefLabel: "EC_NATIONAL_HEALTH_MARK",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EESTI_OKOMARK",
      comment: {en: "Estonian Eco Label: Ministry of Agriculture Ã–komÃ¤rk (Label of Organic Food)."},
      label: {en: "Ã–komÃ¤rk (Label of Organic Food)"},
      prefLabel: "EESTI_OKOMARK",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EESTI_PARIM_TOIDUAINE",
      comment: {en: "Best Food Association of Estonia Food Industry http://www.toiduliit.ee/. An organisation that supports and promote Estonian food industry and economy, and contribute to a balanced and appropriate ethics to members of a favourable business environment for development."},
      label: {en: "Best Food Association of Estonia Food Industry"},
      prefLabel: "EESTI_PARIM_TOIDUAINE",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EKO",
      comment: {en: "This symbol stands for organic production certified by Skal that meets the requirements of the EU-regulation for organic production. Skal is the inspection body for the organic production in the Netherlands."},
      label: {en: "Skal EKO Label"},
      prefLabel: "EKO",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EU_ECO_LABEL",
      comment: {en: "The item is physically marked with the European Union Eco label a European environmental initiative supported by the European Commission."},
      label: {en: "European Union Eco Label"},
      prefLabel: "EU_ECO_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-EU_ORGANIC_FARMING",
      comment: {en: "New EU organic logo the EU introduced a new organic logo to ensure consumer protection and common standards. "},
      label: {en: "EU Organic Farming Logo"},
      prefLabel: "EU_ORGANIC_FARMING",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-FAIR_TRADE_MARK",
      comment: {en: "The Fair Trade Mark certifies that products meet the social, economic and environmental International Fair trade Standards. The Fair Trade Mark is usually supported by a local Fair Trade Labelling Organization and certifies products not companies. It does not cover the companies or organizations selling the product"},
      label: {en: "The Fair Trade Mark"},
      prefLabel: "FAIR_TRADE_MARK",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-FALKEN",
      label: {en: "Falken"},
      prefLabel: "FALKEN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-FINNISH_HEART_SYMBOL",
      comment: {en: "The heart symbol to inform the consumer at one glance that the product marked with this symbol is a preferred choice in its product group with regard to fat and sodium. Finnish Heart Association "},
      label: {en: "Finnish Heart Symbol "},
      prefLabel: "FINNISH_HEART_SYMBOL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-FOREST_STEWARDSHIP_COUNCIL_LABEL",
      comment: {en: "The item is physically marked with the Forest Stewardship Council label."},
      label: {en: "Forest Stewardship Council Label"},
      prefLabel: "FOREST_STEWARDSHIP_COUNCIL_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GMO_MARKED",
      comment: {en: "The item is physically marked as of genetically modified origin."},
      label: {en: "GMO Marked"},
      prefLabel: "GMO_MARKED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GOODS_FROM_FINLAND_BLUE_SWAN",
      label: {en: "Finfood Suomen Ruokatieto Ry"},
      prefLabel: "GOODS_FROM_FINLAND_BLUE_SWAN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GREEN_DOT",
      label: {en: "Green Dot"},
      prefLabel: "GREEN_DOT",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GREEN_RESTAURANT_ASSOCIATION_ENDORSED",
      comment: {en: "The item is physically marked with the Green Restaurant Association Endorsed symbol."},
      label: {en: "Green Restaurant Association Endorsed symbol"},
      prefLabel: "GREEN_RESTAURANT_ASSOCIATION_ENDORSED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GREEN_SEAL_CERTIFIED",
      comment: {en: "The item is physically marked with the Green Seal Certified symbol."},
      label: {en: "Green Seal Certified Symbol"},
      prefLabel: "GREEN_SEAL_CERTIFIED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-GUARANTEED_IRISH",
      comment: {en: "Ireland: The Guaranteed Irish symbol makes shopping for Irish products and services a lot easier. Shoppers know that when they buy a product or service featuring the guaranteed Irish logo they are supporting Irish companies and safeguarding Irish jobs. "},
      label: {en: "Guaranteed Irish Symbol"},
      prefLabel: "GUARANTEED_IRISH",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-KRAV_MARK",
      label: {en: "KRAV Mark"},
      prefLabel: "KRAV_MARK",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-LABEL_OF_THE_ALLERGY_AND_ASTHMA_FEDERATION",
      comment: {en: "Allergy and Asthma Federation is a non-profit public health organisation. Our aim is to improve quality of life of the allergy and asthma patients. "},
      label: {en: "Allergy and Asthma Federation"},
      prefLabel: "LABEL_OF_THE_ALLERGY_AND_ASTHMA_FEDERATION",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-LEAPING_BUNNY",
      comment: {en: "The Coalition for Consumer Information on Cosmeticsâ€™ (CCIC) Leaping Bunny Program administers a cruelty-free standard and the internationally recognized Leaping Bunny Logo for companies producing cosmetic, personal care, and household products. The Leaping Bunny Program provides the best assurance that no new animal testing is used in any phase of product development by the company, its laboratories, or suppliers."},
      label: {en: "Leaping Bunny Program"},
      prefLabel: "LEAPING_BUNNY",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-LOODUSSOBRALIK_TOODE_ESTONIA",
      comment: {en: "Eco-friendly product The sign eco-friendly product is designed to make environmentally friendly products on store shelves more as significant. When it comes to food shall be used for agriculture, natural farming methods. No use of mineral fertilizers, insect control and plant poisons. "},
      label: {en: "Loodussobralik Toode Estonia"},
      prefLabel: "LOODUSSOBRALIK_TOODE_ESTONIA",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-LOVE_IRISH_FOOD",
      comment: {en: "Love Irish Food - a promotional label printed on the product packaging to indicate to the consumer that the food is manufactured in Ireland using Irish ingredients."},
      label: {en: "Love Irish Food"},
      prefLabel: "LOVE_IRISH_FOOD",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-MADE_IN_FINLAND_FLAG_WITH_KEY",
      comment: {en: "Made in Finland Products that are made in Finland Avainlippu (Key Flag) Suomalaisen TyÃ¶n "},
      label: {en: "Made in Finland"},
      prefLabel: "MADE_IN_FINLAND_FLAG_WITH_KEY",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-MARINE_STEWARDSHIP_COUNCIL_LABEL",
      label: {en: "Marine Stewardship Council label"},
      prefLabel: "MARINE_STEWARDSHIP_COUNCIL_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-MAX_HAVELAAR",
      comment: {en: "Fair trade symbol used in the Netherlands Target Market awarded to manufacturers which contribute to improving the living and working conditions of small farmers and agricultural workers in disadvantaged regions."},
      label: {en: "Max Havelaar"},
      prefLabel: "MAX_HAVELAAR",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-NATRUE_LABEL",
      comment: {en: "The NATRUE Label guarantees that the products that carry it are made only with natural and organic ingredients, through soft manufacturing processes and environmentally friendly practices. The NATRUE Label is awarded by NATRUE, a non-profit organisation committed to promote and protect high standards of quality and environmental integrity."},
      label: {en: "NATRUE Label"},
      prefLabel: "NATRUE_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-NYCKELHALET",
      comment: {en: "The green key hole is to be put on the healthy foods in Sweden, Denmark, and Norway within certain product groups in order to make it easier for the customers to make a healthy choice. http://www.norden.org/"},
      label: {en: "Green Key Hole"},
      prefLabel: "NYCKELHALET",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-OEKO_TEX_LABEL",
      comment: {en: "Confidence in textiles â€“ this has been the motto of the independent test institutes of the International Oeko-Tex Association since 1992, with their tests for harmful substances according to Oeko-TexÂ® Standard 100 for textile products of all types which pose no risk whatsoever to health. "},
      label: {en: "Confidence in Textiles Oeko-Tex"},
      prefLabel: "OEKO_TEX_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-OFFICIAL_ECO_LABEL_SUN",
      comment: {en: "Luomo Sun Sign Denotes controlled organic production. The official label of the Finnish inspection authorities; owned by the Ministry of Agriculture and Forestry."},
      label: {en: "Luomo Sun Sign"},
      prefLabel: "OFFICIAL_ECO_LABEL_SUN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-PEFC",
      comment: {en: "Programme for Endorsement of Forest Certification (PEFCC_ is an international non-profit, non-governmental organisation dedicated to promoting Sustainable Forest Management (SFM) through independent third-party certification"},
      label: {en: "Programme for Endorsement of Forest Certification"},
      prefLabel: "PEFC",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-PROTECTED_DESIGNATION_OF_ORIGIN",
      comment: {en: "The Protected designation of origin is the name of an area, a specific place or, in exceptional cases, the name of a country, used as a designation for an agricultural product or a foodstuff, the entire product must be traditionally and ENTIRELY manufactured (prepared, processed AND produced) within the specific region and thus acquire unique properties. Protected Geographical Status (PGS) is a legal framework defined in European Union law to protect the names of regional foods."},
      label: {en: "Protected Designation of Origin"},
      prefLabel: "PROTECTED_DESIGNATION_OF_ORIGIN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-PROTECTED_GEOGRAPHICAL_INDICATION",
      comment: {en: "The Protected geographical indication is the name of an area, a specific place or, in exceptional cases, the name of a country, used as a description of an agricultural product or a foodstuff, the entire product must be traditionally and at least PARTIALLY manufactured (prepared, processed OR produced) within the specific region and thus acquire unique properties. Protected Geographical Status (PGS) is a legal framework[1] defined in European Union law to protect the names of regional foods."},
      label: {en: "Protected Geographical Indication"},
      prefLabel: "PROTECTED_GEOGRAPHICAL_INDICATION",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-PROTECTED_HARVEST_CERTIFIED",
      comment: {en: "The item is physically marked with the Protected Harvest Certified symbol."},
      label: {en: "Protected Harvest Certified Symbol"},
      prefLabel: "PROTECTED_HARVEST_CERTIFIED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-QUALITY_MARK_IRELAND",
      comment: {en: "Control IMO Organic farming is an alternative, environmentally friendly method of food production. It forbids the use of chemicals and requires production methods that respect animal welfare and do not damage the environment. The term â€˜organicâ€™ can only be used on food labels in Ireland if the food product meets strict Irish and EU organic standards and is licensed by an approved certification body."},
      label: {en: "Quality Mark Ireland"},
      prefLabel: "QUALITY_MARK_IRELAND",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-RAINFOREST_ALLIANCE",
      comment: {en: "The item is physically marked with the Rainforest Alliance Certified symbol."},
      label: {en: "Rainforest Alliance Certified Symbol"},
      prefLabel: "RAINFOREST_ALLIANCE",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-SCHARRELVLEES",
      comment: {en: "A symbol used in the Netherlands Target Market intended for meat based products which guarantees that the animals has been growth without the use of antibiotics."},
      label: {en: "Scharrelvlees"},
      prefLabel: "SCHARRELVLEES",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-SOIL_ASSOCIATION_ORGANIC_SYMBOL",
      comment: {en: "The Soil Association Organic Symbol is a symbol used in the UK to show that products meet a strict set of organic standards that protect health, sustainability and the environment."},
      label: {en: "Soil Association Organic Symbol"},
      prefLabel: "SOIL_ASSOCIATION_ORGANIC_SYMBOL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-SUSTAINABLE_PALM_OIL_RSPO",
      comment: {en: "In response to the urgent and pressing global call for sustainably produced palm oil, the Roundtable on Sustainable Palm Oil (RSPO) was formed in 2004 with the objective of promoting the growth and use of sustainable oil palm products through credible global standards and engagement of stakeholders."},
      label: {en: "Sustainably Produced Palm Oil"},
      prefLabel: "SUSTAINABLE_PALM_OIL_RSPO",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-SVANEN",
      comment: {en: "The Swan is the Nordic environmental label. It was established by the Nordic Council of Ministers in 1989 and Denmark joined in 1997. The Swan is used in all Nordic countries, i.e. Denmark, Norway, Sweden, Finland and Iceland. "},
      label: {en: "Svanen"},
      prefLabel: "SVANEN",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-SWEDISH_SEAL_OF_QUALITY",
      comment: {en: "The item is physically marked with the Swedish Seal of Quality label which intends to guarantee the responsibility for the environment of the product."},
      label: {en: "Swedish Seal of Quality Label"},
      prefLabel: "SWEDISH_SEAL_OF_QUALITY",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-TRADITIONAL_SPECIALTY_GUARANTEED",
      comment: {en: "The Traditional specialty guaranteed is a trademark for an agricultural product or a foodstuff, which has a certain feature or a set of features, setting it clearly apart from other similar products or foodstuffs belonging to the same category. The product or foodstuff must be manufactured using traditional ingredients or must be characteristic for its traditional composition, production process, or processing reflecting a traditional type of manufacturing or processing."},
      label: {en: "Traditional Specialty Guaranteed"},
      prefLabel: "TRADITIONAL_SPECIALTY_GUARANTEED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-TUNNUSTATUD_EESTI_MAITSE",
      comment: {en: "Approved Estonian Taste - Quality/Tradition/Origin/Traceability for Estonian products. All raw materials must be 100% Estonian. Estonian Chamber of Agriculture and Commerce."},
      label: {en: "Approved Estonian Taste"},
      prefLabel: "TUNNUSTATUD_EESTI_MAITSE",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-TUNNUSTATUD_MAITSE",
      comment: {en: "Approved Taste label (designed as a barn swallow) denoting Estonian origin and high quality was introduced. This label has been given to products for Food quality and safety. Estonian Chamber of Agriculture and Commerce (ECAC)."},
      label: {en: "Tunnustatud Maitse"},
      prefLabel: "TUNNUSTATUD_MAITSE",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-UNIQUELY_FINNISH",
      comment: {en: "Uniquely Finnish http://www.maakuntienparhaat.fi/en/ The Uniquely Finnish label is a national quality label for small entrepreneurs. ProAgria Association of Rural Advisory Centres grants the label to qualified foodstuff, handicraft and rural tourism companies based on applications."},
      label: {en: "Uniquely Finnish"},
      prefLabel: "UNIQUELY_FINNISH",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-USDA",
      label: {en: "US Department of Agriculture"},
      prefLabel: "USDA",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-UTZ_CERTIFIED",
      comment: {en: "A certification which is intended to assure the social and environmental quality in coffee production. Coffee based products may be marked with this certification."},
      label: {en: "UTZ Certified"},
      prefLabel: "UTZ_CERTIFIED",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-VAELG_FULDKORN_FORST",
      comment: {en: "Grain based foods (bread, breakfast products, baking articles etc.) which have got a high content of whole grain will be puffed with a nutritional puff from the beginning of 2009: Please choose whole grain first."},
      label: {en: "Vaelg Fuldkorn forst"},
      prefLabel: "VAELG_FULDKORN_FORST",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :"PackagingMarkedLabelAccreditationCode-WWF_PANDA_LABEL",
      comment: {en: "Products that support the World Wildlife Federation."},
      label: {en: "World Wildlife Federation Panda"},
      prefLabel: "WWF_PANDA_LABEL",
      type: "http://gs1.org/voc/PackagingMarkedLabelAccreditationCode"
    term :PackagingMaterialTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingMaterialTypeCode&release=1",
      label: {en: "Packaging Material Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingMaterialTypeCode-CERAMIC",
      label: {en: "Ceramic"},
      prefLabel: "CERAMIC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-CLOTH_OR_FABRIC",
      label: {en: "Cloth of Fabric"},
      prefLabel: "CLOTH_OR_FABRIC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-COMPOSITE",
      label: {en: "Composite"},
      prefLabel: "COMPOSITE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-CORRUGATED_BOARD_DOUBLE_WALL",
      label: {en: "Corrugated Board Double Wall"},
      prefLabel: "CORRUGATED_BOARD_DOUBLE_WALL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-CORRUGATED_BOARD_OTHER",
      label: {en: "Corrugated Board Other"},
      prefLabel: "CORRUGATED_BOARD_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-CORRUGATED_BOARD_SINGLE_WALL",
      label: {en: "Corrugated Board Single Wall"},
      prefLabel: "CORRUGATED_BOARD_SINGLE_WALL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-CORRUGATED_BOARD_TRIPLE_WALL",
      label: {en: "Corrugated Board Triple Wall"},
      prefLabel: "CORRUGATED_BOARD_TRIPLE_WALL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_BURLAP",
      label: {en: "Fibre Burlap"},
      prefLabel: "FIBRE_BURLAP",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_COTTON",
      label: {en: "Fibre Cotton"},
      prefLabel: "FIBRE_COTTON",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_FLAX",
      label: {en: "Fibre Flax"},
      prefLabel: "FIBRE_FLAX",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_HEMP",
      label: {en: "Fibre Hemp"},
      prefLabel: "FIBRE_HEMP",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_JUTE",
      label: {en: "Fibre Jute"},
      prefLabel: "FIBRE_JUTE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FIBRE_OTHER",
      label: {en: "Fibre Other"},
      prefLabel: "FIBRE_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-FOAM",
      label: {en: "Foam"},
      prefLabel: "FOAM",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-GLASS",
      label: {en: "Glass"},
      prefLabel: "GLASS",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-GLASS_COLOURED",
      label: {en: "Glass Coloured"},
      prefLabel: "GLASS_COLOURED",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-LAMINATED_CARTON",
      label: {en: "Laminated Carton"},
      prefLabel: "LAMINATED_CARTON",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_ALUMINUM",
      label: {en: "Metal Aluminum"},
      prefLabel: "METAL_ALUMINUM",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_BRASS",
      label: {en: "Metal Brass"},
      prefLabel: "METAL_BRASS",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_IRON",
      label: {en: "Metal Iron"},
      prefLabel: "METAL_IRON",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_LEAD",
      label: {en: "Metal Lead"},
      prefLabel: "METAL_LEAD",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_OTHER",
      label: {en: "Metal Other"},
      prefLabel: "METAL_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_STAINLESS_STEEL",
      label: {en: "Metal Stainless Steel"},
      prefLabel: "METAL_STAINLESS_STEEL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_STEEL",
      label: {en: "Metal Steel"},
      prefLabel: "METAL_STEEL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-METAL_TIN",
      label: {en: "Metal Tin"},
      prefLabel: "METAL_TIN",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-MINERAL_CALCIUM_CARBONATE",
      label: {en: "Mineral Calcium Carbonate"},
      prefLabel: "MINERAL_CALCIUM_CARBONATE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-MINERAL_OTHER",
      label: {en: "Mineral Other"},
      prefLabel: "MINERAL_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-MINERAL_TALC",
      label: {en: "Mineral Talc"},
      prefLabel: "MINERAL_TALC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-NATURAL_RUBBER",
      label: {en: "Natural Rubber"},
      prefLabel: "NATURAL_RUBBER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-OTHER",
      label: {en: "Other"},
      prefLabel: "OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_CORRUGATED",
      label: {en: "Paper Corrugated"},
      prefLabel: "PAPER_CORRUGATED",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_MOLDED_PULP",
      label: {en: "Paper Molded Pulp"},
      prefLabel: "PAPER_MOLDED_PULP",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_OTHER",
      label: {en: "Paper Other"},
      prefLabel: "PAPER_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_PAPER",
      label: {en: "Paper"},
      prefLabel: "PAPER_PAPER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_PAPERBOARD",
      label: {en: "Paper Paperboard"},
      prefLabel: "PAPER_PAPERBOARD",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PAPER_RAYON",
      label: {en: "Paper Rayon"},
      prefLabel: "PAPER_RAYON",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PLASTIC_BIOPLASTIC",
      label: {en: "Plastic Bioplastic"},
      prefLabel: "PLASTIC_BIOPLASTIC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PLASTIC_OTHER",
      label: {en: "Plastic Other"},
      prefLabel: "PLASTIC_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-PLASTIC_THERMOPLASTICS",
      label: {en: "Plastic Thermoplastics"},
      prefLabel: "PLASTIC_THERMOPLASTICS",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_CELLULOSE_ACETATE",
      label: {en: "Polymer Cellulose Acetate"},
      prefLabel: "POLYMER_CELLULOSE_ACETATE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_EPOXY",
      label: {en: "Polymer Epoxy"},
      prefLabel: "POLYMER_EPOXY",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_EVA",
      label: {en: "Polymer Eva"},
      prefLabel: "POLYMER_EVA",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_EVOH",
      label: {en: "Polymer EVOH"},
      prefLabel: "POLYMER_EVOH",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_HDPE",
      label: {en: "Polymer HDPE"},
      prefLabel: "POLYMER_HDPE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_LDPE",
      label: {en: "Polymer LDPE"},
      prefLabel: "POLYMER_LDPE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_LLDPE",
      label: {en: "Polymer LLDPE"},
      prefLabel: "POLYMER_LLDPE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_MDPE",
      label: {en: "Polymer MDPE"},
      prefLabel: "POLYMER_MDPE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_NYLON",
      label: {en: "Polymer Nylon"},
      prefLabel: "POLYMER_NYLON",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_OTHER",
      label: {en: "Polymer Other"},
      prefLabel: "POLYMER_OTHER",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PAN",
      label: {en: "Polymer PAN"},
      prefLabel: "POLYMER_PAN",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PC",
      label: {en: "Polymer PC"},
      prefLabel: "POLYMER_PC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PCL",
      label: {en: "Polymer PCL"},
      prefLabel: "POLYMER_PCL",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PE",
      label: {en: "Polymer PE"},
      prefLabel: "POLYMER_PE",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PEN",
      label: {en: "Polymer PEN"},
      prefLabel: "POLYMER_PEN",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PET",
      label: {en: "Polymer PET"},
      prefLabel: "POLYMER_PET",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PHA",
      label: {en: "Polymer PHA"},
      prefLabel: "POLYMER_PHA",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PLA",
      label: {en: "Polymer PLA"},
      prefLabel: "POLYMER_PLA",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PP",
      label: {en: "Polymer PP"},
      prefLabel: "POLYMER_PP",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PS",
      label: {en: "Polymer PS"},
      prefLabel: "POLYMER_PS",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PU",
      label: {en: "Polymer PU"},
      prefLabel: "POLYMER_PU",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PVA",
      label: {en: "Polymer PVA"},
      prefLabel: "POLYMER_PVA",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PVC",
      label: {en: "Polymer PVC"},
      prefLabel: "POLYMER_PVC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_PVDC",
      label: {en: "Polymer PVDC"},
      prefLabel: "POLYMER_PVDC",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :"PackagingMaterialTypeCode-POLYMER_TPS",
      label: {en: "Polymer TPS"},
      prefLabel: "POLYMER_TPS",
      type: "http://gs1.org/voc/PackagingMaterialTypeCode"
    term :PackagingRecyclingProcessTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingRecyclingProcessTypeCode&release=1",
      label: {en: "Packaging Recycling Process Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingRecyclingProcessTypeCode-COMPOSTABLE",
      comment: {en: "Packaging that can biodegrade generating a relatively homogeneous and stable humus-like substance."},
      label: {en: "Compostable"},
      prefLabel: "COMPOSTABLE",
      type: "http://gs1.org/voc/PackagingRecyclingProcessTypeCode"
    term :"PackagingRecyclingProcessTypeCode-ENERGY_RECOVERABLE",
      comment: {en: "Packaging which allows for a net calorific gain in energy recovery operations."},
      label: {en: "Energy Recoverable"},
      prefLabel: "ENERGY_RECOVERABLE",
      type: "http://gs1.org/voc/PackagingRecyclingProcessTypeCode"
    term :"PackagingRecyclingProcessTypeCode-RECYCLABLE",
      comment: {en: "Packaging material and format which can be diverted from the waste stream through available processes and programmes and can be collected, processed and returned to use in the form of raw materials or products."},
      label: {en: "Recyclable"},
      prefLabel: "RECYCLABLE",
      type: "http://gs1.org/voc/PackagingRecyclingProcessTypeCode"
    term :"PackagingRecyclingProcessTypeCode-REUSABLE",
      comment: {en: "Packaging that has been conceived and designed to accomplished within its life cycle a certain number of trips, rotations or uses for the same purpose for which it was conceived."},
      label: {en: "Reusable"},
      prefLabel: "REUSABLE",
      type: "http://gs1.org/voc/PackagingRecyclingProcessTypeCode"
    term :PackagingRecyclingSchemeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingRecyclingSchemeCode&release=1",
      label: {en: "Packaging Recycling Scheme Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingRecyclingSchemeCode-ALKO",
      comment: {en: "Alko inc. is an independent, entirely State-owned company. Alko is administered and supervised by the Ministry of Social Affairs and Health. They have own recycling system for alcohol products bottles called Alko. This is a recycling system used in Finland"},
      label: {en: "Alko Inc"},
      prefLabel: "ALKO",
      type: "http://gs1.org/voc/PackagingRecyclingSchemeCode"
    term :"PackagingRecyclingSchemeCode-A_PULLO",
      comment: {en: "PALPA stands for Suomen Palautuspakkaus Oy. PALPA administers the recycling of beverage containers and promotes recycling in Finland. A-pullo is one of the recycling systems PALPA is admnister. This is a recycling system used in Finland."},
      label: {en: "A Pullo"},
      prefLabel: "A_PULLO",
      type: "http://gs1.org/voc/PackagingRecyclingSchemeCode"
    term :"PackagingRecyclingSchemeCode-EKO_PULLO",
      comment: {en: "PALPA Standas for Suomen Palautuspakkaus Oy. PALPA administers the recycling of beverage containes and promotes recycling in Finland. EKO-pullo is one of the recycling systems PALPA is administer. This is a recycling system used in Finland."},
      label: {en: "EKO Pullo"},
      prefLabel: "EKO_PULLO",
      type: "http://gs1.org/voc/PackagingRecyclingSchemeCode"
    term :"PackagingRecyclingSchemeCode-PALPA",
      comment: {en: "PALPA stands for Suomen Palautuspakkaus Oy. PALPA administers the recycling of beverage containers and promotes recycling in Finland. PALPA is on of the recycling systems PALPA is administer. This is a recycling system used in Finland."},
      label: {en: "PALPA"},
      prefLabel: "PALPA",
      type: "http://gs1.org/voc/PackagingRecyclingSchemeCode"
    term :PackagingShapeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PackagingShapeCode&release=1",
      label: {en: "Packaging Shape Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PackagingShapeCode-BAR",
      comment: {en: "A relatively long, evenly shaped piece of some solid substance"},
      label: {en: "Bar"},
      prefLabel: "BAR",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-COIL",
      comment: {en: "A spiral structure made by winding a material into a series of loops. A coil may or may not have a spindle around which the loops are formed."},
      label: {en: "Coil"},
      prefLabel: "COIL",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-CONE",
      comment: {en: "A cone is a three-dimensional geometric shape that tapers smoothly from a flat, round base to a point."},
      label: {en: "Cone"},
      prefLabel: "CONE",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-CYLINDRICAL",
      comment: {en: "A long shape that has a circular base and an equally-sized circular top."},
      label: {en: "Cylindrical"},
      prefLabel: "CYLINDRICAL",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-POLYGON",
      comment: {en: "A plane figure that is bounded by a closed path or circuit composed of a finite sequence of equally-sized straight line segments. A polygon may have a varying number of segments or â€˜facesâ€™ resulting in different configurations, for example a 5-faced polygon: pentagon, 6-faced: hexagon, 8-faced: octagon, 12-faced: dodecahedron, etc."},
      label: {en: "Polygon"},
      prefLabel: "POLYGON",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-RECTANGULAR",
      comment: {en: "A closed planar quadrilateral with four right angles."},
      label: {en: "Rectangular"},
      prefLabel: "RECTANGULAR",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-SPHERICAL",
      comment: {en: "A perfectly round geometrical object in three-dimensional space, such as the shape of a round ball. Like a circle in two dimensions, a perfect sphere is completely symmetrical around its centre, with all points on the surface lying the same distance from the centre point."},
      label: {en: "Spherical"},
      prefLabel: "SPHERICAL",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-TABLET",
      comment: {en: "The result of different materials being compressed into a solid block usually of small dimensions."},
      label: {en: "Tablet"},
      prefLabel: "TABLET",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :"PackagingShapeCode-UNSPECIFIED",
      comment: {en: "Shape is not currently specified in the list. To be used as a temporary means until a specific missing value is added to the list."},
      label: {en: "Unspecified"},
      prefLabel: "UNSPECIFIED",
      type: "http://gs1.org/voc/PackagingShapeCode"
    term :PaymentMethod,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PaymentMethod&release=1",
      label: {en: "Payment Method Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PaymentMethod-BANKERS_DRAFT",
      comment: {en: "Issue of a banker's draft in payment of the funds."},
      label: {en: "Bankers Draft"},
      prefLabel: "BANKERS_DRAFT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-BANK_CHEQUE",
      comment: {en: "Payment by a pre-printed form, which has been completed by a financial institution, on which instructions are given to an account holder (a bank or building society) to pay a stated sum to a named recipient."},
      label: {en: "Bank Cheque"},
      prefLabel: "BANK_CHEQUE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-BANK_GIRO",
      comment: {en: "The payment was originally made by bankgiro."},
      label: {en: "Bank Giro"},
      prefLabel: "BANK_GIRO",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-BOOKENTRY_CREDIT",
      comment: {en: "house credit."},
      label: {en: "Book Entry Credit"},
      prefLabel: "BOOKENTRY_CREDIT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-BOOKENTRY_DEBIT",
      comment: {en: "house debit."},
      label: {en: "Book Entry Debit"},
      prefLabel: "BOOKENTRY_DEBIT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-BOP",
      label: {en: "BOP"},
      prefLabel: "BOP",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-CASH",
      comment: {en: "Payment by currency (including bills and coins) in circulation, including checking account deposits."},
      label: {en: "Cash"},
      prefLabel: "CASH",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-CERTIFIED_CHEQUE",
      comment: {en: "Payment by a pre-printed form stamped with the paying bank's certification on which instructions are given to an account holder (a bank or building society) to pay a stated sum to a named recipient ."},
      label: {en: "Certified Cheque"},
      prefLabel: "CERTIFIED_CHEQUE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-CHEQUE",
      comment: {en: "Payment by a pre-printed form on which instructions are given to an account holder (a bank or building society) to pay a stated sum to a named recipient."},
      label: {en: "Cheque"},
      prefLabel: "CHEQUE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-CREDIT_CARD",
      comment: {en: "Payment by means of a card issued by a bank or other financial institution."},
      label: {en: "Credit Card"},
      prefLabel: "CREDIT_CARD",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-DEBIT_CARD",
      comment: {en: "The amount is to be, or has been, directly debited to the customer's bank account through a bank card."},
      label: {en: "Debit Card"},
      prefLabel: "DEBIT_CARD",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-ELECTRONIC_CREDIT_ACH",
      comment: {en: "A credit transaction made through the automated clearing house system"},
      label: {en: "Electronic Credit ACH"},
      prefLabel: "ELECTRONIC_CREDIT_ACH",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-ELECTRONIC_DEBIT_ACH",
      comment: {en: "A debit transaction made through the automated clearing house system."},
      label: {en: "Electronic Debit ACH"},
      prefLabel: "ELECTRONIC_DEBIT_ACH",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-FED_WIRE_NON_REPETITIVE",
      comment: {en: "Fedwire is a real time gross settlement funds transfer system operated by the Federal Reserve Banks that enables financial institutions to electronically transfer funds between its participants."},
      label: {en: "Fedwire Non-repetitive"},
      prefLabel: "FED_WIRE_NON_REPETITIVE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-FED_WIRE_REPETITIVE",
      comment: {en: "Repetitive Fedwire is a real time gross settlement funds transfer system operated by the Federal Reserve Banks that enables financial institutions to electronically transfer funds between its participants. Repetitive wire transfers are sent by the same party to the same recipient through the same financial institution with the same wiring instructions "},
      label: {en: "Fedwire Repetitive"},
      prefLabel: "FED_WIRE_REPETITIVE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-INTERNATIONAL_WIRE",
      label: {en: "International Wire"},
      prefLabel: "INTERNATIONAL_WIRE",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-LETTER_OF_CREDIT",
      comment: {en: "The financial operation is a letter of credit."},
      label: {en: "Letter of Credit"},
      prefLabel: "LETTER_OF_CREDIT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-POSTGIRO",
      comment: {en: "The financial operation has been done by postgiro."},
      label: {en: "Postgiro"},
      prefLabel: "POSTGIRO",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-WIRE_TRANSFER_CREDIT",
      label: {en: "Wire Transfer Credit"},
      prefLabel: "WIRE_TRANSFER_CREDIT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :"PaymentMethod-WIRE_TRANSFER_DEBIT",
      label: {en: "Wire Transfer Debit"},
      prefLabel: "WIRE_TRANSFER_DEBIT",
      type: "http://gs1.org/voc/PaymentMethod"
    term :PreparationTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PreparationTypeCode&release=1",
      label: {en: "Preparation Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PreparationTypeCode-AS_DRAINED",
      comment: {en: "The state of the product after it has been separated from any liquid within the package. For example, a can of apricots in syrup would have a different nutritional composition if the apricots are consumed with the syrup rather than if the syrup is drained before consuming the apricots (because of the high sugar and energy content of the syrup)."},
      label: {en: "As Drained"},
      prefLabel: "AS_DRAINED",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BAKE",
      comment: {en: "Cooking food in an oven by dry heat applied evenly throughout the oven"},
      label: {en: "Bake"},
      prefLabel: "BAKE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BARBECUE",
      comment: {en: "Method of cooking meat with the heat and hot gasses of a fire"},
      label: {en: "Barbecue"},
      prefLabel: "BARBECUE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BLANCH",
      comment: {en: "Food preparation wherein the food substance is rapidly plunged into boiling water and then removed after a brief, timed interval and then plunged into iced water or placed under cold running water"},
      label: {en: "Blanch"},
      prefLabel: "BLANCH",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BLIND_BAKE",
      comment: {en: "Baking a pie crust or other pastry without the filling"},
      label: {en: "Blind Bake"},
      prefLabel: "BLIND_BAKE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BOIL",
      comment: {en: "Cooking food in boiling water, or other water-based liquid such as stock or milk"},
      label: {en: "Boil"},
      prefLabel: "BOIL",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BRAISE",
      comment: {en: "Cooking with moist heat, typically in a covered pot with a small amount of liquid"},
      label: {en: "Braise"},
      prefLabel: "BRAISE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-BROIL",
      comment: {en: "Cooking food with high heat with the heat applied directly to the food, most commonly from above. Heat transfer to the food is primarily via radiant heat"},
      label: {en: "Broil"},
      prefLabel: "BROIL",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-DEEP_FRY",
      comment: {en: "Cooking method whereby food is submerged in hot oil or fat."},
      label: {en: "Deep Fry"},
      prefLabel: "DEEP_FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-DOUBLE_STEAM",
      comment: {en: "Cooking technique to prepare delicate food such as bird nests, shark fins etc. The food is covered with water and put in a covered ceramic jar"},
      label: {en: "Double Steam"},
      prefLabel: "DOUBLE_STEAM",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-FREEZE",
      comment: {en: "Convert the product from room temperature to a frozen state.Simple"},
      label: {en: "Freeze"},
      prefLabel: "FREEZE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-FRY",
      comment: {en: "Cooking of food in fat."},
      label: {en: "Fry"},
      prefLabel: "FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-GRIDDLE_FRY",
      comment: {en: "Form of cooking where the food is fried with its own fat."},
      label: {en: "Griddle Fry"},
      prefLabel: "GRIDDLE_FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-GRILL",
      comment: {en: "Form of cooking that involves direct heat. The definition varies widely by region and culture"},
      label: {en: "Grill"},
      prefLabel: "GRILL",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-HEAT_AND_SERVE",
      comment: {en: "Prepare the item by simply heating or warming to a desired temperature or visual state prior to serving"},
      label: {en: "Heat and Serve"},
      prefLabel: "HEAT_AND_SERVE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-MICROWAVE",
      comment: {en: "Cooking food by employing microwave radiation"},
      label: {en: "Microwave"},
      prefLabel: "MICROWAVE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-PAN_FRY",
      comment: {en: "Form of frying characterised by the use of less cooking oil than deep frying"},
      label: {en: "Pan Fry"},
      prefLabel: "PAN_FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-POACH",
      comment: {en: "Cooking food by gently simmering food in liquid, generally water, stock or wine"},
      label: {en: "Poach"},
      prefLabel: "POACH",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-PREPARED",
      comment: {en: "The state of the product after preparation (e.g. after adding milk or water)."},
      label: {en: "Prepared"},
      prefLabel: "PREPARED",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-PRESSURE_COOK",
      comment: {en: "Method of cooking in a sealed vessel that does not permit air or liquids to escape below a preset pressure"},
      label: {en: "Pressure Cook"},
      prefLabel: "PRESSURE_COOK",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-PRESSURE_FRY",
      comment: {en: "Meat and cooking oil are brought to high temperatures while pressure is held high enough that the water within is prevented from boiling off"},
      label: {en: "Pressure Fry"},
      prefLabel: "PRESSURE_FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-READY_TO_DRINK",
      comment: {en: "No Preparation. The product is ready for use after being taken out of the packaging (if packaging exists) without the need of any further action prior to consumption or use"},
      label: {en: "Ready To Drink"},
      prefLabel: "READY_TO_DRINK",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-READY_TO_EAT",
      comment: {en: "Besides unpacking no additional preparation required."},
      label: {en: "Ready To Eat"},
      prefLabel: "READY_TO_EAT",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-RECONSTITUTE",
      comment: {en: "Restore a dry or concentrated food to its original strength or consistency by adding water."},
      label: {en: "Reconstitute"},
      prefLabel: "RECONSTITUTE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-REFRIGERATE",
      comment: {en: "Convert the product from room temperature to a chilled state."},
      label: {en: "Refrigerate"},
      prefLabel: "REFRIGERATE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-ROAST",
      comment: {en: "Cooking method that uses dry heat, whether an open flame, oven, or other heat source."},
      label: {en: "Roast."},
      prefLabel: "ROAST",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-ROTISSERIE",
      comment: {en: "Style of roasting where meat is skewered on a spit and revolves over a flame"},
      label: {en: "Rotisserie"},
      prefLabel: "ROTISSERIE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-SAUTE",
      comment: {en: "Cooking food using a small amount of fat in a shallow pan over relatively high heat"},
      label: {en: "Saute"},
      prefLabel: "SAUTE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-SEAR",
      comment: {en: "Technique used in grilling, roasting, braising, sautÃ©ing, etc. That cooks the surface of the food (usually meat, poultry or fish) at high temperature so that a caramelised crust forms"},
      label: {en: "Sear"},
      prefLabel: "SEAR",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-SIMMER",
      comment: {en: "Cook food by heating it in water kept just below the boiling point (same as coddling)"},
      label: {en: "Simmer"},
      prefLabel: "SIMMER",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-SMOKE",
      comment: {en: "Process of curing, cooking, or seasoning food by exposing it for long periods of time to the smoke from a wood fire"},
      label: {en: "Smoke"},
      prefLabel: "SMOKE",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-STEAM",
      comment: {en: "Cooking by first boiling the water so it will evaporate into steam, then the steam will carry heat to the food, thus achieving heating the food"},
      label: {en: "Steam"},
      prefLabel: "STEAM",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-STEW",
      comment: {en: "Preparing meat cut into smaller pieces or cubes by simmering it in liquid, usually together with vegetables"},
      label: {en: "Stew"},
      prefLabel: "STEW",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-STIR_FRY",
      comment: {en: "Chinese cooking technique used because of its fast cooking speed"},
      label: {en: "Stir Fry"},
      prefLabel: "STIR_FRY",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-THAW",
      comment: {en: "Convert the product from a frozen state to a chilled or room temperature state."},
      label: {en: "Thaw"},
      prefLabel: "THAW",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-UNPREPARED",
      comment: {en: "The initial state of the product."},
      label: {en: "Unprepared"},
      prefLabel: "UNPREPARED",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :"PreparationTypeCode-UNSPECIFIED",
      comment: {en: "Unknown, not applicable"},
      label: {en: "Unknown"},
      prefLabel: "UNSPECIFIED",
      type: "http://gs1.org/voc/PreparationTypeCode"
    term :PreservationTechniqueCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:PreservationTechniqueTypeCode&release=1",
      label: {en: "Preservation Technique Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"PreservationTechniqueCode-ACIDIFICATION",
      comment: {en: "Dropping pH of food"},
      label: {en: "Acidification"},
      prefLabel: "ACIDIFICATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-ALCOHOL_CURING",
      comment: {en: "Treatment of food by adding alcohol in order to preserve the product"},
      label: {en: "Alcohol Curing"},
      prefLabel: "ALCOHOL_CURING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-ATTESTED_MILK",
      comment: {en: "Raw Milk (without heat treatment)"},
      label: {en: "Attested Milk"},
      prefLabel: "ATTESTED_MILK",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-BOILING",
      comment: {en: "Cooking"},
      label: {en: "Cooking"},
      prefLabel: "BOILING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-BRINING",
      comment: {en: "Water saturating or strongly impregnating with salt"},
      label: {en: "Brining"},
      prefLabel: "BRINING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-CANNING",
      comment: {en: "Preserved in a sealed airtight container, usually made of tin-coated iron"},
      label: {en: "Canning"},
      prefLabel: "CANNING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-COLD_SMOKE_CURING",
      comment: {en: "To smoke the food at between 70 degrees to 90 degrees F."},
      label: {en: "Cold Smoke Curing"},
      prefLabel: "COLD_SMOKE_CURING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-CONSERVE",
      comment: {en: "Keep from harm or damage"},
      label: {en: "Conserve"},
      prefLabel: "CONSERVE",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-DEHYDRATION",
      comment: {en: "To remove water from food"},
      label: {en: "Dehydration"},
      prefLabel: "DEHYDRATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-DRYING",
      comment: {en: "Making with moisture having evaporated, drained away"},
      label: {en: "Drying"},
      prefLabel: "DRYING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-FERMENTATION",
      comment: {en: "Any of a group of chemical reactions induced by living or nonliving ferments that split complex organic compounds into relatively simple substance"},
      label: {en: "Fermentation"},
      prefLabel: "FERMENTATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-FREEZE_DRYING",
      comment: {en: "Preserving food by freezing and then drying in a vacuum"},
      label: {en: "Freeze Drying"},
      prefLabel: "FREEZE_DRYING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-FREEZING",
      comment: {en: "Turning into ice or another solid by cold"},
      label: {en: "Freezing"},
      prefLabel: "FREEZING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-HIGH_TEMPERATURE_TREATED_MILK",
      comment: {en: "Legally also pasteurisation, MHD for longer (about 2 to 3 weeks), ESL-milk"},
      label: {en: "High Temperature Treated Milk"},
      prefLabel: "HIGH_TEMPERATURE_TREATED_MILK",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-HOT_SMOKE_CURING",
      comment: {en: "Hot-smoking partially or totally cooks the food by treating it at temperatures ranging from 100 degrees to 190 degrees F."},
      label: {en: "Hot Smoke Curing"},
      prefLabel: "HOT_SMOKE_CURING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-IONISATION",
      comment: {en: "To convert into an ion or ions"},
      label: {en: "Ionisation"},
      prefLabel: "IONISATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-IRRADIATION",
      comment: {en: "Food irradiation is the process of exposing food to ionising radiation in order to disinfest, sterilise, or preserve food."},
      label: {en: "Irradiation"},
      prefLabel: "IRRADIATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-PASTEURISATION",
      comment: {en: "Partially sterilisation by heating"},
      label: {en: "Pasteurisation"},
      prefLabel: "PASTEURISATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-QUICK_FREEZING",
      comment: {en: "Freezing (food) rapidly so as to preserve its qualities"},
      label: {en: "Quick Freezing"},
      prefLabel: "QUICK_FREEZING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-SALT_CURING",
      comment: {en: "Preserving by using a salt brine"},
      label: {en: "Salt Curing"},
      prefLabel: "SALT_CURING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-SOUS_VIDE",
      comment: {en: "Low temperature long time cooking under vacuum"},
      label: {en: "Sous Vide"},
      prefLabel: "SOUS_VIDE",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-STERILISATION",
      comment: {en: "A process that effectively kills or eliminates transmissibleagents (such as fungi, bacteria, viruses, spore forms, etc.)."},
      label: {en: "Sterilisation"},
      prefLabel: "STERILISATION",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-SUGAR_CURING",
      comment: {en: "Treatment of food by adding sugar in order to preserve the product"},
      label: {en: "Sugar Curing"},
      prefLabel: "SUGAR_CURING",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-ULTRA_HIGH_TEMPERATURE",
      comment: {en: "Ultra heat treated (especially for milk)"},
      label: {en: "Ultra High Temperature"},
      prefLabel: "ULTRA_HIGH_TEMPERATURE",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-UNDER_MODIFIED_ATMOSPHERE",
      comment: {en: "Packed with a gas with protective proprieties"},
      label: {en: "Under Modified Atmosphere"},
      prefLabel: "UNDER_MODIFIED_ATMOSPHERE",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :"PreservationTechniqueCode-VACUUM_PACKED",
      comment: {en: "Sealed after the partial removal of air"},
      label: {en: "Vacuum Packed"},
      prefLabel: "VACUUM_PACKED",
      type: "http://gs1.org/voc/PreservationTechniqueCode"
    term :ProductYieldTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:ProductYieldTypeCode&release=1",
      label: {en: "Product Yield Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"ProductYieldTypeCode-AFTER_COOKING",
      comment: {en: "Weight or volume of food product after it has been prepared."},
      label: {en: "After Cooking"},
      prefLabel: "AFTER_COOKING",
      type: "http://gs1.org/voc/ProductYieldTypeCode"
    term :"ProductYieldTypeCode-AFTER_DILUTION",
      comment: {en: "Volume of food product after a fluid has been added."},
      label: {en: "After Dilution"},
      prefLabel: "AFTER_DILUTION",
      type: "http://gs1.org/voc/ProductYieldTypeCode"
    term :"ProductYieldTypeCode-DRAINED_WEIGHT",
      comment: {en: "Weight of food product after the fluid in which the food product was preserved has been removed."},
      label: {en: "Drained Weight"},
      prefLabel: "DRAINED_WEIGHT",
      type: "http://gs1.org/voc/ProductYieldTypeCode"
    term :"ProductYieldTypeCode-UNSPECIFIED",
      comment: {en: "Product yield type is unknown or irrelevant"},
      label: {en: "Unspecified"},
      prefLabel: "UNSPECIFIED",
      type: "http://gs1.org/voc/ProductYieldTypeCode"
    term :ReferencedFileTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:ReferencedFileTypeCode&release=1",
      label: {en: "Referenced File Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"ReferencedFileTypeCode-DIET_CERTIFICATE",
      comment: {en: "Link to a website or file containing a diet certificate granted to the product."},
      label: {en: "Diet Certificate"},
      prefLabel: "DIET_CERTIFICATE",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-DOCUMENT",
      comment: {en: "Link to a document or text file containing product information. Examples of this type could be an instruction manual, assembly guide, or warranty document."},
      label: {en: "Document"},
      prefLabel: "DOCUMENT",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-GROUP_CHARACTERISTIC_SHEET",
      label: {en: "Group Characteristics Sheet"},
      prefLabel: "GROUP_CHARACTERISTIC_SHEET",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-LOGO",
      comment: {en: "Link to a file containing the Manufacturer or Brand Logo(s) associated with the product."},
      label: {en: "Logo"},
      prefLabel: "LOGO",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-MARKETING_INFORMATION",
      comment: {en: "Link to a file with product information associated with selling a product or service."},
      label: {en: "Marketing Information"},
      prefLabel: "MARKETING_INFORMATION",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-OUT_OF_PACKAGE_IMAGE",
      comment: {en: "Link to an image of an item out of its packaging and, if necessary, assembled ready for use by the end user. This type of file is subject the current version of the GDSN Product Image Specification Standard."},
      label: {en: "Out of Package Image"},
      prefLabel: "OUT_OF_PACKAGE_IMAGE",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-PLANOGRAM",
      comment: {en: "Link to a file illustrating how and where retail products should be displayed."},
      label: {en: "Planogram"},
      prefLabel: "PLANOGRAM",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-PRODUCT_LABEL_IMAGE",
      comment: {en: "Link to a file containing a visual representation of the product label."},
      label: {en: "Product Label Image"},
      prefLabel: "PRODUCT_LABEL_IMAGE",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-SAFETY_DATA_SHEET",
      comment: {en: "Link to a file containing the product's Safety Data Sheet (SDS). This file can be either an image or a document"},
      label: {en: "Safety Data Sheet"},
      prefLabel: "SAFETY_DATA_SHEET",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-SAFETY_SUMMARY_SHEET",
      comment: {en: "A link to a summary sheet document that is available to workers to understand how to deal with chemicals in an emergency situation."},
      label: {en: "Safety Summary Sheet"},
      prefLabel: "SAFETY_SUMMARY_SHEET",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-TRADE_ITEM_DESCRIPTION",
      comment: {en: "Identifies the reference to an external description of a product. The link (e.g. URL) to the external description. will be in the appropriate attribute"},
      label: {en: "Trade Item Description"},
      prefLabel: "TRADE_ITEM_DESCRIPTION",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-VIDEO",
      comment: {en: "Link to a file containing a video clip which is relevant to the product. Examples are commercials, trailers, or instructional/ how to use video files."},
      label: {en: "Video"},
      prefLabel: "VIDEO",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-WARRANTY_INFORMATION",
      comment: {en: "Link to a file with information associated with any guarantee given by a company stating that a product is reliable and free from known defects and that the seller will, without charge, repair or replace defective parts within a given time limit and under certain conditions."},
      label: {en: "Warranty Information"},
      prefLabel: "WARRANTY_INFORMATION",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :"ReferencedFileTypeCode-WEBSITE",
      comment: {en: "Link to a website containing product or manufacturer information."},
      label: {en: "Website"},
      prefLabel: "WEBSITE",
      type: "http://gs1.org/voc/ReferencedFileTypeCode"
    term :SeasonParameterCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:SeasonParameterCode&release=1",
      label: {en: "Season Parameter Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SeasonParameterCode-ALL_YEAR",
      comment: {en: "All Year"},
      label: {en: "All Year"},
      prefLabel: "ALL_YEAR",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-AUTUMN",
      comment: {en: "For products that are seasonal in nature and apply to the Autumn selling season only"},
      label: {en: "Autumn"},
      prefLabel: "AUTUMN",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-AUTUMN_WINTER",
      comment: {en: "For products that are seasonal in nature and apply to both the Autumn and Winter selling seasons"},
      label: {en: "Autumn and Winter"},
      prefLabel: "AUTUMN_WINTER",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-SPRING",
      comment: {en: "For products that are seasonal in nature and apply to the Spring selling season only"},
      label: {en: "Spring"},
      prefLabel: "SPRING",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-SPRING_SUMMER",
      comment: {en: "For products that are seasonal in nature and apply to both the Spring and Summer selling seasons"},
      label: {en: "Spring and Summer"},
      prefLabel: "SPRING_SUMMER",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-SUMMER",
      comment: {en: "For products that are seasonal in nature and apply to the Summer selling season only"},
      label: {en: "Summer"},
      prefLabel: "SUMMER",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :"SeasonParameterCode-WINTER",
      comment: {en: "For products that are seasonal in nature and apply to the Winter selling season only"},
      label: {en: "Winter"},
      prefLabel: "WINTER",
      type: "http://gs1.org/voc/SeasonParameterCode"
    term :SharpnessOfCheeseCode,
      isDefinedBy: "http://vocab.gs1.org/SharpnessOfCheeseCode",
      label: {en: "Sharpness of Cheese Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SharpnessOfCheeseCode-EXTRA_EXTRA_SHARP",
      label: {en: "Extra Extra Sharp"},
      prefLabel: "EXTRA_EXTRA_SHARP",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :"SharpnessOfCheeseCode-EXTRA_SHARP",
      label: {en: "Extra Sharp"},
      prefLabel: "EXTRA_SHARP",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :"SharpnessOfCheeseCode-MILD",
      label: {en: "Mild"},
      prefLabel: "MILD",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :"SharpnessOfCheeseCode-REGULAR",
      label: {en: "Regular"},
      prefLabel: "REGULAR",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :"SharpnessOfCheeseCode-SHARP",
      label: {en: "Sharp"},
      prefLabel: "SHARP",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :"SharpnessOfCheeseCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/SharpnessOfCheeseCode"
    term :SizeGroupCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:SizeGroupCode&release=1",
      label: {en: "Size Group Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SizeGroupCode-BOYS",
      label: {en: "Boys"},
      prefLabel: "BOYS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-GIRLS",
      label: {en: "Girls"},
      prefLabel: "GIRLS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-INFANTS",
      label: {en: "Infants"},
      prefLabel: "INFANTS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-JUNIORS",
      label: {en: "Juniors"},
      prefLabel: "JUNIORS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-MATERNITY",
      label: {en: "Maternity"},
      prefLabel: "MATERNITY",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-MENS",
      label: {en: "Mens"},
      prefLabel: "MENS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-MENS_TALL",
      label: {en: "Mens Tall"},
      prefLabel: "MENS_TALL",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-MISSES",
      label: {en: "Misses"},
      prefLabel: "MISSES",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-PETITE",
      label: {en: "Petite"},
      prefLabel: "PETITE",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-WOMENS",
      label: {en: "Womens"},
      prefLabel: "WOMENS",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :"SizeGroupCode-WOMENS_TALL",
      label: {en: "Womens Tall"},
      prefLabel: "WOMENS_TALL",
      type: "http://gs1.org/voc/SizeGroupCode"
    term :SizeSystemCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:SizeSystemCode&release=1",
      label: {en: "Size System Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SizeSystemCode-AUSTRALIA",
      label: {en: "Australia"},
      prefLabel: "AUSTRALIA",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-CONTINENTAL",
      label: {en: "Continental"},
      prefLabel: "CONTINENTAL",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-EUROPE",
      label: {en: "Europe"},
      prefLabel: "EUROPE",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-JAPAN",
      label: {en: "Japan"},
      prefLabel: "JAPAN",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-MEXICO",
      label: {en: "Mexico"},
      prefLabel: "MEXICO",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-UK",
      label: {en: "UK"},
      prefLabel: "UK",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :"SizeSystemCode-US",
      label: {en: "US"},
      prefLabel: "US",
      type: "http://gs1.org/voc/SizeSystemCode"
    term :SizeTypeCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:SizeTypeCode&release=1",
      label: {en: "Size Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SizeTypeCode-BACK",
      label: {en: "Back"},
      prefLabel: "BACK",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-CHEST_BUST",
      comment: {en: "The measurement around the widest part of the chest/bust."},
      label: {en: "Chest or Bust"},
      prefLabel: "CHEST_BUST",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-COLLAR",
      label: {en: "Collar"},
      prefLabel: "COLLAR",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-CUP",
      label: {en: "Cup"},
      prefLabel: "CUP",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-HIPS",
      comment: {en: "The measurement around the fullest part of the hips."},
      label: {en: "Hips"},
      prefLabel: "HIPS",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-INSEAM",
      label: {en: "Inseam"},
      prefLabel: "INSEAM",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-LENGTH",
      label: {en: "Length"},
      prefLabel: "LENGTH",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-ONE_DIMENSION",
      label: {en: "One Dimension"},
      prefLabel: "ONE_DIMENSION",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-OUTSIDE_LEG",
      comment: {en: "The measurement of the outside leg seam. This is the distance from the waist to the bottom of the trousers."},
      label: {en: "Outside Leg"},
      prefLabel: "OUTSIDE_LEG",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-SLEEVE",
      label: {en: "Sleeve"},
      prefLabel: "SLEEVE",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-WAIST",
      label: {en: "Waist"},
      prefLabel: "WAIST",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :"SizeTypeCode-WIDTH",
      label: {en: "Width"},
      prefLabel: "WIDTH",
      type: "http://gs1.org/voc/SizeTypeCode"
    term :SourceAnimalCode,
      isDefinedBy: "http://apps.gs1.org/GDD/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:SourceAnimalCode&release=1",
      label: {en: "Source Animal Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SourceAnimalCode-ALLIGATOR",
      comment: {en: "A crocodilian in the genus Alligator of the family Alligatoridae."},
      label: {en: "Alligator"},
      prefLabel: "ALLIGATOR",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-ASS",
      comment: {en: "A domesticated member of the horse family."},
      label: {en: "Ass"},
      prefLabel: "ASS",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-BEAR",
      comment: {en: "Mammals of the family Ursidae."},
      label: {en: "Bear"},
      prefLabel: "BEAR",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-BEEF_COW",
      comment: {en: "Cattle raised principally for meat production, other uses include leather and products used in shampoo and cosmetics."},
      label: {en: "Beef Cow"},
      prefLabel: "BEEF_COW",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-BOAR",
      comment: {en: "A wild relative of the domestic pig."},
      label: {en: "Boar"},
      prefLabel: "BOAR",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-BUFFALO",
      comment: {en: "A large bovine animal, frequently used as livestock."},
      label: {en: "Buffalo"},
      prefLabel: "BUFFALO",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-CALF",
      comment: {en: "A general term for a juvenile member of any species of domestic cattle which is intentionally raised to be processed at a young age."},
      label: {en: "Calf"},
      prefLabel: "CALF",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-CAMEL",
      comment: {en: "Even-toed ungulates within the genus Camelus."},
      label: {en: "Camel"},
      prefLabel: "CAMEL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-CHICKEN",
      comment: {en: "A domesticated fowl."},
      label: {en: "Chicken"},
      prefLabel: "CHICKEN",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-COCKEREL",
      comment: {en: "A male chicken."},
      label: {en: "Cockerel"},
      prefLabel: "COCKEREL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-COW",
      comment: {en: "A domesticated member of the subfamily Bovinae."},
      label: {en: "Cow"},
      prefLabel: "COW",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-CROCODILE",
      comment: {en: "Any species belonging to the family Crocodylidae."},
      label: {en: "Crocodile"},
      prefLabel: "CROCODILE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-DEER",
      comment: {en: "Ruminant mammals forming the family Cervidae."},
      label: {en: "Deer"},
      prefLabel: "DEER",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-DOG",
      comment: {en: "A domesticated form of the Wolf, a member of the Canidae family of the order Carnivora."},
      label: {en: "Dog"},
      prefLabel: "DOG",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-DUCK",
      comment: {en: "Aquatic birds, mostly smaller than the swans and geese, and may be found in both fresh water and sea water."},
      label: {en: "Duck"},
      prefLabel: "DUCK",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-DUCKLING",
      comment: {en: "A young duck."},
      label: {en: "Duckling"},
      prefLabel: "DUCKLING",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-FISH",
      comment: {en: "Fresh or sea water fish."},
      label: {en: "Fish"},
      prefLabel: "FISH",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-FOWL",
      comment: {en: "Non-domesticated birds in general but usually refers to birds belonging to one of two biological orders, namely the gamefowl or landfowl and the waterfowl."},
      label: {en: "Fowl"},
      prefLabel: "FOWL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-FROG",
      comment: {en: "Amphibians in the order Anura."},
      label: {en: "Frog"},
      prefLabel: "FROG",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-GOAT",
      comment: {en: "A member of the Bovidae family and is closely related to the sheep."},
      label: {en: "Goat"},
      prefLabel: "GOAT",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-GOOSE",
      comment: {en: "A bird belonging to the family Anatidae"},
      label: {en: "Goose"},
      prefLabel: "GOOSE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-GROUSE",
      comment: {en: "A group of birds from the order Galliformes."},
      label: {en: "Grouse"},
      prefLabel: "GROUSE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-GUINEAFOWL",
      comment: {en: "A family of birds in the Galliformes order"},
      label: {en: "Guinea Fowl"},
      prefLabel: "GUINEAFOWL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-HARE",
      comment: {en: "Leporidaes belonging to the genus Lepus."},
      label: {en: "Hare"},
      prefLabel: "HARE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-HORSE",
      comment: {en: "a hoofed (ungulate) mammal, a subspecies of one of seven extant species of the family Equidae."},
      label: {en: "Horse"},
      prefLabel: "HORSE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-INVERTEBRATE",
      comment: {en: "Fresh or sea water invertebrate."},
      label: {en: "Invertebrate"},
      prefLabel: "INVERTEBRATE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-LAMB",
      comment: {en: "A young domestic sheep."},
      label: {en: "Lamb"},
      prefLabel: "LAMB",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-LAND_SNAIL",
      comment: {en: "A member of the molluscan class Gastropoda that have coiled shells in the adult stage and live on land."},
      label: {en: "Land Snail"},
      prefLabel: "LAND_SNAIL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-MILK_COW",
      comment: {en: "Also referred to Milk Cattle, this cow is bred to produce large quantities of Milk, from which dairy products are made."},
      label: {en: "Milk Cow"},
      prefLabel: "MILK_COW",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-MOOSE",
      comment: {en: "The largest extant species in the deer family."},
      label: {en: "Moose"},
      prefLabel: "MOOSE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-OSTRICH",
      comment: {en: "Large flightless bird native to Africa."},
      label: {en: "Ostrich"},
      prefLabel: "OSTRICH",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-OTHER",
      comment: {en: "Other animal not specified on this list."},
      label: {en: "Other"},
      prefLabel: "OTHER",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-PARTRIDGE",
      comment: {en: "Medium-sized birds, intermediate between the larger pheasants and the smaller quails."},
      label: {en: "Partridge"},
      prefLabel: "PARTRIDGE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-PHEASANT",
      comment: {en: "A bird in the subfamily of Phasianidae in the order Galliformes."},
      label: {en: "Pheasant"},
      prefLabel: "PHEASANT",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-PIGEON",
      comment: {en: "A bird in the family Columbidae."},
      label: {en: "Pigeon"},
      prefLabel: "PIGEON",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-PORK",
      comment: {en: "Meat from the domestic pig"},
      label: {en: "Pork"},
      prefLabel: "PORK",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-POUSSIN",
      comment: {en: "A young chicken, less than 28 days old at slaughter"},
      label: {en: "Poussin"},
      prefLabel: "POUSSIN",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-QUAIL",
      comment: {en: "Several genus of mid-sized birds in the pheasant family."},
      label: {en: "Quail"},
      prefLabel: "QUAIL",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-RABBIT",
      comment: {en: "Small mammals in the family Leporidae of the order Lagomorpha"},
      label: {en: "Rabbit"},
      prefLabel: "RABBIT",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-RAT",
      comment: {en: "Rats are various medium-sized, long-tailed rodents of the superfamily Muroidea."},
      label: {en: "Rat"},
      prefLabel: "RAT",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-REINDEER",
      comment: {en: "An Arctic and Subarctic-dwelling deer, widespread and numerous across the Arctic and Subarctic."},
      label: {en: "Reindeer"},
      prefLabel: "REINDEER",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-ROE_DEER",
      comment: {en: "A deer species of Europe, Asia Minor, and Caspian coastal regions."},
      label: {en: "Roe Deer"},
      prefLabel: "ROE_DEER",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-SHEEP",
      comment: {en: "Small ruminants, usually with a crimped hair called wool and often with horns forming a lateral spiral."},
      label: {en: "Sheep"},
      prefLabel: "SHEEP",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-SHELLFISH",
      comment: {en: "A fresh or sea water animal, such as a mollusk or crustacean, that has a shell or shell-like exoskeleton."},
      label: {en: "Shellfish"},
      prefLabel: "SHELLFISH",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-SNAKE",
      comment: {en: "Elongate legless carnivorous reptiles of the suborder Serpentes."},
      label: {en: "Snake"},
      prefLabel: "SNAKE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-SNIPE",
      comment: {en: "Any of nearly 20 wading bird species in three genera in the family Scolopacidae."},
      label: {en: "Snipe"},
      prefLabel: "SNIPE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-SPARROW",
      comment: {en: "Small passerine birds in the family Passeridae."},
      label: {en: "Sparrow"},
      prefLabel: "SPARROW",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-THRUSH",
      comment: {en: "Plump, soft-plumaged, small to medium-sized passerine birds."},
      label: {en: "Thrush"},
      prefLabel: "THRUSH",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-TURKEY",
      comment: {en: "A large bird in the genus Meleagris."},
      label: {en: "Turkey"},
      prefLabel: "TURKEY",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-TURTLE",
      comment: {en: "Reptiles characterised by a special bony or cartilaginous shell developed from their ribs that acts as a shield."},
      label: {en: "Turtle"},
      prefLabel: "TURTLE",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-WOODCOCK",
      comment: {en: "The woodcocks are a group of seven or eight very similar living species of wading birds in the genus Scolopax."},
      label: {en: "Woodcock"},
      prefLabel: "WOODCOCK",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :"SourceAnimalCode-YAK",
      comment: {en: "A long-haired bovine found throughout the Himalayan region of south Central Asia, the Tibetan Plateau and as far north as Mongolia."},
      label: {en: "Yak"},
      prefLabel: "YAK",
      type: "http://gs1.org/voc/SourceAnimalCode"
    term :SportingActivityTypeCode,
      label: {en: "Sporting Activity Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"SportingActivityTypeCode-AMERICAN_FOOTBALL",
      label: {en: "American Football"},
      prefLabel: "AMERICAN_FOOTBALL",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-ARCHERY",
      label: {en: "Archery"},
      prefLabel: "ARCHERY",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-BADMINTON",
      label: {en: "Badminton"},
      prefLabel: "BADMINTON",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-BASEBALL",
      label: {en: "Baseball"},
      prefLabel: "BASEBALL",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-BASKETBALL",
      label: {en: "Basketball"},
      prefLabel: "BASKETBALL",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-BOXING",
      label: {en: "Boxing"},
      prefLabel: "BOXING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-CLIMBING",
      label: {en: "Climbing"},
      prefLabel: "CLIMBING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-CRICKET",
      label: {en: "Cricket"},
      prefLabel: "CRICKET",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-CYCLING",
      label: {en: "Cycling"},
      prefLabel: "CYCLING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-DIVING",
      label: {en: "Diving"},
      prefLabel: "DIVING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-EQUESTRIAN",
      label: {en: "Equestrian"},
      prefLabel: "EQUESTRIAN",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-FENCING",
      label: {en: "Fencing"},
      prefLabel: "FENCING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-FISHING",
      label: {en: "Fishing"},
      prefLabel: "FISHING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-FOOTBALL",
      label: {en: "Football"},
      prefLabel: "FOOTBALL",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-GOLF",
      label: {en: "Golf"},
      prefLabel: "GOLF",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-GYMNASTICS",
      label: {en: "Gymnastics"},
      prefLabel: "GYMNASTICS",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-HOCKEY",
      label: {en: "Hockey"},
      prefLabel: "HOCKEY",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-ICE_HOCKEY",
      label: {en: "Ice Hockey"},
      prefLabel: "ICE_HOCKEY",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-ICE_SKATING",
      label: {en: "Ice Skating"},
      prefLabel: "ICE_SKATING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-MOTOR_CYCLING",
      label: {en: "Motor Cycling"},
      prefLabel: "MOTOR_CYCLING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-RUGBY",
      label: {en: "Rugby"},
      prefLabel: "RUGBY",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-RUNNING",
      label: {en: "Running"},
      prefLabel: "RUNNING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-SKIING",
      label: {en: "Skiing"},
      prefLabel: "SKIING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-SQUASH",
      label: {en: "Squash"},
      prefLabel: "SQUASH",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-SURFING",
      label: {en: "Surfing"},
      prefLabel: "SURFING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-SWIMMING",
      label: {en: "Swimming"},
      prefLabel: "SWIMMING",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-TENNIS",
      label: {en: "Tennis"},
      prefLabel: "TENNIS",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :"SportingActivityTypeCode-UNIDENTIFIED",
      label: {en: "Unidentified"},
      prefLabel: "UNIDENTIFIED",
      type: "http://gs1.org/voc/SportingActivityTypeCode"
    term :TargetConsumerGenderCode,
      isDefinedBy: "http://apps.gs1.org/GDD/bms/Version2_8/Pages/clDetails.aspx?semanticURN=urn:gs1:gdd:cl:TargetConsumerGenderList&release=1",
      label: {en: "Target Consumer Gender Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"TargetConsumerGenderCode-FEMALE",
      label: {en: "Female"},
      prefLabel: "FEMALE",
      type: "http://gs1.org/voc/TargetConsumerGenderCode"
    term :"TargetConsumerGenderCode-MALE",
      label: {en: "Male"},
      prefLabel: "MALE",
      type: "http://gs1.org/voc/TargetConsumerGenderCode"
    term :"TargetConsumerGenderCode-UNISEX",
      label: {en: "Unisex"},
      prefLabel: "UNISEX",
      type: "http://gs1.org/voc/TargetConsumerGenderCode"
    term :UpperTypeCode,
      label: {en: "Upper Type Code"},
      subClassOf: "http://gs1.org/voc/TypeCode"
    term :"UpperTypeCode-CLOSED_TOE_CLOSED_BACK_OPEN_INSTEP",
      label: {en: "Closed Toe Closed Back Open Instep"},
      prefLabel: "CLOSED_TOE_CLOSED_BACK_OPEN_INSTEP",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-CLOSED_TOE_OPEN_BACK",
      label: {en: "Closed Toe Open Back"},
      prefLabel: "CLOSED_TOE_OPEN_BACK",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-CLOSED_TOE_STRAP_BACK",
      label: {en: "Closed Toe Strap Back"},
      prefLabel: "CLOSED_TOE_STRAP_BACK",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-FULLY_CLOSED",
      label: {en: "Fully Closed"},
      prefLabel: "FULLY_CLOSED",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-OPEN_TOE_FULLY_CLOSED_BACK",
      label: {en: "Open Toe Fully Closed Back"},
      prefLabel: "OPEN_TOE_FULLY_CLOSED_BACK",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-OPEN_TOE_OPEN_BACK",
      label: {en: "Open Toe Open Back"},
      prefLabel: "OPEN_TOE_OPEN_BACK",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-OPEN_TOE_STRAP_BACK",
      label: {en: "Open Toe Strap Back"},
      prefLabel: "OPEN_TOE_STRAP_BACK",
      type: "http://gs1.org/voc/UpperTypeCode"
    term :"UpperTypeCode-UNCLASSIFIED",
      label: {en: "Unclassified"},
      prefLabel: "UNCLASSIFIED",
      type: "http://gs1.org/voc/UpperTypeCode"
  end
end
