# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rdaregistry.info/Elements/u/
require 'rdf'
module RDF::Vocab
  # Vocabulary for <http://rdaregistry.info/Elements/u/>
  # @!visibility private
  RDAU = Class.new(RDF::StrictVocabulary("http://rdaregistry.info/Elements/u/")) do

    # Ontology definition
    ontology :"http://rdaregistry.info/Elements/u/",
      "http://creativecommons.org/ns#licence": "https://creativecommons.org/licenses/by/4.0/deed.en_US",
      "http://purl.org/dc/elements/1.1/contributor": "RSC Technical Working Group",
      "http://purl.org/dc/elements/1.1/creator": "RDA Steering Committee",
      "http://purl.org/dc/elements/1.1/description": {en: "Properties that are derived from the elements of all of the RDA entities with semantics that are independent of the IFLA Library Reference Model."},
      "http://purl.org/dc/elements/1.1/issued": "2014-01-18",
      "http://purl.org/dc/elements/1.1/modified": "2024-09-06",
      "http://purl.org/dc/elements/1.1/publisher": "ALA Digital Reference",
      "http://purl.org/dc/elements/1.1/rights": {en: "Copyright © 2020 American Library Association, Canadian Federation of Library Associations, and CILIP: Chartered Institute of Library and Information Professionals"},
      "http://purl.org/dc/elements/1.1/title": {en: "Unconstrained properties", fi: "Rajoittamattomat RDA-ominaisuudet"},
      "http://purl.org/dc/elements/1.1/type": "http://rdaregistry.info/termList/RDALinkedDataWork/1003",
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "rdau",
      "http://www.w3.org/2002/07/owl#versionInfo": "v5.1.1",
      note: {fi: "RDA-elementeistä johdetut ominaisuudet ilman erityisiä tai implisiittisiä rajoituksia RDA-entiteeteille."},
      type: "http://www.w3.org/2002/07/owl#Ontology"

    # Property definitions
    property :P60001,
      definition: {en: "Relates an agent to a resource that is a thesis provided by the praeses in an academic disputation that is defended or opposed by a candidate for a degree.", ar: "يربط بين مصدر وباحث متقدم للحصول على درجة علمية يدافع عن أو يعارض أطروحة مقدمة من رؤساء جلسة علمية في مناظرة أكاديمية.", da: "Relaterer en kandidat til en akademisk grad, der forsvarer eller opponerer mod en tese, der er fremsat af præses i et akademisk afhandlingsforsvar til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der eine Kandidatin/ein Kandidat für einen akademischen Grad eine These, die vom Praeses in einer akademischen Disputation aufgestellt wird, verteidigt oder ablehnt.", fi: "Liittää aineistoon oppiarvoa tavoitelevan kandidaatin, joka akateemisessa väitöstilaisuudessa puolustaa tai opponoi preeseksen esittelemää väitöskirjaa.", "zh-hans-cn": "将一个行为者与作为学位论文答辩中评审人提供的一篇论文的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/respondentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60045",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is respondent of", ar: "هو مُستَجِيب لـ", da: "er respondent i", de: "ist Respondentin/Respondent von", fi: "respondentti (toimija aineistossa)", nl: "is respondent van", "zh-hans-cn": "是……的答辩人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60002,
      definition: {en: "Relates an agent to a resource that is a thesis or dissertation associated with an academic degree that is approved by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن أطروحة للحصول على درجة أكاديمية معتمدة من وكيل.", da: "Relaterer en korporation der tildeler en akademisk grad til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um eine Hochschulschrift handelt, die von einem Akteur genehmigt wird und mit einem akademischen Grad in Verbindung steht.", fi: "Liittää toimijan aineistoon, joka on yhteisön hyväksymä akateemisen oppiarvon opinnäyte tai väitöskirja.", "zh-hans-cn": "将一个行为者与作为和被一个行为者批准的学位有关的有一篇学位论文的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeGrantingInstitutionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60060",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is degree granting institution of", ar: "هي مؤسسة مانحة درجة لـ", da: "er tildelende institution for", de: "ist grad-verleihende Institution von", fi: "oppiarvon myöntävä yhteisö (aineistoon liittyvä yhteistoimija)", nl: "is graadverstrekkende instantie van", "zh-hans-cn": "是……的学位授予机构"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60003,
      definition: {en: "Relates an agent to a resource that arises from a conference, exhibition, or other event that is hosted by an agent with little or no responsibility for the content.", ar: "يربط وكيلًا يستضيف حدثًا، معرضًا، مؤتمرًا...إلخ، مما يؤدي إلى وجود مصدر.", da: "Relaterer en korporation, der afholder en event, udstilling, konference, etc., der fører til en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der der Akteur eine Veranstaltung, eine Ausstellung, eine Konferenz und so weiter ausrichtet, aus der eine Ressource hervorgeht.", fi: "Liittää toimijan aineistoon, jolle alun antavan konferenssin, näyttelyn tai muun tapahtuman toimija sännöi, mutta jonka sisällöstä toimijalla on vähän tai ei lainkaan vastuuta.", "zh-hans-cn": "将一个行为者与一个行为者承办但对内容没有或很少责任的会议、展览或其他活动所产生的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hostInstitutionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60061",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is host institution of", ar: "هي مؤسسة مُضيفة لـ", da: "er værtsinstitution for", de: "ist gastgebende Institution von", fi: "isäntäorganisaatio (aineistoon liittyvä yhteistoimija)", nl: "is hostorganisatie van", "zh-hans-cn": "是……的承办机构"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60004,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for managing the financial, technical, and organizational aspects of a production for stage, screen, sound recording, television, webcast, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل إدارة الجوانب المالية، التقنية، والتنظيمية لإنتاج من أجل المسرح، شاشة العرض، التسجيل الصوتي، التلفزيون، البث عبر الإنترنت...إلخ.", da: "Relaterer en korporation, der er ansvarlig for økonomisk, teknisk og organisatorisk ledelse af en produktion beregnet til scene, lærred, lydoptagelse, tv, webcast etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung des Akteurs verbunden ist, das Management für die finanziellen, technischen und organisatorischen Aspekte einer Produktion für die Bühne, die Leinwand, die Tonaufnahme, das Fernsehen, für einen Webcast und so weiter zu verwalten.", fi: "Liittää toimijan aineistoon, jossa hän vastaa kuvien tallentamisesta joko sähköisesti tai filmille tai videolle, usein myös valaistuksen valitsemisesta ja järjestämisestä.", "zh-hans-cn": "将一个行为者与涉及一个行为者对舞台、播放、录音、电视、网络直播等制作的资金、技术和组织方面管理的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionCompanyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60062",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is production company of", ar: "هي شركة إنتاج لـ", da: "er produktionsselskab for", de: "ist Produktionsfirma von", fi: "tuotantoyhtiö (aineistoon liittyvä yhteistoimija)", nl: "is productiebedrijf van", "zh-hans-cn": "是……的制作公司"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60005,
      definition: {en: "Relates an agent to a resource of a court governed by court rules, regardless of their official nature to a resource.", ar: "يربط بين وكيل ومصدر من مصادر المحكمة يخضع للوائح المحاكم، دون النظر إلى الطابع الرسمي بأحد المصادر.", da: "Relaterer en retsinstans underlagt retsregler, uanset hvad deres officiele art er til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource eines Gerichts, das durch gerichtliche Verfahrensvorschriften geregelt wird, unabhängig von deren förmlicher Rechtsnatur.", fi: "Liittää toimijan tuomioistuimen sääntöjen ohjaamaan tuomioistuinaineistoon riippumatta siitä, mikä on sääntöjen virallinen suhde aineistoon.", "zh-hans-cn": "将一个行为者与一个通过法院规则（不管其与资源的正式性质）受管辖的法院的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/courtGovernedOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60065",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is court governed of", ar: "هي محكمة خاضعة لـ", da: "er retsinstans underlagt", de: "ist durch Verfahrensvorschriften geregeltes Gericht von", fi: "sääntöjen ohjaaman tuomioistuimen päätös aineistossa", nl: "is hof geregeerd van", "zh-hans-cn": "是……的受管辖的法院"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60006,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for collecting by selecting and arranging resources that are other resources.", ar: "يربط بين وكيل ومصدر تم تجميعه مع مصادر من مصادر مختلفة رُتبت، وُصفت، وفُهرست كمجموعة.", da: "Relaterer en kurator der sammenfører ressourcer fra forskellige kilder, som så bliver arrangeret, beskrevet og katalogiseret som en samling til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die von einem Akteur mit Ressourcen aus unterschiedlichen Quellen zusammengetragen wird, die dann als Sammlung geordnet, beschrieben oder katalogisiert werden.", fi: "Liittää toimijan aineistoon, jossa hän vastaa uuden teoksen, kuten bibliografian tai hakemiston luomisesta valitsemalla, järjestämällä, koostamalla ja toimittamalla dataa, informaatiota tms.", "zh-hans-cn": "将一个行为者与涉及一个行为者通过选择和整理作为其他资源的资源而对收藏负责的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60066",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is collector of", ar: "هو جامع لـ", da: "er samler af", de: "ist Sammlerin/Sammler von", fi: "aineiston kokoaja (toimija)", nl: "is verzamelaar van", "zh-hans-cn": "是……的收藏者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60007,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for creating a metadata resource.", ar: "يربط بين أَمِين معرض ومصدر مدرج في القائمة أو تم جرده في مصدر تجميعي مثل مجموعة من المصادر.", da: "Relaterer en kurator der lister eller opstiller ressourcerne i en samlingsressource, som fx en samling af ressourcer til en ressource.", de: "Setzt eine Kuratorin/einen Kurator in Beziehung zu einer Ressource, die als aggregierte Ressource verzeichnet oder inventarisiert wird, wie zum Beispiel eine Sammlung von Ressourcen.", fi: "Liittää aineistoon toimijan, joka vastaa metatietoteoksen luomisesta.", "zh-hans-cn": "将一个行为者与涉及创建一种元数据资源的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collectionRegistrarOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60067",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is collection registrar of", ar: "هو مسجل مجموعة لــ", da: "er samlingsregistrator af", de: "ist Registrarin/Registrar von", fi: "kokoelman luetteloija (toimija) aineistossa", nl: "is collectieregistrator van", "zh-hans-cn": "是……的收藏登记者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60657",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60008,
      definition: {en: "Relates an agent to a resource that is deposited into the custody of another agent without transferring ownership.", ar: "يربط بين وكيل ومصدر تم إيداعه في عهدة وكيل آخَر دون نقل الملكية.", da: "Relaterer en nuværende ejer af en ressource deponeret i forvaring hos en anden agent, men der beholder det oprindelige ejerskab til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die in die Obhut eines anderen Akteurs gegeben wird, ohne das Eigentumsrecht zu übertragen.", fi: "Liittää toimijan aineistoon, jokaon luovutettu toisen toimijan haltuun siirtämättä omistajuutta.", "zh-hans-cn": "将一个行为者与被委托给另一个行为者保管但未转让所有权的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/depositorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60068",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is depositor of", ar: "هو مُودِع لـ", da: "er depositor af", de: "ist Leihgeberin/Leihgeber von", fi: "aineiston tallettaja (toimija)", nl: "is bruikleengever van", "zh-hans-cn": "是……的托存者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60628",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60009,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for the general management and supervision of a filmed performance.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الإدارة العامة والإشراف على أداء مصور.", da: "Relaterer en instruktør der er ansvarlig for ledelse og tilsyn med en filmoptagelse til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das allgemeine Management und die Leitung einer verfilmten Darbietung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa elokuvan yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一个行为者与涉及拍摄表演的总体管理和监督的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60084",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is film director of", ar: "هو مخرج فيلم لـ", da: "er filminstruktør af", de: "ist Filmregisseurin/Filmregisseur von", fi: "elokuvan ohjaaja (toimija) aineistossa", nl: "is filmregisseur van", "zh-hans-cn": "是……的电影导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60673",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60010,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for the general management and supervision of a radio program.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل الإدارة العامة والإشراف على برنامج إذاعي.", da: "Relaterer en instruktør der er ansvarlig for ledelse og tilsyn med et radioprogram til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das allgemeine Management und die Leitung einer Hörfunksendung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa radio-ohjelman yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一个行为者与涉及广播节目的总体管理和监督的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60085",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is radio director of", ar: "هو مخرج إذاعي لـ", da: "er radioinstruktør af", de: "ist Hörfunkregisseurin/Hörfunkregisseur von", fi: "radio-ohjaaja (toimija) aineistossa", nl: "is radioregisseur van", "zh-hans-cn": "是……的广播导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60673",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60011,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for the general management and supervision of a television program.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل الإدارة العامة والإشراف على برنامج تليفزيوني.", da: "Relaterer en instruktør der er ansvarlig for ledelse og tilsyn med et tv-program til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das allgemeine Management und die Leitung einer Fernsehsendung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa televisio-ohjelman esityksen yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一个行为者与涉及电视节目的总体管理和监督的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60086",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is television director of", ar: "هو مخرج تلفزيوني لـ", da: "er tv-instruktør af", de: "ist Fernsehregisseurin/Fernsehregisseur von", fi: "telvisio-ohjaaja (toimija) aineistossa", nl: "is televisieregisseur van", "zh-hans-cn": "是……的电视导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60673",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60012,
      definition: {en: "Relates an agent to a resource donated to another owner.", ar: "يربط بين وكيل ومصدر تم التبرع به إلى مالك آخَر.", da: "Relaterer en tidligere ejer af en ressource, der donerede den ressource til en anden ejer til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die einer anderen Eigentümerin/einem anderen Eigentümer überlassen wurde.", fi: "ittää toimijan aineistoon, jonka toimija on lahjoittanut toiselle omistajalle.", "zh-hans-cn": "将一个行为者与被捐赠给另一个拥有者的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/donorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60091",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is donor of", ar: "هو مانح لـ", da: "donor af", de: "ist Stifterin/Stifter von", fi: "aineiston lahjoittaja (toimija)", nl: "is schenker van", "zh-hans-cn": "是……的捐赠者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60630",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60013,
      definition: {en: "Relates an agent to a resource that is sold to another owner who is an agent.", ar: "يربط بين وكيل ومصدر تم بيعه إلى مالك آخَر وكيل.", da: "Relaterer en tidligere ejer af en ressource, der solgte den ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die an eine andere Eigentümerin/einen anderen Eigentümer (Akteur) verkauft wird.", fi: "Liittää toimijan aineistoon, jonka toimija on myynyt toiselle omistajalle.", "zh-hans-cn": "将一个行为者与被出售给另一个拥有者的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sellerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60092",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is seller of", ar: "هو بائع لـ", da: "er sælger af", de: "ist Verkäuferin/Verkäufer von", fi: "aineiston myyjä (toimija)", nl: "is verkoper van", "zh-hans-cn": "是……的出售者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60630",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60014,
      definition: {en: "Relates an agent to a resource that is a law, regulation, constitution, court rule, etc. enacted by a government body.", ar: "يربط بين وكيل ومصدر هو قانون، لائحة، دستور، حكم محكمة...إلخ، تسنه هيئة حكومية.", da: "Relaterer en jurisdiktion der vedtager en lov, forordning, forfatning, retsplejeregel etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Gesetz, eine Verordnung, eine Verfassung, eine Rechtsverordnung und so weiter handelt, das/die von einer Regierung erlassen wird.", fi: "Liittää toimijan valtiovallan aineistoon, kuten lakiin, asetukseen, perustuslakiin, tuomioistuinta koskevaan sääntöön tms.", "zh-hans-cn": "将一个行为者与作为政府机构颁布的法律、法规、法院规则等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/enactingGovernmentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60096",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is enacting government of", ar: "هي هيئة سن التشريعات لـ", da: "er udøvende jurisdiktion af", de: "ist normerlassende Gebietskörperschaft von", fi: "säätävän hallintoelimen päätös", nl: "is vaststellende jurisdictie van", "zh-hans-cn": "是……的颁布政府"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60015,
      altLabel: {en: "is jurisdiction governed of"},
      definition: {en: "Relates a place to an agent who is a government of a place.", ar: "يربط بين وكيل ومكان يخضع لسلطة قضائية يحكمها قانون، لائحة تنظيمية...إلخ، سنتها حكومة أخرى.", da: "Relaterer en jurisdiktion, der er underlagt en lov, forordning etc., der var vedtaget af en anden domsmyndighed til en ressource.", de: "Setzt einen Akteur in Beziehung zu einem Geografikum, das durch ein Gesetz, eine Verordnung und so weiter geregelt wird, das/die von einer anderen Regierung erlassen wurde.", fi: "Liittää toimijan paikkaan, joka on toisen julkishallinnollisen yhteisön säätämien lakien, asetusten tms. alainen.", "zh-hans-cn": "将一个地点与作为根据另一个政府所颁布的法律、法规等管理的一个辖区的政府的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeGovernedOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60097",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place governed by", ar: "هو نطاق جغرافى خاضع لـ", da: "er jurisdiktion underlagt", de: "ist geregelte Gebietskörperschaft von", fi: "soveltava lainkäyttöalue yhteisölle", nl: "is jurisdictie geregeerd van", "zh-hans-cn": "是……的所管理辖区"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60016,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of leading of a performing group in a musical or dramatic presentation, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في قيادة فرقة عزف في عرض موسيقي أو درامي...إلخ.", da: "Relaterer en udøver, der bidrager til en musikalsk ressource ved at lede en udøvende gruppe i en musikalsk eller dramatisk præsentation etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er ein aufführendes Ensemble in einer musikalischen oder dramatischen Darbietung und so weiter leitet.", fi: "Liittää toimijan aineistoon, jonka tekemisessä toimija on osallisena johtamalla esiintyjäryhmän esiintymistä musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一个行为者与包括领导音乐或戏剧呈现中的一个表演团体的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60843", "http://rdaregistry.info/Elements/u/P60845"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/conductorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60141",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is conductor of", ar: "هو مايسترو لـ", da: "er dirigent af", de: "ist Dirigentin/Dirigent von", fi: "johtajana aineistossa", nl: "is dirigent van", "zh-hans-cn": "是……的指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60017,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of acting as a cast member or player in a musical or dramatic presentation.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل يعمل كعضو فريق تمثيل أو كعازف في عرض موسيقي أو درامي.", da: "Relaterer en udøver, der bidrager til en ressource ved at være skuespiller eller musiker i en musikalsk eller dramatisk præsentation etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er als Ensemble-Mitglied oder Darstellerin/Darsteller in einer musikalischen oder dramatischen Darbietung fungiert.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu näyttelemällä musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一个行为者与包括在音乐或戏剧呈现中扮演角色或演奏的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60027",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/actorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60142",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is actor of", ar: "هو ممثل لـ", da: "er skuespiller i", de: "ist Schauspielerin/Schauspieler von", fi: "näyttelijänä aineistossa", nl: "is acteur van", "zh-hans-cn": "是……的演员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60018,
      definition: {en: "Relates a performer who contributes to a resource by appearing on screen to provide contextual or background information. an on-screen presenter may appear in nonfiction moving image materials or in introductions to fiction moving image materials to a resource.", ar: "يربط مؤدٍ يُساهم في مصدر من خلال الظهور على الشاشة لتقديم معلومات تتعلق بالسياق أو الخلفية. قد يظهر مقدم عرض على الشاشة في مواد الصور المتحركة غير الخيالية أو أثناء تقديم مواد لصور متحركة خيالية إلى أحد المصادر.", da: "Relaterer en udøver, der bidrager til en ressource ved at optræde på en skærm for at give kontekstuel- eller baggrundsinformation til en ressource.", de: "Setzt eine Ausführende/einen Ausführenden in Beziehung zu einer Ressource, zu der sie/er beiträgt, indem sie/er auf dem Bildschirm erscheint, um Kontext- und Hintergrundinformationen zu liefern.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu esiintymällä televisiossa tai elokuvassa taustatiedon antajana.", "zh-hans-cn": "将通过出现在屏幕上提供语境或背景信息对一种资源有贡献的一个表演者（屏幕主持人可出现在非虚构动态图像资料中或者在虚构动态图像资料的介绍中）与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60825",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onscreenPresenterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Appearance in nonfiction moving image materials or in introductions to fiction moving image materials is included. Appearance on screen in a non-performing role is excluded.", ar: "يتضمن الظهور في مواد الصور المتحركة غير الخيالية أو أثناء تقديم مواد لصور متحركة خيالية. يُستبعد من ذلك الظهور على الشاشة في دور غير مؤدِ.", da: "En programvært kan optræde i levende billedmaterialer af faktuel karakter eller i introduktioner til levende billedmaterialer af fiktiv karakter. Optræden på skærmen i en ikke-optrædende rolle er ikke omfattet.", de: "Darunter fallen Auftritte in nicht-fiktionalen Bewegtbildmaterialien oder in Einführungen zu fiktionalen Bewegtbildmaterialien. Darunter fallen keine Bildschirmauftritte in einer passiven Rolle.", fi: "Koskee ei-fiktiivisessä elokuvassa tai fiktiivisen elokuvan johdannossa esiintymistä. Ei koske esiintymistä ei-esittävässä roolissa.", "zh-hans-cn": "包括在非虚构动态图像资料中或者在虚构动态图像资料的介绍中的出现。不包括在屏幕中作为非表演角色的出现。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60143",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is onscreen presenter of", ar: "هو مقدم على الشاشة لـ", da: "er programvært på skærmen i", de: "ist On-Screen-Präsentatorin/On-Screen-Präsentator von", fi: "esittelijänä aineistossa", nl: "is presentator in beeld van", "zh-hans-cn": "是……的屏幕主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60019,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of dancing in a musical or dramatic presentation.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالرقص في عرض موسيقي أو درامي.", da: "Relaterer en udøver, der bidrager til en ressource ved at danse i en musikalsk, dramatisk etc. præsentation til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er in einer musikalischen oder dramatischen Darbietung tanzt.", fi: "Liittää toimijan aineistoon jonka tekemiseen hän osallistuu tanssimalla musiikki- tai näyttämöesityksessä.", "zh-hans-cn": "将一个行为者与包括在音乐或戏剧呈现中舞蹈的行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dancerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60144",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dancer of", ar: "هو راقص لـ", da: "er danser i", de: "ist Tänzerin/Tänzer von", fi: "tanssijana aineistossa", nl: "is danser van", "zh-hans-cn": "是……的舞蹈者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60020,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of teaching or providing a demonstration.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالتدريس أو تقديم عرض توضيحي.", da: "Relaterer en udøver, der bidrager til en ressource ved at give instruktion eller demonstration til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er unterrichtet oder etwas demonstriert.", fi: "Liittää toimijan aineistoon jonka tekemiseen hän osallistuu opettamalla tai esittelemällä.", "zh-hans-cn": "将一个行为者与包括教学或提供演示的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instructorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60145",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is instructor of", ar: "هو مُحاضر لـ", da: "er lærer i", de: "ist Ausbilderin/Ausbilder von", fi: "opettaja", nl: "is instructeur van", "zh-hans-cn": "是……的教师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60021,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent who is a performer of leading a program, often broadcast, that includes other performers.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في إدارة برنامج، غالبًا مُذاع، ويستضيف ضيوفا وفنانين ووكلاء آخرين.", da: "Relaterer en udøver, der bidrager til en ressource ved at lede et program, ofte transmitteret, der inkluderer andre gæster, optrædende etc. til en ressource", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine Veranstaltung (meist eine Sendung) leitet, an der auch andere Ausführende teilnehmen.", fi: "Liittää toimijan aineistoon, jonka tekemiseen toimija, joka on esittäjä, osallistuu (useimmiten lähetettyyn) ohjelmaan, johon osallistuu muita esiintyjiä.", "zh-hans-cn": "将一个行为者与包括作为一个表演者通过主导节目（经常是广播节目）并包括其他表演者的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hostOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60146",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is host of", ar: "هو مُضيف لـ", da: "er vært for", de: "ist Gastgeberin/Gastgeber von", fi: "juontajana aineistossa", nl: "is gastgever van", "zh-hans-cn": "是……的主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60022,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of leading a program, often broadcast, where topics are discussed, usually with participation of experts in fields related to the discussion.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في إدارة برنامج، غالبًا مُذاع، حيث تتم مناقشة موضوعات، عادةً بمشاركة خبراء في المجالات المتعلقة بموضوع النقاش.", da: "Relaterer en udøver, der bidrager til en ressource ved at lede et program, ofte transmitteret, hvor emner diskuteres, normalt med deltagelse af fagfolk indenfor felter, der er relateret til diskussionen, til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine Veranstaltung (meist eine Sendung) leitet, in der Themen üblicherweise mit Expertinnen/Experten diskutiert werden.", fi: "Liittää toimijan aineistoon jonka tekemiseen hän osallistuu juontamalla (useimmiten lähetettyä) ohjelmaa, jossa keskustellaan eri aiheista tavallisesti keskusteluun liittyvien aiheiden asiantuntijoiden kanssa.", "zh-hans-cn": "将一个行为者与包括主导节目（经常是广播节目，其中讨论话题，通常有讨论相关领域专家参与）的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/moderatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60147",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is moderator of", ar: "هو رئيس جلسة لـ", da: "er ordstyrer i", de: "ist Moderatorin/Moderator von", fi: "moderoijana aineistossa", nl: "is moderator van", "zh-hans-cn": "是……的谈话类节目主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60023,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of manipulating, controlling, or directing puppets or marionettes in a moving image production or a musical or dramatic presentation or entertainment", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في اللعب بالعرائس أو الدمى المتحركة أو التحكم فيها، أو توجيهها في إنتاج لصور متحركة أو في عرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en udøver der bidrager til en ressource ved at manipulere, kontrollere, eller føre dukker eller marionetter i en levende billedproduktion eller en musikalsk eller dramatisk præsentation eller underholdning til en ressource", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Puppen oder Marionetten in einer Bewegtbildproduktion oder einer musikalischen oder dramatischen Darbietung oder Aufführung bewegt, kontrolliert oder lenkt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu käsittelemällä, kontrolloimalla tai ohjaamalla nukkeja tai marionetteja elokuvatuotannossa tai musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一个行为者与包括在动态图像制作或者音乐或戏剧呈现或娱乐中操纵、控制、指引木偶的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/puppeteerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60148",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is puppeteer of", ar: "هو محرك عرائس لـ", da: "er dukkefører i", de: "ist Puppenspielerin/Puppenspieler von", fi: "nukettajana aineistossa", nl: "is poppenspeler van", "zh-hans-cn": "是……的木偶表演者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60024,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of participating in a program, often broadcast, where topics are discussed, usually with participation of experts in fields related to the discussion.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالمشاركة في برنامج، غالبًا مُذاع، حيث تتم مناقشة موضوعات، عادةً بمشاركة خبراء في المجالات المتعلقة بموضوع النقاش.", da: "Relaterer en udøver der bidrager til en ressource ved at deltage i et program, ofte transmitteret, hvor emner diskuteres, normat med deltagelse af fagfolk indenfor felter, der er relateret til diskussionen til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er an einer Veranstaltung (meist in einer Sendung) teilnimmt, in der Themen üblicherweise mit Expertinnen/Experten diskutiert werden.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu panelistina (useimmiten lähetetyssä) ohjelmassa, jossa keskustellaan eri aiheista tavallisesti keskusteluun liittyvien aiheiden asiantuntijoiden kanssa.", "zh-hans-cn": "将一个行为者与包括参与节目（经常是广播节目，其中讨论话题，通常有讨论相关领域专家参与）一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/panelistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60149",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is panelist of", ar: "هو مشارك في برنامج لـ", da: "er paneldeltager i", de: "ist Diskussionsteilnehmerin/Diskussionsteilnehmer von", fi: "panelistina aineistossa", nl: "is panellid van", "zh-hans-cn": "是……的访谈嘉宾"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60025,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of playing a musical instrument.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالعزف على آلة موسيقية.", da: "Relaterer en udøver der bidrager til en ressource ved at spille et musikinstrument til en ressource", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er ein Musikinstrument spielt.", fi: "Liittää toimijan aineistoon jonka tekemiseen hän osallistuu soittamalla soitinta.", "zh-hans-cn": "将一个行为者与包括演奏乐器的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instrumentalistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60150",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is instrumentalist of", ar: "هو عَازِف لـ", da: "er musiker i", de: "ist Instrumentalmusikerin/Instrumentalmusiker von", fi: "instrumentalistina aineistossa", nl: "is instrumentalst van", "zh-hans-cn": "是……的乐器演奏者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60026,
      definition: {en: "Relates a performer who contributes to a resource by providing interpretation, analysis, or a discussion of the subject matter on a recording, film, or other audiovisual medium to a resource.", ar: "يربط بين مصدر ومؤدِ يُساهم بأحد المصادر من خلال تقديم تفسير للموضوع، أو تحليله، أو مناقشته على تسجيل أو على فيلم، أو على أي وسيط سمعي بصري آخر.", da: "Relaterer en udøver der bidrager til en ressource ved at give en fortolkning, analyse, eller diskussion af det emne, der behandles i en optagelse, film eller andet audiovisuelt medium til en ressource.", de: "Setzt eine Ausführende/einen Ausführenden in Beziehung zu einer Ressource, indem sie/er zu einer Ressource beiträgt, indem sie/er in einer Aufnahme, in einem Film oder in einem anderen audiovisuellen Medium eine Interpretation, eine Analyse oder eine Diskussion des Themas präsentiert.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu tulkitsemalla tai analysoimalla äänitteen, elokuvan tai muun audiovisuaalisen aineiston aihetta tai keskustelemalla siitä.", "zh-hans-cn": "将一个通过提供关于录像、电影或其他视听媒介中的主要内容之解释、分析或讨论的而对一种资源有贡献的一个表演者与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commentatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60151",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is commentator of", ar: "هو مُعلِق لـ", da: "er kommentator i", de: "ist Kommentatorin/Kommentator von", fi: "kommentaattorina aineistossa", nl: "is commentator van", "zh-hans-cn": "是……的解说员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60027,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of providing the voice for characters in radio and audio productions and for animated characters in moving image resources, as well as voice-overs in radio and television commercials, dubbed resources, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالتمثيل الصوتي لشخصيات في الإنتاج الإذاعي والسمعي وللشخصيات الكرتونية في أعمال الصور المتحركة، إضافة إلى التعليق الصوتي في إعلانات الإذاعة والتليفزيون، والتعبيرات المدبلجة...إلخ.", da: "Relaterer en skuespiller, der har bidraget til en ressource ved at lægge stemme til figurer i radio- og audioproduktioner og til animerede figurer i levende billed-ressourcer, og ved at indtale voice-overs i radio- og tv-reklamer, eftersynkroniserede ressourcer etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er seine Stimme Charakteren in Hörfunk- und Audioproduktionen und animierten Charakteren in Bewegtbildwerken leiht und Begleitkommentare in Hörfunk- oder Fernsehwerbung, untertitelten Expressionen und so weiter zur Verfügung stellt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu antamalla äänen hahmoille radio- ja äänituotannoissa ja animoiduille hahmoille elokuva-aineistoissa sekä esiintymällä radio- ja TV-mainoksissa, dubatuissa aineistoissa tms.", "zh-hans-cn": "将一个行为者与包括为在广播和音频制作中的角色和为动态图像作品中的动画角色提供人声以及为广播和电视广告提供画外音、配音等的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/voiceActorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60152",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is voice actor of", ar: "هو مُمثل صوتي لـ", da: "er dubber i", de: "ist Sprecherin/Sprecher einer Rolle von", fi: "ääninäyttelijänä aineistossa", nl: "is stemacteur van", "zh-hans-cn": "是……的声音演员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60017",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60028,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of reading aloud or giving an account of an act, occurrence, or other event.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالقراءة بصوت مرتفع أو بسرد فصل من مسرحية، واقعة، أو حدث آخر.", da: "Relaterer en udøver der bidrager til en ressource ved at læse højt eller berette om en handling, en hændelse, et begivenhedsforløb, etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er vorliest oder eine Handlung, ein Geschehnis oder ein anderes Ereignis schildert.", fi: "Liittää henkilön aineistoon, jonka tekemiseen hän osallistuu lukemalla ääneen tai kertomalla toiminnasta, tapahtumasta, tapahtumien kulusta tms.", "zh-hans-cn": "将一个行为者与包括有朗读或描述行为、事情或其他事件的行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/narratorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60153",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is narrator of", ar: "هو راوٍ لـ", da: "er fortæller i", de: "ist Erzählerin/Erzähler von", fi: "kertojana aineistossa", nl: "is verteller van", "zh-hans-cn": "是……的旁白者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60029,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent who is a performer of relaying a story with dramatic or theatrical interpretation.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل يقوم بنقل قصة أصلية ووصفها بصورة درامية أو مسرحية.", da: "Relaterer en udøver der bidrager til en ressource ved at give en ophavspersons oprindelige historie med dramatisk eller teatralsk fortolkning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine Geschichte mit dramatischer oder theatralischer Interpretation wiedergibt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu esittäjänä tekijän alkuperäisen tarinan draamallisella tai teatraalisella tulkinnalla.", "zh-hans-cn": "将一个行为者与包括有作为表演者用戏剧化解释转达故事的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/storytellerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60154",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is storyteller of", ar: "هو راوي قصص لـ", da: "er historiefortæller i", de: "ist Geschichtenerzählerin/Geschichtenerzähler von", fi: "tarinankertojana aineistossa", nl: "is verhalenverteller van", "zh-hans-cn": "是……的说书人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60030,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of speaking words, such as a lecture, speech, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالتحدث بكلمات، كما في محاضرة، خطبة، إلخ.", da: "Relaterer en udøver der bidrager til en ressource ved at fremføre ord, fx en forelæsning, tale, etc. til en ressource", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Worte, wie zum Beispiel einen Vortrag, eine Rede oder ähnliches, spricht.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu puhumalla, kuten luennoimalla tai pitämällä puheen tms.", "zh-hans-cn": "将一个行为者与包括有诸如讲座和演讲之类讲话的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/speakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60155",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is speaker of", ar: "هو متحدث لـ", da: "er taler i", de: "ist Rednerin/Redner von", fi: "puhujana aineistossa", nl: "is spreker van", "zh-hans-cn": "是……的演说者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60031,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent who is a performer of voice, with or without instrumental accompaniment, to produce music.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل يقوم بأداء صوتي، بمصاحبة أو دون مصاحبة آلة موسيقية، لإنتاج أغنية.", da: "Relaterer en udøver der bidrager til en ressource ved at bruge sin stemme, med eller uden instrumentalledsagelse, til at skabe musik til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er durch seine Singstimme, mit oder ohne instrumentale Begleitung, Musik erzeugt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu esiintymällä lauluäänellä (soitinsäestyksellä tai ilman) tuottaakseen musiikkia.", "zh-hans-cn": "将一个行为者与包括作为人声表演者（不管是否有乐器伴奏）产生音乐的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/singerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60156",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is singer of", ar: "هو مغنِ لـ", da: "er sanger i", de: "ist Sängerin/Sänger von", fi: "laulajana ainestossa", nl: "is zanger van", "zh-hans-cn": "是……的演唱者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60615",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60032,
      definition: {en: "Relates an agent held to be a channel of communication between the earthly world and a world of spirits to a resource.", ar: "يربط بين وكيل يعمل بوصفه قناة اتصال بين العالم الأرضي وعالم الأرواح وأحد المصادر.", da: "Relaterer en agent der siges at være en kanal for kommunikation mellem den jordiske verden og en åndevereden, til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der der der Akteur für sich in Anspruch nimmt, als Kommunikationskanal zwischen der irdischen Welt und einer Geisterwelt zu dienen.", fi: "Liittää aineistoon toimijan, jota pidetään kanavana henkimaailman ja maallisen maailman välillä.", "zh-hans-cn": "将一个被认为是现实世界和精神世界之间通讯渠道的一个行为者与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mediumOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60157",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is medium of", ar: "هو وسيط روحاني لـ", da: "er medie i", de: "ist Channel von", fi: "meediona aineistossa", nl: "is medium van", "zh-hans-cn": "是……的通灵者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60033,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for most of the business aspects of the production of a film.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن معظم الجوانب التجارية لإنتاج فيلم.", da: "Relaterer en producer, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved en film til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten geschäftlichen Aspekte bei der Produktion eines Films verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa suurimmasta osasta elokuvan liiketoimintaa.", "zh-hans-cn": "将一个行为者与涉及电影制作的大部分商业运作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmProducerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60169",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is film producer of", ar: "هو منتج الفيلم لـ", da: "er filmproducer af", de: "ist Filmproduzentin/Filmproduzent von", fi: "elokuvatuottajana aineistossa", nl: "is filmproducent van", "zh-hans-cn": "是……的电影制作人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60668",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60034,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for most of the business aspects of the production of a radio program.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن معظم الجوانب التجارية لإنتاج برنامج إذاعي.", da: "Relaterer en producer der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved et radioprogram, til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten geschäftlichen Aspekte einer Hörfunksendung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa suurimmasta osasta radio-ohjelman liiketoimintaa.", "zh-hans-cn": "将一个行为者与涉及广播节目制作的大部分商业运作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioProducerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60170",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is radio producer of", ar: "هو منتج إذاعي لـ", da: "er radioproducer af", de: "ist Hörfunkproduzentin/Hörfunkproduzent von", fi: "radiotuottajana aineistossa", nl: "is radioproducent van", "zh-hans-cn": "是……的广播制作人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60668",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60035,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for most of the business aspects of the production of a television program.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن معظم الجوانب التجارية لإنتاج برنامج تليفزيوني.", da: "Relaterer en producer der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved et tv-program, til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten geschäftlichen Aspekte einer Fernsehsendung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa suurimmasta osasta televisio-ohjelman liiketoimintaa.", "zh-hans-cn": "将一个行为者与涉及电视节目制作的大部分商业运作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionProducerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60171",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is television producer of", ar: "هو منتج تليفزيوني لـ", da: "er tv-producer af", de: "ist Fernsehproduzentin/Fernsehproduzent von", fi: "televisiotuottajana aineistossa", nl: "is televisieproducent van", "zh-hans-cn": "是……的电视制作人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60668",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60036,
      definition: {en: "Relates an agent to a nomen that is a pseudonym or other appellation used by an agent.", ar: "يربط بين وكيل وتسمية قد تكون اسما مستعارا أو أي تسمية أخرى يستخدمها وكيل.", da: "Relaterer en pseudonym eller anden identitet antaget af en person til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Nomen, bei dem es sich um ein Pseudonym oder eine andere, von einem Akteur verwendete, Bezeichnung handelt.", fi: "Liittää toimijan nomeniin, joka on pseudonyymi tai toimijan käyttämä muu nimitys.", "zh-hans-cn": "将一个行为者与作为一个行为者所使用的一个化名或其他称谓的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/alternateIdentity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has alternate identity", ar: "له هوية بديلة", da: "har alternativ identitet", de: "hat andere Identität", fi: "vaihtoehtoinen identiteetti", nl: "heeft alternatieve identiteit", "zh-hans-cn": "有交替身份"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60037,
      definition: {en: "Relates an agent to a nomen that is a real appellation of an agent who uses another nomen.", ar: "يربط وكيل حقيقي يدّعي هوية بديلة لوكيل", da: "Relaterer en virkelig agent der antager en alternativ identitet til en agent.", de: "Setzt einen realen Akteur, der eine andere Identität annimmt, in Beziehung zu einem Akteur.", fi: "Liittää todellisen toimijan oletettuun vaihtoehtoiseen identiteettiin.", "zh-hans-cn": "将一个行为者与作为使用另一个命名的一个行为者的一个真实称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/realIdentity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has real identity", ar: "له هوية حقيقية", da: "har virkelig identitet", de: "hat wirkliche Identität", fi: "todellinen identiteetti", nl: "heeft echte identiteit", "zh-hans-cn": "有真实身份"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60045,
      definition: {en: "Relates a resource to an agent who is a candidate for a degree who defends or opposes a thesis provided by the praeses in an academic disputation.", ar: "يربط مصدر بوكيل باحث للحصول على درجة علمية يدافع عن أو يعارض أطروحة مقدمة من رؤساء جلسة علمية في مناظرة أكاديمية.", da: "Relaterer en ressource til en kandidat til en akademisk grad, der forsvarer eller opponerer mod en tese, der er fremsat af præses i et akademisk afhandlingsforsvar.", de: "Setzt eine Ressource in Beziehung zu einer Kandidatin/einem Kandidaten für einen akademischen Grad, die/der eine These, die vom Praeses in einer akademischen Disputation aufgestellt wird, verteidigt oder ablehnt.", fi: "Liittää aineiston toimijaan, joka on oppiarvoa tavoitteleva kandidaatti, joka puolustaa tai opponoi preeseksen akateemisessa väitöstilaisuudessa esittelemää väitöskirjaa.", "zh-hans-cn": "将一种资源与作为学位候选人对在学位论文答辩中评审人提供的一篇论文提出支持或反对的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/respondent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has respondent", ar: "له مُستَجِيب", da: "har respondent", de: "hat Respondentin/Respondent", fi: "respondentti", nl: "heeft respondent", "zh-hans-cn": "有答辩人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60046,
      definition: {en: "Relates a name to a categorization indicating that a name is insufficient to differentiate between two or more entities.", ar: "يربط بين اسم وفئة تشير إلى اسم غير كافِ للتمييز بين كيانين أو أكثر.", da: "Relaterer en ressource til en kategorisering, der angiver, at de registrerede kerneelementer er utilstrækkelige til at skelne mellem to eller flere agenter med det samme navn.", de: "Setzt einen Namen in Beziehung zu einer Kategorisierung die angibt, dass ein Name nicht ausreicht, um zwischen zwei oder mehreren Entitäten zu unterscheiden.", fi: "Liittää aineiston kategorisointiin, jolla ilmaistaan sen riittämättömyys kahden tai useamman entiteetin erottamiseen toisistaan.", "zh-hans-cn": "将一个名称与表明一个名称不足以区分两个或更多实体的一个类别关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/undifferentiatedNameIndicator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has undifferentiated name indicator", ar: "له مؤشر لاسم غير مميز", da: "har ikke entydig navneindikator", de: "hat Indikator für nicht individualisierte Namen", fi: "yksilöimättömän nimen ilmaus aineistolle", nl: "heeft niet-onderscheiden naam indicatie", "zh-hans-cn": "有未区分名称标识符"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60047,
      altLabel: {en: "type of agent", ar: "نوع الوكيل", fi: "toimijan tyyppi", "zh-hans-cn": "行为者的类型"},
      definition: {en: "Relates an agent to a type to which an agent belongs.", ar: "يربط بين وكيل والنوع الذي ينتمي إليه وكيل.", da: "Relaterer en ressource til en kategorisering eller almindelig beskrivelse på en type af agent.", de: "Setzt einen Akteur in Beziehung zu einer Art, zu der ein Akteur gehört.", fi: "Liittää toimijan tyyppiin tai jaotteluun, johon toimija kuuluu.", "zh-hans-cn": "将一个行为者与一个行为者所属于的一个类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/categoryOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has category of agent", ar: "له فئة لوكيل", da: "har type af agent", de: "hat Kategorie eines Akteurs", fi: "toimijan kategoria", nl: "heeft categorie van actor", "zh-hans-cn": "有行为者的类别"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60048,
      definition: {en: "Relates a resource to a categorization reflecting the format of the storage medium and housing of a carrier in combination with the type of intermediation device required to view, play, run, or otherwise access the content of a resource.", ar: "يربط بين مصدر وفئة تعكس شكل وسيط التخزين ومكان الحامل المصاحب لنوع الجهاز الوسيط المطلوب لعرض، لتشغيل، أو لمعالجة أو للوصول إلى محتوى مصدر.", da: "Relaterer en manifestation til en kategorisering der specifikt afspejler lagringsmediet og dets udstyr i kombination med den type af afspilningsudstyr, som kræves for at se, spille, fremvise eller på anden måde give adgang til en manifestations indhold.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung, die das Format des Speichermediums und das Gehäuse eines Datenträgers widerspiegelt, in Kombination mit der Art des Hilfsmittels, das benötigt wird, um den Inhalt einer Ressource anzuschauen, abzuspielen oder laufen zu lassen und so weiter.", fi: "Liittää aineiston kategorisointiin, joka ilmaisee säilytysvälineen ja tallenteen koteloinnin formaatin yhdessä aineiston sisällön katsomiseen, toistamiseen, suorittamiseen tai muuhun toimintaan tarvittavan välittävän laitteen tyypin kanssa.", "zh-hans-cn": "将一种资源与反映存储媒介格式和载体装置并结合资源内容的浏览、播放、运行或其他存取方式等所需中间设备的类型的分类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/carrierType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has carrier type", ar: "له نوع الحامل", da: "har bærertype", de: "hat Datenträgertyp", fi: "aineiston tallennetyyppi", nl: "heeft type drager", "zh-hans-cn": "有载体类型"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60049,
      definition: {en: "Relates a resource to a categorization reflecting a fundamental form of communication in which a content is expressed and a human sense through which it is intended to be perceived.", ar: "يربط بين مصدر وفئة تعكس الشكل الأساسي للتواصل الذي يتم فيه التعبير عن المحتوى والحس الإنساني الذي من المفترض أن يُنظر إليها من خلاله.", da: "Relaterer en ressource til en kategorisering, der afspejler den grundlæggende kommunikationsform, hvorigennem indholden ressourcekes, og den menneskelige sans, hvorigennem det er meningen, at det skal opfattes.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung, die zum einen die grundlegende Form der Kommunikation widerspiegelt, in der der Inhalt ausgedrückt wird, und zum andern die menschliche Wahrnehmung wiedergibt, durch die diese wahrgenommen werden soll.", fi: "Liittää aineiston viestintämuotoon, jolla aineiston sisältö on ilmaistu sekä aistiin, jolla se on tarkoitus vastaanottaa.", "zh-hans-cn": "将一种资源与反映一个内容被表达所用通讯的基本形式和设计被感知的人类感觉的分类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contentType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Content type also reflects the number of spatial dimensions and the presence or absence of movement in which content expressed in the form of an image or images is intended to be perceived.", ar: "يعكس نوع المحتوى أيضًا عدد الأبعاد المكانية ووجود أو عدم وجود الحركة التي يُقصد من خلالها إدراك المحتوى المعبر عنه في شكل صورة أو صور.", da: "Hvad angår indhold, der udtrykkes i form af et eller flere billeder, afspejler indholdstype desuden antallet af rumlige dimensioner, som indholdet skal opfattes i, samt opfattelsen af tilstedeværelse eller fravær af bevægelse.", de: "Für Inhalt, der in Form eines Bilds oder mehrerer Bilder ausgedrückt wird, spiegelt der Inhaltstyp auch die Anzahl räumlicher Dimensionen wider, in denen der Inhalt wahrgenommen werden soll, sowie die Wahrnehmung von vorhandener oder nicht vorhandener Bewegung.", fi: "Sisältötyyppi kuvaa myös mahdollista kuvasisällön hahmottamiseen vaikuttavaa moniulotteisuutta ja liikettä.", nl: "Type content geeft ook het aantal ruimtelijke dimensies weer en de aanwezigheid of afwezigheid van beweging waarmee content uitgedrukt in de vorm van een beeld of beelden geacht wordt waargenomen.", "zh-hans-cn": "对于被设计以一种或多种被感知图像形式表达的内容，内容类型还反映空间维度数以及感知运动是否存在。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has content type", ar: "له نوع محتوى", da: "har indholdstype", de: "hat Inhaltstyp", fi: "aineiston sisältötyyppi", nl: "heeft type content", "zh-hans-cn": "有内容类型"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60050,
      definition: {en: "Relates a resource to a categorization reflecting the general type of intermediation device required to view, play, run, or otherwise access the content of a resource.", ar: "يربط بين مصدر وفئة تعكس النوع العام للجهاز الوسيط المطلوب لعرض، أو لتشغيل، أو لمعالجة أو للوصول إلى محتوى مصدر.", da: "Relaterer en ressource til en kategorisering der generelt afspejler typen af formidlingsudstyr/afspiller, der kræves for at tilgå en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung, welche die allgemeine Art des Hilfsmittels widerspiegelt, das erforderlich ist, um den Inhalt einer Ressource anzuschauen, abzuspielen oder laufen zu lassen und so weiter.", fi: "Kategorisointi, joka ilmaisee aineiston sisällön katsomiseen, toistamiseen, suorittamiseen tai muuhun toimintaan tarvittavan välittävän laitteen yleistä tyyppiä.", "zh-hans-cn": "将一种资源与反映资源内容的浏览、播放、运行或其他存取方式等所需中间设备的一般类型的分类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mediaType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has media type", ar: "له نوع الوسيط", da: "har medietype", de: "hat Medientyp", fi: "aineiston mediatyyppi", nl: "heeft type medium", "zh-hans-cn": "有媒介类型"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60051,
      definition: {en: "Relates a resource to a categorization that reflects whether a resource is issued in one or more units.", ar: "يربط بين مصدر وفئة تعكس ما إذا كان المصدر قد صدر في جزء واحد أو عدة أجزاء، طريقه تحديثه، وتوقيفه عن قصد.", da: "Relaterer en ressource til en kategorisering, der afspejler, hvorvidt en ressource er udgivet i en eller flere dele, hvordan den opdateres, og hvorvidt dens ophør er forudbestemt eller ej.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung die widerspiegelt, ob eine Ressource in einem Teil oder mehreren Teilen erscheint, wie sie aktualisiert wird und wie sie enden soll.", fi: "Liittää aineiston kategorisointiin, joka kertoo, ilmestyykö se yhdessä vai useassa osassa.", "zh-hans-cn": "将一种资源与反映资源以一个还是以多个单元发行的分类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/modeOfIssuance.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has mode of issuance", ar: "له أسلوب للإصدار", da: "har udgivelsesform", de: "hat Erscheinungsweise", fi: "aineiston julkaisutapa", nl: "heeft wijze van uitvaardiging", "zh-hans-cn": "有发行方式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60052,
      definition: {en: "Relates a resource to a nomen that is an appellation of resource that consists of a code, number, or other string, usually independent of natural language and social naming conventions, used to identify a resource.", ar: "يربط بين مصدر وتسمية لمصدر يتكون من رمز، رقم، أو سلسلة تمثيلات أخرى، عادة ما تكون مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة في تحديد هوية مصدر.", da: "Relaterer en ressource til en ressourcebenævnelse, der består af en kode, et nummer, eller anden streng, normalt uafhængig af naturligt sprog og sociale navngivningskonventioner, der tjener til at skelne denne ressource fra andre ressourcer.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung für eine Ressource, die aus einem Code, einer Nummer oder einer anderen Zeichenkette besteht, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung einer Ressource verwendet wird.", fi: "Liittää aineiston aineiston nimitykseen, joka koostuu koodista, luvusta tai muusta tavallisesti luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä riippumattomasta merkkijonosta, jota käytetään aineiston identifiointiin.", "zh-hans-cn": "将一种资源与由代码、数字或其他串组成、通常独立于自然语言和社会命名惯例、用于标识一种资源、作为一种的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60139", "http://rdaregistry.info/Elements/u/P60140", "http://rdaregistry.info/Elements/u/P60945"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navnekonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Koodattu merkkijono on yleensä luonnollisesta kielestä ja sosiaalisista nimeämisen käytännöistä riippumaton.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60938",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has identifier for resource", ar: "له معرف لمصدر", da: "har identifikator for ressourcen", de: "hat Identifikator für eine Ressource", fi: "aineiston tunniste", nl: "heeft identificatie voor resource", "zh-hans-cn": "有资源的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60919",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60053,
      definition: {en: "Relates an agent to a nomen that is an appellation of agent that consists of a code, number, or other string, usually independent of natural language and social naming conventions, used to identify an agent.", ar: "يربط بين وكيل وتسمية لوكيل يتكون من رمز، رقم، أو سلسلة تمثيلات أخرى، عادة ما تكون مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة في تحديد هوية وكيل.", da: "Relaterer en ressource til en tegnrække, der er entydigt knyttet til en agent eller til en erstatning for en agent, fx en autoritetsregistrering", de: "Setzt einen Akteur in Beziehung zu einer Bezeichnung für einen Akteur, die aus einem Code, einer Nummer oder einer anderen Zeichenkette besteht, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung eines Akteurs verwendet wird.", fi: "Liittää toimijan nimitykseen, joka koostuu koodista, numerosta tai muusta merkkijonosta ja joka yleensä on luonnollisesta kielestä ja kielen sosiaalisista konventioista riippumaton toimijan tunnistamiskeino.", "zh-hans-cn": "将一个行为者与一个作为由代码、数字、或其他串构成、通常独立于自然语言和社会命名惯例、用以标识一个行为者的一个行为者称谓的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60937",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has identifier for agent", ar: "له معرف لوكيل", da: "har identifikator for agent", de: "hat Identifikator für einen Akteur", fi: "toimijan tunniste", nl: "heeft identificatie voor actor", "zh-hans-cn": "有行为者的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60919",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60054,
      definition: {en: "Relates a resource to a characteristic, other than form, date, or place of origin, that serves to differentiate a resource from another resource with the same preferred title of resource. (Deprecated)", da: "Relaterer en ressource til et kendetegn, bortset fra form af ressource, dato af ressource, sted af ressource, indholdstype, eller sprog, der tjener til at skelne én ressource fra en anden ressource med samme titel eller fra et navn på en anden agent."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherDistinguishingCharacteristicOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other distinguishing characteristic of resource (Deprecated)", da: "har andet særligt kendetegn ved ressourcen"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60055,
      definition: {en: "Relates a resource to a characteristic that applies to the carrier or carriers of the specific early printed resource being described and is assumed not to apply to other resources exemplifying the same resource. includes rubrication, illumination, and other hand colouring, manuscript additions, and binding. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/itemSpecificCarrierCharacteristicOfEarlyPrintedResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource-specific carrier characteristic of early printed resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60056",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60056,
      definition: {en: "Relates a resource to a modification that is specific to a resource and is assumed not to apply to other resources exemplifying the same resource.", ar: "يربط بين مصدر وتعديل مخصص لمصدر ومن المفترض أنه لا ينطبق على المصادر الأخرى التي تمثل المصدر نفسه.", da: "Relaterer en ressource til en note om oplysninger om ekstra karakteristika, der er specifikke for en beskreven ressource og der antages ikke at være gyldige for andre ressourcer der eksemplificerere den samme ressource.", de: "Setzt eine Ressource in Beziehung zu einer Variante, die spezifisch für eine Ressource ist und von der angenommen wird, dass sie nicht auf andere Ressourcen zutrifft, die dieselbe Ressource verkörpern.", fi: "Liittää aineiston sille ominaiseen muunnokseen, jonka ei oleteta sisältyvän muihin samaa aineistoa edustaviin aineistoihin.", "zh-hans-cn": "将一种资源与作为一种资源特有并被认为不适用于例证同一资源之其他资源的一个修改关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60055",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/modificationOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has modification of resource", ar: "له تعديل لمصدر", da: "har note om ressourcespecifikke indholdskarakteristika", de: "hat Variante einer Ressource", fi: "muunnos aineistosta", nl: "heeft aanpassing van resource", "zh-hans-cn": "有资源的修改"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60057,
      definition: {en: "Relates a resource to a citation for a resource in the form preferred by a creator, publisher, custodian, indexing or abstracting service, or other agent.", ar: "يربط بين مصدر واستشهاد لمصدر في الشكل المفضل للمنشئ، الناشر، الجهة المودعة، خدمة التكشيف والاستخلاص، أو وكيل آخر.", da: "Relaterer en ressource til en reference til en ressource i den form, der foretrækkes af et ophav, en udgiver, en forvalter eller virksomheder der udarbejder referater og abstracts etc.", de: "Setzt eine Ressource in Beziehung zu einer Zitierweise für eine Ressource, die von einer geistigen Schöpferin/einem geistigen Schöpfer, einem Verlag, einer Verwahrerin/einem Verwahrer, einem Indexierungs- oder Abstract-Service und so weiter bevorzugt wird.", fi: "Liittää aineiston viittausmuotoon, jonka teoksen tekijä, kustantaja, aineiston säilyttäjä, kuvailija, tiivistelmän tekijä tai muu toimija on valinnut aineistosta ensisijaisesti käytettäväksi.", "zh-hans-cn": "将一种资源与以创作者、出版者、保管者、索引或文摘机构或其他行为者首选形式的一种资源的引文关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredCitation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred citation", ar: "له استشهاد مُفضل", da: "har foretrukken referenceform", de: "hat bevorzugte Zitierweise", fi: "ensisijainen viittausmuoto aineistolle", nl: "heeft voorkeurscitatie", "zh-hans-cn": "有首选引文"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60058,
      altLabel: {en: "has form of resource", ar: "له شكل لمصدر", da: "har form af ressource", de: "hat Form einer Ressource", fi: "aineiston muoto", "zh-hans-cn": "有资源的形式"},
      definition: {en: "Relates a resource to a type to which a resource belongs.", ar: "يربط بين مصدر ونوع ينتمي إليه مصدر.", da: "Relaterer en ressource til en art, form eller genre, som en ressource tilhører.", de: "Setzt eine Ressource in Beziehung zu einer Art, zu der eine Ressource gehört.", fi: "Liittää aineiston aineistolajiin, johon aineisto kuuluu.", "zh-hans-cn": "将一种资源与一种资源所属于的一个类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/categoryOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has category of resource", ar: "له فئة لمصدر", da: "har ressources art eller form", de: "hat Kategorie einer Ressource", fi: "aineiston kategoria", nl: "heeft categorie van resource", "zh-hans-cn": "有资源的类别"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60944",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60059,
      definition: {en: "Relates a resource to a designation for one or more regions of the world for which a videodisc or video game carrier is encoded, indicating that playback is restricted to a device configured to decode it.", ar: "يربط بين مصدر وتسمية لواحدة أو أكثر من مناطق العالم التي تم تشفير حامل الفيديو أو ألعاب الفيديو، يشير إلى أن عملية التشغيل مقصورة على الأجهزة المكودة بكود المنطقة فقط.", da: "Relaterer en ressource til en kode, der identificerer den region i verden, som en videodisc er kodet til, og som forhindrer, at videodiscen bliver spillet på en afspiller solgt i en anden region.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung, die die Region(en) der Welt angibt, für die eine Videodisk oder ein Videospiel-Datenträger kodiert ist, und der verhindert, dass die Disk von einem Wiedergabegerät, das in einer anderen Region verkauft wurde, abgespielt werden kann.", fi: "Liittää aineiston yhteen tai useampaan nimettyyn alueeseen, joille video tai videopelitallenne on koodattu niin, että se on toistettavissa vain sen koodin avaamiseen konfiguroiduilla laitteilla.", "zh-hans-cn": "将一种资源与视盘或视频游戏载体被编码后表示对设置解码回放的设备限制的世界上一个或多个地区的标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/regionalEncoding.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has regional encoding", ar: "له كود منطقة", da: "har regional kodning", de: "hat Regionalcode", fi: "aineiston aluekoodi", nl: "heeft regiocodering", "zh-hans-cn": "有地区编码"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60060,
      definition: {en: "Relates a resource to an agent who approves a resource that is a thesis or dissertation associated with an academic degree.", ar: "يربط مصدر بوكيل يُصادق على مصدر هو أطروحة للحصول على درجة أكاديمية.", da: "Relaterer en ressource til en korporation der tildeler en akademisk grad.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Hochschulschrift genehmigt, die mit einem akademischen Grad in Verbindung steht.", fi: "Liitää opinnäyte- tai väitöskirja-aineiston akateemisen oppiarvon myöntävään toimijaan.", "zh-hans-cn": "将一种资源与批准和一个学位相关的一种学位论文的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeGrantingInstitution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60002",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has degree granting institution", ar: "له مؤسسة مانحة لدرجة", da: "har tildelende institution", de: "hat grad-verleihende Institution", fi: "oppiarvon myöntävä instituutio", nl: "heeft graadverlenende instantie", "zh-hans-cn": "有学位授予机构"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60061,
      definition: {en: "Relates a resource to an agent who hosts a conference, exhibition, or other event that gives rise to a resource, but has little or no responsibility of an agent for the content.", ar: "يربط مصدر بوكيل يستضيف مؤتمرًا، معرضًا، أو حدثًا آخر يؤدي إلى مصدر، ولكن لديه مسؤولية محدودة عن وكيل أو غير مسؤول مطلقًا عن المحتوى.", da: "Relaterer en ressource til en korporation der afholder en event, udstilling, konference, etc., der fører til en ressource, som korporationen har ringe eller intet ansvar for indholdet af.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Konferenz, eine Ausstellung oder eine andere Veranstaltung ausrichtet, die eine Ressource zur Folge hat, der aber für den Inhalt wenig oder gar keine Verantwortung trägt.", fi: "Liittää aineiston toimijaan, joka isännöi konferenssin, näyttelyn tai muun tapahtuman, mutta jonka sisällöstä toimijalla on vähän tai ei lainkaan vastuuta.", "zh-hans-cn": "将一种资源与承办产生一种资源的会议、展览或其他活动但对其内容没有或很少责任的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hostInstitution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60003",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has host institution", ar: "له مؤسسة مُضِيفة", da: "har værtsinstitution", de: "hat gastgebende Institution", fi: "isäntäorganisaatio", nl: "heeft hostorganisatie", "zh-hans-cn": "有承办机构"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60062,
      definition: {en: "Relates a resource to an agent who is responsible for managing the financial, technical, and organizational aspects of a production for stage, screen, sound recording, television, webcast, etc.", ar: "يربط مصدر بوكيل مسؤول عن إدارة الجوانب المالية، التقنية، والتنظيمية في الإنتاج للمسرح، للسينما، للتسجيل الصوتي، للتليفزيون، للبث عبر الإنترنت، إلخ.", da: "Relaterer en ressource til en korporation, der er ansvarlig for økonomisk, teknisk og organisatorisk ledelse af en produktion beregnet til scene, lærred, lydoptagelse, tv, webcast etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das finanzielle, technische und organisatorische Management einer Produktion für die Bühne, den Bildschirm, die Tonaufnahme, das Fernsehen, für einen Webcast und so weiter verantwortlich ist.", fi: "Liittää teoksen toimijaan, joka on vastuussa näyttämö-, elokuva-, äänite-, televisio-, suoratoistolähetys- tms. tuotannon taloudellisesta, teknisestä ja organisatorisesta johtamisesta.", "zh-hans-cn": "将一种资源与负责舞台、播放、录音、网络直播等制作的资金、技术和组织方面管理的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionCompany.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60004",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production company", ar: "له شركة إنتاج", da: "har produktionsselskab", de: "hat Produktionsfirma", fi: "aineiston tuotantoyhtiö", nl: "heeft productiebedrijf", "zh-hans-cn": "有制作公司"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60063,
      definition: {en: "Relates an agent to a place that is a country with which an agent is identified.", ar: "يربط بين مصدر وبلد يُستدل به على وكيل.", da: "Relaterer en ressource til et land som en agent forbindes med.", de: "Setzt eine Ressource in Beziehung zu einem Land, mit dem einem Akteur identifiziert wird.", fi: "Liittää aineston maahan, johon toimija yhdistetään.", "zh-hans-cn": "将一个行为者与作为一个国家并被用来标识一个行为者的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/countryAssociatedWithAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60999",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has country associated with agent", ar: "له بلد مرتبط بوكيل", da: "har land knyttet til agent", de: "hat Land, das mit einem Akteur in Verbindung steht", fi: "toimijaan liittyvä maa aineistossa", nl: "heeft land geassocieerd met actor", "zh-hans-cn": "有和行为者有关的国家"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60064,
      definition: {en: "Relates a resource to a country, state, province, etc., or local place in which an organization has its headquarters. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/locationOfHeadquarters.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has location of headquarters (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60325",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60065,
      definition: {en: "Relates a resource to an agent that is a court governed by court rules, regardless of their official nature.", ar: "يربط بين مصدر ومحكمة تخضع لقواعد محكمة، بغض النظر عن طبيعتها الرسمية.", da: "Relaterer en ressource til en retsinstans, der er underlagt retsregler, uanset hvad deres officielle art er.", de: "Setzt eine Ressource in Beziehung zu einem Gericht, das durch gerichtliche Verfahrensvorschriften geregelt wird, unabhängig von deren förmlicher Rechtsnatur.", fi: "Liittää aineiston sääntöjen ohjaamaan tuomioistuimeen riippumatta säännön virallisesta luonteesta.", "zh-hans-cn": "将一种资源与作为通过法院规则（不管其正式性质）受管辖的一个法院的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/courtGoverned.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60005",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has court governed", ar: "له محكمة خاضعة", da: "har retsinstans underlagt", de: "hat durch Verfahrensvorschriften geregeltes Gericht", fi: "sääntöjen ohjaama tuomioistuin", nl: "heeft hof geregeerd", "zh-hans-cn": "有受管辖的法院"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60066,
      definition: {en: "Relates a resource to an agent who is responsible for creating a collection resource by selecting and arranging resources that are other resources.", ar: "يربط بين مصدر وأَمِين معرض يقوم بجمع مصادر من مصادر مختلفة رُتبت، وُوصفت، وفُهرست كمجموعة.", da: "Relaterer en ressource til en samler der sammenfører ressourcer fra forskellige kilder, som så bliver arrangeret, beskrevet og katalogiseret som en samling.", de: "Setzt eine Ressource in Beziehung zu einer Kuratorin/einem Kurator, der Ressourcen aus unterschiedlichen Quellen zusammenträgt, die dann als Sammlung geordnet, beschrieben oder katalogisiert werden.", fi: "Liittää aineiston toimijaan, joka vastaa uuden teoksen, kuten bibliografian tai hakemiston luomisesta valitsemalla, järjestämällä, koostamalla ja toimittamalla dataa, informaatiota tms.", "zh-hans-cn": "将一种资源与通过选择和整理作为其他资源的资源而对创建一种收藏资源负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60006",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has collector", ar: "له جامع", da: "har samler", de: "hat Sammlerin/Sammler", fi: "kokoelman muodostaja", nl: "heeft verzamelaar", "zh-hans-cn": "有收藏者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60067,
      definition: {en: "Relates a resource to an agent who is responsible for creating an analytic finding aid.", ar: "يربط بين مصدر وأَمِين معرض يقوم بتسجيل مصادر أو جردها لمجموعة مجمعة من المصادر", da: "Relaterer en ressource til en samler der lister eller opstiller ressourcerne i et samlingsRessource, som fx en samling af ressourcer.", de: "Setzt eine Ressource in Beziehung zu einer Kuratorin/einem Kurator, die/der Ressourcen in einer aggregierten Ressource verzeichnet oder inventarisiert, wie zum Beispiel eine Sammlung von Ressourcen.", fi: "Liittää aineiston toimijaan, jossa toimija vastaa metatietoteoksen luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种分析查询工具的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collectionRegistrar.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60007",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has collection registrar", ar: "له مسجل مجموعة", da: "har samlingsregistrator", de: "hat Registrarin/Registrar", fi: "kokoelman luetteloija", nl: "heeft collectieregistrator", "zh-hans-cn": "有收藏登记者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60428",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60068,
      definition: {en: "Relates a resource to an agent who is a current owner of a resource who deposits the resource into the custody of another agent without transferring ownership.", ar: "يربط مصدر بوكيل هو المالك الحالي لمصدر قام بإيداع مصدر تحت وصاية وكيل آخر دون نقل ملكيتها.", da: "Relaterer en ressource til en nuværende ejer af en ressource deponeret i forvaring hos en anden agent, men beholder det oprindelige ejerskab.", de: "Setzt eine Ressource in Beziehung zu einer gegenwärtigen Eigentümerin/einem gegenwärtigen Eigentümer (Akteur) einer Ressource, die/der die Ressource in die Obhut eines anderen Akteurs gibt, ohne das Eigentumsrecht zu übertragen.", fi: "Liittää aineiston toimijaan, joka on aineiston nykyinen omistaja ja luovuttanut aineiston toisen toimijan haltuun siirtämättä omistajuutta", "zh-hans-cn": "将一种资源与作为资源当前拥有者并将资源委托给另一个行为者保管但未转让所有权的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/depositor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has depositor", ar: "له مُودِع", da: "har depositor", de: "hat Leihgeberin/Leihgeber", fi: "aineiston tallettaja", nl: "heeft bruikleengever", "zh-hans-cn": "有托存者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60400",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60069,
      definition: {en: "Relates a resource to a timespan associated with a claim of protection under copyright or a similar regime.", ar: "يربط بين مصدر وفترة زمنية مرتبطة بفترة حماية حقوق الطبع والنشر أو أي نظام حماية آخر.", da: "Relaterer en ressource til et år knyttet til et krav om beskyttelse i henhold til ophavsret eller et lignende system.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, der mit einem Schutzanspruch nach dem Urheberrecht oder einem ähnlichen Regelwerk in Verbindung steht.", fi: "Liittää aineiston ajanjaksoon, joka liittyy copyright-säädösten tai vastaavien säädösten alaiseen copyright-suojaukseen.", "zh-hans-cn": "将一种资源与和根据版权或类似管理制度的保护声明有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/copyrightDate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61108",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has copyright date", ar: "له تاريخ حقوق الطبع والنشر", da: "har copyrightår", de: "hat Copyright-Datum", fi: "aineiston tekijänoikeusvuosi", nl: "heeft copyrightdatum", "zh-hans-cn": "有版权日期"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60070,
      definition: {en: "Relates a resource to a timespan during which a published resource is distributed.", ar: "يربط بين مصدر وفترة زمنية يتم خلالها توزيع مصدر منشور.", da: "Relaterer en ressource til et år eller dato knyttet til distributionen af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, in dem eine veröffentlichte Ressource vertrieben wird.", fi: "Liittää aineiston julkaistun aineiston jakeluun liittyvään ajanjaksoon.", "zh-hans-cn": "将一种资源与一种出版资源被发行的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfDistribution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60979",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of distribution", ar: "له تاريخ توزيع", da: "har distributionsår", de: "hat Vertriebsdatum", fi: "aineiston jakeluaika", nl: "heeft datum van distributie", "zh-hans-cn": "有发行日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60071,
      definition: {en: "Relates a resource to a timespan during which an unpublished resource is inscribed, fabricated, constructed, or otherwise produced.", ar: "يربط بين مصدر وفترة زمنية يتم خلالها تدوين مصدر غير منشور، أو تأليفه، أو تجميعه، أو إنتاجه بطريقة أخرى.", da: "Relaterer en ressource til et år eller dato knyttet til indgravering, fremstilling, konstruktion etc. af en ressource i upubliceret form.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, in dem eine unveröffentlichte Ressource beschriftet, erschaffen, konstruiert oder anderweitig produziert wird.", fi: "Liittää aineiston julkaisemattoman aineiston kaivertamiseen, valmistamiseen, kokoamiseen tai muuhan tuottamiseen liittyvään ajanjaksoon.", "zh-hans-cn": "将一种资源与一种非出版资源被镌刻、制造、构建或其他方式制作的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfProduction.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60982",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of production", ar: "له تاريخ إنتاج", da: "har produktionsår", de: "ist Entstehungsdatum", fi: "aineiston tuotantoaika", nl: "heeft datum van productie", "zh-hans-cn": "有制作日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60072,
      definition: {en: "Relates a resource to a timespan during which a published resource is printed, duplicated, cast, or otherwise manufactured.", ar: "يربط بين مصدر وفترة زمنية يتم خلالها طباعة مصدر منشور، أو نسخه، أو صياغته، أو إنتاجه بطريقة أخرى.", da: "Relaterer en ressource til et år eller dato knyttet til trykning, duplikering, støbning etc. af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, in dem eine veröffentlichte Ressource gedruckt, vervielfältigt, gegossen oder anderweitig hergestellt wird.", fi: "Liittää aineiston julkaistun aineiston painamiseen, monistamiseen, kirjasinten valamiseen tai muuhun valmistamiseen liittyvään ajanjaksoon.", "zh-hans-cn": "将一种资源与一种出版资源被印刷、复制、铸造或其他方式生产的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfManufacture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60981",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of manufacture", ar: "له تاريخ تصنيع", da: "har fremstillingsår", de: "ist Herstellungsdatum", fi: "aineiston valmistusaika", nl: "heeft datum van vervaardiging", "zh-hans-cn": "有生产日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60073,
      definition: {en: "Relates a resource to a timespan during which a published resource is published, released, or issued.", ar: "يربط بين مصدر وفترة زمنية يتم خلالها نشر مصدر منشور، أو إطلاقه، أو إصداره.", da: "Relaterer en ressource til et år eller dato knyttet til publicering, offentliggørelse eller udgivelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, in dem eine veröffentlichte Ressource veröffentlicht, freigeschaltet oder herausgegeben wird.", fi: "Liittää aineiston aineiston kustantamiseen, julkaisemiseen tai ilmestymiseen liittyvään ajanajaksoon.", "zh-hans-cn": "将一种资源与一种出版资源被出版、发布、发行的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfPublication.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60983",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of publication", ar: "له تاريخ نشر", da: "har udgivelsesår", de: "hat Erscheinungsdatum", fi: "aineiston julkaisuaika", nl: "heeft datum van publicatie", "zh-hans-cn": "有出版日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60074,
      definition: {en: "Relates a resource to a timespan associated with recording, filming, etc., the content of a resource.", ar: "يربط بين مصدر وفترة زمنية مرتبطة بتسجيل، تصوير، الخ.، محتوى مصدر.", da: "Relaterer en ressource til et år eller dato, der er knyttet til en indspilning, filmoptagelse, etc., af en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, der mit der Aufnahme, dem Filmen und so weiter des Inhalts einer Ressource in Verbindung steht.", fi: "Liittää aineiston ajanjaksoon, joka liittyy aineiston sisällön äänitykseen, filmaukseen tms.", "zh-hans-cn": "将一种资源与和一种资源的内容的录制、摄制等有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfCapture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60976",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of capture", ar: "له تاريخ التقاط", da: "har optagelsestidspunkt/indspilningstidspunkt", de: "ist Aufzeichnungsdatum", fi: "aineiston tallennusajankohta", nl: "heeft datum van vastleggen", "zh-hans-cn": "有摄录日期"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60075,
      definition: {en: "Relates a nomen to a timespan that is a date or range of dates that is associated with the use of a nomen.", ar: "يربط بين تسمية وتاريخ أو نطاق تواريخ مرتبطة باستخدام اسم كيان.", da: "Relaterer et navn til et år eller dato eller række af år eller datoer datoer knyttet til brugen af det navn, der er valgt som det foretrukne navn for en agent.", de: "Setzt ein Nomen in Beziehung zu einem Datum oder einem Datumsbereich, das/der mit der Verwendung von einer Bezeichnung für eine Entität in Verbindung steht.", fi: "iittää nomenin ajanjaksoon, joka on entiteetin nimityksen käyttöön liittyvä ajankohta tai aikaväli.", "zh-hans-cn": "将一个命名与作为和一个命名的使用有关的一个日期或者日期范围的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfUsage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60986",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of usage", ar: "له تاريخ استخدام", da: "har anvendelsesperiode", de: "hat Verwendungsdatum", fi: "aineiston käyttöajankohta", nl: "heeft datum van gebruik", "zh-hans-cn": "有利用日期"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60076,
      definition: {en: "Relates an agent to a timespan during which an agent is active in their primary field of endeavor.", ar: "يربط بين وكيلً وتاريخ أو نطاق تواريخ تُشير إلى فترة كان الوكيل نشطًا في مجال عمله الأساسي.", da: "Relaterer en ressource til en periode, hvori en agent var aktiv i sit primære virkefelt.", de: "Setzt einen Akteur in Beziehung zu einem Datum oder einer Reihen von Daten, die auf einen Zeitraum hinweisen, in dem ein Akteur in seinem primären Tätigkeitsfeld aktiv ist.", fi: "Liittää henkilön ajanjaksoon, jonka aikana henkilö on ollut aktiivinen ensisijaisella toiminta-alallaan.", "zh-hans-cn": "将一个行为者与一个行为者在其主要努力领域中活跃的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/periodOfActivityOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60990",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has period of activity of agent", ar: "له فترة نشاط لوكيل", da: "har aktivitetsperiode for agent", de: "hat Wirkungszeitraum eines Akteurs", fi: "toimijan toiminta-aika", nl: "heeft periode van activiteit van actor", "zh-hans-cn": "有行为者的活跃时期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60077,
      definition: {en: "Relates a resource to a designation of a named revision of an edition in another language or script.", ar: "يربط بين مصدر وتسمية لمراجعة مسماة لطبعة بلغة أو نص مختلف عن تلك المُسجلة داخل تسمية مراجعة مسماه لعنصر طابعه.", da: "Relaterer en ressource til en betegnelse for en navngivet revision af en udgave på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af den navngivne revision. ", de: "Setzt eine Ressource in Beziehung zu einer Ausgabebezeichnung einer näher erläuterten Überarbeitung in einer oder Schrift, die von der bereits erfassten Ausgabezeichnung einer näher erläuterten Überarbeitung abweicht.", fi: "Nimetyn uudistetun painoksen määrite toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与一个版本的命名修订的用另一种语言或文字的标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelDesignationOfNamedRevisionOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel designation of named revision of edition", ar: "له تسمية موازية لمراجعة مسماة لطبعة", da: "har parallel betegnelse for en navngivet revision af en udgave", de: "hat parallele Ausgabebezeichnung einer näher erläuterten Überarbeitung", fi: "aineiston nimetyn uudistetun painoksen rinnakkainen määrite", nl: "heeft parallelle aanduiding van benoemde herziening van editie", "zh-hans-cn": "有版本的命名修订的并列标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60078,
      definition: {en: "Relates a resource to a designation of edition in another language or script.", ar: "يربط بين مصدر وتسميه لطبعة بلغة أو نص مختلف عن تلك المُسجلة داخل تسمية لعنصر طابعه.", da: "Relaterer en ressource til en betegnelse for en udgave på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af udgavebetegnelsen.", de: "Setzt eine Ressource in Beziehung zu einer Ausgabebezeichnung in einer Sprache oder Schrift, die von der bereits erfassten Ausgabezeichnung abweicht.", fi: "Liittää aineiston painoksen määritteeseen toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用另一种语言或文字的一个版本标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelDesignationOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel designation of edition", ar: "له تسمية موازية لطبعة", da: "har parallel udgavebetegnelse", de: "hat parallele Ausgabebezeichnung", fi: "aineiston painoksen rinnakkainen määrite", nl: "heeft parallelle aanduiding van editie", "zh-hans-cn": "有版本的并列标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60079,
      definition: {en: "Relates an agent to a designation of the sequencing of a conference, exhibition, or other formally named and convened event that gives rise to a resource.", ar: "يربط بين مصدر وتحديد تتابع مؤتمر، إلخ.، ضمن سلسلة من المؤتمرات، إلخ.", da: "Relaterer en ressource til en sekvensbetegnelse etc. i en række af konferencer etc.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung für ein Zählfolge einer Konferenz und so weiter innerhalb einer Reihe von Konferenzen und so weiter.", fi: "Liittää aineiston konferenssin, näyttelyn tai muun nimetyn ja kokontuneen tapahtuman järjestyslukuun.", "zh-hans-cn": "将一个行为者与产生作品的会议、展览或其他正式命名并举办的活动的序列的标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberOfConference.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has number of conference", ar: "له رقم مؤتمر", da: "har nummer på konference etc.", de: "hat Zählung einer Konferenz", fi: "konferenssin numero aineistolle", nl: "heeft nummer van conferentie", "zh-hans-cn": "有会议的届次"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60080,
      definition: {en: "Relates a resource to a designation that is assigned to a resource to identify its position in a sequence of individual parts of a larger resource.", ar: "يربط بين مصدر وتسمية في شكل أرقام أو حروف هجائية، أو تاريخ أو أي فترة زمنية أخرى، مستخدمة لتشير إلى تسلسل جزء من مصدر ضمن مصدر كامل.", da: "Relaterer en ressource til en sekvensbetegnelse for en del eller flere dele i et større Ressource.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung in Form von Nummern oder Buchstaben oder zu einem Datum oder einem anderen Zeitraum, die/das/der verwendet wird, um die Abfolge eines Teils einer Ressource innerhalb der gesamten Ressource anzugeben.", fi: "Liittää aineiston numero- tai kirjainmuotoiseen määritteeseen tai ajankohtaan, jota käytetään määrittämään aineiston osan paikka aineiston kokonaisuudessa.", "zh-hans-cn": "将一种资源与被分配给一种资源以标识其在一种更大的资源的个别部分的序列中的位置的一个标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberingOfPart.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Numbering may consist of a numeral, a letter, any other character, or the combination of these with or without an accompanying caption, and/or a chronological designation.", ar: "قد يتكون الترقيم من رقم، أو حرف، أو أي تمثيلات أخرى تُستخدم بشكل منفصل أو مُجمع، وقد يُصاحبها أو لا يُصاحبها تعليقًا، و/أو تسمية زمنية.", da: "Nummerering af del kan omfatte et tal, et bogstav, ethvert andet tegn eller en kombination af disse med eller uden tilhørende tekst og/eller en kronologisk betegnelse", de: "Darunter fallen Ziffern, Buchstaben, beliebige andere Zeichen oder Kombinationen davon (mit oder ohne begleitende Beschriftung) und/oder chronologische Bezeichnungen.", fi: "Numerointi voi koostua numerosta, kirjaimesta, mistä tahansa muusta merkistä tai näiden yhdistelmästä. Siihen voi kuulua, mutta välttämättä ei kuulu, liittyvä seloste ai kronologinen tunniste.", "zh-hans-cn": "编号可以由数字、字母、任何其他字符、或其组合组成并且可以有或没有伴随的说明文字和/或年代标识"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has numbering of part", ar: "له ترقيم لجزء", da: "har nummerering af del", de: "hat Zählung eines Teils", fi: "aineiston osan numerointi", nl: "heeft nummering van deel", "zh-hans-cn": "有部分的编号"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60081,
      definition: {en: "Relates a resource to a nomen that is a designation that is assigned to a resource to identify its position in a sequence of individual parts of a larger resource or parts or issues of a larger resource.", ar: "يربط بين مصدر وتسمية لتسلسل خاصة بجزء أو عدة أجزاء ضمن سلسلة.", da: "Relaterer en ressource til en sekvensbetegnelse for en del eller flere dele i en serie.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung einer Sequenzierung eines Teils oder mehrerer Teile innerhalb einer Reihe.", fi: "Liittää aineiston määritelmään, joka identifioi sen sijainnin sarjan osan tai osien jaksossa.", "zh-hans-cn": "将一种资源与作为被分配给一种资源以标识其在一种更大的资源或者更大的资源的部分或期的个别部分的序列中的位置的一个标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberingWithinSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Numbering may include dates or other timespans, alphanumeric or other characters, and an accompanying caption.", ar: "قد يتضمن الترقيم تواريخ أو أي فترات زمنية أخرى، أو تمثيلات هجائية رقمية أو تمثيلات أخرى، ويتضمن أيضًا تعليق مصاحب.", da: "Nummerering omfatter et tal, et bogstav, ethvert andet tegn eller en kombination af disse med eller uden tilhørende tekst og/eller en kronologisk betegnelse.", de: "Darunter fallen Daten oder andere Zeiträume, alphanumerische oder andere Zeichen und ein Begleittext.", fi: "Numerointi voi sisältää päivämääriä tai muita ajanjaksoja, aakkosnumeerisia tai muita merkkejä sekä selosteen.", "zh-hans-cn": "编号可以包括日期或其他时间段、字母数字或其他字符、以及伴随的说明文字"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61209",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has numbering within sequence", ar: "له ترقيم ضمن تسلسل", da: "har nummerering indenfor serie", de: "hat Zählung innerhalb einer Reihe", fi: "sarjan sisäinen numerointi aineistolle", nl: "heeft nummering binnen volgorde", "zh-hans-cn": "有序列内的编号"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60082,
      definition: {en: "Relates a resource to a designation of a sequencing of a part or parts within a subseries. (Deprecated)", da: "Relaterer en ressource til en sekvensbetegnelse for en del eller flere dele i en underserie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberingWithinSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Numbering may consist of a numeral, a letter, any other character, or the combination of these with or without an accompanying caption and/or a chronological designation. (Deprecated)", da: "Nummerering omfatter et tal, et bogstav, ethvert andet tegn eller en kombination af disse med eller uden tilhørende tekst og/eller en kronologisk betegnelse."},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has numbering within subseries (Deprecated", da: "har nummerering indenfor underserie"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60083,
      definition: {en: "Relates a resource to a resource in a digital format that is a result of a transfer of a resource in an analog format.", ar: "يربط بين مصدر ومصدر في صيغة رقمية ناتج عن تحويله في شكل تناظري.", da: "Relaterer en ressource til en ressource i et digitalt format der er resultatet of en overførsel af en ressource i et analogt format.", de: "Setzt eine Ressource in Beziehung zu einer Ressource in einem digitalen Format, die ein Ergebnis einer Übertragung einer Ressource in ein analoges Format ist.", fi: "Liittää aineiston digitaalisessa muodossa olevaan aineistoon, joka analogisen aineiston muunnoksen tulos.", "zh-hans-cn": "将一种资源与从一种模拟格式的资源转储为一种数字格式而形成的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/electronicReproduction.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60469",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has electronic reproduction", ar: "له إنتاج إلكتروني", da: "har elektronisk reproduktion", de: "hat elektronische Reproduktion", fi: "aineiston digitoitu jäljenne", nl: "heeft elektronische reproductie", "zh-hans-cn": "有电子复制品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60272",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60084,
      definition: {en: "Relates a resource to an agent who is a director who is responsible for the general management and supervision of a filmed performance.", ar: "يربط مصدر بوكيل يعمل بصفته مخرجًا مسؤولًا عن الإدارة العامة والإشراف على أداء الفيلم.", da: "Relaterer en ressource til en instruktør, der er ansvarlig for ledelse og tilsyn med en filmoptagelse.", de: "Setzt eine Ressource in Beziehung zu einer Regisseurin/einem Regisseur, die/der für das allgemeine Management und die Leitung einer verfilmten Darbietung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka ohjaajana vastaa elokuvatun esityksen yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一种资源与作为一个导演并负责拍摄表演的总体管理和监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60009",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has film director", ar: "له مخرج فيلم", da: "filminstruktør", de: "hat Filmregisseurin/Filmregisseur", fi: "elokuvaohjaaja aineistossa", nl: "heeft filmregisseur", "zh-hans-cn": "有电影导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60449",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60085,
      definition: {en: "Relates a resource to an agent who is a director who is responsible for the general management and supervision of a radio program.", ar: "يربط مصدر بوكيل يعمل بصفته مخرجًا مسؤولًا عن الإدارة العامة والإشراف على برنامج إذاعي.", da: "Relaterer en ressource til en instruktør, der er ansvarlig for ledelse af og tilsyn med et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Regisseurin/einem Regisseur (Akteur), die/der für das allgemeine Management und die Leitung einer Hörfunksendung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka ohjaajana vastaa radio-ohjelman yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一种资源与作为一个导演并负责广播节目的总体管理和监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60010",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has radio director", ar: "له مخرج إذاعي", da: "har radioinstruktør", de: "hat Hörfunkregisseurin/Hörfunkregisseur", fi: "radio-ohjaaja aineistossa", nl: "heeft radioregisseur", "zh-hans-cn": "有广播导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60449",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60086,
      definition: {en: "Relates a resource to an agent who is a director who is responsible for the general management and supervision of a television program.", ar: "يربط مصدر بوكيل يعمل بصفته مخرجًا مسؤولًا عن الإدارة العامة والإشراف على برنامج تليفزيوني.", da: "Relaterer en ressource til en instruktør, der er ansvarlig for ledelse af og tilsyn med et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Regisseurin/einem Regisseur, die/der für das allgemeine Management und die Leitung einer Fernsehsendung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka ohjaajana vastaa televisio-ohjelman yleisestä johtamisesta ja valvonnasta.", "zh-hans-cn": "将一种资源与作为一个导演并负责电视节目的总体管理和监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60011",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has television director", ar: "له مخرج تلفزيوني", da: "har tv-instruktør", de: "hat Fernsehregisseurin/Fernsehregisseur", fi: "televisio-ohjaaja aineistossa", nl: "heeft televisieregisseur", "zh-hans-cn": "有电视导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60449",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60087,
      definition: {en: "Relates a resource to a name of distributor in a language or script that differs from that recorded in a name of distributor element.", ar: "يربط بين مصدر واسم موزع بلغة أو نص مختلف عن تلك المُسجل بإسم عنصر موزع.", da: "Relaterer en ressource til et distributørnavn på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af distributørnavnet.", de: "Setzt eine Ressource in Beziehung zu einem Vertriebsnamen in einer Sprache oder Schrift, die von dem bereits erfassten Vertriebsnamen abweicht.", fi: "Liittää aineiston jakelijan nimeen, joka on jakelijan nimi toisella kielellä tai kirjoitusjärjestelmällä, ja joka eroaa jakelija-elementtiin tallennetusta nimestä.", "zh-hans-cn": "将一种资源与用不同于记录在发行者名称元素中之语言或文字的发行者的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelNameOfDistributor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel name of distributor", ar: "له اسم موازي للموزع", da: "har parallelt distributørnavn", de: "hat parallelen Vertriebsnamen", fi: "aineiston jakelijan rinnakkainen nimi", nl: "heeft parallelle naam van distributeur", "zh-hans-cn": "有发行者的并列名称"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60088,
      definition: {en: "Relates a resource to a dramatic resource adapted from another resource.", ar: "يربط بين مصدر ومصدر درامي مقتبس من مصدر آخر.", da: "Relaterer en ressource til en dramatisk ressource bearbejdet ud fra en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Theaterressource, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston toisesta aineistosta sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与改编自另一种资源的一种戏剧资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dramatizedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60225",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dramatized as", ar: "هو معدل دراميًا كـ", da: "er dramatiseret som", de: "ist Bühnenbearbeitung als", fi: "dramatisoitu aineisto", nl: "is gedramatiseerd als", "zh-hans-cn": "被戏剧化为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60089,
      definition: {en: "Relates an agent to a field of endeavor, area of competence, or responsibility in which an agent is engaged. ", ar: "يربط بين وكيل ومجال عمل، مجال خبرة، اختصاص، مسؤولية، سلطة إلخ.، الذي يمارسه الوكيل", da: "Relaterer en ressource til det område inden for hvilket en agent er eller var engageret.", de: "Setzt einen Akteur in Beziehung zu einem Tätigkeitsfeld, einem Wissensgebiet, einem Kompetenzbereich, einer Verantwortlichkeitsangabe, einer Zuständigkeit und so weiter, in dem/der ein Akteur aktiv ist.", fi: "Liittää toimijan toimijan pyrkimykseen, asiantuntemukseen, kompetenssiin, vastuuseen, toimivaltaan tms", "zh-hans-cn": "将一个行为者与一个行为者的努力领域、能力范围或担负责任关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fieldOfActivityOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has field of activity of agent", ar: "له مجال نشاط لوكيل", da: "har agents virkefelt", de: "hat Betätigungsfeld eines Akteurs", fi: "toimijan toiminta-ala", nl: "heeft veld van activiteit van actor", "zh-hans-cn": "有行为者的活动领域"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60090,
      definition: {en: "Relates a resource to a formal recognition of excellence or other merit given by an award- or prize-granting body, for the content of a resource.", ar: "يربط بين مصدر وإقرار رسمي بإمتياز أو أي استحقاق آخر يُمنح بواسطة هيئة مانحة للمكافأت -الجوائز-، لمحتوى أحد المصادر.", da: "Relaterer en ressource til en formel anerkendelse af fortræffelig kvalitet etc., givet af en pristildelende institution for indholdet af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer formalen Anerkennung von herausragenden Fähigkeiten oder Leistungen, die durch eine auszeichnende oder Preis vergebende Körperschaft für den Inhalt einer Ressource verliehen wird.", fi: "Liittää aineiston tunnustuksen tai palkinnon myöntävän tahon antamaan laadukkuuden tai muiden ansioiden muodolliseen tunnustukseen aineiston sisällöstä.", "zh-hans-cn": "将一种资源与颁奖或奖金发放机构对资源的优秀性等给予的正式认可关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/award.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has award", ar: "له منحة", da: "har udmærkelse", de: "hat Auszeichnung", fi: "palkinto aineistolle", nl: "heeft prijs", "zh-hans-cn": "有奖项"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60091,
      definition: {en: "Relates a resource to an agent who is a former owner of a resource who donates the resource to another owner.", ar: "يربط بين مصدر ومالك سابق لمصدر قام بالتبرع بهذا المصدر إلى مالك آخر.", da: "Relaterer en ressource til en tidligere ejer af en ressource, der har doneret denne ressource til en anden ejer.", de: "Setzt eine Ressource in Beziehung zu einer früheren Eigentümerin/einem früheren Eigentümer einer Ressource, die/der die Ressource einer anderen Eigentümerin/einem anderen Eigentümer überlässt.", fi: "Liittää aineiston aiempaan omistajaan, joka on lahjoittanut aineiston toiselle omistajalle.", "zh-hans-cn": "将一种资源与作为先前拥有者将资源捐赠给另一个拥有者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/donor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60012",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has donor", ar: "له متبرع", da: "har donor", de: "hat Stifterin/Stifter", fi: "aineiston lahjoittaja", nl: "heeft schenker", "zh-hans-cn": "有捐赠者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60401",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60092,
      definition: {en: "Relates a resource to an agent who is a former owner of a resource who sells the item to another owner.", ar: "يربط بين مصدر ومالك سابق لمصدر قام ببيع هذا المصدر إلى مالك آخر.", da: "Relaterer en ressource til en tidligere ejer af en ressource, der har solgt denne ressource til en anden ejer.", de: "Setzt eine Ressource in Beziehung zu einer früheren Eigentümerin/einem früheren Eigentümer einer Ressource, die/der die Ressource einer anderen Eigentümerin/einem anderen Eigentümer verkauft hat.", fi: "Liittää aineiston aiempaan omistajaan, joka on myynyt aineiston toiselle omistajalle.", "zh-hans-cn": "将一种资源与作为先前拥有者将资源出售给另一个拥有者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/seller.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60013",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has seller", ar: "له بائع", da: "har sælger", de: "hat Verkäuferin/Verkäufer", fi: "aineiston myyjä", nl: "heeft verkoper", "zh-hans-cn": "有出售者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60401",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60093,
      definition: {en: "Relates a resource to a general type of data content encoded in a computer file.", ar: "يربط بين مصدر ونوع عام لمحتوى بيانات تم تشفيرها في ملف كمبيوتر.", da: "Relaterer en ressource til en betegnelse for type af dataindhold, der er kodet i en computerfil.", de: "Setzt eine Ressource in Beziehung zu den Details zu einer allgemeinen Art von Dateninhalt, der in einer Datei kodiert ist.", fi: "Liittää aineiston tiedostoon koodatun datasisällön yleiseen tyyppiin", "zh-hans-cn": "将一种资源与计算机文件中编码的数据内容的一般类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fileType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has file type", ar: "له نوع الملف", da: "har filtype", de: "hat Dateityp", fi: "aineiston tiedostotyyppi", nl: "heeft bestandstype", "zh-hans-cn": "有文件类型"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60095,
      definition: {en: "Relates a resource to a group with which an agent is affiliated or is affiliated through employment, membership, cultural identity, etc. (Deprecation)", da: "Relaterer en ressource til en gruppe, som en agent er eller har været tilknyttet via beskæftigelse, medlemskab, kulturel identitet etc."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/affiliation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has affiliation (Deprecated)", da: "har tilhørsforhold"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60096,
      definition: {en: "Relates a resource to an agent who is a government enacting a resource that is a law, regulation, constitution, court rule, or other legislation.", ar: "يربط مصدر بوكيل يُمثل حكومة تسن مصدرًا هو قانون، أو لائحة، أو دستور، أو حكم قضائي، أو تشريع آخر.", da: "Relaterer en ressource til en jurisdiktion, der har vedtaget en lov, forordning, forfatning, retsplejeregel etc.", de: "Setzt eine Ressource in Beziehung zu einer Regierung, die eine Ressource erlässt, bei dem es sich um ein Gesetz, eine Verordnung, eine Verfassung, eine Rechtsverordnung oder eine andere Gesetzgebung handelt.", fi: "Liittää aineiston lainsäädännöllistä aineistoa kuten lakeja, perustuslakia, tuomioistuimen sääntöjä tai muuta lainsäädäntöä säätävään hallinnolliseen toimijaan.", "zh-hans-cn": "将一种资源与作为一个政府颁布作为法律、法规、宪法、法院规则或其他立法的一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/enactingGovernment.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60014",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has enacting government", ar: "له سلطة سن القوانين", da: "har vedtagende jurisdiktion", de: "Normerlassende Gebietskörperschaft", fi: "säätävä hallintoelin", nl: "heeft vaststellende jurisdictie", "zh-hans-cn": "有颁布政府"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60097,
      altLabel: {en: "has jurisdiction governed"},
      definition: {en: "Relates an agent to a place that is governed by an agent who is a government.", ar: "يربط مكانًا يُمثل ولاية قضائية لوكيل يُمثل حكومة تخضع لسُلطة نطاق جغرافي يحكمه قانون أو لائحة تنظيمية، إلخ.، سنتها حكومة أخرى.", da: "Relaterer en ressource til en jurisdiktion, der har vedtaget en lov, forordning, forfatning, retsplejeregel etc.", de: "Setzt eine Gebietskörperschaft in Beziehung zu einem Akteur, bei dem es sich um die Regierung einer Gebietskörperschaft handelt, die durch ein Gesetz, eine Verordnung und so weiter geregelt wird, das/die von einer anderen Regierung erlassen wurde.", fi: "Liittää paikan julkishallinnolliseen toimijaan, jota toisen julkishallinnollisen yhteisön säätämät lait, asetukset tms. ohjaavat.", "zh-hans-cn": "将一个行为者与作为根据另一个政府所颁布的法律、法规等管理的一个辖区的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeGoverned.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60015",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place governed", ar: "له اختصاص قضائي", da: "har jurisdiktion underlagt", de: "hat geregelte Gebietskörperschaft", fi: "säätävä hallintoelin", nl: "heeft geregeerde jurisdictie", "zh-hans-cn": "有所管理的辖区"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60098,
      definition: {en: "Relates an agent to a language that is used by an agent in its communications.", ar: "يربط بين مصدر ولغة يستخدمها وكيل في اتصالاته، عند الكتابة للنشر، للبث الإذاعي، إلخ.", da: "Relaterer en ressource til et sprog en agent anvender til at skrive til publicering, udsendelse etc.", de: "Setzt eine Ressource in Beziehung zu einer Sprache, die ein Akteur bei seiner Kommunikation verwendet, wenn er für eine Veröffentlichung, einen Hörfunkbeitrag und so weiter schreibt.", fi: "Liittää aineiston kieleen, jota toimija käyttää viestinnässään kirjallisissa julkaisuissa, radiolähetyksessä yms.", "zh-hans-cn": "将一个行为者与一个行为者在交流中所用的语言关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/languageOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has language of agent", ar: "له لغة لوكيل", da: "har agents sprog", de: "hat Sprache eines Akteurs", fi: "toimijan käyttämä kieli", nl: "heeft taal van actor", "zh-hans-cn": "有行为者的语言"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60099,
      definition: {en: "Relates a resource to a language used for the content of a resource.", ar: "يربط بين مصدر ولغة مُستخدمة لمحتوى مصدر.", da: "Relaterer en ressource til et sprog, der anvendes til at udtrykke en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Sprache, die für den Inhalt einer Ressource verwendet wird.", fi: "Liittää aineiston aineiston sisällössä käytettyyn kieleen.", "zh-hans-cn": "将一种资源与一种资源的内容所用的语言关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/languageOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has language of resource", ar: "له لغة لمصدر", da: "har indholdets sprog", de: "hat Sprache einer Ressource", fi: "aineiston kieli", nl: "heeft taal van resource", "zh-hans-cn": "有资源的语言"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60100,
      definition: {en: "Relates a resource to a larger resource of which a part is a discrete component that exactly reproduces a related resource embodying a resource.", ar: "يربط بين مصدر ومصدر أكبر بحيث يُشكل جزء منه عنصرًا منفصلًا يقوم باستنساخ مصدر يجسد المصادر ذات الصلة بشكل حرفي.", da: "Relaterer en ressource til en større ressource, hvoraf en del udgør en separat del, der er en nøjagtig reproduktion af en anden ressource, der omfatter den samme ressource.", de: "Setzt eine Ressource in Beziehung zu einer größeren Ressource, von der ein Teil ein einzelnen Bestandteil ist, der eine in Beziehung stehende Ressource, die eine Ressource verkörpert, exakt reproduziert.", fi: "Liittää aineiston laajempaan aineistoon, jonka osana on erillinen, liittyvän aineiston tarkasti kopioiva aineisto.", "zh-hans-cn": "将一种资源与有独立组成部分精确复制具体化一种资源的一种关联资源的一种更大的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/facsimilePartOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60300",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is facsimile part of", ar: "هو جزء طبق الأصل لـ", da: "er faksimile indeholdt i", de: "ist Faksimile als Teil von", fi: "näköispainos sisältyy aineistoon", nl: "is facsimile deel van", "zh-hans-cn": "是……的摹真品部分"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60101,
      altLabel: {en: "is contained in resource", ar: "هو متضمن في مصدر", da: "er indholdt i ressource", de: "ist enthalten in (Ressource)", fi: "sisältyy aineistoon", "zh-hans-cn": "被包含在资源中"},
      definition: {en: "Relates a resource to a resource that has another resource as a discrete component.", ar: "يربط بين مصدر ومصدر له مصدر آخر كعنصر منفصل.", da: "Relaterer en ressource til en større ressource, som ressourcen udgør en separat del af.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine andere Ressource als einzelnen Bestandteil enthält.", fi: ".Liittää aineiston aineistoon, johon itsenäisenä osana sisältyy toinen aineisto", "zh-hans-cn": "将一种资源与有另一种资源作为独立组成部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60100", "http://rdaregistry.info/Elements/u/P60192", "http://rdaregistry.info/Elements/u/P60193", "http://rdaregistry.info/Elements/u/P60194", "http://rdaregistry.info/Elements/u/P60317", "http://rdaregistry.info/Elements/u/P61223"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60249",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is part of resource", ar: "هو جزء من المصدر", da: "er indeholdt i", de: "ist Teil von Ressource", fi: "aineiston osa", nl: "is deel van resource", "zh-hans-cn": "是资源的部分"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60714",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60102,
      altLabel: {en: "is prequel to", ar: "له بادئه لـ", da: "er forløber til", de: "ist Prequel zu", fi: "aineiston esiosa", "zh-hans-cn": "是……的前篇"},
      definition: {en: "Relates a resource to a resource that extends the narrative of another resource forwards in time.", ar: "يربط بين مصدر ومصدر يوسع السرد لمصدر آخر يسبقه زمنيًا.", da: "Relaterer en ressource til en senere ressource, der fortsætter en tidligere ressources fortælling.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Erzählstrang einer anderen Ressource zeitlich vorwärts erweitert.", fi: "Liitää aineiston aineistoon, joka laajentaa toisen aineiston kerrontaa ajassa eteenpäin.", "zh-hans-cn": "将一种资源与把另一种资源的叙述在时间上往前延伸的一种资源"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sequel.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60577",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sequel", ar: "له تَتِمّة", da: "er efterfølger", de: "hat Sequel", fi: "aineiston jatko-osa", nl: "heeft sequel", "zh-hans-cn": "有续篇"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60103,
      definition: {en: "Relates a resource to a resource whose content partially supersedes and renders obsolete the content of another resource.", ar: "يربط بين مصدر ومصدر يحل محتواه جزئيا محل مصدر آخر ويجعل محتواه متقادمًا.", da: "Relaterer en ressource til en senere ressource, der er delvist anvendt i stedet for et tidligere udtryk, normalt fordi den senere ressource indeholder opdateret eller ny information, der betyder, at den tidligere ressource er forældet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, dessen Inhalt den Inhalt einer anderen Ressource teilweise ersetzt und obsolet macht.", fi: "Liittää aineiston aineistoon, jonka sisältö osittain korvaa ja tekee vanhentuneeksi toisen aineiston.", "zh-hans-cn": "将一种资源与其内容部分地替代并废止另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/replacedInPartBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This relationship applies generally to single-part units, multipart monographs, and integrating resources.", ar: "تنطبق هذه العلاقة بشكل عام على وحدات من جزء واحد، مونوجرافيا متعددة الأجزاء، ومصادر متكاملة.", da: "Denne relation anvendes generelt til enkeltstående monografier, flerbindsværker og integrerende ressourcer.", de: "Diese Beziehung gilt allgemein für einteilige Einheiten, mehrteilige Monographien und integrierende Ressourcen.", fi: "Koskee yleensä yksiosaisia yksiköitä, moniosaisia monografioita ja päivittyviä aineistoja.", "zh-hans-cn": "这个关系一般适用于单部分单元、多部分单行出版物和集成性资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60479",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is replaced in part by", ar: "هو مستبدَل جزئيًا", da: "er delvis erstattet af", de: "ist teilweise ersetzt durch", fi: "osittain korvattu aineistolla", nl: "is gedeeltelijk vervangen door", "zh-hans-cn": "被……部分替代"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60104,
      definition: {en: "Relates a resource to a resource whose content supersedes and renders obsolete the content of another resource.", ar: "يربط بين مصدر ومصدر يحل محتواه محل محتوى مصدر آخر ويجعله متقادمًا.", da: "Relaterer en ressource til en senere ressource, der er anvendt delvist i stedet for en tidligere ressource, normalt fordi den senere ressource indeholder opdateret eller ny information, der betyder, at den tidligere ressource er forældet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt den Inhalt einer anderen Ressource ersetzt und obsolet macht.", fi: "Liittää aineiston aineistoon, jonka sisältö korvaa ja tekee vanhentuneeksi toisen aineiston.", "zh-hans-cn": "将一种资源与其内容替代并废止另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/replacedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This relationship applies generally to single-part units, multipart monographs, and integrating resources.", ar: "تنطبق هذه العلاقة بشكل عام على وحدات من جزء واحد، مونوجرافيا متعددة الأجزاء، ومصادر متكاملة.", da: "Den her relation bruges generelt til enkeltstående monografier, flerbindsværker og integrerende ressourcer.", de: "Diese Beziehung gilt allgemein für einteilige Einheiten, mehrteilige Monographien und integrierende Ressourcen.", fi: "Koskee yleensä yksiosaisia yksiköitä, moniosaisia monografioita ja päivittyviä aineistoja.", "zh-hans-cn": "这个关系一般适用于单部分单元、多部分单行出版物和集成性资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60480",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is replaced by", ar: "هو مستبدَل بـ", da: "er erstattet af", de: "ist ersetzt durch", fi: "korvattu aineistolla", nl: "is vervangen door", "zh-hans-cn": "被……替代"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60105,
      definition: {en: "Relates a resource to a listing of agents, families, or corporate bodies making contributions to the artistic and/or technical production of a resource. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/artisticAndOrTechnicalCredit.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has artistic or technical credit (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60106,
      definition: {en: "Relates a resource to a literary composition in verse form adapted from another resource.", ar: "يربط بين مصدر وتركيب أدبي في شكل شعر مُقتبس من مصدر آخر.", da: "Relaterer en ressource til en litterær komposition i versform, bearbejdet ud fra en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer literarischen Dichtung in Versform, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston runomuodossa olevaan aineistoon, joka on sovitettu toisesta aineistosta.", "zh-hans-cn": "将一种资源与被改编自另一种资源的一种文学韵文写作关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedInVerseAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60226",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted in verse as", ar: "هو مقتبَس شعريًا كـ", da: "bearbejdet i versform som", de: "ist bearbeitet als Gedicht", fi: "aineiston runomukaelma", nl: "is bewerkt in versvorm als", "zh-hans-cn": "被改编成韵文作为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60107,
      definition: {en: "Relates a resource to a place where a conference, exhibition, or other formally named and convened event that gives rise to a resource is held.", ar: "يربط بين مصدر ومكان محلي عُقد فيه مؤتمر، اجتماع، جلسة، معرض، مهرجان، إلخ.", da: "Relaterer en korporation til et sted, hvor en konference, en kongres, et møde, en udstilling, en messe, en festival etc. blev afholdt.", de: "Setzt eine Ressource in Beziehung zu einem lokalen Ort, an dem eine Konferenz, ein Kongress, eine Ausstellung, eine Messe, ein Festival und so weiter stattgefunden hat.", fi: "Liittää aineiston paikkaan, jossa konferenssi, kongressi, kokous, nättely, messut, festivaalit yms. järjestettiin.", "zh-hans-cn": "将一种资源与产生一种资源的一次会议、展览或其他正式命名并举办的活动的地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfConference.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60997",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of conference", ar: "له مكان مؤتمر", da: "har sted for konference etc.", de: "hat Ort einer Konferenz", fi: "konferenssin paikka", nl: "heeft plaats van conferentie", "zh-hans-cn": "有会议的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60108,
      definition: {en: "Relates a resource to a name of manufacturer in a language or script that differs from that recorded in a name of manufacturer element.", ar: "يربط بين مصدر واسم مُصّنع بلغة أو نص مختلف عن تلك المُسجل بإسم عنصر مُصّنع.", da: "Relaterer en ressource til et producentnavn på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af producentnavnet.", de: "Setzt eine Ressource in Beziehung zu einem Herstellernamen in einer Sprache oder Schrift, die von dem bereits erfassten Herstellernamen abweicht.", fi: "Liittää aineiston nimeen, joka on valmistajan nimi toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在生产者名称元素中之语言或文字的生产者的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelNameOfManufacturer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel name of manufacturer", ar: "له اسم موازي للمُصّنع", da: "har parallelt producentnavn", de: "hat parallelen Herstellername", fi: "valmistajan rinnakkainen nimi aineistolle", nl: "heeft parallelle naam van vervaardiger", "zh-hans-cn": "有生产者的并列名称"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60109,
      definition: {en: "Relates a resource to a place that is the area of coverage of a cartographic resource that is described using a mathematical system to identify its boundaries or location.", ar: "يربط بين مصدر ونظام رياضي يقوم بتحديد مكان مُغطى بواسطة محتوى رسم خرائطي لمصدر.", da: "Relaterer en ressource til et matematisk system til identificering af det område, der dækkes af en ressources kartografiske indhold.", de: "Setzt eine Ressource in Beziehung zu einem mathematischen System zur Identifizierung eines Gebiets, das durch den kartografischen Inhalt einer Ressource abgedeckt wird.", fi: "Liittää aineiston matemaattiseen järjestelmään, jolla identifioidaan aineiston kartografisen sisällön kattama paikka.", "zh-hans-cn": "将一种资源与作为一种地图资源的覆盖范围、并被使用一个数学体系描述以标识其边界或位置的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60345", "http://rdaregistry.info/Elements/u/P60346", "http://rdaregistry.info/Elements/u/P60347"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/coordinatesOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61191",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has coordinates of cartographic content", ar: "له إحداثيات لمحتوى خرائطي", da: "har koordinater for kartografisk indhold", de: "hat Koordinaten von kartografischem Inhalt", fi: "kartografisen sisällön koordinaatit aineistolle", nl: "heeft coördinaten van cartografische content", "zh-hans-cn": "有地图内容的坐标"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60110,
      definition: {en: "Relates a resource to a motion picture that is based on another resource.", ar: "يربط بين مصدر وفيلم سينمائي اعتمد على مصدر آخر.", da: "Relaterer en ressource til en film baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einem Film, der auf einer anderen Ressource basiert.", fi: "Liittää aineiston toiseen aineistoon perustuvaan liikkuvan kuvan käsikirjoitukseen.", "zh-hans-cn": "将一种资源与基于另一种资源的一种电影关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsMotionPicture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60227",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as motion picture", ar: "هو مقتبَس كفيلم سينمائي", da: "er bearbejdet som film", de: "ist bearbeitet als Film", fi: "aineiston elokuvaversio", nl: "is bewerkt als speelfilm", "zh-hans-cn": "被改编成电影"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60111,
      definition: {en: "Relates a resource to a moving image resource whose spoken dialogue is translated into a language different from another resource.", ar: "يربط بين مصدر ومصدر لصورة متحركة يتم فيه ترجمة حوار منطوق إلى لغة مختلفة عن لغة المصدر الأصلي.", da: "Relaterer et udtryk til en ressource af et levende billedværk, hvori den talte dialog er blevet oversat til et andet sprog end det, der er anvendt i den originale ressource.", de: "Setzt eine Ressource in Beziehung zu einer Bewegtbildressource, in der die Dialoge in eine Sprache übersetzt wurden, die sich von der der Originalressource unterscheidet.", fi: "Liittää aineiston elokuva-aineistoon, jossa alkuperäisteoksen puhuttu dialogi on käännetty toiselle kielelle.", "zh-hans-cn": "将一种资源与其口语对话被翻译成和另一种资源不同语言的一种动态图像资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dubbedVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60112",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dubbed version of", ar: "هي نسخة مدبلجة من", da: "er synkroniseret version af", de: "ist Synchronfassung von", fi: "aineiston dubattu versio", nl: "is nagesynchroniseerde versie van", "zh-hans-cn": "是……的配音版"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60244",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60112,
      definition: {en: "Relates a resource to a moving image resource that translates spoken dialogue of another resource into a different language.", ar: "يربط بين مصدر ومصدر لصورة متحركة يتم فيه ترجمة حوار منطوق لمصدر أصلي إلى لغة مختلفة.", da: "Relaterer en ressource til en ressource af et levende billedværk, der oversætter den originale ressources talte dialog til et andet sprog.", de: "Setzt eine Ressource in Beziehung zu einer Bewegtbildressource, die die Dialoge der Originalressource in eine andere Sprache übersetzt.", fi: "Liittää aineiston elokuvateoksen aineistoon, jossa alkuperäisteoksen puhuttu dialogi on käännetty toiselle kielelle.", "zh-hans-cn": "将一种资源与把另一种资源的口语对话翻译成另一种不同语言的一种动态图像资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dubbedVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60111",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dubbed version", ar: "له نسخة مدبلجة", da: "er synkroniseret version", de: "ist Synchronfassung", fi: "dubatun version perusta", nl: "heeft nagesynchroniseerde versie", "zh-hans-cn": "有配音版"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60280",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60113,
      definition: {en: "Relates a resource to a resource that is a musical resource that is an ornamental passage for a soloist added to a musical resource, such as a concerto, by the same or a different composer.", ar: "يربط بين مصدر ومصدر موسيقي يُمثل فقرة مصاحبة لعازف منفرد تُضاف إلى مصدر موسيقي مثل، كونشيرتو، للملحن نفسة أو لملحن مختلف.", da: "Relaterer en ressource til en musikressource, der består af en nedskreven improvisation for solist, som er føjet til en musikressource såsom en koncert, enten af den samme eller af en anden komponist.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die aus einer ausgeschmückten Passage für eine Solistin/einen Solisten besteht, die einer Musikressource, wie zum Beispiel einem Konzert, entweder von derselben/demselben oder einer/einem anderen Komponistin/Komponisten hinzugefügt wird.", fi: "Liittää aineiston musiikkiaineistoon, joka koostuu solistille tarkoitetusta koristeellisesta osasta ja on lisätty saman tai eri säveltäjän musiikkiteokseen, kuten konserttoon.", "zh-hans-cn": "将一种资源与由同一个或不同的作曲家附加在诸如协奏曲等一种音乐资源中独奏（唱）表演的装饰性乐段作为一种音乐资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/cadenza.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60116",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has cadenza", ar: "له كادنزا", da: "er kadence", de: "hat Kadenz", fi: "kadenssiaineisto", nl: "heeft cadens", "zh-hans-cn": "有华彩"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60114,
      definition: {en: "Relates a resource to a musical resource from which melodic, thematic, or harmonic material is taken to form a discrete theme, which is repeated one or more times with subsequent modifications.", ar: "يربط بين مصدر ومصدر موسيقي تؤخذ منه المواد اللحنية أو الموضوعية أو التناغمية لتشكل مقطوعة متميزة، تتكرر مرة واحدة أو أكثر مع تعديلات لاحقة.", da: "Relaterer en ressource til en musikressource, hvorfra der er taget melodisk, tematisk eller harmonisk materiale til dannelse af et bestemt tema, som gentages en eller flere gange med efterfølgende ændringer.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, aus der melodisches, thematisches oder harmonisches Material entnommen wird, um ein einzelnes Thema zu bilden, das ein- oder mehrmals mit nachfolgenden Modifikationen wiederholt wird.", fi: "Liittää aineiston musiikkiaineistoon, josta melodinen, temaattinen tai harmoninen aines on otettu erillisen, toistettavan ja muunneltavan teeman muodostamiseksi.", "zh-hans-cn": "将一种资源与其旋律、主题或和声材料被用来形成一个独立的主题、而这个主题又经过后续变化而反复一次或多次的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variationsBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60115",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variations based on", ar: "هي تنويعات تعتمد على", da: "er variationer baseret på", de: "ist Variationen basierend auf", fi: "muunnelma aineistosta", nl: "is variatie gebaseerd op", "zh-hans-cn": "是基于……的变奏曲"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60115,
      definition: {en: "Relates a resource to a musical resource in which melodic, thematic, or harmonic material taken from another resource forms a discrete theme, which is repeated one or more times with subsequent modifications.", ar: "يربط بين مصدر ومصدر موسيقي تكون فيه المواد اللحنية أو المواضعية أو التناغمية مأخوذة من مصدر آخر لتشكل مقطوعة متميزة، تتكرر مرة واحدة أو أكثر مع تعديلات لاحقة.", da: "Relaterer en ressource til en musikressource, hvori melodisk, tematisk eller harmonisk materiale taget fra det oprindelige værk danner et bestemt tema, der gentages en eller flere gange med efterfølgende ændringer.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, in dem melodisches, thematisches oder harmonisches Material aus einer anderen Ressource ein einzelnes Thema bildet, das ein- oder mehrmals mit nachfolgenden Modifikationen wiederholt wird.", fi: "Liittää aineiston musiikkiaineistoon, jossa toisesta aineistosta otettu melodinen, temaattinen tai harmoninen aines muodostaa erillisen teeman, jota toistetaan muunnellen yhden tai useamman kerran.", "zh-hans-cn": "将一种资源与其旋律、主题或和声材料被取自另一种资源以形成一个不同的主题、而这个主题又经过后续变化而反复一次或多次的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/modifiedByVariationAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60114",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is modified by variation as", ar: "هو معدل بتنويع كـ", da: "er ændret ved variation til", de: "ist durch Variation modifiziert als", fi: "variaatioaineisto", nl: "is aangepast door variatie als", "zh-hans-cn": "被修改为变奏曲作为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60116,
      definition: {en: "Relates a resource to a musical resource, such as a concerto, to which is added a musical resource that is an ornamental passage for a soloist by the same or a different composer.", ar: "يربط بين مصدر ومصدر موسيقي مثل كونشيرتو يضاف إلي مصدر موسيقي يمثل فقرة مصاحبة لعازف منفرد للملحن نفسه أو لملحن مختلف.", da: "Relaterer en ressource til en musikressource, såsom en koncert, hvortil der er komponeret en nedskreven improvisation for solist, enten af den samme eller af en anden komponist.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, zum Beispiel einem Konzert, dem eine Musikressource, das aus einer ausgeschmückten Passage für eine Solistin/einen Solisten besteht, entweder von derselben/demselben oder einer/einem anderen Komponistin/Komponisten hinzugefügt wird.", fi: "Liittää aineiston musiikkiaineistoon, joka koostuu solistille tarkoitetusta koristeellisesta osasta ja on lisätty saman tai eri säveltäjän musiikkiaineistoon.", "zh-hans-cn": "将一种资源与由同一个或不同的作曲家附加的独奏（唱）表演的装饰性乐段的一种音乐资源于其中的诸如协奏曲等的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/cadenzaComposedFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60113",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is cadenza composed for", ar: "هو كادنزا مؤلَفة لـ", da: "er kadence komponeret til", de: "ist Kadenz komponiert für", fi: "kadenssi aineistoon", nl: "is cadens gecomponeerd voor", "zh-hans-cn": "是为……作曲的华彩段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60117,
      definition: {en: "Relates a resource to a resource that is a musical or choreographic resource such as an opera, a ballet, or other resource for the musical stage, or an oratorio, that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر موسيقي أو راقص مثل الأوبرا، الباليه، أو مصدر آخر للمسرح الموسيقي، أو موسيقى دينية يكملها مصدر نصي.", da: "Relaterer en ressource til en musikressource, såsom en opera eller et andet musikalsk sceneværk, eller et oratorium, der anvender den relaterede ressources tekst.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource oder einer choreographischen Ressource, wie zum Beispiel einer Oper, einem Ballett oder einer anderen Musikressource für die Bühne oder einem Oratorium, die/das durch eine textliche Ressource vervollständigt wird.", fi: "Liittää aineiston tekstiaineistolla täydennettyyn musiikkiin tai koreografiaan, kuten oopperaan, balettiin tai muuhun näyttämöteokseen tai oratorioon.", "zh-hans-cn": "将一种资源与被一种文字资源补充的诸如歌剧、芭蕾或其他舞台音乐作品或清唱剧之类的作为一种音乐或编舞资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/librettoFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60270",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is libretto for", ar: "نص أوبرالي لـ", da: "er libretto til", de: "ist Libretto für", fi: "librettoaineisto", nl: "is libretto voor", "zh-hans-cn": "是……的台本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60118,
      definition: {en: "Relates a resource to a resource that is a musical resource that complements a resource that is a play or other work for the stage that is realized as spoken word.", ar: "يربط بين مصدر ومصدر موسيقي يكمل مصدرًا يمثل مسرحية أو مصدر آخر للمسرح يتحول إلى كلمة منطوقة.", da: "Relaterer en ressource til en musikressource, der indeholder tilhørende musik til et skuespil eller anden ressource for et talt sceneværk.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die ein Drama oder eine andere, gesprochene Bühnenressource ergänzt.", fi: "Liittää aineiston musiikkiaineistoon, joka toimii näytelmän tai muun puhutun näyttämöesityksen näytelmämusiikkina.", "zh-hans-cn": "将一种资源与补充作为戏剧或其他舞台会话作品之资源的作为一种音乐资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/incidentalMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60202",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has incidental music", ar: "له موسيقى تصويرية", da: "er skuespilsmusik", de: "hat Bühnenmusik", fi: "näytelmämusiikkiaineisto", nl: "heeft toneelmuziek", "zh-hans-cn": "有配乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60119,
      definition: {en: "Relates an agent to a name of agent that is not selected for preference in a specific application or context.", ar: "يربط وبين كيل واسم وكيل لم يتم اختياره كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer en ressource til et navn eller en navneform, hvorunder en ressource er kendt, og som adskiller sig fra det navn eller den navneform, der er valgt som det foretrukne navn.", de: "Setzt einen Akteur in Beziehung zu einem Name eines Akteurs, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää toimijan nimeen, jota jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个行为者在一个特定的应用或语境中未被首选的一个行为者的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60921",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant name of agent", ar: "له اسم مختلف لوكيل", da: "har variantnavn for agent", de: "hat abweichenden Namen eines Akteurs", fi: "toimijan varianttinimi", nl: "heeft variant naam van actor", "zh-hans-cn": "有行为者的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60368",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60120,
      definition: {en: "Relates a resource to a motion picture, radio program, television program, or video based on an earlier resource.", ar: "يربط بين مصدر وفيلم سينمائي، برنامج إذاعي، برنامج تليفزيوني، أو فيديو يعتمد على مصدر سابق.", da: "Relaterer en ressource til en ressource af en film, et radio- eller tv-program eller en video baseret på en tidligere ressource.", de: "Setzt eine Ressource in Beziehung zu einem Film, einer Hörfunksendung, einer Fernsehsendung oder einem Video, der/die/das auf einer früheren Ressource basiert.", fi: "Liittää aineiston elokuvaan, radio-ohjelmaan, televisio-ohjelmaan tai videoon, joka perustuu aiempaan aineistoon.", "zh-hans-cn": "将一种资源与基于一种先前资源的一种新电影、广播节目、电视节目或视频的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/remadeAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60295",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is remade as", ar: "هو إعادة كـ", da: "er genindspillet som", de: "ist Remake als", fi: "aineiston uusintaproduktio", nl: "is opnieuw gemaakt als", "zh-hans-cn": "被重新制作为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60121,
      definition: {en: "Relates a resource to a non-dramatic musical resource, other than an oratorio, that uses a text of another resource.", ar: "يربط بين مصدر ومصدر موسيقي غير درامي، بخلاف الموسيقى الدينية، التي تستخدم نص مصدر آخر", da: "Relaterer en ressource til en ressource af et ikke-dramatisk musikværk, bortset fra et oratorium, der anvender en oprindelig ressources tekst.", de: "Setzt eine Ressource in Beziehung zu einer nicht dramatischen Musikressource, bei der es sich nicht um ein Oratorium handelt, die den Text einer anderen Ressource verwendet.", fi: "Ei-näytelmällisen musiikkiaineiston (muun kuin oratorion) ekspressio, jonka teksti on peräisin toisesta aineistosta.", "zh-hans-cn": "将一种资源与不同于清唱剧、使用另一种资源的文本的一种非戏剧音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/setToMusicAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60266",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is set to music as", ar: "هو إعداد موسيقي كـ", da: "er sat i musik som", de: "ist vertont als", fi: "tekstiin perustuva musiikkiaineisto", nl: "is op muziek gezet als", "zh-hans-cn": "配乐为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60122,
      definition: {en: "Relates a resource to a note on resource that identifies an issue or part of a multipart monograph or serial, or an iteration of an integrating resource that has been used as a basis for the identification of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يُحدد عدد أو جزء من دراسات متعددة الأجزاء أو سلسلة، أو جزء من مصدر متكامل تم استخدامه كأساس لتحديد مصدر.", da: "Relaterer en ressource til en note, der identificerer et nummer eller en del af et flerbindsværk eller et periodikum, eller en iteration af en integrerende ressource, der er brugt som grundlag for identifikation af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die eine Ausgabe oder einen Teil einer mehrteiligen Monografie oder einer fortlaufenden Ressource oder eine Iteration einer integrierenden Ressource identifiziert, die/der als Grundlage für die Identifizierung einer Ressource verwendet wird.", fi: "Liittää aineiston huomautukseen moniosaisen monografian tai sarja-aineiston numerosta tai osasta tai päivittyvän aineiston iteraatiosta, jota käytetään aineiston identifioinnin perustana.", "zh-hans-cn": "将一种资源与标识作为资源标识基础的多部分单行出版物或连续出版物的期或部分或者集成性资源的更新后整体的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnIssuePartOrIterationUsedAsBasisForIdentificationOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on issue, part, or iteration used as basis for identification of resource", ar: "له تبصرة عن عدد، جزء، أو إعادة إصدار يُستخدم كأساس لتحديد مصدر.", da: "har note om nummer, del eller iteration, anvendt som grundlag for identifikation af ressource", de: "hat Anmerkung zur Ausgabe, zum Teil oder zur Iteration, die/der als Grundlage für die Identifizierung einer Manifestation verwendet wird", fi: "huomautus numerosta, osasta tai iteraatiosta aineiston identifioinnin perustana.", nl: "heeft noot bij aflevering, deel of iteratie gebruikt als basis voor identificatie van resource", "zh-hans-cn": "有关于用作资源标识之基础的期、部分、或更新后整体的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60123,
      definition: {en: "Relates a resource to a note on resource that provides information on variations in the content characteristics of parts, issues, or iterations of a diachronic resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يُعطي معلومات عن التغيرات في سمات المحتوى الذي يوجد على الأجزاء، أو الأعداد، أو إعادة الإصدار الخاص بمصدر مستمر.", da: "Relaterer en ressource til en note om ændringer i bærerens karakteristika, der optræder i efterfølgende numre eller dele af en ressource, der er udgivet i successive dele, eller mellem iterationer af en integrerende ressource.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über Veränderungen in den Inhaltseigenschaften von Teilen, Ausgaben oder Iterationen einer diachronen Ressource enthält.", fi: "Liittää aineiston aineistoa koskevaan huomaukseen, jossa annetaan tietoja vaihteluista diakronisen aineiston osien, numeroiden tai iteraatioiden isällön ominaisuuksissa.", "zh-hans-cn": "将一种资源与提供关于一种历时资源的部分、期、或更新后整体的内容特征之变化的信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnChangesInContentCharacteristics.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on changes in content characteristics", ar: "له تبصرة على تغييرات في سمات المحتوى", da: "har note om ændringer i bærerkarakteristika", de: "hat Anmerkung zu Änderungen von Inhaltseigenschaften", fi: "huomautus muutoksista sisällön ominaisuuksissa", nl: "heeft noot bij veranderingen in karakteristieken van content", "zh-hans-cn": "有关于内容特征变化的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60124,
      definition: {en: "Relates a resource to a note on resource that provides information on variations in the carrier characteristics that are found on resources of parts, issues, or iterations of a diachronic resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن التغيرات في سمات الحامل التي توجد على مصادر الأجزاء، الأعداد، أو إعادة الإصدار الخاص بمصدر تعاقبي.", da: "Relaterer en ressource til en note om ændringer i bærerens karakteristika, der optræder i efterfølgende numre eller dele af en ressource, der er udgivet i successive dele, eller mellem iterationer af en integrerende ressource.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen zu Veränderungen in den Datenträgereigenschaften enthält, die bei Ressourcen von Teilen, Ausgaben oder Iterationen einer diachronen Ressource vorkommen.", fi: "Liittää aineiston lisätietoon vaihteluista diakronisen ainieston osien, numeroiden tai iteraatioiden ominaisuuksissa.", "zh-hans-cn": "将一种资源与提供关于一种历时资源的部分、期、或更新后整体上发现的载体之变化的信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnChangesInCarrierCharacteristics.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on changes in carrier characteristics", ar: "له تبصرة عن التغييرات في سمات الحامل", da: "har note om ændringer i bærerkarakteristika", de: "hat Anmerkung zu Änderungen von Datenträgereigenschaften", fi: "huomautus muutoksista tallenteen ominaisuuksissa", nl: "heeft noot bij veranderingen in karakteristieken van dragers", "zh-hans-cn": "有关于载体特征变化的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60125,
      definition: {en: "Relates a resource to a note on resource that provides information on the distribution of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن توزيع مصدر.", da: "Relaterer en ressource til en note, der angiver detaljer om distributionssted, distributør eller distributionsår, eller oplysninger om ændringer i distributionssted, distributør eller distributørnavn.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über den Vertrieb einer Ressource enthält.", fi: "Liittää aineiston huomautukseen, joka sisältää tietoja aineiston jakelusta.", "zh-hans-cn": "将一种资源与提供关于资源发行信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnDistributionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on distribution statement", ar: "له تبصرة عن بيان التوزيع", da: "har note til distriubutionsbeskrivelse", de: "hat Anmerkung zur Vertriebsangabe", fi: "huomautus aineiston jakelumerkinnöstä", nl: "heeft noot bij distributievermelding", "zh-hans-cn": "有关于发行说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60126,
      definition: {en: "Relates a resource to a note on resource that provides information on the manufacture of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن صانع مصدر.", da: "Relaterer en ressource til en note, der giver detaljer om fremstillingssted, producent eller fremstillingsår, eller om ændringer i fremstillingssted, producent eller producentnavn.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über die Herstellung einer Ressource enthält.", fi: "Liittää aineiston huomautukseen, joka sisältää tietoja aineiston valmistuksesta.", "zh-hans-cn": "将一种资源与提供关于资源生产信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnManufactureStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on manufacture statement", ar: "له تبصرة عن بيان التصينع", da: "har note til produktionsbeskrivelse - publicerede ressourcer", de: "hat Anmerkung zur Herstellungsangabe", fi: "huomautus aineiston valmistusmerkinnöstä", nl: "heeft noot bij vervaardigingsvermelding", "zh-hans-cn": "有关于生产说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60127,
      definition: {en: "Relates a resource to a note on resource that provides information on the production of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن إنتاج مصدر.", da: "Relaterer en ressource til en note, der giver detaljer om produktionssted, producer eller produktionsår, eller om ændringer i produktionssted, producer eller producernavn.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über die Entstehung einer Ressource enthält.", fi: "Liittää aineiston lisätietoon aineiston tuotannosta.", "zh-hans-cn": "将一种资源与提供关于资源制作信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnProductionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on production statement", ar: "له تبصرة عن بيان الإنتاج", da: "har note til produktionsbeskrivelse - upublicerede ressourcer", de: "hat Anmerkung zur Entstehungsangabe", fi: "huomautus aineiston tuotantomerkinnöstä", nl: "heeft noot bij productievermelding", "zh-hans-cn": "有关于制作说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60128,
      definition: {en: "Relates a resource to a note on resource that provides information on the publication of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن نشر مصدر.", da: "Relaterer en ressource til en note, der giver detaljer om publiceringssted, udgiver eller publiceringsår eller oplysninger om ændringer i publiceringssted, udgiver eller udgivernavn, eller om ophør af publicering.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über die Veröffentlichung einer Ressource enthält.", fi: "Liittää aineiston lisätietoon aineiston julkaisemisesta.", "zh-hans-cn": "将一种资源与提供关于资源出版信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnPublicationStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on publication statement", ar: "له تبصرة عن بيان النشر", da: "har note til publiceringsbeskrivelse", de: "hat Anmerkung zur Veröffentlichungsangabe", fi: "huomautus aineiston julkaisumerkinnöstä", nl: "heeft noot bij publicatievermelding", "zh-hans-cn": "有关于出版说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60129,
      definition: {en: "Relates a resource to a note providing details on the currency of the contents, on the frequency of release of issues or parts of a serial or the frequency of updates to an integrating resource, or on changes in frequency. (Deprecated)", da: "Relaterer en ressource til en note, der giver detaljer om dækningsperioden, om udgivelsesfrekvensen for numre eller dele af et periodikum eller opdateringsfrekvensen for en integrerende ressource eller ændringer i frekvens."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnFrequency.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on frequency (Deprecated)", da: "har note om frekvens"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60130,
      definition: {en: "Relates a resource to note on resource that provides information on an agent, and their function, who is responsible for a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن وكيل، ووظيفته، ومن مسؤول عن المصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om en agent, der ikke er nævnt i ophavsangivelsen, men som er tillagt ansvaret for det intellektuelle eller kunstneriske indhold af værket, om variantformer af navne, der optræder i ressourcen, om ændringer i ophavsangivelser eller om andre detaljer der knytter sig til ophavsangivelsen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über einen Akteur und dessen Funktion enthält, der für eine Ressource verantwortlich ist.", fi: "Liittää aineiston lisätietoon aineistossa vastuussa olevasta toimijasta ja tämän roolista.", "zh-hans-cn": "将一种资源与提供关于对资源负责的行为者及其职能的信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnStatementOfResponsibility.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on statement of responsibility", ar: "له تبصرة عن بيان المسئولية", da: "har note til ophavsangivelse", de: "hat Anmerkung zur Verantwortlichkeitsangabe", fi: "huomautus aineiston vastuullisuusmerkinnöstä", nl: "heeft noot bij verantwoordelijkheidsvermelding", "zh-hans-cn": "有关于责任说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60131,
      definition: {en: "Relates a resource to a note on resource that provides information on a series with which a resource is associated.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن السلسلة التي يرتبط بها المصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om kompleks seriebetegnelse eller ukorrekt nummerering i serien, om ændringer i seriebeskrivelse eller om andre oplysninger relateret til seriebeskrivelsen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über eine Reihe enthält, mit der eine Ressource in Verbindung steht.", fi: "Liittää aineiston lisätietoon aineistoon liittyvästä sarjasta.", "zh-hans-cn": "将一种资源与提供关于和资源有关的丛编的信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnSeriesStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on series statement", ar: "له تبصرة عن بيان السلسلة", da: "har note til seriebeskrivelse", de: "hat Anmerkung zur Gesamttitelangabe", fi: "huomautus aineiston sarjamerkinnöstä", nl: "heeft noot bij reeksvermelding", "zh-hans-cn": "有关于丛编说明的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60132,
      definition: {en: "Relates a resource to a note on resource that provides information on a copyright date.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن تاريخ حق النشر.", da: "Relaterer en ressource til en note, der giver oplysninger om copyrightår, der ikke er registreret som en del af copyrightangivelsen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über ein Copyright-Datum enthält.", fi: "Liittää aineiston lisätietoon copyright-vuodesta.", "zh-hans-cn": "将一种资源与提供关于版权日期信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnCopyrightDate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on copyright date", ar: "له تبصرة عن تاريخ حق النشر", da: "har note om copyrightår", de: "hat Anmerkung zum Copyright-Datum", fi: "huomautus aineiston copyright-vuodesta", nl: "heeft noot bij copyrightdatum", "zh-hans-cn": "有关于版权日期的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60133,
      definition: {en: "Relates a resource to a note on resource that provides information on the dimensions of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر توفر معلومات عن أبعاد مصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om en ressources størrelse, der ikke er registreret som en del af størrelsesangivelsen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über die Maße einer Ressource enthält.", fi: "Liittää aineiston lisätietoon aineiston koosta.", "zh-hans-cn": "将一种资源与提供关于资源尺寸信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnDimensionsOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on dimensions of resource", ar: "له تبصرة عن أبعاد المصدر", da: "har note om ressources størrelse", de: "hat Anmerkung zu Maßen eines Exemplars", fi: "huomautus aineiston koosta", nl: "heeft noot bij afmetingen van resource", "zh-hans-cn": "有关于资源尺寸的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60134,
      definition: {en: "Relates a resource to a note on resource that provides information on the extent of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن عدد صفحات المصدر", da: "Relaterer en ressource til en note, der giver oplysninger om en ressources omfang, der ikke er registreret som en del af omfangsangivelsen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über den Umfang einer Ressource enthält.", fi: "Liittää aineiston lisätietoon aineiston laajuudesta.", "zh-hans-cn": "将一种资源与提供关于资源数量信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnExtentOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on extent of resource", ar: "له تبصرة عن عدد صفحات المصدر", da: "har note om omfang af ressource", de: "hat Anmerkung zum Umfang eines Exemplars", fi: "huomautus aineiston laajuudesta", nl: "heeft noot bij omvang van resource", "zh-hans-cn": "有关于资源数量的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60135,
      definition: {en: "Relates a resource to a note providing information on the range of designators that is used to indicate a sequence of the individual parts or iterations of a resource.", ar: "يربط بين مصدر وتبصرة توفر معلومات عن مجموعة من الترقيمات المستخدمة لتحديد تسلسل أجزاء أو تكرارات فردية لمصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om nummereringen af første og/eller sidste nummer eller del, om kompleks eller uregelmæssig nummerering (inkl. nummereringsfejl), om den periode, der dækkes af et bind, et nummer, en del etc., eller om andre oplysninger relateret til nummerering af periodika.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung, die Informationen zur Reihenfolge der einzelnen Ausgaben einer fortlaufenden Ressource enthält.", fi: "Liittää aineiston lisätietoon määritteiden jonosta. Määritteiden jonoa käytetään ilmaisemaan aineiston yksittäisten osien tai iteraatioiden peräkkäisyyttä.", "zh-hans-cn": "将一种资源与提供关于用于表示一种资源的个别部分或更新后整体的序列的标识范围的信息的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnNumberingOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on numbering of sequence", ar: "له تبصرة عن ترقيم التسلسل", da: "har note om periodikanummerering", de: "hat Anmerkung zur Zählung einer fortlaufenden Ressource", fi: "huomautus aineiston numerointijaksosta", nl: "heeft noot bij nummering van volgorde", "zh-hans-cn": "有关于序列编号的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60136,
      definition: {en: "Relates a resource to a note on resource that provides information on inaccuracies appearing in titles, complex changes in titles, or on other information relating to a title.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن الأخطاء التي تظهر في العناوين، أو التغيرات المعقدة في العناوين، أو أي معلومات أخرى متعلقة بعنوان.", da: "Relaterer en ressource til en note, der giver oplysninger om titlens kilde, den dato, hvor titlen blev set, titelvariationer, unøjagtigheder, sletninger etc. eller om andre oplysninger relateret til en titel.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über Ungenauigkeiten in Titeln, unübersichtliche Änderungen in Titeln oder andere Informationen, die sich auf den Titel beziehen, enthält.", fi: "Liittää aineiston lisätietoon nimekkeiden epätarkkuuksista, nimekkeiden vaihteluista tai muuta nimekkeeseen liittyvää tietoa.", "zh-hans-cn": "将一种资源与提供关于题名出现不准确性、题名复杂变化或其他与题名相关信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnTitle.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on title", ar: "له تبصرة عن عنوان", da: "har note om titel", de: "hat Anmerkung zum Titel", fi: "huomautus aineiston nimekkeestä", nl: "heeft noot bij titel", "zh-hans-cn": "有关于题名的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60137,
      definition: {en: "Relates a resource to a note on resource that provides information on an edition of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر يوفر معلومات عن الطبعة الخاصة بمصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om kilden til en udgavebeskrivelse, om udgavebeskrivelse relateret til numre, dele etc., om ændringer i udgavebeskrivelse eller om andre oplysninger relateret til en udgavebeskrivelse.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über eine Ausgabe einer Ressource enthält.", fi: "Liitää aineiston lisätietoon painosmerkinnöstä.", "zh-hans-cn": "将一种资源与提供关于资源版本信息的关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnEditionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on edition statement", ar: "له تبصرة عن بيان الطبعة", da: "har note til udgavebeskrivelse", de: "hat Anmerkung zum Ausgabevermerk", fi: "huomautus aineiston painosmerkinnöstä", nl: "heeft noot bij editievermelding", "zh-hans-cn": "有关于版本的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60138,
      definition: {en: "Relates a resource to a novel adapted from another resource.", ar: "يربط بين مصدر ورواية مقتبسة من مصدر آخر.", da: "Relaterer en ressource til en roman bearbejdet ud fra en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einem Roman, der auf einer anderen Ressource basiert.", fi: "Liittää aineiston toisesta aineistosta sovitettuun romaaniin.", "zh-hans-cn": "将一种资源与改编自另一种资源的一种小说关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsNovel.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60228",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as novel", ar: "هو مقتبس كرواية", da: "er bearbjdet til roman", de: "ist bearbeitet als Roman", fi: "romaanimukaelma-aineisto", nl: "is bewerkt als roman", "zh-hans-cn": "被改编为小说"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60139,
      definition: {en: "Relates a resource to a nomen that is an identifier for resource other than a plate number for notated music, assigned by a publisher to a notated music resource.", ar: "يربط بين مصدر وترقيم محدد خصصه ناشر لمصدر موسيقى مدونة.", da: "Relaterer en ressource til en nummereringsbetegnelse givet til en noteret musikressource af en udgiver.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung einer Zählung, die einer notierten Musikressource vom Verlag zugewiesen wird.", fi: "Liittää aineiston musiikin kustantajan nuottiaineistolle antamaan tunnisteeseen.", "zh-hans-cn": "将一种资源与作为出版者给一种乐谱资源分配的除乐谱版号以外的一种资源的标识符的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/publisherNumberForNotatedMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A publisher number for notated music sometimes includes initials, abbreviations, or words identifying the publisher.", ar: "يتضمن رقم الناشر لموسيقى مدونة أحيانًا استهلاليات، إختصارات، أو كلمات التى تُعرّف بالناشر.", da: "Editionsnummer for noteret musik indeholder sommetider initialer, forkortelser eller ord der identificerer udgiveren.", de: "Eine Noten-Bestellnummer enthält manchmal Initialen, Abkürzungen oder Wörter, die den Verlag identifizieren.", fi: "Kustantajan nuottiaineistolle antama numero, joka voi sisältää kustantajaa identifioivia sanoja, lyhenteitä tai kirjaimia.", "zh-hans-cn": "乐谱的出版者编号有时候包括标识出版社的首字母缩写、缩略语或单词。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60989",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has publisher number for notated music", ar: "له رقم ناشر لموسيقى مدونة.", da: "har udgivers editionsnummer for noteret musik", de: "hat Noten-Bestellnummer", fi: "kustantajan nuottiaineistolle antama numero", nl: "heeft uitgeversnummer voor bladmuziek", "zh-hans-cn": "有乐谱的出版者编号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60052",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60140,
      definition: {en: "Relates a resource to a nomen that is an identifier for resource other than a publisher number for notated music, assigned by a publisher to a notated music resource to indicate the printing plate used in the printing process.", ar: "يربط بين مصدر وترقيم محدد خصصه ناشر لمصدر موسيقى مدونة.", da: "Relaterer en ressource til en noteret musikressource af en udgiver.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung einer Zählung, die einer notierten Musikressource vom Verlag zugewiesen wird.", fi: "Liittää aineiston kustantajan nuottikirjoitukselle antamaan laattanumeroon.", "zh-hans-cn": "将一种资源与作为出版者给一种资源分配以表示印刷过程中所用印版的除乐谱出版者编号以外的一种资源的标识符的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/plateNumberForNotatedMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A plate number for notated music sometimes includes initials, abbreviations, or words identifying the publisher. It is sometimes followed by a number corresponding to the number of pages or plates or a number corresponding to an individual page or plate.", ar: "يتضمن رقم لوحة لموسيقى مدونة أحيانًا استهلاليات، إختصارات، أو كلمات التى تُعرّف بالناشر.يُتبع أحيانًا برقم يشير إلى رقم الصفحات أو اللوحات أو رقم يشير إلى صفحة أو لوحة واحدة.", da: "Pladenummer for noteret musik indeholder sommetider initialer, forkortelser eller ord der identificerer udgiveren og følges sommetider af et nummer der tilsvarer antallet af sider eller plader.", de: "Eine Druckplattennummer für Noten enthält manchmal Initialen, Abkürzungen oder Wörter, die den Verlag identifizieren. Ihr folgt manchmal eine Zahl, die der Zahl der Seiten oder Platten entspricht oder eine Zahl, die einer einzelnen Seite oder Platte entspricht.", fi: "Nuottiaineiston laattanumero sisältää joskus kustantajaa identifioivia alkukirjaimia, lyhenteitä tai sanoja. Numeron perässä voi olla vastaavien sivujen tai laattojen numerot tai yksittäisten sivujen ja laattojen numerot.", "zh-hans-cn": "乐谱的版号有时候包括标识出版社的首字母缩写、缩略语或单词。乐谱的版号有时候后接对应于页数或版数的一个数字或者对应于一个个别页或版的一个数字。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60988",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has plate number for notated music", ar: "له رقم لوحة لمدونة موسيقية", da: "har pladenummer for noteret musik", de: "hat Druckplattennummer für Noten", fi: "nuottiaineiston laattanumero", nl: "heeft plaatnummer voor bladmuziek", "zh-hans-cn": "有乐谱版号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60052",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60141,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a musical resource by leading a performing group in a musical or dramatic presentation.", ar: "يربط مصدر بوكيل يُمثل مؤدِ يُساهم في مصدر موسيقي من خلال قيادة فرقة عزف في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en performer, der har bidraget til en musikressource af ved at lede en udøvende gruppe i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Musikressource beiträgt, indem sie/er ein aufführendes Ensemble in einer musikalischen oder dramatischen Darbietung leitet.", fi: "Liittää aineiston toimijaan, joka on osallisena musiikkiaineistoon johtamalla esiintyjäryhmää musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与作为一个表演者对一种音乐资源有领导音乐或戏剧呈现中表演团体的贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60842", "http://rdaregistry.info/Elements/u/P60844"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/conductor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60016",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has conductor", ar: "له قائد", da: "har dirigent", de: "hat Dirigentin/Dirigent", fi: "johtaja aineistossa", nl: "heeft dirigent", "zh-hans-cn": "有指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60142,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by acting as a cast member or player in a musical or dramatic presentation.", ar: "يربط مصدر بوكيل يُمثل مؤدِ يُساهم في مصدر من خلال عمله كعضو فريق تمثيل أو كعازف في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en performer, der har bidraget til en ressource ved at fungere som rolleindehaver eller aktør i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource als Ensemble-Mitglied oder Darstellerin/Darsteller in einer musikalischen oder dramatischen Darbietung und so weiter beiträgt.", fi: "Liittää aineiston henkilöön, joka on aineistossa osallisena esiintyjänä näyttelemällä tai soittamalla musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与作为一个表演者通过在音乐或戏剧呈现中扮演角色或演奏（演唱）对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60152",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/actor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60017",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has actor", ar: "له ممثل", da: "har skuespiller", de: "hat Schauspielerin/Schauspieler", fi: "näyttelijä aineistossa", nl: "heeft acteur", "zh-hans-cn": "有演员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60143,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by appearing on screen to provide contextual or background information.", ar: "يربط بين مصدر ومؤدٍ يُساهم في مصدر من خلال الظهور على الشاشة لتقديم معلومات تتعلق بالسياق أو الخلفية.قد يظهر مقدم عرض على الشاشة في مواد الصور المتحركة غير الخيالية أو أثناء تقديم مواد لصور متحركة خيالية.", da: "Relaterer en ressource til en performer, der har bidraget til en ressource ved at vise sig på skærmen for at give kontekstuel eller baggrundsinformation.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er auf dem Bildschirm erscheint, um Kontext- und Hintergrundinformationen zu liefern.", fi: "Liittää aineiston esiintyjään, joka on aineistossa osallisena esiintymällä televisiossa tai elokuvassa taustatiedon antajana. Voi esiintyä dokumentaarisissa elokuvissa tai fiktioelokuvien johdannoissa.", "zh-hans-cn": "将一种资源与作为一个表演者通过出现在屏幕上提供语境或背景信息对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60824",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onscreenPresenter.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Appearance in nonfiction moving image materials or in introductions to fiction moving image materials is included. Appearance on screen in a non-performing role is excluded.", ar: "يتم تضمين الظهور في مواد الصور المتحركة غير الخيالية أو أثناء تقديم مواد لصور متحركة خيالية.يُستبعد من ذلك الظهور على الشاشة في دور غير مؤدِ.", da: "Optræden i levende billedmaterialer af faktuel karakter eller i introduktioner til levende billedmaterialer af fiktiv karakter er omfattet. Optræden på skærmen i en ikke-fremførende rolle er ikke omfattet.", de: "Darunter fallen Auftritte in nicht-fiktionalen Bewegtbildmaterialien oder in Einführungen zu fiktionalen Bewegtbildmaterialien. Darunter fallen keine Bildschirmauftritte in einer passiven Rolle.", fi: "Koskee dokumentaarisessa elokuvassa tai fiktiivisen elokuvan johdannossa esiintymistä.", "zh-hans-cn": "包括在非虚构动态图像资料中或者在虚构动态图像资料的介绍中的出现。不包括在屏幕中作为非表演角色的出现。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60018",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has onscreen presenter", ar: "له مُقدم برامج على الشاشة", da: "har programvært", de: "hat On-Screen-Präsentatorin/On-Screen-Präsentator", fi: "esittelijä aineistossa", nl: "heeft presentator op beeld", "zh-hans-cn": "有屏幕主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60144,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by dancing in a musical or dramatic presentation.", ar: "يربط مصدر بوكيل يُمثل مؤدِ يُساهم في مصدر من خلال الرقص في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en performer, der har bidraget til en ressource ved at danse i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er in einer musikalischen, dramatischen oder ähnlichen Darbietung tanzt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena esiintyjänä tanssimalla musiikki-, näytelmä-tms. esityksessä.", "zh-hans-cn": "将一种资源作为一个表演者通过在音乐或戏剧呈现中舞蹈对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dancer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60019",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dancer", ar: "له راقص", da: "har danser", de: "hat Tänzerin/Tänzer", fi: "tanssija aineistossa", nl: "heeft danser", "zh-hans-cn": "有舞蹈者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60145,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by teaching or providing a demonstration.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at give instruktion eller en demonstration."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instructor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60020",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has instructor", da: "har lærer"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60146,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by leading a program, often broadcast, that includes other performers.", ar: "يربط مصدر بوكيل يُمثل مؤدِ يُساهم في مصدر من خلال إدارة برنامج، غالبًا مُذاع، ويستضيف ضيوفًا وفنانين ووكلاءآخرين.", da: "Relaterer en ressource til en performer, der har bidraget til en ressource ved at lede et program, ofte transmitteret, der omfatter andre gæster, optrædende etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er eine Veranstaltung (meist eine Sendung) leitet, an der auch andere Ausführende teilnehmen.", fi: "Liittää aineiston toimijaan, joka on on osallisena (useimmiten lähetettyyn) ohjelmaan, johon osallistuu muita esiintyjiä.", "zh-hans-cn": "将一种资源与作为一个表演者通过主导节目（经常是广播节目）并包括其他表演者而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/host.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60021",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has host", ar: "له مُضِيف", da: "har vært", de: "ist Gastgeberin/Gastgeber", fi: "juontaja aineistossa", nl: "heeft gastgever", "zh-hans-cn": "有主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60147,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by leading a program, often broadcast, where topics are discussed, usually with participation of experts in fields related to the discussion.", ar: "يربط بين مصدر ومؤدِ يُساهم في مصدر من خلال إدارة برنامج، غالبًا مُذاع، حيث تتم مناقشة موضوعات، عادةً بمشاركة خبراء في المجالات المتعلقة بموضوع النقاش.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at lede et program, ofte transmitteret, hvor emner diskuteres, normalt med deltagelse af fagfolk inden for felter, der er relateret til diskussionen.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er eine Veranstaltung (meist eine Sendung) leitet, in der Themen üblicherweise mit Expertinnen/Experten diskutiert werden.", fi: "Liittää aineiston esittäjään, joka on aineistossa osallisena juontamalla (usein lähetettyä) ohjelmaa, jossa keskustellaan eri aiheista, tavallisesti keskusteluun liittyvien aiheiden asiantuntijoiden kanssa.", "zh-hans-cn": "将一种资源与作为一个表演者通过主导节目（经常是广播节目，其中讨论话题，通常有讨论相关领域专家参与）对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/moderator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60022",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has moderator", ar: "له رئيس جلسة", da: "har ordstyrer", de: "hat Moderatorin/Moderator", fi: "moderoija aineistossa", nl: "heeft moderator", "zh-hans-cn": "有谈话类节目主持人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60148,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by manipulating, controlling, or directing puppets or marionettes in a moving image production or a musical or dramatic presentation or entertainment.", ar: "يربط بين مصدر ومؤدِ يُساهم في مصدر من خلال اللعب بالعرائس أو الدمى المتحركة أو التحكم فيها، أو توجيهها في إنتاج لصور متحركة أو في عرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at manipulere, kontrollere eller styre dukker eller marionetter i en levende billedproduktion eller en musikalsk eller dramatisk præsentation eller i underholdning.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er Puppen oder Marionetten in einer Bewegtbildproduktion oder einer musikalischen oder dramatischen Darbietung oder Aufführung bewegt, kontrolliert oder lenkt.", fi: "Liittää aineiston esittäjään, joka on aineistoon osalllisena käsittelemällä, kontrolloimalla tai ohjaamalla nukkeja tai marionetteja elokuvatuotannossa tai musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与作为一个表演者通过在动态图像制作或者音乐或戏剧呈现或娱乐中操纵、控制、指引木偶对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/puppeteer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60023",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has puppeteer", ar: "له محرك عرائس", da: "har dukkefører", de: "hat Puppenspielerin/Puppenspieler", fi: "nukettaja aineistossa", nl: "heeft poppenspeler", "zh-hans-cn": "有木偶表演者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60149,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by participating in a program, often broadcast, where topics are discussed, usually with participation of experts in fields related to the discussion.", ar: "يربط بين مصدر ومؤدِ يُساهم في مصدر من خلال المشاركة في برنامج، غالبًا مُذاع، حيث تتم مناقشة موضوعات، عادةً بمشاركة خبراء في المجالات المتعلقة بموضوع النقاش.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at deltage i et program, ofte transmitteret, hvor emner diskuteres, normalt med deltagelse af fagfolk inden for felter relateret til diskussionen.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er an einer Veranstaltung (meist einer Sendung) teilnimmt, in der Themen üblicherweise mit Expertinnen/Experten diskutiert werden.", fi: "Liittää aineiston esiintyjään, joka joka osallistuu aineiston tekemiseen osallistumalla ohjelmaan (usein lähetettyyn), jossa keskustellaan eri aiheista tavallisesti keskusteluun liittyvien aiheiden asiantuntijoiden kanssa.", "zh-hans-cn": "将一种资源与作为一个表演者通过参与节目（经常是广播节目，其中讨论话题，通常有讨论相关领域专家参与）对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/panelist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60024",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has panelist", ar: "له مشارك في برنامج", da: "har paneldeltager", de: "hat Diskussionsteilnehmerin/Diskussionsteilnehmer", fi: "panelisti aineistossa", nl: "heeft panellid", "zh-hans-cn": "有访谈嘉宾"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60150,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by playing a musical instrument.", ar: "يربط بين مصدر ومؤدِ يُساهم في مصدر من خلال العزف على آلة موسيقية.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at spille et musikinstrument.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er ein Musikinstrument spielt.", fi: "Liittää aineiston esittäjään, joka osallistuu aineistoon soittamalla soitinta.", "zh-hans-cn": "将一种资源与作为一个表演者通过演奏乐器对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instrumentalist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60025",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has instrumentalist", ar: "له عَازِف", da: "har musiker", de: "hat Instrumentalmusikerin/Instrumentalmusiker", fi: "instrumentalisti aineistossa", nl: "heeft instrumentalist", "zh-hans-cn": "有乐器演奏者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60151,
      definition: {en: "Relates a resource to a performer who contributes to a resource by providing interpretation, analysis, or a discussion of the subject matter on a recording, film, or other audiovisual medium.", ar: "يربط بين مصدر ومؤدِ يُساهم بأحد المصادر من خلال تقديم تفسير للموضوع، أو تحليله، أو مناقشته على تسجيل أو على فيلم، أو على أي وسيط سمعي بصري آخر.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at forestå en fortolkning, analyse eller diskussion af det emne, der behandles i en optagelse, film eller andet audiovisuelt medium.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er in einer Aufnahme, in einem Film oder in einem anderen audiovisuellen Medium eine Interpretation, eine Analyse oder eine Diskussion des Themas präsentiert.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu tulkitsemalla tai analysoimalla äänitteen, elokuvan tai muun audiovisuaalisen aineiston aihetta tai keskustelemalla siitä.", "zh-hans-cn": "将一种资源与通过提供关于录像、电影或其他视听媒介中的主要内容之解释、分析或讨论而对一种资源有贡献的一个表演者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commentator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60026",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has commentator", ar: "له مُعلِق", da: "har kommentator", de: "hat Kommentatorin/Kommentator", fi: "kommentaattorina aineistossa", nl: "heeft commentator", "zh-hans-cn": "有解说员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60152,
      definition: {en: "Relates a resource to an agent who is an actor who contributes to a resource by providing the voice for characters in radio and audio productions and for animated characters in moving image resources, as well as by providing voice-overs in radio and television commercials, dubbed resources, etc.", ar: "يربط بين مصدر ومؤدِ يُساهم بأحد المصادر من خلال التمثيل الصوتي لشخصيات في الإنتاج الإذاعي والسمعي، وللشخصيات الكرتونية في أعمال الصور المتحركة، إضافة إلى التعليق الصوتي في إعلانات الإذاعة والتليفزيون، والتعبيرات المدبلجة، إلخ.", da: "Relaterer en ressource til en skuespiller, der har bidraget til en ressource ved at lægge stemme til figurer i radio- og audioproduktioner og til animerede figurer i levende billedværker, og ved at indtale tv-reklamer, synkroniserede ressourcer etc.", de: "Setzt eine Ressource in Beziehung zu einer Schauspielerin/einem Schauspieler, die/der zu einer Ressource beiträgt, indem sie/er ihre/seine Stimme Charakteren in Hörfunk- und Audioproduktionen und animierten Charakteren in Bewegtbildressourcen leiht, sowie Stimmen in Hörfunk- und Fernsehwerbung, synchronisierten Ressourcen und so weiter spricht.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu antamalla äänen hahmoille radio- ja äänituotannoissa ja animoiduille hahmoille elokuva-aineistoissa sekä esiintymällä radio- ja TV-mainoksissa, dubatuissa aineistoissa tms.", "zh-hans-cn": "将一种资源与作为演员通过为在广播和音频制作中的角色和为动态图像资源中的动画角色提供人声以及为广播和电视广告、混声资源等提供画外音而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/voiceActor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60027",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has voice actor", ar: "له مُمثل صوتي", da: "har dubber", de: "hat Sprecherin/Sprecher einer Rolle", fi: "ääninäyttelijänä aineistossa", nl: "heeft stemacteur", "zh-hans-cn": "有声音演员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60142",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60153,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by reading aloud or giving an account of an act, occurrence, or other event.", ar: "يربط مصدر بوكيل مؤدِ يُساهم بأحد المصادر من خلال القراءة بصوت مرتفع أو بسرد فصل من مسرحية، أو واقعة، أو حدث آخر.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at læse højt eller berette om en handling, en hændelse, et begivenhedsforløb etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er vorliest oder eine Handlung, ein Geschehnis oder ein anderes Ereignis schildert.", fi: "Liittää henkilön aineistoon, jonka tekemiseen hän osallistuu lukemalla ääneen tai kertomalla toiminnasta, tapahtumasta, tapahtumien kulusta tms.", "zh-hans-cn": "将一种资源与作为一个表演者通过朗读或描述行为、事情或其他事件而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/narrator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60028",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has narrator", ar: "له راوِ", da: "har fortæller/indlæser", de: "hat Erzählerin/Erzähler", fi: "kertojana aineistossa", nl: "heeft verteller", "zh-hans-cn": "有旁白者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60154,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by relaying a story with dramatic or theatrical interpretation.", ar: "يربط مصدر بوكيل مؤدِ يُساهم بأحد المصادر من خلال نقل قصة أصلية ووصفها بصورة درامية أو مسرحية.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at gengive en ophavspersons oprindelige historie med dramatisk eller teatralsk fortolkning.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er eine Geschichte mit dramatischer oder theatralischer Interpretation wiedergibt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu esittäjänä tekijän alkuperäisen tarinan draamallisella tai teatraalisella tulkinnalla.", "zh-hans-cn": "将一种资源与作为一个表演者通过用戏剧化解释转达故事而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/storyteller.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60029",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has storyteller", ar: "له راوي قصص", da: "har kunstnerisk fortæller", de: "hat Geschichtenerzählerin/Geschichtenerzähler", fi: "tarinankertojana aineistossa", nl: "heeft verhalenverteller", "zh-hans-cn": "有说书人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60155,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by speaking words.", ar: "يربط مصدر بوكيل مؤدِ يُساهم بأحد المصادر من خلال التحدث بكلمات.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at fremføre ord, såsom en forelæsning, tale etc.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er ein Musikinstrument spielt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu puhumalla, kuten luennoimalla tai pitämällä puheen tms.", "zh-hans-cn": "将一种资源与作为一个表演者通过讲话而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/speaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60030",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has speaker", ar: "له مُتحدث", da: "har taler", de: "hat Rednerin/Redner", fi: "puhujana aineistossa", nl: "heeft spreker", "zh-hans-cn": "有演说者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60156,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by using their voice, with or without instrumental accompaniment, to produce music.", ar: "يربط مصدر بوكيل مؤدِ يُساهم بأحد المصادر من خلال أداء صوتي، بمصاحبة أو دون مصاحبة آلة موسيقية، لإنتاج أغنية.", da: "Relaterer en ressource til en optrædende, der har bidraget til en ressource ved at bruge sin stemme, med eller uden instrumentalledsagelse, til at skabe musik.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er durch ihre/seine Singstimme, mit oder ohne instrumentale Begleitung, Musik erzeugt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen hän osallistuu esiintymällä lauluäänellä (soitinsäestyksellä tai ilman) tuottaakseen musiikkia.", "zh-hans-cn": "将一种资源与作为一个表演者通过用其人声（不管是否有乐器伴奏）产生音乐而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/singer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {da: "En sangers optræden kan omfatte egentlige ord, men gør det ikke nødvendigvis."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60031",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has singer", ar: "له مغنِ", da: "har sanger", de: "hat Sängerin/Sänger", fi: "laulajana ainestossa", nl: "heeft zanger", "zh-hans-cn": "有演唱者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60157,
      definition: {en: "Relates a resource to an agent who claims to be a channel of communication with a world of spirits.", ar: "يربط مصدر بوكيل يدعي أنه قناة اتصال مع عالم الأرواح.", da: "Relaterer en ressource til en agent der siges at være en kanal for kommunikation mellem den jordiske verden og en åndevereden.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der sich für einen Kommunikationskanal zwischen der irdischen Welt und einer Geisterwelt hält.", fi: "Liittää aineistoon toimijan, jota pidetään kanavana henkimaailman ja maallisen maailman välillä.", "zh-hans-cn": "将一种资源与声称是和精神世界之间通讯渠道的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/medium.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60032",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has medium", ar: "له وسيط روحاني", da: "har medie", de: "hat Channel", fi: "meediona aineistossa", nl: "heeft medium", "zh-hans-cn": "有通灵者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60158,
      definition: {en: "Relates a resource to a person, family, or corporate body other than a creator, custodian, owner, producer, publisher, distributor or manufacturer associated with a manifestation. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60884", "http://rdaregistry.info/Elements/u/P60886", "http://rdaregistry.info/Elements/u/P60887", "http://rdaregistry.info/Elements/u/P60888", "http://rdaregistry.info/Elements/u/P60890"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherAgentAssociatedWithAResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Book designers, platemakers, etc., agents, etc., to whom correspondence is addressed, agents, etc., honoured by a festschrift, directors, cinematographers, sponsoring bodies, production companies, institutions, etc., hosting an exhibition or event, etc., curators, binders, restorationists, etc., are included.. (Deprecated)"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other agent associated with a resource (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60159,
      definition: {en: "Relates a resource to a physical or chemical substance applied to a base material of a resource.", ar: "يربط بين مصدر ومادة فيزيائية أو كيميائية مستخدمة كمادة أساسية لمصدر.", da: "Relaterer en ressource til fysisk eller kemisk stof, der er påført en ressources basismateriale.", de: "Setzt eine Ressource in Beziehung zu einer physischen oder chemischen Substanz, die auf ein Trägermaterial einer Ressource aufgebracht wird.", fi: "Liittää aineiston fysikaaliseen tai kemialliseen aineeseen, jota on laitettu aineiston pohjamateriaalin päälle.", "zh-hans-cn": "将一种资源与施加于一种资源基底材料上的物理或化学物质关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60344",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appliedMaterial.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has applied material", ar: "له مادة مُستخدمة", da: "har anvendt materiale", de: "hat aufgebrachtes Material", fi: "aineiston päällimateriaali", nl: "heeft bevestigd materiaal", "zh-hans-cn": "有施加材料"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60995",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60160,
      definition: {en: "Relates a resource to a place associated with the distribution of a published resource.", ar: "يربط بين مصدر ومكان مرتبط بتوزيع مصدر منشور.", da: "Relaterer en ressource til et sted forbundet med distributionen af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit dem Vertrieb einer veröffentlichten Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, joka liittyy julkaistun aineiston jakeluun.", "zh-hans-cn": "将一种资源与和一种出版资源的发行有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60164",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfDistribution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60968",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of distribution", ar: "له مكان توزيع", da: "har distributionssted", de: "hat Vertriebsort", fi: "aineiston jakelupaikka", nl: "heeft plaats van distributie", "zh-hans-cn": "有发行地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60161,
      definition: {en: "Relates a resource to a place that is associated with the inscription, fabrication, construction, or other method of production of an unpublished resource.", ar: "يربط بين مصدر ومكان مرتبط بتسجيل، أو تصنيع، أو إنشاء، أو مرتبط بأي طريقة أخرى بإنتاج مصدر غير منشور.", da: "Relaterer en ressource til et sted forbundet med indgravering, fremstilling, konstruktion etc. af en ressource i upubliceret form.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit der Beschriftung, der Fabrikation, der Konstruktion oder einer anderen Entstehungsmethode einer unveröffentlichten Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, joka liittyy julkaisemattoman aineiston aivertamiseen, valmistamiseen, kokoamiseen tai muuhun tuotantotapaan.", "zh-hans-cn": "将一种资源与一种非出版资源的镌刻、制造、构建或其他制作方法有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60166",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfProduction.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60971",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of production", ar: "له مكان إنتاج", da: "har produktionssted - upublicerede ressourcer", de: "hat Entstehungsort", fi: "aineiston tuotantopaikka", nl: "heeft plaats van productie", "zh-hans-cn": "有制作地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60162,
      definition: {en: "Relates a resource to a place that is associated with the printing, duplicating, casting, or other method of manufacturing of a published resource.", ar: "يربط بين مصدر ومكان مرتبط بطبع، نسخ، طَرَح، أو مرتبط بأي طريقة أخرى بتصنيع مصدر منشور.", da: "Relaterer en ressource til sted forbundet med trykning, duplikering, støbning etc. af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit dem Druck, der Vervielfältigung, dem Guss oder einer anderen Herstellungsmethode einer veröffentlichten Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, aikaan, joka liittyy julkaistun aineiston painamiseen, monistamiseen, kirjasinten valamiseen tai muuhun valmistustapaan.", "zh-hans-cn": "将一种资源与一种出版资源的印刷、复制、铸造或其他生产方式有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60165",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfManufacture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60969",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of manufacture", ar: "له مكان تصنيع", da: "har produktionssted - publicerede ressourcer", de: "hat Herstellungsort", fi: "aineiston valmistuspaikka", nl: "heeft plaats van vervaardiging", "zh-hans-cn": "有生产地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60163,
      definition: {en: "Relates a resource to a place that is associated with the publication, release, or issuing of a published resource.", ar: "يربط بين مصدر ومكان مرتبط بنشر، تحرير، أو إصدار مصدر منشور.", da: "Relaterer en ressource til et sted forbundet med publicering, offentliggørelse eller udgivelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit der Veröffentlichung, dem Release oder der Herausgabe einer veröffentlichten Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, joka liittyy julkaistun aineiston kustantamiseen, julkaisemiseen tai ilmestymiseen.", "zh-hans-cn": "将一种资源与一种出版资源的出版、发布或发行有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60167",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfPublication.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60972",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of publication", ar: "له مكان نشر", da: "har publiceringssted", de: "hat Erscheinungsort", fi: "aineiston julkaisupaikka", nl: "heeft plaats van publicatie", "zh-hans-cn": "有出版地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60164,
      definition: {en: "Relates a resource to a place of distribution in a language or script that differs from that recorded in a place of distribution element.", ar: "يربط بين مصدر ومكان توزيع بلغة أو نص مختلف عن ذلك المُسجل داخل مكان عنصر توزيع.", da: "Relaterer en ressource til et distributionssted på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af distributionsstedet. ", de: "Setzt eine Ressource in Beziehung zu einem Vertriebsort in einer Sprache oder Schrift, die von dem bereits erfassten Vertriebsort abweicht.", fi: "Liittää aineiston jakelupaikkaan toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在发行地点元素中之语言或文字的发行地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelPlaceOfDistribution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel place of distribution", ar: "له مكان توزيع موازي", da: "har parallelt distributionssted", de: "hat parallelen Vertriebsort", fi: "aineiston rinnakkainen jakelupaikka", nl: "heeft parallelle plaats van distributie", "zh-hans-cn": "有并列发行地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60160",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60165,
      definition: {en: "Relates a resource to a place of manufacture in a language or script that differs from that recorded in a place of manufacture element.", ar: "يربط بين مصدر ومكان تصنيع بلغة أو نص مختلف عن ذلك المُسجل داخل مكان عنصر توزيع.", da: "Relaterer en ressource til et fremstillingssted på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af fremstillingsstedet. ", de: "Setzt eine Ressource in Beziehung zu einem Herstellungsort in einer Sprache oder Schrift, die von dem bereits erfassten Herstellungsort abweicht.", fi: "Liittää aineiston valmistuspaikkaan toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在生产地点元素中之语言或文字的生产地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelPlaceOfManufacture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel place of manufacture", ar: "له مكان تصنيع موازي", da: "har parallelt produktionssted - publicerede ressourcer", de: "hat parallelen Herstellungsort", fi: "aineiston rinnakkainen valmistuspaikka", nl: "heeft parallelle plaats van vervaardiging", "zh-hans-cn": "有并列生产地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60162",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60166,
      definition: {en: "Relates a resource to a place of production in a language or script that differs from that recorded in a place of production element.", ar: "يربط بين مصدر ومكان إنتاج بلغة أو نص مختلف عن ذلك المُسجل داخل مكان عنصر إنتاج.", da: "Relaterer en ressource til et produktionssted på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af produktionsstedet. ", de: "Setzt eine Ressource in Beziehung zu einem Entstehungsort in einer Sprache oder Schrift, die von dem bereits erfassten Entstehungsort abweicht.", fi: "Liittää aineiston tuotantopaikkaan toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在制作地点元素中之语言或文字的制作地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelPlaceOfProduction.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel place of production", ar: "له مكان إنتاج موازي", da: "har parallelt produktionssted - upublicerede ressourcer", de: "hat parallelen Entstehungsort", fi: "aineiston rinnakkainen tuotantopaikka", nl: "heeft parallelle plaats van productie", "zh-hans-cn": "有并列制作地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60161",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60167,
      definition: {en: "Relates a resource to a place of publication in a language or script that differs from that recorded in a place of publication element.", ar: "يربط بين مصدر ومكان نشر بلغة أو نص مختلف عن ذلك المُسجل داخل مكان عنصر نشر.", da: "Relaterer en ressource til et publiceringssted på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af publiceringsstedet.", de: "Setzt eine Ressource in Beziehung zu einem Erscheinungsort in einer Sprache oder Schrift, die von dem bereits erfassten Erscheinungsort abweicht.", fi: "Liittää aineiston kustannuspaikkaan toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在出版地点元素中之语言或文字的出版地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelPlaceOfPublication.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel place of publication", ar: "له مكان نشر موازي", da: "har parallelt publiceringssted", de: "hat parallelen Erscheinungsort", fi: "aineiston rinnakkainen kustannuspaikka", nl: "heeft parallelle plaats van publicatie", "zh-hans-cn": "有并列出版地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60163",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60168,
      definition: {en: "Relates a resource to a resource that reissues the same resource as a printed resource being described.", ar: "يربط بين مصدر ومصدر يُعيد إصدار نفس المصدر مثل مصدر مطبوع يتم وصفه.", da: "Relaterer en ressource til en trykt ressource, der er anvendt som grundlag for en genudgivelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die dieselbe Ressource wie die beschriebene, gedruckte Ressource neu heraus gibt.", fi: "Liittää aineiston kuvailtavana olevasta painetusta aineistosta otettuun uusintapainokseen.", "zh-hans-cn": "将一种资源与重新发行和所描述印刷资源相同资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reprintOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60271",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reprint of", ar: "هو إعادة طبع لـ", da: "er genoptryk af", de: "ist Nachdruck von", fi: "uusintapainos aineistosta", nl: "is herdruk van", "zh-hans-cn": "是……的重印"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60297",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60169,
      definition: {en: "Relates a resource to an agent who is a producer who is responsible for most of the business aspects of the production of a film.", ar: "يربط مصدر بوكيل يكون مُنتِجًا مسؤولًا عن معظم الجوانب التجارية لإنتاج فيلم.", da: "Relaterer en ressource til en producer, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved en film.", de: "Setzt eine Ressource in Beziehung zu einer Produzentin/einem Produzenten, die/der für die meisten geschäftlichen Aspekte bei der Produktion eines Films verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa suurimmasta osasta elokuvan liiketoimintaa.", "zh-hans-cn": "将一种资源与作为制作者并负责电影制作的大部分商业运作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60033",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has film producer", ar: "له مُنتِج فيلم", da: "har filmproducer", de: "hat Filmproduzentin/Filmproduzenten", fi: "elokuvatuottaja aineistossa", nl: "heeft filmproducent", "zh-hans-cn": "有电影制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60441",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60170,
      definition: {en: "Relates a resource to an agent who is a producer who is responsible for most of the business aspects of a radio program.", ar: "يربط مصدر بوكيل يكون مُنتِجًا مسؤولًا عن معظم الجوانب التجارية لإنتاج برنامج إذاعي.", da: "Relaterer en ressource til en producer, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Produzentin/einem Produzenten, die/der für die meisten geschäftlichen Aspekte einer Hörfunksendung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa suurimmasta osasta radio-ohjelman liiketoimintaa.", "zh-hans-cn": "将一种资源与作为制作者并负责广播节目的大部分商业运作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60034",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has radio producer", ar: "له مُنتِج إذاعي", da: "har radioproducer", de: "hat Hörfunkproduzentin/Hörfunkproduzenten", fi: "radiotuottajana aineistossa", nl: "heeft radioproducent", "zh-hans-cn": "有广播制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60441",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60171,
      definition: {en: "Relates a resource to an agent who is a producer who is responsible for most of the business aspects of a television program.", ar: "يربط مصدر بوكيل يكون مُنتِجًا مسؤولًا عن معظم الجوانب التجارية لإنتاج برنامج تليفزيوني.", da: "Relaterer en ressource til en producer, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Produzentin/einem Produzenten, die/der für die meisten geschäftlichen Aspekte einer Fernsehsendung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa suurimmasta osasta televisio-ohjelman liiketoimintaa.", "zh-hans-cn": "将一种资源与作为制作者并负责电视节目的大部分商业运作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60035",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has television producer", ar: "له مُنتِج تلفزيوني", da: "har tv-producer", de: "hat Fernsehproduzentin/Fernsehproduzenten", fi: "televisiotuottajana aineistossa", nl: "heeft televisieproducent", "zh-hans-cn": "有电视制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60441",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60172,
      definition: {en: "Relates a resource to a name of producer in a language or script that differs from that recorded in a name of producer element.", ar: "يربط بين مصدر وإسم مُنتِج بلغة أو نص مختلف عن ذلك المُسجل بإسم عنصر مُنتِج.", da: "Relaterer en ressource til et producernavn på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af producernavnet", de: "Setzt eine Ressource in Beziehung zu einem Erzeugernamen in einer Sprache oder Schrift, die von dem bereits erfassten Erzeugernamen abweicht.", fi: "Liittää aineiston tuottajan nimeen kielellä tai kirjoitusjärjestelmällä, joka eroaa kustantaja-elementtiin tallennetusta nimestä.", "zh-hans-cn": "将一种资源与用不同于记录在制作者名称元素中之语言或文字的制作者的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelNameOfProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel name of producer", ar: "له اسم مُنتِج موازي", da: "har parallelt producentnavn", de: "hat parallelen Erzeugernamen", fi: "aineiston tuottajan rinnakkainen nimi", nl: "heeft parallelle naam van producent", "zh-hans-cn": "有制作者的并列名称"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60173,
      definition: {en: "Relates a resource to a name of publisher name in a language or script that differs from that recorded in a name of publisher element.", ar: "يربط بين مصدر وإسم ناشر بلغة أو نص مختلف عن ذلك المُسجل بإسم عنصر ناشر.", da: "Relaterer en ressource til et udgivernavn på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af udgivernavnet.", de: "Setzt eine Ressource in Beziehung zu einem Verlagsnamen in einer Sprache oder Schrift, die von dem bereits erfassten Verlagsnamen abweicht.", fi: "Liittää aineiston kustantajan nimeen kielellä tai kirjoitusjärjestelmällä, joka eroaa kustantaja-elementtiin tallennetusta nimestä.", "zh-hans-cn": "将一种资源与用不同于记录在出版者名称元素中之语言或文字的出版者的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelNameOfPublisher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel name of publisher", ar: "له اسم ناشر موازي", da: "har parallelt udgivernavn", de: "hat parallelen Verlagsnamen", fi: "aineiston kustantajan rinnakkainen nimi", nl: "heeft parallelle naam van uitgever", "zh-hans-cn": "有出版者的并列名称"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60174,
      definition: {en: "Relates a resource to a radio program based on another resource.", ar: "يربط بين مصدر وبرنامج إذاعي اعتمد على مصدر آخر.", da: "Relaterer en ressource til et radioprogram baseret på et oprindeligt udtryk.", de: "Setzt eine Ressource in Beziehung zu einer Hörfunksendung, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston radio-ohjelmaan, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种广播节目关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsRadioProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60229",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as radio program", ar: "هو مقتبَس كبرنامج إذاعي", da: "er bearbejdet til radioprogram (udtryk)", de: "ist bearbeitet als Hörfunksendung", fi: "radiosovitus aineistosta", nl: "is bewerkt als radioprogramma", "zh-hans-cn": "被改编为广播节目"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60175,
      definition: {en: "Relates a resource to a rank conferred as a guarantee of academic proficiency.", ar: "يربط بين مصدر ورتبة تُمنح كضمان للكفاءة الأكاديمية.", da: "Relaterer en ressource til en rang, der tildeles som garanti for akademisk færdighed.", de: "Setzt eine Ressource in Beziehung zu einem Rang, der als Bestätigung für wissenschaftliche Leistungen verliehen wird.", fi: "Liittää aineiston akateemisen pätevyyden takeeksi myönnettyyn arvoon.", "zh-hans-cn": "将一种资源与作为学术能力担保的一种等级关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/academicDegree.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has academic degree", ar: "له درجة أكاديمية", da: "har akademisk grad", de: "hat akademischen Grad", fi: "akateeminen oppiarvo", nl: "heeft academische graad", "zh-hans-cn": "有学位"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60176,
      definition: {en: "Relates a resource to a record of previous ownership or custodianship of a resource, including agent, place, and timespan.", ar: "يربط بين مصدر وسجل ملكية سابقة أو بوصاية على مصدر، يتضمن وكيلًا، مكانا، وفترة زمنية.", da: "Relaterer en ressource til en optegnelse over tidligere ejerskab eller opbevaring af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Bericht über frühere Eigentümerinnen/Eigentümer oder Verwahrerinnen/Verwahrer einer Ressource, einschließlich eines Akteurs, eines Geografikums und eines Zeitraums.", fi: "Liittää aineiston tietoihin sen omistus- tai säilytyshistoriasta, mukaanlukien tiedot toimijoista, paikoista ja ajanjaksoista.", "zh-hans-cn": "将一种资源与一种资源的先前拥有或保管的记录（包括行为者、地点和时间段）关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/custodialHistoryOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has custodial history of resource", ar: "له تاريخ وصاية لمصدر", da: "proveniens", de: "hat Besitzhistorie einer Ressource", fi: "aineiston omistushistoria", nl: "heeft bewaargeschiedenis van resource", "zh-hans-cn": "有资源的保管历史"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60177,
      definition: {en: "Relates a resource to a resource that abstracts the contents of another resource.", ar: "يربط بين مصدر ومصدر يستخلص محتويات مصدر آخر.", da: "Relaterer en ressource til en ressource, der er en abstracts- og indekseringsservice, der sammenfatter en oprindelig kildes indehold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Inhalt einer anderen Ressource zusammenfasst.", fi: "Liittää aineiston aineistoon, joka on tiivistelmä toisen aineiston sisällöstä.", "zh-hans-cn": "将一种资源与为另一种资源的内容编制摘要的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abstractedIn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60308",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abstracted in", ar: "هو مُستخلص في", da: "er sammenfattet i", de: "ist Abstract in", fi: "abstraktit aineistosta", nl: "is geabstraheerd in", "zh-hans-cn": "被摘要于"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60178,
      definition: {en: "Relates a resource to a resource that is an abstracting and indexing service that indexes the contents of another resource. (Deprecated)", ar: "يربط بين مصدر ومصدر يمثل خدمة استخلاص وتكشيف تُفهرس محتويات مصدر آخَر.", da: "Relaterer en ressource til en ressource, der er en abstracts- og indekseringsservice, der indekserer en oprindelig kildes indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um einen Abstract- und Indexierungsdienst handelt, die die Inhalte einer ursprünglichen Expression indexiert.", fi: "Liittää aineiston aineistoon, joka on tiivistelmä- ja indeksointipalvelu, joka sisältää toisen aineiston sisällön abstraktit."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/indexedIn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60309",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is indexed in (Deprecated)", ar: "هو مُكَشَّف في", da: "er indekseret i", de: "ist indexiert in", fi: "indeksointi", nl: "is geïndexeerd in"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60179,
      definition: {en: "Relates a resource to a resource that consists of an exact reproduction on preservation-quality media, such as acid-free permanent or archival paper.", ar: "يربط بين مصدر ومصدر يتكون من استنساخ كامل على وسيط حفظ عالي الجودة، مثل الأوراق الدائمة الخالية من الأحماض أو أوراق المحفوظات الأرشيفية.", da: "Relaterer en ressource til en resssource, der består af en nøjagtig reproduktion på et medium af bevaringskvalitet, såsom syrefrit permanent- eller arkivpapir.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einer exakten Reproduktion auf bestandserhaltenden Medien, wie zum Beispiel säurefreiem Papier oder Archivpapier, besteht.", fi: "Liittää aineiston aineistoon, joka on sen täsmällinen jäljennös. Jäljennöksen valmistuksessa on käytetty säilytyskelpoista materiaalia, esim. arkistopaperia.", "zh-hans-cn": "将一种资源与由在诸如脱酸的永久用纸或档案纸等具有保存品质的媒介上的精确复制品组成的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preservationFacsimile.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60299",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preservation facsimile", ar: "له نسخة طبق الأصل محفوظة", da: "har bevaringsfaksimile", de: "hat Bestandserhaltungsfaksimile", fi: "aineiston säilytyskopio", nl: "heeft conservatiefacsimile", "zh-hans-cn": "有保存摹真品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60217",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60180,
      definition: {en: "Relates a resource to a choreographic resource based on another resource.", ar: "يربط بين مصدر ومصدر راقص اعتمد على مصدر آخر.", da: "Relaterer en ressource til en ressource, der består af bevægelse baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer choreografischen Ressource, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston koreografiseen aineistoon, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种编舞资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsChoreography.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60293",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as choreography", ar: "هو مقتبَس كفن تصميم الرقصات", da: "er bearbejdet til koreografi", de: "ist bearbeitet als Choreografie", fi: "koreografiasovitus aineistosta", nl: "is bewerkt als choreografie", "zh-hans-cn": "被改编为编舞"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60181,
      definition: {en: "Relates a resource to a resource that consists of errors discovered after the publication of a predominant resource, with their corrections.", ar: "يربط بين مصدر ومصدر يتكون من أخطاء تم اكتشافها بعد نشر مصدر شائع، مع تصويباتها.", da: "Relaterer en ressource til en ressource, der består af rettelser af fejl, som er blevet opdaget efter publicering af hovedressourcen, med deres rettelser.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus Fehlern und deren Korrekturen besteht, die nach der Veröffentlichung der Hauptressource entdeckt wurden.", fi: "Liittää aineiston aineistoon, joka koostuu julkaisemisen jälkeen löytyneistä virheistä ja niiden korjauksista.", "zh-hans-cn": "将一种资源与一个主要资源出版后被发现的错误及其更正组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/errata.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60251",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has errata", ar: "له تصويبات", da: "er errata", de: "hat Errata", fi: "aineiston painovirheluettelo", nl: "heeft errata", "zh-hans-cn": "有勘误"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60182,
      definition: {en: "Relates a resource to a resource that consists of pictorial content designed to explain or decorate an augmented resource.", ar: "يربط بين مصدر ومصدر يتكون من محتوى تصويري مصمم لشرح أو تزيين مصدر مُعَزَّز.", da: "Relaterer en ressource til en ressource, der består af billedindhold, som er skabt til at forklare eller udsmykke den berigede ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Bildinhalte ergänzt wird, die eine erweiterte Ressource erklären oder ausschmücken sollen.", fi: "Liittää aineiston laajennettua aineistoa selittävästä tai koristavasta kuvamateriaalista koostuvaan aineistoon.", "zh-hans-cn": "将一种资源与由被设计用来解释或装饰一种被附增的资源的图画内容组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/illustrations.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60254",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has illustrations", ar: "له إيضاحيات", da: "er illustrationer", de: "hat Illustrationen", fi: "aineiston kuvitus", nl: "heeft illustraties", "zh-hans-cn": "有插图"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60183,
      definition: {en: "Relates a resource to a resource that is a separate part of another resource.", ar: "يربط بين مصدر ومصدر يُعد جزء منفصل من مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af separat udgivet materiale, der ikke er en integreret del af den større manifestation, som den er indlagt i.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die ein eigenständiger Bestandteil einer anderen Ressource ist.", fi: "Liittää aineiston aineistoon, joka on, erillinen osa toista aineistoa.", "zh-hans-cn": "将一种资源与作为另一种资源之独立部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/insert.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60194",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has insert", ar: "له جزء مُضاف", da: "er indlæg", de: "hat Beilage", fi: "aineiston liite", nl: "heeft ingevoegde bijlage", "zh-hans-cn": "有插页"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60184,
      definition: {en: "Relates a resource to a resource that consists of a screenplay for a motion picture, based on another resource.", ar: "يربط بين مصدر ومصدر يتكون من سيناريو لفيلم سينمائي، اعتمد على مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af en drejebog til en film, baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus dem Drehbuch für einen Film besteht und auf einer anderen Ressource basiert.", fi: "Liittää aineiston aineistoon, joka on toiseen aineistoon perustuva elokuvan käsikirjoitus.", "zh-hans-cn": "将一种资源与由基于另一种资源的一种动态图像作品的剧本组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsMotionPictureScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60232",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as motion picture screenplay", ar: "هو مقتبَس كسيناريو فيلم سينمائي", da: "er bearbejdet som film", de: "ist bearbeitet als Filmdrehbuch", fi: "sovitettu elokuvakäsikirjoitukseksi (aineisto)", nl: "is bewerkt als speelfilmscenario", "zh-hans-cn": "被改编为电影剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60185",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60185,
      definition: {en: "Relates a resource to a resource that consists of a screenplay for a motion picture, television program, or video, based on another resource.", ar: "يربط بين مصدر ومصدر يتكون من سيناريو فيلم سينمائي، برنامج تليفزيوني، أو فيديو، اعتمد على مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af et manuskript til en film, et tv-program eller en video, baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einem Drehbuch für einen Film, eine Fernsehsendung oder ein Video besteht, das/die auf einer anderen Ressource basiert.", fi: "Liittää aineiston aineistoon, joka on toiseen aineistoon perustuva elokuvan, televisio-ohjelman tai videon käsikirjoitus.", "zh-hans-cn": "将一种资源与由基于资源的一种电影、电视节目或视频的剧本组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60184", "http://rdaregistry.info/Elements/u/P60186", "http://rdaregistry.info/Elements/u/P60187"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60231",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as screenplay", ar: "هو مقتبَس كسيناريو", da: "er bearbejdet som drejebog", de: "ist bearbeitet als Drehbuch", fi: "sovitettu käsikirjoitukseksi (aineisto)", nl: "is bewerkt als scenario", "zh-hans-cn": "被改编为影视剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60186,
      definition: {en: "Relates a resource to a resource that consists of a screenplay for a television program, based on another resource.", ar: "يربط بين مصدر ومصدر يتكون من سيناريو فيلم سينمائي لبرنامج تليفزيوني، اعتمد على مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af et manuskript til et tv-program, baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus dem Drehbuch für eine Fernsehsendung besteht und auf einer anderen Ressource basiert.", fi: "Liittää aineiston aineistoon, joka on toiseen aineistoon perustuva televisio-ohjelman käsikirjoitus.", "zh-hans-cn": "将一种资源与由基于另一种资源的一种电视节目的剧本组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsTelevisionScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60233",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as television screenplay", ar: "هو مقتبَس كسيناريو تلفزيون", da: "er bearbejdet til tv-manuskript", de: "ist bearbeitet als Fernsehdrehbuch", fi: "sovitettu televisiokäsikirjoitukseksi (aineisto)", nl: "is bewerkt als televisiescenario", "zh-hans-cn": "被改编为电视剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60185",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60187,
      definition: {en: "Relates a resource to a resource that consists of a screenplay for a video, based on another resource.", ar: "يربط بين مصدر ومصدر يتكون من سيناريو فيلم سينمائي لفيديو، اعتمد على مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af et manuskript til en video, baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus dem Drehbuch für ein Video besteht und auf einer anderen Ressource basiert.", fi: "Liittää aineiston aineistoon, joka on toiseen aineistoon perustuva videon käsikirjoitus.", "zh-hans-cn": "将一种资源与由基于另一种资源的一种视频的剧本组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsVideoScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60234",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as video screenplay", ar: "هو مقتبَس كسيناريو فيديو", da: "er bearbejdet til videomanuskript", de: "ist bearbeitet als Videodrehbuch", fi: "sovitettu videokäsikirjoitukseksi (aineisto)", nl: "is bewerkt als videoscenario", "zh-hans-cn": "被改编为视频剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60185",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60188,
      definition: {en: "Relates a resource to a resource that consists of a script for a radio program, based on another resource.", ar: "يربط بين مصدر ومصدر يتكون من نص لبرنامج إذاعي، اعتمد على مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af et manuskript til et radioprogram, baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einem Skript für eine Hörfunksendung besteht und auf einer anderen Ressource basiert.", fi: "Liittää aineiston aineistoon, joka on toiseen aineistoon perustuva radio-ohjelman käsikirjoitus.", "zh-hans-cn": "将一种资源与由基于另一种资源的一种广播节目的文稿组成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsRadioScript.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60235",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as radio script", ar: "هو مقتبَس كنص إذاعي", da: "er bearbejdet til radiomanuskript", de: "ist bearbeitet als Hörfunkskript", fi: "sovitettu radiokäsikirjoitukseksi (aineisto)", nl: "is bewerkt als radioscript", "zh-hans-cn": "被改编为广播文稿"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60189,
      definition: {en: "Relates a resource to a resource that is both an adaptation and a translation into another language of another resource.", ar: "يربط بين مصدر ومصدر يعد اقتباسًا وترجمة إلى لغة أخرى لمصدر آخَر.", da: "Relaterer en ressource til en ressource, der frit oversætter teksten til et andet sprog, og som bevarer originalens ånd, men ikke dens sproglige detaljer.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die sowohl eine Bearbeitung als auch eine Übersetzung einer anderen Ressource in eine andere Sprache ist.", fi: "Liittää aineiston aineistoon, joka on sekä lähteenä olevan aineiston mukaelma että käännös toiselle kielelle.", "zh-hans-cn": "将一种资源与作为另一种资源的另一种语言改编和翻译同时进行而成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/freelyTranslatedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60243",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is freely translated as", ar: "هو مترجم بتصرف كـ", da: "er frit oversat til", de: "ist frei übersetzt als", fi: "vapaamuotoinen käännös aineistosta", nl: "is vrij vertaald als", "zh-hans-cn": "被自由翻译为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60190,
      definition: {en: "Relates a resource to an entity that is described by a resource.", ar: "يربط بين مصدر وكيان موصوف بواسطة مصدر.", da: "Relaterer en ressource til en ressource, der beskrives af en beskrivende entitet.", de: "Setzt eine Ressource in Beziehung zu einer Entität, die von einer Ressource beschrieben wird.", fi: "Liittää aineiston entiteettiin, jota aineisto kuvaa.", "zh-hans-cn": "将一种资源与被一种资源描述的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60239", "http://rdaregistry.info/Elements/u/P60255", "http://rdaregistry.info/Elements/u/P60288", "http://rdaregistry.info/Elements/u/P60289", "http://rdaregistry.info/Elements/u/P60292", "http://rdaregistry.info/Elements/u/P60298", "http://rdaregistry.info/Elements/u/P60474", "http://rdaregistry.info/Elements/u/P61219"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/descriptionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60215",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is description of", ar: "هو وصف لـ", da: "er beskrivelse af", de: "ist Beschreibung von", fi: "aineiston kuvaus", nl: "is beschrijving van", "zh-hans-cn": "是……的描述"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60805",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60191,
      definition: {en: "Relates a resource to a resource that carries the same content as a resource.", ar: "يربط بين مصدر ومصدر يحمل نفس المحتوى كمصدر.", da: "Relaterer en ressource til en ressource, der omfatter det samme indhold som en anden ressouce.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den gleichen Inhalt wie die andere Ressource hat.", fi: "Liittää aineiston aineistoon, jonka sisältö on sama kuin aineistossa.", "zh-hans-cn": "将一种资源与和一种资源承载同样内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60195", "http://rdaregistry.info/Elements/u/P60197", "http://rdaregistry.info/Elements/u/P60272", "http://rdaregistry.info/Elements/u/P60297"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equivalent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60191",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has equivalent", ar: "له مُتَكَافِئ", da: "har ækvivalent", de: "hat Äquivalent", fi: "vastaava aineisto", nl: "heeft equivalent", "zh-hans-cn": "有等同"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60712",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60192,
      definition: {en: "Relates a resource to a resource that is a successive aggregating resource that inspires the editorial policy, scope, and style of another successive aggregating resource.", ar: "يربط بين مصدر ومصدر تجميعي متتالي يلهِم السياسة التحريرية، المجال، والأسلوب لمصدر تجميعي مُتتالي آخَر.", da: "Relaterer en ressource til en ressource, i hvilket en del optræder regelmæssigt; titlen på den større ressource optræder på alle numre eller dele af underserien.", de: "Setzt eine Ressource in Beziehung zu einer sukzessiven, aggregierenden Ressource, die die redaktionelle Vorgehensweise, den Geltungsbereich und den Stil einer anderen sukzessiven, aggregierenden Ressource beeinflusst.", fi: "Liittää aineiston peräkkäisesti ilmestyvään aggregoivaan aineistoon, josta toinen peräkkäinen aggregoiva aineisto saa vaikutteita toimitukselliseen käytäntöön, laajuuteen ja tyyliin.", "zh-hans-cn": "将一种资源与作为一种相继合集性资源并且启发另一种相继合集性资源的编辑政策、编辑范围和编辑风格的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subseriesOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60316",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is subseries of", ar: "هو سلسلة فرعية لـ", da: "er underserie af", de: "ist Unterreihe von", fi: "aineiston alasarja", nl: "is onderreeks van", "zh-hans-cn": "是……的分丛编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60193,
      altLabel: {en: "is in series", ar: "هو في سلسلة", da: "er i serie", fi: "kuuluu sarjaan", "zh-hans-cn": "在丛编中"},
      definition: {en: "Relates a resource to a resource that is a successive aggregating resource that inspires the editorial policy, scope, and style of a static resource.", ar: "يربط بين مصدر ومصدر تجميعي متتالي يلهِم السياسة التحريرية، المجال، والأسلوب لمصدر ثابت.", da: "Relaterer en ressource til en ressource, i hvilket en del er blevet udgivet; en titel på en større ressource optræder på delen.", de: "Setzt eine Ressource in Beziehung zu einer sukzessiven, aggregierenden Ressource, die die redaktionelle Vorgehensweise, den Geltungsbereich und den Stil einer statischen Ressource beeinflusst.", fi: "Liittää aineiston staattiseen aggregoivaan aineistoon, josta toinen peräkkäinen staattinen aineisto saa vaikutteita toimitukselliseen käytäntöön, laajuuteen ja tyyliin.", "zh-hans-cn": "将一种资源与作为一种相继合集性资源并且启发一种静态资源的编辑政策、编辑范围和编辑风格的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issueOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60240",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is issue of", ar: "هو إصدارة لـ", da: "er del af serie", de: "ist Ausgabe von", fi: "numero", nl: "is aflevering van", "zh-hans-cn": "是……的期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60194,
      definition: {en: "Relates a resource to a resource into which material is inserted that is not an integral part of the publication.", ar: "يربط بين مصدر ومصدر تم إدراج مادة فيه وهي لا تُمثل جزءًا أساسيًا من المنشور.", da: "Relaterer en ressource til en ressource, hvori der er indlagt materiale, der ikke er en integreret del af publikationen.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, in die Material eingefügt wird, das nicht integraler Bestandteil der Veröffentlichung ist.", fi: "Liittää aineiston aineistoon, joka sisältää materiaalia erillisenä liitteenä.", "zh-hans-cn": "将一种资源与在其中插入不属于出版物完整部分的资料的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/insertedIn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60183",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is inserted in", ar: "هو مُدرَج في", da: "er indlagt i", de: "ist beigelegt in", fi: "liitteenä aineistossa", nl: "is ingevoegd in", "zh-hans-cn": "被插入于"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60195,
      definition: {en: "Relates a resource to a resource that carries the same content of a resource in a different format.", ar: "يربط بين مصدر ومصدر يحمل نفس المحتوى لمصدر في شكل مختلف.", da: "Relaterer en ressource til en ressource, der omfatter det samme indehold af en ressource i et andet format.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die denselben Inhalt einer Ressource in einem anderen Format enthält.", fi: "Liittää aineiston samansisältöiseen aineistoon, joka on eri julkaisumuodossa.", "zh-hans-cn": "将一种资源与用不同格式承载和一种资源同样内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/alsoIssuedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60195",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is also issued as", ar: "هو صدر أيضًا كـ", da: "er også udgivet som", de: "ist auch erschienen als", fi: "aineiston muu julkaisumuoto", nl: "is ook uitgevaardigd als", "zh-hans-cn": "也被发行为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60196,
      definition: {en: "Relates a resource to a resource that is a part of the same resource as another part resource.", ar: "يربط بين مصدر ومصدر صَدر مع مصدر ذي صلة، بدون أي علاقة بمحتواه.", da: "Relaterer en ressource til en ressource udgivet sammen med en anden ressource uden nogen relation til dens indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die mit einer in Beziehung stehenden Ressource erscheint, ohne eine Beziehung zu deren Inhalt zu haben.", fi: "Liittää aineiston aineistoon, joka on ilmestynyt yhdessä toisen aineiston kanssa, mutta ei liity siihen sisällöllisesti.", "zh-hans-cn": "将一种资源与作为另一种部分资源的同一种资源之一部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60237", "http://rdaregistry.info/Elements/u/P60256"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accompaniedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60196",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is accompanied by", ar: "هو مُرفق بـ", da: "er ledsaget af", de: "ist begleitet von einem", fi: "aineiston mukana ilmestynyt", nl: "is begeleid door", "zh-hans-cn": "被……伴随"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60709",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60197,
      definition: {en: "Relates a resource to a resource that is an exact copy of a website, used to reduce network traffic or improve the availability of the content of the original site.", ar: "يربط بين مصدر ومصدر يُعد نسخة طبق الأصل من موقع إلكتروني، مستخدم لتقليل الدخول على الشبكة أو لتحسين الإتاحة لمحتوى الموقع الأصلي.", da: "Relaterer en ressource til en ressource, der er en nøjagtig kopi af en hjemmeside, som er anvendt til at reducere netværkstrafik eller forbedre tilgængeligheden af originalsidens indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine exakte Kopie einer Website ist und verwendet wird, um den Datenverkehr in einem Netzwerk zu reduzieren oder die Verfügbarkeit des Inhalts der Originalseite zu verbessern.", fi: "Liittää aineiston aineistoon, joka on verkkosivuston tarkka kopio ja jota käytetään parantamaan alkuperäisen sivuston saavutettavuutta vähentämällä verkkoliikenteen kuormitusta.", "zh-hans-cn": "将一种资源与作为一个网站精确复本、用于减少网络流量或提高原站点内容获取能力的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mirrorSite.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60197",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has mirror site", ar: "له موقع بديل", da: "er spejlside", de: "hat Mirror-Site", fi: "peilisivusto", nl: "heeft mirror site", "zh-hans-cn": "有镜像站点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60198,
      definition: {en: "Relates a resource to a resource paired with a related resource without either resource being considered to be predominant.", ar: "يربط بين مصدر ومصدر مقترن بمصدر ذي صلة دون اعتبار أحدهما هو المصدر السائد.", da: "Relaterer en ressource til en ressource, der er parret med en anden ressource, uden at én af ressourcerne betragtes som værende vigtigst.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die mit einer in Beziehung stehenden Ressource zusammengebracht wird, ohne dass eine der beiden als Hauptressource angesehen wird.", fi: "Liittää aineiston teokseen, joka on yhdistetty siihen liittyvään teokseen ilman, että kumpaakaan teosta pidetään ensisijaisena.", "zh-hans-cn": "将一种资源与和一种相关资源配对而两者都不被认为占主导地位的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60117", "http://rdaregistry.info/Elements/u/P60201", "http://rdaregistry.info/Elements/u/P60264", "http://rdaregistry.info/Elements/u/P60267", "http://rdaregistry.info/Elements/u/P60270", "http://rdaregistry.info/Elements/u/P60285", "http://rdaregistry.info/Elements/u/P60723", "http://rdaregistry.info/Elements/u/P60724", "http://rdaregistry.info/Elements/u/P60740", "http://rdaregistry.info/Elements/u/P60741", "http://rdaregistry.info/Elements/u/P61047", "http://rdaregistry.info/Elements/u/P61048", "http://rdaregistry.info/Elements/u/P61049", "http://rdaregistry.info/Elements/u/P61050", "http://rdaregistry.info/Elements/u/P61051", "http://rdaregistry.info/Elements/u/P61052"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/complementedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60198",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is complemented by", ar: "هو مُكَمَّل بـ", da: "er komplementeret af", de: "ist vervollständigt durch", fi: "taydentävä aineisto", nl: "is gecomplementeerd door", "zh-hans-cn": "被……补充"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60709",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60199,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that continues the partial content of another diachronic resource that is continuing.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا يُكْمل المحتوى الجزئي لمصدر آخر ممتد زمنيًا ومستمر.", da: "Relaterer en ressource til en ressource, hvoraf en del af indholdet er udskilt fra en tidligere ressource, så en ny ressource er dannet.", de: "Setzt eine Ressource in Beziehung zu einer diachronen Ressource, die teilweise den Inhalt einer anderen fortlaufenden diachronen Ressource fortführt.", fi: "Liittää aineiston aineistoon, oka on diakroninen aineisto, joka jatkaa toisen diakronisen jatkuvan aineiston sisältöä osittain.", "zh-hans-cn": "将一种资源与作为一种历时资源、继承另一种继续出版的历时资源的部分内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/separatedInto.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a successive resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر متتالي.", da: "Denne relation anvendes generelt for periodika.", de: "Im Allgemeinen trifft dieses Element auf eine sukzessive Ressource zu.", fi: "Tämä elementti soveltuu yleensä peräkkäisesti ilmestyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种相继资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60277",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is separated into", ar: "هو مُنقَسِم إلى", da: "er delvis fortsat i", de: "ist teilweise fortgesetzt von", fi: "aineistosta jakautunut", nl: "is afgesplitst in", "zh-hans-cn": "被分出而成"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60200,
      definition: {en: "Relates a resource to a resource in a digital format that results from a transfer of a resource in another digital format.", ar: "يربط بين مصدر ومصدر فى صيغة رقمية نتج عن تحويل مصدر إلى شكل رقمي آخَر.", da: "Relaterer en ressource til en ressource i et digitalt format, der er resultatet af en overførsel af en ressource i et andet digitalt format.", de: "Setzt eine Ressource in Beziehung zu einer Ressource in einem digitalen Format, die durch die Übertragung einer Ressource in ein anderes digitales Format entsteht.", fi: "Liittää aineiston digitaalisessa muodossa olevaan aineistoon, joka on tulos toisessa digitaalisessa muodossa olevan aineiston muunnoksesta.", "zh-hans-cn": "将一种资源与从另一种数字格式的资源转储为一种数字格式而形成的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digitalTransfer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60287",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has digital transfer", ar: "له تحويل رقمي", da: "har digital overførsel", de: "hat digitale Übertragung", fi: "konvertoinnin tulos (aineisto)", nl: "heeft digitale kopie", "zh-hans-cn": "有数字转储"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60272",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60201,
      definition: {en: "Relates a resource to a resource that uses a screenplay and that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر يستخدم سيناريو ويكمله مصدر نصي.", da: "Relaterer en ressource til en ressource, såsom en film, et skuespil, et tv-program eller en video, der anvender en ressources tekst som manuskript.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die ein Drehbuch verwendet und durch eine textliche Ressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与使用一种影视剧剧本并被一种文字资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60282", "http://rdaregistry.info/Elements/u/P60283", "http://rdaregistry.info/Elements/u/P60284"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplayFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60264",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenplay for", ar: "هو سيناريو لـ", da: "er drejebog til", de: "ist Drehbuch für", fi: "käsikirjoitusaineisto", nl: "is scenario voor", "zh-hans-cn": "是……的影视剧剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60202,
      definition: {en: "Relates a resource to a resource that is a play or other resource for the stage that is realized as spoken word and that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر مسرحي أو مصدر آخر للمسرح الذي يتحقق على أنه كلمة منطوقة ويكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource, såsom et skuespil eller et andet talt sceneværk, der anvender en ressource til et musikværk som tilhørende musik.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um ein Drama oder eine andere, gesprochene Bühnenressource handelt, die durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston näytelmään tai muuhun näyttämöesitykseen, joka on toteutettu", "zh-hans-cn": "将一种资源与作为被一种音乐作品补充的通过口语实现的戏剧或其他舞台资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/incidentalMusicFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60118",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is incidental music for", ar: "هو موسيقى تصويرية لـ", da: "er skuespilsmusik til", de: "ist Bühnenmusik für", fi: "näytelmämusiikkiaineisto", nl: "is toneelmuziek voor", "zh-hans-cn": "是……的配乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60724",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60203,
      altLabel: {en: "is abstracted as ", fi: "abstraktin perustana oleva aineisto", "zh-hans-cn": "被摘要为"},
      definition: {en: "Relates a resource to a resource that is an objective summary of a resource. ", ar: "يربط بين مصدر ومصدر يختصر مصدرًا آخر بطريقة موجزة موضوعية.", da: "Relaterer en ressource til en ressource, der forkorter en oprindelig ressource på en kortfattet, objektiv måde.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine andere Ressource auf eine kurze, sachliche Art verkürzt.", fi: "Liittää aineiston aineistoon, joka on objektiivinen tiivistelmä aineistosta.", "zh-hans-cn": "将一种资源与作为一种资源之客观提要的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abstract.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60224",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has abstract", ar: "هو مستخلص كـ", da: "er sammenfattet som", de: "ist Abstract als", fi: "aineiston abstrakti", nl: "is geabstraheerd als", "zh-hans-cn": "有摘要"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60205",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60204,
      definition: {en: "Relates a resource to a resource that adds to the content of a predominant resource.", ar: "يربط بين مصدر ومصدر يُضاف إلى محتوى مصدر سائد.", da: "Relaterer en ressource til en ressource, der føjer noget til en hovedressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Inhalt einer Hauptressource ergänzt.", fi: "Liittää aineiston aineistoon, joka täydentää vallitsevan aineiston sisältöä.", "zh-hans-cn": "将一种资源与增加到一种主要资源之内容中去的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60113", "http://rdaregistry.info/Elements/u/P60181", "http://rdaregistry.info/Elements/u/P60182", "http://rdaregistry.info/Elements/u/P60209", "http://rdaregistry.info/Elements/u/P60221", "http://rdaregistry.info/Elements/u/P60222", "http://rdaregistry.info/Elements/u/P60281"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/augmentedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60307",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is augmented by", ar: "هو مُعَزَّز بـ", da: "er beriget med", de: "ist erweitert durch", fi: "laajennettu aineistolla", nl: "is aangevuld door", "zh-hans-cn": "被……附增"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60709",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60205,
      altLabel: {en: "is summarized as", fi: "tiivistelmä aineistosta", "zh-hans-cn": "被提要为"},
      definition: {en: "Relates a resource to a resource that is a brief description of a resource.", ar: "يربط بين مصدر ومصدر يتكون من تلخيص موجز لمحتوى مصدر آخَر.", da: "Relaterer en ressource til en ressource, der består af en kortfattet gengivelse af en oprindelig ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einer kurzen Wiederholung des Inhalts einer anderen Ressource besteht.", fi: "Liittää aineiston aineistoon, joka on lyhyt kuvaus sen sisällöstä.", "zh-hans-cn": "将一种资源与作为一种资源简要描述的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60203",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/summary.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60289",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has summary", ar: "هو مُلَخّص كـ", da: "er opsummeret som", de: "ist zusammenfasst als", fi: "tiivistelmän sisältävä aineisto", nl: "is samengevat als", "zh-hans-cn": "有提要"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60215",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60206,
      definition: {en: "Relates a resource to a resource that is a metadata description set for the resources that are held by a collection resource.", ar: "يربط بين مصدر ومصدر يتكون من حصر كامل لمصادر مرتبة بشكل منهجي.", da: "Relaterer en ressource til en ressource, der består af en komplet fortegnelse over ressourcer, der er arrangeret systematisk.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einer vollständigen Aufzählung von Ressourcen besteht, die systematisch angeordnet sind.", fi: "Liittää aineiston aineistoon, joka on kokoelma-aineistoon kuuluvan aineiston metatietokokonaisuus.", "zh-hans-cn": "将一种资源与作为一种收藏资源所收入的各种资源的元数据描述集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/catalogue.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60290",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has catalogue", ar: "له فِهرِس", da: "er katalog", de: "hat Katalog", fi: "kokoelmaluettelo", nl: "heeft catalogus", "zh-hans-cn": "有目录"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60262",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60207,
      definition: {en: "Relates a resource to a resource that is an issue that is devoted to a specific topic.", ar: "يربط بين مصدر ومصدر عبارة عن عدد مخصص لموضوع محدد.", da: "Relaterer en ressource til en ressource, der består af et enkelt nummer eller et tillæg til et periodikum eller en avis, helliget et bestemt emne og med eller uden nummerering.", de: "Setzt eine Ressource in Beziehung zu einer Ausgabe, die einem bestimmten Thema gewidmet ist.", fi: "Liittää aineiston aineistoon, joka on tietylle aiheelle omistettu numero.", "zh-hans-cn": "将一种资源与作为完全关于一个特定话题的一期的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/specialIssue.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60317",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has special issue", ar: "له إصدار خاص", da: "er særnummer", de: "hat Sonderausgabe", fi: "erikoisnumero (aineisto)", nl: "heeft themanummer", "zh-hans-cn": "有特刊"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60208,
      definition: {en: "Relates a resource to a resource that is a systematic guide of all or selected words that occur in a textual resource.", ar: "يربط بين مصدر ومصدر يتكون من كشاف لكل الكلمات أو لكلمات محددة والتي تظهر في مصدر نصي.", da: "Relaterer en ressource til en ressource, der består af et indeks over alle ordene i en hovedressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus einem Index aller oder ausgewählter Wörter besteht, die in einer textlichen Ressource vorkommen.", fi: "Liittää aineiston aineistoon, joka on kaikkien tai valikoitujen tekstiaineiston toteutuksessa esiintyvien sanojen hakemisto.", "zh-hans-cn": "将一种资源与作为一种文字资源中出现的所有或所选词语的系统指南的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/concordance.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60291",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has concordance", ar: "له كشاف نصوص", da: "er konkordans", de: "hat Konkordanz", fi: "aineiston konkordanssihakemisto", nl: "heeft concordantie", "zh-hans-cn": "有词语索引"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60209,
      definition: {en: "Relates a resource to a resource that consists of brief content that is essential for the completeness of a related resource.", ar: "يربط بين مصدر ومصدر يتكون من محتوى موجز يُعَد ضروريًا لاستكمال مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der består af kortfattet indhold, som er  væsentligt for fuldstændigheden af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aus kurzem Inhalt besteht, der für die Vollständigkeit einer in Beziehung stehenden Ressource notwendig ist.", fi: "Liittää aineiston aineistoon, joka koostuu suppeasta sisällöstä, joka on olennainen siihen liittyvän aineiston kokonaisuudelle.", "zh-hans-cn": "将一种资源与由简要内容组成并对一种相关资源的完整性必不可少的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addenda.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60286",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has addenda", ar: "له إضافات", da: "er tillæg", de: "hat Ergänzung", fi: "lisäykset aineistossa", nl: "heeft toevoegingen", "zh-hans-cn": "有补遗"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60210,
      definition: {en: "Relates a resource to a musical or choreographic resource such as an opera, a ballet, or other resource for the musical stage, or an oratorio", ar: "يربط بين مصدر ومصدر موسيقي أو راقص مثل الأوبرا، الباليه، أو مصدر آخر للمسرح الموسيقي، أو موسيقى دينية.", da: "Relaterer en ressource til en ressource, der består af tekst til en opera eller en anden ressource for den musikalske scene eller et oratorium baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource oder choreografischen Ressource, wie zum Beispiel einer Oper, einem Ballett oder einer anderen Musikressource für die Bühne, oder zu einem Oratorium.", fi: "Liittää aineiston musiikkiaineistoon tai koreografiseen aineistoon kuten oopperaan, balettiin tai muuhun musiikilliseen näyttämöteokseen tai oratorioon.", "zh-hans-cn": "将一种资源与诸如歌剧、芭蕾或其他舞台音乐资源或清唱剧的一种音乐或编舞资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsLibretto.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60304",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as libretto", ar: "هو مقتبس كنص أوبرالي", da: "er bearbejdet til libretto", de: "ist bearbeitet als Libretto", fi: "sovitettu libretoksi (aineisto)", nl: "is bewerkt als libretto", "zh-hans-cn": "被改编为台本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60211,
      altLabel: {en: "is reviewed in", fi: "arvioitu aineisto", "zh-hans-cn": "被评论于"},
      definition: {en: "Relates a resource to a resource that is a brief evaluation of a resource.", ar: "يربط بين مصدر ومصدر يحتوي على تقييم موجز لمصدر.", da: "Relaterer en ressource til en ressource, der indeholder en kort kritik af en beskreven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um eine kurze Untersuchung einer Ressource handelt.", fi: "Liittää aineiston aineistosta tehtyyn tiiviiseen arviointiin.", "zh-hans-cn": "将一种资源与作为一种资源之简要评价的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reviewedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60288",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reviewed by", ar: "تمت مراجعته في", da: "er anmeldt i", de: "ist rezensiert in", fi: "arvosteltu aineisto", nl: "is gerecenseerd in", "zh-hans-cn": "被……评论"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60218",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60212,
      altLabel: {en: "is critiqued in", fi: "arvosteltu aineisto", "zh-hans-cn": "被批评于"},
      definition: {en: "Relates a resource to a resource that is a critical evaluation of a resource.", ar: "يربط بين مصدر ومصدر يحتوي على تقييم نقدي لمصدر.", da: "Relaterer en ressource til en ressource, der indeholder en kritisk vurdering af en beskreven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um eine kritische Untersuchung einer Ressource handelt.", fi: "Liittää aineiston aineistosta tehtyyn kriittiseen arviointiin.", "zh-hans-cn": "将一种资源与作为一种资源之批评性评价的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/critiquedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60292",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is critiqued by", ar: "هو مُنتقد في", da: "er kritiseret i", de: "ist Kritik in", fi: "aineiston arvostelu", nl: "is bekritiseerd in", "zh-hans-cn": "被……批评"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60218",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60213,
      definition: {en: "Relates a resource to a resource that is a set of explanatory or critical notes on a resource", ar: "يربط بين مصدر ومصدر يحتوي على مجموعة من الملاحظات الشارحة أو الناقدة لمصدر.", da: "Relaterer en ressource til en ressource, der indeholder et sæt af forklarende eller kritiske noter om en beskreven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um eine Reihe von erläuternden oder kritischen Anmerkungen zu einer Ressource handelt.", fi: "Liittää aineiston aineistoon, joka on selittävä tai kriittinen huomautus aineistosta.", "zh-hans-cn": "将一种资源与作为关于一种资源的解释性或评论性附注之集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commentaryIn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60298",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is commentary in", ar: "هو مُعلق عليه في", da: "er kommentar i", de: "ist kommentiert in", fi: "kommentaari aineistosta", nl: "is commentaar in", "zh-hans-cn": "是……中的评注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60215",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60214,
      definition: {en: "Relates a resource to a resource that copies the style or content of another resource.", ar: "يربط بين مصدر ومصدر ينسخ نمط أو محتوى مصدر آخَر.", da: "Relaterer en ressource til en ressource, der kopierer en oprindelig ressources stil eller indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Stil oder Inhalt einer anderen Ressource kopiert.", fi: "Liittää aineiston aineistoon, joka kopioi toisen aineiston tyyliä tai sisältöä.", "zh-hans-cn": "将一种资源与复制另一种资源的风格和内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60246",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/imitatedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60311",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is imitated as", ar: "هو محاكاة كـ", da: "er efterlignet som", de: "ist imitiert als", fi: "jäljitelmä aineistosta", nl: "is geïmiteerd in", "zh-hans-cn": "被模仿成为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60215,
      altLabel: {en: "is described in", fi: "kuvattu", "zh-hans-cn": "被描述于"},
      definition: {en: "Relates an entity to a resource that is a description of an entity.", ar: "يربط كيانًا بمصدر يصف كيان.", da: "Relaterer en ressource til en ressource, der beskriver en beskreven entitet.", de: "Setzt eine Entität in Beziehung zu einer Ressource, die eine Entität beschreibt.", fi: "Liitttää aineiston aineistoon, joka on kuvaus entiteetistä.", "zh-hans-cn": "将一个实体与作为一个实体之描述的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60205", "http://rdaregistry.info/Elements/u/P60213", "http://rdaregistry.info/Elements/u/P60219", "http://rdaregistry.info/Elements/u/P61218"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/describedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60190",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is described by", ar: "هو موصوف في", da: "er beskrevet i", de: "ist beschrieben in", fi: "aineistoa kuvaava", nl: "is beschreven in", "zh-hans-cn": "被……描述"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60806",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60216,
      definition: {en: "Relates a resource to a resource that enlarges upon the content of another resource.", ar: "يربط بين مصدر ومصدر يتوسع في محتوى مصدر آخَر.", da: "Relaterer en ressource til en ressource, der uddyber en oprindelig  ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Inhalt einer anderen Ressource erweitert.", fi: "Liittää aineiston aineistoon, joka laajentaa toisen aineiston sisältöä.", "zh-hans-cn": "将一种资源与在另一种资源上扩充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/expandedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60294",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is expanded as", ar: "هو مُوَسّع كـ", da: "er udvidet til", de: "ist erweitert als", fi: "laajennelma", nl: "is uitgebreid als", "zh-hans-cn": "被扩充为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60217,
      definition: {en: "Relates a resource to a resource that exactly reproduces a related resource embodying a resource.", ar: "يربط بين مصدر ومصدر يستنسخ بشكل تام مصدر ذو صلة يُجسد مصدر.", da: "Relaterer en ressource til en ressource, der er en nøjagtig reproduktion af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine in Beziehung stehende Ressource, die eine Ressource verkörpert, exakt reproduziert.", fi: "Liittää aineiston aineistoon, joka on toisen, liittyvän aineiston tarkka jäljennös.", "zh-hans-cn": "将一种资源与精确复制具体化一种资源的一种关联资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60179",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/facsimile.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60301",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has facsimile", ar: "له نسخة طبق الأصل.", da: "har faksimile", de: "ist Faksimile", fi: "näköispainos aineistosta", nl: "heeft facsimile", "zh-hans-cn": "有摹真品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60272",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60218,
      altLabel: {en: "is evaluated in ", fi: "arvioitu aineisto", "zh-hans-cn": "被评价于"},
      definition: {en: "Relates a resource to a resource that is an examination or judgement of a resource.", ar: "يربط بين مصدر ومصدر يختبر أو يحكم على مصدر.", da: "Relaterer en ressource til en ressource, der undersøger eller bedømmer en beskreven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Ressource untersucht oder beurteilt.", fi: "Liittää aineiston aineistoon, joka on tutkiva arviointi tai arvostelu aineistosta.", "zh-hans-cn": "将一种资源与作为一种资源之检查和判断的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60211", "http://rdaregistry.info/Elements/u/P60212"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/evaluatedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60255",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is evaluated by", ar: "هو مُقيم فى", da: "er evalueret i", de: "ist evaluiert in", fi: "arviointi aineistosta", nl: "is beoordeeld in", "zh-hans-cn": "被……评价"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60806",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60219,
      definition: {en: "Relates a resource to a resource that describes the structure and composition of another resource.", ar: "يربط بين مصدر ومصدر يصف بنية وتكوين مصدر آخر.", da: "Relaterer en ressource til en ressource, der undersøger en oprindelig  ressource for at identificere dets dele og deres relationer.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Aufbau und die Zusammensetzung einer anderen Ressource beschreibt.", fi: "Liitttää aineiston aineistoon, joka kuvaa toisen aineiston rakennetta.", "zh-hans-cn": "将一种资源与描述另一种资源的结构和创作的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/analysedIn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60239",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is analysed in", ar: "هو مُحَلَّل في", da: "er analyseret i", de: "ist analysiert in", fi: "analysoitu aineisto", nl: "is geanalyseerd in", "zh-hans-cn": "被分析于"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60215",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60220,
      altLabel: {en: "is sequel to", ar: "هو تَتِمّة لـ", da: "er efterfølger til", de: "ist Sequel zu", fi: "aineiston jatko-osa", "zh-hans-cn": "是……的续篇"},
      definition: {en: "Relates a resource to a resource that extends the narrative of another resource backwards in time.", ar: "يربط بين مصدر ومصدر يوسع السرد لمصدر آخر يسبقه زمنيًا.", da: "Relaterer en ressource til en ressource, der udvider en tidligere ressources fortælling bagud i tiden.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Erzählstrang einer anderen Ressource zeitlich rückwärts erweitert.", fi: "Liittää aineiston aineistoon, joka laajentaa toisenaineiston kerrontaa ajassa taaksepäin.", "zh-hans-cn": "将一种资源与把另一种资源的叙述在时间上往回延伸的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/prequel.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60310",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has prequel", ar: "له بادئه", da: "er forløber", de: "hat Prequel", fi: "aineiston esiosa", nl: "heeft prequel", "zh-hans-cn": "有前篇"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60221,
      definition: {en: "Relates a resource to a resource whose content augments a related resource.", ar: "يربط بين مصدر ومصدر يزيد محتواه من مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der udgør en berigende del af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt eine in Beziehung stehende Ressource erweitert.", fi: "Liittää aineiston aineistoon, jonka sisältö täydentää toista, liittyvää aineistoa.", "zh-hans-cn": "将一种资源与其内容附增一种相关资源的一种资源达关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appendix.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60253",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has appendix", ar: "له مُلحَق", da: "er bilag", de: "hat Anhang", fi: "aineiston lite", nl: "heeft appendix", "zh-hans-cn": "有附录"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60222,
      definition: {en: "Relates a resource to a resource that guides a user through the use of a predominant resource, using notes, learning and study aids, exercises, problems, questions and answers, instructor or student materials, etc.", ar: "يربط بين مصدر ومصدر يُرشد المستخدم من خلال استخدام مصدر سائد، باستخدام الملاحظات، ووسائل التعلم والدراسة، والتمارين، والمسائل، والأسئلة والأجوبة، ومواد المعلم أو الطلاب، إلخ.", da: "Relater en ressource til en ressource, der hjælper en bruger med at anvende en dominerende ressource vha. noter, lære- og studiehjælpemidler, øvelser, problemstillinger, spørgsmål og svar, lærer- og elevmaterialer etc.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die Benutzende durch die Verwendung von Anmerkungen, Lern- und Studienhilfen, Übungen, Problemstellungen, Fragen und Antwort oder anderen Lehr- oder Schülermaterialien durch die Nutzung einer Hauptressource führt.", fi: "Liittää aineiston aineistoon,joka opastaa käyttäjää aineiston käytössä muistiinpanojen, opiskelumateriaalien, harjoitusten, tehtävien, kysymysten ja vastausten tai muiden opettajan tai opiskelijan aineistojen avulla.", "zh-hans-cn": "将一种资源与用注释、学习和研究工具、练习、提问、问题与答案、教师或学生参考资料等对使用者使用主要资源提供指导的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/guide.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60252",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has guide", ar: "له دليل إرشادي", da: "er vejledning", de: "hat Orientierungshilfe", fi: "opas aineistoon", nl: "heeft gids", "zh-hans-cn": "有指南"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60223,
      definition: {en: "Relates a resource to a resource that is shortened as a related resource without changing the general meaning or manner of presentation.", ar: "يربط بين مصدر ومصدر تم اختصاره كمصدر ذي صلة دون تغيير المعنى العام أو طريقة العرض.", da: "Relaterer en ressource til en ressource, der er blevet forkortet, dvs. afkortet, uden at der er ændret på en oprindelig ressources overordnede betydning eller præsentationsmåde.", de: "Setzt eine Ressource in Beziehung zu einer in Beziehung stehenden Ressource, die gekürzt wurde, ohne die allgemeine Bedeutung oder Art der Darstellung der ursprünglichen Ressource zu verändern.", fi: "Liitää aineiston aineistoon, jota on lyhennetty toiseksi, liittyväksi aineistoksi muuttamatta yleistä merkitystä tai esitystapaa.", "zh-hans-cn": "将一种资源与被缩短为一种相关资源而不改变其总体意义或呈现方式的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abridgementOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60275",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abridgement of", ar: "هو اختصار لـ", da: "er forkortelse af", de: "ist Kurzfassung von", fi: "lyhennelmä aineistosta", nl: "is inkorting van", "zh-hans-cn": "是……的缩编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60224,
      definition: {en: "Relates a resource to a resource that is summarized in an objective manner.", ar: "يربط بين مصدر ومصدر يتم اختصاره بطريقة موجزة موضوعية.", da: "Relaterer en ressource til en ressource, der er sammenfattet, dvs. forkortet på en kortfattet, objektiv måde.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die auf eine kurze, sachliche Art gekürzt ist.", fi: "Liittää aineiston aineistoon, josta on tehty yhteenveto objektiivisella tavalla.", "zh-hans-cn": "将一种资源与被客观提要的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abstractOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60203",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abstract of", ar: "هو مُستخلص لـ", da: "er sammenfatning af", de: "ist Abstract von", fi: "abstrakti aineistosta", nl: "is abstract van", "zh-hans-cn": "是……的摘要"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60289",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60225,
      definition: {en: "Relates a resource to a resource that is adapted as a drama.", ar: "يربط بين مصدر ومصدر تم تحويره كمسرحية.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som drama.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Theaterstück bearbeitet ist.", fi: "Liittää aineiston aineistoon, joka on sovitettu näytelmäksi.", "zh-hans-cn": "将一种资源与被改编为戏剧的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dramatizationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60088",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dramatization of", ar: "هو اقتباس مسرحي لـ", da: "er dramatisering som", de: "ist Bühnenbearbeitung von", fi: "dramatisointi aineistosta", nl: "is dramatisering van", "zh-hans-cn": "是……的戏剧化"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60226,
      definition: {en: "Relates a resource to a resource that is adapted as a literary composition in verse form.", ar: "يربط بين مصدر ومصدر تم تحويره كتكوين أدبي في شكل شعر.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som litterær komposition i versform.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als literarische Dichtung in Versform bearbeitet ist.", fi: "Liittää aineiston aineistoon, joka on sovitettu runomuotoiseksi kirjalliseksi tuotokseksi.", "zh-hans-cn": "将一种资源与被改编为韵文形式文学写作的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/verseAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60106",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is verse adaptation of", ar: "هو اقتباس شعري لـ", da: "er versbearbejdelse som", de: "ist Gedichtbearbeitung von", fi: "runomukaelma aineistosta", nl: "is bewerking in versvorm van", "zh-hans-cn": "是……的韵文改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60227,
      definition: {en: "Relates a resource to a resource that is adapted as a motion picture.", ar: "يربط بين مصدر ومصدر تم تحويره كفيلم سينمائي", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som film.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Film bearbeitet ist.", fi: "Liittää aineiston elokuvaksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为电影的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/motionPictureAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60110",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is motion picture adaptation of", ar: "هو اقتباس فيلم سينمائي لـ", da: "er filmatisering af", de: "ist Filmbearbeitung von", fi: "elokuvaversio aineistosta", nl: "is speelfilmbewerking van", "zh-hans-cn": "是……的电影改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60228,
      definition: {en: "Relates a resource to a resource that is adapted as a novel.", ar: "يربط بين مصدر ومصدر تم تحويره كرواية.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som roman.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Roman bearbeitet ist.", fi: "Liittää aineiston romaaniksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为小说的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/novelizationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60138",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is novelization of", ar: "هو روائية لـ", da: "er omskrivning til roman af", de: "ist Romanbearbeitung von", fi: "romaanimukaelma aineistosta", nl: "is romanbewerking van", "zh-hans-cn": "是……的小说化"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60229,
      definition: {en: "Relates a resource to a resource that is adapted as a radio program.", ar: "يربط بين مصدر ومصدر تم تحويره كبرنامج إذاعي.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Hörfunksendung bearbeitet ist.", fi: "Liittää aineiston radio-ohjelmaksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为广播节目的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60174",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is radio adaptation of", ar: "هو اقتباس إذاعي لـ", da: "er radiobearbejdelse af", de: "ist Hörfunkbearbeitung von", fi: "radiosovitus aineistosta", nl: "is radiobewerking van", "zh-hans-cn": "是……的广播改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60230,
      definition: {en: "Relates a resource to a resource that is adapted as a television program.", ar: "يربط بين مصدر ومصدر تم تحويره كبرنامج تليفزيوني.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Fernsehsendung bearbeitet ist.", fi: "Liittää aineiston televisio-ohjelmaksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为电视节目的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60354",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is television adaptation of", ar: "هو اقتباس تلفزيوني لـ", da: "er tv-bearbejdelse af", de: "ist Fernsehbearbeitung von", fi: "televisiosovitus aineistosta", nl: "is televisiebewerking van", "zh-hans-cn": "是……的电视改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60231,
      definition: {en: "Relates a resource to a resource that is adapted as a screenplay for a motion picture, television program, or video.", ar: "يربط بين مصدر ومصدر تم تحويره كسيناريو لفيلم سينمائي، أو برنامج تليفزيوني، أو فيديو.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til drejebog til en film, et tv-program eller en video.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Drehbuch für einen Film, eine Fernsehsendung oder ein Video bearbeitet ist.", fi: "Liittää aineiston aineistoon, joka on sovitettu elokuvan, televisio-ohjelman tai videon käsikirjoitukseksi.", "zh-hans-cn": "将一种资源与被改编为电影、电视节目或视频剧本的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60232", "http://rdaregistry.info/Elements/u/P60233", "http://rdaregistry.info/Elements/u/P60234"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplayBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60185",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenplay based on", ar: "هو سيناريو معتمد على", da: "er drejebog baseret på", de: "ist Drehbuch basierend auf", fi: "näytelmäsovitus aineistosta", nl: "is scenario gebaseerd op", "zh-hans-cn": "是基于……的影视剧剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60232,
      definition: {en: "Relates a resource to a resource that is adapted as a screenplay for a motion picture.", ar: "يربط بين مصدر ومصدر تم تحويره كسيناريو لفيلم سينمائي.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til manuskript til en film.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Drehbuch für einen Film bearbeitet ist.", fi: "Liittää aineiston elokuvan käsikirjoitukseksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为电影剧本的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/motionPictureScreenplayBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60184",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is motion picture screenplay based on", ar: "هو سيناريو فيلم سينمائي معتمد على", da: "er filmmanuskript baseret på", de: "ist Filmdrehbuch basierend auf", fi: "elokuvakäsikirjoituksen perustana oleva aineisto", nl: "is speelfilmscenario gebaseerd op", "zh-hans-cn": "是基于……的电影剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60231",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60233,
      definition: {en: "Relates a resource to a resource that is adapted as a screenplay for a television program.", ar: "يربط بين مصدر ومصدر تم تحويره كسيناريو لبرنامج تليفزيوني.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til manuskript til et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Drehbuch für eine Fernsehsendung bearbeitet ist.", fi: "Liittää aineiston televiso-ohjelman käsikirjoitukseksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为电视节目剧本的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionScreenplayBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60186",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is television screenplay based on", ar: "هو سيناريو تليفزيوني معتمد على", da: "er tv-manuskript baseret på", de: "ist Fernsehdrehbuch basierend auf", fi: "televisiokäsikirjoituksen perustana oleva aineisto", nl: "is televisiescenario gebaseerd op", "zh-hans-cn": "是基于……的电视剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60231",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60234,
      definition: {en: "Relates a resource to a resource that is adapted as a screenplay for a video.", ar: "يربط بين مصدر ومصدر تم تحويره كسيناريو لفيديو.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som manuskript til en video.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Drehbuch für ein Video bearbeitet ist.", fi: "Liittää aineiston videokäsikirjoituksen käsikirjoitukseksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为视频剧本的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoScreenplayBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60187",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is video screenplay based on", ar: "هو سيناريو فيديو معتمد على", da: "er videobearbejdelse baseret på", de: "ist Videodrehbuch basierend auf", fi: "videokäsikirjoituksen perustana oleva aineisto", nl: "is videoscenario gebaseerd op", "zh-hans-cn": "是基于……的视频剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60231",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60235,
      definition: {en: "Relates a resource to a resource that is adapted as a script for a radio program.", ar: "يربط بين مصدر ومصدر تم تحويره كنص لبرنامج إذاعي.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som manuskript til et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Skript für eine Hörfunksendung bearbeitet ist.", fi: "Liittää aineiston radio-ohjelman käsikirjoitukseksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为广播节目文稿的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioScriptBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60188",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is radio script based on", ar: "هو نص إذاعي معتمد على", da: "er radiomanuskript baseret på", de: "ist Hörfunkskript basierend auf", fi: "radiokäsikirjoituksen perustana oleva aineisto", nl: "is radioscript gebaseerd op", "zh-hans-cn": "是基于……的广播文稿"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60236,
      definition: {en: "Relates a resource to a resource that is adapted for video.", ar: "يربط بين مصدر ومصدر تم تحويره لفيديو.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til video.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Video bearbeitet ist.", fi: "Liittää aineiston videolle sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编用于视频的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60361",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is video adaptation of", ar: "هو اقتباس فيديوي لـ", da: "er videobearbejdelse af", de: "ist Videobearbeitung von", fi: "videosovitus aineistosta", nl: "is videobewerking van", "zh-hans-cn": "是……的视频改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60237,
      definition: {en: "Relates a resource to a resource that is physically combined with a resource to form a collection resource.", ar: "يربط بين مصدر ومصدر مدمج أو مرتبط مادياً بمصدر.", da: "Relaterer en ressource til en ressource, der er indbundet i den samme indbinding som den ressource, der beskrives.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die physisch mit einer Ressource verbunden ist.", fi: "Liittää aineiston aineistoon, josta on muodostettu kokoelma-aineisto toisen aineiston kanssa sitomalla aineistot fyysisesti yhteen.", "zh-hans-cn": "将一种资源与和一种资源在物理上结合起来形成一种收藏资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/boundWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Each resource originally exemplifies a resource that is a sheet or volume.", fi: "Kumpikin aineisto ilmentää alunperin aineistoa, joka on arkki tai numero", "zh-hans-cn": "每种资源起初都例证作为一张或一卷的一种资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60237",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is bound with", ar: "مجلد مع", da: "er indbundet sammen med", de: "ist eingebunden mit", fi: "yhteensidottu (aineisto)", nl: "is gebonden met", "zh-hans-cn": "与……合订"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60196",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60238,
      definition: {en: "Relates a resource to a resource that is a systematic and comprehensive condensing of a related resource.", ar: "يربط بين مصدر ومصدر يعد تكثيفًا منهجيًا وشاملًا لمصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der er et sammendrag, dvs. der er systematisk og gennemgribende komprimeret.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine systematische und umfassende Verdichtung einer in Beziehung stehenden Ressource darstellt.", fi: "Liittää aineiston aineistoon, joka on systemaattisesti, kokonaisuudessaan ja mukaillen tiivistetty toisesta, liittvästä aineistosta.", "zh-hans-cn": "将一种资源与作为一种相关资源的系统而全面压缩的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digestOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60279",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is digest of", ar: "هو موجز لـ", da: "er sammendrag af", de: "ist Digest von", fi: "mukautettu lyhennelmä aineistosta", nl: "is digest van", "zh-hans-cn": "是……的文摘"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60239,
      definition: {en: "Relates a resource to a resource whose structure is described by a resource.", ar: "يربط بين مصدر ومصدر تم وصف بنيته بواسطة مصدر.", da: "Relaterer en ressource til en ressource, der er blevet undersøgt for at identificere dets bestanddele og deres relationer.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Struktur von einer Ressource beschrieben wird.", fi: "Liittää aineiston aineistoon, jonka rakenne on kuvattu toisessa aineistossa.", "zh-hans-cn": "将一种资源与其结构被一种资源描述的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/analysisOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60219",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is analysis of", ar: "هو تحليل لـ", da: "er analyse af", de: "ist Analyse von", fi: "analyysi aineistosta", nl: "is analyse van", "zh-hans-cn": "是……的分析"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60240,
      altLabel: {en: "is series container of", ar: "هي حاوية سلسلة لـ", da: "er seriecontainer af", de: "ist Reihe enthält", fi: "sarjan osa", "zh-hans-cn": "是……的丛编整体"},
      definition: {en: "Relates a resource to a resource that is a static resource that is inspired by the overall editorial policy, scope, and style of a successive aggregating resource.", ar: "يربط بين مصدر ومصدر ثابت مستوحى من السياسة التحريرية الشاملة، والمجال، والأسلوب لمصدر تجميعي متتالي.", da: "Relaterer en ressource til en ressource, der er blevet udgivet som del af en serie.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die an die allgemeine redaktionelle Vorgehensweise, den Geltungsbereich und den Stil einer sukzessiven, aggregierenden Ressource angelehnt ist.", fi: "Liittää aineiston aineistoon, joka on staattinen aineisto, johon on vaikuttanut peräkkäin ilmestyvän aggregoivan teoksen yleinen toimituslinja, toiminta-ala ja tyyli.", "zh-hans-cn": "将一种资源与作为一种静态资源并受一种相继合集性资源的编辑政策、编辑范围和编辑风格启发的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issue.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60193",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has issue", ar: "له إصدارة", da: "er serieindholder af", de: "hat Ausgabe", fi: "aineiston numero", nl: "heeft aflevering", "zh-hans-cn": "有期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60241,
      definition: {en: "Relates a resource to a resource that is modified for a purpose, use, or medium other than that for which it was originally intended.", ar: "يربط بين مصدر ومصدر تم تعديله لغرض، استخدام، أو وسيط بخلاف ذلك الغرض الذي كان مخصصًا له في الأصل.", da: "Relaterer en ressource til en ressource, der er blevet ændret til et andet formål, en anden brug eller et andet medium end det, det oprindeligt var beregnet til.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die für einen anderen Zweck, eine andere Nutzung oder ein anderes Medium, als den/die/das, wofür sie ursprünglich konzipiert wurde, bearbeitet ist.", fi: "Liittää aineiston aineistoon, jota on muokattu jotain muuta kuin alkuperäistä tarkoitusta, käyttöä tai esitysmuotoa varten.", "zh-hans-cn": "将一种资源与以不同于起初意图的目的、使用或媒介被修改的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60225", "http://rdaregistry.info/Elements/u/P60226", "http://rdaregistry.info/Elements/u/P60227", "http://rdaregistry.info/Elements/u/P60228", "http://rdaregistry.info/Elements/u/P60229", "http://rdaregistry.info/Elements/u/P60230", "http://rdaregistry.info/Elements/u/P60231", "http://rdaregistry.info/Elements/u/P60235", "http://rdaregistry.info/Elements/u/P60236", "http://rdaregistry.info/Elements/u/P60719", "http://rdaregistry.info/Elements/u/P60720", "http://rdaregistry.info/Elements/u/P60743", "http://rdaregistry.info/Elements/u/P60745"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This relationship applies to changes in form or to resources completely rewritten in the same form.", ar: "تنتطبق هذه العلاقة على التغييرات في الشكل أو في المصادر المعاد كتابتها بالكامل بنفس الشكل.", da: "Gælder for ændringer i form eller for ressourcer, der er omskrevet fuldstændigt i samme form.", de: "Diese Beziehung bezieht sich auf Änderungen der Form oder auf Ressourcen, die in derselben Form vollständig neu geschrieben sind.", fi: "Tämä suhde koskee muutoksia aineiston muodossa tai samassa muodossa kokonaan uudelleenkirjoitettuja aineistoja.", "zh-hans-cn": "这个关系适用于形式上的变化或者适用于以同样形式完全重写的资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60260",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adaptation of", ar: "هو اقتباس لـ", da: "er bearbejdelse af", de: "ist Bearbeitung von", fi: "mukaelma aineistosta", nl: "is bewerking van", "zh-hans-cn": "是……的改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60242,
      definition: {en: "Relates a resource to a resource whose medium of performance is modified to create a new resource that is different from another resource.", ar: "يربط بين مصدر ومصدر تم إعادة كتابته كلحن موسيقي لوسيط أداء يختلف عن الوسيط الذي كان المصدر مقررا له أصلاً.", da: "Relaterer en ressource til en musikressource, der er blevet omskrevet til en anden besætning end den, ressourcen oprindeligt var beregnet til.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als musikalische Komposition für eine bestimmte Besetzung umgeschrieben wird, die sich von der Originalbesetzung, für die eine Ressource konzipiert ist, unterscheidet.", fi: "Liittää aineiston aineistoon, jonka esityskokoonpanoa on muutettu ja näin luotu uusi, erilainen aineisto.", "zh-hans-cn": "将一种资源与其表演媒介被修改而创建与另一种资源不同的新资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/arrangementOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60274",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is arrangement of", ar: "هو تنسيق لـ", da: "er arrangement af", de: "ist Arrangement von", fi: "sovituksen perusta (aineisto)", nl: "is arrangement van", "zh-hans-cn": "是……的改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60243,
      definition: {en: "Relates a resource to a resource that is adapted and translated into another language.", ar: "يربط بين مصدر ومصدر تم تحويره وترجمته إلى لغة أخرى.", da: "Relaterer en ressource til en ressource, der er frit oversat, og som bevarer originalens ånd, men ikke dens sproglige detaljer.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die bearbeitet und in eine andere Sprache übersetzt ist.", fi: "Liittää aineiston aineistoon, jonka kieltä on muokattu ja näin luotu uusi alkuperäisestä eroava aineisto.", "zh-hans-cn": "将一种资源与被改编并被翻译成另一种语言的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/freeTranslationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60189",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is free translation of", ar: "هو ترجمة بتصرف لـ", da: "er fri oversættelse af", de: "ist freie Übersetzung von", fi: "vapaa käännös aineistosta", nl: "is vrije vertaling van", "zh-hans-cn": "是……的自由翻译"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60244,
      definition: {en: "Relates a resource to a resource whose language is modified to create a new resource that is different from another resource.", ar: "يربط بين مصدر ومصدر تم ترجمته، مثل النص المعبر عنه بلغة مختلفة عن لغة مصدر أصلي.", da: "Relaterer en ressource til en ressource, der er blevet oversat, dvs. teksten er udtrykt i et andet sprog end det, der er anvendt i den originale ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die übersetzt wurde. Das heißt, dass der Text in einer Sprache ausgedrückt wird, die sich von der der Originalressource unterscheidet.", fi: "Liittää aineiston toiseen kieleen sovitettuun ja käännettyyn aineistoon.", "zh-hans-cn": "将一种资源与其语言被修改而创建不同于另一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60111",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/translationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60280",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is translation of", ar: "هو ترجمة لـ", da: "er oversættelse af", de: "ist Übersetzung von", fi: "käännös aineistosta", nl: "is vertaling van", "zh-hans-cn": "是……的翻译"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60245,
      definition: {en: "Relates a resource to a resource that is an update, correction, or expansion of another resource.", ar: "يربط بين مصدر ومصدر تم تحديثه، تصحيحه أو توسيعه.", da: "Relaterer en ressource til en ressource, der er blevet opdateret, korrigeret eller udvidet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aktualisiert, korrigiert oder erweitert ist.", fi: "Liittää aineiston aineistoon, joka on toisen aineiston päivtetty, korjattu tai laajennettu versio.", "zh-hans-cn": "将一种资源与作为另一种资源之更新、更正或扩充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/revisedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60303",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is revised as", ar: "هو مُنَقّح كـ", da: "er revideret som", de: "ist überarbeitet als", fi: "aineiston uudistettu versio", nl: "is herzien als", "zh-hans-cn": "被修订为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60246,
      definition: {en: "Relates a resource to a resource that imitates the style or content of another resource for comic effect.", ar: "يربط بين مصدر ومصدر يقلد أسلوب أو محتوى مصدر آخَر ليُحدث تأثيرًا هزليًا.", da: "Relaterer en ressource til en ressource, der efterligner en oprindelig ressources stil eller indhold for at opnå en komisk effekt.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die den Stil oder Inhalt einer anderen Ressource imitiert, um einen lustigen Effekt zu erzielen.", fi: "Liittää aineiston aineistoon, joka imitoi toisen aineiston sisältöä tai tyyliä koomisen vaikutelman luomiseksi.", "zh-hans-cn": "将一种资源与带喜剧效果模仿另一种资源的风格和内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parodiedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60312",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is parodied as", ar: "هو محاكاة ساخرة كـ", da: "er parodieret som", de: "ist parodiert als", fi: "parodia aineistosta", nl: "is geparodieerd als", "zh-hans-cn": "被戏仿为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60214",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60247,
      definition: {en: "Relates a resource to a resource whose content incorporates the content of another resource.", ar: "يربط بين مصدر ومصدر يشتمل محتواه على محتوى مصدر آخَر.", da: "Relaterer en ressource til en ressource, der inkorporerer en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt den Inhalt einer anderen Ressource umfasst.", fi: "Liittää aineiston aineistoon, jonka sisältöön lukeutuu toisen aineiston sisältö.", "zh-hans-cn": "将一种资源与其内容纳入另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorbedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60574",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is absorbed by", ar: "هو مستوعَب عن طريق", da: "er indlemmet af", de: "ist aufgegangen in", fi: "sulautunut aineistoon", nl: "is opgenomen door", "zh-hans-cn": "被……吸收"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60248,
      definition: {en: "Relates a resource to a resource whose content incorporates the partial content of another resource.", ar: "يربط بين مصدر ومصدر يتضمن محتواه المحتوى الجزئي لمصدر آخر.", da: "Relaterer en ressource til en ressource, der delvis inkorporerer en anden ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt teilweise den Inhalt einer anderen Ressource umfasst.", fi: "Liittä aineiston aineistoon, jonka sisältöön lukeutuu toisen aineiston osittainen sisältö.", "zh-hans-cn": "将一种资源与其内容纳入另一种资源之部分内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorbedInPartBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60575",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is absorbed in part by", ar: "هو مستوعب جزئيا عن طريق", da: "er delvis indlemmet af", de: "ist teilweise aufgegangen in", fi: "osittain sulautunut aineistoon", nl: "is gedeeltelijk opgenomen door", "zh-hans-cn": "被……部分吸收"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60249,
      altLabel: {en: "is container of resource", ar: "هو حاوية لمصدر", da: "er container af ressource", de: "ist enthält eine Ressource", fi: "sisältää aineiston", "zh-hans-cn": "是资源的整体"},
      definition: {en: "Relates a resource to a resource that is a discrete component of another resource.", ar: "يربط بين مصدر ومصدر عبارة عن مكون منفصل من مصدر آخر.", da: "Relaterer en ressource til en ressource, der udgør en separat del af en større ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die ein einzelner Bestandteil einer anderen Ressource ist.", fi: "Liittää aineiston aineistoon, joka on toisen aineiston erillinen osa.", "zh-hans-cn": "将一种资源与作为另一种资源之独立部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60183", "http://rdaregistry.info/Elements/u/P60207", "http://rdaregistry.info/Elements/u/P60240", "http://rdaregistry.info/Elements/u/P60300", "http://rdaregistry.info/Elements/u/P60316", "http://rdaregistry.info/Elements/u/P61222"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60101",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has part resource", ar: "له جزء مصدر", da: "er indeholder af", de: "hat Teilressource", fi: "aineiston osa", nl: "heeft deel-resource", "zh-hans-cn": "有部分资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60714",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60250,
      definition: {en: "Relates a resource to a resource that is a modification of another resource.", ar: "يربط بين مصدر ومصدر يعد تعديلًا لمصدر آخر.", da: "Relaterer en ressource til en ressource, der er en ændring af en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Variante einer anderen Ressource darstellt.", fi: "Liittää aineiston aineistoon, joka on johdettu toisesta aineistosta.", "zh-hans-cn": "将一种资源与作为另一种资源之修改的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60115", "http://rdaregistry.info/Elements/u/P60120", "http://rdaregistry.info/Elements/u/P60121", "http://rdaregistry.info/Elements/u/P60177", "http://rdaregistry.info/Elements/u/P60178", "http://rdaregistry.info/Elements/u/P60180", "http://rdaregistry.info/Elements/u/P60189", "http://rdaregistry.info/Elements/u/P60210", "http://rdaregistry.info/Elements/u/P60214", "http://rdaregistry.info/Elements/u/P60216", "http://rdaregistry.info/Elements/u/P60245", "http://rdaregistry.info/Elements/u/P60260", "http://rdaregistry.info/Elements/u/P60273", "http://rdaregistry.info/Elements/u/P60274", "http://rdaregistry.info/Elements/u/P60275", "http://rdaregistry.info/Elements/u/P60279", "http://rdaregistry.info/Elements/u/P60280", "http://rdaregistry.info/Elements/u/P60831", "http://rdaregistry.info/Elements/u/P60833"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/derivative.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60305",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has derivative", ar: "له اشتقاق", da: "er afledning", de: "hat Ableitung", fi: "johdannaisaineisto", nl: "heeft afgeleide", "zh-hans-cn": "有衍生"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60710",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60251,
      definition: {en: "Relates a resource to a resource that is augmented by a list of errors in a predominant resource, discovered after publication, with their corrections.", ar: "يربط بين مصدر ومصدر مزيَّد بقائمة أخطاء في مصدر سائد، تم اكتشافها بعد النشر، مع تصويباتها.", da: "Relaterer en ressource til en ressource, der er beriget med en liste over rettelser af fejl,  som er blevet opdaget efter publicering af hovedværket.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine Liste von Fehlern, die nach Veröffentlichung der Hauptressource entdeckt wurden, und deren Korrekturen erweitert wird.", fi: "Liittää aineiston aineistoon, jota on laajennettu teoksen julkaisemisen jälkeen löytyneiden virheiden luettelolla ja niiden korjauksilla.", "zh-hans-cn": "将一种资源与被一种主要资源出版后发现的错误及其更正列表附增的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/errataTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60181",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is errata to", ar: "هو تصويبات لـ", da: "er errata til", de: "ist Errata zu", fi: "aineiston painovirheluettelo", nl: "is errata bij", "zh-hans-cn": "是……的勘误"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60252,
      definition: {en: "Relates a resource to a resource that is augmented by a related resource that consists of material, such as notes, learning and study aids, exercises, problems, questions and answers, instructor or student materials, etc., to help a user of a predominant resource.", ar: "يربط بين مصدر ومصدر تم تعزيزه من خلال مصدر ذي صلة يتكون من مواد، مثل الملاحظات، ووسائل التعلم والدراسة، والتمارين، والمسائل، والأسئلة والأجوبة، ومواد المعلم أو الطلاب، إلخ، لمساعدة مستخدم مصدر سائد.", da: "Relaterer en ressource til en ressource, der er beriget af en anden ressource, der består af materiale, som kan hjælpe brugeren af hovedværket, såsom noter, lære- og studiehjælpemidler, øvelser, problemstillinger, spørgsmål og svar, lærer- eller elevmaterialer etc", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine in Beziehung stehende Ressource erweitert ist, die zum Beispiel Anmerkungen, Lern- und Studienhilfen, Übungen, Problemstellungen, Fragen und Antworten, Lehr- oder Schülermaterialien und so weiter enthält, und Benutzende bei der Verwendung einer Hauptressource unterstützt.", fi: "Liittää aineiston aineistoa laajentavaan aineistoon, joka koostuu pääaineiston käyttäjää auttavasta aineistosta kuten muistiinpanoista, opiskelumateriaaleista, harjoituksista, tehtävistä, kysymyksistä ja vastauksista tai muista opettajan tai opiskelijan aineistoista.", "zh-hans-cn": "将一种资源与作为被由注释、学习和研究工具、练习、提问、问题与答案、教师或学生参考资料等组成对使用者使用主要资源提供指导的一种相关资源附增的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/guideTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60222",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is guide to", ar: "هو دليل إرشادي لـ", da: "er vejledning til", de: "ist Orientierungshilfe für", fi: "opas aineistoon", nl: "is gids bij", "zh-hans-cn": "是……的指南"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60253,
      definition: {en: "Relates a resource to a resource whose content is augmented with content from a related resource.", ar: "يربط بين مصدر ومصدر زُيِد محتواه بمحتوى من مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der er beriget med inhold af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt durch Inhalt einer in Beziehung stehenden Ressource erweitert wird.", fi: "Liittää aineiston aineistoon, jonka sisältöä on laajennettu siihen liittyvän aineiston sisällöllä.", "zh-hans-cn": "将一种资源与用一种相关资源的内容附增其内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appendixTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60221",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is appendix to", da: "er bilag til", de: "ist Anhang zu", fi: "liite aineistoon", nl: "is appendix bij", "zh-hans-cn": "是……的附录"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60254,
      definition: {en: "Relates a resource to a resource that is augmented by pictorial content designed to explain or decorate it.", ar: "يربط بين مصدر ومصدر زُيِد بمحتوى تصويري مصمم لشرحه أو تزيينه.", da: "Relaterer en ressource til en ressource, der er beriget med billedindhold, som er skabt til at forklare eller udsmykke den.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Bildinhalte ergänzt wird, die die Ressource erklären oder ausschmücken sollen.", fi: "Liittää aineiston aineistoon, jota on laajennettu sitä selittämään tai koristamaan suunnitellulla kuvasisällöllä.", "zh-hans-cn": "将一种资源与由被设计用来解释或装饰它的图画内容附增的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/illustrationsFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60182",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is illustrations for", ar: "هي إيضاحيات لــ", da: "er illustrationer til", de: "sind Illustrationen für", fi: "aineiston kuvitus", nl: "is illustraties voor", "zh-hans-cn": "是……的插图"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60255,
      definition: {en: "Relates a resource to a resource that is examined or judged.", ar: "يربط بين مصدر ومصدر تم فحصه أو الحكم عليه.", da: "Relaterer en ressource til en ressource, der er undersøgt eller vurderet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die geprüft oder beurteilt wird.", fi: "Liittää aineiston tutkittuun tai arvioituun aineistoon.", "zh-hans-cn": "将一种资源与被检查或评判的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/evaluationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60218",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is evaluation of", ar: "هو تقييم لـ", da: "er evaluering af", de: "ist Evaluierung von", fi: "arviointi aineistosta", nl: "is beschouwing van", "zh-hans-cn": "是……的评价"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60256,
      altLabel: {en: "is issued with", fi: "ilmestynyt yhdessä (aineisto)", "zh-hans-cn": "与……一起发行"},
      definition: {en: "Relates a resource to a resource that is a part of the same carrier unit as another part resource.", ar: "يربط بين مصدر ومصدر صادر على الوسيط نفسه مثل المصدر الذي يتم وصفه.", da: "Relaterer en ressource til en ressource, der er udgivet på den samme bærer som den ressource, der beskrives.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die auf demselben Datenträger erscheint, wie die Ressource, die beschrieben wird.", fi: "Liittää aineiston ainestoon, joka on ilmestynyt samalla tallenteella kuin toinen osa-aineisto.", "zh-hans-cn": "将一种资源与作为和另一种部分资源一起在同一个载体单元上的一个部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60257", "http://rdaregistry.info/Elements/u/P60258"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onCarrierUnitWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60256",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is on carrier unit with", ar: "هو صادر مع", da: "er udgivet sammen med", de: "ist erschienen mit", fi: "tallenteella myös (aineisto)", nl: "is uitgevaardigd met", "zh-hans-cn": "和……一起在载体单元上"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60196",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60257,
      definition: {en: "Relates a resource to a resource that is contained on the same disc as a resource.", ar: "يربط بين مصدر ومصدر موجود على القرص نفسه كمصدر", da: "Relaterer en ressource til en ressource, der er udgivet på den samme disc som en ressource, der beskrives.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die auf derselben Disk enthalten ist, wie eine Ressource.", fi: "Liittää aineiston samalle levylle tallennettuun toiseen aineistoon.", "zh-hans-cn": "将一种资源与和一种资源一起包含在同一片盘中的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onDiscWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60257",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is on disc with", ar: "هو على قرص مع", da: "er på disc med", de: "ist auf Disk mit", fi: "levyllä myös (aineisto)", nl: "is op disk met", "zh-hans-cn": "与……合盘"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60256",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60258,
      definition: {en: "Relates a resource to a resource that is contained on the same microform as a resource.", ar: "يربط بين مصدر ومصدر موجود على الميكروفورم نفسه كمصدر.", da: "Relaterer en ressource til en ressource, der er udgivet på den samme mikroform som en ressource, der beskrives.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die auf derselben Mikroform enthalten ist, wie eine Ressource.", fi: "Liittää aineiston samalle mikrofilmille tallennettuun toiseen aineistoon.", "zh-hans-cn": "将一种资源与和一种资源一起包含在同一件缩微品中的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmedWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60258",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is filmed with", ar: "هو مصور مع", da: "er filmet med", de: "ist verfilmt mit", fi: "filmillä myös (aineisto)", nl: "is gefilmd met", "zh-hans-cn": "与……合拍"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60256",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60259,
      definition: {en: "Relates a resource to a resource that is updated or otherwise complemented by an augmenting resource.", ar: "يربط بين مصدر ومصدر تم تحديثه أو استكماله بطريقة أخرى بمصدر مُزيَّد.", da: "Relaterer en ressource til en ressource, der er opdateret eller på anden måde komplementeret af den berigende ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine erweiternde Ressource aktualisiert oder in anderer Weise vervollständigt wird.", fi: "Liittää aineiston aineistoon, jota laajentava aineisto päivittää tai muutoin täydentää.", "zh-hans-cn": "将一种资源与被一种附增资源更新或补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/supplementTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60281",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is supplement to", ar: "هو إضَافَة لـ", da: "er supplement til", de: "ist Supplement zu", fi: "suplementti aineistoon", nl: "is supplement op", "zh-hans-cn": "是……的补编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60260,
      definition: {en: "Relates a resource to a resource that modifies another resource for a purpose, use, or medium other than that for which it was originally intended.", ar: "يربط بين مصدر ومصدر يقوم بتعديل مصدر آخر لغرض، أو استخدام، أو وسيط بخلاف ذلك الغرض الذي كان مخصصًا له في الأصل.", da: "Relaterer en ressource til en ressource, der modificerer en oprindelig ressource til et andet formål, en anden brug eller et andet medium end det, det oprindeligt var beregnet til.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine andere Ressource für einen anderen Zweck, eine andere Nutzung oder ein anderes Medium bearbeitet als den/die/das, wofür sie ursprünglich konzipiert war.", fi: "Liittää aineiston aineistoon, joka muokkaa toista aineistoa muuta kuin aineistolle alun perin suunniteltua tarkoitusta, käyttöä tai esitysmuotoa varten.", "zh-hans-cn": "将一种资源与以不同于起初意图的目的、使用或媒介修改另一资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60088", "http://rdaregistry.info/Elements/u/P60106", "http://rdaregistry.info/Elements/u/P60110", "http://rdaregistry.info/Elements/u/P60138", "http://rdaregistry.info/Elements/u/P60174", "http://rdaregistry.info/Elements/u/P60185", "http://rdaregistry.info/Elements/u/P60188", "http://rdaregistry.info/Elements/u/P60354", "http://rdaregistry.info/Elements/u/P60361", "http://rdaregistry.info/Elements/u/P60721", "http://rdaregistry.info/Elements/u/P60722", "http://rdaregistry.info/Elements/u/P60742", "http://rdaregistry.info/Elements/u/P60744"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This relationship applies to changes in form or to resources completely rewritten in the same form.", ar: "تنتطبق هذه العلاقة على التغييرات في الشكل أو في المصادر المعاد كتابتها بالكامل بنفس الشكل.", da: "Denne relation gælder for ændringer i form eller for ressourcer, der er omskrevet fuldstændigt i samme form.", de: "Diese Beziehung bezieht sich auf Änderungen der Form oder auf Ressourcen, die in derselben Form vollständig neu geschrieben sind.", fi: "Koskee muodon muutoksia tai aineiston kattavaa uudelleenkirjoittamista samassa muodossa.", "zh-hans-cn": "这个关系适用于形式上的变化或者适用于以同样形式完全重写的资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60241",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as", ar: "هو مُقتبس كـ", da: "er bearbejdet som", de: "ist bearbeitet als", fi: "sovitettu (aineisto)", nl: "is bewerkt als", "zh-hans-cn": "被改编为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60261,
      definition: {en: "Relates a resource to a resource whose chronological coverage is before that of another resource.", ar: "يربط بين مصدر ومصدر تكون تغطيته الزمنية قبل التغطية الخاصة بمصدر آخر.", da: "Relaterer en ressource til en ressource, der går forud for den efterfølgende ressource, fx på et tidligere tidspunkt eller før noget i en fortælling.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren zeitliches Geschehen vor dem einer anderen Ressource liegt.", fi: "Liittää aineiston aineistoon, jonka ajallinen kattavuus on aineiston ajallista kattavuutta varhaisempi.", "zh-hans-cn": "将一种资源与在时间覆盖面上在另一种资源之前的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60220", "http://rdaregistry.info/Elements/u/P60276", "http://rdaregistry.info/Elements/u/P60277", "http://rdaregistry.info/Elements/u/P60479", "http://rdaregistry.info/Elements/u/P60480", "http://rdaregistry.info/Elements/u/P60505", "http://rdaregistry.info/Elements/u/P60574", "http://rdaregistry.info/Elements/u/P60575", "http://rdaregistry.info/Elements/u/P60576", "http://rdaregistry.info/Elements/u/P60577"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/precededBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60278",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preceded by", ar: "هو مسبوق بـ", da: "er forudgået af", de: "ist vorangegangen ist", fi: "edeltävä aineisto", nl: "is voorafgegaan door", "zh-hans-cn": "被……作为先前"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60713",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60262,
      definition: {en: "Relates a resource to a resource that is a metadata description set for a collection resource.", ar: "يربط بين مصدر ومصدر يوفر دليلًا لتنظيم، ترتيب واحتواء مجموعة أرشيفية.", da: "Relaterer en ressource til en ressource, der giver en vejledning til organiseringen, ordningen og indholdet af en arkivsamling.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Orientierungshilfe zum Aufbau, zur Anordnung und zu den Inhalten einer Archivsammlung enthält.", fi: "Liittää aineiston aineistoon joka on kokoelma-aineiston metatietokokonaisuus.", "zh-hans-cn": "将一种资源与作为一种收藏资源之元数据描述集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60206", "http://rdaregistry.info/Elements/u/P61232"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/findingAid.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60474",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has finding aid", ar: "له معينات البحث", da: "er hjælpeverktøj", de: "hat Findmittel", fi: "luettelo (aineisto)", nl: "heeft vind-hulpmiddel", "zh-hans-cn": "有查询工具"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61218",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60263,
      definition: {en: "Relates a resource to a resource that is a systematic guide to the content of a resource that is a textual resource.", ar: "يربط بين مصدر ومصدر يوفر دليلًا منهجيًا،هجائيًا لمحتويات مصدر آخر.", da: "Relaterer en ressource til en ressource, der indeholder en systematisk, alfabetiseret oversigt over indholdet i hovedværket, normalt kædet sammen med sidenumre eller andre henvisningskoder.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine systematische, alphabetische Orientierungshilfe zum Inhalte einer anderen Ressource bietet.", fi: "Liittää aineiston aineistoon, joka on systemaattinen opas tekstiaineiston sisältöön.", "zh-hans-cn": "将一种资源与作为一种文字资源的一种资源之内容的系统性指引的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/index.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60302",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has index", ar: "له كشاف", da: "er indeks", de: "hat Index", fi: "hakemisto (aineisto)", nl: "heeft index", "zh-hans-cn": "有索引"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60264,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a resource that uses a screenplay.", ar: "يربط بين مصدر ومصدر يتحقق كنص يكمل مصدر يستخدم سيناريو.", da: "Relaterer en ressource til en ressource, der indeholder teksten til en film, et tv-program eller en video.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die eine Ressource ergänzt, die ein Drehbuch verwendet.", fi: "Liittää aineiston aineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiteoksella.", "zh-hans-cn": "将一种资源与作为一种文字资源并补充使用一种影视剧剧本的一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60265", "http://rdaregistry.info/Elements/u/P60268", "http://rdaregistry.info/Elements/u/P60269"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60201",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has screenplay", ar: "له سيناريو", da: "er manuskript", de: "hat Drehbuch", fi: "käsikirjoitus (aineisto)", nl: "heeft scenario", "zh-hans-cn": "有影视剧剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60265,
      definition: {en: "Relates a resource to a resource that is textual resource that complements a resource that is a motion picture.", ar: "يربط بين مصدر ومصدر نصي يكمل مصدر يمثل فيلم سينمائي.", da: "Relaterer en ressource til en ressource, der indeholder teksten til en film.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die eine Filmressource ergänzt.", fi: "Liittää aineiston elokuva-aineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiteoksella.", "zh-hans-cn": "将一种资源与作为一种文字资源并补充使用一种电影剧本的一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/motionPictureScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60282",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has motion picture screenplay", ar: "له سيناريو فيلم سينمائي", da: "er filmmanuskript", de: "hat Filmdrehbuch", fi: "elokuvakäsikirjoitus (aineisto)", nl: "heeft speelfilmscenario", "zh-hans-cn": "有电影剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60264",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60266,
      definition: {en: "Relates a resource to a resource that provides text for a non-dramatic musical resource, other than an oratorio.", ar: "يربط بين مصدر ومصدر يقدم نصًا لعمل موسيقي غير درامي، بخلاف الموسيقى الدينية.", da: "Relaterer en ressource til en ressource, der indeholder tekst til en ressource af et ikke-dramatisk musikværk, bortset fra et oratorium.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die Text für eine nicht dramatische Musikressource (kein Oratorium) liefert.", fi: "Liittää aineiston aineistoon, joka on ei-näytelmällisen musiikkiteoksen (muun kuin oratorion) teksti.", "zh-hans-cn": "将一种资源与为一种非戏剧音乐作品（清唱剧除外）提供文本的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicalSettingOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60121",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is musical setting of", ar: "هو إعداد موسيقي لـ", da: "er musiksætning af", de: "ist Vertonung von", fi: "musiikkiteoksen teksti (aineisto)", nl: "is muziek gezet op", "zh-hans-cn": "是……的配乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60267,
      definition: {en: "Relates a resource to a resource that is textual resource that complements a resource that is a radio program.", ar: "يربط بين مصدر ومصدر نصي يكمل عملًا يمثل برنامج إذاعي.", da: "Relaterer en ressource til en ressource, der indeholder teksten til et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die eine Hörfunksendung ergänzt.", fi: "Liittää aineiston radio-ohjelma-aineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiteoksella.", "zh-hans-cn": "将一种资源与补充作为一种广播节目的一种资源的作为一种文字资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioScript.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60285",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has radio script", ar: "له نص إذاعي", da: "er radiomanuskript", de: "hat Hörfunkskript", fi: "radio-ohjelman käsikirjoitus (aineisto)", nl: "heeft radioscript", "zh-hans-cn": "有广播文稿"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60268,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a resource that is a television program.", ar: "يربط بين مصدر ومصدر نصي يكمل مصدرًا يمثل برنامج تليفزيوني.", da: "Relaterer en ressource til en ressource, der indeholder teksten til et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die eine Fernsehsendung ergänzt.", fi: "Liittää aineiston televisio-ohjelma-aineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiteoksella.", "zh-hans-cn": "将一种资源与补充作为一种电视节目的一种资源的作为一种文字资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60283",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has television screenplay", ar: "له سيناريو تليفزيوني", da: "er tv-manuskript", de: "hat Fernsehdrehbuch", fi: "televisio-ohjelman käsikirjoitus (aineisto)", nl: "heeft televisiescenario", "zh-hans-cn": "有电视剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60264",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60269,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a resource that is a video.", ar: "يربط بين مصدر ومصدر نصي يكمل مصدرًا يمثل فيديو.", da: "Relaterer en ressource til en ressource, der indeholder teksten til en video.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die ein Video ergänzt.", fi: "Liittää aineiston videoaineistoon, joka käyttää käsikirjoitusta ja jota on täydennetty tekstiteoksella.", "zh-hans-cn": "将一种资源与补充作为一种视频的一种资源的作为一种文字资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoScreenplay.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60284",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has video screenplay", ar: "له سيناريو فيديو", da: "er videomanuskript", de: "hat Videodrehbuch", fi: "videon käsikirjoitus (aineisto)", nl: "heeft videoscenario", "zh-hans-cn": "有视频剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60264",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60270,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a resource that is a musical or choreographic resource such as an opera, a ballet, or other resource for the musical stage, or an oratorio.", ar: "يربط بين مصدر ومصدر يتحقق كنص يكمل مصدر أوبرالي أو مصدر آخر للمسرح الموسيقي أو لموسيقى دينية.", da: "Relaterer en ressource til en ressource, der indeholder teksten til en opera eller en ressource til et andet musikalsk sceneværk, eller til et oratorium.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die eine Oper oder eine andere Ressource für die Bühne, oder ein Oratorium ergänzt.", fi: "Liittää aineiston tekstiaineistona toteutettuun aineistoon, jota täydentää musiikkiaineisto, koreografinen aineisto, baletti tai muu lavaesitysaineisto tai oratorio.", "zh-hans-cn": "将一种资源与补充诸如歌剧、芭蕾或其他舞台音乐作品或清唱剧之类的作为一种音乐或编舞资源的一种资源的作为一种文字资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/libretto.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60117",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has libretto", ar: "له نص أوبرالي", da: "er libretto", de: "hat Libretto", fi: "libretto (aineisto)", nl: "heeft libretto", "zh-hans-cn": "有台本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60271,
      definition: {en: "Relates a resource to a resource that reissues the same resource as a printed resource being described.", ar: "يربط بين مصدر ومصدر يُعيد إصدار نفس المصدر كمصدر مطبوع يتم وصفه.", da: "Relaterer en ressource til en ressource, der genudgiver den samme ressource som en trykt beskreven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die dieselbe Ressource wie die beschriebene, gedruckte Ressource neu heraus gibt.", fi: "Liittää aineiston uusintajulkaisuun samasta aineistosta kuin kuvailtavana oleva painettu aineisto.", "zh-hans-cn": "将一种资源与重新发行与所描述印刷资源同样资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reprintedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60168",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reprinted as", ar: "أعيد طباعته كـ", da: "er genoptrykt som", de: "ist nachgedruckt als", fi: "uusintapainos aineistosta", nl: "is herdrukt als", "zh-hans-cn": "被重印为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60272",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60272,
      definition: {en: "Relates a resource to a resource that reproduces a related resource.", ar: "يربط بين مصدر ومصدر يستنسخ مصدر ذو صلة.", da: "Relaterer en ressource til en ressource, der er en reproduktion af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine in Beziehung stehende Ressource reproduziert.", fi: "Liittää aineiston aineistoon, joka on toisen aineiston jäljenne.", "zh-hans-cn": "将一种资源与复制一种相关资源的一种资源关联起来"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60083", "http://rdaregistry.info/Elements/u/P60200", "http://rdaregistry.info/Elements/u/P60217", "http://rdaregistry.info/Elements/u/P60271"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reproducedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60297",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reproduced as", ar: "أعيد استنساخه كـ", da: "er reproduceret som", de: "ist reproduziert als", fi: "jäljenne aineistosta", nl: "is gereproduceerd als", "zh-hans-cn": "被复制为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60273,
      definition: {en: "Relates a resource to a resource that restates a content of another resource in a different form.", ar: "يربط بين مصدر ومصدر يعيد صياغة محتوى مصدر آخر في شكل مختلف.", da: "Relaterer en ressource til en ressource, der gentager en oprindelig ressource indhold i en anden form.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die einen Inhalt einer anderen Ressource in einer anderen Form neu darstellt.", fi: "Liittää aineiston aineistoon, joka toisintaa toisen aineiston sisällön eri muodossa.", "zh-hans-cn": "将一种资源与用不同形式重述另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/paraphrasedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60296",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is paraphrased as", ar: "معاد صياغته كـ", da: "er parafraseret som", de: "ist paraphrasiert als", fi: "parafraasi aineistosta", nl: "is geparafraseerd als", "zh-hans-cn": "被演绎为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60274,
      definition: {en: "Relates a resource to a resource whose medium of performance is a modification of another resource.", ar: "يربط بين مصدر ومصدر تم إعادة كتابته كلحن موسيقي لوسيط أداء يختلف عن الوسيط الذي كان المصدر مقررا له أصلاً.", da: "Relaterer en ressource til en musikressource, hvor den oprindelige ressource er blevet omskrevet til en anden besætning end den, ressource oprindeligt var beregnet for.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als musikalische Komposition für eine bestimmte Besetzung umgeschrieben wird, die sich von der Originalbesetzung, für die eine Ressource konzipiert ist, unterscheidet.", fi: "Liittää aineiston aineistoon, jonka esityskokoonpano on muunnelma toisesta aineistosta.", "zh-hans-cn": "将一种资源与其表演媒介是另一种资源之修改的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/arrangedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60242",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is arranged as", ar: "هي مُرتبة كـ", da: "er arrangeret som", de: "ist arrangiert als", fi: "sovitus (aineisto)", nl: "is gearrangeerd als", "zh-hans-cn": "被改编为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60275,
      definition: {en: "Relates a resource to a resource that shortens a related resource without changing the general meaning or manner of presentation.", ar: "يربط بين مصدر ومصدر يختصر مصدرًا ذو صلة دون تغيير المعنى العام أو طريقة العرض.", da: "Relaterer en ressource til en ressource, der forkorter en oprindelig ressource uden at ændre den overordnede betydning eller præsentationsmåde.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine in Beziehung stehende Ressource ohne Änderung der allgemeinen Bedeutung oder Darstellungsweise kürzt.", fi: "Liittää aineiston aineistoon, joka lyhentää toista aineistoa muuttamatta esityksen yleistä sisältöä tai tyyliä.", "zh-hans-cn": "将一种资源与缩短一种相关资源而不改变其总体意义或呈现方式的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abridgedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60223",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abridged as", ar: "هو مختصر كـ", da: "er forkortet til", de: "ist gekürzt als", fi: "lyhennelmä (aineisto)", nl: "is ingekort als", "zh-hans-cn": "被缩编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60276,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that is completed whose partial content is continued by another diachronic resource.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا ومكتمل، ومحتواه الجزئي مستمر من خلال مصدر آخر ممتد زمنيًا.", da: "Relaterer en ressource til en ressource, der er delt i to eller flere separate ressourcer med nye titler.", de: "Setzt eine Ressource in Beziehung zu einer abgeschlossenen diachronen Ressource, deren Inhalt teilweise durch eine andere diachrone Ressource fortgeführt wird.", fi: "Liittää aineiston valmiiseen diakroniseen aineistoon, jonka osittaista sisältöä jatkaa toinen diakroninen aineisto.", "zh-hans-cn": "将一种资源与作为一种已完成的历时资源、其部分内容被另一种历时资源继承的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/splitFrom.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a successive resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر متتالي.", da: "Denne relation anvendes generelt for periodika.", de: "Im Allgemeinen trifft dieses Element auf eine sukzessive Ressource zu.", fi: "Tämä elementti soveltuu yleensä peräkkäisesti ilmestyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种相继资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60503",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is split from", ar: "هو منشطر من", da: "er delvis fortættelse af", de: "ist teilweise Fortsetzung von", fi: "jakautunut aineistosta", nl: "is gesplitst uit", "zh-hans-cn": "被从……分出"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60277,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that is continuing whose partial content is continued by another diachronic resource.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا ومستمر، ومحتواه الجزئي مستمر من خلال مصدر آخر ممتد زمنيًا.", da: "Relaterer en ressource til en ressource, hvoraf en del af indholdet er udskilt, så der er dannet en ny ressource.", de: "Setzt eine Ressource in Beziehung zu einer fortlaufenden diachronen Ressource, deren Inhalt teilweise durch eine andere diachrone Ressource fortgeführt wird.", fi: "Liittää aineiston diakroniseen aineistoon, jonka osittaista sisältöä jatkaa toinen aineisto.", "zh-hans-cn": "将一种资源与作为一种现行历时资源、其部分内容被另一种历时资源继承的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/separatedFrom.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60199",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is separated from", ar: "هو منفصل عن", da: "er adskilt fra", de: "ist abgespalten von", fi: "eronnut aineistosta", nl: "is afgesplitst van", "zh-hans-cn": "被从……分离出"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60278,
      definition: {en: "Relates a resource to a resource whose chronological coverage is after that of another resource.", ar: "يربط بين مصدرًا ومصدر تكون تغطيته الزمنية بعد التغطية الخاصة بمصدر آخر.", da: "Relaterer en ressource til en ressource, der følger efter en forudgående ressource, dvs. på et senere tidspunkt eller efter noget i en fortælling etc.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren zeitliches Geschehen nach dem einer anderen Ressource liegt.", fi: "Liittää aineiston aineistoon joka on toista aineistoa ajallisesti tai kerronnallisesti edellä.", "zh-hans-cn": "将一种资源与其年代覆盖范围在另一种资源之后的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60102", "http://rdaregistry.info/Elements/u/P60103", "http://rdaregistry.info/Elements/u/P60104", "http://rdaregistry.info/Elements/u/P60199", "http://rdaregistry.info/Elements/u/P60247", "http://rdaregistry.info/Elements/u/P60248", "http://rdaregistry.info/Elements/u/P60306", "http://rdaregistry.info/Elements/u/P60310", "http://rdaregistry.info/Elements/u/P60503", "http://rdaregistry.info/Elements/u/P60504"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/succeededBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60261",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is succeeded by", ar: "هو متبوع بـ", da: "er efterfulft af", de: "ist gefolgt von", fi: "myöhempi aineisto", nl: "is gevolgd door", "zh-hans-cn": "被……后继"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60713",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60279,
      definition: {en: "Relates a resource to a resource that systematically and comprehensively condenses a related resource.", ar: "يربط بين مصدر ومصدر يكثف بشكل منهجي وشامل مصدرًا ذا صلة.", da: "Relaterer en ressource til en ressource, der systematisk og gennemgribende komprimerer en oprindelig  ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine in Beziehung stehende Ressource systematisch und umfassend verdichtet.", fi: "Liittää aineiston aineistoon, joka systemaattisesti ja kokonaisuudessaan tiivistää toisen aineiston.", "zh-hans-cn": "将一种资源与系统而全面压缩一种相关资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digestedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60238",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is digested as", ar: "هو موجز كـ", da: "er sammendraget som", de: "ist Digest", fi: "mukautettu lyhennelmä (aineisto)", nl: "is digest als", "zh-hans-cn": "被编制文摘为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60280,
      definition: {en: "Relates a resource to a resource whose language is a modification of another resource.", ar: "يربط بين مصدر ومصدر يترجم نص مصدر آخر إلى لغة مختلفة.", da: "Relaterer en ressource til en ressource, der oversætter det oprindelige udtryks tekst til et andet sprog end det, der er anvendt i den originale ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die die Texte einer anderen Ressource in eine andere Sprache übersetzt.", fi: "Liittää aineiston aineistoon, joka kääntää toisen aineiston tekstin.", "zh-hans-cn": "将一种资源与其语言为另一种资源的修改的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60112",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/translatedAs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60244",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is translated as", ar: "هي مترجمة كـ", da: "er oversat til", de: "ist übersetzt als", fi: "käännösaineisto", nl: "is vertaald als", "zh-hans-cn": "被翻译为"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60281,
      definition: {en: "Relates a resource to a resource that updates or otherwise complements a predominant resource.", ar: "يربط بين مصدر ومصدر يقوم بتحديث مصدر سائد أو يكمله بطريقة أخرى.", da: "Relaterer en ressource til en ressource, der opdaterer eller på anden måde komplementerer hovedressourcen.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Hauptressource aktualisiert oder auf andere Weise ergänzt.", fi: "Liittää aineiston aineistoon, joka päivittää tai muutoin täydentää vallitsevaa aineistoa.", "zh-hans-cn": "将一种资源与更新或补充一种主要资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/supplement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60259",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has supplement", ar: "له إضَافَة", da: "er supplement", de: "hat Supplement", fi: "suplementti (aineisto)", nl: "heeft supplement", "zh-hans-cn": "有补编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60204",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60282,
      definition: {en: "Relates a resource to a resource that is a motion picture that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر عبارة عن فيلم سينمائي يكمله مصدر نصي.", da: "Relaterer en ressource til en ressource, der anvender teksten som drejebog til en film.", de: "Setzt eine Ressource in Beziehung zu einer Filmressource, die durch eine textliche Ressource vervollständigt wird.", fi: "Liittää aineiston elokuva-aineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与作为一种电影并被一种文字资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplayForMotionPicture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60265",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenplay for motion picture", ar: "هو سيناريو لفيلم سينمائي", da: "er manuskript til film", de: "ist Drehbuch für Film", fi: "käsikirjoitus elokuvaan (aineisto)", nl: "is scenario voor speelfilm", "zh-hans-cn": "是电影的剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60201",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60283,
      definition: {en: "Relates a resource to a resource that is a television program that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر عبارة عن برنامج تليفزيوني يكمله مصدر نصي.", da: "Relaterer en ressource til en ressource, der anvender teksten som drejebog til et TV-program.", de: "Setzt eine Ressource in Beziehung zu einer Fernsehsendung, die durch eine textliche Ressource vervollständigt wird.", fi: "Liittää aineiston televisio-ohjelma-aineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与作为一种电视节目并被一种文字资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplayForTelevisionProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60268",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenplay for television program", ar: "هو سيناريو لبرنامج تليفزيوني", da: "er manuskript til tv-program", de: "ist Drehbuch für Fernsehsendung", fi: "käsikirjoitus televisio-ohjelmaan (aineisto)", nl: "is scenario voor televisieprogramma", "zh-hans-cn": "是电视节目的剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60201",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60284,
      definition: {en: "Relates a resource to a resource that is a video that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر عبارة عن فيديو يكمله مصدر نصي.", da: "Relaterer en ressource til en ressource, der anvender teksten som drejebog til en video.", de: "Setzt eine Ressource in Beziehung zu einer Videoressource, die durch ein textliches Werk ergänzt wird.", fi: "Liittää aineiston videoaineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与作为一种视频并被一种文字资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenplayForVideo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60269",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenplay for video", ar: "هو سيناريو لفيديو", da: "er bearbejdelse til video", de: "ist Drehbuch für Video", fi: "käsikirjoitus videoon (aineisto)", nl: "is scenario voor video", "zh-hans-cn": "是视频的剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60201",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60285,
      definition: {en: "Relates a resource to a resource that is a radio program that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر عبارة عن برنامج إذاعي يكمله مصدر نصي.", da: "Relaterer en ressource til en ressource, der anvender kildeværkets tekst som manuskript til et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Hörfunksendung, die durch eine textliche Ressource vervollständigt wird.", fi: "Liittää aineiston radio-ohjelma-aineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与作为一种广播节目并被一种文字资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scriptForRadioProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60267",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is script for radio program", ar: "هو نص لبرنامج إذاعي", da: "er manuskript til radioprogram", de: "ist Skript für Hörfunksendung", fi: "käsikirjoitus radio-ohjelmaan (aineisto)", nl: "is script voor radioprogramma", "zh-hans-cn": "是广播节目的剧本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60286,
      definition: {en: "Relates a resource to a resource whose content is completed with brief content from a related resource.", ar: "يربط بين مصدر ومصدر يكتمل محتواه بمحتوى موجز من مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, hvortil der er tilføjet kortfattet ekstra materiale fra en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt durch kurzen Inhalt einer in Beziehung stehenden Ressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, jonka sisältöä täydennetään suppealla sisällöllä siihen liittyvän aineiston sisällöstä.", "zh-hans-cn": "将一种资源与其内容加上一种相关资源的简要内容后就完整的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addendaTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60209",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is addenda to", ar: "هو إضافة لـ", da: "er tillæg til", de: "ist Ergänzung zu", fi: "lisäykset aineistoon", nl: "is toevoegingen bij", "zh-hans-cn": "是……的补遗"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60307",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60287,
      definition: {en: "Relates a resource to a resource in a digital format that is transferred to another digital format.", ar: "يربط بين مصدر ومصدر في صيغة رقمية تم تحويله لشكل رقمي آخر.", da: "Relaterer en ressource til en ressource i et digitalt format, der er overført til et andet digitalt format.", de: "Setzt eine Ressource in Beziehung zu einer Ressource in einem digitalen Format, die in ein anderes digitales Format übertragen wird.", fi: "Liittää aineiston digitaalisessa muodossa olevaan aineistoon, joka muunnetaan toiseen digitaaliseen muotoon.", "zh-hans-cn": "将一种资源与被转储为另一种数字格式的一种数字格式的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digitalTransferOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60200",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is digital transfer of", ar: "هو تحويل رقمي لـ", da: "er digital overførsel af", de: "ist digitale Übertragung von", fi: "konvertoitava aineisto", nl: "is digitale kopie van", "zh-hans-cn": "是……的数字转储"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60297",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60288,
      definition: {en: "Relates a resource to a resource used as a basis for a brief evaluation.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لتقييم موجز.", da: "Relaterer en ressource til en ressource brugt som basis for en kort evaluering.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine kurze Untersuchung verwendet wird.", fi: "Liittää aineiston aineistoon, johon pohjautuu aineiston tiivis arviointi.", "zh-hans-cn": "将一种资源与被用作一种简要评价之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reviewOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60211",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is review of", ar: "هو مراجعة لـ", da: "er anmeldelse af", de: "ist Rezension von", fi: "arvostelu aineistosta", nl: "is recensie van", "zh-hans-cn": "是……的评论"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60289,
      definition: {en: "Relates a resource to a resource that is briefly described by a resource.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لخلاصة موجز لمحتواه.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en kortfattet sammenfatning af dens indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine kurze Zusammenfassung ihres Inhalts verwendet wird.", fi: "Liittää aineiston aineistoon, jonka sisältö esitellään aineistossa lyhyellä kuvauksella.", "zh-hans-cn": "将一种资源与被一种资源简要描述的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60224",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/summaryOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60205",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is summary of", ar: "هو مُلخص لـ", da: "er resume af", de: "ist Zusammenfassung von", fi: "yhteenveto aineistosta", nl: "is samenvatting van", "zh-hans-cn": "是……的提要"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60290,
      definition: {en: "Relates a resource to a resource that is a collection resource that has a metadata description set for the resources that it holds.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لحصر كامل للمصادر المرتبة بشكل منهجي.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en katalog, dvs. en komplet fortegnelse over eksemplarer, der er arrangeret systematisk.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine vollständige Aufzählung von systematisch angeordneten Ressourcen verwendet wird.", fi: "Liittää aineiston kokoelma-aineistoon, johon sisältyvistä aineistoista on metatietokokonaisuus.", "zh-hans-cn": "将一种资源与作为一种收藏资源并有所收入的各种资源的元数据描述集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/catalogueOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60206",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is catalogue of", ar: "هو فهرس لـ", da: "er katalog over", de: "ist Katalog von", fi: "kokoelmaluettelo aineistoista", nl: "is catalogus van", "zh-hans-cn": "是……的目录"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60474",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60291,
      altLabel: {en: "is concordance to", fi: "konkordanssihakemisto aineistosta", "zh-hans-cn": "是……的词语索引"},
      definition: {en: "Relates a resource to a resource of a textual resource that is the basis of an index of all or selected words that occur.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لكشاف لكل الكلمات أو لكلمات محددة والتي تظهر في مصدر نصي.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en konkordans, dvs. et indeks over alle ordene i hovedressourcen.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für einen Index aller oder ausgewählter Wörter verwendet wird, die in einer textlichen Ressource vorkommen.", fi: "Liittää aineiston tekstiaineistoon, joka koostuu kaikkien tai valikoitujen aineistossa esiintyvien sanojen hakemistosta.", "zh-hans-cn": "将一种资源与作为一种文字资源并且是所出现的所有或所选词语的索引之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/concordanceFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60208",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is concordance for", ar: "هو كشاف نصوص لـ", da: "er konkordans til", de: "ist Konkordanz zu", fi: "konkordanssihakemisto aineistosta", nl: "is concordantie op", "zh-hans-cn": "是……的词语索引"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60292,
      definition: {en: "Relates a resource to a resource used as a basis for a critical evaluation.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لتقييم نقدي.", da: "Relaterer en ressource til en ressource brugt som basis for en kritisk evaluering.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine kritische Untersuchung verwendet wird.", fi: "Liittää aineiston aineistoon, johon kriittinen arviointi perustuu.", "zh-hans-cn": "将一种资源与被用作一种批评性评价之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/critiqueOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60212",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is critique of", ar: "هو نقد لـ", da: "er kritik af", de: "ist Kritik von", fi: "kritiikki aineistosta", nl: "is kritiek van", "zh-hans-cn": "是……的批评"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60293,
      definition: {en: "Relates a resource to a resource that is adapted as a choreographic resource.", ar: "يربط بين مصدر ومصدر تم تحويره كعمل راقص.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til en ressource, der består af bevægelse.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als choreografische Ressource bearbeitet ist.", fi: "Liittää aineiston koreografiseksi aineistoksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为一种编舞资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choreographicAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60180",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is choreographic adaptation of", ar: "هو اقتباس راقص لـ", da: "er koreografisk bearbejdelse af", de: "ist choreografische Bearbeitung von", fi: "koreografinen sovitus aineistosta", nl: "is choreografische bewerking van", "zh-hans-cn": "是……的编舞改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60294,
      definition: {en: "Relates a resource to a resource used as a basis for a derivative resource that enlarges upon the content of another resource.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لمصدر مشتق يتوسع في محتوى مصدر آخَر.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en afledt ressource, der uddyber en oprindelig ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine abgeleitete Ressource verwendet wird, die den Inhalt einer anderen Ressource näher erläutert.", fi: "Liittää aineiston aineistoon, jota on käytetty toisen aineiston sisältöä laajentavan johdannaisaineiston perustana.", "zh-hans-cn": "将一种资源与被用作在另一种资源之内容基础上扩充的一种衍生资源的基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/expandedVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60216",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is expanded version of", ar: "هو إصدارة موسعة لـ", da: "er udvidet version af", de: "ist erweiterte Ausgabe von", fi: "laajennettu versio aineistosta", nl: "is uitgebreide versie van", "zh-hans-cn": "是……的扩充版"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60295,
      definition: {en: "Relates a resource to a resource used as a basis for a new motion picture, radio program, television program, or video.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لفيلم سينمائي جديد، أو برنامج إذاعي، أو برنامج تليفزيوني، أو فيديو.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en ny film, et nyt radioprogram, et nyt tv-program eller en ny video.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für einen neuen Film, eine neue Hörfunksendung, eine neue Fernsehsendung oder ein neues Video verwendet wird.", fi: "Liittää aineiston aineistoon, jota on käytetty uuden elokuvan, televisio-ohjelman, radio-ohjelman tai videon perustana.", "zh-hans-cn": "将一种资源与被用作一种新的电影、广播节目、电视节目或视频的基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/remakeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60120",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is remake of", ar: "هو إعادة إنتاج لـ", da: "er genindspilning af", de: "ist Remake von", fi: "uusintaproduktio aineistosta", nl: "is remake van", "zh-hans-cn": "是……的重新制作"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60296,
      definition: {en: "Relates a resource to a resource used as a basis for a restating of the content of another resource in a different form.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لإعادة صياغة محتوى مصدر آخر في شكل مختلف.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en parafrase, dvs. en gentagelse af en oprindelig ressources indhold i en anden form.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine Neuformulierung des Inhalts einer anderen Ressource in einer anderen Form verwendet wird.", fi: "Liittää aineiston aineistoon, joka toisintaa toisen aineiston sisällön eri muodossa.", "zh-hans-cn": "将一种资源与被用来作为以不同形式重述另一种资源之内容的基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/paraphraseOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60273",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is paraphrase of", ar: "هو إعادة صياغة لـ", da: "er parafrase over", de: "ist Paraphrase von", fi: "parafraasi (aineisto)", nl: "is parafrase van", "zh-hans-cn": "是……的演绎"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60297,
      definition: {en: "Relates a resource to a resource that is used as a basis for a reproduction.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لإعادة الإنتاج.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en reproduktion.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine Reproduktion verwendet wird.", fi: "Liittää aineiston jäljenteen perustana käytettyyn aineistoon.", "zh-hans-cn": "将一种资源与被用作一种复制品之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60168", "http://rdaregistry.info/Elements/u/P60287", "http://rdaregistry.info/Elements/u/P60301", "http://rdaregistry.info/Elements/u/P60469"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reproductionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60272",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reproduction of", ar: "هو إعادة إنتاج لـ", da: "er reproduktion af", de: "ist Reproduktion von", fi: "jäljenne aineistosta", nl: "is reproductie van", "zh-hans-cn": "是……的复制品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60298,
      definition: {en: "Relates a resource to a resource used as a basis for a set of explanatory or critical notes.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لمجموعة من الملاحظات التفسيرية أو النقدية.", da: "Relaterer en ressource til en ressource, der bruges som basis for et sæt af forklarende eller kritiske kommentarer.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine Reihe von erläuternden oder kritischen Anmerkungen verwendet wird.", fi: "Liittää aineiston selittävien tai kritisoivien huomautusten perustana käytettyyn aineistoon.", "zh-hans-cn": "将一种资源与被用作一个解释性或评论性附注之集合的基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commentaryOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60213",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is commentary on", ar: "هو تعليق على", da: "er kommentar til", de: "ist Kommentar zu", fi: "kommentaari aineistosta", nl: "is commentaar op", "zh-hans-cn": "是关于……的评注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60299,
      definition: {en: "Relates a resource to a resource that is used as a basis for an exact reproduction on preservation-quality media, such as acid-free permanent or archival paper.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لإعادة إنتاج طبق الأصل على وسيط حفظ عالي الجودة، مثل الأوراق الدائمة الخالية من الأحماض أو أوراق المحفوظات الأرشيفية.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en nøjagtig reproduktion på et medium af bevaringskvalitet, såsom syrefrit permanent- eller arkivpapir.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine exakte Reproduktion auf bestandserhaltenden Medien, wie zum Beispiel säurefreiem Papier oder Archivpapier, verwendet wird.", fi: "Liittää aineiston täsmällisen jäljennöksen perustana olevaan aineistoon. Jäljennöksen valmistuksessa on käytetty arkistokelpoista materiaalia, esim. arkistopaperia.", "zh-hans-cn": "将一种资源与被用作在诸如脱酸的永久用纸或档案纸等具有保存品质的媒介上的精确复制品之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preservationFacsimileOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60179",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preservation facsimile of", ar: "هو نسخة طبق الأصل محفوظة لـ", da: "er bevaringsfaksimile af", de: "ist Bestandserhaltungsfaksimile von", fi: "aineiston säilytyskopio", nl: "is conservatiefacsimile van", "zh-hans-cn": "是……的保存摹真品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60301",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60300,
      definition: {en: "Relates a resource to a resource used as a basis for an exact reproduction that is a discrete component of a larger entity.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لإعادة إنتاج طبق الأصل تكون مكونًا منفصلاً لكيان أكبر.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en nøjagtig reproduktion, som udgør en separat del af en større entitet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine exakte Reproduktion verwendet wird, die ein eigenständiger Bestandteil einer größeren Entität ist.", fi: "Liittää aineiston täsmällisen jäljennöksen perustana olevaan aineistoon, joka on laajemman kokonaisuuden erillinen osa.", "zh-hans-cn": "将一种资源与被用作一种精确复制品之基础并是一种更大实体的独立组成部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/facsimilePart.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60100",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has facsimile part", ar: "له جزء طبق الأصل", da: "er faksimile der indeholder", de: "hat enthaltenes Faksimile von", fi: "aineiston näköispainososa", nl: "heeft facsimile deel", "zh-hans-cn": "有摹真品部分"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60301,
      definition: {en: "Relates a resource to a resource that is used as a basis for an exact reproduction.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لعملية الإستنساخ الدقيق.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en nøjagtig reproduktion.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine exakte Reproduktion verwendet wird.", fi: "Liittää aineiston täsmällisen jäljennöksen perustana olevaan aineistoon.", "zh-hans-cn": "将一种资源与被用作一种精确复制品之基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60299",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/facsimileOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60217",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is facsimile of", ar: "هو نسخة طبق الأصل من", da: "er faksimile af", de: "ist Faksimile", fi: "aineiston näköispainos", nl: "is facsimile van", "zh-hans-cn": "是……的摹真品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60297",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60302,
      altLabel: {en: "is index to", fi: "hakemistoaineisto", "zh-hans-cn": "是……的索引"},
      definition: {en: "Relates a resource to a resource of a textual resource that is the basis of an index of the content.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لمصدر يُمثل دليلًا منهجيًا، هجائيًا لمحتوياته", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for et indeks, dvs. en systematisk, alfabetiseret oversigt over indholdet i hovedressourcen, normalt kædet sammen med sidenumre eller andre henvisningskoder.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine Ressource verwendet wird, bei der es sich um eine systematische, alphabetische Orientierungshilfe zu deren Inhalt handelt.", fi: "Liittää aineiston sisällön hakemiston perustana olevaan tekstiaineistoon.", "zh-hans-cn": "将一种资源与作为一种文字资源并作为其内容的索引的基础的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/indexFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60263",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is index for", ar: "هو كشاف لـ", da: "er indeks til", de: "ist Index zu", fi: "hakemisto aineistosta", nl: "is index bij", "zh-hans-cn": "是……的索引"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60303,
      definition: {en: "Relates a resource to a resource that is updated, corrected, or expanded to create a new resource.", ar: "يربط بين مصدر ومصدر يُستخدم كأساس لنسخة مُحدثة، مُصححة، أو مُوسعة.", da: "Relaterer en ressource til en ressource, der er anvendt som grundlag for en opdateret, korrigeret eller udvidet version.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Grundlage für eine aktualisierte, korrigierte oder erweiterte Fassung verwendet wird.", fi: "Liittää aineiston aineistoon, jota on päivitetty, korjattu tai laajennettu ja näin luotu uusi aineisto.", "zh-hans-cn": "将一种资源与被更新、更正或扩充以创建一种新的资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/revisionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60245",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is revision of", ar: "هو مُراجعة لـ", da: "er revision af", de: "ist Überarbeitung von", fi: "aineiston uudistettu versio", nl: "is herziening van", "zh-hans-cn": "是……的修订"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60304,
      definition: {en: "Relates a resource to a resource that provides text for a musical or choreographic resource such as an opera, a ballet, or other resource for the musical stage, or an oratorio.", ar: "يربط بين مصدر ومصدر موسيقي، أو راقص مثل أوبرا، أو باليه، أو أي مصدر آخر للمسرح الموسيقي، أو موسيقى دينية.", da: "Relaterer en ressouce til en ressource, der er blevet bearbejdet til tekst til en opera eller en anden ressource af et musikalsk sceneværk, eller til et oratorium.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die Text für eine Musikressource oder choreografischen Ressource, wie zum Beispiel einer Oper, einem Ballett oder einer anderen Musikressource für die Bühne, oder zu einem Oratorium enthält.", fi: "Liittää aineiston musiikkiaineistoon tai koreografiseen aineistoon, kuten oopperaan, balettiin tai muuhun musiikilliseen näyttämöteokseen tai oratorioon.", "zh-hans-cn": "将一种资源与为诸如歌剧、芭蕾、或其他舞台音乐资源或清唱剧提供文本的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/librettoBasedOn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60210",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is libretto based on", ar: "هو نص أوبرالي معتمد على", da: "er libretto baseret på", de: "ist Libretto basierend auf", fi: "librettoaineisto", nl: "is libretto gebaseerd op", "zh-hans-cn": "是基于……的台本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60305,
      definition: {en: "Relates a resource to a resource that is modified to create a new resource", ar: "يربط بين مصدر ومصدر يُستخدم كمصدر لمصدر مشتق.", da: "Relaterer en ressource til en ressource, der er anvendt som kilde til en afledt ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Ursprung einer abgeleiteten Ressource verwendet wird.", fi: "Liittää aineiston aineistoon, jota on muokattu uuden aineiston luomiseksi.", "zh-hans-cn": "将一种资源与被修改以创建一种新资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60114", "http://rdaregistry.info/Elements/u/P60223", "http://rdaregistry.info/Elements/u/P60238", "http://rdaregistry.info/Elements/u/P60241", "http://rdaregistry.info/Elements/u/P60242", "http://rdaregistry.info/Elements/u/P60243", "http://rdaregistry.info/Elements/u/P60244", "http://rdaregistry.info/Elements/u/P60266", "http://rdaregistry.info/Elements/u/P60293", "http://rdaregistry.info/Elements/u/P60294", "http://rdaregistry.info/Elements/u/P60295", "http://rdaregistry.info/Elements/u/P60296", "http://rdaregistry.info/Elements/u/P60303", "http://rdaregistry.info/Elements/u/P60304", "http://rdaregistry.info/Elements/u/P60308", "http://rdaregistry.info/Elements/u/P60309", "http://rdaregistry.info/Elements/u/P60311", "http://rdaregistry.info/Elements/u/P60830", "http://rdaregistry.info/Elements/u/P60832"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hasSource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60250",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has source", ar: "هو معتمد على", da: "er baseret på", de: "ist basiert auf", fi: "perustana aineistolle", nl: "is gebaseerd op", "zh-hans-cn": "有源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60710",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60306,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that continues the content of another diachronic resource that is completed.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا ومستمر في محتوى مصدر آخر ممتد زمنيًا ومكتمل.", da: "Relaterer en ressource til en ressource, hvis indhold fortsætter en tidligere ressource med en ny titel.", de: "Setzt eine Ressource in Beziehung zu einer diachronen Ressource, die den Inhalt einer anderen abgeschlossenen diachronen Ressource fortführt.", fi: "Liittää aineiston diakroniseen aineistoon, joka jatkaa toisen, valmiin diakronisen aineiston sisältöä.", "zh-hans-cn": "将一种资源与作为一种历时资源并继承另一种已经完成了的历时资源的内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/continuedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a successive resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر متتالي.", da: "Denne relation anvendes generelt for periodika.", de: "Im Allgemeinen trifft dieses Element auf eine sukzessive Ressource zu.", fi: "Tämä elementti soveltuu yleensä peräkkäisesti ilmestyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种相继资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60576",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is continued by", ar: "هو مستمر عن طريق", da: "er fortsat af", de: "ist fortgesetzt durch", fi: "jatkettu aineisto", nl: "is voortgezet door", "zh-hans-cn": "被……继承"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60307,
      definition: {en: "Relates a resource to a resource whose content is added to by a related resource.", ar: "يربط بين مصدر ومصدر تم إضافة محتواه بواسطة مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, hvis indhold udbygges af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt durch ein in Beziehung stehendes Werk ergänzt wird.", fi: "Liittää aineiston aineistoon, jonka sisältöä siihen liittyvä aineisto täydentää.", "zh-hans-cn": "将一种资源与其内容被一种相关资源增加的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60116", "http://rdaregistry.info/Elements/u/P60251", "http://rdaregistry.info/Elements/u/P60252", "http://rdaregistry.info/Elements/u/P60253", "http://rdaregistry.info/Elements/u/P60254", "http://rdaregistry.info/Elements/u/P60259", "http://rdaregistry.info/Elements/u/P60286"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/augmentationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60204",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is augmentation of", ar: "هو إضافة لـ", da: "er berigelse af", de: "ist Erweiterung von", fi: "laajennus aineistoon", nl: "is aanvulling van", "zh-hans-cn": "是……的附增"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60709",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60308,
      definition: {en: "Relates a resource to a resource that is abstracted by another resource.", ar: "يربط مصدر بمصدر تم تلخيصه من مصدر آخر", da: "Relaterer en ressource til en ressource, hvis indhold er blevet sammenfattet af en abstract- og indekseringsservice.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine andere Ressource zusammengefasst wird.", fi: "Liittää aineiston aineistoon, jonka toinen aineisto tiivistää.", "zh-hans-cn": "将一种资源与被另一种资源编制摘要的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abstractsFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60177",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abstracts for", ar: "هو مخلص لـ", da: "er sammenfatninger af", de: "ist Abstracts für", fi: "abstraktin perustana oleva aineisto", nl: "is abstracts voor", "zh-hans-cn": "是……的摘要"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60309,
      definition: {en: "Relates a resource to a resource whose contents have been indexed by a related resource. (Deprecated)", ar: "يربط بين مصدر ومصدر تم تكشيف محتوياته بواسطة مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, hvis indhold er blevet indekseret af en abstract- og indekseringsservice.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalte durch eine in Beziehung stehende Ressource indexiert wurden.", fi: "Liittää aineiston aineistoon, jonka sisältö on indeksoitu liittyvässä aineistossa."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/indexingFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60178",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is indexing for (Deprecated)", ar: "هو تكشيف لـ", da: "er indeksering for", de: "ist Indexierung für", fi: "indeksointi", nl: "is indexering voor"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60310,
      definition: {en: "Relates a resource to a resource whose narrative is extended backwards in time by the later resource.. (Deprecated)", da: "Relaterer en ressource til en ressource, hvis fortælling udvides bagud i tid af en senere ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/prequelTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60220",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is prequel to (Deprecated)", da: "er forhistorie til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60311,
      definition: {en: "Relates a resource to a resource whose style or content is copied in a derivative resource.", ar: "يربط بين مصدر ومصدر يتم نسخ أسلوبه أو محتواه في مصدر مشتق.", da: "Relaterer en ressource til en ressource, hvis stil eller indhold er kopieret i en afledt ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Stil oder Inhalt in einer abgeleiteten Ressource kopiert wird.", fi: "Liittää aineiston aineistoon, jonka tyyliä tai sisältöä johdettu aineisto jäljittelee.", "zh-hans-cn": "将一种资源与其风格和内容被复制于一种衍生资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60312",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/imitationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60214",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is imitation of", ar: "هو تقليد لـ", da: "er imitation af", de: "ist Imitation von", fi: "jäljitelmän perustana oleva aineisto", nl: "is imitatie van", "zh-hans-cn": "是……的模仿"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60312,
      definition: {en: "Relates a resource to a resource whose style or content is imitated for comic effect.", ar: "يربط بين مصدر ومصدر يتم تقليد أسلوبه أو محتواه ليُحدث تأثيرًا هزليًا.", da: "Relaterer en ressource til en ressource, hvis stil eller indhold efterlignes for at opnå en komisk effekt.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Stil oder Inhalt für eine lustige Wirkung nachgeahmt wird.", fi: "Liittää aineiston aineistoon, jonka tyyliä tai sisältöä jäljitellään humoristisesti.", "zh-hans-cn": "将一种资源与其风格和内容被模仿而达到戏剧效果的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parodyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60246",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is parody of", ar: "هو محاكاة ساخرة لـ", da: "er parodi på", de: "ist Parodie von", fi: "parodian perustana oleva aineisto", nl: "is parodie op", "zh-hans-cn": "是……的戏仿"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60311",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60313,
      altLabel: {en: "related resource", ar: "مصدر ذو صلة", de: "In Beziehung stehende Ressource", fi: "liittyvä aineisto", "zh-hans-cn": "相关资源"},
      definition: {en: "Relates a resource to a resource that is associated with a resource.", ar: "يربط بين مصدر ومصدر مرتبط بمصدر.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston siihen yhdistettyyn aineistoon", "zh-hans-cn": "将一种资源与和一种资源有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60208", "http://rdaregistry.info/Elements/u/P60263", "http://rdaregistry.info/Elements/u/P60291", "http://rdaregistry.info/Elements/u/P60302", "http://rdaregistry.info/Elements/u/P61005", "http://rdaregistry.info/Elements/u/P61006", "http://rdaregistry.info/Elements/u/P61069", "http://rdaregistry.info/Elements/u/P61070", "http://rdaregistry.info/Elements/u/P61224", "http://rdaregistry.info/Elements/u/P61225", "http://rdaregistry.info/Elements/u/P61230"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60313",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {ar: "له مصدر مرتبط بمصدر", de: "hat mit Ressource in Beziehung stehende Ressource", fi: "aineistoon liittyvä aineisto", nl: "heeft gerelateerde resource van resource"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61034",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60314,
      definition: {en: "Relates a resource to a schema or standard that is used to encode the digital content of a resource.", ar: "يربط بين مصدر وخطة، أو معيار مستخدم في تشفير المحتوى الرقمي لمصدر.", da: "Relaterer en ressource til et skema, standard etc., der anvendes til kodning af en ressources digitale indhold.", de: "Setzt eine Ressource in Beziehung zu einem Schema, einem Standard und so weiter, das/der zum Kodieren des digitalen Inhalts einer Ressource verwendet wird.", fi: "Liittää aineiston sen digitaalisen sisällön koodaamiseen käytettyyn skeemaan rai standardiin.", "zh-hans-cn": "将一种资源与用于对一种资源的数字内容进行编码的一种方案或标准关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/encodingFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has encoding format", ar: "له نظام ترميز", da: "har kodningsformat", de: "hat Kodierungsformat", fi: "koodausmuoto", nl: "heeft coderingsformaat", "zh-hans-cn": "有编码格式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60315,
      definition: {en: "Relates a resource to a nomen that is a serial number, opus number, or thematic index number assigned to a musical resource by a composer, publisher, or a musicologist.", ar: "يربط بين مصدر ورقم مسلسل، رقم قطعة موسيقية، رقم كشاف موضوعى مخصص لمصدر موسيقى من جانب ملحن، ناشر، أو عالم موسيقى.", da: "Relaterer en ressource til et serienummer, opusnummer eller værkfortegnelsesnummer tildelt en musikressource af en komponist, en udgiver eller en musikforsker.", de: "Setzt ein Werk in Beziehung zu einer laufenden Nummer, einer Opus-Nummer oder einer Werkverzeichnisnummer, die einem Musikwerk durch eine Komponistin/einen Komponisten, einen Verlag oder eine Musikwissenschaftlerin/einen Musikwissenschaftler zugewiesen wird.", fi: "Liittää aineiston säveltäjän, julkaisijan tai musiikintutkijan antamaan järjestysnumeroon, opusnumeroon tai temaattisen teosluettelon numeroon.", "zh-hans-cn": "将一种资源与作为作曲者、出版者或者音乐学家给一种音乐资源分配的序列号、作品号或主题索引号的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60953", "http://rdaregistry.info/Elements/u/P60954", "http://rdaregistry.info/Elements/u/P60955"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numericDesignationOfMusicalResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A numeric designation of a musical resource includes a caption such as e.g., no., op., BWV, and it may include a numeral, a letter, a word, any other character, or the combination of these.", ar: "تتضمن التسمية الرقمية لمصدر موسيقي تعليقًا (على سبيل المثال، رقم، مرجع سابق، BWV) وقد يتضمن رقمًا، حرفًا، كلمة، أو أي رمزًا آخر أو مزيجًا من هذه العناصر.", da: "En numerisk betegnelse for en musikressource inkluderer en indledning som fx no., op., BWV og den kan inkludere et nummer, et bogstav, et ord, eller et hvilket som helst andet tegn eller en kombination af disse.", de: "Darunter fallen einleitende Begriffe (zum Beispiel Nr., op., BWV) sowie gegebenenfalls Ziffern, Buchstaben, Wörter, beliebige andere Zeichen oder eine Kombination davon.", fi: "Musiikkiaineiston numeromäärite sisältää selosteen, esimerkiksi no., op. tai BWV, ja se voi sisältää numeron, kirjaimen, sanan, minkä tahansa muun merkin tai näiden yhdistelmän.", "zh-hans-cn": "音乐资源的数字标识包括诸如no.、op.、BWV之类的说明文字、并可以包括数字、字母、单词、任何其他字符、或者它们的组合。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60963",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has numeric designation of musical resource", ar: "لديه تسمية رقمية لمصدر موسيقي", da: "har numerisk betegnelse for musikressource", de: "hat numerische Bezeichnung einer Musikressource", fi: "musiikkiaineiston numeromäärite", nl: "heeft numerieke aanduiding van muziek-resource", "zh-hans-cn": "有音乐资源的数字标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60316,
      definition: {en: "Relates a resource to a resource that is a successive aggregating resource that is inspired by the overall editorial policy, scope, and style of another successive aggregating resource.", ar: "يربط بين مصدر ومصدر تجميعي متتالي مستوحى من السياسة التحريرية الشاملة، والمجال، وأسلوب مصدر تجميعي متتالي آخر.", da: "Relaterer en ressource til en serie eller et flerbindsværk der konsekvent optræder i en større ressource; en titel på en større ressource optræder på alle udgaver eller dele af underserien.", de: "Setzt eine Ressource in Beziehung zu einer sukzessiven, aggregierenden Ressource, die an die allgemeine redaktionelle Vorgehensweise, den Geltungsbereich und den Stil einer anderen sukzessiven, aggregierenden Ressource angelehnt ist.", fi: "Liittää aineiston peräkkäiseen aggregoivaan aineistoon, johon on vaikuttanut toisen peräkkäisen aggregoivan aineiston yleinen toimituksellinen käytäntö, laajuus ja tyyli.", "zh-hans-cn": "将一种资源与作为一种相继合集性资源并且被另一种相继合集性资源的总体编辑政策、编辑范围和编辑风格启发的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60192",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has subseries", ar: "له سلسلة فرعية", da: "er underserie", de: "hat Unterreihe", fi: "aineiston alasarja", nl: "heeft onderserie", "zh-hans-cn": "有分丛编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60317,
      definition: {en: "Relates a resource to a resource that has an issue that is devoted to a specific topic.", ar: "يربط بين مصدر ومصدر له عدد مخصص لموضوع محدد.", da: "Relaterer en ressource til et periodikum eller avis, der indeholder et enkelt nummer eller et tillæg helliget et bestemt emne, med eller uden periodikanummerering, som fx. et jubilæumsnummer af en tidsskrift eller avis.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Ausgabe einem bestimmten Thema gewidmet hat.", fi: "Liittää aineiston aineistoon, jolla on tietylle aiheelle omistettu numero.", "zh-hans-cn": "将一种资源与有完全关于一个特定话题的一期的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/specialIssueOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60207",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is special issue of", ar: "إصدار خاص لـ", da: "er særnummer af", de: "ist Sonderausgabe von", fi: "aineiston erikoisnumero", nl: "is themanummer van", "zh-hans-cn": "是……的特刊"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60318,
      definition: {en: "Relates a resource to a set of characters or symbols used to express the content of a resource in a form that can be perceived through touch.", ar: "يربط بين مصدر ومجموعة من أحرف أو رموز مُستخدمة للتعبير عن محتوى مصدر في شكل يمكن إدراكه من خلال اللمس.", da: "Relaterer en ressource til et sæt af tegn og/eller symboler, der anvendes til at udtrykke en ressources indhold på en måde, der kan opfattes ved berøring.", de: "Setzt eine Ressource in Beziehung zu einem Satz von Zeichen oder Symbolen der verwendet wird, um den Inhalt einer Ressource in einer Form auszudrücken, die über den Tastsinn wahrgenommen werden kann.", fi: "Liittää aineiston joukkoon merkkejä tai symboleja, joita käytetään aineiston sisällön ilmaisemiseen kosketeltavassa muodossa.", "zh-hans-cn": "将一种资源与用于通过触摸感知的形式来表达一种资源的内容的字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formOfTactileNotation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has form of tactile notation", ar: "له شكل من أشكال التدوين عن طريق اللمس", da: "har taktil notationsform", de: "hat Form der taktilen Notation", fi: "aineiston taktiilin merkkijärjestelmän tyyppi", nl: "heeft vorm van tactiele notatie", "zh-hans-cn": "有触摸标记的形式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60319",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60319,
      definition: {en: "Relates a resource to a set of characters or symbols used to express the content of a resource.", ar: "يربط بين مصدر ومجموعة من الأحرف أو الرموز المستخدمة للتعبير عن محتوى مصدر.", da: "Relaterer en ressource til et sæt af tegn og/eller symboler, der anvendes til at udtrykke en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einem Satz von Zeichen oder Symbolen der verwendet wird, um den Inhalt einer Ressource auszudrücken.", fi: "Liittää aineiston joukkoon merkkejä tai symboleja, joita käytetään aineiston sisällön ilmaisemiseen.", "zh-hans-cn": "将一种资源与用于表达一种资源的内容的字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60318", "http://rdaregistry.info/Elements/u/P60320", "http://rdaregistry.info/Elements/u/P60321", "http://rdaregistry.info/Elements/u/P60322"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formOfNotation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has form of notation", ar: "له شكل من أشكال التدوين", da: "har notationsform", de: "hat Form der Notation", fi: "aineiston merkkijärjestelmän tyyppi", nl: "heeft vorm van notatie", "zh-hans-cn": "有标记的形式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60320,
      definition: {en: "Relates a resource to a set of characters or symbols used to express movement content of a resource.", ar: "يربط بين مصدر ومجموعة من الأحرف أو الرموز المستخدمة للتعبير عن محتوى حركي لمصدر.", da: "Relaterer en ressource til et sæt af tegn og/eller symboler, der anvendes til at udtrykke de bevægelser en ressource indeholder.", de: "Setzt eine Ressource in Beziehung zu einem Satz von Zeichen oder Symbolen der verwendet wird, um den Bewegungsinhalt einer Ressource auszudrücken.", fi: "Liittää aineiston joukkoon merkkejä tai symboleja, joita käytetään aineiston liikesisällön ilmaisemiseen.", "zh-hans-cn": "将一种资源与用于表达一种资源的动作内容的字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formOfNotatedMovement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has form of notated movement", ar: "شكل من أشكال الحركات المدونة", da: "har bevægelsesnotationsform", de: "hat Form der Bewegungsnotation", fi: "aineiston liikenotaation tyyppi", nl: "heeft vorm van bewegingsnotatie", "zh-hans-cn": "有动作谱的形式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60319",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60321,
      definition: {en: "Relates a resource to a set of characters or symbols used to express musical content of a resource.", ar: "يربط بين مصدر ومجموعة من الأحرف أو الرموز المستخدمة للتعبير عن محتوى موسيقي لمصدر.", da: "Relaterer en ressource til et sæt af tegn og/eller symboler, der anvendes til at udtrykke en ressources musikindhold.", de: "Setzt eine Ressource in Beziehung zu einem Satz von Zeichen oder Symbolen der verwendet wird, um den musikalischen Inhalt einer Ressource auszudrücken.", fi: "Liittää aineiston joukkoon merkkejä tai symboleja, joita käytetään aineiston musiikkisisällön ilmaisemiseen.", "zh-hans-cn": "将一种资源与用于表达一种资源的音乐内容的字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formOfMusicalNotation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has form of musical notation", ar: "له شكل من أشكال التدوين الموسيقي", da: "har musikalsk notationsform", de: "hat Form einer Musiknotation", fi: "aineiston nuottikirjoituksen tyyppi", nl: "heeft vorm van muzieknotatie", "zh-hans-cn": "有乐谱的形式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60319",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60322,
      definition: {en: "Relates a resource to a set of characters or symbols used to express written language content of a resource.", ar: "يربط بين مصدر ومجموعة من الأحرف أو الرموز المستخدمة للتعبير عن محتوى لغة مكتوبة لمصدر.", da: "Relaterer en ressource til et sæt af tegn og/eller symboler, der anvendes til at udtrykke det skrevne sprogindhold i en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Satz von Zeichen oder Symbolen der verwendet wird, um den geschriebenen Sprachinhalt einer Ressource auszudrücken.", fi: "Liittää aineiston joukkoon merkkejä tai symboleja, joita käytetään aineiston kirjoitetun kielellisen sisällön ilmaisemiseen.", "zh-hans-cn": "将一种资源与用于表达一种资源的书写语言内容的字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/script.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has script", ar: "له نص", da: "har skrift", de: "hat Schrift", fi: "aineiston kirjoitusjärjestelmä", nl: "heeft schrift", "zh-hans-cn": "有文字"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60319",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60323,
      definition: {en: "Relates a resource to a set of technical details relating to an encoding of geospatial information in a cartographic resource.", ar: "يربط بين مصدر ومجموعة تفاصيل فنية مرتبطة بمعلومات الترميز الجغرافي في مصدر خرائطي", da: "Relaterer en ressource til et sæt af tekniske detaljer relateret til kodning af geospatiale oplysningerer i en kartografisk ressource.", de: "Setzt eine Ressource in Beziehung zu einem Satz von technischen Angaben, die sich auf die Kodierung von Geoinformationen in einer kartografischen Ressource beziehen.", fi: "Liittää aineiston aineiston maantieteellisen paikkatiedon koodaamisen tekniseen tietoon.", "zh-hans-cn": "将一种资源与和一种地图资源中地理空间信息编码相关的技术细节的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60875",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digitalRepresentationOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has digital representation of cartographic content", ar: "له تمثيل رقمي للمحتوى الجغرافي", da: "har digital repræsentation af kartografisk indhold", de: "hat digitale Darstellung von kartografischem Inhalt", fi: "kartografisen sisällön digitaalinen esitysmuoto", nl: "heeft digitale representatie van cartografische content", "zh-hans-cn": "有地图内容的数字表现"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60324,
      definition: {en: "Relates a resource to a significant date associated with the history of an agent, or the date or range of dates on which a conference, etc., was held, or a date with which an agent is otherwise associated. (Deprecated)", da: "Relaterer en ressource til en væsentlig datering forbundet med en agents historie, eller et dato som en agent ellers forbindes med."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60076", "http://rdaregistry.info/Elements/u/P60524", "http://rdaregistry.info/Elements/u/P60525", "http://rdaregistry.info/Elements/u/P60526", "http://rdaregistry.info/Elements/u/P60598", "http://rdaregistry.info/Elements/u/P60599"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateAssociatedWithAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60974",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date associated with agent (Deprecated)", da: "har dato knyttet til agenten"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60325,
      definition: {en: "Relates an agent to a significant location associated with an agent, or a place where an agent resides or has resided or has some connection. (Deprecated)", da: "Relaterer en ressource til et væsentligt sted, der er forbundet med en agent, eller et sted hvor en agent bor eller har boet eller har en forbindelse til."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60064",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeAssociatedWithAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60993",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place associated with agent (Deprecated)", da: "har sted forbundet med agent"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60326,
      definition: {en: "Relates a resource to a schema or standard that is used to encode the analog video content of a resource.", ar: "يربط بين مصدر وخطة أو معيار مستخدم في تشفير محتوى الفيديو التناظري لمصدر.", da: "Relaterer en ressource til en standard etc., der anvendes til kodning af en ressources analoge videoindhold.", de: "Setzt eine Ressource in Beziehung zu einem Schema oder Standard, das/der zum Kodieren des analogen Videoinhalts einer Ressource verwendet wird.", fi: "Liittää aineiston standardiin tai skeemaan, jota on käytetty aineiston analogisen videon sisältöön.", "zh-hans-cn": "将一种资源与用于对一种资源的模拟视频内容进行编码的一个方案或标准关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has video format", ar: "له شكل فيديو", da: "har videoformat", de: "hat Videoformat", fi: "aineiston videoformaatti", nl: "heeft videoformaat", "zh-hans-cn": "有视频格式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60352",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60327,
      definition: {en: "Relates a resource to a statement associated with a title proper of a resource that relates to an identification or function of agents responsible for the creation of, or who contributes to a realization of, the intellectual or artistic content of a resource.", ar: "يربط بين مصدر وبيان مرتبط بالعنوان نفسه لمصدر يتعلق بتعريف أو وظيفة الوكلاء المسؤولين عن إنشاء المحتوى الفكري أو الفني لمصدر، أو الذين يساهمون في تحقيقه.", da: "Relaterer en ressource til en ophavsangivelse der knytter sig til en hovedtitel på en ressource, der relaterer sig til identificeringen eller funktionen af en hvilken som helst agent eller agenter, der er ansvarlige for at have skabt elle bidraget til realiseringen af det intellektuelle eller kunstneriske indhold af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die mit einem Haupttitel in Verbindung steht und die sich auf die auf eine Identifizierung oder Funktion von Akteuren bezieht, die für die Schaffung des geistigen oder künstlerischen Inhalts einer Ressource verantwortlich sind oder zu dessen Realisierung beitragen.", fi: "Liittää aineiston päänimekkeeseen liittyvään vastuullisuusmerkintöön, joka liittyy aineiston henkisen tai taiteellisen sisällön luomisesta vastaavien tai sen toteuttamiseen osallistuvien toimijoiden tunnistamiseen tai tehtävään.", "zh-hans-cn": "将一种资源与 和资源的正题名有关并且和对创建资源的知识或艺术内容负责或对实现资源的知识或艺术内容作贡献的一个行为者的标识或职能相关的说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibilityRelatingToTitleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility relating to title proper", ar: "له بيان مسؤولية مرتبط بالعنوان نفسه", da: "har ophavsangivelse relateret til hovedtitel", de: "hat Verantwortlichkeitsangabe, die sich auf einen Haupttitel bezieht", fi: "päänimekkeeseen liittyvä vastuullisuusmerkintö", nl: "heeft verantwoordelijkheidsvermelding gerelateerd aan hoofdtitel", "zh-hans-cn": "有与正题名相关的责任说明"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60339",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60328,
      definition: {en: "Relates a resource to a statement that identifies a series that is associated with a resource and a numbering of a resource within the series,", ar: "يربط بين مصدر وبيان يحدد سلسلة مرتبطة بمصدر وترقيم مصدر داخل سلسلة.", da: "Relaterer en ressource til oplysninger, der identificerer en serie, som en ressource er en del af, samt nummerering af en ressource i serien.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die eine Reihe identifiziert, mit der eine Ressource in Verbindung steht und die eine Zählung einer Ressource innerhalb der Reihe aufweist.", fi: "Liittää aineiston huomautukseen, joka sisältää tietoa aineistoon liittyvästä sarjasta.", "zh-hans-cn": "将一种资源与标识和一种资源有关的一种丛编以及一种资源在丛编中的编号的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/seriesStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A series statement may also include information identifying one or more subseries to which the resource being described belongs. A series statement sometimes includes statements of responsibility relating to a series or subseries.", ar: "قد يتضمن بيان السلسلة أيضًا معلومات تُحدد سلسلة فرعية واحدة أو أكثر ينتمي إليها المصدر الموصوف.وفي بعض الأحيان يتضمن بيان السلسلة بيانات المسؤولية المتعلقة بسلسلة أو سلسلة فرعية.", da: "En seriebeskrivelse kan også indeholde oplysninger, der identificerer en eller flere underserier, som den beskrevne ressource er en del af. En seriebeskrivelse inkluderer sommetider en eller flere ophavsangivelser relaterede til serien eller underserien.", de: "Darunter können auch Informationen fallen, die eine Unterreihe oder mehrere Unterreihen identifizieren, zu der/denen die zu beschreibende Ressource gehört. Darunter können auch Verantwortlichkeitsangaben fallen, die sich auf eine Reihe oder Unterreihe beziehen.", fi: "Sarjamerkintöön voi kuulua myös yhden tai useamman kuvailtavaan aineistoon sisältyvän alasarjan identifioiva tieto. Joskus sarjamerkintö sisältää sarjaan tai alasarjaan liittyviä vastuullisuusmerkintöjä.", "zh-hans-cn": "丛编说明还可以包括标识被描述资源所属于的一个或多个分丛编。丛编说明有时候包括与丛编或分丛编有关的责任说明。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has series statement", ar: "له بيان سلسلة", da: "har seriebeskrivelse", de: "hat Gesamttitelangabe", fi: "aineiston sarjamerkintö", nl: "heeft reeksvermelding", "zh-hans-cn": "有丛编说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60329,
      definition: {en: "Relates a resource to a statement that identifies an edition to which a resource belongs.", ar: "يربط بين مصدر وبيان يحدد طبعة ينتمي إليها مصدر.", da: "Relaterer en ressource til oplysninger, der identificerer den udgave, en ressource hører til.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die eine Ausgabe identifiziert, zu der eine Ressource gehört.", fi: "Liittää aineiston merkintöön, joka identifioi aineiston painoksen.", "zh-hans-cn": "将一种资源与标识一种资源属于其中的一个版本的说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has edition statement", ar: "له بيان طبعة", da: "har udgavebeskrivelse", de: "hat Ausgabevermerk", fi: "aineiston painosmerkintö", nl: "heeft editievermelding", "zh-hans-cn": "有版本说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60330,
      definition: {en: "Relates a resource to a statement that identifies a place of distribution, a distributor, or a date of distribution of a published resource.", ar: "يربط بين مصدر وبيان يحدد مكان توزيع، موزع، أو تاريخ توزيع خاص بمصدر منشور.", da: "Relaterer en ressource til oplysninger, der identificerer distributionssted, distributør, eller et dato for distribution af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die einen Vertriebsort, einen Vertrieb oder ein Vertriebsdatum einer veröffentlichten Ressource identifiziert.", fi: "Liittää aineiston merkintöön, joka identifioi julkaistun aineiston jakelupaikan, jakelijan tai jakeluajan.", "zh-hans-cn": "将一种资源与标识一种出版资源的发行地、发行者或发行日期的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/distributionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has distribution statement", ar: "له بيان توزيع", da: "har distributionsbeskrivelse", de: "hat Vertriebsangabe", fi: "aineiston jakelumerkintö", nl: "heeft distributievermelding", "zh-hans-cn": "有发行说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60331,
      definition: {en: "Relates a resource to a statement that identifies a place of manufacture, a manufacturer, or a date of manufacture of a published resource.", ar: "يربط بين مصدر وبيان يحدد مكان تصنيع، مصنعون، أو تاريخ تصنيع خاص بمصدر منشور.", da: "Relaterer en ressource til oplysninger, der identificerer fremstillingssted, producent og fremstillingsår eller -dato for en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die einen Herstellungsort, einen Hersteller oder ein Herstellungsdatum einer veröffentlichten Ressource identifiziert.", fi: "Liittää aineiston merkintöön, joka identifioi julkaistun aineiston valmistuspaikan, valmistajan tai valmistusajan.", "zh-hans-cn": "将一种资源与标识一种出版资源的生产地、生产者或生产日期的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/manufactureStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A manufacture statement includes a statement about the printing, duplicating, casting, etc., of a published resource.", ar: "يشمل بيان التصنيع البيان المتعلق بالطباعة، النسخ، الطَرَح، إلخ. لمصدر منشور.", da: "Produktionsbeskrivelse omfatter en beskrivelse af trykning, kopiering, støbning, etc. af en publiceret ressource.", de: "Darunter fallen Angaben, die sich auf den Druck, die Vervielfältigung, den Guss und so weiter einer veröffentlichten Ressource beziehen.", fi: "Valmistusmerkintö sisältää julkaistun aineiston painamiseen, monistamiseen, kirjasinten valamiseen tms. liittyvän merkinnön.", "zh-hans-cn": "生产说明包括关于一种出版资源的印刷、复制、铸造等的一个说明。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has manufacture statement", ar: "له بيان تصنيع", da: "har produktionsbeskrivelse", de: "hat Herstellungsangabe", fi: "aineiston valmistusmerkintö", nl: "heeft vervaardigingsvermelding", "zh-hans-cn": "有生产说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60332,
      definition: {en: "Relates a resource to a statement that identifies a place of production, a producer, or a date of production of an unpublished resource.", ar: "يربط بين مصدر وبيان يُحدد مكان إنتاج، منتج، أو تاريخ إنتاج خاص بمصدر غير منشور.", da: "Relaterer en ressource til oplysninger, der identificerer produktionssted, producent og fremstillingsdato for en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die einen Entstehungsort, eine Produzentin/einen Produzenten oder ein Entstehungsdatum einer unveröffentlichten Ressource identifiziert.", fi: "Liittää aineiston merkintöön, joka identifioi julkaisemattoman aineiston tuotantopaikan, tuottajan tai tuotantoajan.", "zh-hans-cn": "将一种资源与标识一种非出版资源的制作地、制作者或制作日期的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A production statement includes a statement about the inscription, fabrication, construction, etc., of an unpublished resource.", ar: "يشمل بيان الإنتاج البيان المرتبط بالتسجيل، أو الصناعة، أو الإنشاء، إلخ. لمصدر غير منشور.", da: "Produktionsbeskrivelse omfatter en beskrivelse af inskription, fremstilling, konstruktion etc. af en ressource i ikke publiceret form.", de: "Darunter fallen Angaben, die sich auf die Beschriftung, die Fabrikation und die Konstruktion und so weiter einer unveröffentlichten Ressource beziehen.", fi: "Tuotantomerkintö sisältää julkaisettoman aineiston kaivertamiseen, valmistamiseen, kokoamiseen tms. liittyvän merkinnön.", "zh-hans-cn": "制作说明包括关于一种非出版资源的镌刻、制造、构建等的一个说明。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production statement", ar: "له بيان إنتاج", da: "har produktionsbeskrivelse", de: "hat Entstehungsangabe", fi: "aineiston tuotantomerkintö", nl: "heeft productievermelding", "zh-hans-cn": "有制作说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60333,
      definition: {en: "Relates a resource to a statement that identifies a place of publication, a publisher, or a date of publication of a published resource.", ar: "يربط بين مصدر وبيان يُحدد مكان نشر، ناشر، أو تاريخ نشر خاص بمصدر منشور.", da: "Relaterer en ressource til oplysninger, der identificerer publiceringssted, udgiver og publiceringsdato for en publiceret ressource.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die einen Erscheinungsort, einen Verlag oder ein Erscheinungsdatum einer veröffentlichten Ressource identifiziert.", fi: "Liittää aineiston merkintöön, joka identifioi aineiston kustannuspaikan, kustantajan tai julkaisuajan.", "zh-hans-cn": "将一种资源与标识一种出版资源的出版地、出版者或出版日期的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/publicationStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has publication statement", ar: "له بيان نشر", da: "har publiceringsbeskrivelse", de: "hat Veröffentlichungsangabe", fi: "aineiston julkaisumerkintö", nl: "heeft publicatievermelding", "zh-hans-cn": "有出版说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60334,
      definition: {en: "Relates a resource to a statement of responsibility relating to a named revision of an edition in a language or script that differs from that recorded in a statement of responsibility relating to a named revision of an edition element.", ar: "يربط بين مصدر وبيان مسؤولية متعلق بمراجعة مسماة لطبعة بلغة أو نص مختلف عن تلك المُسجلة داخل بيان المسؤولية المرتبط بمراجعة مسماه لعنصر طابعه.", da: "Relaterer en ressource til en ophavsangivelse på et andet sprog eller i et andet alfabet end det som er anvendt ved angivelsen af den navngivne revision af en udgave.", de: "Setzt eine Ressource in Beziehung zu einer Verantwortlichkeitsangabe einer näher erläuterten Überarbeitung in einer Sprache oder Schrift, die von der bereits erfassten Verantwortlichkeitsangabe einer näher erläuterten Überarbeitung abweicht.", fi: "Liittää aineiston erikieliseen nimettyyn uudistettuun painokseen tai käsikirjoitukseen liittyvään vastuullisuusmerkintöön.", "zh-hans-cn": "将一种资源与和版本的命名修订有关的用不同于记录在和版本的命名修订有关的责任说明元素中另一种语言或文字的一个责任说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelStatementOfResponsibilityRelatingToNamedRevisionOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel statement of responsibility relating to named revision of edition", ar: "له بيان موازي لمسؤولية متعلقة بالمراجعة المسماة لطبعة", da: "har parallel ophavsangivelse relateret til en navngivet revision af en udgave", de: "hat parallele Verantwortlichkeitsangabe, die sich auf eine näher erläuterte Überarbeitung einer Ausgabe bezieht", fi: "nimettyyn uudistettuun painokseen liittyvä rinnakkainen vastuullisuusmerkintö aineistossa", nl: "heeft parallelle verantwoordelijkheidsvermelding gerelateerd aan benoemde herziening van editie", "zh-hans-cn": "有和版本的命名修订有关的并列责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60335,
      definition: {en: "Relates a resource to a statement of responsibility relating to series in a language or script that differs from that recorded in a statement of responsibility relating to series element.", ar: "يربط بين مصدر وبيان مسؤولية متعلق بسلسلة بلغة أو نص مختلف عن تلك المُسجلة داخل بيان المسؤولية المرتبط بعنصر سلسلة.", da: "Relaterer en ressource til en ophavsangivelse relateret til en serie på et andet sprog eller i et andet alfabet end det som er anvendt ved angivelsen af en ophavsangivelse til en serie.", de: "Setzt eine Ressource in Beziehung zu einer Verantwortlichkeitsangabe einer Reihe in einer Sprache oder Schrift, die von der bereits erfassten Verantwortlichkeitsangabe einer Reihe abweicht.", fi: "Liittää aineiston sarjan vastuullisuusmerkintöön toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与和丛编有关的用不同于记录在和丛编有关的责任说明元素中另一种语言或文字的一个责任说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelStatementOfResponsibilityRelatingToSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel statement of responsibility relating to series", ar: "له بيان موزاي لمسؤولية مرتبطة بسلسلة", da: "har parallel ophavsangivelse relateret til serie", de: "hat parallele Verantwortlichkeitsangabe, die sich auf eine Reihe bezieht", fi: "sarjan rinnakkainen vastuullisuusmerkintö aineistossa", nl: "heeft parallelle verantwoordelijkheidsvermelding gerelateerd aan reeks", "zh-hans-cn": "有和丛编有关的并列责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60336,
      definition: {en: "Relates a resource to a statement of responsibility relating to subseries in a language or script that differs from that recorded in a statement of responsibility relating to subseries element. (Deprecated)", da: "Relaterer en ressource til en ophavsangivelse relateret til en underserie på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af en ophavsangivelse til en underserie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelStatementOfResponsibilityRelatingToSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel statement of responsibility relating to subseries (Deprecated)", da: "har parallel ophavsangivelse relateret til underserie"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60337,
      definition: {en: "Relates a resource to a statement of responsibility relating to an edition in a language or script that differs from that recorded in a statement of responsibility relating to an edition element.", ar: "يربط بين مصدر وبيان مسؤولية مرتبط بطبعة بلغة أو نص مختلف عن تلك المُسجلة داخل بيان المسؤولية المرتبط بعنصر طابعه.", da: "Relaterer en ressource til en ophavsangivelse på et andet sprog eller i et andet alfabet end det som er anvendt ved angivelsen af en ophavsangivelse til en underserie.", de: "Setzt eine Ressource in Beziehung zu einer Verantwortlichkeitsangabe einer Ausgabe in einer Sprache oder Schrift, die von der bereits erfassten Verantwortlichkeitsangabe einer Ausgabe abweicht.", fi: "Liittää aineiston sen erikieliseen painokseen tai käsikirjoitukseen liittyvään vastuullisuusmerkintöön.", "zh-hans-cn": "将一种资源与和版本有关的用不同于记录在和版本有关的责任说明元素中另一种语言或文字的一个责任说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelStatementOfResponsibilityRelatingToEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel statement of responsibility relating to edition", ar: "له بيان موازي لمسؤولية مرتبطة بطبعة", da: "har parallel ophavsangivelse relateret til udgave", de: "hat parallele Verantwortlichkeitsangabe, die sich auf eine Ausgabe bezieht", fi: "painoksen rinnakkainen vastuullisuusmerkintö aineistossa", nl: "heeft parallelle verantwoordelijkheidsvermelding gerelateerd aan editie", "zh-hans-cn": "有和版本有关的并列责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60338,
      definition: {en: "Relates a resource to a statement of responsibility relating to title proper in a language or script that differs from that recorded in a statement of responsibility relating to title proper element.", ar: "يربط بين مصدر وبيان مسؤولية متعلق بعنوان مُنَاسِب بلغة أو نص مختلف عن تلك المُسجلة داخل بيان المسؤولية المرتبط بعنصر العنوان نفسه.", da: "Relaterer en ressource til en ophavsangivelse på et andet sprog eller i et andet alfabet end det som er anvendt ved angivelsen af en ophavsangivelse til en hovedtitel.", de: "Setzt eine Ressource in Beziehung zu einer Verantwortlichkeitsangabe eines Haupttitels in einer Sprache oder Schrift, die von der bereits erfassten Verantwortlichkeitsangabe eines Haupttitels abweicht.", fi: "Liittää aineiston sen erikieliseen painoksen tai käsikirjoituksen päänimekkeeseen liittyvään vastuullisuusmerkintöön.", "zh-hans-cn": "将一种资源与和正题名有关的用不同于记录在和正题名有关的责任说明元素中另一种语言或文字的一个责任说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelStatementOfResponsibilityRelatingToTitleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel statement of responsibility relating to title proper", ar: "له بيان مسؤولية موازي مرتبط بالعنوان نفسه", da: "har parallel ophavsangivelse relateret til hovedtitel", de: "hat parallele Verantwortlichkeitsangabe, die sich auf einen Haupttitel bezieht", fi: "päänimekkeen rinnakkainen vastuullisuusmerkintö aineistossa", nl: "heeft parallelle verantwoordelijkheidsvermelding gerelateerd aan hoofdtitel", "zh-hans-cn": "有和正题名有关的并列责任说明"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60339",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60339,
      definition: {en: "Relates a resource to a statement relating to an identification or function of any agents responsible for the creation of, or who contributes to a realization of, the intellectual or artistic content of a resource.", ar: "يربط بين مصدر وبيان متعلق بتحديد هوية أو وظيفة أي وكلاء مسؤولين عن إنشاء المحتوى الفكري أو الفني لمصدر، أو الذين يساهمون في تحقيقه.", da: "Relaterer en ressource til oplysninger relaterede til identificering eller funktion af alle agenter, der er ansvarlige for at have skabt eller bidraget til realiseringen af det intellektuelle eller kunstneriske indhold af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die mit der Identifizierung oder Funktion von Akteuren in Verbindung steht, die für die Schaffung des geistigen oder künstlerischen Inhalts einer Ressource verantwortlich sind oder zu dessen Realisierung beitragen.", fi: "Liittää aineiston merkintöön, joka liittyy aineiston henkisen tai taiteellisen sisällön luomisesta vastaavien tai sen toteuttamiseen osallistuvien toimijoiden tunnistamiseen tai tehtävään.", "zh-hans-cn": "将一种资源与和对一种资源的知识或艺术内容之创建负责或者对一种资源的知识内容或艺术内容之实现有贡献的任何行为者的识别和职能有关的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60327", "http://rdaregistry.info/Elements/u/P60338"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibility.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility", ar: "له بيان مسؤولية", da: "har ophavsangivelse", de: "hat Verantwortlichkeitsangabe", fi: "vastuullisuusmerkintö aineistossa", nl: "heeft verantwoordelijkheidsvermelding", "zh-hans-cn": "有责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60340,
      definition: {en: "Relates a resource to a statement relating to an identification of agents responsible for a named revision of an edition.", ar: "يربط بين مصدر وبيان متعلق بتحديد هوية وكلاء مسؤولين عن مراجعة المسماة لطبعة.", da: "Relaterer en ressource til oplysninger relateret til identificering af alle agenter, der er ansvarlige for en navngivet revision af en udgave.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die mit der Identifizierung von Akteuren in Verbindung steht, die für eine näher erläuterte Überarbeitung eines Ausgabe verantwortlich sind.", fi: "Liittää aineiston merkintöön, joka liittyy uudistetun painoksen henkisen tai taiteellisen sisällön luomisesta vastaavien tai sen toteuttamiseen osallistuvien toimijoiden tunnistamiseen.", "zh-hans-cn": "将一种资源与和负责版本的命名修订的行为者的一个标识有关的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibilityRelatingToNamedRevisionOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility relating to named revision of edition", ar: "له بيان مسؤولية مرتبط بمراجعة مسماة لطبعة", da: "har ophavsangivelse relateret til en navngivet revision af en udgave", de: "hat Verantwortlichkeitsangabe, die sich auf eine näher erläuterte Überarbeitung einer Ausgabe bezieht", fi: "nimetyn uudistetun painoksen vastuullisuusmerkintö", nl: "heeft verantwoordelijkheidsvermelding gerelateerd aan benoemde herziening van editie", "zh-hans-cn": "有和版本的命名修订有关的责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60341,
      definition: {en: "Relates a resource to a statement relating to an identification of agents responsible for a series.", ar: "يربط بين مصدر وبيان متعلق بتحديد هوية وكلاء مسؤولين عن سلسلة.", da: "Relaterer en ressource til oplysninger relateret til identificering af agenter, der er ansvarlige for en serie.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die mit der Identifizierung von Akteuren in Verbindung steht, die für eine Reihe verantwortlich sind.", fi: "Liittää aineiston merkintöön, joka liittyy sarjasta vastaavien toimijoiden tunnistamiseen.", "zh-hans-cn": "将一种资源与和对一种丛编负责的行为者的一个标识有关的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibilityRelatingToSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility relating to series", ar: "له بيان مسؤولية مرتبط بسلسلة", da: "har ophavsangivelse relateret til serie", de: "hat Verantwortlichkeitsangabe, die sich auf eine Reihe bezieht", fi: "sarjan vastuullisuusmerkintö aineistossa", nl: "heeft verantwoordelijkheidsvermelding gerelateerd aan reeks", "zh-hans-cn": "有和丛编有关的责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60342,
      definition: {en: "Relates a resource to a statement relating to an identification of agents responsible for a subseries. (Deprecated)", da: "Relaterer en ressource til oplysninger relateret til identificering af en hvilken som helst agent eller agenter, der er ansvarlige for en underserie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibilityRelatingToSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility relating to subseries (Deprecated)", da: "har ophavsangivelse relateret til underserie"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60343,
      definition: {en: "Relates a resource to a statement relating to an identification of agents responsible for an edition being described but not to all editions.", ar: "يربط بين مصدر وبيان متعلق بتحديد هوية وكلاء مسؤولين عن طبعة تم وصفها ولكن ليس لجميع الطبعات.", da: "Relaterer en ressource til oplysninger relateret til identificering af agenter, der er ansvarlige for en beskreven udgave men ikke alle udgaver.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die mit der Identifizierung von Akteuren in Verbindung steht, die für eine beschriebene Ausgabe, aber nicht für alle Ausgaben, verantwortlich sind.", fi: "Liittää aineiston merkintöön, joka liittyy kuvailtavana olevasta painoksesta, mutta ei kaikista painoksista, vastaavien toimijoiden tunnistamiseen.", "zh-hans-cn": "将一种资源与和对所描述的一个版本负责而非对所有版本负责的行为者的一个标识有关的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statementOfResponsibilityRelatingToEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has statement of responsibility relating to edition", ar: "له بيان مسؤولية مرتبط بطبعة", da: "har ophavsangivelse relateret til udgave", de: "hat Verantwortlichkeitsangabe, die sich auf eine Ausgabe bezieht", fi: "painoksen vastuullisuusmerkintö aineistossa", nl: "heeft verantwoordelijkheidsvermelding gerelateerd aan editie", "zh-hans-cn": "有和版本有关的责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60344,
      definition: {en: "Relates a resource to a suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche.", ar: "يربط بين مصدر ونظام تسجيل خاص بالمواد الكيميائية المستخدمة كغطاء على ميكروفيلم أو ميكروفيش.", da: "Relaterer en ressource til en opslæmning af lysfølsomme kemikalier, der er anvendt som belægning på en mikrofilm eller mikrofiche.", de: "Setzt eine Ressource in Beziehung zu einer Suspension aus lichtempfindlichen Chemikalien, die als Beschichtung eines Mikrofilms oder eines Mikrofiches verwendet wird.", fi: "Liittää aineiston mikrofilmin tai mikrokortin valoherkkiä kemikaaleja sisältävään pinnoitteeseen.", "zh-hans-cn": "将一种资源与缩微胶卷或缩微平片表面感光化合物的悬浮涂层关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/emulsionOnMicrofilmAndMicrofiche.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has emulsion on microfilm and microfiche", ar: "له طبقة حساسة على ميكروفيلم وميكروفيش", da: "har emulsion på mikrofilm og mikrofiche", de: "hat Emulsionsschicht auf Mikrofilm und Mikrofiche", fi: "mikrofilmille ja mikrokortille emuloitu aineisto", nl: "heeft emulsie op microfilm en microfiche", "zh-hans-cn": "有缩微胶卷和缩微平片上的乳剂"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60159",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60345,
      definition: {en: "Relates a resource to a place that is the area of coverage of a cartographic resource that is identified using the longitude of the westernmost and easternmost boundaries and the latitude of the northernmost and southernmost boundaries.", ar: "يربط بين مصدر ومكان يحدد المنطقة التي يغطيها المحتوى الخرائطي لمصدر باستخدام خط الطول لأقصى الحدود الغربية والشرقية وخط العرض لأقصى الحدود الشمالية والجنوبية.", da: "Relaterer en ressource til et system til identificering af det område, der dækkes af en ressources kartografiske indhold; anvender længdegrader for de vestligste og østligste grænser samt breddegrader for de nordligste og sydligste grænser.", de: "Setzt eine Ressource in Beziehung zu einem Gebiet, das den Abdeckungsbereich des kartografischen Inhalts einer Ressource anhand des Längengrads der westlichsten und östlichsten Grenze sowie des Breitengrads der nördlichsten und südlichsten Grenze identifiziert.", fi: "Liittää aineiston paikkaan, joka määrittää aineiston kartografisen sisällön kattaman alueen indentifioidaan käyttämällä läntisimmän ja itäisimmän rajan pituusastetta sekä pohjoisimman ja eteläisimmän rajan leveysastetta.", "zh-hans-cn": "将一种资源与作为一种地图资源的覆盖范围、用最西和最东边界的经度以及最北和最南边界的纬度标识的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/longitudeAndLatitude.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61198",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has longitude and latitude", ar: "له خط طول وخط عرض", da: "har længdegrad og breddegrad", de: "ist Längengrad und Breitengrad von", fi: "pituus- ja leveysasteet aineistossa", nl: "heeft lengtegraad en breedtegraad", "zh-hans-cn": "有经度和纬度"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60109",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60346,
      definition: {en: "Relates a resource to a place that is the location of a celestial body that is the coverage of a cartographic resource and is identified using the angles of right ascension and declination.", ar: "يربط بين مصدر ونظام لتحديد موقع جسم سماوي في السماء مغطى بمحتوى خرائطي لمصدر ما باستخدام زوايا الصعود المستقيم والانحراف.", da: "Relaterer en ressource til et system til identificering af den placering af et himmellegeme på himlen, der dækkes af en ressources kartografiske indhold, ved anvendelse af vinklerne for rektascension og deklination.", de: "Setzt eine Ressource in Beziehung zu einem System zur Identifizierung der Position eines Himmelskörpers am Himmel, die vom kartografischen Inhalt einer Ressource, unter Verwendung der Winkel der Rektaszension und der Deklination, abgedeckt wird.", fi: "Liittää aineiston järjestelmään, joka määrittää aineiston kartografiseen sisältöön kuuluvan taivaankappaleen sijainnin käyttämällä rektaskension ja deklinaation kulmamittoja.", "zh-hans-cn": "将一种资源与作为一个天体的位置并作为一种地图资源的覆盖范围并用赤经和赤纬的角度标识的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/rightAscensionAndDeclination.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61201",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has right ascension and declination", ar: "له صعود مستقيم وانحراف", da: "har rektascension og deklination", de: "hat Rektaszension und Deklination", fi: "rektaskensio ja deklinaatio aineistossa", nl: "heeft rechte klimming en declinatie", "zh-hans-cn": "有赤经和赤纬"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60109",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60347,
      definition: {en: "Relates a resource to a system for identifying the precise area covered by the cartographic content of a resource using coordinates for each vertex of a polygon.", ar: "يربط بين مصدر ونظام لتحديد المنطقة المعينة التي يغطيها المحتوى الخرائطي لمصدر ما باستخدام إحداثيات لكل قمة مضلع.", da: "Relaterer en ressource til et system til identificering af det præcise areal, der dækkes af en ressources kartografiske indhold; anvender koordinater for hvert af en polygons toppunkter.", de: "Setzt eine Ressource in Beziehung zu einem System zur Identifizierung des genauen Gebiets, das durch den kartografischen Inhalt einer Ressource abgedeckt wird, indem Koordinaten für jeden Eckpunkt eines Vielecks verwendet werden.", fi: "Liittää aineiston järjestelmään, joka täsmällisesti määrittää kartografisen aineiston kattaman alueen käyttämällä monikulmion jokaisen kärjen koordinaatteja.", "zh-hans-cn": "将一种资源与使用一个多边形每个角的坐标标识一种资源的地图内容所覆盖的精确范围的一个系统关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/stringsOfCoordinatePairs.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61200",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has strings of coordinate pairs", ar: "له خطوط إحداثيات مزدوجة", da: "har hjørnekoordinater", de: "hat Reihen von Koordinatenpaaren", fi: "koordinaattiparit aineistossa", nl: "heeft tekenreeksen van coördinatenparen", "zh-hans-cn": "有坐标对串"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60109",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60348,
      definition: {en: "Relates a resource to a system of arranging materials in an archival resource or a collection.", ar: "يربط بين مصدر ونظام ترتيب المواد في مصدر أرشيفي أو مجموعة أرشيفية.", da: "Relaterer en ressource til et system til organisering af materialer i en arkivressource eller samling.", de: "Setzt eine Ressource in Beziehung zu einem System, um Materialien in einer archivalischen Ressource oder einer Sammlung zu ordnen.", fi: "Liitää aineiston arkiston tai kokoelman järjestämisessä käytettyyn järjestelmään.", "zh-hans-cn": "将一种资源与一种档案资源或一种收藏中编排资料的一个体系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/systemOfOrganization.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has system of organization", ar: "له نظام للترتيب", da: "har organiseringssystem", de: "Ordnungssystem", fi: "aineiston järjestämisperiaate", nl: "heeft systeem van organisatie", "zh-hans-cn": "有组织体系"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60349,
      definition: {en: "Relates a resource to a system used to format a video resource for television broadcast.", ar: "يربط بين مصدر ونظام مستخدم لتهيئة مصدر فيديو للبث التلفزيوني.", da: "Relaterer en ressource til et system, der anvendes til at formatere en videoressource til tv-transmission.", de: "Setzt eine Ressource in Beziehung zu einem System, das zur Formatierung einer Videoressource für eine Fernsehsendung verwendet wird.", fi: "Liittää aineiston järjestelmään, jonka mukaisesti videoaineisto muunnetaan televisiolähetystä varten.", "zh-hans-cn": "将一种资源与用于电视广播的一种视频资源的格式的一个体系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/broadcastStandard.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has broadcast standard", ar: "له معيار بث", da: "har transmissionsstandard", de: "hat Sendestandard", fi: "lähetysstandardi aineistossa", nl: "heeft uitzendstandaard", "zh-hans-cn": "有广播标准"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60352",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60350,
      definition: {en: "Relates a resource to a technical specification relating to a digital encoding of text, image, audio, video, and other types of data in a resource.", ar: "يربط بين مصدر ومواصفات فنية متعلقة بتشفير رقمي لنص، صورة، صوت، فيديو، وأي نوع بيانات آخر في مصدر.", da: "Relaterer en ressource til en teknisk specifikation relateret til den digitale kodning af tekst, billede, audio-, video- og andre datatyper i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer technischen Spezifikation, die sich auf die digitale Kodierung von Text, Bild, Audio, Video und anderen Datentypen in einer Ressource bezieht.", fi: "Liittää aineiston aineiston sisältämän tekstin, kuvan, äänen, videon tai muun datan digitaaliseen koodauksen tekniseen määritykseen.", "zh-hans-cn": "将一种资源与和一种资源中的文本、图像、音频、视频或其他类型数据的数字编码有关的一个技术规格关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60059", "http://rdaregistry.info/Elements/u/P60093", "http://rdaregistry.info/Elements/u/P60314", "http://rdaregistry.info/Elements/u/P60323", "http://rdaregistry.info/Elements/u/P60519", "http://rdaregistry.info/Elements/u/P60551", "http://rdaregistry.info/Elements/u/P60587"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/digitalFileCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has digital file characteristic", ar: "له خاصية ملف رقمي", da: "har digitale filkarakteristika", de: "hat Eigenschaft einer digitalen Datei", fi: "digitaalisen tiedoston ominaisuus aineistossa", nl: "heeft kenmerken digitale bestand", "zh-hans-cn": "有数字文件特征"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60351,
      definition: {en: "Relates a resource to a technical specification relating to an encoding of sound in a resource.", ar: "يربط بين مصدر ومواصفات فنية متعلقة بتشفير صوت في مصدر.", da: "Relaterer en ressource til en teknisk specifikation relateret til kodning af lyd i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer technischen Spezifikation, die sich auf die Kodierung des Tons in einer Ressource bezieht.", fi: "Liittää aineiston aineiston sisältämän äänen koodaamisen tekniseen määritykseen.", "zh-hans-cn": "将一种资源与和一种资源中的声音的编码有关的一个技术规格关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60481", "http://rdaregistry.info/Elements/u/P60522", "http://rdaregistry.info/Elements/u/P60532", "http://rdaregistry.info/Elements/u/P60543", "http://rdaregistry.info/Elements/u/P60552", "http://rdaregistry.info/Elements/u/P60553", "http://rdaregistry.info/Elements/u/P60586", "http://rdaregistry.info/Elements/u/P60594"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/soundCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sound characteristic", ar: "له خاصية صوت", da: "har lydkarakteristika", de: "hat Toneigenschaft", fi: "äänen ominaisuudet aineistossa", nl: "heeft kenmerken geluid", "zh-hans-cn": "有声音特征"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60352,
      definition: {en: "Relates a resource to a technical specification relating to an encoding of video images in a resource.", ar: "يربط بين مصدر ومواصفات فنية متعلقة بتشفير صور فيديو في مصدر.", da: "Relaterer en ressource til en teknisk specifikation relateret til kodning af videobilleder i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer technischen Spezifikation, die sich auf die Kodierung der Videobilder in einer Ressource bezieht.", fi: "Liittää aineiston aineiston sisältämän videon koodauksen tekniseen määritykseen.", "zh-hans-cn": "将一种资源与和一种资源中的视频的编码有关的一个技术规格关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60326", "http://rdaregistry.info/Elements/u/P60349"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has video characteristic", ar: "له خاصية فيدبو", da: "har videokarakteristika", de: "hat Video-Eigenschaft", fi: "videon ominaisuudet aineistossa", nl: "heeft kenmerken video", "zh-hans-cn": "视频特征"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60353,
      definition: {en: "Relates a resource to a technical specification relating to the projection of a motion picture film.", ar: "يربط بين مصدر ومواصفات فنية متعلقة بعرض فيلم صور متحركة.", da: "Relaterer en ressource til en teknisk specifikation relateret til projektion af en film.", de: "Setzt eine Ressource in Beziehung zu einer technischen Spezifikation, die sich auf die Projektion eines Films bezieht.", fi: "Liittää aineiston elokuvafilmin projisointia koskevaan tekniseen määritykseen.", "zh-hans-cn": "将一种资源与和一种电影胶卷的投影有关的技术规格关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60529", "http://rdaregistry.info/Elements/u/P60585"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/projectionCharacteristicOfMotionPictureFilm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has projection characteristic of motion picture film", ar: "له خاصية عرض لفيلم صور متحركة", da: "har projektionskarakteristika for film", de: "hat Projektionseigenschaft von Filmen", fi: "elokuvafilmin projisointiominaisuudet aineistossa", nl: "heeft kenmerken van de projectie van speelfilm", "zh-hans-cn": "有电影胶卷的投影特征"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60354,
      definition: {en: "Relates a resource to a television program based on another resource.", ar: "يربط بين مصدر وبرنامج تلفزيوني اعتمد على مصدر آخر.", da: "Relaterer en ressource til et TV-program baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Fernsehsendung, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston toiseen aineistoon perustuvaan televisio-ohjelmaan.", "zh-hans-cn": "将一种资源与基于另一种资源的一种电视节目关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsTelevisionProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60230",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as television program", ar: "هو مقتبَس كبرنامج تليفزيوني", da: "er bearbejdet til tv-program", de: "ist bearbeitet als Fernsehsendung", fi: "televisiosovitus aineistosta", nl: "is bewerkt als televisieprogramma", "zh-hans-cn": "被改编为电视节目"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60355,
      definition: {en: "Relates a resource to a title of resource that is not selected for preference in a specific application or context.", ar: "يربط بين مصدر وعنوان مصدر لم يتم اختياره كعنوان مختلف مفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer en ressource til en titel, der er knyttet til en ressource, der afviger fra en titel, der er registreret som hovedtitel, parallel hovedtitel, andre titeloplysninger, andre parallel titeloplysninger, tidligere hovedtitel, senere hovedtitel, nøgletitel eller forkortet titel.", de: "Setzt eine Ressource in Beziehung zu einem Titel einer Ressource, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää aineiston aineiston nimekkeeseen, jota ei ole valittu ensisijaiseksi nimikkeeksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一种资源与没有在一个特定的应用或语境中被首选的一个资源的题名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantTitleOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60925",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant title of resource", ar: "له عنوان مختلف لمصدر", da: "har varianttitel for ressource", de: "hat abweichenden Titel einer Ressource", fi: "aineiston varianttinimeke", nl: "heeft variant titel van resource", "zh-hans-cn": "有资源的变异题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60367",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60356,
      definition: {en: "Relates an agent to a word or phrase indicative of royalty, nobility, etc., associated with an agent.", ar: "يربط بين وكيل ولقب نبالة، إلخ.، مرتبط بوكيل.", da: "Relaterer ressource til en adelstitel etc., knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Adelstitel und so weiter, der mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan häneen liittyvään aatelisnimeen tms.", "zh-hans-cn": "将一个行为者与和一个行为者有关的表示皇室、贵族等的一个词或短语关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hereditaryTitle.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has hereditary title", ar: "له عنوان تقليدي", da: "har arvelig titel", de: "hat Erbtitel", fi: "peritty arvonimi", nl: "heeft erfelijke titel", "zh-hans-cn": "有世袭头衔"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60357,
      definition: {en: "Relates a resource to a title proper appearing on a later issue or part of a multipart monograph or serial that differs from that on the first or earliest issue or part. (Deprecated)", da: "Relaterer en ressource til en hovedtitel, der optræder på et senere nummer eller en senere del af et flerbindsværk eller et periodikum, og som afviger fra den titel, der fremgår af første eller tidligste nummer eller del.."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/laterTitleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has later title proper (Deprecated)", da: "har senere hovedtitel"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60358,
      definition: {en: "Relates a resource to a title proper appearing on an earlier iteration of an integrating resource that differs from that on a current iteration. (Deprecated)", da: "Relaterer en ressource til en hovedtitel, der forekommer på en tidligere iteration af en integrerende ressource, der afviger fra hovedtitlen på den aktuelle iteration."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/earlierTitleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has earlier title proper (Deprecated)", da: "har tidligere hovedtitel"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60359,
      definition: {en: "Relates a resource to a title that is abbreviated for purposes of indexing or identification.", ar: "يربط بين مصدر وعنوان تم اختصاره لأغراض التكشيف أو التحديد.", da: "Relaterer en ressource til en titel, der er forkortet mhp. indeksering eller identifikation.", de: "Setzt eine Ressource in Beziehung zu einem Titel, der zum Zwecke der Indexierung oder der Identifizierung gekürzt ist.", fi: "Liittää aineiston nimekkeeseen, joka on lyhennetty indeksointia tai tunnistamista varten.", "zh-hans-cn": "将一种资源与为索引或标识的目的而被缩略的一个题名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abbreviatedTitle.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61111",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has abbreviated title", ar: "له عنوان مُختصر", da: "har forkortet titel", de: "hat Kurztitel", fi: "aineiston lyhennetty nimeke", nl: "heeft afgekorte titel", "zh-hans-cn": "有缩略题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60360,
      definition: {en: "Relates an agent to a place where an agent resides or has resided.", ar: "يربط بين وكيل وبلدة، مدينة، مُقاطعة، ولاية، أو بلد يقيم فيها الوكيل أو أقام فيها بالفعل، أو أي مكان هام آخر مرتبط بوكيل بخلاف مكان الميلاد أو مكان الوفاة، أو الإقامة.", da: "Relaterer en ressource til en landsby, by, region, stat og/eller land, hvor en agent bor eller har boet, eller andet væsentligt sted forbundet med agenten, bortset fra fødested, dødssted eller bopæl.", de: "Setzt einen Akteur in Beziehung zu einem Ort, einer Stadt, einem Bundesland, einem Staat oder einem Land, in dem er wohnt oder gewohnt hat, oder zu einem anderen bedeutenden Ort, der mit einem Akteur in Verbindung steht, außer dem Geburts-, Sterbe- oder Wohnort.", fi: "Liittää toimijan kaupunkiin, maakuntaan, osavaltioon tai maahan, jossa hän asuu tai on asunut, tai muuhun häneen liittyvään merkittävään paikkaan kuin syntymä-, kuolin- tai asuinpaikka.", "zh-hans-cn": "将一个行为者与一个行为者居住或居住过的地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfResidence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A place where an agent has worked or studied is included.", ar: "يشمل ذلك مكان عمل فيه وكيل أو درس فيه.", da: "Sted, hvor en agent har arbejdet eller studeret er omfattet.", de: "Darunter fällt ein Geografikum, in dem ein Akteur gearbeitet oder studiert hat.", fi: "Koskee paikkaa, jossa toimija on työskennellyt tai opiskellut.", "zh-hans-cn": "包括一个行为者工作过或学习过的一个地点。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60973",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of residence", ar: "له مكان إقامة", da: "har opholdssted etc.", de: "hat Wohnort", fi: "asuinpaikka", nl: "heeft plaats van verblijf", "zh-hans-cn": "有居住地"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60361,
      definition: {en: "Relates a resource to a video based on another resource.", ar: "يربط بين مصدرً وفيديو مبني على مصدر آخر.", da: "Relaterer en ressource til en video baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einem Video, das auf einer anderen Ressource basiert.", fi: "Liittää aineiston videoon, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种视频关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsVideo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60236",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as video", ar: "هو مقتبَس كفيديو", da: "er bearbejdet til video", de: "ist bearbeitet als Video", fi: "videosovitus (aineisto)", nl: "is bewerkt als video", "zh-hans-cn": "被改编为视频"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60362,
      definition: {en: "Relates an agent to an agent who is a well-known individual who is a member of an agent.", ar: "يربط بين وكيل وفرد مشهور هو عضوًا لوكيل", da: "Relaterer en ressource til et velkendt individ, der er medlem af en agent.", de: "Setzt einen Akteur in Beziehung zu einem bekannten Individuum, das Mitglied eines Akteurs ist.", fi: "Liittää yhteistoimijan tunnettuun henkilöön, joka on toimijan jäsen.", "zh-hans-cn": "将一个行为者与作为名人也作为一个行为者成员的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/prominentMemberOfFamily.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60996",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has prominent member of agent", ar: "له عضو بارز لوكيل", da: "har fremtrædende medlem af agent", de: "hat bedeutendes Akteurmitglied", fi: "yhteistoimijan tunnettu jäsen", nl: "heeft prominent lid van actor", "zh-hans-cn": "有行为者的著名成员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60363,
      altLabel: {en: "has term of rank, honour, or office"},
      definition: {en: "Relates an agent to a word or phrase indicative of royalty, nobility, rank, honour, or office, or a term of address for an agent of religious vocation.", ar: "يربط بين وكيل وكلمة أو عبارة تُشير إلى رتبة، منصب ملكي، أو نبيل، أو منصب كنسيَّ، وهو لقب لوكيل له مهنة دينية، أو لقب آخر يدل على رتبة، شرف، أو منصب", da: "Relaterer en ressource til et ord eller frase, der angiver kongelighed, adelskab, gejstlig rang eller embede, eller en tiltaleform for en agent med religiøst hverv.", de: "Setzt einen Akteur in Beziehung zu einem Wort oder einer Phrase, das/die auf die Zugehörigkeit zu einem Fürstentum, zum Adel, auf einen kirchlichen Rang oder ein kirchliches Amt hinweist, zu einer Anrede für einen Akteur mit religiöser Berufung oder zu einem anderen Begriff, der auf einen Rang, eine Ehre oder ein Amt hinweist.", fi: "Liittää henkilön sanaan tai ilmaukseen, joka osoittaa kuninkaallista tai aatelisarvoa, kirkollista virkaa tai asemaa tai uskonnolliseen tehtävään liittyvää puhuttelua.", "zh-hans-cn": "将一个行为者与表示皇室、贵族、教会级别或职位、或者一个宗教职业行为者的称谓的一个单词或短语、或者其他等级或荣誉或职位的头衔关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/termOfRankOrHonourOrOffice.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A term of rank, honour, or office, includes initials or abbreviations representing an academic degree, or membership in an organization."},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has term of rank or honour or office", ar: "له لقب رتبة، شرف، أو منصب", da: "har agents titel", de: "hat Rang-, Ehren- oder Amtsbezeichnung", fi: "henkilön arvonimi tai asema", nl: "heeft term van rang, eer of ambt", "zh-hans-cn": "有等级或荣誉或职位的头衔"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60364,
      definition: {en: "Relates a resource to a word, character or group of words or characters, identifying a particular revision of a named edition.", ar: "يربط بين مصدر وكلمة، أو حرف، أو مجموعة من الكلمات، أو تمثيلات، تحدد مراجعة محددة لطبعة مسماة.", da: "Relaterer en ressource til et ord, tegn eller en gruppe af ord og/eller tegn, der identificerer en bestemt revision af en navngiven udgave.", de: "Setzt eine Ressource in Beziehung zu einem Wort, einem Zeichen oder einer Gruppe von Wörtern oder Zeichen, das/die eine bestimmte Überarbeitung einer näher erläuterten Ausgabe identifiziert.", fi: "Liittää aineiston sanaan, merkkiin tai sanojen tai merkkien joukkoon, jotka identifioivat aineiston tietyn uudistetun painoksen.", "zh-hans-cn": "将一种资源与标识一个命名版本的特定修订的词、字符或者词或字符的组合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/designationOfNamedRevisionOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has designation of named revision of edition", ar: "له تسمية لمراجعة مسماة لطبعة", da: "har betegnelse for en navngivet revision af en udgave", de: "hat Ausgabebezeichnung einer näher erläuterten Überarbeitung", fi: "uudistetun painoksen määrite aineistossa", nl: "heeft aanduiding van een benoemde herziening van editie", "zh-hans-cn": "有版本的命名修订的标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60365,
      definition: {en: "Relates a resource to a word, character or group of words or characters, identifying an edition to which a resource belongs.", ar: "يربط بين مصدر وكلمة، حرف، أو مجموعة من الكلمات أو تمثيلات، تحدد طبعة ينتمي لها مصدر.", da: "Relaterer en ressource til et ord, tegn eller en gruppe af ord og/eller tegn, der identificerer en udgave som en ressource tilhører.", de: "Setzt eine Ressource in Beziehung zu einem Wort, einem Zeichen oder einer Gruppe von Wörtern oder Zeichen, das/die die Ausgabe identifiziert, zu der eine Ressource gehört.", fi: "Liittää aineiston sanaan, merkkiin tai ryhmään sanoja ja/tai merkkejä, jotka identifioivat aineiston painoksen.", "zh-hans-cn": "将一种资源与标识一种资源所属于的一个版本的词、字符或者词或字符的组合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/designationOfEdition.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has designation of edition", ar: "له تسمية لطبعة", da: "har udgavebetegnelse", de: "hat Ausgabebezeichnung", fi: "painosmäärite aineistossa", nl: "heeft aanduiding van editie", "zh-hans-cn": "有版本标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60366,
      definition: {en: "Relates a place to a nomen that is an appellation of place in natural language and phrasing used in common discourse.", ar: "يربط مكان بتسمية مكان فىي اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en ressource til et ord, tegn eller gruppe af ord og/eller tegn, som et sted er kendt under.", de: "Setzt ein Geografikum in Beziehung zu einer Bezeichnung für ein Geografikum in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää paikan luonnollisen kielen ja sanamuodon mukaiseen, yleisessä diskurssissa käytettyyn paikan nimitykseen.", "zh-hans-cn": "将一个地点与作为用自然语言和普通话语措词表达的一个地点之称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60548", "http://rdaregistry.info/Elements/u/P60880"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60929",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of place", ar: "له اسم مكان", da: "har navn på et sted", de: "hat Namen eines Geografikums", fi: "paikan nimi", nl: "heeft naam van plaats", "zh-hans-cn": "有地点的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60939",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60367,
      definition: {en: "Relates a resource to a nomen that is an appellation of resource in natural language and phrasing used in common discourse.", ar: "يربط مكان بتسمية مصدر فىي اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en ressource til en ressourcebenævnelse på naturligt sprog og med naturlige formuleringer, brugt i fælles diskurs.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung für eine Ressource in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää aineiston luonnollisen kielen ja sanamuodon mukaiseen, yleisessä diskurssissa käytettyyn aineiston nimitykseen.", "zh-hans-cn": "将一种资源与作为用自然语言和普通话语措词表达的资源的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60355", "http://rdaregistry.info/Elements/u/P60516", "http://rdaregistry.info/Elements/u/P60588"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60367",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has title of resource", ar: "له عنوان لمصدر", da: "har ressourcetitel", de: "hat Titel einer Ressource", fi: "aineiston nimeke", nl: "heeft titel van resource", "zh-hans-cn": "有资源的题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60368,
      definition: {en: "Relates an agent to a nomen that is an appellation of agent in natural language and phrasing used in common discourse.", ar: "يربط بين وكيل وتسمية وكيل فىي اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en ressource til et ord, tegn eller gruppe af ord og/eller tegn, som en agent er kendt under.", de: "Setzt einen Akteur in Beziehung zu einer Bezeichnung für einen Akteur in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää toimijan luonnollisen kielen ja sanamuodon mukaiseen, yleisessä diskurssissa käytettyyn toimijan nimitykseen.", "zh-hans-cn": "将一个行为者与作为用自然语言和普通话语措词表达的行为者的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60119", "http://rdaregistry.info/Elements/u/P60549"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60920",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of agent", ar: "له اسم وكيل", da: "har agents navn", de: "hat Namen eines Akteurs", fi: "toimijan nimi", nl: "heeft naam van actor", "zh-hans-cn": "有行为者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60369,
      definition: {en: "Relates an entity to a nomen that is an appellation in natural language and phrasing used in common discourse.", ar: "يربط بين كيان وإسم فىي لغة طبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en ressource til et ord, tegn, eller gruppe af ord og/eller tegn, som en ressource, eller en ressource som er indeholdt i denne, er kendt under..", de: "Setzt eine Entität in Beziehung zu einer Bezeichnung in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää entiteetin luonnollisen kielen ja sanamuodon mukaiseen, yleisessä diskurssissa käytettyyn nimitykseen.", "zh-hans-cn": "将一个实体与作为用自然语言和普通话语措词表达的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60357", "http://rdaregistry.info/Elements/u/P60358", "http://rdaregistry.info/Elements/u/P60359", "http://rdaregistry.info/Elements/u/P60367", "http://rdaregistry.info/Elements/u/P60493", "http://rdaregistry.info/Elements/u/P60507", "http://rdaregistry.info/Elements/u/P60515", "http://rdaregistry.info/Elements/u/P60589"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/title.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has title", ar: "له عنوان", da: "har titel", de: "hat Titel", fi: "nimeke", nl: "heeft titel", "zh-hans-cn": "有题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60370,
      definition: {en: "Relates a resource to a word, phrase, or abbreviation indicating incorporation or legal status of an agent, or any term serving to differentiate a an agent from other agents, etc., or a term other than a title that is associated with an agent’s name. (Deprecated)", da: "Relaterer en ressource til et ord, frase eller forkortelse, der forklarer en agents art eller juridiske status, eller en tilføjelse, der tjener til at skelne agenten fra andre agenter etc., eller en term andet end titel der er knyttet til agentens navn."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherDesignationAssociatedWithAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other designation associated with agent (Deprecated)", da: "har anden forklarende tilføjelse til agent"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60371,
      definition: {en: "Relates a resource to a writer of words added to a musical resource. (Deprecated)", da: "Relaterer en ressource til en forfatter af ord, der er tilføjet en musikressource."},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60477",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedLyrics.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Writing of lyrics in collaboration with a composer to form an original resource is excluded.. (Deprecated)", da: "Forfattelse af sangtekster i samarbejde med en komponist for at skabe en originalressource er ikke omfattet."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60600",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of added lyrics (Deprecated)", da: "har forfatter af tilføjede sangtekster"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60380",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60372,
      definition: {en: "Relates a resource to an abstract, summary, synopsis, or other description of the content of a resource.", ar: "يربط بين مصدر ومستخلص، ملخص، موجز، أو وصف آخر لمحتوى أحد المصادر.", da: "Relaterer en ressource til et abstrakt, et resumé, en synopsis etc. af en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einem Abstract, einer Zusammenfassung, einer Synopse oder einer anderen Beschreibung des Inhalts einer Ressource.", fi: "Liittää aineiston tiivistelmään, yhteenvetoon, synopsikseen tai muuhun aineiston sisällön kuvaukseen.", "zh-hans-cn": "将一种资源与一种资源的内容的摘要、概要、大纲或其他描述关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/summarizationOfContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has summarization of content", ar: "له تلخيص محتوى", da: "har opsummering af indhold", de: "hat Zusammenfassung eines Inhalts", fi: "sisällön yhteenveto aineistossa", nl: "heeft samenvatting van content", "zh-hans-cn": "有内容的概述"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60373,
      definition: {en: "Relates a resource to an agent against whom an appeal is taken on a decision of a lower court recorded in a legal resource of a higher court.", ar: "يربط مصدر بوكيل مستأنف ضده بحكم صادر عن محكمة أدنى مسجل في مصدر قانوني لمحكمة أعلى.", da: "Relaterer en ressource mod hvilken en indsigelse er gjort gennem en underrets beslutning, der er registreret i en juridisk ressource fra en højere retsinstans.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, gegen den Rechtsmittel (Berufung/Revision) gegen ein Gerichtsurteil einer unteren Instanz, das in einer juristischen Ressource einer höheren Instanz erfasst ist, eingelegt werden.", fi: "Liittää aineiston toimijaan, johon kohdistuu hakemus, jolla haetaan muutosta alemman oikeusasteen päätökseen.", "zh-hans-cn": "将一种资源与在上级法院的一种法律资源中记录下级法院起诉该行为者之决定的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appellee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60601",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has appellee", ar: "له مُستأنف ضده", da: "har indstævnet", de: "hat Berufungsbeklagte/Berufungsbeklagten/Revisionsbeklagte/Revisionsbeklagten", fi: "muutoksenhakijan vastapuoli aineistossa", nl: "heeft gedaagde", "zh-hans-cn": "有被上诉者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60374,
      definition: {en: "Relates a resource to an agent other than a creator, custodian, owner, producer, publisher, distributor, or manufacturer associated with a resource. (Deprecated)", da: "Relaterer en ressource til en agent forskellig fra skaber, forvalter, ejer, producer, udgiver eller distributør knyttet til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60060", "http://rdaregistry.info/Elements/u/P60061", "http://rdaregistry.info/Elements/u/P60062", "http://rdaregistry.info/Elements/u/P60065", "http://rdaregistry.info/Elements/u/P60157", "http://rdaregistry.info/Elements/u/P60373", "http://rdaregistry.info/Elements/u/P60375", "http://rdaregistry.info/Elements/u/P60376", "http://rdaregistry.info/Elements/u/P60406", "http://rdaregistry.info/Elements/u/P60421", "http://rdaregistry.info/Elements/u/P60441", "http://rdaregistry.info/Elements/u/P60449", "http://rdaregistry.info/Elements/u/P60450", "http://rdaregistry.info/Elements/u/P60451", "http://rdaregistry.info/Elements/u/P60452", "http://rdaregistry.info/Elements/u/P60455", "http://rdaregistry.info/Elements/u/P60456", "http://rdaregistry.info/Elements/u/P60457", "http://rdaregistry.info/Elements/u/P60458", "http://rdaregistry.info/Elements/u/P60459", "http://rdaregistry.info/Elements/u/P60460", "http://rdaregistry.info/Elements/u/P60461", "http://rdaregistry.info/Elements/u/P60462", "http://rdaregistry.info/Elements/u/P60464", "http://rdaregistry.info/Elements/u/P60466", "http://rdaregistry.info/Elements/u/P60467", "http://rdaregistry.info/Elements/u/P60483", "http://rdaregistry.info/Elements/u/P60815", "http://rdaregistry.info/Elements/u/P60834", "http://rdaregistry.info/Elements/u/P60836", "http://rdaregistry.info/Elements/u/P60849", "http://rdaregistry.info/Elements/u/P60869", "http://rdaregistry.info/Elements/u/P60871"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherAgentAssociatedWithResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60602",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other agent associated with resource (Deprecated)", da: "har anden agent knyttet til ressource"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60375,
      definition: {en: "Relates a resource to an agent who assigns a resource as an acknowledgement of the inspiration or support of a related agent.", ar: "يربط مصدر بوكيل خصص مصدر كإقرار بإلهام أو دعم وكيل ذو صلة.", da: "Relaterer en ressource til en agent, som har tilegnet en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Ressource als Zeichen der Anerkennung oder Unterstützung einem in Beziehung stehenden Akteur widmet.", fi: "Liittää aineiston toimijaan, joka omistaa aineiston liittyvälle toimijalle kiitoksena inspiraatiosta tai tuesta.", "zh-hans-cn": "将一种资源与指定一种资源作为一个相关行为者的启发或支持之感谢的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dedicator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60603",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dedicator", ar: "له مُهدي كتاب", da: "har tilegner", de: "hat Widmende/Widmenden", fi: "omistuksen tekijä aineistossa", nl: "heeft opdrager", "zh-hans-cn": "有题献者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60376,
      definition: {en: "Relates a resource to an agent who conceives, aggregates, or organizes an exhibition or collection of a resource. (Deprecated)", ar: "يربط مصدر بوكيل يبتكر، أو يجمع، أو ينظم معرضًا أو مجموعة من المصادر.", da: "Relaterer en ressource til en agent der har udtænkt, samlet og/eller arrangeret en udstilling, samling eller en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Ausstellung oder Sammlung einer Ressource konzipiert, zusammenstellt oder organisiert.", fi: "Liittää aineiston siitä näyttelyn tai kokoelman suunnittelevaan, kokoavaan tai järjestävään toimijaan."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/curator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60604",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has curator (Deprecated)", ar: "له أمين معرض", da: "har kurator", de: "hat Kuratorin/Kurator", fi: "kuraattori", nl: "heeft curator"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60377,
      definition: {en: "Relates a resource to an agent who is a contributor agent of cartography who provides measurements or dimensional relationships for a geographic area.", ar: "يربط مصدر بوكيل مُساهم في رسم الخرائط ويُوفر القياسات أوالعلاقات بين الأبعاد لمنطقة جغرافية.", da: "Relaterer en ressource til en agent, der har bidraget til en kartografisk ressource ved at tilvejebringe opmålinger eller målestoksforhold til det geografiske område, der er repræsenteret.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger einer Kartografie (Akteur), die/der Messwerte oder Abmessungsverhältnisse für den dargestellten geografischen Bereich zur Verfügung stellt.", fi: "Liittää aineiston toimijaan, joka myötävaikuttaa kartantekijänä maantieteellisen alueen mittojen tai mittasuhteiden tuottamisessa.", "zh-hans-cn": "将一种资源与作为地图绘制的贡献者行为者并为一个地理区域提供测量或尺寸关系的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/surveyor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60605",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has surveyor", ar: "له مسّاح", da: "har landmåler", de: "hat Landvermesserin/Landvermesser", fi: "maanmittari aineistossa", nl: "heeft landmeter", "zh-hans-cn": "有测绘者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60378,
      definition: {en: "Relates a resource to an agent who contributes to a resource by giving apparent movement to inanimate objects or drawings.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال إعطاء حركة واضحة للأجسام غير الحية أو الرسومات .", da: "Relaterer en ressource til en agent, der har bidraget til en ressource af et levende billedværk eller et computerprogram ved at give en illusion af bevægelse til livløse genstande eller tegninger.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er unbelebte Objekte oder Zeichnungen in scheinbare Bewegung versetzt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena tuottamalla näennäistä liikettä elottomiin esineisiin tai piirroksiin.", "zh-hans-cn": "将一种资源与通过给予无生命对象或绘画以貌似运动而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60431",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/animator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Creation of the drawings that are animated is excluded.", ar: "يُستبعد إنشاء الرسومات المتحركة.", da: "Skabelse af tegninger, der er animeret, er ikke omfattet.", de: "Darunter fällt nicht die Schaffung der Zeichnungen, die animiert werden.", fi: "Ei koske animaatiopiirrosten tekijää.", "zh-hans-cn": "不包括动画图的创作。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60606",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has animator", ar: "له فنان رسوم متحركة", da: "har animator", de: "hat Trickfilmzeichnerin/Trickfilmzeichner", fi: "aineiston animaattori", nl: "heeft animator", "zh-hans-cn": "有动画师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60379,
      definition: {en: "Relates a resource to an agent who contributes to a resource by rewriting a composition for a medium of performance different from that for which a resource was originally intended.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال إعادة كتابة لحن موسيقي لوسيط أداء يختلف عن الوسيط الذي كان المصدر مقررا له أصلاً.", da: "Relaterer en ressource til en agent, der har bidraget til en musikressource ved at omskrive kompositionen til en anden besætning end den, ressourcen oprindeligt var beregnet til.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er eine Komposition für eine bestimmte Besetzung umschreibt, die sich von der Originalbesetzung, für die eine Ressource konzipiert ist, unterscheidet.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena muokkaamalla sävellyksen alkuperäisteoksesta poikkeavalle esityskokoonpanolle.", "zh-hans-cn": "将一种资源与通过改写音乐作曲用于不同于其最初意图的一个表演媒介而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60426",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/arrangerOfMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Modification of the resource for the same medium of performance, etc., keeping the musical substance of the original composition essentially unchanged, is included. Substantial modification that results in the creation of a new musical resource is excluded.", ar: "يتضمن تعديل المصدر لنفس وسيط أداء، إلخ.، مع الإبقاء على اللحن الأصلي دون تغيير جوهري.يُستبعد التعديل الجوهري الذي ينتج عنه إنشاء مصدر موسيقي جديد.", da: "Bidrag omfatter ændring af en ressource for den samme besætning etc., der i alt væsentligt bevarer den originale kompositions musikalske substans uændret, og omfatter ikke væsentlige ændringer der resulterer i skabelsen af en ny musikressource.", de: "Darunter fallen auch Varianten einer Ressource für die gleiche Besetzung und so weiter, solange die musikalische Substanz der Originalkomposition im Wesentlichen unverändert bleibt. Darunter fallen keine substantiellen Veränderungen, die zur Schaffung einer neuen Musikressource führen.", fi: "Sovittaja voi myös muokata aineistoa samalle esityskokoonpanolle tms. säilyttäen alkuperäisen sävellyksen musiikillisen sisällön olennaisilta osin muuttumattomana. Tähän ei sisälly laaja muokkaaminen, joka johtaa uuden musiikkiaineiston luomiseen.", "zh-hans-cn": "包括保留原作曲基本内容为同一个表演媒体等所作的资源的修改。不包括导致创作一种新的资源的大幅度修改。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60607",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has arranger of music", ar: "له موزع موسيقى", da: "har musikarrangør", de: "hat Arrangeurin/Arrangeur", fi: "aineiston sovittaja", nl: "heeft arrangeur van muziek", "zh-hans-cn": "有音乐改编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60380,
      definition: {en: "Relates a resource to an agent who contributes to a primarily non-textual resource by providing text, such as writing captions for photographs or descriptions of maps. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource af et fortrinsvist ikke-tekstmæssigt værk ved at tilvejebringe tekst til den ikke-tekstmæssige ressource, fx ved at skrive billedtekster til fotos, beskrivelser af kort."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60371",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedText.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60608",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of added text (Deprecated)", da: "har forfatter af tilføjet tekst"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60381,
      definition: {en: "Relates a resource to an agent who contributes to a resource by an architect, inventor, or other agent by making detailed plans or drawings for buildings, ships, aircraft, machines, objects, or other constructions.", ar: "يربط مصدر بوكيل يُساهم في مصدر بواسطة مهندس معماري أو مخترع أو وكيل آخر من خلال وضع خطط أو رسومات مُفصلة للمباني، السفن، الطائرات، الآلات أو الأشياء أو غيرها من الإنشاءات.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource af et værk af en arkitekt, opfinder etc. ved at lave detaljerede planer eller tegninger til bygninger, skibe, luftfartøjer, maskiner, genstande etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Expression einer Architektin/eines Architekten, einer Erfinderin/eines Erfinders oder eines anderen Akteurs beiträgt, indem er detaillierte Pläne oder Zeichnungen für Gebäude, Schiffe, Flugzeuge, Maschinen, Objekte oder andere Konstruktionen anfertigt.", fi: "Liittää aineiston toimijaan, joka osallistuu arkkitehdin, suunnittelijan tai muun toimijan aineistoon tuottamalla tarkkoja suunnitelmia tai piirroksia rakennuksista, laivoista, lentokoneista, laitteista, esineistä tai muista luomuksista.", "zh-hans-cn": "将一种资源与通过由建筑师、发明者或其他行为者为建筑物、船舶、飞行器、机器、物体或其他结构制作详细平面图或绘制草图而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/draftsman.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60609",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has draftsman", ar: "له رسام هندسي", da: "har teknisk tegner", de: "hat Technische Zeichnerin/Technischen Zeichner", fi: "aineiston piirtäjä", nl: "heeft technisch tekenaar", "zh-hans-cn": "有绘图者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60382,
      definition: {en: "Relates a resource to an agent who contributes to a resource by writing down or notating unwritten or unnotated content, or by changing it from one system of notation to another.", ar: "يربط مصدر بوكيل يُساهم في مصدر بواسطة كتابة أو تدوين محتوى لم تسبق كتابته أو تدوينه، أو عن طريق تغييره من نظام تدوين إلى آخر.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource af et værk ved at nedskrive eller notere uskrevet eller ikke-noteret indhold, eller ved at ændre det fra et notationssystem til et andet.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er ungeschriebenen und nicht notierten Inhalt niederschreibt oder ihn von einem Notationssystem in ein anderes überträgt.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston tekemiseen kirjoittamalla muistiin tai nuotintamalla kirjoittattoman tai nuotintamattoman sisällön tai muuttamalla sen merkintäjärjestelmästä toiseen.", "zh-hans-cn": "将一种资源与通过写下或记谱之前未写下或未记谱的内容或者将其从一种记谱体系改成另一种记谱体系而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60379",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transcriber.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Transcription of a musical resource for a different instrument or performing group is excluded.", ar: "يُستبعد اِستِنساخ مصدر موسيقي لآلة أو مجموعة أداء مختلفة.", da: "Afskrift af en musikressource for et andet instrument, eller optrædende gruppe, er ikke omfattet.", de: "Darunter fällt keine Transkription einer Musikressource für ein anderes Instrument oder ein anderes aufführendes Ensemble.", fi: "Tähän ei kuulu musiikkiteoksen transkribointi eri soittimelle tai esitysryhmälle.", "zh-hans-cn": "不包括为不同乐器或表演组合所作的音乐资源的改写。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60610",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transcriber", ar: "له ناسخ", da: "har nedskriver", de: "hat Transkribiererin/Transkribierer", fi: "aineiston transkriboija", nl: "heeft transcribeerder", "zh-hans-cn": "有转写者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60383,
      definition: {en: "Relates a resource to an agent who contributes to a resource by coordinating the activities of composers, sound editors, and sound mixers for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تنسيق أنشطة ملحني؛ ومحرري؛ و مازجي الصوت لإنتاج فيلم؛ أو لعرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en ressource til en agent, der har bidraget til een ressource ved at koordinere komponistens, tonemesterens og lydmixernes aktiviteter ved en levende billedproduktion eller en musikalsk eller dramatisk præsentation eller i underholdning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er die Arbeit der Komponistin/des Komponisten, der Tonbearbeiterin/des Tonbearbeiters und der Tonmeisterin/des Tonmeisters für eine Bewegtbildproduktion oder eine musikalische oder dramatische Darbietung oder Aufführung koordiniert.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena koordinoimalla säveltäjien, äänileikkaajien ja äänimiksaajien toimintaa elokuvatuotannossa tai musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与通过为动态图像制作或者为音乐或戏剧呈现或娱乐协调作曲者、音响编辑、音响师活动而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicalDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60611",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has musical director", ar: "له مُخرج موسيقي", da: "har orkesterleder", de: "hat Musikalische Leiterin/Musikalischen Leiter", fi: "musiikillinen johtaja aineistossa", nl: "heeft muzikaal director", "zh-hans-cn": "有音乐总监"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60384,
      definition: {en: "Relates a resource to an agent who contributes to a resource by designing costumes for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تصميم أزياء لإنتاج فيلم؛ أو لعرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at designe kostumer til en levende billedproduktion eller til en musikalsk eller dramatisk præsentation eller til underholdning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er die Kostüme für eine Bewegtbildproduktion oder für eine musikalische oder dramatische Darbietung oder Aufführung entwirft.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena suunnittelemalla elokuvatuotannon tai musiikki- tai näytelmäesityksen puvustuksen.", "zh-hans-cn": "将一种资源与通过为动态图像制作或者为音乐或戏剧呈现或娱乐设计服装而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/costumeDesigner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60612",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has costume designer", ar: "له مصمم أزياء", da: "har kostumedesigner", de: "hat Kostümbildnerin/Kostümbildner", fi: "puvustaja aineistossa", nl: "heeft kostuumontwerper", "zh-hans-cn": "有服装设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60385,
      definition: {en: "Relates a resource to an agent who contributes to a resource by expressing linguistic content of a resource in a language different from that of previous resources.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال التعبير عن المحتوى اللغوي لمصدر بلغة مختلفة عن تلك الموجودة في المصادر السابقة.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at udtrykke en ressources sproglige indhold på et andet sprog end det, der er anvendt i tidligere udtryk af en oprindelige ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er sprachlichen Inhalt einer Ressource in einer Sprache ausdrückt, die sich von früheren Ressourcen unterscheidet.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena ilmaisemalla teoksen kielellisen sisällön toisella kielellä.", "zh-hans-cn": "将一种资源与通过用不同于先前资源的语言的另一种语言来表达一种资源的语言内容而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/translator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Translation of linguistic content between forms of the same language from different time periods is included.", ar: "يتضمن ترجمة المحتوى اللغوي بين أشكال اللغة نفسها خلال فترات زمنية مختلفة.", da: "Oversættelse af sprogligt indhold mellem former af det samme sprog fra forskellige tidsperioder er omfattet.", de: "Darunter fallen Übersetzungen sprachlichen Inhalts zwischen Formen derselben Sprache aus verschiedenen Zeitperioden.", fi: "Kääntäjä voi myös kääntää kielisisältöä saman kielen eri aikakausien kielimuotojen välillä.", "zh-hans-cn": "包括语言内容在同一种语言的不同时期的形式之间的翻译。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60613",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has translator", ar: "له مُترجم", da: "har oversætter", de: "hat Übersetzerin/Übersetzer", fi: "aineiston kääntäjä", nl: "heeft vertaler", "zh-hans-cn": "有译者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60386,
      definition: {en: "Relates a resource to an agent who contributes to a resource by overseeing artists and craftspeople who build sets for moving image productions.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال الإشراف على الفنيين والحرفيين الذين يبنون مواقع لإنتاج الأفلام.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at føre tilsyn med de kunstnere og håndværkere, der har bygget kulisserne til levende billedproduktioner.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Künstlerinnen/Künstler und Kunsthandwerkerinnen/Kunsthandwerker betreut, die Sets für Bewegtbildproduktionen aufbauen.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena valvomalla taiteilijoita ja käsityöläisiä, jotka rakentavat lavasteita elokuvatuotantoihin.", "zh-hans-cn": "将一种资源与通过监督为动态图像制作建造布景的艺术家和艺人而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/artDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60614",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has art director", ar: "له مخرج فني", da: "har kunstnerisk leder", de: "hat Art Director", fi: "lavastaja", nl: "heeft artdirector", "zh-hans-cn": "有艺术总监"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60387,
      definition: {en: "Relates a resource to an agent who contributes to a resource by performing music, acting, dancing, speaking, and other roles, often in a musical or dramatic presentation.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال أداء موسيقى، تمثيل، رقص، حوار، وغيرها من الأدوار التي غالبًا تكون في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at opføre musik, spille skuespil, danse, tale etc., ofte i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er, oftmals in einer musikalischen oder dramatischen Darbietung, Musik aufführt, schauspielt, tanzt, spricht oder eine andere Rolle übernimmt.", fi: "Liittää aineiston tanssijana, näyttelijänä, puhujana tai muissa rooleissa osallistuvaan toimijaan, usein musiikillisessa tai draamallisessa esityksessä.", "zh-hans-cn": "将一种资源与通过表演音乐、扮演、舞蹈、说话和其他角色（经常是在音乐或戏剧呈现中）而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60141", "http://rdaregistry.info/Elements/u/P60142", "http://rdaregistry.info/Elements/u/P60143", "http://rdaregistry.info/Elements/u/P60144", "http://rdaregistry.info/Elements/u/P60145", "http://rdaregistry.info/Elements/u/P60146", "http://rdaregistry.info/Elements/u/P60147", "http://rdaregistry.info/Elements/u/P60148", "http://rdaregistry.info/Elements/u/P60149", "http://rdaregistry.info/Elements/u/P60150", "http://rdaregistry.info/Elements/u/P60151", "http://rdaregistry.info/Elements/u/P60153", "http://rdaregistry.info/Elements/u/P60154", "http://rdaregistry.info/Elements/u/P60155", "http://rdaregistry.info/Elements/u/P60156", "http://rdaregistry.info/Elements/u/P61202"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/performer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60615",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has performer", ar: "له مؤدٍ", da: "har performer", de: "hat Ausführende/Ausführenden", fi: "aineiston esittäjä", nl: "heeft uitvoerder", "zh-hans-cn": "有表演者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60388,
      definition: {en: "Relates a resource to an agent who contributes to a resource by preparing a court's opinions for publication.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال إعداد رأي محكمة للنشر.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at klargøre en domstols afgørelser til publicering.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er eine Urteilsbegründung zur Veröffentlichung vorbereitet.", fi: "Liittää aineiston toimijaan, joka on aineistossa osalllisena valmistelemalla tuomioistuimen lausunnon julkaistavaksi.", "zh-hans-cn": "将一种资源与通过准备用于公布的法院意见而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/courtReporter.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60616",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has court reporter", ar: "له كاتب محكمة", da: "har retsstenograf", de: "hat Gerichtsstenografin/Gerichtsstenograf", fi: "aineiston kirjuri oikeudenkäyntiasiakirjoissa", nl: "heeft rechtbankverslaggever", "zh-hans-cn": "有法院书记官"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60389,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing a preface to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe et forord til en original ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfPreface.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60617",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of preface (Deprecated)", da: "har forfatter til forord"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60390,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing an interpretation or critical explanation of an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe en fortolkning eller kritik af en original ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedCommentary.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60618",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of added commentary (Deprecated)", da: "har forfatter til tilføjet kommentar"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60391,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing an introduction to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe en introduktion til en original ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfIntroduction.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60619",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of introduction (Deprecated)", da: "har forfatter til introduktion"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60392,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing supplementary textual content (e.g., an appendix, an introduction, a preface) to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe supplerende tekstindhold, fx en indledning eller et forord til en original ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60380", "http://rdaregistry.info/Elements/u/P60389", "http://rdaregistry.info/Elements/u/P60390", "http://rdaregistry.info/Elements/u/P60391", "http://rdaregistry.info/Elements/u/P60715", "http://rdaregistry.info/Elements/u/P60716"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfSupplementaryTextualContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60620",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of supplementary textual content (Deprecated)", da: "har forfatter til supplerende tekstindhold"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60393,
      definition: {en: "Relates a resource to an agent who contributes to a resource by revising or clarifying the content, or by selecting and putting together resources, or parts of resources, by one or more creators. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at revidere eller præcisere indholdet, eller ved at udvælge og sammensætte ressourcer eller dele af ressourcer, af en eller flere ophavspersoner.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston tekemiseen sisältöä tarkistamalla tai selventämällä tai valitsemalla ja kokoamalla toisen tekijän tai tekijöiden aineistoja tai niiden osia."},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60434",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Addition of an introduction, notes, or other critical matter, or preparing a resource for production, publication, or distribution is included. Major revision, adaptation, etc., that substantially changes the nature and content of the original resource, resulting in a new resource, is excluded. (Deprecated)", fi: "Johdannon, huomautusten tai muun olennaisen sisällön lisääminen, samoin aineiston vamistelu tuotantoa, julkaisua tai jakelua varten. Ei koske uuteen aineistoon johtavia merkittäviä korjauksia, mukautuksia jne, jotka merkittävästi muuttavat alkuperäisen aineiston luonnetta tai sisältöä."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60621",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has editor (Deprecated", da: "har redaktør", fi: "leikkaaja"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60394,
      definition: {en: "Relates a resource to an agent who contributes to a resource by shortening a resource of a related resource without changing the general meaning or manner of presentation.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تلخيص مصدر ذو صلة دون تغيير المعنى العام أو طريقة العرض.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at forkorte eller komprimere en originalressource, men som i alt væsentligt har ladt originalens karakter og indhold uændret.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er eine in Beziehung stehende Ressource kürzt, ohne die allgemeine Bedeutung oder Art der Darstellung zu ändern.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena lyhentämällä siihen liittyvää aineistoa muuttamatta esityksen yleistä sisältöä tai tyyliä.", "zh-hans-cn": "将一种资源与通过缩短一种相关资源的一种资源而不改变其总体意义或呈现方式而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60434",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abridger.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Substantial modification that results in the creation of a new resource is excluded.", ar: "يُستبعد التعديل الجوهري الذي ينتج عنه إنشاء مصدر جديد.", da: "Væsentlige ændringer, der resulterer i skabelsen af en ny ressource, er ikke omfattet.", de: "Darunter fallen keine substantiellen Veränderungen, die zur Schaffung einer neuen Ressource führen.", fi: "Ei koske oleellista muokkausta, joka johtaa uuden aineiston luomiseen.", "zh-hans-cn": "不包括导致一种新资源创作的实质性修改。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60622",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has abridger", ar: "له مُلَخِص", da: "har forkorter", de: "hat Kürzende/Kürzenden", fi: "aineiston lyhentäjä", nl: "heeft inkorter", "zh-hans-cn": "有缩编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60395,
      definition: {en: "Relates a resource to an agent who contributes to a resource by supervising the technical aspects of a sound or video recording session.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال الإشراف على الجوانب الفنية لمحتوى صوتي لجلسة تسجيل.", da: "Relaterer en ressource til en lydtekniker, der har bidraget til en ressource ved at føre tilsyn med de tekniske aspekter af en lyd- eller videooptagelse.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er die technischen Aspekte einer Ton- oder Videoaufnahme überwacht.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena valvomalla äänityksen teknistä toteutusta.", "zh-hans-cn": "将一种资源与作为一个音频工程师通过监督一个录制过程中的技术方面而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordingEngineer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60623",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has recording engineer", ar: "له مهندس تسجيل", da: "har indspilningstekniker", de: "hat Aufnahmetechnikerin/Aufnahmetechniker", fi: "aineiston äänittäjä", nl: "heeft opnametechnicus", "zh-hans-cn": "有录制工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60396,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a still image resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في عمل تجميعي بإنشاء مصدر صور ثابتة يتجسد في تجميعية.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at supplere hovedindholdet med tegninger, diagrammer, fotos etc.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine unbewegte Bildressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka joka on luonut aggregaattiin sisältyvän stillkuva-aineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种静态图像资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60750",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfStillImage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {da: "Skabelse af primært kunstnerisk indhold er ikke omfattet."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60624",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of still image", ar: "له وكيل مساهم في صور ثابتة", da: "har illustrator", de: "hat Illustratorin/Illustrator", fi: "stillkuvaan osallinen toimija aineistossa", nl: "heeft bijdrager-actor van stilstaand beeld", "zh-hans-cn": "有静态图像的贡献者行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60397,
      definition: {en: "Relates a resource to an agent who contributes to a resource by using a recording device to capture sound or video during a recording session.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال استخدام جهاز تسجيل لالتقاط صوت أو فيديو أثناء جلسة تسجيل.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at anvende et optageudstyr til lyd og/eller video under en optagelse, inkl. feltoptagelser af naturlige lyde, folkloristiske begivenheder, musik etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er mit einem Aufnahmegerät Ton oder Video aufnimmt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena käyttämällä tallennuslaitetta äänen tai videon taltioimiseen tallennustilanteessa.", "zh-hans-cn": "将一种资源与通过采用录制设备在录制期间摄录声音或视频而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60625",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has recordist", ar: "له فني تسجيل", da: "har tonemester", de: "hat Tonmeisterin/Tonmeister", fi: "aineiston taltioija", nl: "heeft opnamemaker", "zh-hans-cn": "有录制者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60398,
      definition: {en: "Relates a resource to an agent who contributes to a resource. (Deprecated)", da: "Relaterer en ressource til en agent, der bidrager til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60377", "http://rdaregistry.info/Elements/u/P60378", "http://rdaregistry.info/Elements/u/P60379", "http://rdaregistry.info/Elements/u/P60381", "http://rdaregistry.info/Elements/u/P60382", "http://rdaregistry.info/Elements/u/P60383", "http://rdaregistry.info/Elements/u/P60384", "http://rdaregistry.info/Elements/u/P60385", "http://rdaregistry.info/Elements/u/P60386", "http://rdaregistry.info/Elements/u/P60387", "http://rdaregistry.info/Elements/u/P60388", "http://rdaregistry.info/Elements/u/P60392", "http://rdaregistry.info/Elements/u/P60393", "http://rdaregistry.info/Elements/u/P60394", "http://rdaregistry.info/Elements/u/P60395", "http://rdaregistry.info/Elements/u/P60396", "http://rdaregistry.info/Elements/u/P60397", "http://rdaregistry.info/Elements/u/P60399", "http://rdaregistry.info/Elements/u/P60419", "http://rdaregistry.info/Elements/u/P60422", "http://rdaregistry.info/Elements/u/P60437", "http://rdaregistry.info/Elements/u/P60446", "http://rdaregistry.info/Elements/u/P60748", "http://rdaregistry.info/Elements/u/P60749", "http://rdaregistry.info/Elements/u/P60809", "http://rdaregistry.info/Elements/u/P60811", "http://rdaregistry.info/Elements/u/P60813", "http://rdaregistry.info/Elements/u/P60824", "http://rdaregistry.info/Elements/u/P60828", "http://rdaregistry.info/Elements/u/P60838", "http://rdaregistry.info/Elements/u/P60840", "http://rdaregistry.info/Elements/u/P60851", "http://rdaregistry.info/Elements/u/P60892", "http://rdaregistry.info/Elements/u/P60894", "http://rdaregistry.info/Elements/u/P60895", "http://rdaregistry.info/Elements/u/P60896"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Contributors include editors, translators, arrangers of music, performers, etc.. (Deprecated)", da: "Bidragydere omfatter bl.a. redaktører, oversættere, musikarrangører, performere."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60626",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor (Deprecated)", da: "har bidragyder"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60399,
      definition: {en: "Relates a resource to an agent who contributes to a stage resource through the general management and supervision of a performance.", ar: "يربط مصدر بوكيل يُساهم في مصدر مسرحي من خلال الإدارة العامة للأداء مسرحي والإشراف عليه.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource af et sceneværk gennem den generelle ledelse af og tilsyn med en forestilling.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Bühnenressource durch die allgemeine Betreuung und Leitung einer Darbietung beiträgt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena johtamalla ja valvomalla näyttämöesitystä.", "zh-hans-cn": "将一种资源与通过对表演总体管理和监督而对一种舞台资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/stageDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60627",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has stage director", ar: "له مدير مسرح", da: "har sceneinstruktør", de: "hat Bühnenregisseurin/Bühnenregisseur", fi: "näyttämöohjaaja aineistossa", nl: "heeft toneelregisseur", "zh-hans-cn": "有舞台导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60400,
      definition: {en: "Relates a resource to an agent currently having legal possession of a resource.", ar: "يربط مصدر بوكيل يمتلك حاليًا ملكية قانونية لمصدر.", da: "Relaterer en ressource til en agent, der p.t. er i lovlig besiddelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der derzeit im rechtmäßigen Besitz einer Ressource ist.", fi: "Liittää aineiston toimijaan, jolla on aineiston tämänhetkinen laillinen omistus.", "zh-hans-cn": "将一资源与拥有对一种资源当前法定所有权的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60068",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/currentOwner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60628",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has current owner", ar: "له مالك حالي", da: "har nuværende ejer", de: "hat gegenwärtige Eigentümerin/gegenwärtigen Eigentümer", fi: "aineiston nykyinen omistaja", nl: "heeft huidige eigenaar", "zh-hans-cn": "有当前拥有者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60404",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60401,
      definition: {en: "Relates a resource to an agent formerly having legal possession of a resource.", ar: "يربط مصدر بوكيل كان يمتلك سابقًا ملكية قانونية لمصدر.", da: "Relaterer en ressource til en agent, der tidligere har været i lovlig besiddelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der früher im rechtmäßigen Besitz einer Ressource war.", fi: "Liittää aineiston toimijaan, jolla on aiemmin ollut aineiston laillinen omistus.", "zh-hans-cn": "将一种资源与拥有对一种资源先前法定所有权的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60091", "http://rdaregistry.info/Elements/u/P60092"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formerOwner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60630",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has former owner", ar: "له مالك سابق", da: "har tidligere ejer", de: "hat frühere Eigentümerin/früheren Eigentümer", fi: "aineiston aiempi omistaja", nl: "heeft voormalige eigenaar", "zh-hans-cn": "有先前拥有者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60404",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60402,
      definition: {en: "Relates a resource to an agent having legal custody of a resource.", ar: "يربط مصدر بوكيل يمتلك وصاية قانونية لمصدر", da: "Relaterer en ressource til en agent, der lovligt har en ressource i forvaring.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, dem die rechtmäßige Verwahrung einer Ressource obliegt.", fi: "Liittää aineiston toimijaan, joka on aineiston laillinen säilyttäjä.", "zh-hans-cn": "将一种资源与对一种资源拥有合法保管权的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/custodian.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60631",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has custodian", ar: "له وَصِيّ", da: "har forvalter", de: "hat Verwahrerin/Verwahrer", fi: "aineiston säilyttäjä", nl: "heeft curatele", "zh-hans-cn": "有保管者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60404,
      definition: {en: "Relates a resource to an agent who has current or former legal possession of a resource.", ar: "يربط مصدر بوكيل له ملكية قانونية لمصدر.", da: "Relaterer en ressource til en agent, der er i lovlig besiddelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der im rechtmäßigen Besitz einer Ressource ist.", fi: "Liittää aineiston toimijaan, jolla on aineiston laillinen omistus.", "zh-hans-cn": "将一种资源与拥有对一种资源当前或先前法定所有权的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60400", "http://rdaregistry.info/Elements/u/P60401"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/owner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60632",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has owner", ar: "له مالك", da: "har ejer", de: "hat Eigentümerin/Eigentümer", fi: "aineiston omistaja", nl: "heeft eigenaar", "zh-hans-cn": "有拥有者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60406,
      altLabel: {en: "has honoree", ar: "له مكرَّم", fi: "kunnioitettu henkilö aineistossa", "zh-hans-cn": "有被纪念者"},
      definition: {en: "Relates a resource to an agent who is honoured by a resource.", ar: "يربط مصدر بوكيل مكرَّم من مصدر.", da: "Relaterer en ressource til en agent, der hædres af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der durch eine Ressource geehrt wird.", fi: "Liittää aineiston toimijaan, jolle aineistolla osoitetaan arvostusta ja kunnioitusta.", "zh-hans-cn": "将一种资源与被一种资源纪念的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/honouree.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60634",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has honouree", ar: "له مكرَّم", da: "har festskriftmodtager", de: "hat Gefeierte/Gefeierten", fi: "kunnioitettu henkilö aineistossa", nl: "heeft geëerde", "zh-hans-cn": "有被纪念者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60407,
      definition: {en: "Relates a resource to an agent who is responsible for broadcasting a resource to an audience via radio, television, webcast, or other transmission media.", ar: "يربط مصدر بوكيل مسؤول عن بث مصدر إلى جمهور عبر إذاعة، تلفزيون، إنترنت، أو وسائط نقل أخرى.", da: "Relaterer en ressource til en agent, der har været involveret i transmissionen af en ressource til et publikum via radio, tv, webcast etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Ausstrahlung einer Ressource über Hörfunk, Fernsehen oder Webcast oder andere Übertragungsmedien verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa radio-, televisio-, suoratoisto- tms. lähetyksen välittämisestä yleisölle.", "zh-hans-cn": "将一种资源与负责通过广播、电视、网络直播或其他传输媒介向受众广播一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/broadcaster.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60635",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has broadcaster", ar: "له مُذيع", da: "har broadcaster", de: "hat Sender", fi: "lähetyksestä vastaava henkilö aineistossa", nl: "heeft uitzender", "zh-hans-cn": "有广播者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60444",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60408,
      definition: {en: "Relates a resource to an agent who is responsible for distributing a moving image resource to theatres or other distribution channels.", ar: "يربط مصدر بوكيل مسؤول عن توزيع مصدر فيلم على قاعات العرض أو عبر قنوات أخرى.", da: "Relaterer en ressource til en agent, der har været involveret i distribueringen af en levende billed-ressource til biografer eller andre distributionskanaler.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für den Vertrieb einer Bewegtbildressource an Kinos oder andere Vertriebskanäle verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa elokuvan tms. aineiston jakamisesta elokuvateattereille tai muille jakelukanaville.", "zh-hans-cn": "将一种资源与负责向剧院或其他发行渠道发行动态图像资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmDistributor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60636",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has film distributor", ar: "له موزع فيلم", da: "har filmdistributør", de: "hat Filmvertrieb", fi: "elokuvan jakelija aineistossa", nl: "heeft filmdistributeur", "zh-hans-cn": "有电影发行者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60438",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60409,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by being responsible for the entire graphic design of a book, including arrangement of type and illustration, choice of materials, and process used.", ar: "يربط مصدربوكيل مسؤول عن إنتاج مصدر بالتصميم الجرافيكي لكتاب بالكامل، ويشمل ذلك تنسيق الحروف، والإيضاحيات، واختيار المواد، والعمليات المستخدمة.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at være ansvarlig for hele en bogs grafiske design, inkl. opsætning af tekst og illustrationer, materialevalg og anvendt proces.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er für das gesamte grafische Design eines Buchs, einschließlich Schriftbild, Bildgestaltung, Materialwahl und angewandter Verfahren, verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta vastaamalla kirjan graafisesta suunnittelusta, taitosta, materiaalien valinnasta ja käytettävistä valmistusmenetelmistä.", "zh-hans-cn": "将一种资源与通过负责图书的整体图形设计（包括字体和插图的编排、材料的选取和工艺流程的使用等）对资源创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bookDesigner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60637",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has book designer", ar: "له مُصمم كتاب", da: "har bogdesigner", de: "hat Buchgestalterin/Buchgestalter", fi: "aineiston graafinen suunnittelija", nl: "heeft boekontwerper", "zh-hans-cn": "有图书设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60410,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by cutting letters, figures, or other marks on a surface such as a wooden or metal plate used for printing.        ", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر بنقش حروف، أشكال، أو رموز أخرى على سطح مثل لوح خشبي أو معدني يستخدم للطباعة.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at udskære bogstaver, figurer etc. på en overflade såsom en træ- eller metalplade, der har været anvendt til trykning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er Buchstaben, figürliche Darstellungen und so weiter in eine Oberfläche, wie zum Beispiel eine Holz- oder Metallplatte schneidet, die zum Drucken benutzt wird.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta kaivertamalla kirjaimia, kuvioita tai muita merkkejä painamisessa käytettävälle pinnalle, kuten puu- tai metallipinnalle.", "zh-hans-cn": "将一种资源与通过在用于印刷的木版或金属版的表面上雕刻字母、图像或其他记号负责资源的创建的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/engraver.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60638",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has engraver", ar: "له نقّاش", da: "har gravør", de: "hat Stecherin/Stecher", fi: "aineiston kaivertaja", nl: "heeft graveur", "zh-hans-cn": "有雕版者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60412",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60411,
      definition: {en: "Relates a resource to an agent who is responsible for manufacturing a resource by embossing braille cells using a stylus, special embossing printer, or other device.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر عن طريق نقش حروف برايل باستخدام قلم أو طابعة خاصة للنقش أو أي أداة أخرى.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at præge brailleceller vha. en stift, særlig prægeprinter eller andet apparatur.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource in Form von Braillezeichen verantwortlich ist, indem er einen Griffel, einen speziellen Brailledrucker oder ein anderes Gerät zum Prägen verwendet.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta tuottamalla pistekirjoitusmerkkejä piirtimen, erityistulostimen tai muun laitteen avulla.", "zh-hans-cn": "将一种资源与涉及通过使用刻写针、专门的压纹机或其他设备压印布莱叶盲文而对一种资源的生产负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/brailleEmbosser.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60639",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has braille embosser", ar: "له نقاش حروف بطريقة برايل", da: "har braillepræger", de: "hat Brailleschriftprägerin/Brailleschriftpräger", fi: "aineiston pistekirjoituksen tekijä", nl: "heeft brailleerder", "zh-hans-cn": "有布莱叶盲文点字制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60443",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60412,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by making a relief, intaglio, or planographic printing surface.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر بعمل سطح طباعة بارزة، أو غائرة، أو مستوية.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at lave en relief-, dybtryks- eller fladtryksoverflade.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er eine Hochdruck-, Tiefdruck- oder Flachdruckoberfläche erstellt.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston valmistamiseen valmistamalla kohokuvan, syväpainon tai laakapainon painopinnan.", "zh-hans-cn": "将一种资源与通过制作浮雕、凹版或平版印刷表面对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60410", "http://rdaregistry.info/Elements/u/P60414", "http://rdaregistry.info/Elements/u/P60416", "http://rdaregistry.info/Elements/u/P60417"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/printmaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60640",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has printmaker", ar: "له طبّاع", da: "har grafiker", de: "hat Druckgrafikerin/Druckgrafiker", fi: "aineiston kuvalaatan valmistaja", nl: "heeft maker van platen", "zh-hans-cn": "有印版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60413,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by pouring a liquid or molten substance into a mold and leaving it to solidify to take the shape of the mold.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر بصب مادة سائلة أو مصهورة في قالب وتركها للتصلب لأخذ شكل القالب.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressourcer ved at hælde en væske eller et varmt, flydende stof i en form og lade det størkne, så det har taget facon efter formen.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er eine Flüssigkeit oder eine geschmolzenen Substanz in eine Form gießt, die in der Gießform verbleibt, bis sie ausgehärtet ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta muovaamalla sulatettua tai nestemäistä ainetta muotin avulla.", "zh-hans-cn": "将一种资源与通过将液体或融化的物质倒入模具中使其按模具固化成型而对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/caster.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60641",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has caster", ar: "له عامل صب", da: "har støber", de: "hat Formgießerin/Formgießer", fi: "aineiston valaja", nl: "heeft gieter", "zh-hans-cn": "有铸造者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60414,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by preparing a stone or plate for lithographic printing.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر من خلال تجهيز حجر أو لوح للطباعة الحجرية.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at forberede en sten eller plade til litografisk trykning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er einen Stein oder eine Platte für lithografischen Druck vorbereitet.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta valmistamalla litografiassa käytetyn kivilaatan tai muun painolaatan.", "zh-hans-cn": "将一种资源与通过制作用于平版印刷的石头或平版而对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lithographer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A lithographer includes a graphic artist creating a design directly on the surface from which printing will be done.", ar: "يتضمن مصطلح طبّاع على الحجر كذلك إلى فنان الجرافيك الذي ينشيء تصميما مباشرة على السطح الذي ستتم الطباعة منه.", da: "En litograf omfatter en grafiker, der har skabt et design direkte på overfladen, hvorfra trykning vil blive lavet.", de: "Darunter fallen Grafikerinnen/Grafiker, die ein Muster direkt auf der Oberfläche erstellen, von der aus gedruckt werden soll.", fi: "Litografi tarkoittaa myös graafikkoa, joka tekee piirroksen suoraan painamiseen käytettävälle pinnalle.", "zh-hans-cn": "平版制作者包括直接在用于印刷的表面进行设计创作的平面美术家"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60642",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has lithographer", ar: "له طبّاع على الحجر", da: "har litograf", de: "hat Lithografin/Lithograf", fi: "aineiston litografi", nl: "heeft lithograaf", "zh-hans-cn": "有平版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60412",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60415,
      definition: {en: "Relates a resource to an agent who is responsible for preparing plates used in the making of printed images or text in a resource.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر من خلال إعداد اللوحات المستخدمة في إنتاج الصور المطبوعة أو النص.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at forberede plader, der anvendes til fremstilling af trykte billeder og/eller tekst.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er Druckformen für die Produktion von gedruckten Bildern oder gedrucktem Text anfertigt.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta valmistamalla painettujen kuvien tai tekstin valmistuksessa käytettäviä painolaattoja tai -levyjä.", "zh-hans-cn": "将一种资源与负责准备用于在一种资源中制作印刷图像或文字的印版的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/platemaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60643",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has platemaker", ar: "له مُحضر سطح طباعي", da: "har plademager", de: "hat Druckformherstellerin/Druckformhersteller", fi: "painolaatan valmistaja", nl: "heeft platenmaker", "zh-hans-cn": "有制版者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61008",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60416,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by subjecting metal, glass, or some other surface used for printing, to acid or another corrosive substance.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر من خلال غمر معدن أو زجاج أو أي سطح آخر يستخدم للطباعة، لحامض، أو في أي مادة أخرى كاوية.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource ved at udsætte metal, glas eller en anden overflade, der anvendes til trykning, for syre eller et andet ætsende stof.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er Metall, Glas oder eine andere Oberfläche, die zum Drucken benutzt wird, mit Säure oder einer anderen ätzenden Substanz behandelt.", fi: "Liittää aineiston toimijaan, joka on vastuussa aineiston valmistamisesta etsaamalla metallia, lasia tai muuta pintaa hapon tai muun syövyttävän aineen avulla.", "zh-hans-cn": "将一种资源与通过使用酸或其他腐蚀性物质施于用来印刷的金属、玻璃或其他表面上而对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/etcher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60644",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has etcher", ar: "له حَفَّارُ بالزِنْكُوغْراف (الكليشيهات)", da: "har raderer", de: "hat Radiererin/Radierer", fi: "etsaaja", nl: "heeft etser", "zh-hans-cn": "有蚀刻者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60412",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60417,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by preparing a hardened film of gelatin or other colloid that has ink-receptive and ink-repellent surfaces and that is used to make prints using a photomechanical process.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر من خلال استخدام عمليات ميكانيكية ضوئية لإنتاج المطبوعات مباشرة من فيلم صلد من الجيلاتين أو من غيره من المواد الغروية التي تحتوي على أسطح مستقبلة أو طاردة للحبر.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource vha. en fotomekanisk proces, hvorved der er blevet lavet tryk direkte fra et hærdet gelatinelag eller andet kolloid, der har blækmodtagelige og blækafvisende overflader.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource verantwortlich ist, indem er ein fotomechanisches Verfahren zur Herstellung von Abzügen direkt von einem gehärteten Film aus Gelatine oder einem anderen Kolloid verwendet, der druckerfarbenaufnehmende und -abweisende Oberflächen aufweist.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston luomiseen tekemällä vedoksia suoraan kovettuneelta gelatiinifilmiltä tai muulta materiaalilta, jossa on mustetta imeviä ja hylkiviä pintoja.", "zh-hans-cn": "将一种资源与通过利用一面吸墨而另一面不吸墨的明胶或其他硬胶片进行影印对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collotyper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60645",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has collotyper", ar: "طبّاع صور فوتوغرافية", da: "har lystrykker", de: "hat Lichtdruckerin/Lichtdrucker", fi: "kunnioitettu henkilö aineistossa", nl: "heeft collotype-maker", "zh-hans-cn": "有珂罗版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60412",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60418,
      definition: {en: "Relates a resource to an agent who is responsible for manufacturing a resource of printed text, notated music, or other content from type or plates.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج مصدر لنص مطبوع، موسيقى مدونة أو محتوى من نوع أو من لوحات آخرى.", da: "Relaterer en ressource til en agent, der har været involveret i fremstillingen af en ressource af trykt tekst, noteret musik etc. fra skrift eller plader, såsom en bog, en avis, et magasin, en plakat, et partitur etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Herstellung einer Ressource von gedrucktem Text, Noten oder anderem Inhalt durch Drucktypen oder Druckformen verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastuussa painetun tekstin, nuottiaineiston tai muun aineiston valmistamiseen painolaatalta tai -levyltä.", "zh-hans-cn": "将一种资源与负责生产用活字或平版印刷文字、乐谱或其他内容的一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/printer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60646",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has printer", ar: "له طابعة", da: "har trykker", de: "hat Druckerin/Drucker", fi: "aineiston painaja", nl: "heeft drukker", "zh-hans-cn": "有印刷者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60443",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60419,
      definition: {en: "Relates a resource to an agent mentioned in an \"X presents\" credit for moving image materials and who is probably associated with production, finance, or distribution in some way.", ar: "يربط مصدر بوكيل وارد ذكره في \"أحد التقديمات\" مسؤول عن نقل مواد صور متحركة وربما يكون مرتبطا بطريقة ما بالإنتاج أو التمويل أو التوزيع", da: "Relaterer en ressource til en agent, der er nævnt i en fortekst i levende billedmaterialer som ”X præsenterer”, og som sandsynligvis er knyttet til produktion, finansiering eller distribution på en eller anden måde.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der in einem \"X präsentiert\"-Vorspann für Bewegtbildmaterialien erwähnt wird und der wahrscheinlich mit der Produktion, Finanzierung oder dem Vertrieb in Verbindung steht.", fi: "Liittää aineiston toimijaan, joka mainitaan alku- tai lopputekstien \"X esittää:\" -merkinnössä ja joka todennäköisesti liittyy liikkuvan kuvan teoksen aineiston tuotantoon, rahoitukseen tai jakeluun jollakin tavoin.", "zh-hans-cn": "将一种资源与一种动态图像资源的摄制人员名单中以“某某 出品”（X presents）的方式被提及的且和制作、财务或发行等有某些联系的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/presenter.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60647",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has presenter", ar: "له مُقدم", da: "har presenter", de: "hat Präsentatorin/Präsentator", fi: "esittäjä aineistossa", nl: "heeft presenterende", "zh-hans-cn": "有出品人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60420,
      definition: {en: "Relates a resource to an agent who is an academic supervisor who is responsible for advising or overseeing thesis or dissertation research for an academic degree that results in a resource.", ar: "يربط مصدر بمشرف أكاديمي مسؤول عن تقديم المشورة أو الإشراف على أطروحة ماجستير أو دكتوراه للحصول على درجة علمية تسفر عن مصدر.", da: "Relaterer en ressource til en agent, der vejleder ved udarbejdelsen af afhandlingen til enten en akademisk grad eller et speciale.", de: "Setzt eine Ressource in Beziehung zu einer akademischen Betreuerin/einem akademischen Betreuer, die/der für die Beratung und Aufsicht von Forschungstätigkeiten im Rahmen einer Hochschulschrift verantwortlich ist, die zur Erlangung eines akademischen Grads und zu einer Ressource führen.", fi: "Liittää aineiston toimijaan, joka vastaa akateemisen opinnäytteen tai väitöskirjan ohjaamisesta tai valvomisesta.", "zh-hans-cn": "将一种资源与作为学术主管、负责对导致一种资源的学位论文提出建议或进行监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeSupervisor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60649",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has degree supervisor", ar: "مشرف على درجة أكاديمية", da: "har vejleder", de: "hat Betreuerin/Betreuer einer Hochschulschrift", fi: "opinnäytteen ohjaaja aineistossa", nl: "heeft graad-begeleider", "zh-hans-cn": "有学位导师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60421,
      definition: {en: "Relates a resource to an agent who decorates a specific resource using precious metals or colour, often with elaborate designs and motifs.", ar: "يربط مصدر بوكيل يقوم بتزيين مصدر محدد باستخدام معادن ثمينة أو ألوان، غالبًا بتصاميم وزخارف منمقة.", da: "Relaterer en ressource til en agent, der tilfører udsmukning til en særlig ressource vha. ædelmetal eller farve, ofte med udsøgte mønstre og motiver.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine bestimmte Ressource durch Edelmetalle oder Farben, häufig mit kunstvollen Mustern und Motiven, (aus-)gestaltet.", fi: "Liittää aineiston toimijaan, joka koristelee tietyn aineiston, usein yksityiskohtaisin kuvioin tai motiivein, käyttäen jalometalleja tai värejä.", "zh-hans-cn": "将一种资源与用贵重的金属或色彩（通常有精心的设计和图案）装饰一种特定资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/illuminator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60650",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has illuminator", ar: "له مزخرِف", da: "har illuminator", de: "hat Illuminatorin/Illuminator", fi: "aineiston illuminoinnin tekijä", nl: "heeft verluchter", "zh-hans-cn": "有彩饰者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60422,
      definition: {en: "Relates a resource to an agent who is responsible for assembling, arranging, and trimming film, video, or other moving image formats, including both visual and audio aspects.", ar: "يربط مصدر بوكيل مسؤول عن تجميع أفلام، فيديو أو أشكال الصور المتحركة الأخرى وترتيبها وتشذيبها، بما في ذلك الجوانب المرئية والمسموعة.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have sammensat, arrangeret og klippet film, video eller andre levende billedformater, inkl. både visuelle og lydmæssige aspekter.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Zusammensetzen, Arrangieren und Nachschneiden von Film-, Video- oder anderen Bewegtbildformaten zuständig ist. Dies betrifft sowohl Video- als auch Audio-Eigenschaften.", fi: "Liittää aineiston toimijaan, joka vastaa elokuvan, videon tai muiden elokuvaformaattien kokoamisesta, järjestämisestä ja leikkauksesta sekä kuvan että äänen osalta.", "zh-hans-cn": "将一种资源与对影片、视频或其他动态图像格式（包括视频和音频方面）的汇编、编排和剪辑负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60663",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorOfMovingImageResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60651",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has editor of moving image resource", ar: "له محرر مصدر صور متحركة", da: "klipper", de: "hat Filmeditorin/Filmeditor", fi: "liikkuvan kuvan leikkaaja aineistossa", nl: "heeft filmeditor van bewegend beeld-resource", "zh-hans-cn": "有动态图像资源的剪辑师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60423,
      definition: {en: "Relates a resource to an agent who is responsible for creating a computer program.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء برنامج كمبيوتر.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt et computerprogram.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung eines Computerprogramms verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa tietokoneohjelman luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种计算机程序的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/programmer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60652",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has programmer", ar: "له مُبرمج", da: "har programmør", de: "hat Programmiererin/Programmierer", fi: "aineiston ohjelmoija", nl: "heeft programmeur", "zh-hans-cn": "有编程者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60424,
      definition: {en: "Relates a resource to an agent who is responsible for creating a design for an object.", ar: "يربط مصدر بوكيل مسؤول عن إعداد تصميم لكائن ما.", da: "Relaterer en ressource til en agent, der er ansvarlig for ideen bag designet for et objekt.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Gestaltung des Designs eines Objekts verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa esineen suunnittelusta.", "zh-hans-cn": "将一种资源与负责创建一个物体的设计的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/designer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60653",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has designer", ar: "له مُصمم", da: "har designer", de: "hat Designerin/Designer", fi: "aineiston suunnittelija", nl: "heeft ontwerper", "zh-hans-cn": "有设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60425,
      definition: {en: "Relates a resource to an agent who is responsible for a cartographic resource.", ar: "يربط مصدر بوكيل مسؤول عن مصدر خرائطي", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt et kort, et atlas, en globus eller en anden kartografisk ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für eine kartografische Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa kartografisesta aineistosta.", "zh-hans-cn": "将一种资源与负责一种地图资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/cartographer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60654",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has cartographer", ar: "له رسام خرائط", da: "har kartograf", de: "hat Kartografin/Kartograf", fi: "aineiston kartografi", nl: "heeft cartograaf", "zh-hans-cn": "有地图绘制者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60426,
      definition: {en: "Relates a resource to an agent who is responsible for creating a musical resource.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر موسيقي.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en musikressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung einer Musikressource verantwortlich ist.", fi: "Liitää aineiston toimijaan, joka vastaa musiikkiaineiston luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种音乐资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/composer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Adaptation of another musical resource to form a distinct alteration, paraphrasing a resource or creating a resource in the general style of another composer, or creating a resource that is based on the music of another composer, is included.", ar: "يتم تضمين تكييف مصدر موسيقي آخر لتشكيل تغيير مميز، أو إعادة صياغة مصدر أو إنشاء مصدر بالأسلوب العام لمؤلف موسيقي آخر، أو إنشاء مصدر يعتمد على موسيقى مُلحن آخر.", da: "Bearbejdninger af en anden musikressource for at danne en distinkt forandring ved at parafrasere en ressource eller skabe en ressource i en anden komponists typiske stil, eller skabe en ressource, der er baseret på en anden komponists musik, er omfattet.", de: "Darunter fallen Adaptionen anderer Musikressourcen, die sich deutlich vom Original unterscheiden, Paraphrasierungen von Ressourcen oder Schaffungen neuer Ressourcen im Stil einer anderen Komponistin/eines anderen Komponisten oder Schaffungen von Ressourcen, die auf der Musik einer anderen Komponistin/eines anderen Komponisten basieren.", fi: "Koskee toisen musiikkiaineiston muuttamista erillisen muunnoksen muodostamiseksi, mukailua, aineiston luomista toisen säveltäjän tyylillä taitai toisen säveltäjän musiikkiin perustuvan aineiston luomista.", "zh-hans-cn": "包括将另一种音乐资源改编以形成一种不同的变化形式、将一种资源演绎或用另一个作曲者的一般风格创建一种新的资源、或者基于另一个作曲者的音乐创建一种新的资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60655",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has composer", ar: "له مُلحن", da: "komponist", de: "hat Komponistin/Komponist", fi: "aineiston säveltäjä", nl: "heeft componist", "zh-hans-cn": "有作曲者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60427,
      definition: {en: "Relates a resource to an agent who is responsible for creating a new device or process.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء جهاز جديد أو عملية جديدة.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ny anordning eller proces.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung eines neuen Geräts oder Prozesses verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa uuden laitteen tai prosessin luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种新装置或新过程的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inventor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60656",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has inventor", ar: "له مخترع", da: "har opfinder", de: "hat Erfinderin/Erfinder", fi: "keksijä aineistossa", nl: "heeft uitvinder", "zh-hans-cn": "有发明者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60428,
      definition: {en: "Relates a resource to an agent who is responsible for creating a metadata description set.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر جديد مثل ببليوجرافية أو دليل عن طريق اختيار البيانات والمعلومات وترتيبها وتجميعها وتحريرها، إلخ.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ny ressource, fx en bibliografi eller en fortegnelse, ved at udvælge, arrangere, samle og redigere data, information etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der durch Selektieren, Gliedern, Aggregieren und Editieren von Daten und Informationen und so weiter für die Schaffung einer neuen Ressource, zum Beispiel einer Bibliografie oder eines Verzeichnisses, verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa metatietokokonaisuuden luomisesta.", "zh-hans-cn": "将一种资源与负责创建一个元数据描述集的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60393",
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60067",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/compiler.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A metadata description set includes a bibliography of resources, a directory of agents and places, and an analytic finding aid.", ar: "يُستبعد مراجعة أو توضيح محتوى، أو اختيار وتجميع مصادر أو أجزاء من المصادر معًا، بواسطة واحد أو أكثر من المبدعين.", da: "Revisioner eller indholdspræciseringer, eller udvælgelse og sammensætning af værker og dele af ressourcer, af et eller flere ophav er ikke omfattet.", de: "Darunter fallen keine Überarbeitungen oder Erläuterungen des Inhalts oder die Auswahl und das Zusammenstellung von Ressourcen oder Teilen von Ressourcen durch eine geistige Schöpferin/einen geistigen Schöpfer oder mehrere geistige Schöpferinnen/geistiger Schöpfer.", fi: "Metatietokokonaisuus sisältää aineistojen bibliografian, toimijoiden ja paikkojen hakemiston sekä luettelon.", "zh-hans-cn": "元数据描述集包括资源的书目、行为者和地点的名录、以及分析查询工具。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60657",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has compiler", ar: "له جامع", da: "har kompilator", de: "hat Zusammenstellende/Zusammenstellenden", fi: "aineiston kokoaja", nl: "heeft samensteller", "zh-hans-cn": "有编纂者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61091",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60429,
      definition: {en: "Relates a resource to an agent who is responsible for creating a photographic resource.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر فوتوجرافي.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en fotografisk ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung eines fotografischen Werks verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa valokuva-aineiston luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种摄影资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/photographer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60658",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has photographer", ar: "له مصوِّر فوتوجرافي", da: "har fotograf", de: "hat Fotografin/Fotograf", fi: "aineiston valokuvaaja", nl: "heeft fotograaf", "zh-hans-cn": "有摄影者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60430,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by acting as an interviewer, reporter, pollster, or some other kind of agent who gathers information.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر من خلال العمل كمحاور أو مراسل أو خبير استطلاعات رأي أو وكيل من نوع آخر يجمع المعلومات.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ressource ved at optræde som interviewer, journalist, medarbejder ved et meningsmålingsinstitut eller en anden informationsindsamler.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung einer Ressource verantwortlich ist, indem er als Interviewerin/Interviewer, Reporterin/Reporter, Meinungsforscherin/Meinungsforscher oder anderer Akteur Informationen zusammenträgt.", fi: "Liittää aineiston toimijaan, joka vastaa aineiston luomisesta toimimalla haastattelijana, toimittajana, mielipidetutkijana tai muunlaisena tiedonkerääjänä.", "zh-hans-cn": "将一种资源与通过担当采访者、记者、民意调查员或其他类型信息搜集行为者而对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/interviewer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60659",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has interviewer", ar: "له مُحاور", da: "har interviewer", de: "hat Interviewerin/Interviewer", fi: "haastattelija aineistossa", nl: "heeft interviewer", "zh-hans-cn": "有采访者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60431,
      definition: {en: "Relates a resource to an agent who is responsible for creating an original graphic design, drawing, painting, etc.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء تصميم رسومي أصلي، رسم، تصوير زيتي...إلخ.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt et værk ved at udtænke, og ofte udføre originalgrafik, en original tegning, et originalt maleri etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung einer originalen grafischen Gestaltung, einer Zeichnung, eines Gemäldes und so weiter verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa alkuperäisen graafisen suunnittelun, piirroksen, maalauksen tms. luomisesta.", "zh-hans-cn": "将一种资源与负责完成原创图形设计、绘图、绘画等的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60475", "http://rdaregistry.info/Elements/u/P60752", "http://rdaregistry.info/Elements/u/P60753"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/artist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60660",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has artist", ar: "له فنان", da: "har kunstner", de: "hat Künstlerin/Künstler", fi: "taiteilija aineistossa", nl: "heeft kunstenaar", "zh-hans-cn": "有美术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60432,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource by responding to an interviewer, usually a reporter, pollster, or some other kind of agent who gathers information.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر من خلال الاستجابة لمحاور، وعادة ما يكون مراسلًا أو مستطلع رأي أو وكيل من نوع آخر يجمع معلومات.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ressource ved at besvare spørgsmål fra en interviewer, normalt en journalist, medarbejder ved et meningsmålingsinstitut eller en anden informationsindsamler.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung einer Ressource verantwortlich ist, indem er einer Interviewerin/einem Interviewer antwortet. Dabei handelt es sich normalerweise um eine Reporterin/einen Reporter, eine Meinungsforscherin/einen Meinungsforscher oder eine andere Akteurin/einen anderen Akteur, die/der Informationen zusammenträgt.", fi: "Liittää aineiston toimijaan, joka vastaa aineiston luomisesta vastaamalla haastattelijalle. Yleensä haastattelija on toimittaja, mielipidetutkija tai muunlainen tiedonkeruun tekijä.", "zh-hans-cn": "将一种资源与通过回答采访者（通常是记者、民意调查员或其他类型信息搜集行为者）而对一种资源的创建负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/interviewee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60661",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has interviewee", ar: "له مُستجوَب", da: "har interviewede", de: "hat Interviewte/Interviewten", fi: "haastateltava aineistossa", nl: "heeft geïnterviewde", "zh-hans-cn": "有受访者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60433,
      definition: {en: "Relates a resource to an agent who is responsible for creating a choreographic resource.", ar: "يربط مصدر بوكيل مسؤول عن مصدر لتصميم الرقصات.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ressource bestående af bevægelser.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für eine choreografische Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa koreografisesta aineistosta.", "zh-hans-cn": "将一种资源与负责创建一种编舞资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choreographer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60662",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has choreographer", ar: "له مصمم رقصات", da: "har koreograf", de: "hat Choreografin/Choreograf", fi: "aineiston koreografi", nl: "heeft choreograaf", "zh-hans-cn": "有编舞者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60434,
      definition: {en: "Relates a resource to an agent who is responsible for a textual resource.", ar: "يربط بين مصدرووكيل مسؤول عن مصدر نصي.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en ressource, hvis indhold primært består af tekst, uanset hvilken medietype eller genre der er tale om.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für eine textliche Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa tekstiaineistosta.", "zh-hans-cn": "将一种资源与负责一种文字资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60476", "http://rdaregistry.info/Elements/u/P60477", "http://rdaregistry.info/Elements/u/P60478", "http://rdaregistry.info/Elements/u/P60751"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/author.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60663",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has author", ar: "له مؤلف", da: "har forfatter", de: "hat Verfasserin/Verfasser", fi: "aineiston kirjoittaja", nl: "heeft auteur", "zh-hans-cn": "有著者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60435,
      definition: {en: "Relates a resource to an agent who is responsible for an architectural design, including a pictorial representation intended to show how a building or other structure will look when completed.", ar: "يربط مصدر بوكيل مسؤول عن تصميم معماري، ويشمل ذلك عمل تمثيل تصويري لبيان كيف سيبدو مبنى أو هيكل آخر عند اكتماله.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt et arkitektonisk design, inkl. en billedrepræsentation, der er beregnet til at vise, hvordan en bygning etc. vil se ud, når den er færdig.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für einen architektonischen Entwurf verantwortlich ist, einschließlich einer bildlichen Darstellung, die zeigt, wie ein Gebäude oder eine andere Konstruktion nach der Fertigstellung aussehen soll.", fi: "Liittää aineiston toimijaan, joka vastaa arkkitehtonisen suunnitelman luomisesta, mukaan lukien kuvaesityksestä, jonka tarkoitus on näyttää, miltä rakennus tai muu rakennelma näyttää valmiina.", "zh-hans-cn": "将一种资源与负责建筑设计（包括用于展示建筑或其他结构完成之后外观效果的绘画作品）的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60473",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/architect.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60664",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has architect", ar: "له مهندس معماري", da: "har arkitekt", de: "hat Architektin/Architekt", fi: "aineiston arkkitehti", nl: "heeft architect", "zh-hans-cn": "有建筑师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60436,
      definition: {en: "Relates a resource to an agent who is responsible for creating an independent or personal film.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء فيلم مستقل أو شخصي.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have skabt en uafhængig eller personlig film.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung eines unabhängigen oder privaten Films verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa itsenäisen tai henkilökohtaisen elokuvan luomisesta.", "zh-hans-cn": "将一种资源与负责创建一种独立或个人电影的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmmaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60665",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has filmmaker", ar: "له صانع أفلام", da: "har filmskaber", de: "hat Filmemacherin/Filmemacher", fi: "aineiston elokuvantekijä", nl: "heeft filmmaker", "zh-hans-cn": "有制片人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60437,
      definition: {en: "Relates a resource to an agent who is responsible for designing the overall visual appearance of a moving image production.", ar: "يربط مصدر بوكيل مسؤول عن تصميم المظهر المرئي العام لإنتاج فيلم.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have designet en levende billedproduktions overordnede visuelle udseende.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Gestaltung des gesamten visuellen Erscheinungsbilds einer Bewegtbildproduktion verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa elokuvatuotannon visuaalisen ilmeen suunnittelusta.", "zh-hans-cn": "将一种资源与负责设计动态图像制作整体视觉效果的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionDesigner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60666",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production designer", ar: "له مصمم إنتاج", da: "har produktionsdesigner", de: "hat Szenenbildnerin/Szenenbildner", fi: "aineiston tuotantosuunnittelija", nl: "heeft productieontwerper", "zh-hans-cn": "有制作设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60438,
      definition: {en: "Relates a resource to an agent who is responsible for distributing a published resource.", ar: "يربط مصدر بوكيل مسؤول عن توزيع مصدر منشور.", da: "Relaterer en ressource til en agent, der er ansvarlig for distribution af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für den Vertrieb einer Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa julkaistun aineiston jakelusta.", "zh-hans-cn": "将一种资源与负责发行一种出版资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60408",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/distributor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60667",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has distributor", ar: "له موزع", da: "har distributør", de: "hat Vertrieb", fi: "aineiston jakelija", nl: "heeft distributeur", "zh-hans-cn": "有发行者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60440,
      definition: {en: "Relates a resource to an agent who is responsible for inscribing, fabricating, constructing, or other method of producing, an unpublished resource.", ar: "يربط مصدر بوكيل مسؤول عن تسجيل، تصنيع، إنشاء، إلخ. مصدر غير منشور.", da: "Relaterer en ressource til en agent, der er ansvarlig for indgravering, fremstilling, konstruktion etc. af en manifestation i upubliceret form.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Gravieren, Fabrizieren, Konstruieren und so weiter einer unveröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa julkaisemattoman aineiston kaiverruksesta, valmistuksesta, kokoonpanosta tai muusta tuotantotavasta.", "zh-hans-cn": "将一种资源与负责一种非出版资源的镌刻、制造、构建或其他制作方法的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/producerOfUnpublishedResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60817",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has producer of unpublished resource", ar: "له منتج لمصدر غير منشور", da: "har producer af en upubliceret ressource", de: "hat Erzeugerin/Erzeuger einer unveröffentlichten Ressource", fi: "julkaisemattoman aineiston tuottaja", nl: "heeft producent van ongepubliceerde resource", "zh-hans-cn": "有非出版资源的制作者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60441,
      definition: {en: "Relates a resource to an agent who is responsible for most of the business aspects of a production for screen, sound recording, television, webcast, etc.", ar: "يربط مصدر بوكيل مسؤول عن تسجيل، تصنيع، إنشاء، أو بأي طريقة أخرى من طرق الإنتاج، مصدر غير منشور.", da: "Relaterer en ressource til en agent, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved en produktion beregnet til lærred, lydoptagelse, tv, webcast etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Gravieren, Fabrizieren, Konstruieren und so weiter einer unveröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa julkaisemattoman aineiston kaiverruksesta, valmistuksesta, kokoonpanosta tms.", "zh-hans-cn": "将一种资源与负责银幕、录音、电视、网络直播等制作的大部分商业运作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60169", "http://rdaregistry.info/Elements/u/P60170", "http://rdaregistry.info/Elements/u/P60171", "http://rdaregistry.info/Elements/u/P60889"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/producer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60668",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has producer", ar: "له منتج", da: "har producer", de: "hat Produzentin/Produzent", fi: "aineiston tuottaja", nl: "heeft producent", "zh-hans-cn": "有制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60442,
      definition: {en: "Relates a resource to an agent responsible for performing, narrating, and/or presenting a resource. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/performerNarratorAndOrPresenter.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has performer, narrator, and/or presenter (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60443,
      definition: {en: "Relates a resource to an agent who is responsible for printing, duplicating, casting, or other method of manufacturing a published resource.", ar: "يربط مصدر بوكيل مسؤول عن طبع، نسخ، طَرَح، أو مرتبط بأي طريقة أخرى بتصنيع مصدر منشور.", da: "Relaterer en ressource til en agent, der er ansvarlig for trykning, duplikering, støbning etc. af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für den Druck, die Vervielfältigung, den Guss oder eine andere Herstellungsmethode einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa julkaistun aineiston painamisesta, monistamisesta, kirjasinten valamisesta tai muusta valmistustavasta.", "zh-hans-cn": "将一种资源与负责一种出版资源的印刷、复制、铸造或其他生产方法的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60411", "http://rdaregistry.info/Elements/u/P60418"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/manufacturer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60669",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has manufacturer", ar: "له مُصَنِّع", da: "har producent", de: "hat Hersteller", fi: "aineiston valmistaja", nl: "heeft vervaardiger", "zh-hans-cn": "有生产者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60444,
      definition: {en: "Relates a resource to an agent who is responsible for publishing, releasing, or issuing a published resource.", ar: "يربط مصدر بوكيل مسؤول عن نشر، تحرير، أو إصدار مصدر منشور.", da: "Relaterer en ressource til en agent, der er ansvarlig for at publicere, offentliggøre eller udgive en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Veröffentlichen, die Freigabe oder die Herausgabe einer Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa julkaistun manifestaation kustantamisesta, julkaisemisesta tai ilmestymisestä.", "zh-hans-cn": "将一种资源与负责出版、发布或发行一种出版资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60407",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/publisher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60670",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has publisher", ar: "له ناشر", da: "har udgiver", de: "hat Verlag", fi: "aineiston kustantaja", nl: "heeft uitgever", "zh-hans-cn": "有出版者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60446,
      definition: {en: "Relates a resource to an agent who is responsible for recording the minutes of a meeting.", ar: "يربط مصدر بوكيل مسؤول عن تسجيل محاضر اجتماع.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have taget referat ved et møde.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Aufzeichnen des Protokolls einer Sitzung verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa kokouksen pöytäkirjan laatimisesta.", "zh-hans-cn": "将一种资源与负责写会议记录的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/minuteTaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60671",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has minute taker", ar: "له مدون لمحضر اجتماع", da: "har referent", de: "hat Protokollantin/Protokollant", fi: "pöytäkirjan laatija aineistossa", nl: "heeft notulist", "zh-hans-cn": "有会议记录者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60447,
      definition: {en: "Relates a resource to an agent who is responsible for a resource", ar: "يربط مصدر بوكيل مسؤول عن مصدر.", da: "Relaterer en ressource til en agent, der er ansvarlig for en ressources tilblivelse.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für eine Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa aineistosta.", "zh-hans-cn": "将一种资源与负责一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60045", "http://rdaregistry.info/Elements/u/P60066", "http://rdaregistry.info/Elements/u/P60096", "http://rdaregistry.info/Elements/u/P60409", "http://rdaregistry.info/Elements/u/P60412", "http://rdaregistry.info/Elements/u/P60413", "http://rdaregistry.info/Elements/u/P60420", "http://rdaregistry.info/Elements/u/P60423", "http://rdaregistry.info/Elements/u/P60424", "http://rdaregistry.info/Elements/u/P60425", "http://rdaregistry.info/Elements/u/P60426", "http://rdaregistry.info/Elements/u/P60427", "http://rdaregistry.info/Elements/u/P60429", "http://rdaregistry.info/Elements/u/P60430", "http://rdaregistry.info/Elements/u/P60431", "http://rdaregistry.info/Elements/u/P60432", "http://rdaregistry.info/Elements/u/P60433", "http://rdaregistry.info/Elements/u/P60434", "http://rdaregistry.info/Elements/u/P60435", "http://rdaregistry.info/Elements/u/P60436", "http://rdaregistry.info/Elements/u/P60463", "http://rdaregistry.info/Elements/u/P60465", "http://rdaregistry.info/Elements/u/P60826", "http://rdaregistry.info/Elements/u/P60891", "http://rdaregistry.info/Elements/u/P61091"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/creator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Creators include agents who are jointly responsible for the creation of a resource either performing the same role, such as in a collaboration between two writers, or performing different roles, such as in a collaboration between a composer and a lyricist.", ar: "يشمل المبدعون وكلاء يكونون مسؤولين بشكل مشترك عن إنشاء مصدر إما عن طريق أداء نفس الدور الذي يؤديه وكيل آخر كما هو الحال في التعاون بين كاتبين، أو عن طريق أداء دور مختلف كما هو الحال في التعاون بين ملحن ومؤلف أغاني", da: "Ophav inkluderer agenter der har fælles ansvar for at have skabt en ressource, enten ved at udføre den samme rolle, som i et samarbejde mellem to forfattere, eller udføre forskellige roller, som i et samarbejde mellem fx en komponist og en sangskriver.", de: "Darunter fallen Akteure, die für die Schaffung einer Ressource mitverantwortlich sind, wenn sie entweder dieselbe Rolle ausführen, wie bei einer Zusammenarbeit zwischen zwei Schriftstellerinnen/Schriftstellern, oder unterschiedliche Rollen ausführen, wie bei einer Zusammenarbeit zwischen einer Komponistin/einem Komponisten und einer Textdichterin/einem Textdichter.", fi: "Koskee toimijoita, jotka yhdessä vastaavat teoksen luomisesta joko toimimalla samassa roolissa kuin toinen toimija, kuten kahden kirjoittajan välisessä yhteistyössä, tai toimimalla eri rooleissa, kuten säveltäjän ja sanoittajan välisessä yhteistyössä.", "zh-hans-cn": "创作者包括对资源的创建联合负责的行为者，他们或者行使同样的角色（例如两个写作者之间的合作）或者行使不同角色（例如作曲者和词作者之间的合作）。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60672",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has creator", ar: "له مُبدع", da: "har ophav", de: "hat geistige Schöpferin/geistigen Schöpfer", fi: "aineiston tekijä", nl: "heeft maker", "zh-hans-cn": "有创作者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60449,
      definition: {en: "Relates a resource to an agent who is responsible for the general management and supervision of a filmed performance, a radio or television program, etc.", ar: "يربط مصدر بوكيل مسؤولا عن الإدارة العامة والإشراف على أداء فيلم، برنامج إذاعي أو برنامج تلفزيوني، إلخ.", da: "Relaterer en ressource til en agent, der er ansvarlig for ledelse af og tilsyn med en filmoptagelse, et radio- eller tv-program etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das allgemeine Management und die Leitung einer verfilmten Darbietung, einer Hörfunk- oder Fernsehsendung und so weiter verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa elokuvaesityksen, radio- tai televisio-ohjelman tms. yleisestä johtamisesta.", "zh-hans-cn": "将一种资源与负责电影表演、广播或电视节目等的全面管理和监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60084", "http://rdaregistry.info/Elements/u/P60085", "http://rdaregistry.info/Elements/u/P60086"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/director.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60452",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has director", ar: "له مخرج", da: "har instruktør", de: "hat Regisseurin/Regisseur", fi: "aineiston ohjaaja", nl: "heeft regisseur", "zh-hans-cn": "有导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60450,
      definition: {en: "Relates a resource to an agent who is responsible for the set of technical, editorial, and intellectual procedures aimed at compensating for the degradation of a resource by bringing it back to a state as close as possible to its original condition.", ar: "يربط مصدر بوكيل مسؤولًا عن مجموعة اجراءات فنية، وتحريرية، وفكرية تهدف إلى تعويض مصدر عن التدهور الذي لحق به بإعادته إلى حالة أقرب ما يكون إلى حالته الأصلية.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at restaurere og/eller kombinere tidligere ressourcer, som kan være beskadigede eller fragmenterede, til at skabe en ny ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die technischen, redaktionellen und intellektuellen Verfahren verantwortlich ist, die darauf abzielen, die Zersetzung einer Ressource auszugleichen, indem sie in einen Zustand zurückversetzt wird, der ihrer ursprünglichen Beschaffenheit möglichst nahe kommt.", fi: "Liittää aineiston toimijaan, joka vastaa teknisistä, toimituksellisista ja tiedollisista toimenpiteistä, joiden tarkoitus on palauttaa huonokuntoinen aineisto mahdollisimman lähelle sen alkuperäistä kuntoa.", "zh-hans-cn": "将一种资源与负责为弥补资源的损毁而担负一系列技术、编辑和智力操作、使之尽可能恢复到原始状态的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/restorationist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60674",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has restorationist", ar: "له أخصائي ترميم", da: "har konservator", de: "hat Restauratorin/Restaurator", fi: "aineiston entisöijä", nl: "heeft restaurator", "zh-hans-cn": "有修复者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60451,
      definition: {en: "Relates a resource to an agent who sponsors some aspect of a resource.", ar: "يربط مصدر بوكيل يرعى بعض جوانب مصدر ما.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource via fx forskningsfinansiering, sponsorering af en event.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der einzelne Aspekte einer Ressource finanziell unterstützt.", fi: "Liittää aineiston sitä sponsoroivaan toimijaan.", "zh-hans-cn": "将一种资源与赞助一种资源某方面的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sponsoringAgentOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Includes funding research and sponsoring an event that is the basis of a resource.", ar: "يشمل ذلك تمويل البحوث ورعاية حدث يكون أساس لمصدر.", de: "Darunter fallen Forschungsförderungen und die finanzielle Unterstützung einer Veranstaltung, die die Grundlage einer Ressource bilden.", fi: "Kattaa tutkimuksen rahoituksen ja teoksen perustana olevan tapahtuman sponsoroinnin.", "zh-hans-cn": "包括资助作为一种资源之基础的研究以及赞助作为一种资源之基础的一项活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60675",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sponsoring agent of resource", ar: "له وكيل راعي لمصدر", da: "har sponsorerende korporation", de: "hat Trägerin/Träger einer Ressource (Akteur)", fi: "aineistoa sponsoroiva toimija", nl: "heeft sponsor van resource", "zh-hans-cn": "有资源的赞助行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60452,
      definition: {en: "Relates a resource to an agent who captures images, either electronically or on film or video stock, and often selects and arranges lighting.", ar: "يربط بين مصد ووكيل يلتقط الصور، إما إلكترونيًا أو في فيلم أو فيديو، وغالبًا ما يكون مسئولا عن اختيار الإضاءة وتوزيعها.", da: "Relaterer en ressource til en agent, der optager billeder, enten elektronisk eller på film eller video og ofte vælger og arrangerer lyssætning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der Bilder aufzeichnet, entweder elektronisch oder auf Film- oder Videomaterial, und häufig Belichtung auswählt und arrangiert.", fi: "Liittää toimijan aineistoon, jossa hän vastaa kuvien tallentamisesta joko sähköisesti tai filmille tai videolle, usein myös valaistuksen valitsemisesta ja järjestämisestä.", "zh-hans-cn": "将一种资源与通过电子、胶片或视频存储方式摄录影像、且经常负责灯光的选择和布置的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/directorOfPhotography.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {da: "En filmfotograf kaldes også for cheffotograf."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60678",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has director of photography", ar: "له مدير تصوير", da: "er filmfotograf til", de: "hat Kamerafrau/Kameramann", fi: "aineiston kuvaaja", nl: "heeft cameraregisseur", "zh-hans-cn": "有摄影指导"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60454,
      altLabel: {en: "related agent", ar: "وكيل ذو صلة", de: "In Beziehung stehender Akteur", fi: "aineistoon liittyvä toimija", "zh-hans-cn": "关联行为者"},
      definition: {en: "Relates an agent to an agent who is associated with an agent.", ar: "يربط بين وكيل ووكيل مرتبط بوكيل.", da: "Relaterer en ressource til en agent, der er knyttet til en beskreven ressource.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan toiseen toimijaan liittyvään toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60633", "http://rdaregistry.info/Elements/u/P60737", "http://rdaregistry.info/Elements/u/P60853", "http://rdaregistry.info/Elements/u/P60854", "http://rdaregistry.info/Elements/u/P60855", "http://rdaregistry.info/Elements/u/P60856", "http://rdaregistry.info/Elements/u/P60861", "http://rdaregistry.info/Elements/u/P60862", "http://rdaregistry.info/Elements/u/P60863"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60454",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of agent", ar: "له وكيل مرتبط بوكيل", da: "har relateret agent", de: "hat mit Akteur in Beziehung stehenden Akteur", fi: "toimijaan liittyvä toimija", nl: "heeft gerelateerde actor van actor", "zh-hans-cn": "有行为者的关联行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61033",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60455,
      definition: {en: "Relates a resource to an agent to whom a resource is dedicated.", ar: "يربط مصدر بوكيل أُهدي إليه مصدر.", da: "Relaterer en ressource  til en agent, som en ressource er tilegnet.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, dem eine Ressource gewidmet ist.", fi: "Liittää aineiston toimijaan, jolle se on omistettu.", "zh-hans-cn": "将一种资源与一种资源被题献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dedicatee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60689",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dedicatee", ar: "له مُهدَى إليه", da: "har tilegnet", de: "hat Widmungsempfängerin/Widmungsempfänger", fi: "aineiston omistuksen kohde", nl: "heeft opgedragene", "zh-hans-cn": "有被题献者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60456,
      definition: {en: "Relates a resource to an agent to whom a resource or a portion of a resource is addressed.", ar: "يربط مصدر بوكيل أُرسل إليه مصدر أو جزء من مصدر.", da: "Relaterer en ressource til en agent, som en ressource eller en del af en ressource er adresseret til.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, an den eine Ressource oder ein Teil einer Ressource adressiert ist.", fi: "Liittää aineiston toimijaan, jolle aineisto tai osa aineistosta on osoitettu.", "zh-hans-cn": "将一种资源与一种资源或资源的一部分要被其接受的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addressee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60690",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has addressee", ar: "له مُرسل إليه", da: "har adressat", de: "hat Adressatin/Adressat", fi: "aineiston vastaanottaja", nl: "heeft geadresseerde", "zh-hans-cn": "有接受者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60457,
      definition: {en: "Relates a resource to an agent who appeals a decision of a lower court recorded in a legal resource of a higher court.", ar: "يربط مصدر بوكيل يستأنف حكم صادر عن محكمة أدنى مسجل في مصدر قانوني لمحكمة أعلى.", da: "Relaterer en ressource til en agent der gør indsigelse mod en underrets beslutning, der er registreret i et juridisk værk fra en højere retsinstans.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der gegen ein Gerichtsurteil einer unteren Instanz, das in einer juristischen Ressource einer höheren Instanz erfasst ist, Rechtsmittel (Berufung/Revision) einlegt.", fi: "Liittää aineiston toimijaan, joka hakee muutosta alemman oikeusasteen päätökseen.", "zh-hans-cn": "将一种资源与记录在上级法院的一种法律资源中起诉一个下级法院决定的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appellant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60691",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has appellant", ar: "له مُستأنف", da: "har appellerende", de: "hat Berufungsklagende/Berufungsklagenden/Revisionsklagende/Revisionsklagenden", fi: "muutoksenhakija aineistossa", nl: "heeft aanklager in beroep", "zh-hans-cn": "有上诉者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60458,
      definition: {en: "Relates a resource to an agent who binds a resource.", ar: "يربط مصدر بوكيل يقوم بتجليد مصدر.", da: "Relaterer en ressource til en agent, der indbinder en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Ressource bindet.", fi: "Liittää aineiston sen sidonnan tekevään toimijaan.", "zh-hans-cn": "将一种资源与装订一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/binder.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60692",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has binder", ar: "له مسؤول عن التجليد", da: "har bogbinder", de: "hat Buchbinderin/Buchbinder", fi: "aineiston sitoja", nl: "heeft binder", "zh-hans-cn": "有装订者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60459,
      definition: {en: "Relates a resource to an agent who brings a suit in a civil proceeding.", ar: "يربط مصدر بوكيل يرفع دعوى في إجراءات مدنية.", da: "Relaterer een ressource til en agent, der anlægger en civil sag.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Klage in ein Zivilverfahren einbringt.", fi: "Liittää aineiston toimijaan, joka nostaa kanteen siviilioikeudenkäyntiin.", "zh-hans-cn": "将一种资源与在民事诉讼中起诉的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/plaintiff.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60693",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has plaintiff", ar: "له مُدَّعي", da: "har sagsøgende", de: "hat Zivilklägerin/Zivilkläger", fi: "henkilökantaja", nl: "heeft aanklager", "zh-hans-cn": "有原告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60460,
      definition: {en: "Relates a resource to an agent who has written a statement of dedication or gift on a resource.", ar: "يربط مصدر بوكيل يكتب جملة إهداء على مصدر.", da: "Relaterer en ressource til en agent, der har skrevet en tilegnelses- eller gavekommentar på en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Widmung oder einen Schenkungsvermerk in eine Ressource geschrieben hat.", fi: "Liittää aineiston toimijaan, joka kirjoittaa siihen omistuskirjoituksen tai merkinnön lahjoituksesta.", "zh-hans-cn": "将一种资源与在一种资源上书写题词或赠与文字的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inscriber.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60695",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has inscriber", ar: "له كاتب إهداء", da: "har dedikationsskriver", de: "hat Beschrifterin/Beschrifter", fi: "omistuskirjoituksen kirjoittaja aineistossa", nl: "heeft opdrachtschrijver", "zh-hans-cn": "有题写者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60461,
      definition: {en: "Relates a resource to an agent who hears and decides on legal matters in court.", ar: "يربط مصدر بوكيل يسمع ويفصل في المسائل القانونية في محكمة.", da: "Relaterer en ressource til en agent, der hører og træffer beslutning om juridiske anliggender i retten.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der bei Gericht juristische Angelegenheiten anhört und darüber entscheidet.", fi: "Liittää aineiston toimijaan, joka kuulee ja päättää oikeusasioista tuomioistuimessa.", "zh-hans-cn": "将一种资源与在法院中审理并决定法律事务的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/judge.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60696",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has judge", ar: "له قاضي", da: "har dommer", de: "hat Richterin/Richter", fi: "tuomari", nl: "heeft rechter", "zh-hans-cn": "有法官"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60462,
      definition: {en: "Relates a resource to an agent who is accused in a criminal proceeding or sued in a civil proceeding.", ar: "يربط مصدر بوكيل متهم في دعوى جنائية أو يحاكم في دعوى مدنية.", da: "Relaterer en ressource til en agent, der er anklaget i en straffesag eller sagsøgt i en civilsag.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der in einem Strafverfahren angeklagt oder in einem Zivilverfahren verklagt ist.", fi: "Liittää aineiston henkilöön, joka on syytteessä rikosoikeudenkäynnissä tai haastettuna siviilioikeudenkäynnissä.", "zh-hans-cn": "将一种资源与在刑事或民事诉讼中被控告的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61092", "http://rdaregistry.info/Elements/u/P61094"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/defendant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60698",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has defendant", ar: "له مُدَّعَى عليه", da: "har sagsøgt", de: "hat Angeklagte/Angeklagten/Beklagte/Beklagten", fi: "henkilövastaaja", nl: "heeft verweerder", "zh-hans-cn": "有被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60463,
      definition: {en: "Relates a resource to an agent who is a faculty moderator of an academic disputation, normally proposing a thesis and participating in the ensuing disputation.", ar: "يربط مصدر بوكيل يعمل بصفته رئيس جلسة أعضاء هيئة التدريس في مناظرة أكاديمية، ويقترح عادة مبحثا ويشارك في المناظرة اللاحقة.", da: "Relaterer en ressource til en agent, der er fakultetsordstyrer for et akademisk afhandlingsforsvar, normalt ved at fremsætte en tese og deltage i det efterfølgende afhandlingsforsvar.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der auf Fakultätsseite eine akademische Disputation moderiert, normalerweise eine These vorschlägt und an der sich daraus ergebenden Disputation teilnimmt.", fi: "Liittää aineiston toimijaan, joka on vastuussa väitöskirjan esittelystä väitöstilasuudessa tiedekunnan edustajana ja osallistuu keskusteluun väitöstilaisuuden puheenjohtajana.", "zh-hans-cn": "将一种资源与作为学术辩论的主持教师（通常是提出一个论题并参与后续的辩论）的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/praeses.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60699",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has praeses", ar: "له رئيس جلسة", da: "har præses", de: "hat Praeses", fi: "preeses", nl: "heeft preses", "zh-hans-cn": "有评审人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60464,
      definition: {en: "Relates a resource to an agent who adds notes and other information to a resource by hand.", ar: "يربط مصدر بوكيل يُضيف حواشي ومعلومات أخرى لمصدر يدويًا.", da: "Relaterer en ressource til en agent, der laver manuskriptnotater på et eksemplar.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der handschriftlich Anmerkungen und andere Informationen in eine Ressource hinzufügt.", fi: "Liittää aineiston toimijaan, joka kirjoittaa käsinkirjoitettuja huomautuksia ja muita selityksiä.", "zh-hans-cn": "将一种资源与在一种资源上手加批注和其他信息的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/annotator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60700",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has annotator", ar: "له مُعَلِّق", da: "har annotationsskriver", de: "hat Annotierende/Annotierenden", fi: "lisähuomautusten kirjoittaja aineistossa", nl: "heeft annotator", "zh-hans-cn": "有手写批注者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60465,
      definition: {en: "Relates a resource to an agent who provides consultation services, and often makes recommendations, for a related agent who is represented as a creator of a resource.", ar: "يربط مصدر بوكيل يُقدم خدمات استشارية، وغالبًا ما يقدم مقترحات، لوكيل ذي صلة يُقدم على أنه منشيء مصدر.", da: "Relaterer en ressource til en agent, der yder rådgivning, og ofte kommer med anbefalinger, til en anden agent, der er repræsenteret som ophav til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der Beratungsdienste anbietet und häufig einem in Beziehung stehenden Akteur, der als geistiger Schöpfer einer Ressource repräsentiert wird, Empfehlungen macht.", fi: "Liittää teoksen toimijaan, joka on vastuussa asiantuntijapalveluiden tarjoamisesta ja suositusten antamisesta teoksen tekijänä pidetylle henkilölle.", "zh-hans-cn": "将一种资源与向表现为资源创作者的一个相关行为者提供咨询服务并经常提供建议的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/consultant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60701",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has consultant", ar: "له استشاري", da: "har rådgiver", de: "hat Beraterin/Berater", fi: "asiantuntija", nl: "heeft consultant", "zh-hans-cn": "有顾问"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60466,
      definition: {en: "Relates a resource to an agent whose manuscript signature appears on a resource.", ar: "يربط مصدر بوكيل يظهر توقيعه بخط اليد على مصدر.", da: "Relaterer en ressource til en agent, der laver manuskriptnotater på en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, dessen handschriftliche Unterschrift auf einer Ressource steht.", fi: "Liittää aineiston toimijaan, jonka käsinkirjoitettu nimikirjoitus aineistossa on.", "zh-hans-cn": "将一种资源与在一种资源上亲笔签名的个人关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/autographer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60702",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has autographer", ar: "له موقِّع", da: "har autografskriver", de: "hat Unterzeichnerin/Unterzeichner", fi: "nimikirjoituksen kirjoittaja aineistossa", nl: "heeft handtekeningzetter", "zh-hans-cn": "有亲笔签名者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60467,
      definition: {en: "Relates a resource to an agent who issues a resource.", ar: "يربط مصدر بوكيل يقوم بإصدار مصدر ما.", da: "Relaterer en ressource til en agent, der har udgivet en ressource, såsom et officielt skrift fra agenten.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Ressource heraus gibt.", fi: "Liittää aineiston sen julkaisevaan toimijaan.", "zh-hans-cn": "将一种资源与颁布一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issuingAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60703",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has issuing agent", ar: "له وكيل جهة إصدار", da: "har ansvarlig institution", de: "hat herausgebenden Akteur", fi: "aineiston julkaisija", nl: "heeft uitvaardiger", "zh-hans-cn": "有颁布行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60468,
      definition: {en: "Relates an agent to a vocation or avocation.", ar: "يربط بين وكيل ومهنة أو وظيفة وكيل", da: "Relaterer en ressource til en agents erhverv eller bibeskæftigelse.", de: "Setzt einen Akteur in Beziehung zu seiner Berufung oder Nebenbeschäftigung.", fi: "Liittää toimijan hänen ammattiinsa tai harrastukseensa.", "zh-hans-cn": "将一个行为者与一个职业或爱好关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/professionOrOccupation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has profession or occupation", ar: "له مهنة أو وظيفة", da: "har profession eller beskæftigelse", de: "hat Beruf oder Tätigkeit", fi: "ammatti tai tehtävä", nl: "heeft beroep of bezigheid", "zh-hans-cn": "有职业和工作"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60469,
      definition: {en: "Relates a resource to a resource in an analog format that is transferred to a digital format.", ar: "يربط بين مصدر ومصدر في صيغة رقمية ناتج عن تحويله في شكل تناظري.", da: "Relaterer en ressource til en ressource i et analogt format, der er overført til et digitalt format.", de: "Setzt eine Ressource in Beziehung zu einer Ressource in einem analogen Format, die in ein digitales Format übertragen wird.", fi: "Liittää aineiston digitaalisessa muodossa olevaan aineistoon joka analogisen aineiston muunnoksen tulos.", "zh-hans-cn": "将一种资源与被转储为一种数字格式的一种模拟格式的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/electronicReproductionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60083",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is electronic reproduction of", ar: "له إنتاج إلكتروني", da: "er elektronisk reproduktion af", de: "ist elektronische Reproduktion von", fi: "digitoitu aineisto", nl: "is elektronische reproductie van", "zh-hans-cn": "是……的电子复制品"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60297",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60470,
      definition: {en: "Relates a resource to a broad unstructured description of one or more attributes of a resource.", ar: "يربط بين مصدر ووصف مستفيض غير محدد لواحدة أو أكثر من سمات مصدر.", da: "Relaterer en ressource til en note, der giver supplerende oplysninger om indhold, der er registreret, som et attribut til udtrykket.", de: "Setzt eine Ressource in Beziehung zu einer umfassenden, unstrukturierten Beschreibung eines Merkmals oder mehrerer Merkmale einer Ressource.", fi: "Liittää aineiston yhden tai useamman attribuutin laajaan rakenteistamattomaan kuvailuun aineistosta.", "zh-hans-cn": "将一种资源与一种资源的一个或多个属性的一个宽泛的、非结构化的描述关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60122", "http://rdaregistry.info/Elements/u/P60123", "http://rdaregistry.info/Elements/u/P60124", "http://rdaregistry.info/Elements/u/P60125", "http://rdaregistry.info/Elements/u/P60126", "http://rdaregistry.info/Elements/u/P60127", "http://rdaregistry.info/Elements/u/P60128", "http://rdaregistry.info/Elements/u/P60129", "http://rdaregistry.info/Elements/u/P60130", "http://rdaregistry.info/Elements/u/P60131", "http://rdaregistry.info/Elements/u/P60132", "http://rdaregistry.info/Elements/u/P60133", "http://rdaregistry.info/Elements/u/P60134", "http://rdaregistry.info/Elements/u/P60135", "http://rdaregistry.info/Elements/u/P60136", "http://rdaregistry.info/Elements/u/P60137", "http://rdaregistry.info/Elements/u/P60868", "http://rdaregistry.info/Elements/u/P60905"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on resource", ar: "له تبصرة على المصدر", da: "har note til ressource", de: "hat Anmerkung zur Ressource", fi: "huomautus aineistosta", nl: "heeft noot bij resource", "zh-hans-cn": "有关于资源的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60936",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60471,
      definition: {en: "Relates a resource to an annotation providing additional information about resource or resource attributes. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnManifestationOrItem.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on manifestation or item (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60472,
      definition: {en: "Relates a resource to a timespan to which measurements of position for a body or orientation for an orbit are referred.", ar: "يربط بين مصدر ومدى زمني يُحال إليه قياسات وضع لجسم أو لتوجه مداري.", da: "Relaterer en ressource til et vilkårligt tidspunkt, som målene for et legemes position eller en banes retning henviser til.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, auf den sich Positionsmessungen für einen Körper oder die Orientierung einer Umlaufbahn beziehen.", fi: "Liittää aineiston ajanjaksoon, jonka mukaan tähtitaivaan kohteiden sijainnit ja ratojen suunnat on annettu.", "zh-hans-cn": "将一种资源与提及物体位置或运行轨道方位之测量的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/epoch.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60991",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has epoch", ar: "له مُدّة زمنية", da: "har epoke", de: "hat Epoche", fi: "epookki aineistossa", nl: "heeft tijdperk", "zh-hans-cn": "有历元"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60473,
      definition: {en: "Relates a resource to an agent who is an architect who is responsible for creating landscape resources.", ar: "يربط مصدر بوكيل هو مهندس معماري مسؤول عن إنشاء مصادر تنسيق المواقع.", da: "Relaterer en ressource til en arkitekt, der er ansvarlig for at forme landskaber.", de: "Setzt eine Ressource in Beziehung zu einer Architektin/einem Architekten, die/der für die Erschaffung landschaftlicher Ressourcen verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa maisemasunnittelusta.", "zh-hans-cn": "将一种资源与作为建筑师并负责创建景观资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/landscapeArchitect.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60704",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has landscape architect", ar: "له مهندس تنسيق مواقع", da: "har landskabsarkitekt", de: "hat Landschaftsarchitektin/Landschaftsarchitekten", fi: "maisema-arkkitehti aineistossa", nl: "heeft landschapsarchitect", "zh-hans-cn": "有景观设计师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60435",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60474,
      altLabel: {en: "is finding aid for", fi: "luettelo aineistolle", "zh-hans-cn": "是……的查询工具"},
      definition: {en: "Relates a resource to a resource that is a collection resource that is described by a metadata description set.", ar: "يربط بين مصدر ومصدر يمثل مجموعة أرشيفية موصوفة في دليل لتنظيم، ترتيب، وفهرسة المجموعة.", da: "Relaterer en ressource til en arkivsamling, der er beskrevet i et hjælpeværktøj, dvs. en vejledning om organisering, ordning og indhold af samlingen.", de: "Setzt eine Ressource in Beziehung zu einer Archivsammlung, die in einer Orientierungshilfe zum Aufbau, zur Anordnung und zu den Inhalten beschrieben ist.", fi: "Liittää aineiston aineistoon, joka on metatietokokonaisuudella kuvailtu kokoelma-aineisto.", "zh-hans-cn": "将一种资源与作为一种收藏资源并被一种元数据描述集合描述的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60290", "http://rdaregistry.info/Elements/u/P61233"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/findingAidOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60262",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is finding aid of", ar: "هو معينات البحث لـ", da: "er hjælpeverktøj til", de: "ist Findmittel für", fi: "luettelo aineistoon", nl: "is vind-hulpmiddel voor", "zh-hans-cn": "是……的查询工具"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60475,
      definition: {en: "Relates a resource to an agent who is an artist who is responsible for creating a three-dimensional resource by modeling, carving, or similar technique.", ar: "يربط مصدر بوكيل هو فنان ينطوي على مسؤوليته إنشاء مصدر ثلاثي الأبعاد عن طريق النمذجة أو النحت أو تقنية مشابهة.", da: "Relaterer en ressource til en kunstner, der er ansvarlig for at have skabt et tredimensionelt værk vha. modellering, billedhuggerkunst eller en lignende teknik.", de: "Setzt eine Ressource in Beziehung zu einer Künstlerin/einem Künstler, die/der für die Schaffung einer dreidimensionalen Ressource durch Modellieren, Schnitzen oder ähnliche Techniken verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa kolmiulotteisen teoksen luomisesta muovaamalla, veistämällä tai vastaavalla tekniikalla.", "zh-hans-cn": "将一种资源与作为一个艺术家并通过模型、雕刻或类似技术负责创建一种三维资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sculptor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60705",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sculptor", ar: "له نَحّات", da: "har skulptør", de: "hat Bildhauerin/Bildhauer", fi: "aineiston kuvanveistäjä", nl: "heeft beeldhouwer", "zh-hans-cn": "有雕塑家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60431",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60476,
      definition: {en: "Relates a resource to an agent who is an author of a screenplay, script, or scene.", ar: "يربط مصدر بوكيل هو مؤلف سيناريو، أو نص، أو مشهد.", da: "Relaterer en ressource til en forfatter af en drejebog, et manuskript eller en scene.", de: "Setzt eine Ressource in Beziehung zu einer Verfasserin/einem Verfasser eines Drehbuchs, eines Skripts oder einer Szene.", fi: "Liittää aineiston toimijaan, joka on näytelmän, käsikirjoituksen tai kohtauksen kirjoittaja.", "zh-hans-cn": "将一种资源与作为影视剧剧本、脚本或场景著者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenwriter.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60706",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has screenwriter", ar: "له كاتب سيناريو", da: "har manuskriptforfatter", de: "hat Drehbuchautorin/Drehbuchautor", fi: "aineiston käsikirjoittaja", nl: "heeft scenarioschrijver", "zh-hans-cn": "有影视剧编剧"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60434",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60477,
      definition: {en: "Relates a resource to an agent who is an author of the words of a popular song, including a song from a musical.", ar: "يربط مصدر بوكيل هو مؤلف لكلمات أغنية شعبية، بما في ذلك أغنية من مسرحية موسيقية.", da: "Relaterer en ressource til en forfatter til sangteksten til en populær sang, inkl. en eller flere sange fra en musical.", de: "Setzt eine Ressource in Beziehung zu einer Verfasserin/einem Verfasser des Texts eines populären Lieds, einschließlich eines Lieds aus einem Musical.", fi: "Liittää aineiston toimijaan, joka on populaarimusiikkiin kuuluvan laulun (mukaan lukien musikaalin laulun) sanojen kirjoittaja.", "zh-hans-cn": "将一种资源与作为一首流行歌曲（包括音乐剧中的歌曲）歌词的著者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60478",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lyricist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Authoring of just dialogue from a musical is excluded", ar: "يُستبعد تأليف الحوار فقط من مسرحية موسيقية.", da: "Omfatter ikke forfatteren til dialogen i en musical.", de: "Nur das Verfassen des Dialogs eines Musicals fällt nicht darunter.", fi: "Ei kata pelkän musikaalin dialogin kirjoittajaa.", "zh-hans-cn": "不包括音乐剧中只是对话的著者。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60707",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has lyricist", ar: "كاتب أغاني", da: "har forfatter til sangtekst", de: "hat Textdichterin/Textdichter", fi: "aineiston sanoittaja", nl: "heeft liedtekstschrijver", "zh-hans-cn": "有作词者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60434",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60478,
      definition: {en: "Relates a resource to an agent who is an author of the words of a musical or choreographic resource such as an opera, a ballet, or other resource for the musical stage, or an oratorio.", ar: "يربط مصدر بوكيل هو مؤلف لكلمات مصدر موسيقي أو راقص مثل أوبرا، باليه، أو أي مصدر آخر للمسرح الموسيقي، أو موسيقى دينية.", da: "Relaterer en ressource til en forfatter af teksten til en opera eller en anden ressource af et musikalsk sceneværk, eller et oratorium.", de: "Setzt eine Ressource in Beziehung zu einer Verfasserin/einem Verfasser des Texts für eine Musikressource oder choreografische Ressource, wie zum Beispiel einer Oper, einem Ballett oder einer anderen Musikressource für die Bühne, oder für ein Oratorium.", fi: "Liittää aineiston toimijaan, joka on musiikki- tai koreografisen teoksen, kuten oopperan, baletin tai muun musiikillisen näyttämöteoksen tai oratorion sanojen kirjoittaja.", "zh-hans-cn": "将一种资源与作为歌剧、芭蕾等音乐或编舞资源或其他舞台音乐资源或者清唱剧的歌词的著者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60477",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/librettist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Authoring of the words of just the songs from a musical is excluded.", ar: "يُستبعد تأليف كلمات الأغاني فقط من مسرحية موسيقية.", da: "Omfatter ikke forfatteren til sangteksterne i en musical.", de: "Nur das Verfassen der Liedtexte eines Musicals fällt nicht darunter.", fi: "Ei kata pelkän musikaalin laulunsanojen kirjoittajaa.", "zh-hans-cn": "不包括音乐剧中只是歌曲的词著者。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60708",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has librettist", ar: "له واضع كلمات الأوبرا", da: "har librettist", de: "hat Librettistin/Librettist", fi: "libretisti aineistossa", nl: "heeft librettist", "zh-hans-cn": "有台本作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60434",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60479,
      definition: {en: "Relates a resource to a resource whose content is partially superseded and rendered obsolete by the content of another resource.", ar: "يربط بين مصدر ومصدر يتم استبدال محتواه جزئيًا ويصبح متقادمًا في وجود محتوى مصدر آخر.", da: "Relaterer en ressource til en tidligere ressource, hvis indhold er blevet delvist erstattet af en senere ressource, normalt fordi den senere ressource indeholder opdateret eller ny information, der betyder, at den tidligere ressource er forældet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt teilweise durch den Inhalt einer anderen Ressource ersetzt und überflüssig wird.", fi: "Liittää aineiston aineistoon, jonka sisällön toisen aineiston sisältö osittain korvaa ja tekee vanhentuneeksi.", "zh-hans-cn": "将一种资源与其内容被另一种资源之内容部分地替代并废止的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/replacementInPartOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a static resource or an integrating resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر ثابت أو مصدر متكامل.", da: "Denne relation anvendes generelt til enkeltstående monografier, flerbindsværker og integrerende ressourcer.", de: "Im Allgemeinen trifft dieses Element auf eine statische Ressource oder eine integrierende Ressource zu.", fi: "Tämä elementti soveltuu yleensä staattiseen tai päivittyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种静态资源或者集成性资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60103",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is replacement in part of", ar: "هو استبدال في جزء لـ", da: "er delvis erstatning af", de: "ist teilweise Ersatz von", fi: "korvaa aineiston osittain", nl: "is gedeeltelijke vervanging van", "zh-hans-cn": "是……的部分替代"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60480,
      definition: {en: "Relates a resource to a resource whose content is superseded and rendered obsolete by the content of another resource.", ar: "يربط بين مصدر ومصدر يتم استبدال محتواه ويصبح متقادمًا في وجود محتوى مصدر آخر.", da: "Relaterer en ressource til en tidligere ressource, hvis indhold er blevet erstattet af en senere ressource, normalt fordi den senere ressource indeholder opdateret eller ny information, der betyder, at den tidligere ressource er forældet.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt durch den Inhalt einer anderen Ressource ersetzt und überflüssig wird.", fi: "Liittää aineiston aineistoon, jonka sisällön toisen aineiston sisältö korvaa ja tekee vanhentuneeksi.", "zh-hans-cn": "将一种资源与其内容被另一种资源之内容替代并废止的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/replacementOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a static resource or an integrating resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر ثابت أو مصدر متكامل.", da: "Denne relation anvendes generelt til enkeltstående monografier, flerbindsværker og integrerende ressourcer.", de: "Im Allgemeinen trifft dieses Element auf eine statische Ressource oder eine integrierende Ressource zu.", fi: "Tämä elementti soveltuu yleensä staattiseen tai päivittyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种静态资源或者集成性资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60104",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is replacement of", ar: "هو استبدال لـ", da: "er erstatning af", de: "ist Ersatz von", fi: "korvattu aineisto", nl: "is vervanging van", "zh-hans-cn": "是……的替代"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60481,
      definition: {en: "Relates a resource to an equalization system, noise-reduction system, or other processing that is used in making an audio recording.", ar: "يربط بين مصدر ونظام موازن الترددات، نظام خفض ضوضاء، أو غيرها من النظم المُستخدمة في إعداد تسجيل صوتي.", da: "Relaterer en ressource til et equalizersystem, støjbegrænsningssystem etc., der er anvendt til at lave en lydoptagelse.", de: "Setzt eine Ressource in Beziehung zu einem Ausgleichssystem, einem Störgeräusch-Reduktionssystem oder einer anderen Verarbeitung, das/die bei der Erstellung von Audioaufnahmen verwendet wird.", fi: "Liittää aineiston äänitteen äänityksessä käytettyyn taajuuskorjausjärjestelmään, kohinanvaimennusjärjestelmään tai muuhun prosessointiin.", "zh-hans-cn": "将一种资源与在一种录音制作中所使用的平衡系统、降噪系统或其他处理关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/specialPlaybackCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has special playback characteristic", ar: "له خاصية خاصة للتشغيل", da: "har særlige afspilningskarakteristika", de: "hat besondere Wiedergabeeigenschaft", fi: "aineiston äänentoiston erityisominaisuudet", nl: "heeft speciale afspeelkenmerken", "zh-hans-cn": "有特别回放特征"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60482,
      definition: {en: "Relates an agent to an institution commonly associated with an agent. (Deprecated)", da: "Relaterer en ressource til en institution der almindeligvis opfattes knyttet til en agent."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/associatedInstitution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has associated institution (Deprecated)", da: "har tilknyttet institution"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60483,
      definition: {en: "Relates a resource to an institution or faculty conferring an academic degree on a candidate. (Deprecated)", da: "Relaterer et værk til en institution eller et fakultet, der tildeler en kandidat en akademisk grad."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/grantingInstitutionOrFaculty.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has granting institution or faculty (Deprecated)", da: "har tildelende institution eller fakultet"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60484,
      definition: {en: "Relates an agent to a summary of information about the history of an agent.", ar: "يربط بين وكيل ومعلومات متعلقة بالسيرة الذاتية أو معلومات تاريخية عن وكيل ما.", da: "Relaterer en ressource til biografiske eller historiske oplysninger om en agent.", de: "Setzt einen Akteur in Beziehung zu biografischen oder historischen Informationen über einen Akteur.", fi: "Liittää toimijan biografiseen tai historialliseen informaatioon toimijasta.", "zh-hans-cn": "将一个行为者与关于一个行为者历史的信息提要关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/agentHistory.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has agent history", ar: "له وكيل تاريخ", da: "har agenthistorie", de: "hat Geschichte eines Akteurs", fi: "toimijan historia", nl: "heeft actor geschiedenis", "zh-hans-cn": "有行为者历史"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60485,
      definition: {en: "Relates a resource to an indication of the kinds of resource that supplement the main resources that are embodied by an augmentation aggregate.", ar: "يربط بين مصدر ومؤشر لأنواع المصادر التي تُكمل المصادر الرئيسية التي يتم تجسيدها بواسطة إضافة تجميعة.", da: "Relaterer en ressource til en indikation af indhold der opdaterer eller supplerer en ressources primære indhold.", de: "Setzt eine Ressource in Beziehung zu einer Angabe der Ressourcenarten, die die Hauptressourcen ergänzen, welche durch ein Erweiterungsaggregat verkörpert werden.", fi: "Liittää aineiston ilmaukseen niistä aineistoista, jotka täydentävät laajennusaggregaatin sisältämiä aineistoja.", "zh-hans-cn": "将一种资源与补充被一种附增合集具体化的主要资源的资源的类型的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/supplementaryContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has supplementary content", ar: "له محتوى تكميلي", da: "har supplerende indhold", de: "hat ergänzenden Inhalt", fi: "lisätty aineistosisältö", nl: "heeft aanvullende content", "zh-hans-cn": "有补充内容"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60486,
      definition: {en: "Relates a resource to an indication of the kinds of image content that supplement the main resources that are embodied by an augmentation aggregate.", ar: "يربط بين مصدر ومؤشر لأنواع محتوى الصورة التي تُكمل المصادر الرئيسية التي يتم تجسيدها بواسطة إضافة تجميعة.", da: "Relaterer en ressource til en tilstedeværelse af billedindhold, der medfølger en ressources primære indhold.", de: "Setzt eine Ressource in Beziehung zu einer Angabe der Arten von Bildinhalt, die die Hauptressourcen ergänzt, die durch ein Erweiterungsaggregat verkörpert werden.", fi: "Liittää aineiston ilmaukseen niistä kuvasisällöistä, jotka täydentävät laajennusaggregaatin sisältämiä aineistoja.", "zh-hans-cn": "将一种资源与补充被一种附增合集具体化的主要资源的图像内容的资源的类型的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/illustrativeContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has illustrative content", ar: "له محتوى توضيحي", da: "har illustrativt indhold", de: "hat illustrierenden Inhalt", fi: "aineiston kuvasisältö", nl: "heeft illustratieve content", "zh-hans-cn": "有插图内容"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60487,
      definition: {en: "Relates a resource to an indication of the kinds of resource that provide alternative sensory modes to perceive the main resources that are embodied by an augmentation aggregate.", ar: "يربط بين مصدر ومؤشر لأنواع المصادر التي تُوفر أنماطًا حسية بديلة لإدراك المصادر الرئيسية التي يتم تجسيدها بواسطة إضافة تجميعة.", da: "Relaterer en ressource til en indikation af indhold, der giver alternative sansemåder for at forstå en ressources primære indhold.", de: "Setzt eine Ressource in Beziehung zu einer Angabe der Ressourcenarten, die alternative, sensorische Formen liefern, um die Hauptressource wahrzunehmen, welche durch ein Erweiterungsaggregat verkörpert werden.", fi: "Liittää aineiston ilmaukseen niistä aineistoista, jotka tarjoavat vaihtoehtoisia aistintatapoja laajennusaggregaatin sisältämien pääaineistojen vastaanottamiseksi.", "zh-hans-cn": "将一种资源与提供用于感知被一种附增合集具体的主要资源的交替感官模式的资源的类型的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessibilityContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Accessibility content includes accessible labels, audio description, captioning, image description, sign language, and subtitles. Accessibility content does not include subtitles in a language different from the spoken content.", ar: "يتضمن المحتوى التَسهيلي الآتي: ملصقات يمكن الوصول إليها، وصف صوتي، تعليق، وصف صورة، لغة إشارة، وترجمات. ولا يتضمن المحتوى التَسهيلي ترجمة بلغة مختلفة عن المحتوى المنطوق.", da: "Omfatter lydbeskrivelser, rubrikker, billedbeskrivelser, tegnsprog, og undertekster. Omfatter ikke undertekster på et andet sprog end det talte.", de: "Zum barrierefreien Inhalt gehören barrierefreie Labels, eine Audiodeskription, Untertitel für Hörgeschädigte, Bildbeschreibungen, Gebärdensprache und Untertitel. Zum barrierefreien Inhalt gehören nicht die Untertitel in einer Sprache, die von dem gesprochenen Inhalt abweichen.", fi: "Saavutettavuussisältö sisältää saavutettavat nimikkeet, kuunneltavan kuvauksen, otsikoinnin, kuvien kuvauksen, viittomakielen ja tekstityksen. Saavutettavuussisältö ei sisällä tekstitystä, joka eroaa puhutusta sisällöstä.", "zh-hans-cn": "无障碍内容包括无障碍标签、音频描述、说明文字、图像描述、记号语言和字幕。无障碍内容不包括不同于口语内容的另一种语言的字幕。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has accessibility content", ar: "له محتوى تَسهيلي/ محتوى إتاحة", da: "har tilgængelighedsfremmende indhold", de: "hat barrierefreien Inhalt", fi: "aineiston saavutettavuussisältö", nl: "heeft toegankelijkheidscontent", "zh-hans-cn": "有无障碍内容"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60488,
      definition: {en: "Relates a resource to a musical or physical layout of the content of a resource that is presented in the form of musical notation.", ar: "يربط بين مصدر وتخطيط موسيقي أو مادي لمحتوى مصدر يُعرض في شكل من أشكال التدوين الموسيقي.", da: "Relaterer en ressource til et musikalsk eller fysisk layout af en ressources indhold, der er præsenteret som musikalsk notation.", de: "Setzt eine Ressource in Beziehung zu einem musikalischen oder physischen Layout des Inhalts einer Ressource, der in Form einer Musiknotation präsentiert wird.", fi: "Liittää aineiston nuottikirjoituksen muodossa esitetyn aineiston musiikilliseen tai fyysiseen layoutiin.", "zh-hans-cn": "将一种资源与以乐谱形式呈现的一种资源之内容的音乐或物理布局关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formatOfNotatedMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has format of notated music", ar: "لها صيغة من موسيقى مدونة", da: "har type af noteret musik", de: "hat musikalische Ausgabeform", fi: "nuottiaineiston muoto", nl: "heeft format van bladmuziek", "zh-hans-cn": "有乐谱的形式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60489,
      definition: {en: "Relates a resource to a statement that identifies an academic institution, degree, and year for which a resource was presented.", ar: "يربط بين مصدر وبيان يحدد المؤسسة الأكاديمية، والدرجة العلمية، والسَنة التي قُدم فيها المصدر.", da: "Relaterer en ressource til en oplysning der identificerer en akademisk institution, en akademisk grad og året hvor ressourcen blev forsvaret.", de: "Setzt eine Ressource in Beziehung zu einer Angabe, die eine akademische Institution, einen Grad oder ein Jahr, in dem eine Arbeit präsentiert wurde, bezeichnet.", fi: "Liittää aineiston merkintöön akateemisesta instituutiosta, tutkinnosta ja aineiston vuodesta.", "zh-hans-cn": "将一种资源与标识一种资源被提交的学术机构、学位和年份的说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dissertationOrThesisInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dissertation or thesis information", ar: "له معلومات عن رسالة جامعية دكتوراه أو ماجستير", da: "har afhandlings- eller specialeoplysninger", de: "hat Hochschulschriftenvermerk", fi: "väitöskirjan tai opinnäytteen tiedot", nl: "heeft dissertatie- of these-informatie", "zh-hans-cn": "有学位论文信息"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60490,
      definition: {en: "Relates a resource to a name, address, or other means of communicating with an agent from which a resource may be obtained.", ar: "يربط بين مصدر وإسم، عنوان، أو غيرها من بيانات الاتصال لوكيل يمكن الحصول منه على مصدر.", da: "Relaterer en ressource til et navn, en adresse, etc. for en organisation etc. hvorfra en ressource kan fremskaffes.", de: "Setzt eine Ressource in Beziehung zu einem Namen, einer Adresse oder einem anderen Kommunikationsmittel eines Akteurs, von dem eine Ressource erworben werden kann.", fi: "Liitää aineiston toimijan, jolta aineisto on saatavissa, nimeen, osoitteeseen tai muuhun yhteystietoon.", "zh-hans-cn": "将一种资源与资源可以通过其获得的一个行为者的名称、地址或其他通讯方式关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contactInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Contact information includes the name, address, etc. of the publisher, distributor, etc. of a published resource, or of the archival repository that holds the resource.", ar: "تتضمن بيانات الاتصال اسم وعنوان الناشر، الموزع، إلخ. وغيرها من بيانات الاتصال الخاصة بمصدر منشور، أو بالمستودع الأرشيفي الذي يحتفظ بالمصدر.", da: "Kontaktoplysninger inkluderer navn adresse, etc. på en udgiven ressources udgiver, distributør, etc., eller på det arkiv som ejer ressourcen.", de: "Darunter fällt der Name, die Adresse und so weiter des Verlags, Vertriebs und so weiter eine veröffentlichten Ressource oder des Archivrepositorys, das die Ressource aufbewahrt.", fi: "Yhteystietoon sisältyy julkaistun aineiston kustantajan, jakelijan jne. tai säilyttävän arkiston nimi, osoite jne.", "zh-hans-cn": "联络信息包括出版资源的出版者、发行者等或者收藏该资源的档案资料库的名称和地址等。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contact information", ar: "له بيانات اتصال", da: "har kontaktoplysninger", de: "hat Kontaktinformationen", fi: "yhteystiedot", nl: "heeft contactinformatie", "zh-hans-cn": "有联络信息"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60491,
      definition: {en: "Relates a resource to a summary of information about the history of a resource.", ar: "يربط بين مصدر وملخص معلومات عن تاريخ مصدر ما.", da: "Relaterer en ressource til en opsummering af oplysninger om en ressources historie.", de: "Setzt eine Ressource in Beziehung zu Informationen über die Geschichte einer Ressource.", fi: "Liittää aineiston tiivistelmään aineiston historiatiedoista.", "zh-hans-cn": "将一种资源与关于一种资源历史的信息提要关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/historyOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has history of resource", ar: "له تاريخ مصدر", da: "har ressourcehistorie", de: "hat Geschichte einer Ressource", fi: "aineiston historia", nl: "heeft geschiedenis van resource", "zh-hans-cn": "有资源的历史"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60492,
      definition: {en: "Relates an agent to a summary of information about the life or history of an agent. (Deprecated)", da: "Relaterer en agent til en opsummering af oplysninger om en persons liv eller historie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/biographicalInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has biographical information (Deprecated)", da: "har biografiske oplysninger"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60493,
      definition: {en: "Relates a resource to a word, character, or group of words or characters that appears in conjunction with, and is subordinate to, a title proper of a resource.", ar: "يربط بين مصدر وكلمة، حرف، أو مجموعة كلمات أو تمثيلات تظهر بمصاحبة عنوان مُنَاسِب لمصدر، وتكون تابعًا له.", da: "Relaterer en ressource til et ord, tegn eller en gruppe af ord og/eller tegn, der optræder i forbindelse med, og er underordnet, en ressources hovedtitel.", de: "Setzt eine Ressource in Beziehung zu einem Wort, einem Zeichen oder einer Gruppe von Wörtern oder Zeichen, die in Verbindung mit dem Haupttitel einer Ressource erscheinen und diesem nachgeordnet sind.", fi: "Liittää aineiston sanaan, merkkiin tai ryhmään sanoja ja/tai merkkejä, jotka esiintyvät aineiston päänimekkeen kanssa ja sille alisteisina.", "zh-hans-cn": "将一种资源与和一种资源的正题名一起出现并附属于正题名的一个词、字符、或一组词或字符关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherTitleInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other title information", ar: "له بيانات أخرى لعنوان", da: "har anden titelinformation", de: "hat Titelzusatz", fi: "aineiston muu nimeketieto", nl: "heeft andere titelinformatie", "zh-hans-cn": "有其他题名信息"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60494,
      definition: {en: "Relates a resource to a word, character, or group of words or characters that appears in conjunction with, and is subordinate to, a title proper of a series.", ar: "يربط بين مصدر وكلمة، حرف، أو مجموعة كلمات أو تمثيلات تظهر بمصاحبة عنوان مُنَاسِب لسلسلة، وتكون تابعًا لها.", da: "Relaterer en ressource til et ord, tegn eller en gruppe af ord og/eller tegn, der optræder i forbindelse med, og er underordnet, en series hovedtitel.", de: "Setzt eine Ressource in Beziehung zu einem Wort, einem Zeichen oder einer Gruppe von Wörtern oder Zeichen, die in Verbindung mit dem Haupttitel einer Ressource erscheinen und diesem nachgeordnet sind.", fi: "Liittää aineiston sanaan, merkkiin tai ryhmään sanoja ja/tai merkkejä, jotka esiintyvät sarjan päänimekkeen kanssa ja sille alisteisina.", "zh-hans-cn": "将一种资源与和一种丛编的正题名一起出现并附属于正题名的一个词、字符、或一组词或字符关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherTitleInformationOfSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other title information of series", ar: "له بيانات عنوان أخرى لسلسلة", da: "har anden titelinformation for serie", de: "hat Titelzusatz einer Reihe", fi: "sarjan muu nimeketieto aineistolle", nl: "heeft andere titelinformatie van reeks", "zh-hans-cn": "有丛编的其他提名信息"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60495,
      definition: {en: "Relates a resource to a word, character, or group of words or characters that appears in conjunction with, and is subordinate to, a title proper of a subseries. (Deprecated)", da: "Relaterer en ressource til et ord, tegn eller en gruppe af ord og/eller tegn, der optræder i forbindelse med, og er underordnet, en underseries hovedtitel."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherTitleInformationOfSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has other title information of subseries (Deprecated)", da: "har anden titelinformation for underserie"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60496,
      definition: {en: "Relates a resource to limitations placed on access to a resource.", ar: "يربط بين مصدر وقيود مفروضة على الوصول إلى مصدر ما.", da: "Relaterer en ressource til begrænsninger for adgang til en ressource.", de: "Setzt eine Ressource in Beziehung zu Beschränkungen des Zugangs zu einer Ressource.", fi: "Liittää aineiston aineiston saatavuudelle asetettuihin rajoituksiin.", "zh-hans-cn": "将一种资源与对一种资源的获取设置的限制关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/restrictionsOnAccess.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has restrictions on access", ar: "له قيود على الإتاحة", da: "har adgangsrestriktioner for ressource", de: "hat Zugangsbeschränkung", fi: "saatavuuden rajoitukset aineistolle", nl: "heeft beperking op toegang", "zh-hans-cn": "有获取限制"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60497,
      definition: {en: "Relates a resource to a limitation placed on reproduction, publication, exhibition, etc., of a resource.", ar: "يربط بين مصدر وقيود مفروضة على الاستنساخ، النشر، المعَرض، إلخ.، لمصدر ما.", da: "Relaterer en ressource til begrænsninger relateret til ret til reproduktion, publicering, udstilling etc. af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Beschränkung der Verwendungsart einer Ressource, wie zum Beispiel Reproduktion, Veröffentlichung, Ausstellung und so weiter.", fi: "Liittää aineiston aineiston käyttörajoituksiin koskien esim. kopiointia, julkaisemista tai esille asettamista.", "zh-hans-cn": "将一种资源与对一种资源的复制、出版、展览等设置的限制关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/restrictionsOnUse.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has restrictions on use", ar: "له قيود على الاستخدام", da: "har brugsrestriktioner for ressource", de: "hat Benutzungsbeschränkung", fi: "aineiston käyttöehdot", nl: "heeft beperking op gebruik", "zh-hans-cn": "有使用限制"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60498,
      definition: {en: "Relates a resource to an indication of mathematical data and other features of the cartographic content of a resource not recorded in statements of scale, projection, and coordinates.", ar: "يربط بين مصدر ومؤشر لبيانات رياضية ومعالم أخرى لمحتوى رسم خرائط لمصدر لم يتم تسجيله في بيانات مقياس، عَرض، وإحداثيات.", da: "Relaterer en ressource til en indikation af matematiske data og andre karakteristika ved en ressources kartografiske indhold, der ikke er registreret som del af målestoks-, projicerings- eller koordinatoplysninger.", de: "Setzt eine Ressource in Beziehung zu einer Angabe von mathematische Daten und sonstigen Besonderheiten des kartografischen Inhalts einer Ressource, die nicht in Maßstabs-, Projektions- und Koordinatenangaben erfasst werden.", fi: "Merkintä matemaattisista tiedoista ja muista aineiston kartografisen sisällön ominaisuuksista, joita ei ole merkitty mittakaava-, projektio- tai koordinaatiomerkintöihin.", "zh-hans-cn": "将一种资源与在比例尺、投影和坐标说明中未记录的一种资源的地图内容的数学数据和其他特征的表示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of cartographic content", ar: "له تفاصيل محتوى رسم الخرائط", da: "har andre detaljer om kartografisk indhold", de: "hat Details zu kartografischem Inhalt", fi: "aineiston kartografisen sisällön tarkemmat tiedot", nl: "heeft details van cartografische content", "zh-hans-cn": "有地图内容的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60499,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of numbers or alphabetic characters that is used to indicate the first in a sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر وتسمية على شكل رقمي أو أبجدي مُقدمة في عدد أول أو جزء أول من تسلسل صدر في ترقيم متسلسل.", da: "Relaterer en ressource til en betegnelse i numerisk og/eller alfabetisk form på første nummer eller del af en nummereringssekvens for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung in Form von Nummern oder Buchstaben, die innerhalb einer Zählfolge auf der ersten Ausgabe einer fortlaufenden Ressource erscheint.", fi: "Liittää aineiston numeroista tai kirjaimista muodostuvaan määritteeseen, joka ilmaisee aineiston osien tai iteraatioiden numerointijakson ensimmäisen määritteen.", "zh-hans-cn": "将一种资源与作为以数字或字母字符形式用于标识一种资源的部分或更新后整体的编号序列中第一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstAlphanumericDesignationOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61211",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has first alphanumeric designation of sequence", ar: "له تسمية رقمية أولى لتسلسل", da: "har numerisk og/eller alfabetisk betegnelse for første nummer eller del af sekvens", de: "hat alphanumerische Bezeichnung der ersten Ausgabe einer fortlaufenden Ressource", fi: "numerointijakson ensimmäinen numero- ja/tai kirjainmäärite aineistolle", nl: "heeft eerste alfanumerieke aanduiding van reeks", "zh-hans-cn": "有序列的第一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60500,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of numbers or alphabetic characters that is used to indicate the last in a sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر وتسمية على شكل رقمي أو أبجدي مُقدمة في عدد أخير أو جزء أخير من تسلسل صدر في ترقيم متسلسل.", da: "Relaterer en ressource til en betegnelse i numerisk og/eller alfabetisk form på sidste nummer eller del af en nummereringssekvens for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung in Form von Nummern oder Buchstaben, die innerhalb einer Zählfolge auf der letzten Ausgabe einer fortlaufenden Ressource erscheint.", fi: "Liittää aineiston numeroista tai kirjaimista muodostuvaan määritteeseen, joka ilmaisee aineiston osien tai iteraatioiden numerointijakson viimeisen määritteen.", "zh-hans-cn": "将一种资源与作为以数字或字母字符形式用于标识一种资源的部分或更新后整体的编号序列中最后一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastAlphanumericDesignationOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61215",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has last alphanumeric designation of sequence", ar: "له تسمية رقمية أخيرة لتسلسل", da: "har numerisk og/eller alfabetisk betegnelse for sidste nummer eller del af sekvens", de: "hat alphanumerische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource", fi: "numerointijakson viimeinen numero- ja/tai kirjainmäärite aineistolle", nl: "heeft laatste alfanumerieke aanduiding van reeks", "zh-hans-cn": "有序列的最后一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60501,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of a date or other timespan that is used to indicate the first in a sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر وتسمية في شكل بيانات مُقدم في عدد أول أو جزء أول من تسلسل صدر في ترقيم متسلسل.", da: "Relaterer en ressource til en betegnelse i form af en datering på første nummer eller del af en nummereringssekvens for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung in Form eines Datums, das innerhalb einer Zählfolge auf der ersten Ausgabe einer fortlaufenden Ressource erscheint.", fi: "Liittää aineiston päivämäärästä tai muusta ajanjaksosta muodostuvaan määritteeseen, joka ilmaisee aineiston osien tai iteraatioiden numerointijakson ensimmäisen määritteen.", "zh-hans-cn": "将一种资源与作为以日期或其他时间段形式用于标识一种资源的部分或更新后整体的编号序列中第一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstChronologicalDesignationOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Designation includes a year; year and month; month, day, and year.", ar: "تشمل التسمية: سنة؛ سنة وشهر؛ شهر، يوم، وسنة.", da: "Betegnelsen omfatter et år; år og måned; måned, dag og år.", de: "Darunter fällt ein Jahr; ein Monat und ein Jahr; ein Tag, ein Monat und ein Jahr.", fi: "Määrite sisältää vuoden; vuoden ja kuukauden; kuukauden, päivän ja vuoden.", "zh-hans-cn": "标识包括年，年和月，年、月和日。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61213",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has first chronological designation of sequence", ar: "له تسمية زمنية أولى لتسلسل", da: "har kronologisk betegnelse for første nummer eller del af sekvens", de: "hat chronologische Bezeichnung der ersten Ausgabe einer fortlaufenden Ressource", fi: "numerointijakson ensimmäinen aikamäärite aineistolle", nl: "heeft eerste chronologische aanduiding van reeks", "zh-hans-cn": "有序列的第一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60502,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of a date or other timespan that is used to indicate the last in a sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر وتسمية في شكل بيانات مُقدمة في عدد أخير أو جزء أخير من تسلسل صدر في ترقيم متسلسل.", da: "Relaterer en ressource til en betagnelse i form af en datering på sidste nummer eller del af en nummereringssekvens for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung in Form eines Datums, das innerhalb einer Zählfolge auf der letzten Ausgabe einer fortlaufenden Ressource erscheint.", fi: "Liittää aineiston päivämäärästä tai muusta ajanjaksosta muodostuvaan määritteeseen, joka ilmaisee aineiston osien tai iteraatioiden numerointijaksonviimeisen määritteen.", "zh-hans-cn": "将一种资源与作为以日期或其他时间段形式用于标识一种资源的部分或更新后整体的编号序列中最后一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastChronologicalDesignationOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Designation includes a year; year and month; month, day, and year.", ar: "تشمل التسمية: سنة؛ سنة وشهر؛ شهر، يوم، وسنة.", da: "Betegnelsen omfatter et år; år og måned; måned, dag og år.", de: "Darunter fällt ein Jahr; ein Monat und ein Jahr; ein Tag, ein Monat und ein Jahr.", fi: "Määrite sisältää vuoden; vuoden ja kuukauden; kuukauden, päivän ja vuoden.", "zh-hans-cn": "标识包括年，年和月，年、月和日。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61217",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has last chronological designation of sequence", ar: "له تسمية زمنية أخيرة لتسلسل", da: "har kronologisk betegnelse for sidste nummer eller del af sekvens", de: "hat chronologische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource", fi: "numerointijakson viimeinen aikamäärite aineistolle", nl: "heeft laatste chronologische aanduiding van reeks", "zh-hans-cn": "有序列的最后一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60503,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that continues the partial content of another diachronic resource that is completed.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا يُكْمل المحتوى الجزئي لمصدر آخر ممتد زمنيًا ومكتمل.", da: "Relaterer et ressource til en ressource, der er resultatet af opdelingen af en tidligere ressource i to eller flere separate ressourcer.", de: "Setzt eine Ressource in Beziehung zu einer diachronen Ressource, die teilweise den Inhalt einer anderen abgeschlossenen, diachronen Ressource fortführt.", fi: "Liittää aineiston aineistoon, joka on diakroninen aineisto, joka jatkaa toisen, valmiin diakronisen aineiston osittaista sisältöä.", "zh-hans-cn": "将一种资源与作为一种历时资源继承另一种已完成的历时资源的部分内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/splitInto.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60276",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is split into", ar: "هو منشطِر إلى", da: "er opdelt i", de: "ist gesplittet in", fi: "jakautunut aineisto", nl: "is gesplitst tot", "zh-hans-cn": "被分成"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60504,
      definition: {en: "Relates a resource to a resource that is formed from a coming together of two or more resources.", ar: "يربط بين مصدر ومصدر مكون من تجميع لمصدرين أو أكثر معًا.", da: "Relaterer en ressource til en ressource, der er dannet ved at lægge to eller flere ressourcer sammen.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch ein Zusammenführen von zwei oder mehreren Ressourcen gebildet wird.", fi: "Liittää aineiston aineistoon, joka on syntynyt kahden tai useamman aineiston yhdistymisestä.", "zh-hans-cn": "将一种资源与两种或多种资源一起形成的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mergedToForm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60505",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is merged to form", ar: "هو مدمج لتشكيل", da: "er lagt sammen til", de: "ist vereinigt, um ... zu bilden", fi: "yhdistynyt aineisto", nl: "is samengevoegd om te vormen", "zh-hans-cn": "被合并而形成"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60278",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60505,
      definition: {en: "Relates a resource to a resource that came together with one or more other resources to form a new resource.", ar: "يربط بين مصدر ومصدر تم دمجه مع مصدر آخر أو أكثر لتكوين مصدر جديد.", da: "Relaterer en ressource til en ressource, der sammen med en eller flere andre ressourcer danner en ny ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die mit einer anderen Ressource oder mehreren anderen Ressourcen zusammengeführt wird, um eine neue Ressource zu bilden.", fi: "Liittää aineiston aineistoon, joka on yhdistynyt yhden tai useamman aineiston kanssa ja muodostanut uuden aineiston.", "zh-hans-cn": "将一种资源与和一种或者多种其他资源一起形成一种新的资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mergerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60504",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is merger of", ar: "هو مدمج لـ", da: "er sammenlægning af", de: "ist Vereinigung von", fi: "yhdistyjä (aineisto)", nl: "is samenvoeging van", "zh-hans-cn": "是……的合并"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60506,
      definition: {en: "Relates a resource to a timespan that is a point of intersection of the ecliptic and the celestial equator, occupied by the sun when its declination is 0°.", ar: "يربط بين مصدر وفترة زمنية تمثل نقطة تقاطع بين مسار الشمس وخط الاستواء السماوي، تحتله الشمس عندما يكون انحرافها صفر \"0\".", da: "Relaterer en ressource til et af himmelsfærens og himmelækvators to skæringspunkter, hvor solen befinder sig, når dens hældning er 0°.", de: "Setzt eine Ressource in Beziehung zu einem von zwei Kreuzungspunkten der Sonnenbahn und des Himmelsäquators, die von der Sonne überquert werden, wenn ihre Deklination 0° beträgt.", fi: "Liittää aineiston ajanjaksoon, joka käyttää ekliptikan ja taivaanekvaattorin leikkauspistettä, jossa aurinko on, kun sen deklinaatio on 0°.", "zh-hans-cn": "将一种资源与作为当太阳的赤纬角度为0时其所占黄道和天赤道的一个交叉点的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equinox.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60992",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has equinox", ar: "له اعتدال", da: "har jævndøgn", de: "hat Äquinoktium", fi: "tasauspiste aineistossa", nl: "heeft equinox", "zh-hans-cn": "有二分点"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60507,
      definition: {en: "Relates a resource to an other title information in a language or script that differs from that recorded in an other title information element.", ar: "يربط بين مصدر وبيانات أخرى لعنوان بلغة أو نص مختلف عن تلك المُسجلة داخل عنصر بيانات عنوان أخر.", da: "Relaterer en ressource til andre titeloplysninger på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af andre titeloplysninger. ", de: "Setzt eine Ressource in Beziehung zu einem Titelzusatz in einer Sprache oder Schrift, der von dem bereits erfassten Titelzusatz abweicht.", fi: "Liittää aineiston tietoelementtiin tallennetusta muusta nimiketiedosta eroavaan toiseen nimeketietoon toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在其他题名信息元素中一种语言或文字的其他题名信息关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60508",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelOtherTitleInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel other title information", ar: "له بيانات عنوان أخرى بديلة", da: "har parallel anden titelinformation", de: "hat parallelen Titelzusatz", fi: "rinnakkainen muu nimiketieto aineistolle", nl: "heeft parallelle overige titelinformatie", "zh-hans-cn": "有并列其他题名信息"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60508,
      definition: {en: "Relates a resource to an other title information of a series in a language or script that differs from that recorded in an other title information of series element.", ar: "يربط بين مصدر وبيانات عنوان أخرى لسلسة بلغة أو نص مختلف عن تلك المُسجلة داخل عنصر بيانات عنوان أخرى لسلسة.", da: "Relaterer en ressource til andre titeloplysninger for en serie på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af andre titeloplysninger for en serie.", de: "Setzt eine Ressource in Beziehung zu einem Titelzusatz einer Reihe in einer Sprache oder Schrift, der von dem bereits erfassten Titelzusatz einer Reihe abweicht.", fi: "Liittää aineiston tietoelementtiin tallennetusta muusta sarjan nimiketiedosta eroavaan toiseen nimeketietoon toisella kielellä ja/tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与用不同于记录在丛编其他题名信息元素中一种语言或文字的丛编其他题名信息关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60509",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelOtherTitleInformationOfSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel other title information of series", ar: "له بيانات عنوان أخرى بديلة لسلسلة", da: "har parallel anden titelinformation for serie", de: "hat parallelen Titelzusatz einer Reihe", fi: "sarjan rinnakkainen muu nimiketieto aineistolle", nl: "heeft parallelle overige titelinformatie van reeks", "zh-hans-cn": "有丛编的并列其他题名信息"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60507",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60509,
      definition: {en: "Relates a resource to an other title information of a subseries in a language or script that differs from that recorded in an other title information of subseries element. (Deprecated)", da: "Relaterer en ressource til andre titeloplysninger for en serie på et andet sprog og/eller i et andet alfabet end det som er anvendt ved angivelsen af andre titeloplysninger for en underserie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelOtherTitleInformationOfSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel other title information of subseries (Deprecated)", da: "har parallel anden titelinformation for underserie"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60508",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60510,
      definition: {en: "Relates a resource to an indication of supplemental information about scale.", ar: "يربط بين مصدر ومؤشر لمعلومات تكلميلية بشأن مقياس.", da: "Relaterer en ressource til en indikation af supplerende oplysninger om målestoksforhold.", de: "Setzt eine Ressource in Beziehung zu ergänzenden Informationen zu einem Maßstab.", fi: "Liittää aineiston mittakaavaan lisättyjen tietojen merkintään.", "zh-hans-cn": "将一种资源与关于比例尺的补充信息表示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/additionalScaleInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Statement of comparative measurements or limitation of the scale to particular parts of the content of a resource are included.", ar: "تتضمن بيان قياسات مقارنة أو قيود لمقياس لأجزاء محددة من محتوى المصدر.", da: "Supplerende målestoksforhold omfatter angivelse i flere måleenheder eller som begrænsning af målestoksforholdet til visse dele af ressourcen.", de: "Darunter fällt eine Angabe von Vergleichsmaßen oder eine Begrenzung des Maßstabs auf bestimmte Teile des Inhalts einer Ressource.", fi: "Lisätieto mittakaavasta tarkoittaa merkintöä vertailevista mitoista tai mittakaavan rajauksesta aineiston sisällön tiettyihin osiin yms.", "zh-hans-cn": "包括一种资源之内容的比较测量的说明或对资源内容特定部分的比例尺限制"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has additional scale information", ar: "له معلومات إضافية لمقياس", da: "har supplerende målestoksforhold", de: "hat zusätzliche Informationen zu einem Maßstab", fi: "lisätieto aineiston mittakaavasta", nl: "heeft aanvullende schaalinformatie", "zh-hans-cn": "有附加比例尺信息"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60565",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60511,
      altLabel: {en: "URL", ar: "محّدد مصادر مُوحّد", de: "URL", fi: "URL-osoite", "zh-hans-cn": "URL"},
      definition: {en: "Relates a resource to an address of an online resource.", ar: "يربط بين مصدر وعنوان لمصدر متاح على الخط المباشر", da: "Relaterer en ressource til en adresse på en ressource hvortil der er fjernadgang.", de: "Setzt eine Ressource in Beziehung zu einer Adresse einer Online-Ressource.", fi: "Liittää aineiston verkkoaineiston osoitteeseen.", "zh-hans-cn": "将一种资源与一种联机资源的地址关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/uniformResourceLocator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A Uniform Resource Locators includes all resource identifiers intended to provide online access to a resource using a standard Internet browser.", ar: "تتضمن محّددات المصادر المُوحّدة كل معرفات المصدر التي تهدف إلى توفير الإتاحة على الخط المباشر لمصدر باستخدام متصفح إنترنت معياري", da: "En Uniform Ressource Locator inkluderer alle ressourceidentifikatorer der har for hensigt at give online access til en ressource gennem at bruge en standard internetbrowser.", de: "Darunter fallen alle Identifikatoren, die konzipiert sind, um unter Verwendung eines Standard-Internet-Browsers Online-Zugang auf eine Ressource anzubieten.", fi: "URL-osoite käsittää kaikki aineiston tunnisteet, joiden tarkoituksena on antaa pääsy verkossa olevaan aineistoon standardia verkkoselainta käyttäen.", "zh-hans-cn": "统一资源定位符包括使用标准的互联网浏览器对资源进行联机检索的所有资源标识符。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has uniform resource locator", ar: "له محّدد مصادر مُوحّد", da: "har uniform resource locator", de: "hat Uniform Resource Locator", fi: "URL-osoite", nl: "heeft Uniform Resource Locator", "zh-hans-cn": "有统一资源定位符"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60512,
      definition: {en: "Relates an agent to an address of an agent.", ar: "يربط بين وكيل وعنوان مراسلة خاص بوكيل.", da: "Relaterer en ressourcetil en agents bopælsadresse, forretningsadresse eller arbejdsgivers adresse og/eller en e-mail- eller internetadresse.", de: "Setzt einen Akteur in Beziehung zu einer Adresse eines Akteurs.", fi: "Liittää aineiston toimijan osoitteeseen.", "zh-hans-cn": "将一个行为者与一个行为者的一个地址关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addressOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60964",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has address of agent", ar: "له عنوان مراسلة لوكيل", da: "har adresse på agent", de: "hat Adresse eines Akteurs", fi: "toimijan osoite", nl: "heeft adres van actor", "zh-hans-cn": "有行为者的地址"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60513,
      definition: {en: "Relates a resource to an arrangement of text, images, tactile notation, or other content in a resource.", ar: "يربط بين مصدر وترتيب نص، صور، كتابة بارزة، أو أي محتوى آخر في مصدر ما.", da: "Relaterer en ressource til opstilling af tekst, billeder, taktil notation etc. i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Anordnung von Text, Bildern, taktiler Notation und so weiter in einer Ressource.", fi: "Liittää aineiston aineistoon sisältyvien tekstin, kuvien, taktiilin nuottikirjoituksen tai muun aineiston sisällön sommitteluun.", "zh-hans-cn": "将一种资源与资源中对文本、图像、触摸标记或其他内容的安排关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/layout.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has layout", ar: "له تصميم طباعي", da: "har layout", de: "hat Layout", fi: "aineiston layout", nl: "heeft opmaak", "zh-hans-cn": "有版式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60514,
      definition: {en: "Relates a resource to a timespan during which an academic degree is conferred by a granting institution or faculty.", ar: "يربط بين مصدر وفترة زمنية يتم خلالها منح درجة أكاديمية من قبل مؤسسة مانحة أو هيئة تدريس.", da: "Relaterer en ressource til et kalenderår, hvor en institution eller et fakultet har tildelt en kandidat en akademisk grad.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, in dem ein akademischer Grad, der mit einer Hochschulschrift in Verbindung steht, von einer Institution oder Fakultät verliehen wird.", fi: "Liittää aineiston ajanjaksoon, jolloin laitos tai tiedekunta on myöntänyt akateemisen oppiarvon.", "zh-hans-cn": "将一种资源与一个授予机构或院系在期间授予一个学位的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/yearDegreeGranted.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61110",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has year degree granted", ar: "له عام منح درجة", da: "har år, hvor grad er tildelt", de: "hat Jahr, in dem ein akademischer Grad verliehen wird", fi: "tutkinnon myöntämisvuosi", nl: "heeft jaar graad toegekend", "zh-hans-cn": "有学位授予年份"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60527",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60515,
      definition: {en: "Relates a resource to a chief name of a resource, that is, a title normally used when naming a resource.", ar: "يربط بين مصدر ومصدر له اسم بارز (اسم رئيسي)، وهذا يعني استخدام عنوان يستخدم عادةً عند تسمية مصدر.", da: "Relaterer en ressource til et hovednavn på en ressource, dvs. en titel, der normalt anvendes, når en ressource navngives.", de: "Setzt eine Ressource in Beziehung zu einem Hauptnamen einer Ressource, das heißt einem Titel, der normalerweise bei der Benennung einer Ressource verwendet wird.", fi: "Liittää aineiston aineiston ensisijaiseen nimekkeeseen eli aineiston nimeämisessä normaalisti käytettyyn nimekkeeseen.", "zh-hans-cn": "将一种资源与一种资源的一个主要名称（亦即命名一种资源所通常使用的一个题名）关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "An alternative title is treated as part of the title proper.", ar: "يتم التعامل مع العنوان البديل كجزء من العنوان نفسه.", da: "En alternativ titel behandles som del af en hovedtitel.", de: "Ein Alternativtitel wird als Teil eines Haupttitels behandelt.", fi: "Vaihtoehtoista nimekettä pidetään päänimekkeen osana.", "zh-hans-cn": "交替题名被处理为正题名的部分。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60957",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has title proper", ar: "له العنوان نفسه", da: "har hovedtitel", de: "hat Haupttitel", fi: "aineiston päänimeke", nl: "heeft hoofdtitel", "zh-hans-cn": "有正题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60516,
      definition: {en: "Relates a resource to a name of a series appearing on a resource of a part of a series.", ar: "يربط بين مصدر واسم سلسلة تظهر على مصدر لجزء من سلسلة.", da: "Relaterer en ressource til et navn på en ressource, der optræder på en ressource af en del af en serie.", de: "Setzt eine Ressource in Beziehung zu einem Namen einer Reihe, der auf einer Ressource als Teil einer Reihe erscheint.", fi: "Liittää aineiston sarjan nimeen, joka esiintyy aineistossa, joka on sarjan osa.", "zh-hans-cn": "将一种资源与出现在丛编一部分的一种资源上的一个丛编的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60517",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleOfSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60958",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has title of series", ar: "له عنوان لسلسلة", da: "har hovedtitel for serie", de: "hat Titel einer Reihe", fi: "sarjan nimeke aineistolle", nl: "heeft titel van reeks", "zh-hans-cn": "有丛编题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60367",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60517,
      definition: {en: "Relates a resource to a name of a series appearing on a resource of a part of a subseries. (Deprecated)", da: "Relaterer en ressource til et navn på en ressource, der optræder på en ressource af en del af en underserie."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleProperOfSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60959",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has title proper of subseries (Deprecated)", da: "har hovedtitel for underserie"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60516",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60518,
      definition: {en: "Relates a resource to a chronological or geographic coverage of the content of a resource.", ar: "يربط بين مصدرًا وتغطية زمنية أو جغرافية لمحتوى مصدر.", da: "Relaterer en ressource til en kronologisk eller geografisk dækning af en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einem chronologischen oder geografischen Bezugsrahmen des Inhalts einer Ressource.", fi: "Liittää aineiston ajalliseen tai maantieteelliseen kattavuuteen aineiston sisällössä.", "zh-hans-cn": "将一种资源与一种资源之内容的时间覆盖面或地理覆盖面关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/coverageOfContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has coverage of content", ar: "له تغطية المحتوى", da: "har indholdsdækning", de: "hat inhaltlichen Bezugsrahmen", fi: "aineiston sisällön kattavuus", nl: "heeft bereik van content", "zh-hans-cn": "有内容的覆盖面"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60519,
      definition: {en: "Relates a resource to a clarity or fineness of detail in a digital image, expressed by a measurement of the image in pixels, etc.", ar: "يربط بين مصدر ووضوح أو جودة التفاصيل في صورة رقمية، تم التعبير عنها بمقاييس الصورة بالبكسل، إلخ", da: "Relaterer en ressource til et digitalt billedes skarphed eller finhedsgrad, udtrykt som en måling af pixels i et billede etc.", de: "Setzt eine Ressource in Beziehung zu einer Klarheit oder einem Feinheitsgrad der Details in einem digitalen Bild, die/der durch eine Abmessung des Bilds in Pixeln und so weiter ausgedrückt wird.", fi: "Liittää aineiston digitaalisen kuvan tarkkuuteen, joka ilmaistaan pikseleinä tms.", "zh-hans-cn": "将一种资源与数字图像中由图像像素等的度量表达的细部清晰度或精细度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resolution.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resolution", ar: "له درجة وضوح", da: "har opløsning", de: "hat Auflösung", fi: "resoluutio aineistossa", nl: "heeft resolutie", "zh-hans-cn": "有分辨率"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60520,
      definition: {en: "Relates a resource to a category of user for whom the content of a resource is intended, or for whom the content is considered suitable.", ar: "يربط بين مصدر وفئة من المستخدمين المُستهدفين من قبل محتوى مصدر، أو الذين يُعد محتوى المصدر مناسبًا لهم.", da: "Relaterer en ressource til en brugerkategori, som en ressources indhold er beregnet for, eller for hvilken indholdet anses passende.", de: "Setzt eine Ressource in Beziehung zu einer Gruppe von Benutzenden, für die der Inhalt einer Ressource gedacht ist oder für die der Inhalt als passend angesehen wird.", fi: "Liittää aineiston käyttäjäryhmään, jolle aineiston on tarkoitettu tai jolle aineiston katsotaan soveltuvan.", "zh-hans-cn": "将一种资源与一种资源之内容的目标使用者或者一种资源之内容被认为适合的使用者的类别关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/intendedAudience.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has intended audience", ar: "له جمهور مستهدف", da: "har målgruppe", de: "hat Zielgruppe", fi: "aineiston kohderyhmä", nl: "heeft beoogde doelgroep", "zh-hans-cn": "有目标受众"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60521,
      definition: {en: "Relates a resource to a condition under which a publisher, distributor, etc., will normally supply a resource or the price of a resource.", ar: "يربط بين مصدر وحالة يقوم عادةً بموجبها ناشر، موزع، إلخ. بتوريد مصدر أو ثمن مصدر.", da: "Relaterer en ressource til en etingelse, under hvilke udgiveren, distributøren etc. normalt vil levere en ressource eller prisen på en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Preis oder einer Kondition, zu dem/der ein Verlag, Vertrieb und so weiter eine Ressource normalerweise liefert.", fi: "Liittää aineiston kustantajan, jakelijan tms. asettamiin aineiston toimitusta tai hintaa määrittäviin ehtoihin.", "zh-hans-cn": "将一种资源与出版者、发行者等通常提供一种资源的条件或者一种资源的价格关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/termsOfAvailability.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has terms of availability", ar: "له شروط إتاحة", da: "har anskaffelsesvilkår", de: "hat Bezugsbedingung", fi: "aineiston saatavuusehdot", nl: "heeft voorwaarden voor beschikbaarheid", "zh-hans-cn": "有获得方式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60522,
      definition: {en: "Relates a resource to a configuration of an audio track on a sound-track film.", ar: "يربط بين مصدر وضبط مسار صوتي على مسار صوت فيلم.", da: "Relaterer en ressource til en konfiguration af lydsporet til en film med lydspor.", de: "Setzt eine Ressource in Beziehung zu einer Positionierung der Tonspur auf einem Film mit Tonspur.", fi: "Liittää aineiston ääniraidan asemointiin äänifilmissä.", "zh-hans-cn": "将一种资源与原声电影片上的音轨配置关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/trackConfiguration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has track configuration", ar: "له بنية مسار", da: "har sporkonfiguration", de: "hat Tonspurlage", fi: "aineiston ääniraidan asemointi", nl: "heeft trackconfiguratie", "zh-hans-cn": "有音轨配置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60523,
      definition: {en: "Relates a resource to a place from which a resource originated.", ar: "يربط بين مصدرً ومكان نشأ منه مصدر", da: "Relaterer en ressource til et land eller andet område, hvorfra en ressource stammer.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, aus dem eine Ressource stammt.", fi: "Liittää aineiston paikkaan, jossa aineisto on saanut alkunsa.", "zh-hans-cn": "将一种资源与一种资源起源的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfOriginOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60970",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of origin of resource", ar: "له مكان لمنشأ مصدر", da: "har oprindelsessted for ressourcen", de: "hat Ursprungsort einer Ressource", fi: "aineiston alkuperään liittyvä paikka", nl: "heeft plaats van herkomst van resource", "zh-hans-cn": "有资源的原地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60524,
      definition: {en: "Relates an agent to a timespan during which an agent is established or founded.", ar: "يربط بين مصدر وتاريخ أنشئ أو تأسس خلاله وكيل.", da: "Relaterer en ressource til et år eller en dato hvor en agent blev etableret eller grundlagt.", de: "Setzt eine Ressource in Beziehung zu einem Datum, zu dem ein Akteur eingeführt oder gegründet wurde.", fi: "liittää aineiston ajanjaksoon, jonka aikana toimija on perustettu.", "zh-hans-cn": "将一个行为者与一个行为者成立或创办的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfEstablishment.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60980",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of establishment", ar: "له تاريخ تأسيس", da: "har etableringsår", de: "hat Gründungsdatum", fi: "aineistoon liittyvä toimijan perustamisaika", nl: "heeft datum van oprichting", "zh-hans-cn": "有成立日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60525,
      definition: {en: "Relates an agent to a timespan during which an agent is terminated or dissolved.", ar: "يربط بين مصدر وتاريخ توقف الوكيل خلاله أو حُلّ.", da: "Relaterer en ressource til år eller dato, hvor en agent ophørte eller blev opløst.", de: "Setzt eine Ressource in Beziehung zu einem Datum, zu dem ein Akteur aufgehoben oder aufgelöst wurde.", fi: "liittää aineiston ajanjaksoon, jonka aikana toimija on lakkautettu tai hajotettu.", "zh-hans-cn": "将一个行为者与一个行为者终止或解散的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfTermination.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60985",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of termination", ar: "له تاريخ توقف", da: "har ophørsår", de: "hat Auflösungsdatum", fi: "aineistoon liittyvä toimijan lakkauttamisaika", nl: "heeft datum van opheffing", "zh-hans-cn": "有终止日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60526,
      definition: {en: "Relates an agent to a timespan during which a conference, exhibition, or other formally named and convened event is held.", ar: "يربط بين مصدر وتاريخ أو نطاق تواريخ تم فيها عقد مؤتمر، اِجتماع، لقاء، معرض فني، مهرجان، اِحتِفَال، إلخ.", da: "Relaterer en ressource til et år eller en dato eller en række heraf, hvor en konference, en kongres, et møde, en udstilling, en messe, en festival etc. blev afholdt.", de: "Setzt eine Ressource in Beziehung zu einem Datum oder einem Datumsbereich, zu dem eine Konferenz, ein Kongress, eine Ausstellung, eine Messe, ein Festival und so weiter stattfindet.", fi: "Liittää aineiston päivämäärään tai päivämääriin, jolloin konferenssi, kongressi, kokous, näyttely, messut, festivaalit tms. pidettiin.", "zh-hans-cn": "将一个行为者与会议、展览或其他正式命名并举办的活动的时间跨度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfConference.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60977",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of conference", ar: "له تاريخ مؤتمر", da: "har datering af konference etc.", de: "hat Datum einer Konferenz", fi: "konferenssin aika", nl: "heeft datum van conferentie", "zh-hans-cn": "有会议的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60527,
      definition: {en: "Relates a resource to a timespan that is the earliest associated with a resource.", ar: "يربط بين مصدر ونطاق زمني يمثل أقرب تاريخ مرتبط بمصدر.", da: "Relaterer en ressource til tidligste dato knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, der am frühesten mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston varhaisimpaan aineistoon liittyvään ajankohtaan.", "zh-hans-cn": "将一种资源与和一种资源有关的最早的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60514",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60984",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of resource", ar: "له تاريخ مصدر", da: "har datering af ressource", de: "hat Datum einer Ressource", fi: "aineiston ajankohta", nl: "heeft datum van resource", "zh-hans-cn": "有资源的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61020",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60528,
      definition: {en: "Relates a resource to a system or equipment required for access to the content of an electronic analog or digital resource.", ar: "يربط بين مصدر ونظام أو جهاز مطلوب للوصول إلى محتوى مصدر إلكتروني تناظري أو رقمي.", da: "Relaterer en ressource til udstyr eller system, der er påkrævet, for at en analog, digital etc. ressource kan anvendes, afspilles etc.", de: "Setzt eine Ressource in Beziehung zu einem Gerät oder einem System, das für die Verwendung, Wiedergabe und so weiter einer elektronisch-analogen oder digitalen Ressource erforderlich ist.", fi: "Liittää aineiston laitteisiin tai järjestelmiin, joita tarvitaan analogiseen tai digitaaliseen sisältöön pääsemiseksi.", "zh-hans-cn": "将一种资源与存取一种电子模拟或数字资源内容所要求的系统或设备关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equipmentOrSystemRequirement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has equipment or system requirement", ar: "له أجهزة أو متطلبات تشغيل", da: "har afspilningsudstyr eller systemkrav", de: "hat Geräte- oder Systemanforderung", fi: "aineiston laitteisto- tai järjestelmävaatimukset", nl: "heeft apparatuur- of systeemeis", "zh-hans-cn": "有设备或系统要求"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60529,
      definition: {en: "Relates a resource to a format that is used in the production of a projected image.", ar: "يربط بين مصدر وصيغة مُستخدمة في إنتاج صورة مرئية.", da: "Relaterer en ressource til et format, der er anvendt ved fremstillingen af et projiceret billede.", de: "Setzt eine Ressource in Beziehung zu einem Format, das bei der Entstehung eines projizierten Bilds verwendet wird.", fi: "Liittää aineiston heijastettavan kuvan tuottamisessa käytettävään formaattiin.", "zh-hans-cn": "将一种资源与用于一个投影图像制作的格式关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/presentationFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has presentation format", ar: "له شكل عرض", da: "har fremvisningsformat", de: "hat Wiedergabeformat", fi: "aineiston esitysformaatti", nl: "heeft presentatieformaat", "zh-hans-cn": "有呈现格式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60353",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60530,
      definition: {en: "Relates a resource to a nomen that is a name of agent that includes the fuller form of a name or part of a name represented by an initial, abbreviation, or shortened or otherwise modified form.", ar: "يربط بين مصدر وشكل كامل لجزء من الاسم يتم تمثيله فقط من خلال اسم أول أو اختصار في شكل يتم اختياره كاسم مفضل، أو جزء من اسم غير مضمن في شكل تم اختياره كاسم مفضل.", da: "Relaterer en ressource til en mere fuldstændig navneform for en person, hvis navn i foretrukken form indeholder initialer, forkortelser eller andre varianter.", de: "Setzt eine Ressource in Beziehung zu einer vollständigen Form eines Namens, dessen bevorzugte Namensform nur durch eine Initiale oder eine Abkürzung dargestellt wird, oder zu einem Teil eines Namens, der nicht als bevorzugte Namensform gewählt wird.", fi: "Liittää aineiston alkukirjaimin, lyhenteellä tai muuten lyhennetyn tai muokatun nimen tai nimen osan täydellisempään muotoon.", "zh-hans-cn": "将一种资源与一个作为行为者名称（包括名称的完整形式或由首字母缩写、缩略或缩短或其他修改形式的名称部分）的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fullerFormOfName.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61192",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has fuller form of name", ar: "له شكل كامل للاسم", da: "har mere fuldstændig navneform", de: "hat vollständigere Namensform", fi: "nimen täydellisempi muoto aineistossa", nl: "heeft meer volledige vorm van naam", "zh-hans-cn": "有名称的完整形式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60531,
      definition: {en: "Relates an agent to a gender with which an agent identifies.", ar: "يربط بين وكيل ونوع جنس يُعرف به وكيل.", da: "Relaterer en ressource til et køn med hvilket en agent identificerer sig.", de: "Setzt einen Akteur in Beziehung zu einem Geschlecht, mit dem sich ein Akteur identifiziert.", fi: "Liittää toimijan sukupuoleen, johon toimija identifioituu.", "zh-hans-cn": "将一个行为者与一个行为者所识别的性别关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/gender.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has gender", ar: "له نوع جنس", da: "har køn", de: "hat Geschlecht", fi: "sukupuoli", nl: "heeft gender", "zh-hans-cn": "有性别"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60532,
      definition: {en: "Relates a resource to a groove width of an analog disc or a groove pitch of an analog cylinder.", ar: "يربط بين مصدر وعرض مسار لقرص تناظري أو مسار لاسطوانة تناظرية.", da: "Relaterer en ressource til rillebredde på en analog disc eller rilledybde på en analog cylinder.", de: "Setzt eine Ressource in Beziehung zu einer Rillenbreite einer Schallplatte oder einem Rillenabstand eines Phonographenzylinders.", fi: "Liittää aineiston analogisen levyn uran leveyteen tai analogisen äänilieriön urajakoon.", "zh-hans-cn": "将一种资源与模拟盘的纹槽宽度或模拟筒的纹槽间距关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61105", "http://rdaregistry.info/Elements/u/P61106"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/grooveCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has groove characteristic", ar: "له خاصية مسار", da: "har rillekarakteristika", de: "hat Rilleneigenschaft", fi: "uran ominaisuudet aineistossa", nl: "heeft groefkenmerken", "zh-hans-cn": "有纹槽特征"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60533,
      definition: {en: "Relates a resource to the first and last designations of a sequence of the individual parts or iterations of a resource.", ar: "يربط بين مصدر وأول وآخر تسمية لتسلسل خاص بأجزاء منفردة أو أجزاء أو أعداد لمصدر.", da: "Relaterer en ressource til en betegnelse for hvert nummer eller hver del af et periodikum.", de: "Setzt eine Ressource in Beziehung zu der ersten und letzten Bezeichnung der einzelnen Ausgaben einer fortlaufenden Ressource.", fi: "Liittää aineiston ensimmäiseen ja viimeiseen määritteseen, joilla ilmaistaan aineiston yksittäisten osien tai iteraatioiden peräkkäisyyttä.", "zh-hans-cn": "将一种资源与一种资源的个别部分或更新后整体的序列中第一个和最后一个的标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60499", "http://rdaregistry.info/Elements/u/P60500", "http://rdaregistry.info/Elements/u/P60501", "http://rdaregistry.info/Elements/u/P60502", "http://rdaregistry.info/Elements/u/P60818", "http://rdaregistry.info/Elements/u/P60819", "http://rdaregistry.info/Elements/u/P60820", "http://rdaregistry.info/Elements/u/P60821"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberingOfSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {da: "Nummerering af omfatter et tal, et bogstav, ethvert andet tegn eller en kombination af disse med eller uden tilhørende tekst og/eller en kronologisk betegnelse."},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has numbering of sequence", ar: "له ترقيم متسلسل", da: "har nummerering af periodika", de: "hat Zählung einer fortlaufenden Ressource", fi: "numerointijakso aineistossa", nl: "heeft nummering van volgorde", "zh-hans-cn": "有序列的编号"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60534,
      definition: {en: "Relates a resource to an identifier that is assigned to a series by an ISSN registration agency.", ar: "يربط بين مصدر ومعرف خُصص لسلسلة من قبل وكالة تسجيل الترقيم الدولي الموحد للدوريات", da: "Relaterer en ressource til en unik identifikator givet til en serie af en ISSN-registreringsinstitution.", de: "Setzt eine Ressource in Beziehung zu einem Identifikator, der einer Reihe von einem ISSN-Zentrum zugewiesen wird.", fi: "Liittää aineiston ISSN-rekisteröintitoimistoon myöntämään sarjan tunnisteeseen.", "zh-hans-cn": "将一种资源与一个国际标准连续出版物号注册机构分配给一种丛编的一个标识符关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issn.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61117",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has ISSN", ar: "له ترقيم دولي موحد للدوريات", da: "har ISSN for serie", de: "hat ISSN einer Reihe", fi: "aineiston ISSN", nl: "heeft ISSN", "zh-hans-cn": "有国际标准连续出版物号"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60535,
      definition: {en: "Relates a resource to an identifier assigned to a subseries by an ISSN registration agency. (Deprecated)", da: "Relaterer en ressource til en unik identifikator givet til en underserie af en ISSN-registreringsinstitution."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issnOfSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has ISSN of subseries (Deprecated)", da: "har ISSN for underserie"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60536,
      definition: {en: "Relates a resource to an instrument, voice, or ensemble for which a musical resource was originally conceived. (Deprecated)", da: "Relaterer en ressource til et instrument, en sangstemme og/eller en ensemble som en musikressource oprindeligt blev udtænkt til."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mediumOfPerformance.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has medium of performance (Deprecated)", da: "har originalbesætning"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60537,
      definition: {en: "Relates a resource to an instrument, voice, or ensemble and the number of parts, performers and hands used, or intended to be used, to perform the musical content of a resource.", ar: "يربط بين مصدرً وآلة، صوت، أو مجموعة وعدد من أجزاء، فنانين وعاملين مُستخدمين أو يُعتزم استخدامهم لأداء المحتوى الموسيقي لمصدر ما.", da: "Relaterer en ressource til et instrument, en stemme og eller ensemble anvendt, eller påtænkt anvendt, til opførelse af musikindhold.", de: "Setzt eine Ressource in Beziehung zu einem Instrument, einer Singstimme oder einem Ensemble und der Anzahl der Stimmen, der Ausführenden und Hände, das/die zur Darbietung eines musikalischen Inhalts einer Ressource verwendet wird/werden oder verwendet werden soll/sollen.", fi: "Liittää aineiston musiikkiesityksessä käytettävään tai käytettäväksi aiottuun soittimeen, lauluääneen tai esittäjäryhmään ja osien, esiintyjien ja käsien lukumäärään.", "zh-hans-cn": "将一种资源与一种资源的音乐内容之表演所用或构想所用的乐器、人声或组合以及声部、表演者和手的数量关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mediumOfPerformanceOfMusicalContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has medium of performance of musical content", ar: "له وسيط أداء لمحتوى موسيقي", da: "har besætning", de: "hat Besetzung für musikalischen Inhalt", fi: "musiikkisisällön esityskokoonpano aineistossa", nl: "heeft uitvoeringsmedium van muzikale content", "zh-hans-cn": "有音乐内容的表演媒介"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60538,
      definition: {en: "Relates a resource to an interval at which an issue or part of a diachronic resource is issued.", ar: "يربط بين مصدر وفترة زمنية يتم فيها صدور عدد أو جزء من مصدر ممتد زمنيًا.", da: "Relaterer en ressource til et interval, ved hvilke en series numre eller dele udgives eller det interval der er mellem opdateringer af en integrerende ressource.", de: "Setzt eine Ressource in Beziehung zu einem Intervall, in dem die Ausgaben oder Teile einer diachronen Ressource erscheinen.", fi: "Liittää aineiston diakronisen teoksen osien, numeroiden tai iteraatioiden ilmestymistiheyteen.", "zh-hans-cn": "将一种资源与一种历时资源的期或部分的发行的时间间隔关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/frequency.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has frequency", ar: "له تتابع الصدور", da: "har frekvens", de: "hat Erscheinungsfrequenz", fi: "aineiston ilmestymistiheys", nl: "heeft frequentie", "zh-hans-cn": "有频率"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60539,
      definition: {en: "Relates a resource to a measurement of a carrier or a container of a resource.", ar: "يربط بين مصدر ومقاييس حامل أو حاوية خاصة بمصدر.", da: "Relaterer en ressource til et mål for en ressources bærer eller dens opbevaringsudstyr.", de: "Setzt eine Ressource in Beziehung zu einer Abmessung eines Datenträgers oder eines Behältnisses einer Ressource.", fi: "Liittää aineiston tallenteen tai säilytyskotelon mittoihin.", "zh-hans-cn": "将一种资源与一种资源的载体或容器的测量值关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60540", "http://rdaregistry.info/Elements/u/P60541"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dimensions.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dimensions", ar: "له أبعاد", da: "har størrelse", de: "hat Maße", fi: "aineiston koko", nl: "heeft afmetingen", "zh-hans-cn": "有尺寸"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60540,
      definition: {en: "Relates a resource to a measurement of a face of a map or cartographic diagram, view, profile, or section.", ar: "يربط بين مصدر ومقاييس الوجه الخاص بخريطة، إلخ.", da: "Relaterer en ressource til et mål for en billedside af et kort etc.", de: "Setzt eine Ressource in Beziehung zu einer Abmessung eines Kartenfelds und so weiter.", fi: "Liittää aineiston kartan tai muun vastaavan aineiston kuvapuolen mittoihin.", "zh-hans-cn": "将一种资源与地图的一面或地图线图、透视图或截面图的测量值关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dimensionsOfCartographicImage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dimensions of cartographic image", ar: "له أبعاد لصور خرائطية", da: "har størrelse på kort etc. - kartografi", de: "hat Maße eines kartografischen Bilds", fi: "kartografisen kuvan koko aineistossa", nl: "heeft afmetingen van cartografisch beeld", "zh-hans-cn": "有地图图像的尺寸"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60539",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60541,
      definition: {en: "Relates a resource to a measurement of the pictorial area of a still image.", ar: "يربط بين مصدر ومقاييس المساحة المصورة في صورة ثابتة.", da: "Relaterer en ressource til et mål for et fast billedes billedområde.", de: "Setzt eine Ressource in Beziehung zu einer Abmessung der Bildfläche eines unbewegten Bilds.", fi: "Liittää aineiston stillkuvan kuva-alueen mittoihin.", "zh-hans-cn": "将一种资源与一个静态图像的图画区域的测量值关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dimensionsOfStillImage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dimensions of still image", ar: "له أبعاد الصورة الثابتة", da: "har størrelse på fast billede", de: "hat Maße eines unbewegten Bilds", fi: "stillkuvan koko aineistossa", nl: "heeft afmetingen van stilstaand beeld", "zh-hans-cn": "有静态图像的尺寸"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60539",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60542,
      definition: {en: "Relates a resource to a method or system used to represent the surface of the earth or of a celestial sphere on a plane.", ar: "يربط بين مصدر وطريقة أو نظام مستخدم لتمثيل سطح الأرض أو الكرة السماوية على مسطح.", da: "Relaterer en ressource til en metode eller system anvendt til at repræsentere jordens overflade eller overfladen på et himmellegeme på et kort.", de: "Setzt eine Ressource in Beziehung zu einer Methode oder einem System, die/das angewendet wird, um die Oberfläche der Erde oder einer Himmelskugel auf einer Ebene zu repräsentieren.", fi: "Liittää aineiston maapallon tai taivaanpallon pinnan kaksiulotteiseen esittämiseen käytettyyn menetelmään tai järjestelmään.", "zh-hans-cn": "将一种资源与用于在一个平面上表示地球或天球表面的方法或系统关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/projectionOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has projection of cartographic content", ar: "له إسقاط محتوى رسم خرائطي", da: "har projektion af kartografisk indhold", de: "hat Projektion von kartografischem Inhalt", fi: "karttasisällön projektio aineistossa", nl: "heeft projectie van cartografische content", "zh-hans-cn": "有地图内容的投影"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60543,
      definition: {en: "Relates a resource to a method used to encode audio content for playback.", ar: "يربط بين مصدر وطريقة مستخدمة في تشفير محتوى صوتي مطلوب للتشغيل.", da: "Relaterer en ressource til en metode, der er anvendt til at kode lydindhold til afspilning.", de: "Setzt eine Ressource in Beziehung zu einem Verfahren, das zur Kodierung von Audio-Inhalt für die Wiedergabe verwendet wird.", fi: "Liittää aineiston menetelmään, jota on käytetty äänen tallentamiseksi äänentoistoa varten.", "zh-hans-cn": "将一种资源与用于编码供回放的音频内容的方法关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/typeOfRecording.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has type of recording", ar: "له نوع تسجيل", da: "har indspillingskarakteristika", de: "hat Art einer Aufnahme", fi: "äänen tallentamisen tapa aineistossa", nl: "heeft opname type", "zh-hans-cn": "有录音的类型"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60544,
      definition: {en: "Relates a resource to a nomen that is a name of an agent who is responsible for distributing a published resource.", ar: "يربط بين مصدر واسم وكيل مسؤول عن توزيع مصدر منشور.", da: "Relaterer en ressource til et navn på agent, der er ansvarlig for distribution af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zum Namen eines Akteurs, der für den Vertrieb einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston julkaistun aineiston jakelusta vastaavan toimijan nimeen.", "zh-hans-cn": "将一种资源与作为负责一种出版资源的发行的一个行为者的名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfDistributor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60946",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of distributor", ar: "له اسم موزع", da: "har distributørnavn", de: "hat Vertriebsnamen", fi: "aineiston jakelijan nimi", nl: "heeft naam van distributeur", "zh-hans-cn": "有发行者名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60545,
      definition: {en: "Relates a resource to a nomen that is a name of an agent who is responsible for inscribing, fabricating, constructing, or other method of producing an unpublished resource.", ar: "يربط بين مصدر وتسمية وهي اسم وكيل مسؤول عن تسجيل، تصنيع، إنشاء، أو بأي طريقة أخرى من طرق الإنتاج، مصدر غير منشور.", da: "Relaterer en ressource til et navn på agent, der er ansvarlig for indgravering, fremstilling, konstruktion etc. af ressource i upubliceret form.", de: "Setzt eine Ressource in Beziehung zum Namen eines Akteurs, der für das Gravieren, Fabrizieren, Konstruieren oder eine andere Entstehungsmethode einer unveröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston nomeniin, joka on julkaisemattoman aineiston kaiverruksesta, valmistuksesta, kokoonpanosta tai muusta tuotantotavasta vastaavan toimijan nimi.", "zh-hans-cn": "将一种资源与作为负责镌刻、制造、构建或其他方法制作一种非出版资源的一个行为者之名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60949",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of producer", ar: "له اسم منتج", da: "har producers navn", de: "hat Erzeugername", fi: "aineiston tuottajan nimi", nl: "heeft naam van producent", "zh-hans-cn": "有制作者名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60546,
      definition: {en: "Relates a resource to a nomen that is a name of an agent who is responsible for printing, duplicating, casting, or other method of manufacturing a published resource.", ar: "يربط بين مصدر وتسمية وهي اسم وكيل مسؤول عن طبع، نسخ، طَرَح، أو مرتبط بأي طريقة أخرى بتصنيع مصدر منشور.", da: "Relaterer en ressource til et navn på agent, der er ansvarlig for trykning, duplikering, støbning etc. af en ressource i publiceret form.", de: "Setzt eine Ressource in Beziehung zum Namen eines Akteurs, der für den Druck, die Vervielfältigung, den Guss oder eine andere Herstellungsmethode einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston nomeniin, joka on julkaistun aineiston painamisesta, monistamisesta, kirjasinten valamisesta tai muusta valmistustavasta vastaavan toimijan nimi.", "zh-hans-cn": "将一种资源与作为负责印刷、复制、铸造或其他方法生产一种出版资源的一个行为者之名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfManufacturer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60948",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of manufacturer", ar: "له اسم صانع", da: "har producentnavn", de: "hat Herstellername", fi: "aineiston valmistajan nimi", nl: "heeft naam van vervaardiger", "zh-hans-cn": "有生产者名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60547,
      definition: {en: "Relates a resource to a nomen that is a name of an agent who is responsible for publishing, releasing, or issuing a published resource.", ar: "يربط بين مصدر واسم وكيل مسؤول عن نشر، تحرير، أو إصدار مصدر منشور.", da: "Relaterer en ressource til et navn på en agent, der er ansvarlig for at publicere, offentliggøre eller udgive en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Namen eines Akteurs, der für das Veröffentlichen, die Freigabe oder die Herausgabe einer Ressource verantwortlich ist.", fi: "Liittää aineiston julkaistun aineiston kustantamisesta tai julkistamisesta vastaavaan toimijaan.", "zh-hans-cn": "将一种资源与作为负责出版、发布、发行一种出版资源的一个行为者之名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfPublisher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60950",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of publisher", ar: "له اسم ناشر", da: "har udgivers navn", de: "hat Verlagsnamen", fi: "aineiston kustantajan nimi", nl: "heeft naam van uitgever", "zh-hans-cn": "有出版者名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60548,
      definition: {en: "Relates a place to a nomen that is a name of place that is selected for preference in a specific application or context.", ar: "يربط بين مكان واسم مكان اُختير كاسم مُفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer en ressource til et navn eller en navneform, der er valgt til identifikation af et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Namen eines Geografikums, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää paikan nimeen, joka on valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个地点与作为在一个特定的应用或语境中被首选的一个地点名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60923",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred name of place", ar: "له اسم مُفضل لمكان", da: "har foretrukken navneform for et sted", de: "hat bevorzugten Namen eines Geografikums", fi: "paikan ensisijainen nimi", nl: "heeft geprefereerde naam van plaats", "zh-hans-cn": "有地点的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60366",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60549,
      definition: {en: "Relates an agent to a nomen that is a name of agent that is selected for preference in a specific application or context.", ar: "يربط بين وكيل واسم وكيل ااُختير كاسم مُفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer en ressource til et navn eller en navneform, der er valgt til identifikation af en person.", de: "Setzt einen Akteur in Beziehung zu einem Namen eines Akteurs, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää toimijan nimeen, joka on valittu toimijan ensisijaiseksi nimeksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个行为者与作为一个行为者的名称并在一个特定的应用或语境中被首选的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60927",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred name of agent", ar: "له اسم مُفضل لوكيل", da: "har foretrukken navneform for agent", de: "hat bevorzugten Namen eines Akteurs", fi: "toimijan ensisijainen nimi", nl: "heeft geprefereerde naam van actor", "zh-hans-cn": "有行为者的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60368",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60550,
      definition: {en: "Relates a resource to a type, number, and measurement unit that quantify an aspect of the extent of a resource.", ar: "يربط بين مصدر ونوع، رقم، ووحدة القياس التي تحدد جانبًا من مدى مصدر.", da: "Relaterer en ressource til antal og type af enheder og/eller underenheder, der udgør en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Art, Nummer und Maßeinheit, die eine Eigenschaft des Umfangs einer Ressource beziffert.", fi: "Liittää aineiston tyyppiin, lukuun ja mittayksikköön, jotka ilmaisevat aineiston laajuutta.", "zh-hans-cn": "将一种资源与把一种资源的一个数量方面定量化的一个类型、数字和计量单位关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/extent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has extent", ar: "له امتداد", da: "har omfang", de: "hat Umfang", fi: "aineiston laajuus", nl: "heeft omvang", "zh-hans-cn": "有数量"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60551,
      definition: {en: "Relates a resource to a number of bytes in a digital file.", ar: "يربط بين مصدر وعدد البايتات في ملف رقمي.", da: "Relaterer en ressource til antal bytes i en digital fil.", de: "Setzt eine Ressource in Beziehung zu einer Anzahl der Bytes in einer Datei.", fi: "Liittää aineiston digitaalisen tiedoston tavumäärään.", "zh-hans-cn": "将一种资源与一个数字文件中的字节数关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fileSize.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has file size", ar: "له حجم ملف", da: "har filstørrelse", de: "hat Dateigröße", fi: "aineiston tiedoston koko", nl: "heeft bestandsgrootte", "zh-hans-cn": "有文件大小"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60552,
      definition: {en: "Relates a resource to a number of sound channels used to make a recording.", ar: "يربط بين مصدر ورقم قنوات الصوت المستخدمة في تسجيل.", da: "Relaterer en ressource til et antal lydkanaler, der blev anvendt til at lave en indspilning.", de: "Setzt eine Ressource in Beziehung zu einer Anzahl von Tonkanälen, die für die Wiedergabe einer Aufnahme verwendet werden.", fi: "Liittää aineiston äänityksessä käytettyjen äänikanavien määrään.", "zh-hans-cn": "将一种资源与用于制作一个录音制品的声道数关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/configurationOfPlaybackChannels.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has configuration of playback channels", ar: "له إعدادات قنوات التشغيل", da: "har konfiguration af afspilningskanaler", de: "hat Konfiguration von Wiedergabekanälen", fi: "toistokanavien määrä aineistossa", nl: "heeft configuratie van afspeelkanalen", "zh-hans-cn": "有回放声道的配置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60553,
      definition: {en: "Relates a resource to a number of tracks on an audiotape.", ar: "يربط بين مصدر وعدد المسارات على شريط صوت.", da: "Relaterer en ressource til et antal spor på et lydbånd.", de: "Setzt eine Ressource in Beziehung zu einer Anzahl der Spuren auf einem Tonband.", fi: "Liittää aineiston ääninauhalla olevien ääniraitojen lukumäärään.", "zh-hans-cn": "将一种资源与录音磁带上的音轨数关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/tapeConfiguration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has tape configuration", ar: "له بنية شريط", da: "har båndkonfiguration", de: "hat Bandkonfiguration", fi: "ääninauhan ääniraitojen määrä aineistossa", nl: "heeft bandconfiguratie", "zh-hans-cn": "有磁带配置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60554,
      definition: {en: "Relates a resource to a physical material used for the support or backing to which the base material of a resource is attached.", ar: "يربط بين مصدر ومادة مادية تُستخدم في التدعيم أو السند لمادة القاعدة التي يكون المصدر ملصق بها.", da: "Relaterer en ressource til et fysisk materiale, der udgør den støtte eller bagbeklædning, som en ressources basismateriale er fastgjort på.", de: "Setzt eine Ressource in Beziehung zu einem physischen Material, das für die Halterung oder die Stütze verwendet wird, an dem das Trägermaterial einer Ressource angebracht ist.", fi: "Liittää aineiston materiaaliin, johon aineiston pohjamateriaali kiinnitetään aineiston tukemiseksi tai kannattamiseksi.", "zh-hans-cn": "将一种资源与用于支撑或背衬的资源的基底材料所附着的物理材料关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mount.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has mount", ar: "له حامل", da: "har montage / ramme", de: "hat Halterung", fi: "aineiston tukimateriaali", nl: "heeft ondersteuning", "zh-hans-cn": "有衬底/底座"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60555,
      definition: {en: "Relates a resource to a place, date, or other information that is associated with the recording, filming, or other method of obtaining the content of a resource.", ar: "يربط بين مصدر ومكان، تاريخ، أو أية معلومات أخرى مرتبطة بتسجيل، تصوير، إلخ.، محتوى مصدر.", da: "Relaterer en ressource til et sted og år eller dato, hvor et udtryks indhold blev optaget, indspillet etc.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, einem Datum oder anderen Informationen, das/die mit der Aufnahme, dem Filmen und so weiter des Inhalts einer Ressource in Verbindung steht/stehen. ", fi: "Liittää aineiston paikkaan, päivämäärään tai muuhun informaatioon, joka liittyy aineiston sisällön äänittämiseen, filmaamiseen tms.", "zh-hans-cn": "将一种资源与和一种资源的内容的录制、拍摄或其他获取方法有关的地点、日期或其他信息关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/captureInformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has capture information", ar: "له معلومات مُلتقطة", da: "har sted, år eller dato for optagelse", de: "hat Information zur Aufzeichnung", fi: "tallennusinformaatio aineistosta", nl: "heeft vastleginformatie", "zh-hans-cn": "有摄录信息"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60556,
      definition: {en: "Relates a resource to a place associated with recording, filming, etc., the content of a resource.", ar: "يربط بين مصدر ومكان مرتبط بتسجيل، تصوير، إلخ.، محتوى مصدر.", da: "Relaterer en ressource til et sted, hvor et udtryks indhold, optagelse, indspilning etc., blev optaget.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit der Aufnahme, dem Filmen und so weiter des Inhalts einer Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, joka liitty aineiston sisällön äänittämiseen, filmaamiseen tms.", "zh-hans-cn": "将一种资源与和一种资源的内容的录制、拍摄等有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfCapture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60966",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of capture", ar: "له مكان التقاط", da: "har optagelsessted", de: "ist Aufzeichnungsort", fi: "aineiston tallennuspaikka", nl: "heeft plaats van vastleggen", "zh-hans-cn": "有摄录地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60557,
      definition: {en: "Relates a resource to an extent of resource that is a playing time, performance time, running time, or other length of time.", ar: "يربط بين مصدر ومدى مصدر يمثل وقت التشغيل، وقت الأداء، مدة العرض، أو فترة زمنية أخرى.", da: "Relaterer en ressource til varighed, spilletid, opførelsestid, etc. for en ressources indhold.", de: "Setzt eine Ressource in Beziehung zum Umfang einer Ressource, bei dem es sich um eine Wiedergabezeit, eine Aufführungszeit, eine Laufzeit oder eine andere Zeitspanne handelt.", fi: "Liittää aineiston aineiston laajuuteen, joka on soittoaika, esitysaika, toistoaika tai muu ajan pituus.", "zh-hans-cn": "将一种资源与作为播放时间、表演时间、运行时间或其他时间长度的资源的数量关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/duration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61109",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has duration", ar: "له مُدة", da: "har spilletid", de: "hat Dauer", fi: "aineiston kesto", nl: "heeft tijdsduur", "zh-hans-cn": "有持续时间"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60558,
      definition: {en: "Relates a resource to an indication of the presence of colour or tone in a resource.", ar: "يربط بين مصدر ومؤشر وجود اللون أو درجة اللون في مصدر.", da: "Relaterer en ressource til en tilstedeværelse af farve, nuance etc. i en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Angabe über das Vorhandensein von Farbe oder Tönung in einer Ressource.", fi: "Liittää aineiston aineistoon sisältyvän värin tai sävyn ilmaukseen.", "zh-hans-cn": "将一种资源与一种资源的颜色或色调是否出现的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/colourContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Black, white, single colour shades of black, single colour tints of white, and single colour tones of gray are considered to be single colours. Colour content applies to a resource with a content type of \"cartographic image\", \"cartographic moving image\", \"cartographic three-dimensional form\", \"notated movement\", \"notated music\", \"performed movement\", \"still image\", \"text\", \"three-dimensional moving image\", \"three-dimensional form\", or \"two-dimensional moving image\".", ar: "تعتبر الألوان التالية: الأسود، الأبيض، تدرجات أحادية اللون من الأسود، صبغات أحادية اللون من الأبيض، ودرجات أحادية اللون من الرمادي من الألوان الفردية. ينطبق محتوى اللون على مصدر له نوع محتوى من \"صورة خرائطية\"، \"صورة متحركة خرائطية\"، \"شكل خرائطي ثلاثي الأبعاد\"، \"حركة مدونة\"، \"موسيقى مدونة\"، \"حركة مؤداة\"، \"صورة ثابتة\"، \"نص\"، \"صورة متحركة ثُلاثية الأبعاد\"، \"شكل ثلاثي الأبعاد\"، أو \"صورة متحركة ثنائية الأبعاد\"", da: "Sort, hvid, enkeltfarvede skygger af sort, enkeltfarvede nuancer af hvidt og enkeltfarvede toner af gråt anses for at være enkelte farver.", de: "Schwarz, Weiß, einfarbige Schwarztöne, einfarbige Weißtönungen und einfarbige Grauschattierungen werden als einfarbig angesehen. Farbinhalt gibt es in einer Ressource mit dem Inhaltstyp \u0084kartografisches Bild\u0093, \u0084kartografisches Bewegtbild\u0093, \u0084kartografische dreidimensionale Form\u0093, \u0084Bewegtnotation\u0093, \u0084Noten\u0093, \u0084aufgeführte Bewegung\u0093, \u0084unbewegtes Bild\u0093, \u0084Text\u0093, \u0084dreidimensionales Bewegtbild\u0093, \u0084dreidimensionale Form\u0093 oder \u0084zweidimensionales Bewegtbild\u0093.", fi: "Musta, valkoinen, yksiväriset mustan sävyt, yksiväriset valkoisen sävyt ja yksiväriset harmaan sävyt lasketaan yksivärisiksi. Värisisältöä sovelletaan aineistoon jonka sisältötyypin arvo on \"kartografinen kuva\", \"kartografinen liikkuva kuva\", \"kartografinen kolmiulotteinen muoto\", \"liikenotaatio\", \"nuottiaineisto\", \"esitetty liike\", \"stillkuva\", \"teksti\", \" kolmiulotteinen liikkuva kuva\", \"kolmiulotteinen muoto\" tai \"kaksiulotteinen liikkuva kuva\".", "zh-hans-cn": "黑色、白色、单色黑阴影、单色白色调、单色灰色调都被认为是单色。颜色内容适用于有如下内容类型值的内容表达：“地图图像”、“地图动态图像”、“地图三维形式”、“动作谱”、“乐谱”、“表演动作”、“静止图像”、“文本”、“三维动态图像”、“三维形式”、或“二维动态图像”。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has colour content", ar: "له محتوى ملون", da: "har farveindhold", de: "hat Farbinhalt", fi: "aineiston värisisältö", nl: "heeft kleurcontent", "zh-hans-cn": "有颜色内容"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60559,
      definition: {en: "Relates a resource to an indication of the presence or absence of sound embodied by a resource.", ar: "يربط بين مصدر وإشارة إلى وجود أو عدم وجود صوت متجسد في مصدر.", da: "Relaterer en ressource til en tilstedeværelse eller fravær af lyd i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Angabe über das Vorhandensein beziehungsweise Nichtvorhandensein von Ton, der durch eine Ressource verkörpert wird.", fi: "Liittää aineiston ilmaukseen aineiston sisältämän äänen mukanaolosta tai puuttumisesta.", "zh-hans-cn": "将一种资源与一种资源所具体化的声音出现或不出现的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/soundContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Sound content is present in an resource with a content type of \"recorded music\", \"sounds\", or \"spoken word.\"", ar: "محتوى صوت متواجد في مصدر له نوع محتوى من \"موسيقى مُسجلة\"، \" أصوات\"، أو \"كلمة منطوقة\".", da: "Lydindhold findes i en ressource med indholdstype \"indspillet musik\", \"lyd\", eller \"talet ord\".", de: "Toninhalte gibt es in einer Ressource mit dem Inhaltstyp \u0084aufgeführte Musik\u0093, \u0084Töne\u0093 oder \u0084gesprochene Worte\u0093.", fi: "Äänisisältö ilmaistaan aineistossa sisältötyypin arvolla \"esitetty musiikki\", \"ääni\" tai \"puhe\".", "zh-hans-cn": "声音内容出现于有如下内容类型值的一种内容表达：“表演音乐”、“声音”、或“口语”"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sound content", ar: "له محتوى صوت", da: "har lydindhold", de: "hat Toninhalt", fi: "aineiston äänisisältö", nl: "heeft geluidscontent", "zh-hans-cn": "有声音内容"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60560,
      definition: {en: "Relates a resource to a process that is used to produce a resource.", ar: "يربط بين مصدر وعملية مستخدمة في إنتاج مصدر.", da: "Relaterer en ressource til en proces anvendt til at fremstille en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Verfahren, das angewendet wird, um eine Ressource zu erzeugen.", fi: "Liittää aineiston aineiston tuottamisessa käytettävään menetelmään.", "zh-hans-cn": "将一种资源与用于制作一种资源的一个过程关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60561", "http://rdaregistry.info/Elements/u/P60562"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionMethod.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production method", ar: "له طريقة إنتاج", da: "har produktionsmetode", de: "hat Entstehungsmethode", fi: "aineiston valmistusmenetelmä", nl: "heeft productiemethode", "zh-hans-cn": "有制作方法"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60561,
      definition: {en: "Relates a resource to the process used to produce a tactile resource (e.g., embossing, thermoform).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionMethodForTactileResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production method for tactile resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60560",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60562,
      definition: {en: "Relates a resource to the process used to produce an original manuscript or a copy.. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionMethodForManuscript.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has production method for manuscript (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60560",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60563,
      definition: {en: "Relates a resource to a ratio of horizontal distances in the cartographic content of a resource to the actual distances they represent.", ar: "يربط بين مصدر ونسبة المسافات الأفقية في محتوى رسم خرائطي لمصدر بالمسافات الفعلية التي يمثلها.", da: "Relaterer en ressource til et forhold mellem horisontale afstande i et udtryks kartografiske indhold og de virkelige afstande, de repræsenterer.", de: "Setzt eine Ressource in Beziehung zu einem Verhältnis der horizontalen Entfernungen bei kartografischem Inhalt einer Ressource zu den tatsächlichen Entfernungen, die sie repräsentieren.", fi: "Liittää aineiston kartografisen sisällön horisontaalisten etäisyyksien suhteeseen niiden esittämiin todellisiin mittoihin.", "zh-hans-cn": "将一种资源与资源的地图内容的水平距离与它代表的实际距离的比关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/horizontalScaleOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has horizontal scale of cartographic content", ar: "له مقياس أفقي لمحتوى رسم خرائطي", da: "har horisontal målestok for kartografisk indhold", de: "hat horizontalen Maßstab bei kartografischem Inhalt", fi: "kartografisen sisällön horisontaalinen mittakaava aineistossa", nl: "heeft horizontale schaal van cartografische content", "zh-hans-cn": "有地图内容的水平比例尺"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60565",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60564,
      definition: {en: "Relates a resource to a ratio of the dimensions of a still image or three-dimensional form embodied by a resource to the dimensions of the thing it represents.", ar: "يربط بين مصدر ونسبة أبعاد صورة ثابتة أو شكل ثلاثي الأبعاد يجسده مصدر بأبعاد الشيء الذي يمثله.", da: "Relaterer en ressource til et forhold mellem et fast billede eller en tredimensionel form i et udtryk og dimensionerne for den ting, billedet eller formen repræsenterer.", de: "Setzt eine Ressource in Beziehung zu einem Verhältnis der Maße eines unbewegten Bilds oder einer dreidimensionalen Form, das/die in einer Ressource verkörpert wird, zu den Maßen der Sache, die es/sie repräsentiert.", fi: "Liittää aineiston suhteeseen, joka on stillkuvan tai kolmiulotteisen muodon mittojen suhde esitetyn kohteen mittoihin.", "zh-hans-cn": "将一种资源与资源所具体化的静态图像或三维形式的尺寸与其所代表的实体尺寸之比关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scaleOfStillImageOrThreeDimensionalForm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scale of still image or three-dimensional form", ar: "له مقياس صورة ثابتة أو شكل ثلاثي الأبعاد", da: "har målestoksforhold for fast billede eller tredimensionel form", de: "hat Maßstab eines unbewegten Bilds oder einer dreidimensionalen Form", fi: "stillkuvan tai kolmiulotteisen muodon mittakaava aineistossa", nl: "heeft schaal van stilstaand beeld of drie-dimensionale vorm", "zh-hans-cn": "有静态图像或三维形式的比例尺"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60565",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60565,
      definition: {en: "Relates a resource to a ratio of the dimensions of an image or three-dimensional form to the dimensions of the thing that is represented.", ar: "يربط بين مصدر ونسبة أبعاد صورة أو شكل ثلاثي الأبعاد بأبعاد الشيء الذي يتم تمثيله.", da: "Relaterer en ressource til et forhold mellem et billede eller en tredimensionel form og dimensionerne for den ting, billedet eller formen repræsenterer.", de: "Setzt eine Ressource in Beziehung zu einem Verhältnis der Maße eines Bilds oder einer dreidimensionalen Form zu den Maßen der Sache, die es/sie repräsentiert.", fi: "Liittää aineiston kuvan tai kolmiulotteisen muodon aineiston mittojen suhteeseen sen esittämän kohteen mittoihin.", "zh-hans-cn": "将一种资源与一种图像或三维形式的尺寸与其所代表的东西的尺寸之比关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60510", "http://rdaregistry.info/Elements/u/P60563", "http://rdaregistry.info/Elements/u/P60564", "http://rdaregistry.info/Elements/u/P60579"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scale.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Scale can apply to horizontal, vertical, angular, and/or other measurements represented in the resource.", ar: "يمكن تطبيق المقياس على القياسات الأفقية والرأسية والزاوية و / أو غيرها من القياسات الممثلة في المصدر.", da: "Målestoksforhold kan gælde for horisontale, vertikale, kantede og/eller andre mål repræsenterede i en ressource.", de: "Ein Maßstab kann auf horizontale, vertikale, winklige und/oder andere Maße angewendet werden, die in einer Ressource repräsentiert sind.", fi: "Mittakaava voi koskea aineistossa esitettyjä horisontaalisia, vertikaalisia, kulma- tai muita mittoja.", "zh-hans-cn": "比例尺可应用于资源所代表的水平、垂直、角度和/或其他测量。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scale", ar: "له مقياس", da: "har målestoksforhold", de: "hat Maßstab", fi: "aineiston mittakaava", nl: "heeft schaal", "zh-hans-cn": "有比例尺"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60566,
      definition: {en: "Relates a resource to a numerical ratio of the width to the height of a moving image.", ar: "يربط بين مصدر ونسبة عددية من العرض إلى ارتفاع لصورة متحركة.", da: "Relaterer en ressource til et numerisk forhold mellem bredde og højde i et levende billede.", de: "Setzt eine Ressource in Beziehung zu einem Zahlenverhältnis von der Breite zur Höhe einer Bewegtbildressource.", fi: "Liittää aineiston liikkuvan kuvan leveyden ja korkeuden väliseen numeeriseen suhteeseen.", "zh-hans-cn": "将一种资源与一种动态图像的宽度和高度的数字比关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aspectRatio.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has aspect ratio", ar: "له نسبة باعية", da: "har billedformat", de: "hat Bildformat", fi: "kuvasuhde aineistossa", nl: "heeft aspectratio", "zh-hans-cn": "有宽高比"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60567,
      definition: {en: "Relates a resource to the relationship between an original audio carrier and the carrier of a reproduction made from the original (e.g., a tape duplication master, a test pressing).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generationOfAudioRecording.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation of audio recording (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60568",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60568,
      definition: {en: "Relates a resource to a relationship between an original carrier and a carrier of a reproduction that is made from the original.", ar: "يربط بين مصدر وعلاقة بين حامل أصلي والحامل الخاص بإعادة الإنتاج المصنوع من الأصل.", da: "Relaterer en ressource til et forhold mellem en oprindelig bærere og bæreren af en reproduktion baseret på originalen.", de: "Setzt eine Ressource in Beziehung zu einer Beziehung zwischen einem Originaldatenträger und dem Datenträger einer Reproduktion, die vom Original erstellt wird.", fi: "Liittää aineiston alkuperäisen tallenteen ja siitä tuotetun jäljenteen tallenteen väliseen suhteeseen.", "zh-hans-cn": "将一种资源与原始载体和原件复制品的载体之间的关系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60567", "http://rdaregistry.info/Elements/u/P60569", "http://rdaregistry.info/Elements/u/P60570", "http://rdaregistry.info/Elements/u/P60571", "http://rdaregistry.info/Elements/u/P60572"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation", ar: "له توليد", da: "har generation", de: "hat Kopiengeneration", fi: "sukupolvi aineistossa", nl: "heeft generatie", "zh-hans-cn": "有代"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60569,
      definition: {en: "Relates a resource to the relationship between an original carrier of a digital resource and the carrier of a reproduction made from the original (e.g., a derivative master).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generationOfDigitalResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation of digital resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60568",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60570,
      definition: {en: "Relates a resource to the relationship between an original carrier of a motion picture film resource and the carrier of a reproduction made from the original (e.g., a reference print).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generationOfMotionPictureFilm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation of motion picture film (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60568",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60571,
      definition: {en: "Relates a resource to the relationship between an original carrier of a videotape resource and the carrier of a reproduction made from the original (e.g., a show copy).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generationOfVideotape.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation of videotape (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60568",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60572,
      definition: {en: "Relates a resource to the relationship between an original microform carrier and the carrier of a reproduction made from the original (e.g., a printing master).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/generationOfMicroform.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has generation of microform (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60568",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60573,
      definition: {en: "Relates a resource to a relationship of the colours and tones in an image to the colours and tones of the object reproduced.", ar: "يربط بين مصدر وعلاقة خاصة بالألوان ودرجات الألوان في صورة ما بألوان ودرجات شيء/لون معاد إنتاجه.", da: "Relaterer en ressource til et forhold mellem farver og nuancer i et billede og farver og nuancer i den reproducerede genstand.", de: "Setzt eine Ressource in Beziehung zum Verhältnis der Farben und Tönungen in einem Bild zu den Farben und Tönungen des reproduzierten Objekts.", fi: "Liittää aineiston suhteeseen, joka kuvan väreillä ja valoisuudella on kuvan kohteen väreihin ja valoisuuteen.", "zh-hans-cn": "将一种资源与一个图像中色彩和色调与被复制对象的色彩和色调的关系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/polarity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has polarity", ar: "له استقطاب ألوان", da: "har polaritet", de: "hat Polarität", fi: "polariteetti aineistossa", nl: "heeft polariteit", "zh-hans-cn": "有极性"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60574,
      definition: {en: "Relates a resource to a resource whose content is incorporated in the content of another resource.", ar: "يربط بين مصدر ومصدر يكون محتواه مدمجًا في محتوى مصدر آخر.", da: "Relaterer en ressource til en ressource, der er blevet inkorporeret i en anden ressource.", de: "Setzt ein Ressource in Beziehung zu einer Ressource, deren Inhalt in den Inhalt einer anderen Ressource eingeflossen ist.", fi: "Liittää aineiston aineistoon, jonka sisältö on yhdistynyt toisen aineiston sisältöön.", "zh-hans-cn": "将一种资源与其内容被纳入另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorptionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60247",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is absorption of", ar: "هو احتواء لـ", da: "er absorbering af", de: "ist darin aufgegangen", fi: "sulautunut aineisto", nl: "is opname van", "zh-hans-cn": "是……的吸收"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60575,
      definition: {en: "Relates a resource to a resource whose partial content is incorporated in the content of another resource.", ar: "يربط بين مصدر ومصدر يكون محتواه الجزئي مدمجًا في محتوى مصدر آخر.", da: "Relaterer en ressource til en ressource, der er delvis inkorporeret i en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Inhalt teilweise in den Inhalt einer anderen Ressource eingeflossen ist.", fi: "Liittää aineiston aineistoon, jonka osittainen sisältö on yhdistynyt toisen aineiston sisältöön.", "zh-hans-cn": "将一种资源与其部分内容被纳入另一种资源之内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorptionInPartOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60248",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is absorption in part of", ar: "هو احتواء في جزء لـ", da: "er delvis absorbering af", de: "ist teilweise darin aufgegangen", fi: "osittain sulautunut aineisto", nl: "is gedeeltelijke opname van", "zh-hans-cn": "是……的部分吸收"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60576,
      definition: {en: "Relates a resource to a resource that is a diachronic resource that is completed whose content is continued by another diachronic resource.", ar: "يربط بين مصدر ومصدر ممتد زمنيًا ومكتمل، ومحتواه مستمر من خلال مصدر آخر ممتد زمنيًا.", da: "Relaterer en ressource til en ressource, der fortsættes af en senere ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer abgeschlossenen diachronen Ressource, deren Inhalt durch eine andere diachrone Ressource fortgeführt wird.", fi: "Liittää aineiston aineistoon, joka on valmis diakroninen aineisto, jonka sisältöä jatkaa toinen diakroninen aineisto.", "zh-hans-cn": "将一种资源与作为一种已完成的历时资源而且其内容被另一种历时资源继承的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/continuationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "This element applies in general to a successive resource.", ar: "ينطبق هذا العنصر بشكل عام على مصدر متتالي.", da: "Denne relation anvends generelt for periodika.", de: "Im Allgemeinen trifft dieses Element auf eine sukzessive Ressource zu.", fi: "Tämä elementti soveltuu yleensä peräkkäisesti ilmestyvään aineistoon.", "zh-hans-cn": "该元素一般适用于一种相继资源。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60306",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is continuation of", ar: "هو استمرار لـ", da: "er fortsættelse af", de: "ist Fortsetzung von", fi: "jatkoa aineistolle", nl: "is voortzetting van", "zh-hans-cn": "是……的继承"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60577,
      definition: {en: "Relates a resource to a resource whose narrative is continued by a later resource.. (Deprecated)", da: "Relaterer en ressource til en ressource, hvis fortælling fortsættes af en senere ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sequelTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60102",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is sequel to (Deprecated)", da: "er efterfølger til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60261",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60578,
      definition: {en: "Relates a resource to a proportional relationship between a whole sheet in a printed or manuscript resource, and the individual leaves that result if that sheet is left full, cut, or folded.", ar: "يربط بين مصدر وعلاقة نسبية بين ورقة كاملة في مصدر مطبوع أو مخطوط، والأوراق الفردية التي تنتج إذا تركت الورقة كاملة، أو مقطوعة، أو مطوية.", da: "Relaterer en ressource til detaljer om resultatet af at folde et trykt ark, så der dannes en samling af blade.", de: "Setzt eine Ressource in Beziehung zu einem proportionalen Verhältnis zwischen einem ganzen Bogen in einer gedruckten oder handschriftlichen Ressource und den einzelnen Blättern, die resultieren, wenn der Bogen im Ganzen gelassen, geschnitten oder gefaltet wird.", fi: "Liittää aineiston painetussa tai käsikirjoitusaineistossa kokonaisen arkin ja yksittäisten lehtien väliseen kokosuhteeseen, joka riippuu siitä, onko arkki kokonainen, leikattu tai taitettu.", "zh-hans-cn": "将一种资源与印刷或手稿资源的一个整张和导致在一种资源中是否完整、裁切或折叠的单独页之间的比例关系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bibliographicFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has bibliographic format", ar: "له شكل ببليوجرافي", da: "har bibliografisk format", de: "hat bibliografisches Format", fi: "aineiston bibliografinen koko", nl: "heeft boekformaat", "zh-hans-cn": "有书目格式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60579,
      definition: {en: "Relates a resource to a scale of elevation or vertical dimension of the cartographic content of a resource.", ar: "يربط بين مصدر ومقياس ارتفاع أو بُعد عَمُودِي لمحتوى رسم خرائطي لمصدر ما.", da: "Relaterer en ressource til en koteskala eller skala for vertikal dimension for en ressources kartografiske indhold.", de: "Setzt eine Ressource in Beziehung zu einem Maßstab der Höhe oder einem vertikalen Maß von kartografischem Inhalt einer Ressource.", fi: "Liittää aineiston kartografisen sisällön esittämään korkeuden tai vertikaalisen ulottuvuuden mittakaavaan.", "zh-hans-cn": "将一种资源与资源的地图内容的高度或垂直尺寸的比例尺关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/verticalScaleOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has vertical scale of cartographic content", ar: "له مقياس عَمُودِي لمحتوى رسم خرائطي", da: "har vertikal skala for kartografisk indhold", de: "hat vertikalen Maßstab bei kartografischem Inhalt", fi: "aineiston kartografisen sisällön vertikaalinen mittakaava", nl: "heeft verticale schaal van cartografische content", "zh-hans-cn": "有地图内容的垂直比例尺"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60565",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60580,
      definition: {en: "Relates a resource to a set of pitch relationships that establishes the tonal centre, or principal tonal centre, used, or intended to be used, for performance of musical content of a resource.", ar: "يربط بين مصدر ومجموعة من علاقات النغمات التي تؤسس مركز النغمات أو مركز النغمات الرئيسي المستخدم أو المزمع استخدامه لأداء المحتوى الموسيقي لمصدر ما.", da: "Relaterer en ressource til et sæt af tonehøjdeforhold, der fastlægger et musikressources tonale eller væsentligste tonale centrum.", de: "Setzt eine Ressource in Beziehung zu einem Satz an Tonhöhenbeziehungen, der das tonale Zentrum oder das hauptsächliche tonale Zentrum begründet, das für eine Darbietung eines musikalischen Inhalts einer Ressource verwendet wird oder verwendet werden soll.", fi: "Liittää aineiston sävelsuhteiden joukkoon, johon aineiston musiikillisen sisällön esityksessä käytetty tai käytettäväksi tarkoitettu tonaalinen keskus tai pääasiallinen tonaalinen keskus perustuu.", "zh-hans-cn": "将一种资源与为一种资源的音乐内容之表演建立所用或计划所用的调性中心或主调性中心的一组音高关系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/key.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has key", ar: "له مُفتاح", da: "har toneart", de: "hat Tonart", fi: "aineiston sävellaji", nl: "heeft toonsoort", "zh-hans-cn": "有调"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60581,
      definition: {en: "Relates a resource to a numerical ratio of the size of a micro-image in relation to an original from which it was produced.", ar: "يربط بين مصدر ونسبة عددية لحجم صورة مصغرة بالنسبة للأصل الذي انتجت منه.", da: "Relaterer en ressource til et numerisk forhold for størrelsen på et mikrobillede i forhold til den original, som det er fremstillet ud fra.", de: "Setzt eine Ressource in Beziehung zu einem Zahlenverhältnis zwischen der Größe eines Mikro-Bilds im Verhältnis zu dem Original, von dem es hergestellt wird.", fi: "Liittää aineiston numeeriseen suhdelukuun, joka ilmaisee mikrokokoiseksi pienennetyn kuvan suhteen alkuperäiseen kuvaan, josta pienennetty kuva on tuotettu.", "zh-hans-cn": "将一种资源与缩微图像尺寸和其所复制的原件之间的数值比关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reductionRatio.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has reduction ratio", ar: "له معدل تصغير", da: "har reduktionsforhold", de: "hat Verkleinerungsfaktor", fi: "pienennyssuhde aineistossa", nl: "heeft verkleiningsfactor", "zh-hans-cn": "有缩率"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60582,
      definition: {en: "Relates a resource to a size of the type that is used to represent the characters and symbols in a resource.", ar: "يربط بين مصدر وحجم الخط المستخدم في تمثيل التمثيلات والرموز في مصدر.", da: "Relaterer en ressource til en størrelse på den skrifttype, der er anvendt til at repræsentere tegn og symboler i en ressource.", de: "Setzt eine Ressource in Beziehung zu den Details zur Größe der Schrift, die zur Repräsentation der Zeichen und Symbole in einer Ressource verwendet wird.", fi: "Liittää aineiston aineiston merkeissä ja symboleissa käytettävään kirjasimen kokoon.", "zh-hans-cn": "将一种资源与在一种资源中用于表示字符和符号的字型的大小关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fontSize.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has font size", ar: "له حجم خط", da: "har skriftstørrelse", de: "hat Schriftgröße", fi: "kirjasinkoko aineistossa", nl: "heeft lettergrootte", "zh-hans-cn": "有字体大小"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60583,
      definition: {en: "Relates a resource to the circumstances under which a resource is directly acquired, including a method, source, and date of acquisition.", ar: "يربط بين مصدر والظروف التي تم فيها اقتناء مصدر بصورة مباشرة، ويشمل ذلك طريقة الاقتناء، مصدره، تاريخه.", da: "Relaterer en ressource til en kilde, hvorfra institutionen har anskaffet en ressource, samt de omstændigheder under hvilke det blev modtaget.", de: "Setzt eine Ressource in Beziehung zu den Umständen, unter denen eine Ressource direkt erworben wird. Darunter fallen Erwerbungsmethoden, Erwerbungsquellen und Erwerbungsdaten.", fi: "Liittää aineiston aineiston hankintaolosuhteisiin, kuten hankintatapaan, -lähteeseen ja -ajankohtaan.", "zh-hans-cn": "将一种资源与资源直接被获取的环境（包括获取的方法、来源和日期）关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/immediateSourceOfAcquisitionOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has immediate source of acquisition of resource", ar: "له مصدر حالى لاقتناء مصدر", da: "har direkte anskaffelseskilde for eksemplar", de: "hat Bezugsquelle einer Ressource", fi: "aineiston hankintalähde", nl: "heeft directe bron van verwerving van resource", "zh-hans-cn": "有资源的直接获取来源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60584,
      definition: {en: "Relates a resource to a specific character of the primary content of a resource.", ar: "يربط بين مصدر وخاصية معينة في المحتوى الأساسي لمصدر.", da: "Relaterer en ressource til en specifik egenskab ved en ressources primære indhold.", de: "Setzt eine Ressource in Beziehung zu einer spezifischen Eigenschaft des primären Inhalts einer Ressource.", fi: "Liittää aineiston sen pääasiallisen sisällön erityispiirteeseen.", "zh-hans-cn": "将一种资源与一种资源的主要内容的特定特征关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/natureOfContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has nature of content", ar: "له طبيعة محتوى", da: "har indholdets art", de: "hat Art des Inhalts", fi: "aineiston sisällön luonne", nl: "heeft aard van content", "zh-hans-cn": "有内容的性质"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60585,
      definition: {en: "Relates a resource to a speed at which a projected carrier must be operated to produce the moving image intended.", ar: "يربط بين مصدر وسرعة يجب أن يشغل بها حامل عرض لكي ينتج عنه الصور المتحركة المطلوبة.", da: "Relaterer en ressource til en hastighed, ved hvilken en projiceret bærer skal betjenes for at producere det ønskede levende billede.", de: "Setzt eine Ressource in Beziehung zu einer Geschwindigkeit, mit der ein projizierbarer Datenträger betrieben werden muss, um das beabsichtigte Bewegtbild zu erzeugen.", fi: "Liittää aineiston nopeuteen, jolla projisoitava tallenne tulee esittää liikkuvan kuvan näyttämiseksi tarkoitetulla tavalla.", "zh-hans-cn": "将一种资源与一种投影载体要产生所期望的动态图像必须操作的速度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/projectionSpeed.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has projection speed", ar: "له سرعة عرض", da: "har projektionshastighed", de: "hat Projektionsgeschwindigkeit", fi: "projisointinopeus aineistolle", nl: "heeft projectiesnelheid", "zh-hans-cn": "有投影速度"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60353",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60586,
      definition: {en: "Relates a resource to a speed at which an audio carrier must be operated to produce the sound intended.", ar: "يربط بين مصدر وسرعة يجب أن يشغل بها حامل صوت لكي ينتج الصوت المطلوب.", da: "Relaterer en ressource til en hastighed, som en lydbærer skal betjenes ved for at producere den ønskede lyd.", de: "Setzt eine Ressource in Beziehung zu einer Geschwindigkeit, mit der ein Tonträger für die korrekte Wiedergabe abgespielt werden muss.", fi: "Liittää aineiston nopeuteen, jolla äänitallenne on toistettava äänen tuottamiseksi tarkoitetulla tavalla.", "zh-hans-cn": "将一种资源与一种音频载体要产生所期望的声音必须操作的速度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/playingSpeed.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has playing speed", ar: "له سرعة تشغيل", da: "har omdrejningshastighed", de: "hat Abspielgeschwindigkeit", fi: "toistonopeus aineistolle", nl: "heeft afspeelsnelheid", "zh-hans-cn": "有播放速度"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60587,
      definition: {en: "Relates a resource to a speed at which streaming audio, video, or other content is designed to play..", ar: "يربط بين مصدر وسرعة تم بها تصميم بيانات صوتية متدفقة عبر الانترنت، فيديو، أو أي محتوى آخر للتشغيل.", da: "Relaterer en ressource til en hastighed, som streamet lyd, video etc. er skabt til at spille ved.", de: "Setzt eine Ressource in Beziehung zu einer Geschwindigkeit, mit der Audio-, Video-Streaming und so weiter abgespielt werden.", fi: "Nopeus, jolla suoratoistoääni, -video tai muu sisältö on suunniteltu toistettavan.", "zh-hans-cn": "将一种资源与流播音频、视频或其他内容被设计播放的速度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/encodedBitrate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60858",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has encoded bitrate", ar: "له معدل للبتات المُشفرة", da: "har kodet bitrate", de: "hat Bitrate", fi: "koodattu bittinopeus aineistolle", nl: "heeft gecodeerde bitsnelheid", "zh-hans-cn": "有编码的比特率"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60350",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60588,
      definition: {en: "Relates a resource to a nomen that is a title of resource that is selected for preference in a specific application or context.", ar: "يربط بين مصدر وعنوان مصدر اُختير كعنوان مُفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer en ressource til en titel eller titelform, der er valgt til identifikation af ressourcen.", de: "Setzt eine Ressource in Beziehung zu einem Titel einer Ressource, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää aineiston nimekkeeseen, joka on valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一种资源与作为资源的一个题名并在一个特定的应用或语境下被首选的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredTitleOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60933",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred title of resource", ar: "له عنوان مفضل لمصدر", da: "har foretrukken titel for ressourcen", de: "hat bevorzugten Titel einer Ressource", fi: "aineiston ensisijainen nimeke", nl: "heeft geprefereerde titel van resource", "zh-hans-cn": "有资源的首选题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60367",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60589,
      definition: {en: "Relates a resource to a nomen that is a title proper in another language or script.", ar: "يربط بين مصدر وعنوان مُنَاسِب بلغة أخرى أو نص آخر.", da: "Relaterer en ressource til en hovedtitel på et andet sprog og/eller i et andet alfabet.", de: "Setzt eine Ressource in Beziehung zu einem Haupttitel in einer anderen Sprache oder einer anderen Schrift.", fi: "Liittää aineiston päänimekkeeseen toisella kielellä tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与作为用另一种语言或文字的一个正题名的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60590",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelTitleProper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "An alternative title in another language and/or script is treated as part of the parallel title proper.", ar: "يتم التعامل مع عنوان بديل في لغة و / أو نص آخر كجزء من العنوان الموازي المناسب.", da: "En alternativ titel på et andet sprog eller i et andet alfabet behandles som del af en parallel hovedtitel.", de: "Ein Alternativtitel in einer anderen Sprache oder einer anderen Schrift wird als Teil des Paralleltitels behandelt.", fi: "Vaihtoehtoista nimekettä toisella kielellä ja/tai kirjoitusjärjestelmällä pidetään rinnakkaisen päänimekkeen osana.", "zh-hans-cn": "用另一种语言和/或文字的一种交替题名被处理为并列正题名的部分。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61116",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel title proper", ar: "له عنوان موزاي مُنَاسِب", da: "har parallel hovedtitel", de: "hat Paralleltitel", fi: "aineiston rinnakkainen päänimeke", nl: "heeft parallelle hoofdtitel", "zh-hans-cn": "有并列正题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60369",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60590,
      definition: {en: "Relates a resource to a nomen that is a title of series in another language or script.", ar: "يربط بين مصدر وعنوان سلسلة بلغة أخرى أو نص آخر.", da: "Relaterer en ressource til en hovedtitel for en serie på et andet sprog og/eller i et andet alfabet.", de: "Setzt eine Ressource in Beziehung zu einem Titel einer Reihe, der in einer anderen Sprache oder einer anderen Schrift vorliegt.", fi: "Liittää aineiston sarjan nimekkeeseen toisella kielellä tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一种资源与作为用另一种语言或文字的一个丛编题名的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60591",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelTitleOfSeries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61197",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel title of series", ar: "له عنوان موزاي لسلسلة", da: "har parallel hovedtitel for serie", de: "hat Paralleltitel einer Reihe", fi: "sarjan rinnakkainen nimeke aineistolle", nl: "heeft parallelle hoofdtitel van reeks", "zh-hans-cn": "有丛编的并列题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60589",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60591,
      definition: {en: "Relates a resource to a title proper of a subseries in another language or script. (Deprecated)", da: "Relaterer en ressource til en hovedtitel for en underserie på et andet sprog og/eller i et andet alfabet."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelTitleProperOfSubseries.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has parallel title proper of subseries (Deprecated)", da: "har parallel hovedtitel for underserie"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60590",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60592,
      definition: {en: "Relates an agent to a place where an agent dies.", ar: "يربط بين وكيل ومكان توفي فيه وكيل.", da: "Relaterer en ressource til en landsby, by, region, stat og/eller land, hvor en agent døde.", de: "Setzt einen Akteur in Beziehung zu einem Geografikum, in dem ein Akteur gestorben ist.", fi: "Liittää toimijan paikkaan, jossa toimija kuoli.", "zh-hans-cn": "将一个行为者与一个行为者去世的地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfDeath.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60967",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of death", ar: "له مكان وفاة", da: "har dødssted", de: "hat Sterbeort", fi: "toimijan kuolinpaikka", nl: "heeft plaats van overlijden", "zh-hans-cn": "有去世地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60593,
      definition: {en: "Relates an agent to a place where an agent is born.", ar: "يربط بين وكيل ومكان وُلِد فيه وكيل.", da: "Relaterer en ressource til en landsby, by, region, stat og/eller land, hvor en agent blev født.", de: "Setzt einen Akteur in Beziehung zu einem Geografikum, in dem ein Akteur geboren ist.", fi: "Liittää toimijan paikkaan, jossa toimija syntyi.", "zh-hans-cn": "将一个行为者与一个行为者出生的地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfBirth.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60965",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of birth", ar: "له مكان ميلاد", da: "har fødested", de: "hat Geburtsort", fi: "toimijan synnyinpaikka", nl: "heeft geboorteplaats", "zh-hans-cn": "有出生地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61018",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60594,
      definition: {en: "Relates a resource to a type of medium used to record sound on an audio carrier.", ar: "يربط بين مصدر ونوع وسيط مستخدم في تسجيل الصوت على حامل صوتي.", da: "Relaterer en ressource til en type af medie, der er anvendt til at optage lyd på en lydbærer.", de: "Setzt eine Ressource in Beziehung zu einer Art des Mediums, das verwendet wird, um Ton auf einem Tonträger festzuhalten.", fi: "Liittää aineiston tallennusmediaan, jolla ääni tallennetaan äänitallenteelle.", "zh-hans-cn": "将一种资源与用于在音频载体上记录声音的媒介类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordingMedium.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has recording medium", ar: "له وسيط تسجيل", da: "har optagemedie", de: "hat Aufzeichnungsmedium", fi: "aineiston äänen tallennusmedian tyyppi", nl: "heeft opnamemedium", "zh-hans-cn": "有录音媒介"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60351",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60595,
      definition: {en: "Relates a resource to the underlying physical material of a microfilm, microfiche, photographic film, or motion picture film resource. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/baseMaterialForMicrofilmMicrofichePhotographicFilmAndMotionPictureFilm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has base material for microfilm, microfiche, photographic film, and motion picture film (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60596,
      definition: {en: "Relates a resource to an underlying physical material of a resource.", ar: "يربط بين مصدر ومادة ملموسة أساسية لمصدر.", da: "Relaterer en ressource til en manifestations underliggende fysiske materiale.", de: "Setzt eine Ressource in Beziehung zu einem zugrunde liegenden, physischen Material einer Ressource.", fi: "Liittää aineiston aineiston fyysiseen pohjamateriaaliin.", "zh-hans-cn": "将一种资源与一种资源的下层物理材料关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/baseMaterial.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has base material", ar: "له مادة أساسية", da: "har basismateriale", de: "hat Trägermaterial", fi: "aineiston pohjamateriaali", nl: "heeft basismateriaal", "zh-hans-cn": "有基底材料"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60995",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60597,
      definition: {en: "Relates a resource to a nomen that is a title of resource that is assigned by an ISSN registration agency.", ar: "يربط بين مصدر وعنوان مصدر خصصته وكالة تسجيل ترقيم دولي موحد للدوريات.", da: "Relaterer en ressource til et unikt navn, der gives til en ressource af et ISSN-registreringsorgan.", de: "Setzt ein Werk in Beziehung zu einem Titel eines Werks, der durch eine ISSN-Registrierungsstelle vergeben wird.", fi: "Liittää aineiston ISSN-rekisteröintiyksikön antamaan aineiston nimekkeeseen.", "zh-hans-cn": "将一种资源与作为被国际标准连续出版物号一个注册机构分配之资源的一个题名的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/keyTitle.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61118",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has key title", ar: "له عنوان مُفتاحي", da: "har nøgletitel", de: "hat Key Title", fi: "aineiston avainnimeke", nl: "heeft key title", "zh-hans-cn": "有识别题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61023",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60598,
      definition: {en: "Relates an agent to a timespan during which an agent died.", ar: "يربط بين وكيل وعام توفى فيه وكيل.", da: "Relaterer en ressource til det år en agent døde.", de: "Setzt einen Akteur in Beziehung zu einem Jahr, in dem ein Akteur gestorben ist.", fi: "Liittää toimijan vuoteen, jona toimija kuoli.", "zh-hans-cn": "将一个行为者与一个行为者去世的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfDeath.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60978",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of death", ar: "له تاريخ وفاة", da: "har dødsår", de: "hat Sterbedatum", fi: "toimijan kuolinaika", nl: "heeft datum van overlijden", "zh-hans-cn": "有去世日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60599,
      definition: {en: "Relates an agent to a timespan during which an agent was born.", ar: "يربط بين وكيل وعام وُلِد فيه وكيل.", da: "Relaterer en ressource til det år en agent blev født.", de: "Setzt einen Akteur in Beziehung zu einem Jahr, in dem ein Akteur geboren wurde.", fi: "Liittää toimijan vuoteen, jona toimija syntyi.", "zh-hans-cn": "将一个行为者与一个行为者出生的时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfBirth.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60975",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of birth", ar: "له تاريخ ميلاد", da: "har fødselsår", de: "hat Geburtsdatum", fi: "toimijan syntymäaika", nl: "heeft geboortedatum", "zh-hans-cn": "有出生日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60324",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60600,
      definition: {en: "Relates an agent to a resource that includes a contribution of adding written words to music. (Deprecated)", da: "Relaterer en forfatter af ord, der er tilføjet til en musikressource til en ressource."},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60707",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedLyricsOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Writing of lyrics in collaboration with a composer to form an original resource is excluded.. (Deprecated)", da: "Forfattelse af sangtekster i samarbejde med en komponist for at skabe en originalressource er ikke omfattet."},
      inverseOf: "http://rdaregistry.info/Elements/u/P60371",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of added lyrics of (Deprecated)", da: "er forfatter af tilføjede sangtekster til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60608",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60601,
      definition: {en: "Relates an agent to a legal resource of a higher court that records a decision of a lower court that appeals against an agent.", ar: "يربط بين وكيل ومصدر قانوني لمحكمة أعلى تُقر حكمًا صادرًا عن محكمة أدنى يُستأنف ضد وكيل.", da: "Relaterer en agent mod hvem der er gjort indsigelse over en underrets beslutning, der er registreret i en juridisk ressource fra en højere retsinstans til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer juristischen Ressource einer höheren Instanz, das ein Gerichtsurteil festhält, bei dem gegen einen Akteur Rechtsmittel gegen ein Gerichtsurteil einer unteren Instanz eingelegt werden.", fi: "Liittää toimijan ylemmän oikeusasteen aineistoon, johon sisältyy toimijan alemmasta oikeusasteesta saama langettava päätös.", "zh-hans-cn": "将一个行为者与一种记录下级法院起诉一个行为者的决定的上级法院的法律资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appelleeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60373",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is appellee of", ar: "له مُستأنف ضده", da: "er indstævnet af", de: "ist Berufungsbeklagte/Berufungsbeklagter/Revisionsbeklagte/Revisionsbeklagter von", fi: "muutoksenhakijan (toimijan) vastapuoli", nl: "is gedaagde van", "zh-hans-cn": "是……的被上诉者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60602,
      definition: {en: "Relates an agent to a resource that involves a responsibility other than creating, having custody, owning, producing, publishing, distributing, or manufacturing. (Deprecated)", da: "Relaterer en agent, der er forbundet med en ressource på en anden måde end som ophav til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60002", "http://rdaregistry.info/Elements/u/P60003", "http://rdaregistry.info/Elements/u/P60004", "http://rdaregistry.info/Elements/u/P60005", "http://rdaregistry.info/Elements/u/P60032", "http://rdaregistry.info/Elements/u/P60601", "http://rdaregistry.info/Elements/u/P60603", "http://rdaregistry.info/Elements/u/P60604", "http://rdaregistry.info/Elements/u/P60634", "http://rdaregistry.info/Elements/u/P60650", "http://rdaregistry.info/Elements/u/P60668", "http://rdaregistry.info/Elements/u/P60673", "http://rdaregistry.info/Elements/u/P60674", "http://rdaregistry.info/Elements/u/P60675", "http://rdaregistry.info/Elements/u/P60678", "http://rdaregistry.info/Elements/u/P60689", "http://rdaregistry.info/Elements/u/P60690", "http://rdaregistry.info/Elements/u/P60691", "http://rdaregistry.info/Elements/u/P60692", "http://rdaregistry.info/Elements/u/P60693", "http://rdaregistry.info/Elements/u/P60695", "http://rdaregistry.info/Elements/u/P60696", "http://rdaregistry.info/Elements/u/P60698", "http://rdaregistry.info/Elements/u/P60700", "http://rdaregistry.info/Elements/u/P60702", "http://rdaregistry.info/Elements/u/P60703", "http://rdaregistry.info/Elements/u/P60816", "http://rdaregistry.info/Elements/u/P60835", "http://rdaregistry.info/Elements/u/P60837", "http://rdaregistry.info/Elements/u/P60850", "http://rdaregistry.info/Elements/u/P60870", "http://rdaregistry.info/Elements/u/P60872"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/otherAgentAssociatedWithResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60374",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is other agent associated with resource of (Deprecated)", da: "er anden agent forbundet med ressource"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60603,
      definition: {en: "Relates an agent to a resource that is assigned as an acknowledgement of the inspiration or support of a related agent.", ar: "يربط بين وكيل ومصدر تم تعيينه باعتباره إقرارًا بإلهام أو دعم وكيل ذي صلة.", da: "Relaterer en agent, som har tilegnet en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die als Zeichen der Anerkennung oder Unterstützung einem in Beziehung stehenden Akteur gewidmet ist.", fi: "Liittää toimijan aineistoon, joka on omistettu liittyvälle toimijalle kiitoksena inspiraatiosta tai tuesta.", "zh-hans-cn": "将一个行为者与被指定对一个相关行为者的启发或支持之感谢的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dedicatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60375",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dedicator of", ar: "هو مُهدي كتاب", da: "er tilegner af", de: "ist Widmende/Widmender von", fi: "omistuskirjoitus aineistossa", nl: "is opdrager van", "zh-hans-cn": "是……的题献者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60604,
      definition: {en: "Relates an agent to a resource that is aggregated or organized in an exhibition or collection. (Deprecated)", ar: "يربط بين وكيل ومصدر تم تجميعه أو تنظيمه في معرض أو مجموعة.", da: "Relaterer en agent der har udtænkt, samlet og/eller arrangeret en udstilling, samling eller et andet eksemplar til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die in einer Ausstellung oder Sammlung aggregiert oder organisiert ist.", fi: "Liittää toimijan aineistoon, joka on koottu tai järjestetty näyttelyksi tai kokoelmaksi."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/curatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60376",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is curator of (Deprecated)", ar: "هو أَمِين معرض لـ", da: "er kurator af", de: "ist Kuratorin/Kurator von", fi: "kuraattori aineistossa", nl: "is curator van"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60605,
      definition: {en: "Relates an agent to a cartographic resource that incorporates a contribution by an agent of providing measurements or dimensional relationships for a geographic area that is represented.", ar: "يربط بين وكيل ومصدر رسم خرائطي يتضمن إسهام وكيل بتقديم القياسات أوالعلاقات بين الأبعاد لمنطقة جغرافية يتم تمثيلها.", da: "Relaterer en agent, der har bidraget til en kartografisk ressource ved at sørge for opmålinger eller målestoksforhold til et repræsenteret geografisk område til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer kartografischen Ressource, zu der ein Akteur beiträgt, indem er Messwerte oder Abmessungsverhältnisse für einen dargestellten geografischen Bereich zur Verfügung stellt.", fi: "Liittää toimijan kartografiseen aineistoon, jossa toimija on osallisena maantieteellisen alueen mittojen tai mittasuhteiden tuottamisessa.", "zh-hans-cn": "将一个行为者与包括为一个地理区域提供测量或尺寸关系的一个行为者的贡献的一种地图资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/surveyorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60377",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is surveyor of", ar: "هو مسّاح لـ", da: "er landmåler i", de: "ist Landvermesserin/Landvermesser von", fi: "maanmittari (toimija) aineistossa", nl: "is landmeter van", "zh-hans-cn": "是……的测绘者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60606,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of giving apparent movement to inanimate objects or drawings.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل لإعطاء حركة واضحة لكائنات غير حية أو رسومات.", da: "Relaterer en agent der der har bidraget til en levende billed-ressource eller et computerprogram ved at give en illusion af bevægelse til livløse genstande eller tegninger til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er unbelebte Objekte oder Zeichnungen in scheinbare Bewegung versetzt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena tuottamalla näennäistä liikettä elottomiin esineisiin tai piirroksiin.", "zh-hans-cn": "将一个行为者与包括一个行为者对给予无生命对象或绘画以貌似运动之贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60660",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/animatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Creation of the drawings that are animated is excluded.", ar: "يُستبعد إنشاء الرسومات المتحركة.", da: "Skabelse af de tegninger der er animeret er ikke omfattet.", de: "Darunter fällt nicht die Schaffung der Zeichnungen, die animiert werden.", fi: "Ei koske animaatiopiirrosten tekijää.", "zh-hans-cn": "不包括动画图的创作。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60378",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is animator of", ar: "هو فنان رسوم متحركة لـ", da: "er animator til", de: "ist Trickfilmzeichnerin/Trickfilmzeichner von", fi: "animaattori (toimija) aineistossa", nl: "is animator van", "zh-hans-cn": "是……的动画师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60607,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of rewriting a musical composition for a medium of performance different from that for which the resource was originally intended.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في إعادة كتابة لحن موسيقي لوسيط أداء يختلف عن الوسيط الذي كان العمل مقررا له أصلاً.", da: "Relaterer en agent der har bidraget til en musikressource ved at omskrive kompositionen til en anden besætning end den, ressourcen oprindeligt var beregnet til til et ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine Komposition für eine bestimmte Besetzung umschreibt, die sich von der Originalbesetzung unterscheidet, für die die Ressource ursprünglich konzipiert war.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena muokkaamalla sävellyksen alkuperäisteoksesta poikkeavalle esityskokoonpanolle.", "zh-hans-cn": "将一个行为者与包括一个改写音乐作曲用于不同于资源最初意图的一个表演媒介的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60655",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/arrangerOfMusicOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60379",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is arranger of music of", ar: "هو موزع موسيقي لـ", da: "er musikarrangør af", de: "ist Arrangeurin/Arrangeur von", fi: "sovittaja (toimija) aineistossa", nl: "is arrangeur van muziek van", "zh-hans-cn": "是……的音乐改编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60608,
      definition: {en: "Relates an agent to a resource that includes a contribution of adding text, such as captions for photographs or descriptions of maps. (Deprecated)", da: "Relaterer en agent der har bidraget til et udtryk af en fortrinsvisikke-tekstlig ressource ved at sørge for tekst til den ikke-tekstlige ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60600",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedTextOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60380",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of added text of (Deprecated)", da: "er forfatter til tilføjet tekst til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60609,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of making detailed plans or drawings for buildings, ships, aircraft, machines, objects, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في وضع خطط أو رسومات مفصلة للمباني، السفن، الطائرات، الآلات، والأشياء، إلخ.", da: "Relaterer en agent, der har bidraget til en ressource af en arkitekt, opfinder etc. ved at lave detaljerede planer eller tegninger til bygninger, skibe, luftfartøjer, maskiner, genstande etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er detaillierte Pläne oder Zeichnungen für Gebäude, Schiffe, Flugzeuge, Maschinen, Objekte oder ähnliches erstellt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena tuottamalla tarkkoja suunnitelmia tai piirroksia rakennuksista, laivoista, lentokoneista, laitteista, esineistä tms.", "zh-hans-cn": "将一个行为者与包括为建筑物、船舶、飞行器、机械装置、物体等制作详细平面图或绘制草图的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/draftsmanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60381",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is draftsman of", ar: "هو رسام هندسي لـ", da: "er teknisk tegner af", de: "ist technische Zeichnerin/technischer Zeichner von", fi: "piirtäjä (toimija) aineistossa", nl: "is technisch tekenaar van", "zh-hans-cn": "是……的绘图者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60610,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of writing down or notating previously unwritten or unnotated content, or by changing it from one system of notation to another.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في كتابة أو تدوين محتوى لم يسبق كتابته أو تدوينه، أو عن طريق تغييره من نظام تدوين إلى آخر.", da: "Relaterer en agent, der har bidraget til en ressource ved at nedskrive eller notere uskrevet eller ikke-noteret indhold, eller ved at ændre det fra et notationssystem til et andet til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er ungeschriebenen und nicht notierten Inhalt niederschreibt oder ihn von einem Notationssystem in ein anderes überträgt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena kirjoittamalla muistiin tai nuotintamalla aiemmin kirjoittamattoman tai nuotintamattoman sisällön tai muuttamalla sen nuotinnusjärjestelmästä toiseen.", "zh-hans-cn": "将一个行为者与包括写下或记谱之前未写下或未记谱的内容或者将其从一种记谱体系改成另一种记谱体系的一个行为者的贡献的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60607",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transcriberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Transcription of a musical resource for a different instrument or performing group is excluded.", ar: "يُستبعد نسخ مصدر موسيقي لآلة أو مجموعة أداء مختلفة.", da: "Afskrift af en musikressource for et andet instrument eller optrædende gruppe er ikke omfattet.", de: "Darunter fällt keine Transkription einer Musikressource für ein anderes Instrument oder ein anderes aufführendes Ensemble.", fi: "Tähän ei kuulu musiikkiteoksen transkribointi eri soittimelle tai esitysryhmälle.", "zh-hans-cn": "不包括为不同乐器或表演组合所作的音乐资源的改写。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60382",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transcriber of", ar: "هو ناسخ لـ", da: "er afskriver af", de: "ist Transkribiererin/Transkribierer von", fi: "transkriboija (toimija) aineistossa", nl: "is transcribeerder van", "zh-hans-cn": "是……的转写者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60611,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of coordinating the activities of composers, sound editors, and sound mixers for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تنسيق أنشطة ملحني، محرري، ومازجي الصوت لإنتاج فيلم أو لعرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en agent, der har bidraget til en ressource ved at koordinere komponistens, tonemesterens og lydmiksernes aktiviteter ved en levende billedproduktion eller en musikalsk eller dramatisk præsentation eller underholdning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er die Arbeit der Komponistin/des Komponisten, der Tonarbeiterin/des Tonbearbeiters und der Tonmeisterin/des Tonmeisters für eine Bewegtbildproduktion oder eine musikalische oder dramatische Darbietung oder Aufführung koordiniert.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena koordinoimalla säveltäjien, äänileikkaajien ja äänimiksaajien toimintaa elokuvatuotannossa tai musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一个行为者与包括为动态图像制作或者为音乐或戏剧呈现或娱乐协调作曲者、音响编辑、音响师活动的一个行为者的贡献的一种资源关联起来"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicalDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60383",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is musical director of", ar: "هو مُدير موسيقي لـ", da: "er musikdirektør for", de: "ist musikalische Leiterin/musikalischer Leiter von", fi: "musiikillinen johtaja (toimija) aineistossa", nl: "is muzikaal director van", "zh-hans-cn": "是……的音乐总监"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60612,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of designing costumes for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تصميم الأزياء لإنتاج صورة متحركة أو لعرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en agent, der har bidraget til en ressource ved at designe kostumer til en levende billedproduktion eller til en musikalsk eller dramatisk præsentation eller underholdning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er die Kostüme für eine Bewegtbildproduktion oder für eine musikalische oder dramatische Darbietung oder Aufführung entwirft.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena suunnittelemalla elokuvatuotannon tai musiikki- tai näytelmäesityksen puvustuksen.", "zh-hans-cn": "将一个行为者与包括为动态图像制作或者为音乐或戏剧呈现或娱乐设计服装的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/costumeDesignerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60384",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is costume designer of", ar: "هو مصمم أزياء لـ", da: "er kostumedesigner til", de: "ist Kostümbildnerin/Kostümbildner von", fi: "puvustaja (toimija) aineistossa", nl: "is kostuumontwerper van", "zh-hans-cn": "是……的服装设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60613,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of expressing the linguistic content of the resource in a different language.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في التعبير عن المحتوى اللغوي للمصدر بلغة مختلفة.", da: "Relaterer en agent, der har bidraget til en ressource ved at udtrykke værkets sproglige indhold på et andet sprog end det, der er anvendt i tidligere udtryk af en oprindelig ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er den sprachlichen Inhalt der Ressource in einer anderen Sprache ausdrückt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena ilmaisemalla teoksen kielellisen sisällön toisella kielellä.", "zh-hans-cn": "将一个行为者与包括用另一种语言表达资源语言内容的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/translatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Translation of linguistic content between forms of the same language from different time periods is included.", ar: "يتضمن ترجمة المحتوى اللغوي بين أشكال تكون من نفس اللغة من فترات زمنية مختلفة.", da: "En oversætter kan også oversætte sprogligt indhold mellem former af samme sprog fra forskellige tidsperioder.", de: "Darunter fallen Übersetzungen sprachlichen Inhalts zwischen Formen derselben Sprache aus verschiedenen Zeitperioden.", fi: "Kääntäjä voi myös kääntää kielisisältöä saman kielen eri aikakausien kielimuotojen välillä.", "zh-hans-cn": "包括同一种语言的不同时期的形式之间的语言内容的翻译。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60385",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is translator of", ar: "هو مُترجم لـ", da: "er oversætter af", de: "ist Übersetzerin/Übersetzer von", fi: "kääntäjä (toimija) aineistossa", nl: "is vertaler van", "zh-hans-cn": "是……的译者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60614,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of overseeing artists and craftspeople who build sets for moving image productions.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالإشراف على الفنيين والحرفيين الذين يبنون مواقع لإنتاج الأفلام.", da: "Relaterer en agent, der har bidraget til en ressource ved at føre tilsyn med de kunstnere og håndværkere, der har bygget kulisserne til levende billedproduktioner til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Künstlerinnen/Künstler und Kunsthandwerkerinnen/Kunsthandwerker betreut, die Sets für Bewegtbildproduktionen aufbauen.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena valvomalla taiteilijoita ja käsityöläisiä, jotka rakentavat lavasteita elokuvatuotantoihin.", "zh-hans-cn": "将一个行为者与包括监督为动态图像制作建造布景的艺术家和艺人的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/artDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60386",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is art director of", ar: "هو مخرج فني لـ", da: "er kunstnerisk leder for", de: "ist Art Director von", fi: "lavastaja (toimija) aineistossa", nl: "is artdirector van", "zh-hans-cn": "是……的艺术总监"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60615,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of performing music, acting, dancing, speaking, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في أداء موسيقى، تمثيل، رقص، حوار، إلخ.", da: "Relaterer en agent, der har bidraget til en ressource ved at opføre musik, spille skuespil, danse, tale etc., ofte i en musik- eller dramapræsentation etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Musik aufführt, schauspielt, tanzt oder spricht und so weiter.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena tanssijana, näyttelijänä, puhujana tai muissa rooleissa, usein musiikillisessa tai draamallisessa esityksessä.", "zh-hans-cn": "将一个行为者与包括表演音乐、扮演、舞蹈、说话等的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60016", "http://rdaregistry.info/Elements/u/P60017", "http://rdaregistry.info/Elements/u/P60018", "http://rdaregistry.info/Elements/u/P60019", "http://rdaregistry.info/Elements/u/P60020", "http://rdaregistry.info/Elements/u/P60021", "http://rdaregistry.info/Elements/u/P60022", "http://rdaregistry.info/Elements/u/P60023", "http://rdaregistry.info/Elements/u/P60024", "http://rdaregistry.info/Elements/u/P60025", "http://rdaregistry.info/Elements/u/P60026", "http://rdaregistry.info/Elements/u/P60028", "http://rdaregistry.info/Elements/u/P60029", "http://rdaregistry.info/Elements/u/P60030", "http://rdaregistry.info/Elements/u/P60031"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/performerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60387",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is performer of", ar: "هو مؤدٍ لـ", da: "er performer i", de: "ist Ausführende/Ausführender von", fi: "esittäjä (toimija) aineistossa", nl: "is uitvoerder van", "zh-hans-cn": "是……的表演者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60616,
      definition: {en: "Relates an agent who contributes to a resource by preparing a court's opinions for publication to a resource.", ar: "يربط وكيلًا يُساهم في مصدر من خلال إعداد رأي محكمة للنشر في أحد المصادر.", da: "Relaterer en agent, der har bidraget til en ressource ved at klargøre en domstols afgørelser til publicering til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der er beiträgt, indem er eine Urteilsbegründung zur Veröffentlichung vorbereitet.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena osalllisena valmistelemalla tuomioistuimen lausunnon julkaistavaksi.", "zh-hans-cn": "将一个通过准备用于公布的法院意见而对一种资源作出贡献的一个行为者与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61090",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/courtReporterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60388",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is court reporter of", ar: "هو كاتب محكمة لـ", da: "er retsstenograf i", de: "ist Gerichtsstenografin/Gerichtsstenograf von", fi: "kirjuri (toimija) aineistossa oikeudenkäyntiasiakirjoissa", nl: "is rechtbankverslaggever van", "zh-hans-cn": "是……的法院书记官"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60617,
      definition: {en: "Relates an agent who contributes to a resource by providing an introduction to an original resource to a resource. (Deprecated)", da: "Relaterer en agent, der har bidraget til en ressource ved at sørge for et forord til den originale ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfPrefaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60389",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of introduction of (Deprecated)", da: "er forfatter til forord til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60618,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing an interpretation or critical explanation. (Deprecated)", da: "Relaterer en agent, der har bidraget til en ressource ved at sørge for en fortolkning eller kritisk forklaring af en oprindelig ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAddedCommentaryOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60390",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of added commentary of (Deprecated)", da: "er forfatter til tilføjet kommentar til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60619,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing an introduction. (Deprecated)", da: "Relaterer en agent, der har bidraget til en ressource ved at sørge for en indledning til en oprindelig ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfIntroductionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60391",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of afterword of (Deprecated)", da: "er forfatter til introduktion til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60620,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing supplementary textual content such as an introduction or a preface. (Deprecated)", da: "Relaterer en agent, der har bidraget til en ressource ved at sørge for supplerende tekstindhold, som fx en indledning eller et forord til en oprindeligg ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60608", "http://rdaregistry.info/Elements/u/P60617", "http://rdaregistry.info/Elements/u/P60618", "http://rdaregistry.info/Elements/u/P60619", "http://rdaregistry.info/Elements/u/P60717", "http://rdaregistry.info/Elements/u/P60718"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfSupplementaryTextualContentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60392",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of supplementary content of  (Deprecated)", da: "er forfatter til supplerende tekstindhold til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60621,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of revision or clarification of the content, or selection and aggregation of resources, or parts of resources, by one or more creators.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في مراجعة المحتوى أو توضيحه، أو اختيار وتجميع مصادر، أو أجزاء من مصادر، بواسطة واحد أو أكثر من المُنشِئُين.", da: "Relaterer en agent, der har bidraget til en ressource ved at revidere eller præcisere indholdet, fx tilføje en introduktion, noter, eller andet vigtigt materiale til en ressource.", de: "Setzt eine Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er den Inhalt überarbeitet oder erläutert, oder Ressourcen, oder Teile von Ressourcen, von einer geistige Schöpferin/einem geistigen Schöpfer oder mehreren geistigen Schöpferinnen/geistigen Schöpfern auswählt und aggregiert.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena yhden tai useamman toimijan luoman sisällön tarkistamisessa tai selventämisessä tai resurssien tai resurssien osien valinnassa ja yhdistämisessä.", "zh-hans-cn": "将一个行为者与包括修正或澄清一个或多个创作者完成的内容、或资源的选编和编制合集、或资源的部分的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60393",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is editor of", ar: "هو مُحرر لـ", da: "er redaktør af", de: "ist Herausgeberin/Herausgeber von", fi: "toimittaja (toimija) aineistossa", nl: "is redacteur van", "zh-hans-cn": "是……的编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60622,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of shortening another resource without changing the general meaning or manner of presentation.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تلخيص مصدرًا آخر دون تغيير المعنى العام أو طريقة العرض.", da: "Relaterer en agent, der har bidraget til en ressource ved at forkorte eller komprimere den oprindelige ressource, men som i alt væsentligt har ladt den oprindelige ressources karakter og indhold være uændret til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine andere Ressource kürzt, ohne die allgemeine Bedeutung oder Art der Darstellung zu verändern.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena lyhentämällä siihen liittyvää aineistoa muuttamatta esityksen yleistä sisältöä tai tyyliä.", "zh-hans-cn": "将一个行为者与包括缩短另一种资源而不改变其总体意义或呈现方式的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60663",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abridgerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60394",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abridger of", ar: "هو مُلَخِّص لـ", da: "er forkorter af", de: "ist Kürzende/Kürzender von", fi: "lyhentäjä (toimija) aineistossa", nl: "is inkorter van", "zh-hans-cn": "是……的缩编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60623,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of supervising the technical aspects of the audio content of a recording session.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بالإشراف على الجوانب الفنية لمحتوى صوتي لجلسة تسجيل.", da: "Relaterer en lydtekniker, der har bidraget til en ressource ved at føre tilsyn med de tekniske aspekter af en optagelsessession til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er die technischen Aspekte des Audio-Inhalts einer Aufnahme überwacht.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena valvomalla äänityksen teknistä toteutusta.", "zh-hans-cn": "将一个行为者与包括监督一个录制过程中的音频内容的技术方面的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordingEngineerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60395",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is recording engineer of", ar: "هو مهندس تسجيل لـ", da: "er indspilningstekniker for", de: "ist Aufnahmetechnikerin/Aufnahmetechniker von", fi: "äänittäjä (toimija) aineistossa", nl: "is opnametechnicus van", "zh-hans-cn": "是……的录制工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60624,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a still image resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدر صور ثابتة أنشأه وكيل.", da: "Relaterer en agent, der har bidraget til en ressource ved at supplere hovedindholdet med tegninger, diagrammer, fotos etc.  til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene unbewegte Bildressource verkörpert.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena luomalla aggregaattiin sisältyvän stillkuva-aineiston.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种静态图像资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60660",
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60756",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfStillImageOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60396",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of still image of", ar: "هو وكيل مساهم في صور ثابتة لـ", da: "er illustrator til", de: "ist Akteur als Illustratorin/Illustrator von", fi: "stillkuvaan osallinen (toimija) aineistossatoimija", nl: "is bijdrager-actor van stilstaand beeld van", "zh-hans-cn": "是……的静态图像的贡献者行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60625,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of using a recording device to capture sound or video during a recording session, including field recordings of natural sounds, folkloric events, music, or other performances.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في استخدام جهاز تسجيل لالتقاط الصوت أو الفيديو أثناء جلسة تسجيل، بما في ذلك التسجيلات الخارجية للأصوات الطبيعية أو الأحداث الفولكلورية أو الموسيقى أو العروض الأخرى.", da: "Relaterer en agent, der har bidraget til en ressource ved at anvende et optageudstyr til at fange lyd og/eller video under en optagelsessession, inkl. feltoptagelser af naturlige lyde, folkloristiske begivenheder, musik etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er mit einem Aufnamegerät Ton oder Video aufnimmt. Darunter fallen Field Recordings natürlicher Geräusche, folkloristische Events, Musik oder ähnliches.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena käyttämällä tallennuslaitetta äänen tai videon taltioimiseen tallennustilanteessa.", "zh-hans-cn": "将一个行为者与包括通过采用录制设备在录制期间摄录声音或视频（包括自然声音、民俗活动、音乐或其他表演的现场录制）的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60397",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is recordist of", ar: "هو فني تسجيل لـ", da: "er tonemester for", de: "ist Tonmeisterin/Tonmeister von", fi: "taltioija (toimija) aineistossa", nl: "is opnamemaker van", "zh-hans-cn": "是……的录制者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60626,
      definition: {en: "Relates an agent to a resource that includes a contribution. (Deprecated)", da: "Relaterer en agent der bidrager til en ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60605", "http://rdaregistry.info/Elements/u/P60606", "http://rdaregistry.info/Elements/u/P60607", "http://rdaregistry.info/Elements/u/P60609", "http://rdaregistry.info/Elements/u/P60610", "http://rdaregistry.info/Elements/u/P60611", "http://rdaregistry.info/Elements/u/P60612", "http://rdaregistry.info/Elements/u/P60613", "http://rdaregistry.info/Elements/u/P60614", "http://rdaregistry.info/Elements/u/P60615", "http://rdaregistry.info/Elements/u/P60616", "http://rdaregistry.info/Elements/u/P60620", "http://rdaregistry.info/Elements/u/P60621", "http://rdaregistry.info/Elements/u/P60622", "http://rdaregistry.info/Elements/u/P60623", "http://rdaregistry.info/Elements/u/P60624", "http://rdaregistry.info/Elements/u/P60625", "http://rdaregistry.info/Elements/u/P60627", "http://rdaregistry.info/Elements/u/P60647", "http://rdaregistry.info/Elements/u/P60651", "http://rdaregistry.info/Elements/u/P60666", "http://rdaregistry.info/Elements/u/P60671", "http://rdaregistry.info/Elements/u/P60754", "http://rdaregistry.info/Elements/u/P60755", "http://rdaregistry.info/Elements/u/P60810", "http://rdaregistry.info/Elements/u/P60812", "http://rdaregistry.info/Elements/u/P60814", "http://rdaregistry.info/Elements/u/P60825", "http://rdaregistry.info/Elements/u/P60829", "http://rdaregistry.info/Elements/u/P60839", "http://rdaregistry.info/Elements/u/P60841", "http://rdaregistry.info/Elements/u/P60852"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60398",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor of (Deprecated)", da: "er bidragyder til"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60627,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of general management and supervision of a stage performance.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في الإدارة العامة لأداء مسرحي والإشراف عليه.", da: "Relaterer en agent, der har bidraget til en ressource af et sceneværk gennem den generelle ledelse af og tilsyn med en forestilling til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource einer Bühnendarbietung, zu der ein Akteur durch die allgemeine Betreuung und Leitung beiträgt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena johtamalla ja valvomalla näyttämöesitystä.", "zh-hans-cn": "将一个行为者与包括一个行为者对舞台表演总体管理和监督的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/stageDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60399",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is stage director of", ar: "هو مدير مسرح لـ", da: "er sceneinstruktør af", de: "ist Bühnenregisseurin/Bühnenregisseur von", fi: "näyttämöohjaaja (toimija) aineistossa", nl: "is toneelregisseur van", "zh-hans-cn": "是……的舞台导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60628,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for current legal possession.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الملكية القانونية الحالية.", da: "Relaterer en agent, der p.t. er i lovlig besiddelse af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die sich derzeit im rechtmäßigen Besitz eines Akteurs befindet.", fi: "Liittää toimijan aineistoon, jonka toimija tällä hetkellä laillisesti omistaa.", "zh-hans-cn": "将一个行为者与涉及一个当前法定所有权的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60008",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/currentOwnerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60400",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is current owner of", ar: "هو مالك حالي لـ", da: "er nuværende ejer af", de: "ist gegenwärtige Eigentümerin/gegenwärtiger Eigentümer von", fi: "nykyinen omistaja (toimija) aineistossa", nl: "is huidige eigenaar van", "zh-hans-cn": "是……的当前拥有者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60632",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60629,
      definition: {en: "Relates an agent to an agent who is employed by an agent.", ar: "يربط وكيلًا تم توظيفه من قبل وكيل لوكيل.", da: "Relaterer en agent der er ansat af en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen Akteur beschäftigt.", fi: "Liittää toimijan toimijan työllistämään toimijaan.", "zh-hans-cn": "将一个行为者与被一个行为者雇用的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/employee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60679",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has employee", ar: "له موظف", da: "har ansat", de: "hat Arbeitnehmerin/Arbeitnehmer", fi: "työntekijä (toimija) aineistossa", nl: "heeft werknemer", "zh-hans-cn": "有雇员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60630,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for former legal possession.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الملكية القانونية السابقة.", da: "Relaterer en agent, der tidligere har været i lovligbesiddelse af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die früher im rechtmäßigen Besitz eines Akteurs war.", fi: "Liittää toimijan aineistoon, jonka toimija on aiemmin laillisesti omistanut.", "zh-hans-cn": "将一个行为者与涉及一个先前法定所有权的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60012", "http://rdaregistry.info/Elements/u/P60013"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/formerOwnerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60401",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is former owner of", ar: "هو مالك سابق لـ", da: "er tidligere ejer af", de: "ist frühere Eigentümerin/früherer Eigentümer von", fi: "aiempi omistaja (toimija) aineistossa", nl: "is voormalige eigenaar van", "zh-hans-cn": "是……的先前拥有者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60632",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60631,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for legal custody.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الوصاية القانونية.", da: "Relaterer en agent, der er lovligt berettiget til at have en ressource i depot til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die sich in der rechtmäßigen Verwahrung eines Akteurs befindet.", fi: "Liittää toimijan aineistoon, jonka laillinen säilyttäjä toimija on.", "zh-hans-cn": "将一个行为者与涉及合法保管的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/custodianOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60402",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is custodian of", ar: "هو وَصِيّ لـ", da: "er forvalter af", de: "ist Verwahrerin/Verwahrer von", fi: "säilyttäjä (toimija) aineistossa", nl: "is bewaarder van", "zh-hans-cn": "是……的保管者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60632,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for legal possession.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الملكية القانونية.", da: "Relaterer en agent, der er i lovlig besiddelse af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die im rechtmäßigen Besitz eines Akteurs ist.", fi: "Liittää toimijan aineistoon, jonka toimija laillisesti omistaa.", "zh-hans-cn": "将一个行为者与涉及法定所有权的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60628", "http://rdaregistry.info/Elements/u/P60630"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/ownerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60404",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is owner of", ar: "هو مالك لـ", da: "er ejer af", de: "ist Eigentümerin/Eigentümer von", fi: "omistaja (toimija) aineistossa", nl: "is eigenaar van", "zh-hans-cn": "是……的拥有者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60633,
      definition: {en: "Relates an agent to an agent who holds an office in an agent.", ar: "يربط بين وكيل يشغل منصبًا في أو يشرف على وكيل ووكيل.", da: "Relaterer en agent der har et embede i en ledelse eller der leder en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der ein Amt innehat oder einen Akteur befehligt.", fi: "Liittää toimijaan viranhaltijana tai johtajana toimivan toimijan.", "zh-hans-cn": "将一个行为者与在一个行为者任职的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60864", "http://rdaregistry.info/Elements/u/P60866"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/officer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60737",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has officer", ar: "له موظف مسؤول", da: "har embedsmand", de: "hat leitende Angestellte/leitenden Angestellten", fi: "viranhaltija (toimija) aineistossa", nl: "heeft functionaris", "zh-hans-cn": "有任职者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60634,
      altLabel: {en: "honoree of", ar: "مكرَّم لـ", da: "er festskriftmodtager af", fi: "kunnioitettu henkilö", "zh-hans-cn": "……的被纪念者"},
      definition: {en: "Relates an agent to a resource that marks the esteem of and respect for an agent.", ar: "يربط بين وكيل ومصدر يدل على تقدير وحترام لوكيل.", da: "Relaterer en agent, der hædres af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die einen Akteur ehrt.", fi: "Liittää toimijan aineistoon, jolla osoitetaan arvostusta ja kunnioitusta toimijalle.", "zh-hans-cn": "将一个行为者与表示对一个行为者尊重或尊敬的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/honoureeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60406",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is honouree of", ar: "له مكرَّم لـ", da: "er festskriftmodtager af", de: "ist Gefeierte/Gefeierter von", fi: "kunnioitettu henkilö (toimija) aineistossa", nl: "is geëerde van", "zh-hans-cn": "是……的被纪念者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60635,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for broadcasting to an audience via radio, television, webcast, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن البث إلى جمهور عبر الإذاعة والتلفزيون والإنترنت، الخ.", da: "Relaterer en agent, der har været involveret i transmission af en ressource til et publikum via radio, tv, webcast etc til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Ausstrahlung über Hörfunk, Fernsehen oder Webcast und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa radio-, televisio-, suoratoisto- tms. lähetyksen välittämisestä yleisölle.", "zh-hans-cn": "将一个行为者与涉及一个通过广播、电视、网路直播等向听众播音的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/broadcasterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60407",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is broadcaster of", ar: "هو مذيع لـ", da: "er broadcaster af", de: "ist Sender von", fi: "lähetyksestä vastaava henkilö (toimija) aineistossa", nl: "is uitzender van", "zh-hans-cn": "是……的广播者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60670",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60636,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for distribution of a moving image to theatres or other channels.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن توزيع فيلم على قاعات العرض أو عبر قنوات أخرى.", da: "Relaterer en agent, der har været involveret i distribueringen af en levende billed-ressource til biografer eller andre distributionskanaler til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für den Vertrieb eines Bewegtbilds an Kinos oder andere Vertriebskanäle verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa elokuvan tms. aineiston jakelusta elokuvateattereille tai muille jakelukanaville.", "zh-hans-cn": "将一个行为者与涉及向剧院或其他渠道发行动态图像的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmDistributorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60408",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is film distributor of", ar: "هو موزع أفلام لـ", da: "er filmdistributør af", de: "ist Filmvertrieb von", fi: "elokuvan jakelija (toimija) aineistossa", nl: "is filmdistributeur van", "zh-hans-cn": "是……的电影发行者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60667",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60637,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for the entire graphic design of a book, including arrangement of type and illustration, choice of materials, and process used.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التصميم الجرافيكي لكتاب بالكامل، ويشمل ذلك تنسيق الحروف والإيضاحيات، واختيار المواد، والعمليات المستخدمة.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at være ansvarlig for hele en bogs grafiske design, inkl. opsætning af tekst og illustrationer, materialevalg og anvendt proces til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das gesamte grafische Design eines Buchs, einschließlich Schriftbild, Bildgestaltung, Materialwahl und angewandter Verfahren, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kirjan graafisesta suunnittelusta, taitosta, materiaalien valinnasta ja käytettävistä valmistusmenetelmistä.", "zh-hans-cn": "将一个行为者与涉及一种图书的整体平面设计（包括字体和插图的设计、材料的选取和工艺流程的使用等）的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bookDesignerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60409",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is book designer of", ar: "هو مُصمم كتاب لـ", da: "er bogdesigner for", de: "ist Buchgestalterin/Buchgestalter von", fi: "graafinen suunnittelija (toimija) aineistossa", nl: "is boekontwerper van", "zh-hans-cn": "是……的图书设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60638,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for cutting letters, figures, etc., on a surface such as a wooden or metal plate used for printing.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن نقش الحروف، والأشكال، إلخ.، على سطح مثل لوح خشبي أو معدني يستخدم للطباعة.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at udskære bogstaver, figurer etc. på en overflade såsom en træ- eller metalplade, der har været anvendt til trykning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Schneiden von Buchstaben, figürlichen Darstellungen und so weiter in eine Oberfläche, wie zum Beispiel eine Holz- oder Metallplatte, die zum Drucken benutzt wird, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kirjainten, kuvioiden tai muiden merkkien painamisessa käytettävälle pinnalle, kuten puu- tai metallipinnalle.", "zh-hans-cn": "将一个行为者与涉及通过在木版或金属版等表面上雕刻字母、图形等以用于印刷的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/engraverOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60410",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is engraver of", ar: "هو نقّاش لـ", da: "er gravør af", de: "ist Stecherin/Stecher von", fi: "kaivertaja (toimija) aineistossa", nl: "is graveur van", "zh-hans-cn": "是……的雕版者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60640",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60639,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for embossing braille cells using a stylus, special embossing printer, or other device.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن نقش حروف برايل باستخدام قلم، طابعة خاصة للنقش، أو أي أداة أخرى.", da: "Relater en agent, der har været involveret i fremstillingen af en ressource ved at præge punktskriftsceller vha. en stift, særlig prægeprinter eller anden anordning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Prägen von Braillezeichen verantwortlich ist, indem er einen Griffel, einen speziellen Brailledrucker oder ein anderes Gerät verwendet.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa pistekirjoitusmerkkien tuottamisesta piirtimen, erityistulostimen tai muun laitteen avulla", "zh-hans-cn": "将一个行为者与涉及通过使用刻写针、专门的压纹机或其他设备压印布莱叶盲文的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/brailleEmbosserOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60411",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is braille embosser of", ar: "هو نقاش حروف بطريقة برايل لـ", da: "er punktskriftspræger af", de: "ist Brailleschriftprägerin/Brailleschriftpräger von", fi: "pistekirjoituksen tekijä (toimija) aineistossa", nl: "is brailleerder van", "zh-hans-cn": "是……的布莱叶盲文点字制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60669",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60640,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for making a relief, intaglio, or planographic printing surface.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن عمل سطح طباعة بارزة، أو غائرة، أو مستوية.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at lave en relief-, dybtryks- eller fladtryksoverflade til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Herstellung einer Hochdruck-, Tiefdruck- oder Flachdruckoberfläche verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kohokuvan, syväpainon tai laakapainon painopinnan valmistamisesta.", "zh-hans-cn": "将一个行为者与涉及制作浮雕、凹版或平版印刷表面的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60638", "http://rdaregistry.info/Elements/u/P60642", "http://rdaregistry.info/Elements/u/P60644", "http://rdaregistry.info/Elements/u/P60645"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/printmakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60412",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is printmaker of", ar: "هو طبّاع لـ", da: "er grafiker af", de: "ist Druckgrafikerin/Druckgrafiker von", fi: "kuvalaatan valmistaja (toimija) aineistossa", nl: "is prentmaker van", "zh-hans-cn": "是……的印版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60641,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for pouring a liquid or molten substance into a mold and leaving it to solidify to take the shape of the mold.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن صب مادة سائلة أو مصهورة في قالب وتركها للتصلب لأخذ شكل القالب.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at hælde en væske eller et varmt, flydende stof i en form og lade det størkne, så det har taget form efter formen til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur dafür verantwortlich ist, eine Flüssigkeit oder eine geschmolzene Substanz in eine Form zu gießen, die in der Gießform verbleibt, bis sie ausgehärtet ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston valmistamisesta muovaamalla sulatettua tai nestemäistä ainetta muotin avulla.", "zh-hans-cn": "将一个行为者与涉及将液体或融化的物质倒入模具中使其按模具固化成型的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/casterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60413",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is caster of", ar: "هو عامل صب لـ", da: "er støber af", de: "ist Formgießerin/Formgießer von", fi: "valaja (toimija) aineistossa", nl: "is gieter van", "zh-hans-cn": "是……的铸造者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60642,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for preparing a stone or plate for lithographic printing.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تجهيز حجر أو لوح للطباعة الحجرية.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at forberede en sten eller plade til litografisk trykning til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Vorbereitung eines Steins oder einer Platte für lithografischen Druck verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston valmistamisesta valmistamalla litografiassa käytetyn kivilaatan tai muun painolaatan.", "zh-hans-cn": "将一个行为者与涉及制作用于平版印刷的石头或平版的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lithographerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A lithographer includes a graphic artist creating a design directly on the surface from which printing will be done.", ar: "يتضمن مصطلح طبّاع على الحجر كذلك فنان الجرافيك الذي ينشيء تصميمًا مباشرًا على السطح الذي ستتم الطباعة منه.", da: "En litograf inkluderer en grafisk artist der har skabt et design direkte på overfladen, hvorfra trykning vil blive lavet.", de: "Darunter fallen Grafikerinnen/Grafiker, die ein Muster direkt auf der Oberfläche erstellen, von der aus gedruckt werden soll.", fi: "Litografi tarkoittaa myös graafikkoa, joka tekee piirroksen suoraan painamiseen käytettävälle pinnalle.", "zh-hans-cn": "平版制作者包括直接在用于印刷的表面进行设计创作的平面美术家"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60414",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is lithographer of", ar: "هو طبّاع على الحجر لـ", da: "er litograf af", de: "ist Lithografin/Lithograf von", fi: "litografi (toimija) aineistossa", nl: "is lithograaf van", "zh-hans-cn": "是……的平版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60640",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60643,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for preparing plates used in the making of printed images or text.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تجهيز الأسطح المستخدمة في إنتاج صور أو نص مطبوع.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at forberede plader, der anvendes til fremstilling af trykte billeder og/eller tekst til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Anfertigung von Druckformen für die Produktion von gedruckten Bildern oder gedrucktem Text verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa painettujen kuvien tai tekstin valmistuksessa käytettävien painolaattojen tai -levyjen valmistuksesta.", "zh-hans-cn": "将一个行为者与涉及准备用于制作图像和/或文字印刷平版的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/platemakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60415",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is platemaker of", ar: "هو مُحضِّر سطح طباعى لـ", da: "er plademager af", de: "ist Druckformherstellerin/Druckformhersteller von", fi: "painolaatan valmistaja (toimija) aineistossa", nl: "is plaatmaker van", "zh-hans-cn": "是……的制版者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61009",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60644,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for subjecting metal, glass, or some other surface used for printing, to acid or another corrosive substance.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن غمر معدن أو زجاج أو أي سطح آخر يستخدم للطباعة، في حامض أو في أي مادة أخرى كاوية.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource ved at udsætte metal, glas eller en anden overflade, der anvendes til trykning, for syre eller et andet ætsende stof til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur dafür verantwortlich ist, Metall, Glas oder eine andere Oberfläche, die zum Drucken benutzt wird, mit Säure oder einer anderen ätzenden Substanz zu behandeln.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa metallin, lasin tai muun pinnan etsaamisesta hapon tai muun syövyttävän aineen avulla.", "zh-hans-cn": "将一个行为者与涉及使用酸或其他腐蚀性物质施于用来印刷的金属、玻璃或其他表面上的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/etcherOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60416",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is etcher of", ar: "هو حَفَّارُ بالزِنْكُوغْراف (الكليشيهات) لـ", da: "er raderer af", de: "ist Radiererin/Radierer von", fi: "etsaaja (toimija) aineistossa", nl: "is etser van", "zh-hans-cn": "是……的蚀刻者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60640",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60645,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for preparing a hardened film of gelatin or other colloid that has ink-receptive and ink-repellent surfaces and that is used to make prints using a photomechanical process.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن استخدام عمليات ميكانيكية ضوئية لإنتاج المطبوعات مباشرة من فيلم صلد من الجيلاتين أو من غيره من المواد الغروية التي تحتوي على أسطح مستقبلة أو طاردة للحبر.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource vha. en fotomekanisk proces, hvorved der er blevet lavet tryk direkte fra et hærdet gelatinelag eller andet kolloid, der har blækmodtagelige og blækafvisende overflader til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Verwendung eines fotomechanischen Verfahrens zur Herstellung von Abzügen direkt von einem gehärteten Film aus Gelatine oder einem anderen Kolloid, der druckerfarbenaufnehmende und -abweisende Oberflächen aufweist, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jonka valmistamisesta toimija on vastuussa tekemällä vedoksia suoraan kovettuneelta gelatiinifilmiltä tai muulta materiaalilta, jossa on mustetta imeviä ja hylkiviä pintoja.", "zh-hans-cn": "将一个行为者与涉及利用一面吸墨而另一面不吸墨的明胶或其他硬胶片进行影印的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collotyperOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60417",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is collotyper of", ar: "هو طبّاع صور فوتوغرافية لـ", da: "er lystrykker af", de: "ist Lichtdruckerin/Lichtdrucker von", fi: "kollotypian valmistaja (toimija) aineistossa", nl: "is lichtdrukker van", "zh-hans-cn": "是……的珂罗版制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60640",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60646,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for manufacturing printed text, notated music, etc., from type or plates, such as a book, newspaper, magazine, broadside, score, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إنتاج نص مطبوع، موسيقى مدونة، إاخ.، من نوع أو من لوحات، مثل كتاب، جريدة، مجلة، نشرة مطوِيّة، توزيع الموسيقي، إلخ.", da: "Relaterer en agent, der har været involveret i fremstillingen af en ressource af trykt tekst, noteret musik etc. fra typer eller plader, såsom en bog, en avis, et tidsskrift, en plakat, et partitur etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Herstellung von gedrucktem Text, Noten und so weiter durch Drucktypen oder Druckformen, wie zum Beispiel in einem Buch, in einer Zeitung, in einem Magazin, in einem Einblattdruck, in einer Partitur oder ähnlichem, verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa painetun tekstin, nuottiaineiston tai muun aineiston valmistamisesta painolaatalta tai -levyltä.", "zh-hans-cn": "将一个行为者与涉及用活字或平版生产印刷文字、乐谱等（例如图书、报纸、杂志、海报、总谱等）的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/printerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60418",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is printer of", ar: "هو فني طباعة لـ", da: "er trykker af", de: "ist Druckerin/Drucker von", fi: "painaja (toimija) aineistossa", nl: "is drukker van", "zh-hans-cn": "是……的印刷者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60669",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60647,
      definition: {en: "Relates an agent to a resource with an \"X presents:\" credit in a resource of a moving image for an agent who is probably associated with production, finance, or distribution in some way.", ar: "يربط بين وكيل ومصدر ذو اعتماد \"أحد التقديمات:\" في مصدر لفيلم لوكيل قد يكون مرتبطًا بطريقة ما بالإنتاج، أو التمويل، أو التوزيع.", da: "Relaterer en agent, der er nævnt i en fortekst i levende billedmaterialer som ”X præsenterer”-tekst, og som sandsynligvis er knyttet til produktion, finansiering eller distribution på en eller anden måde til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur in einem \"X präsentiert\"-Vorspann einer Bewegtbildressource erwähnt wird und der wahrscheinlich mit Produktion, Finanzierung oder Vertrieb in Verbindung steht.", fi: "Liittää aineiston toimijaan, joka mainitaan alku- tai lopputekstien \"X esittää:\" -merkinnössä ja joka todennäköisesti liittyy liikkuvan kuvan teoksen aineiston tuotantoon, rahoitukseen tai jakeluun jollakin tavoin.", "zh-hans-cn": "将一个行为者与在一种动态图像资源的摄制人员名单中以“某某 出品”（X presents）的方式提及一个行为者且该行为者和该片的制作、财务或发行等有某些联系的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/presenterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60419",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is presenter of", ar: "هو مُقدم لـ", da: "er præsentator i", de: "ist Präsentatorin/Präsentator von", fi: "esittäjä (toimija) aineistossa", nl: "is presenterende van", "zh-hans-cn": "是……的出品人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60648,
      definition: {en: "Relates an agent of which an agent is a member to an agent.", ar: "يربط وكيلًا يكون الوكيل عضوًا لوكيل.", da: "Relaterer en agent som en agent er medlem af til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, dem ein Akteur angehört.", fi: "Liittää toimijan yhteistoimijaan, jonka jäsen toimija on.", "zh-hans-cn": "将一个行为者与作为一个行为者的一个成员的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/memberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60697",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is member of", ar: "هو عضو لـ", da: "har medlem af", de: "ist Mitglied von", fi: "jäsen", nl: "is lid van", "zh-hans-cn": "是……的成员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60649,
      definition: {en: "Relates an agent to a resource that involves a responsibility as an advisor or supervisor of thesis or dissertation research, overseeing either an academic degree or thesis.", ar: "يربط بين وكيل ومصدر ينطوي على تحمل المسؤولية بصفته مستشار أو مشرف على أطروحة ماجستير أو دكتوراه أو أبحاث متعلقة بأطروحة، والإشراف على إما درجة أكاديمية أو أطروحة.", da: "Relaterer en person, som fx en speciale- eller forskningsafhandlingsvejleder, der har ført tilsyn med enten en akademisk grad eller et speciale til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der eine Beraterin/ein Berater oder eine Betreuerin/ein Betreuer für die Beratung und Aufsicht von Forschungstätigkeiten im Rahmen einer Hochschularbeit verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa akateemisen opinnäytteen tai väitöskirjan ohjaamisesta tai valvomisesta.", "zh-hans-cn": "将一个行为者与涉及作为学位论文研究的导师的责任（监督学位或者论文）的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeSupervisorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60420",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is degree supervisor of", ar: "هو مشرف على درجة أكاديمية لـ", da: "er vejleder i", de: "ist Betreuerin/Betreuer einer Hochschulschrift von", fi: "opinnäytteen ohjaaja (toimija) aineistossa", nl: "is graad-begeleider van", "zh-hans-cn": "是……的学位导师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60650,
      definition: {en: "Relates an agent to a resource that is decorated using precious metals or colour, often with elaborate designs and motifs.", ar: "يربط بين وكيل ومصدر مُزيّن بمعادن ثمينة أو بألوان، غالبًا بتصاميم وزخارف منمقة.", da: "Relaterer en person der sørger for at der er tilført en udsmukning til en særlig ressource vha. ædelmetal eller farve, ofte med udsøgte mønstre og motiver til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die durch Edelmetalle oder Farbe, häufig mit kunstvollen Mustern und Motiven, (aus-)gestaltet wird.", fi: "Liittää toimijan aineistoon, joka on koristeltu jalometalleja tai värejä käyttäen, usein yksityiskohtaisin kuvioin tai motiivein.", "zh-hans-cn": "将一个行为者与被用贵重的金属或色彩（通常有精心的设计和图案）进行装饰的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/illuminatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60421",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is illuminator of", ar: "هو مزخرِف لـ", da: "er illuminator af", de: "ist Illuminatorin/Illuminator von", fi: "illuminoinnin tekijä (toimija) aineistossa", nl: "is verluchter van", "zh-hans-cn": "是……的彩饰者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60651,
      definition: {en: "Relates an agent to a resource that includes a contribution of assembling, arranging, and trimming film, video, or other moving image formats, including both visual and audio aspects.", ar: "يربط بين وكيل ومصدر يتضمن المساهمة في تجميع الأفلام أو الفيديو أو أشكال الصور المتحركة الأخرى وترتيبها وتشذيبها، بما في ذلك الجوانب المرئية والمسموعة.", da: "Relaterer en agent, der er ansvarlig for at have samlet, arrangeret og klippet film, video eller andre levende billedformater, inkl. både visuelle og lydmæssige aspekter til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die einen Beitrag zum Zusammensetzen, Arrangieren und Nachschneiden von Film-, Video- oder anderen Bewegtbildformaten beinhaltet. Darunter fallen Video- und Audio-Eigenschaften.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa elokuvan, videon tai muiden elokuvaformaattien kokoamisesta, järjestämisestä ja leikkauksesta sekä kuvan että äänen osalta.", "zh-hans-cn": "将一个行为者与包括对影片、视频或其他动态图像格式（包括视频和音频方面）的汇编、编排和剪辑的一个贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorOfMovingImageResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60422",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is editor of moving image resource of", ar: "هو محرر مصدر صور متحركة لـ", da: "er klipper af", de: "ist Filmeditorin/Filmeditor von", fi: "liikkuvan kuvan leikkaaja (toimija) aineistossa", nl: "is filmeditor van bewegend beeld-resource van", "zh-hans-cn": "……动态图像资源的剪辑师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60652,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for computer programming.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن برمجة الكمبيوتر.", da: "Relaterer en agent, der er ansvarlig for at have skabt et computerprogram til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Schaffung eines Computerprogramms verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa tietokoneohjelman luomisesta.", "zh-hans-cn": "将一个行为者与涉及创建一个计算机程序的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/programmerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60423",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is programmer of", ar: "هو مُبرمج لـ", da: "er programmør af", de: "ist Programmiererin/Programmierer von", fi: "ohjelmoija (toimija) aineistossa", nl: "is programmeur van", "zh-hans-cn": "是……的编程者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60653,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for design of an object.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تصميم كائن.", da: "Relaterer en agent, der er ansvarlig for at have skabt et design for en genstand til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Gestaltung eines Objekts verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa esineen suunnittelusta.", "zh-hans-cn": "将一个行为者与涉及设计一个物体的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/designerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60424",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is designer of", ar: "هو مصمم لـ", da: "er designer af", de: "ist Designerin/Designer von", fi: "suunnittelija (toimija) aineistossa", nl: "is ontwerper van", "zh-hans-cn": "是……的设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60654,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for a cartographic resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن مصدر رسم خرائط.", da: "Relaterer en agent, der er ansvarlig for at have skabt et kort, et atlas, en globus eller et andet kartografisk værk til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für eine kartografische Ressource verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kartografisesta aineistosta.", "zh-hans-cn": "将一个行为者与涉及一个行为者对一种地图资源的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/cartographerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60425",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is cartographer of", ar: "هو رسام خرائط لـ", da: "er kartograf til", de: "ist Kartografin/Kartograf von", fi: "kartografi (toimija) aineistossa", nl: "is cartograaf van", "zh-hans-cn": "是……的地图绘制者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60655,
      definition: {en: "Relates an agent to a musical resource that involves a responsibility of an agent for music.", ar: "يربط وكيل بمصدر موسيقي ينطوي على مسؤولية وكيل عن موسيقى.", da: "Relaterer en agent der er ansvarlig for at have skabt et musikværk til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Musikressource, bei dem ein Akteur für die Musik verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa musiikkiaineiston luomisesta.", "zh-hans-cn": "将一个行为者与涉及一个行为者对音乐的责任的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/composerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60426",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is composer of", ar: "هو مُلحن لـ", da: "er komponist til", de: "ist Komponistin/Komponist von", fi: "säveltäjä (toimija) aineistossa", nl: "is componist van", "zh-hans-cn": "是……的作曲者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60656,
      definition: {en: "Relates an agent who is responsible for creating a new device or process to a resource.", ar: "يربط وكيل مسؤول عن تصنيع جهاز جديد أو عملية جديدة لمصدر.", da: "Relaterer en agent der er ansvarlig for at have skabt en ny anordning eller proces til en ressource.", de: "Setzt einen Akteur, der für die Schaffung eines neuen Geräts oder Prozesses verantwortlich ist, in Beziehung zu einer Ressource.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa uuden laitteen tai prosessin luomisesta.", "zh-hans-cn": "将一个负责创建一个新装置或新过程的行为者与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inventorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60427",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is inventor of", ar: "هو مخترع لـ", da: "er opfinder af", de: "ist Erfinderin/Erfinder von", fi: "keksijä (toimija) aineistossa", nl: "is uitvinder van", "zh-hans-cn": "是……的发明者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60657,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for creating a metadata description set.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن اختيار البيانات والمعلومات لمصدر وترتيبها، وتجميعها، وتحريرها، في ببليوجرافية أو في دليل.", da: "Relaterer en agent, der er ansvarlig for at have skabt et nyt værk såsom en bibliografi eller fortegnelse ved at udvælge, arrangere, sammenlægge og redigere data, oplysninger etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Selektieren, Gliedern, Aggregieren und Editieren von Daten und Informationen für eine Ressource, zum Beispiel einer Bibliografie oder eines Verzeichnisses, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa metatietokokonaisuuden luomisesta.", "zh-hans-cn": "将一个行为者与涉及创建一个元数据描述集的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60621",
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60007",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/compilerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A metadata description set includes a bibliography of resources, a directory of agents and places, and an analytic finding aid.", fi: "Metatietokokonaisuus sisältää aineistojen bibliografian, toimijoiden ja paikkojen hakemiston sekä hakemiston.", "zh-hans-cn": "元数据描述集包括资源的书目、行为者和地点的名录、以及分析查询工具。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60428",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is compiler of", ar: "هو جامع لـ", da: "er kompilator af", de: "ist Zusammenstellende/Zusammenstellender von", fi: "kokoaja (toimija) aineistossa", nl: "is samensteller van", "zh-hans-cn": "是……的编纂者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61090",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60658,
      definition: {en: "Relates an agent to a resource that is a photographic resource that involves a responsibility of an agent for photography.", ar: "يربط بين وكيل ومصدر يمثل مصدرًا فوتوغرافيًا يتضمن مسؤولية وكيل عن التصوير الفوتوغرافي.", da: "Relaterer en agent der er ansvarlig for at have skabt et nyt fotografisk værk til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Fotografie verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa valokuva-aineiston luomisesta.", "zh-hans-cn": "将一个行为者与作为一种摄影资源并涉及一个行为者对摄影的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/photographerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60429",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is photographer of", ar: "هو مصور لـ", da: "er fotograf til", de: "ist Fotografin/Fotograf von", fi: "valokuvaaja (toimija) aineistossa", nl: "is fotograaf van", "zh-hans-cn": "是……的摄影者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60659,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of interviewing, reporting, or some other information gathering agent.", ar: "يربط بين وكيل ومصدر يتضمن مساهمة وكيل في إجراء مقابلات، إعداد تقارير، أو وكيل من نوع آخر يجمع معلومات.", da: "Relaterer en agent, der er ansvarlig for at have skabt en ressource ved at optræde som interviewer, journalist, medarbejder ved et meningsmålingsinstitut eller en anden informationsindsamler til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er als Interviewerin/Interviewer, Reporterin/Reporter, Meinungsforscherin/Meinungsforscher oder anderweitig Informationen zusammenträgt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston luomisesta toimimalla haastattelijana, toimittajana, mielipidetutkijana tai muunlaisena tiedonkerääjänä.", "zh-hans-cn": "将一个行为者与包括担当采访、报道、民意调查或其他类型信息搜集的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/interviewerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60430",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is interviewer of", ar: "هو مُحاور لـ", da: "er interviewer i", de: "ist Interviewerin/Interviewer von", fi: "haastattelija (toimija) aineistossa", nl: "is interviewer van", "zh-hans-cn": "是……的采访者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60660,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for conceiving, and often implementing, an original graphic design, drawing, painting, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن وضع تصور لتصميم جرافيكي، أو لرسم، أو للوحة زيتية أصلية، إلخ وغالباً تنفيذها.", da: "Relaterer en agent, der er ansvarlig for at have skabt en ressource ved at udtænke, og ofte udføre, et originalt grafisk design, en original tegning, et originalt maleri etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Konzeption und oft auch Umsetzung einer originalen grafischen Gestaltung, einer Zeichnung oder eines Gemäldes und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa alkuperäisen graafisen suunnittelun, piirroksen, maalauksen tms. luomisesta.", "zh-hans-cn": "将一个行为者与涉及构思并经常是完成原创图形设计、绘图、绘画等的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60705", "http://rdaregistry.info/Elements/u/P60758", "http://rdaregistry.info/Elements/u/P60759"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/artistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60431",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is artist of", ar: "هو فنان لـ", da: "er kunstner til", de: "ist Künstlerin/Künstler von", fi: "taiteilija (toimija) aineistossa", nl: "is kunstenaar van", "zh-hans-cn": "是……的美术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60661,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of being interviewed, usually by a reporter or some other information gathering agent.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل بإجراء مقابلة معه، عادةً من جانب مراسل أو وكيل من نوع آخر يجمع معلومات.", da: "Relaterer en agent, der er ansvarlig for at have skabt en ressource ved at besvare spørgsmål fra en interviewer, normalt en journalist, medarbejder ved et meningsmålingsinstitut eller en anden informationsindsamler en ressource..", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er einer Interviewerin/einem Interviewer antwortet. Dabei handelt es sich normalerweise um eine Reporterin/einen Reporter oder einen anderen Akteur, der Informationen zusammenträgt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena vastaamalla haastattelijalle. Yleensä haastattelija on toimittaja, mielipidetutkija tai muunlainen tiedonkeruun tekijä.", "zh-hans-cn": "将一个行为者与涉及被采访（通常是被记者或其他信息收集行为者采访）的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/intervieweeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60432",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is interviewee of", ar: "هو ضيف مقابلة لـ", da: "er interviewet i", de: "ist Interviewte/Interviewter von", fi: "haastateltava (toimija) aineistossa", nl: "is geïnterviewde van", "zh-hans-cn": "是……的受访者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60662,
      definition: {en: "Relates an agent to a choreographic resource that involves a responsibility of an agent for choreography.", ar: "يربط بين وكيل ومصدر رقص ينطوي على مسؤولية وكيل عن تصميم الرقصات.", da: "Relaterer en agent, der er ansvarlig for at have skabt en ressource af bevægelser til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer choreografischen Ressource, bei der ein Akteur für die Choreografie verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa koreografisesta aineistosta.", "zh-hans-cn": "将一个行为者与涉及一个行为者的编舞责任的一种编舞资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choreographerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60433",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is choreographer of", ar: "هو مصمم رقصات لـ", da: "er koreograf til", de: "ist Choreografin/Choreograf von", fi: "koreografi (toimija) aineistossa", nl: "is choreograaf van", "zh-hans-cn": "是……的编舞者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60663,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for creating a textual resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إنشاء مصدر نصي.", da: "Relaterer en agent, der er ansvarlig for at have skabt en ressource hvis indhold primært består af tekst, uanset hvilken medietype eller genre der er tale om til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Erschaffung einer textlichen Ressource verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa tekstiaineiston luomisesta.", "zh-hans-cn": "将一个行为者与涉及创作一种文字资源的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60706", "http://rdaregistry.info/Elements/u/P60707", "http://rdaregistry.info/Elements/u/P60708", "http://rdaregistry.info/Elements/u/P60757"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60434",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is author of", ar: "هو مؤلف لـ", da: "er forfatter til", de: "ist Verfasserin/Verfasser von", fi: "kirjoittaja (toimija) aineistossa", nl: "is auteur van", "zh-hans-cn": "是……的著者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60664,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for creating an architectural design, including a pictorial representation intended to show how a building or other structure will look when completed.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إنشاء تصميم معماري، ويشمل ذلك عمل تمثيل تصويري لبيان كيف سيبدو مبنى أو هيكل آخر عند اكتماله.", da: "Relaterer en agent, der er ansvarlig for at have skabt et arkitektonisk design, inkl. en billedrepræsentation, der er beregnet til at vise, hvordan en bygning etc. vil se ud, når den er færdig til et værk.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für einen architektonischen Entwurf verantwortlich ist, einschließlich einer bildlichen Darstellung, die zeigt, wie ein Gebäude oder eine andere Konstruktion nach der Fertigstellung aussehen soll.", fi: "Liittää toimijan aineiston, jossa toimija vastaa arkkitehtisuunnitelman luomisesta, mukaan lukien kuvaesityksestä, jonka tarkoitus on näyttää, miltä rakennus tai muu rakennelma näyttää valmiina.", "zh-hans-cn": "将一个行为者与涉及建筑设计（包括用于展示建筑或其他结构完成之后外观效果的绘画作品）创作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60704",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/architectOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60435",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is architect of", ar: "هو مهندس معماري لـ", da: "er arkitekt til", de: "ist Architektin/Architekt von", fi: "arkkitehti (toimija) aineistossa", nl: "is architect van", "zh-hans-cn": "是……的建筑设计师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60665,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for an independent or personal film.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن فيلم مستقل أو شخصي.", da: "Relaterer en agent der er ansvarlig for at have skabt en uafhængig eller personlig film til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Schaffung eines unabhängigen oder privaten Films verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa itsenäisen tai henkilökohtaisen elokuvan luomisesta.", "zh-hans-cn": "将一个行为者与涉及创作一部独立或个人电影的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/filmmakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60436",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is filmmaker of", ar: "هو صانع أفلام لـ", da: "er filmskaber til", de: "ist Filmemacherin/Filmemacher von", fi: "elokuvantekijä (toimija) aineistossa", nl: "is filmmaker van", "zh-hans-cn": "是……的制片人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60666,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of designing the overall visual appearance of a moving image production.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تصميم الصورة المرئية العامة لإنتاج أفلام.", da: "Relaterer en agent, der er ansvarlig for at have designet en levende billedproduktions overordnede visuelle udseende til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er für die Gestaltung des gesamten visuellen Erscheinungsbilds einer Bewegtbildproduktion verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa elokuvatuotannon visuaalisen ilmeen suunnittelusta.", "zh-hans-cn": "将一个行为者与包括设计动态图像制作整体视觉效果的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productionDesignerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60437",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is production designer of", ar: "هو مصمم إنتاج لـ", da: "er produktionsdesigner for", de: "ist Szenenbildnerin/Szenenbildner von", fi: "tuotannonsuunnittelija (toimija) aineistossa", nl: "is productieontwerper van", "zh-hans-cn": "是……的制作设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60667,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for distribution.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التوزيع.", da: "Relaterer en agent der er ansvarlig for distribution af en manifestation til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für den Vertrieb verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa julkaistun aineiston jakelusta.", "zh-hans-cn": "将一个行为者与涉及发行的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60636",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/distributorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60438",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is distributor of", ar: "هو مُوزع لـ", da: "er distributør af", de: "ist Vertrieb von", fi: "jakelija (toimija) aineistossa", nl: "is distributeur van", "zh-hans-cn": "是……的发行者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60668,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for most of the business aspects of a production for screen, sound recording, television, webcast, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن معظم جوانب العمل في إنتاج للشاشة، وللتسجيل الصوتي، وللتلفزيون، وللبث عبر الإنترنت، إلخ.", da: "Relaterer en agent, der er ansvarlig for størstedelen af de forretningsmæssige aspekter ved en produktion beregnet til lærred, lydoptagelse, tv, webcast etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten geschäftlichen Aspekte einer Produktion für die Leinwand, für eine Tonaufnahme, für das Fernsehen, für einen Webcast und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa suurimmasta osasta elokuvan liiketoimintaa.", "zh-hans-cn": "将一个行为者与涉及对银幕、录音、电视、网络直播等制作的大部分商业运作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60033", "http://rdaregistry.info/Elements/u/P60034", "http://rdaregistry.info/Elements/u/P60035", "http://rdaregistry.info/Elements/u/P60883"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/producerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60441",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is producer of", ar: "هو مُنتج لـ", da: "er producer af", de: "ist Produzentin/Produzent von", fi: "tuottaja (toimija) aineistossa", nl: "is producent van", "zh-hans-cn": "是……的制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60669,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for printing, duplicating, casting, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الطباعة، النسخ، الطَرَح، إلخ.", da: "Relaterer en agent der er ansvarlig for trykning, duplikering, støbning etc., til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für den Druck, die Vervielfältigung, den Guss und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa painamisesta, monistamisesta, kirjasinten valamisesta tai muusta valmistustavasta.", "zh-hans-cn": "将一个行为者与涉及印刷、复制、铸造等的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60639", "http://rdaregistry.info/Elements/u/P60646"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/manufacturerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60443",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is manufacturer of", ar: "هو مُصّنع لـ", da: "er producent af", de: "ist Hersteller von", fi: "valmistaja (toimija) aineistossa", nl: "is vervaardiger van", "zh-hans-cn": "是……的生产者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60670,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for publishing, releasing, or issuing.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن النشر، أو التحرير، أو الإصدار.", da: "Relaterer en agent, der er ansvarlig for at publicere, offentliggøre eller udsende en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Veröffentlichen, die Freigabe oder die Herausgabe verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kustantamisesta, julkaisemisesta tai ilmestymisestä.", "zh-hans-cn": "将一个行为者与涉及出版、发布或发行的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60635",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/publisherOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60444",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is publisher of", ar: "هو ناشر لـ", da: "er udgiver af", de: "ist Verlag von", fi: "kustantaja (toimija) aineistossa", nl: "is uitgever van", "zh-hans-cn": "是……的出版者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60671,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of recording the minutes of a meeting.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تسجيل محاضر اجتماع.", da: "Relaterer en agent der er ansvarlig for at have taget referat ved et møde til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er für das Aufzeichnen des Protokolls einer Sitzung verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kokouksen pöytäkirjan laatimisesta.", "zh-hans-cn": "将一个行为者与包括写会议记录的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/minuteTakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60446",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is minute taker of", ar: "هو مدون لمحضر اجتماع لـ", da: "er referent i", de: "ist Protokollantin/Protokollant von", fi: "pöytäkirjan laatija (toimija) aineistossa", nl: "is notulist van", "zh-hans-cn": "是……的会议记录者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60672,
      definition: {en: "Relates an agent to a resource that involves a creation responsibility.", ar: "يربط بين وكيل مصدر يتضمن مسؤولية إبداعية.", da: "Relaterer en agent der er ansvarlig for skabelse af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung bei der Erstellung verbunden ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston luomisesta.", "zh-hans-cn": "将一个行为者与涉及一个创作责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60001", "http://rdaregistry.info/Elements/u/P60006", "http://rdaregistry.info/Elements/u/P60014", "http://rdaregistry.info/Elements/u/P60637", "http://rdaregistry.info/Elements/u/P60640", "http://rdaregistry.info/Elements/u/P60641", "http://rdaregistry.info/Elements/u/P60649", "http://rdaregistry.info/Elements/u/P60652", "http://rdaregistry.info/Elements/u/P60653", "http://rdaregistry.info/Elements/u/P60654", "http://rdaregistry.info/Elements/u/P60655", "http://rdaregistry.info/Elements/u/P60656", "http://rdaregistry.info/Elements/u/P60658", "http://rdaregistry.info/Elements/u/P60659", "http://rdaregistry.info/Elements/u/P60660", "http://rdaregistry.info/Elements/u/P60661", "http://rdaregistry.info/Elements/u/P60662", "http://rdaregistry.info/Elements/u/P60663", "http://rdaregistry.info/Elements/u/P60664", "http://rdaregistry.info/Elements/u/P60665", "http://rdaregistry.info/Elements/u/P60699", "http://rdaregistry.info/Elements/u/P60701", "http://rdaregistry.info/Elements/u/P60827", "http://rdaregistry.info/Elements/u/P60881", "http://rdaregistry.info/Elements/u/P60882"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/creatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60447",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is creator of", ar: "هو مُبدع لـ", da: "er ophav til", de: "ist Geistige Schöpferin/Geistiger Schöpfer von", fi: "tekijä (toimija) aineistossa", nl: "is maker van", "zh-hans-cn": "是……的创作者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60673,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for the general management and supervision of a filmed performance, a radio or television program, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الإدارة العامة والإشراف على أداء فيلم، برنامج إذاعي أو برنامج تلفزيوني، إلخ.", da: "Relaterer en agent der er ansvarlig for ledelse af og tilsyn med en filmoptagelse, et radio- eller tv-program etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das allgemeine Management und die Leitung einer verfilmten Darbietung, einer Hörfunk- oder Fernsehsendung und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa a elokuvaesityksen, radio- tai televisio-ohjelman tms. yleisestä johtamisesta.", "zh-hans-cn": "将一个行为者与涉及电影表演、广播或电视节目等的全面管理和监督的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60009", "http://rdaregistry.info/Elements/u/P60010", "http://rdaregistry.info/Elements/u/P60011"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/directorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60449",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is director of", ar: "هو مخرج لـ", da: "er instruktør til", de: "ist Regisseurin/Regisseur von", fi: "ohjaaja (toimija) aineistossa", nl: "is regisseur van", "zh-hans-cn": "是……的导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60674,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for compensation of degradation by bringing it back to a state as close as possible to its original condition using a set of technical, editorial, and intellectual procedures.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التعويض عن تدهور حالته عن طريق إعادته إلى حالته الأصلية قدر المستطاع باستخدام مجموعة من الإجراءات الفنية، والتحريرية، والفكرية.", da: "Relaterer en agent, der er ansvarlig for rækken af tekniske, redaktionsmæssige og intellektuelle procedurer, der sigter mod at kompensere for forringelsen af en ressource ved at føre den tilbage til en tilstand, der er så tæt som muligt på dens oprindelige tilstand til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die technischen, redaktionellen und intellektuellen Verfahren verantwortlich ist, die darauf abzielen, die Zersetzung einer Ressource auszugleichen, indem sie in einen Zustand zurückversetzt wird, der ihrer ursprünglichen Beschaffenheit möglichst nahe kommt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa teknisistä, toimituksellisista ja tiedollisista toimenpiteistä, joiden tarkoitus on palauttaa huonokuntoinen aineisto mahdollisimman lähelle sen alkuperäistä kuntoa.", "zh-hans-cn": "将一个行为者与涉及为弥补损毁而担负一系列技术、编辑和智力操作、使之尽可能恢复到原始状态的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/restorationistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60450",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is restorationist of", ar: "هو أخصائي ترميم لـ", da: "er konservator af", de: "ist Restauratorin/Restaurator von", fi: "entisöijä (toimija) aineistossa", nl: "is restaurator van", "zh-hans-cn": "是……的修复者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60675,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for sponsoring some aspect of a resource,", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن رعاية بعض جوانب مصدر.", da: "Relaterer en agent, der har sponsoreret et aspekt af en ressource, fx forskningsfinansiering, sponsorering af en event til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die finanzielle Unterstützung einzelner Aspekte einer Ressource verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston sponsoroinnista joltakin osin.", "zh-hans-cn": "将一个行为者与涉及赞助一种资源某个方面的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sponsoriedResourceOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Includes funding research and sponsoring an event that is the basis of a resource.", ar: "يشمل ذلك تمويل البحوث ورعاية حدث يكون أساس لمصدر.", da: "Omfatter finansiering af forskning og sponsorering af et event, der er basis for en ressource.", de: "Darunter fallen Forschungsförderungen und die finanzielle Unterstützung einer Veranstaltung, die die Grundlage eines Werks bilden.", fi: "Kattaa tutkimuksen rahoituksen ja teoksen perustana olevan tapahtuman sponsoroinnin.", "zh-hans-cn": "包括作为一种资源基础的科研资助和活动赞助"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60451",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sponsored resource of agent", ar: "له مصدر راعي لوكيل", da: "er sponsorerende institution for", de: "hat Akteur als Trägerin/Träger eines Werks von", fi: "sponsori (toimija) aineistossa", nl: "heeft gesponsorde resource van actor", "zh-hans-cn": "有行为者的被赞助资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60676,
      definition: {en: "Relates an agent sponsoring an agent to an agent.", ar: "يربط بين وكيل راعي لوكيل ووكيل.", da: "Relaterer en agent der sponsorerer en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen Akteur fördert.", fi: "Liittää toimijaan toimijaa sponsoroivan toimijan.", "zh-hans-cn": "将一个行为者与赞助一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sponsoringAgentOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60688",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sponsoring agent of agent", ar: "له وكيل راعي لوكيل", da: "har sponsor", de: "hat Trägerin/Träger eines Akteurs", fi: "sponsoroiva toimija aineistossa", nl: "heeft sponsor van actor", "zh-hans-cn": "有行为者的赞助行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60678,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for capturing images, either electronically or on film or video stock, and often selecting and arranging the lighting.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التقاط الصور، إما إلكترونيًا أو في فيلم أو فيديو، وغالبا ما يكون مسئولا عن اختيار الإضاءة وتوزيعها.", da: "Relaterer en agent, der optager billeder, enten elektronisk eller på film eller video og ofte vælger og arrangerer lyssætning.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Aufzeichnung von Bildern, entweder elektronisch oder auf Film- oder Videomaterial, verantwortlich ist und häufig die Belichtung auswählt und arrangiert.", fi: "n vastaa kuvien tallentamisesta joko sähköisesti tai filmille tai videolle, usein myös valaistuksen valitsemisesta ja järjestämisestä.", "zh-hans-cn": "将一个行为者与涉及通过电子、胶片或视频存储方式摄录影像、且经常负责灯光的选择和布置的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/directorOfPhotographyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60452",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is director of photography of", ar: "هو مدير التصوير الفوتوغرافي لـ", da: "er filmfotograf til", de: "ist Kamerafrau/Kameramann von", fi: "kuvaaja (toimija) aineistossa", nl: "is cameraregisseur van", "zh-hans-cn": "是……的摄影指导"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60679,
      definition: {en: "Relates an agent to an agent who employs an agent.", ar: "يربط بين وكيل يوظف وكيلًا ووكيل", da: "Relaterer en agent der ansætter en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen Akteur beschäftigt.", fi: "Liittää toimijan toimijaan, joka työllistää toimijan.", "zh-hans-cn": "将一个行为者与雇用一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/employer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60629",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has employer", ar: "له موظف", da: "har arbejdsgiver", de: "hat Arbeitgeberin/Arbeitgeber", fi: "työnantaja (toimija)", nl: "heeft werkgever", "zh-hans-cn": "有雇员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60680,
      definition: {en: "Relates an agent to an agent who is hierarchically superior to another agent.", ar: "يربط بين وكيل ووكيل في مرتبة أعلى في التسلسل الرئاسي من وكيل ذي صلة.", da: "Relaterer en agent der er hierarkisk overordnet en anden agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einem anderen Akteur übergeordnet ist.", fi: "Liittää yhteistoimijan yhteistoimijaan, joka on hierarkkisesti toista yhteistoimijaa ylempänä.", "zh-hans-cn": "将一个行为者与另一个行为者的上级行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hierarchicalSuperior.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60681",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has hierarchical superior", ar: "له رتبة أعلى في التسلسل الرئاسي", da: "har hierarkisk overordnet", de: "hat übergeordneten Akteur", fi: "kattoyhteisö (yhteistoimija)", nl: "heeft moederonderneming", "zh-hans-cn": "有上级"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60681,
      definition: {en: "Relates an agent to an agent who is subordinate to another agent.", ar: "يربط بين وكيل ووكيل في مرتبة أدنى من وكيل ذي صلة.", da: "Relaterer en agent der er underordnet en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einem anderen Akteur untergeordnet ist.", fi: "Liittää yhteistoimijan yhteistoimijaan, joka on hierarkkisesti toisen yhteistoimijan alainen.", "zh-hans-cn": "将一个行为者与另一个行为者的下级行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hierarchicalSubordinate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60680",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has hierarchical subordinate", ar: "له رتبة أدنى في التسلسل الرئاسي", da: "har hierarkisk underordnet", de: "hat untergeordneten Akteur", fi: "alayhteisö (yhteistoimija)", nl: "heeft dochteronderneming", "zh-hans-cn": "有下级"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60682,
      definition: {en: "Relates an agent to an agent who merged with another agent to form a third.", ar: "يربط بين وكيل ووكيل اندمج مع وكيل ذي صلة ليُشكلا وكيلًا ثالثًا.", da: "Relaterer en agent der er sammenlagt med en anden agent for at skabe en tredje agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der mit einem anderen Akteur fusioniert, um einen neue zu bilden.", fi: "Liittää toimijan yhteistoimijaan, joka on sulautunut toiseen muodostaakseen kolmannen yhteistoimijan.", "zh-hans-cn": "将一个行为者与一个和另一行为者合并后形成第三个行为者的行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mergee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60682",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has mergee", ar: "له هيئة مندمجة", da: "har sammenlagt korporation", de: "hat fusionierten Akteur", fi: "kanssayhdistyjä (yhteistoimija)", nl: "heeft fusiepartner", "zh-hans-cn": "有被合并的一方"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60683,
      definition: {en: "Relates an agent who precedes a related agent to an agent.", ar: "يربط بين وكيل ووكيل يسبق وكيل ذو صلة.", da: "Relaterer en agent der går forud for en anden agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einem Akteur vorausgeht.", fi: "Liittää yhteisön toista yhteistoimijaa edeltäneeseen yhteistoimijaan.", "zh-hans-cn": "将一个作为一个相关行为者前身的行为者与一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/predecessor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60686",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has predecessor", ar: "له سَلَف", da: "har forgænger", de: "hat Vorgängerin/Vorgänger", fi: "yhteistoimijan edeltäjä", nl: "heeft voorganger", "zh-hans-cn": "有前身"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60684,
      definition: {en: "Relates an agent who resulted from a merger of two or more other agents to an agent.", ar: "يربط بين وكيل ووكيل نتج عن اندماج وكيلين أو أكثر من الوكلاء الأخرين.", da: "Relaterer en agent der er resultatet af en sammenlægning af to eller flere andre agenter til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der aus einer Fusion von zwei oder mehreren Akteuren entstanden ist.", fi: "Kahden tai useamman yhteistoimijan yhdistymisestä muodostunut yhteistoimija.", "zh-hans-cn": "将两个其他行为者合并后产生的一个行为者与一个行为者与关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productOfMerger.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60736",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has product of merger", ar: "له نتاج اندماج", da: "har produkt af sammenlægning", de: "hat Ergebnis einer Fusion", fi: "yhdistymisestä muodostunut yhteistoimija", nl: "heeft resultaat van fusie", "zh-hans-cn": "有合并而成的行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60685,
      definition: {en: "Relates an agent who resulted from a split or division of a related agent to an agent.", ar: "يربط بين وكيل ووكيل نتج عن انفصال أو تقسيم وكيل ذي صلة.", da: "Relaterer en agent der er resultatet af en opsplitning af to eller flere andre agenter til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der aus einer Aufteilung oder einer Teilung eines anderen Akteurs entstanden ist.", fi: "Liittää yhteistoimijan yhteistoimijaan, joka on seuraus toisen yhteistoimijan jakautumisesta.", "zh-hans-cn": "将一个相关行为者分出或划分后形成的一个行为者与一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/productOfSplit.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60733",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has product of split", ar: "له نتاج انفصال", da: "har produkt af en opsplitning", de: "hat Ergebnis einer Aufteilung", fi: "jakautumisesta muodostunut yhteistoimija", nl: "heeft resultaat van splitsing", "zh-hans-cn": "有分出的行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60686,
      definition: {en: "Relates an agent who succeeds or follows a related agent to an agent.", ar: "يربط بين وكيل ووكيل يخلف أو يلي وكيل ذو صلة.", da: "Relaterer en agent der efterfølger eller kommer efter en anden agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einem anderen Akteur nachfolgt oder aus ihm hervorgeht.", fi: "Liittää yhteistoimijan toista yhteistoimijaa seuraavaan tai jatkavaan yhteistoimijaan.", "zh-hans-cn": "将一个后继或紧随一个相关行为者的行为者与一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/successor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60683",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has successor", ar: "له خَلِيفَة", da: "har efterfølger", de: "ist Nachfolgerin/Nachfolger", fi: "seuraaja (yhteistoimija)", nl: "heeft opvolger", "zh-hans-cn": "有后继"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60687,
      definition: {en: "Relates an agent to an agent who is initiated by an agent.", ar: "يربط بين وكيل ووكيل أسسه وكيل", da: "Relaterer en agent der er grundlagt af en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der von einem Akteur gegründet wurde.", fi: "Liittää yhteistoimijan sen perustaneeseen toimijaan.", "zh-hans-cn": "将一个行为者与被另一个行为者发起的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/foundedAgentOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60694",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has founded agent of agent", ar: "له وكيل أسسه وكيل", da: "har grundlagt entitet", de: "hat gegründeten Akteur durch einen Akteur", fi: "perustaja (toimija)", nl: "heeft opgerichte actor van actor", "zh-hans-cn": "有行为者的被创办行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60688,
      definition: {en: "Relates an agent who an agent sponsors to an agent.", ar: "يربط بين وكيل ووكيل يرعاه وكيل.", da: "Relaterer en agent som en agent sponsorerer til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, den ein Akteur fördert.", fi: "Liittää toimijaan toimijaa sponsoroivan toimijan.", "zh-hans-cn": "将赞助一个行为者的一个行为者与一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sponsoringAgentOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60676",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sponsored agent of agent", ar: "له وكيل راعي لوكيل", da: "har sponsoreret entitet", de: "hat Akteur als Träger eines Akteurs von", fi: "sponsori (toimija)", nl: "heeft gesponsorde actor van actor", "zh-hans-cn": "有行为者的赞助行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60689,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for being commemorated.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الاحتفال به.", da: "Relaterer en agent som en ressource er tilegnet til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die einem Akteur gewidmet ist.", fi: "Liittää toimijan aineistoon, joka on omistettu toimijalle.", "zh-hans-cn": "将一个行为者与涉及被纪念的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dedicateeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60455",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dedicatee of", ar: "هو مُهدَى إليه لـ", da: "er tilegnet i", de: "ist Widmungsempfängerin/Widmungsempfänger von", fi: "omistuksen kohde (toimija) aineistossa", nl: "is opgedragene van", "zh-hans-cn": "是……的被题献者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60690,
      definition: {en: "Relates an agent to a resource or a portion of a resource that is addressed to an agent.", ar: "يربط بين وكيل ومصدر أو بجزء من مصدر مرسل إلى وكيل.", da: "Relaterer en agent, som en ressource eller en del af en ressource er adresseret til til en ressource.", de: "Setzt einen Akteur in Beziehung zu eine Ressource oder einem Teil einer Ressource, die/der an einen Akteur adressiert ist.", fi: "Liittää toimijan aineistoon, jolle aineisto tai osa aineistosta on osoitettu.", "zh-hans-cn": "将一个行为者与要被一个行为者接受的一种资源或资源的一部分关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addresseeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60456",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is addressee of", ar: "هو مُرسل إليه لـ", da: "er adressat i", de: "ist Adressatin/Adressat von", fi: "aineiston vastaanottaja (toimija)", nl: "is geadresseerde van", "zh-hans-cn": "是……的接受者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60691,
      definition: {en: "Relates an agent to a resource of a higher court recording a decision of a lower court that is appealed by an agent.", ar: "يربط بين وكيل ومصدر لمحكمة أعلى درجة تسجل قرار محكمة أدنى درجة يستأنفه وكيل.", da: "Relaterer en agent der appellerer en underrets beslutning i en juridisk ressource til en højere retsinstans til et værk.", de: "Setzt einen Akteur in Beziehung zu einer Ressource einer höheren Instanz, die ein Gerichtsurteil einer unteren Instanz erfasst, gegen das ein Akteur Rechtsmittel (Berufung/Revision) einlegt.", fi: "Liittää toimijan ylemmän oikeusasteen aineistoon, jossa toimija hakee muutosta alemman oikeusasteen päätökseen.", "zh-hans-cn": "将一个行为者与一种记录下级法院被一个行为者起诉的决定的上级法院的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appellantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60457",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is appellant of", ar: "هو مستأنف لـ", da: "er appellerende af", de: "ist Berufungsklagende/Berufungsklagender/Revisionsklagende/Revisionsklagender von", fi: "muutoksenhakija (toimija) aineistossa", nl: "is aanklager in beroep van", "zh-hans-cn": "是……的上诉者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60692,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for binding.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التجليد", da: "Relaterer en agent der indbinder en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Binden verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa sidonnasta.", "zh-hans-cn": "将一个行为者与涉及一个装订行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/binderOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60458",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is binder of", ar: "هو مسؤول عن تجليد لـ", da: "er bogbinder af", de: "ist Buchbinderin/Buchbinder von", fi: "sitoja (toimija) aineistossa", nl: "is binder van", "zh-hans-cn": "是……的装订者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60693,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for bringing a suit in a civil proceeding.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن رفع دعوى مدنية.", da: "Relaterer en agent der anlægger en civil sag til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur eine Klage in ein Zivilverfahren einbringt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kanteen nostamisesta siviilioikeudenkäyntiin.", "zh-hans-cn": "将一个行为者与涉及民事诉讼中一个起诉行为者责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/plaintiffOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60459",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is plaintiff of", ar: "هو مُدَّعي لـ", da: "er sagsøger af", de: "ist Zivilklägerin/Zivilkläger von", fi: "henkilökantaja (toimija) aineistossa", nl: "is aanklager van", "zh-hans-cn": "是……的原告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60694,
      definition: {en: "Relates an agent to an agent who initiates an agent.", ar: "يربط بين وكيل ووكيل أسس وكيل.", da: "Relaterer en agent der har grundlagt en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen Akteur gegründet hat.", fi: "Liittää yhteistoimijan perustaneen toimijan yhteistoimijaan.", "zh-hans-cn": "将一个行为者与发起一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/founderAgentOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60687",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has founder agent of agent", ar: "له وكيل مؤسس لوكيل", da: "har grundlægger", de: "hat Begründerin/Begründer eines Akteurs", fi: "perustaja (yhteistoimija)", nl: "heeft oprichter-actor van actor", "zh-hans-cn": "有行为者的创办者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60695,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for inscribing a text, such as a statement of dedication or gift.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن كتابة نص، مثل بيان الإهداء أو الهدية.", da: "Relaterer en agent der har skrevet en dedikations- eller gaveangivelse på en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung verbunden ist, eine Widmung oder einen Schenkungsvermerk zu schreiben.", fi: "Liittää toimijan aineistoon, johon toimija kirjoitta siihen omistuskirjoituksen tai merkinnön lahjoituksesta.", "zh-hans-cn": "将一个行为者与涉及题写文字（诸如题献或赠与的说明）的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inscriberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60460",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is inscriber of", ar: "هو كاتب إهداء لـ", da: "er dedikationsskriver i", de: "ist beschriftende Person von", fi: "omistuskirjoituksen kirjoittaja (toimija) aineistossa", nl: "is opdrachtschrijver van", "zh-hans-cn": "是……的题写者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60696,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for hearing and decision on legal matters in court.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الاستماع إلى المسائل القانونية في محكمة والبت فيها.", da: "Relaterer en agent der hører og træffer beslutning om juridiske anliggender i retten til en ressource.", de: "Setzte einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur dafür verantwortlich ist, sich bei Gericht juristische Angelegenheiten anzuhören und darüber zu entscheiden.", fi: "Liittää toimijan aineistoon, jossa toimija kuulee ja päättää oikeusasioista tuomioistuimessa.", "zh-hans-cn": "将一个行为者与涉及法院中关于法律事务审理和决定责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/judgeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60461",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is judge of", ar: "هو قاضِي لـ", da: "er dommer i", de: "ist Richterin/Richter von", fi: "tuomari (toimija) aineistossa", nl: "is rechter van", "zh-hans-cn": "是……的法官"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60697,
      definition: {en: "Relates an agent to an agent who is a member of an agent.", ar: "يربط بين وكيل ووكيل هو عضو لوكيل.", da: "Relaterer en agent der er medlem af en agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der Mitglied eines Akteurs ist.", fi: "Liittää yhteistoimijan toimijaan, joka on yhteistoimijan jäsen.", "zh-hans-cn": "将一个行为者与作为一个行为者之成员的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/member.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60648",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has member", ar: "له عضو", da: "har medlem af", de: "hat Mitglied", fi: "jäsen (toimija)", nl: "heeft lid", "zh-hans-cn": "有成员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60698,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for being accused in a criminal proceeding or sued in a civil proceeding.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن اتهامه في دعوى جنائية أو مقاضاته في دعوى مدنية.", da: "Relaterer en agent der er anklaget i en straffesag eller sagsøgt i en civil sag til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung verbunden ist, als Akteur in einem Strafverfahren angeklagt oder in einem Zivilverfahren verklagt zu werden.", fi: "Liittää toimijan aineistoon, jossa toimija on syytettynä rikosoikeudenkäynnissä tai haastetuna siviilioikeudenkäynnissä.", "zh-hans-cn": "将一个行为者与涉及在刑事或民事诉讼中被控告的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61093", "http://rdaregistry.info/Elements/u/P61095"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/defendantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60462",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is defendant of", ar: "هو مُدَّعَى عليه لـ", da: "er sagsøgt af", de: "ist Angeklagte/Angeklagter von", fi: "vastaaja (toimija) aineistossa", nl: "is verweerder van", "zh-hans-cn": "是……的被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60699,
      definition: {en: "Relates an agent to a resource that involves a responsibility as a faculty moderator of an academic disputation, normally proposing a thesis and participating in the ensuing disputation.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤوليته رئاسة جلسة أعضاء هيئة التدريس في مناظرة أكاديمية، ويقترح عادة أطروحة ويشارك في المناظرة اللاحقة.", da: "Relaterer en agent der er fakultetsordstyrer for et akademisk afhandlingsforsvar, normalt ved at fremsætte en tese og deltage i det efterfølgende afhandlingsforsvar til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur auf Fakultätsseite eine akademische Disputation moderiert, normalerweise eine These vorschlägt und an der sich daraus ergebenden Disputation teilnimmt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa väitöskirjan esittelystä väitöstilasuudessa tiedekunnan edustajana ja osallistuu keskusteluun väitöstilaisuuden puheenjohtajana.", "zh-hans-cn": "将一个行为者与涉及作为学术辩论的主持教师（通常是提出一个论题并参与后续的辩论）责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/praesesOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60463",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is praeses of", ar: "هو رئيس جلسة لـ", da: "er præses i", de: "ist Praeses von", fi: "preeses (toimija) aineistossa", nl: "is preses van", "zh-hans-cn": "是……的评审人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60700,
      definition: {en: "Relates an agent to a resource that carries notes and other information added by hand.", ar: "يربط بين وكيل ومصدر يشتمل على ملاحظات ومعلومات أخرى أضيفت بخط اليد.", da: "Relaterer en agent der skriver annotationer i hånden på en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die handschriftlich Anmerkungen und andere Informationen beinhaltet.", fi: "Liittää toimijan aineistoon, joka sisältää käsinkirjoitettuja huomautuksia ja muita selityksiä.", "zh-hans-cn": "将一个行为者与载有手加批注和其他信息的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/annotatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60464",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is annotator of", ar: "هو مُعَلِّق على", da: "er annotationsforfatter i", de: "ist annotierender Akteur von", fi: "lisähuomautusten kirjoittaja (toimija) aineistossa", nl: "is annotator van", "zh-hans-cn": "是……的手写批注者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60701,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for providing consultation services, and often making recommendations, to a creator of a resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تقديم خدمات استشارية، وغالبًا ما يقدم مقترحات، لمُنشيء مصدر.", da: "Relaterer en agent, der yder rådgivning, og ofte kommer med anbefalinger, til en anden agent, der er repræsenteret som ophav til en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur einer geistigen Schöpferin/einem geistigen Schöpfer einer Ressource Beratungsdienste anbietet und Empfehlungen macht.", fi: "Liittää toimijan aineistoon, jossa toimija on vastuussa asiantuntijapalveluiden tarjoamisesta ja suositusten antamisesta aineiston tekijälle.", "zh-hans-cn": "将一个行为者与涉及向资源创作者提供咨询服务并经常提供建议的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/consultantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60465",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is consultant of", ar: "هو استشاري لـ", da: "er rådgiver for", de: "ist Beraterin/Berater von", fi: "asiantuntija (toimija) aineistossa", nl: "is consultant van", "zh-hans-cn": "是……的顾问"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60702,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for a manuscript signature appearing on it.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن توقيع مخطوط يظهر عليه.", da: "Relaterer en agent hvis håndskrivne signatur forekommer på en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource mit einer handschriftlichen Unterschrift.", fi: "Liittää toimijan aineistoon, jossa on toimijan käsinkirjoitettu nimikirjoitus.", "zh-hans-cn": "将一个行为者与涉及在手稿上出现的签名的行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/autographerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60466",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is autographer of", ar: "هو موقِّع على", da: "er autografskriver i", de: "ist Unterzeichnerin/Unterzeichner von", fi: "nimikirjoituksen kirjoittaja (toimija) aineistossa", nl: "is handtekening-zetter van", "zh-hans-cn": "是……的亲笔签名者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60703,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for issuing a resource, such as an official organ of the body.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إصدار مصدر، مثل العضوية الرسمية لهيئة.", da: "Relaterer en agent, der har udgivet en ressource, såsom en officiel skrift fra agenten til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Herausgabe einer Ressource, zum Beispiel eines offiziellen Organs der Körperschaft, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jonka julkaisemisesta toimija, esimerkiksi virallinen toimielin, vastaa.", "zh-hans-cn": "将一个行为者与涉及一个颁布一种资源（例如一个团体的机关刊物）的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issuingAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60467",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is issuing agent of", ar: "هو وكيل جهة إصدار لـ", da: "er ansvarlig institution for", de: "ist herausgebender Akteur von", fi: "aineiston julkaisija (toimija) aineistossa", nl: "is uitvaardiger-actor van", "zh-hans-cn": "是……的颁布行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60704,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for architectural aspects of landscaping.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الجوانب المعمارية لتنسيق المواقع.", da: "Relaterer en arkitekt, der er ansvarlig for at have skabt landskabsressourcer til en ressource.", de: "Setzt einen Akteur in Beziehung zu einem Werk, bei dem ein Akteur für die Schaffung von Landschaften verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa maisemasuunnittelun arkkitehtonisista osa-alueista.", "zh-hans-cn": "将一个行为者与涉及景观之建筑方面的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/landscapeArchitectOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60473",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is landscape architect of", ar: "هو مهندس تنسيق مواقع لـ", da: "er landskabsarkitekt til", de: "ist Landschaftsarchitektin/Landschaftsarchitekt von", fi: "maisema-arkkitehti (toimija) aineistossa", nl: "is landschapsarchitect van", "zh-hans-cn": "是……的景观设计师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60664",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60705,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for three-dimensional modeling, carving, or similar technique.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن النمذجة ثلاثية الأبعاد، أو النحت، أو تقنية مماثلة.", da: "Relaterer en kunstner, der er ansvarlig for at have skabt en tredimensionel ressource vha. modellering, billedhuggerkunst eller lignende teknik til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für dreidimensionales Modellieren, Schnitzen oder ähnliche Techniken verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kolmiulotteisen teoksen luomisesta muovaamalla, veistämällä tai vastaavalla tekniikalla.", "zh-hans-cn": "将一个行为者与涉及三维模型、雕刻或类似技术的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sculptorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60475",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is sculptor of", ar: "هو نَحّات لـ", da: "er skulptør til", de: "ist Bildhauerin/Bildhauer von", fi: "kuvanveistäjä (toimija) aineistossa", nl: "is beeldhouwer van", "zh-hans-cn": "是……的雕塑家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60660",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60706,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for authoring a screenplay, script, or scene.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تأليف سيناريو، أو نص، أو مشهد.", da: "Relaterer en forfatter af en drejebog, et manuskript eller en scene til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Verfassen eines Drehbuchs, eines Skripts oder einer Szene verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa näytelmän, käsikirjoituksen tai kohtauksen kirjoittamisesta.", "zh-hans-cn": "将一个行为者与涉及写作影视剧剧本、脚本或场景的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/screenwriterOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60476",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is screenwriter of", ar: "هو كاتب سيناريو لـ", da: "er manuskriptforfatter til", de: "ist Drehbuchautorin/Drehbuchautor von", fi: "käsikirjoittaja (toimija) aineistossa", nl: "is scenarioschrijver van", "zh-hans-cn": "是……的影视剧编剧"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60663",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60707,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for authoring the words of a popular song, including a song from a musical.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تأليف كلمات أغنية شعبية، بما في ذلك أغنية في مَسرحية موسيقِيّة.", da: "Relaterer en forfatter af ordene til en populær sang, inkl. en sang eller flere sange fra en musical til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Verfassen des Texts eines populären Lieds, einschließlich eines Lieds aus einem Musical, verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa populaarimusiikkiin kuuluvan laulun (mukaan lukien musikaalilaulun) sanojen kirjoittajamisesta.", "zh-hans-cn": "将一个行为者与涉及流行歌曲（包括音乐剧中的歌曲）歌词的写作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60708",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lyricistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60477",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is lyricist of", ar: "هو كاتب أغاني لـ", da: "er forfatter til sangtekst til", de: "ist Textdichterin/Textdichter von", fi: "sanoittaja (toimija) aineistossa", nl: "is liedtekstschrijver van", "zh-hans-cn": "是……的作词者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60663",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60708,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for authoring the words of an opera or other musical stage resource, or an oratorio.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تأليف كلمات أوبرالية أو مصدر مسرحي موسيقي آخر، أو موسيقى دينية.", da: "Relaterer en forfatter af ordene til en opera eller anden musikalsk sceneressource, eller et oratorium til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Verfassen des Texts einer Oper, einer sonstigen Bühnenressource oder eines Oratoriums verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa oopperan tai muun musiikillisen näyttämöteoksen tai oratorion sanojen kirjoittamisesta.", "zh-hans-cn": "将一个行为者与涉及歌剧或其他舞台音乐作品或者清唱剧的歌词的写作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60707",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/librettistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60478",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is librettist of", ar: "هو واضع كلمات الأوبرا لـ", da: "er librettist til", de: "ist Librettistin/Librettist von", fi: "libretisti (toimija) aineistossa", nl: "is librettist van", "zh-hans-cn": "是……的台本作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60663",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60709,
      definition: {en: "Relates a resource to a resource that is an augmentation of, or is augmented by, or is complemented by, or accompanies, or is accompanied by a resource. (Deprecated)", da: "Relaterer en ressource til en ressource, der er en berigelse af, eller er beriget af, eller er komplementeret af en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60196", "http://rdaregistry.info/Elements/u/P60198", "http://rdaregistry.info/Elements/u/P60204", "http://rdaregistry.info/Elements/u/P60307", "http://rdaregistry.info/Elements/u/P61231"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accompanyingResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60709",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has accompanying resource relationship with (Deprecated)", da: "har ledsaget ressource-relation med"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60710,
      definition: {en: "Relates a resource to a resource that is based on or is a derivative of a related resource. (Deprecated)", da: "Relaterer en ressource til en ressource, der er baseret på eller er en afledning af en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60250", "http://rdaregistry.info/Elements/u/P60305"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/derivativeResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60710",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has derivative resource relationship with (Deprecated)", da: "har afledt ressource-relation med"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60711,
      definition: {en: "Relates a resource to a resource that is described in or is a description of the resource. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/descriptiveResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has descriptive resource relationship with (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60712,
      definition: {en: "Relates a resource to a resource that is equivalent to a related resource. (Deprecated)", da: "Relaterer en ressource til en ressource, der ækvivalent til en anden ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60191",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equivalentResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60712",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has equivalent resource relationship with (Deprecated)", da: "har ækvivalent ressource"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60713,
      definition: {en: "Relates a resource to a resource that is preceded by or succeeded by a related resource. (Deprecated)", da: "Relaterer en ressource til en ressource, der er forudgået af eller efterfulgt af en ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60261", "http://rdaregistry.info/Elements/u/P60278"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sequentialResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60713",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sequential resource relationship with (Deprecated)", da: "har sekventiel ressource-relation med"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60714,
      definition: {en: "Relates a resource to a resource that is contained in or contains a related resource. (Deprecated)", da: "Relaterer en ressource til en ressource, der indgår i, eller indeholder en ressouce."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60101", "http://rdaregistry.info/Elements/u/P60249"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/wholePartResourceRelationshipWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60714",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has whole-part resource relationship with (Deprecated)", da: "har helhed-del-ressource-relation med"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60715,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing an afterword to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe et efterskrift til en originalressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAfterword.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60717",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of afterword (Deprecated)", da: "har forfatter af efterord"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60716,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing a postface to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe et efterskrift til en originalressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfPostface.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60718",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of postface (Deprecated)", da: "har forfatter af efterskrift"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60392",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60717,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing an afterword. (Deprecated)", da: "Relaterer en agent der har bidraget til en ressource ved at sørge for et efterord til en oprindelig ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfAfterwordOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60715",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of preface of (Deprecated)", da: "er forfatter til efterord til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60718,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing a postface. (Deprecated)", da: "Relaterer en agent, der har bidraget til een ressource ved at sørge for en efterskrift til en oprindelig ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfPostfaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60716",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of postface of (Deprecated)", da: "er forfatter til efterskrift til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60620",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60719,
      definition: {en: "Relates a resource to a resource that is adapted as a musical theatre resource.", ar: "يربط بين مصدر ومصدر مقتبس كمصدر مسرحي موسيق.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til musikteater-ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Musiktheaterressource bearbeitet ist.", fi: "Liittää aineiston musikaaliksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为一种音乐戏剧资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicalTheatreAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60721",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is musical theatre adaptation of", ar: "هو اقتباس مسرحي موسيقي لـ", da: "er musikteaterbearbejdelse af", de: "ist Musiktheaterbearbeitung von", fi: "musikaaliversio aineistosta", nl: "is muziektheaterbewerking van", "zh-hans-cn": "是……的音乐戏剧改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60720,
      definition: {en: "Relates a resource to a resource that is adapted as an opera.", ar: "يربط بين مصدر ومصدر مقتبس كمصدر أوبرالي.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet til opera.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Oper bearbeitet ist.", fi: "Liittää aineiston oopperaksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为歌剧的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/operaAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60722",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is opera adaptation of", ar: "هو اقتباس أوبرالي لـ", da: "er operabearbejdelse af", de: "ist Opernbearbeitung von", fi: "oopperasovitus aineistosta", nl: "is operabewerking van", "zh-hans-cn": "是……的歌剧改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60721,
      definition: {en: "Relates a resource to a musical theatre resource based on another resource.", ar: "يربط بين مصدر ومصدر مسرحي موسيقي يعتمد على مصدر آخر.", da: "Relaterer en ressource til en musikteater-ressource baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Musiktheaterressource, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston musiikkiteatteriaineistoon, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种音乐戏剧资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsMusicalTheatre.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60719",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as musical theatre", ar: "هو مقتبس كمسرح موسيقي", da: "er bearbejdet til musikteater", de: "ist bearbeitet als Musiktheaterstück", fi: "musikaaliversio (aineisto)", nl: "is bewerkt als muziektheater", "zh-hans-cn": "被改编为音乐戏剧"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60722,
      definition: {en: "Relates a resource to an opera based on another resource.", ar: "يربط بين مصدر وأوبرا تعتمد على مصدر آخر.", da: "Relaterer en ressource til en opera baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Oper, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston ooppera-aineistoon, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种歌剧关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsOpera.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60720",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as opera", ar: "هو مقتبس كأوبرا", da: "er bearbejdet til opera", de: "ist bearbeitet als Oper", fi: "oopperasovitus (aineisto)", nl: "is bewerkt als opera", "zh-hans-cn": "被改编为歌剧"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60723,
      definition: {en: "Relates a resource to a resource that is a musical resource that complements a resource.", ar: "يربط بين مصدر ومصدر موسيقي يُكمل مصدرًا.", da: "Relaterer en ressource til en musikressource, der er anvendt i en film, et skuespil, et tv-program etc.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die eine Ressource ergänzt.", fi: "Liittää aineiston musiikkiaineistoon, joka täydentää aineistoa.", "zh-hans-cn": "将一种资源与作为一种音乐资源而补充一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60118", "http://rdaregistry.info/Elements/u/P60725", "http://rdaregistry.info/Elements/u/P60727", "http://rdaregistry.info/Elements/u/P60729", "http://rdaregistry.info/Elements/u/P60731", "http://rdaregistry.info/Elements/u/P60732"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/music.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60724",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has music", ar: "له موسيقى", da: "er musik", de: "hat Musik", fi: "musiikkia sisältävä aineisto", nl: "heeft muziek", "zh-hans-cn": "有音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60724,
      definition: {en: "Relates a resource to a resource that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر يكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource såsom en film, et skuespil, et tv-program etc., der anvender en musikressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, jota täydentää musiikkiaineisto.", "zh-hans-cn": "将一种资源与被一种音乐资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60202", "http://rdaregistry.info/Elements/u/P60726", "http://rdaregistry.info/Elements/u/P60728", "http://rdaregistry.info/Elements/u/P60730"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60723",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music for", ar: "هي موسيقى لـ", da: "er musik til", de: "ist Musik für", fi: "musiikki aineistoon", nl: "is muziek voor", "zh-hans-cn": "是用于……的音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60725,
      definition: {en: "Relates a resource to a musical resource that complements a resource that is a video.", ar: "يربط بين مصدر ومصدر موسيقي يُكمل مصدرًا يمثل فيديو.", da: "Relaterer en ressource til en musikressource, der er anvendt i en video.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die ein Video ergänzt.", fi: "Liittää aineiston musiikkiaineistoon, joka täydentää videoaineistoa.", "zh-hans-cn": "将一种资源与补充作为视频的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60726",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has video music", ar: "له موسيقى فيديو", da: "er videomusik", de: "hat Videomusik", fi: "videon musiikki (aineisto)", nl: "heeft videomuziek", "zh-hans-cn": "有视频音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60726,
      definition: {en: "Relates a resource to a resource that is a video that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر هو فيديو يُكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource, der anvender en musikressource i en video.", de: "Setzt eine Ressource in Beziehung zu einem Video (Ressource), das durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston musiikkiaineistolla täydennettyyn videoaineistoon.", "zh-hans-cn": "将一种资源与被一种音乐资源补充的作为视频的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicForVideo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60725",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music for video", ar: "هي موسيقى لفيديو", da: "er musik til video", de: "ist Musik für Video", fi: "musiikki videoon (aineisto)", nl: "is muziek voor video", "zh-hans-cn": "是用于视频的音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60724",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60727,
      definition: {en: "Relates a resource to a musical resource that complements a resource that is a television program.", ar: "يربط بين مصدر ومصدر موسيقي يُكمل مصدرًا يمثل برنامج تليفزيوني.", da: "Relaterer en ressource til en musikressource. der er anvendt i et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die eine Fernsehsendung ergänzt.", fi: "Liittää aineiston televisio-ohjelma-aineistoa täydentävään musiikkiaineistoon.", "zh-hans-cn": "将一种资源与补充作为电视节目的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/televisionProgramMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60728",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has television program music", ar: "له موسيقي برنامج تليفزيوني", da: "er tv-programmusik", de: "hat Fernsehsendungsmusik", fi: "televisio-ohjelman musiikki (aineisto)", nl: "heeft televisieprogramma-muziek", "zh-hans-cn": "有电视节目音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60728,
      definition: {en: "Relates a resource to a resource that is a television program that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر هو برنامج تلفزيوني يُكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource, der anvender en musikressource i et tv-program.", de: "Setzt eine Ressource in Beziehung zu einer Fernsehsendung (Ressource), die durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, joka on musiikkiaineistolla täydennetty televisio-ohjelma.", "zh-hans-cn": "将一种资源与被一种音乐资源补充的作为电视节目的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicForTelevisionProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60727",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music for television program", ar: "هي موسيقى لبرنامج تلفزيوني", da: "er musik til tv-program", de: "ist Musik für Fernsehsendung", fi: "televisio-ohjelman musiikki (aineisto)", nl: "is muziek voor televisieprogramma", "zh-hans-cn": "是用于电视节目的音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60724",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60729,
      definition: {en: "Relates a resource to a musical resource that complements a resource that is a radio program.", ar: "يربط بين مصدر ومصدر موسيقي يُكمل مصدرًا يمثل برنامج إذاعي.", da: "Relaterer en ressource til en musikressource, der er anvendt i et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die eine Hörfunksendung (Ressource) ergänzt.", fi: "Liittää aineiston musiikkiaineistoon, joka täydentää aineistoa, joka on radio-ohjelma.", "zh-hans-cn": "将一种资源与补充作为广播节目的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/radioProgramMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60730",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has radio program music", ar: "له موسيقى برنامج إذاعي", da: "er radioprogrammusik", de: "hat Hörfunksendungsmusik", fi: "radio-ohjelman musiikki (aineisto)", nl: "heeft radioprogramma-muziek", "zh-hans-cn": "有广播节目音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60730,
      definition: {en: "Relates a resource to a resource that is a radio program that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر هو برنامج إذاعي يُكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource, der anvender en musikressource i et radioprogram.", de: "Setzt eine Ressource in Beziehung zu einer Hörfunksendung (Ressource), die durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, joka on musiikkiaineistolla täydennetty radio-ohjelma.", "zh-hans-cn": "将一种资源与补充作为广播节目的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicForRadioProgram.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60729",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music for radio program", ar: "هي موسيقى لبرنامج إذاعي", da: "er musik til radioprogram", de: "ist Musik für Hörfunksendung", fi: "musiikki radio-ohjelmaan (aineisto)", nl: "is muziek voor radioprogramma", "zh-hans-cn": "是用于广播节目的音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60724",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60731,
      definition: {en: "Relates a resource to a resource that is a motion picture that is complemented by a musical resource.", ar: "يربط بين مصدر ومصدر هو فيلم سينمائي يُكمله مصدر موسيقي.", da: "Relaterer en ressource til en ressource, der anvender en musikressource i en film.", de: "Setzt eine Ressource in Beziehung zu einer Filmressource, die durch eine Musikressource vervollständigt wird.", fi: "Liittää aineiston aineistoon, joka on musiikkiaineistolla täydennetty elokuva.", "zh-hans-cn": "将一种资源与补充作为电影的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicForMotionPicture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60732",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music for motion picture", ar: "هي موسيقى لفيلم سينمائي", da: "er musik til film", de: "ist Musik für Film", fi: "musiiki elokuvaan (aineisto)", nl: "is muziek voor speelfilm", "zh-hans-cn": "是用于电影的音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60732,
      definition: {en: "Relates a resource to a resource that is a musical resource that complements a resource that is a motion picture.", ar: "يربط بين مصدر ومصدر موسيقي يُكمل مصدرًا يمثل فيلم سينمائي.", da: "Relaterer en ressource til en musikressource, der er anvendt i en film.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die ein Filmwerk ergänzt.", fi: "Liittää aineiston musiikkiaineistoon, joka täydentää elokuva-aineistoa.", "zh-hans-cn": "将一种资源与补充作为电影的一种资源的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/motionPictureMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60731",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has motion picture music", ar: "له موسيقى فيلم سينمائي", da: "er filmmusik", de: "ist Filmmusik", fi: "elokuvamusiikki", nl: "heeft speelfilmmuziek", "zh-hans-cn": "有电影音乐"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60723",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60733,
      definition: {en: "Relates an agent who split or divided into a related agent to an agent.", ar: "يربط بين وكيل ووكيل انفصل أو انقسم إلى وكيل ذي صلة.", da: "Relaterer en agent der blev opdelt eller opsplittet i en anden agent til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einem anderen Akteur nachfolgt oder aus ihm hervorgeht.", fi: "Liittää yhteistoimijan yhteistoimijaan, joka on jakautunut tai eronnut liittyväksi yhteistoimijaksi.", "zh-hans-cn": "将一个行为者与被分出或被划分成一个相关行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/predecessorOfSplit.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60685",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has predecessor of split", ar: "له وكيل سابق نتيجة انفصال", da: "har forgænger til opsplitning", de: "hat Vorgängerin/Vorgänger einer Aufteilung", fi: "jakautunut yhteisö", nl: "heeft voorganger van splitsing", "zh-hans-cn": "有分出行为者的前身"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60736,
      definition: {en: "Relates an agent to an agent who forms another agent by merging with one or more other agents.", ar: "يربط بين وكيل ووكيل قام بتشكيل وكيل ذو صلة عن طريق الاندماج مع وكيل أو وكلاء آخرين.", da: "Relaterer en agent der har dannet en anden agent gennem sammenlægning med en eller flere andre agenter til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der durch Fusion mit einem anderen Akteur oder mehreren anderen Akteuren einen in Beziehung stehenden Akteur gebildet hat.", fi: "Liittää yhteistoimijaan, joka muodostaa uuden yhdistymällä yhden tai useamman muun yhteistoimijan kanssa.", "zh-hans-cn": "将一个行为者与通过与一个或多个行为者合并而形成另一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/componentOfMerger.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60684",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has component of merger", ar: "له مكون الإندماج", da: "har del af sammenlægning", de: "hat Beteiligte/Beteiligten an einer Fusion", fi: "yhdistynyt yhteistoimija", nl: "heeft onderdeel van fusie", "zh-hans-cn": "有合并的组成部分"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60737,
      definition: {en: "Relates an agent to an agent holding an office in or commanding an agent.", ar: "يربط بين وكيل ووكيل يشغل منصبًا أو يُشرف على وكيل.", da: "Relaterer en agent til en agent hvor en agent har et embede eller som en person leder.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der ein Amt innehat oder einen Akteur leitet.", fi: "Liittää yhteistoimijan toimijaan, jolla on yhteistoimijassa toimi tai virka.", "zh-hans-cn": "将一个行为者与在一个行为者中任职或掌控一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60865", "http://rdaregistry.info/Elements/u/P60867"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/officerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60633",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is officer of", ar: "له مسؤول عن", da: "er embedsmand i", de: "hat leitende Angestellte/leitenden Angestellten von", fi: "toimihenkilö", nl: "heeft functionaris van", "zh-hans-cn": "是……的任职者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60738,
      definition: {en: "Relates an agent to an agent who acts for a local affiliated body and others at a broader organizational level.", ar: "يربط بين وكيل ووكيل يعمل لصالح هيئة محلية تابعة وهيئات أخرى على مستوى تنظيمي أوسع.", da: "Relaterer en agent der agerer for en lokalt tilknyttet agent og andre på et bredere organisatorisk niveau til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der für eine lokale Filiale und für andere, auf einer größeren organisatorischen Ebene, handelt.", fi: "Liittää yhteistoimijan laajempaan yhteistoimijaan, jolla on yhteys paikallisiin tytäryhtiöihin organisaatiorakenteen kautta.", "zh-hans-cn": "将一个行为者与为一个本地隶属团体行为并为一个更广泛的组织层次其他团体行为的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/broaderAffiliatedAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has broader affiliated agent", ar: "له وكيل تابع على نطاق أوسع", da: "har bredere tilknyttet agent", de: "hat Dachverband", fi: "laajempi emoyhtiö", nl: "heeft breder aangesloten actor", "zh-hans-cn": "有更广泛的隶属行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60739,
      definition: {en: "Relates an agent to an agent that is local who is affiliated with a broader body which acts for it and others at a broader organizational level.", ar: "يربط بين وكيل ووكيل محلي تابع لوكيل أوسع يعمل لصالحه ولصالح آخرين على مستوى تنظيمي أوسع.", da: "Relaterer en lokal agent der er tilknyttet et bredere organ som agerer for den og andre på et bredere organisatorisk niveau til en agent.", de: "Setzt einen Akteur in Beziehung zu einem lokalen Akteur, der mit einem Dachverband verbunden ist, der für ihn und andere auf einer größeren organisatorischen Ebene handelt.", fi: "Liittää yhteistoimijan paikalliseen yhteistoimijaan, jolla on yhteys emoyhtiön edustamaan laajempaan organisaatioon.", "zh-hans-cn": "将一个行为者与作为本地的并隶属于一个更广泛的团体、为其并为一个更广泛的组织层次其他团体行为的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/localAffiliate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has local affiliate", ar: "له تابع محلي", da: "har lokal filial", de: "hat lokalen Partner", fi: "paikallinen tytäryhtiö", nl: "heeft lokaal aangeslotene", "zh-hans-cn": "有本地隶属"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60740,
      definition: {en: "Relates a resource to a resource that is a choreographic resource that complements a resource.", ar: "يربط بين مصدر ومصدر يُمثل مصدر تصميم الرقصات.", da: "Relaterer en ressource til en ressource, der giver koreografien til brug i en relateret ressource.", de: "Setzt eine Ressource in Beziehung zu einer choreografischen Ressource.", fi: "Liittää aineiston aineistoon, joka on koreografinen aineisto.", "zh-hans-cn": "将一种资源与作为一种编舞资源并补充一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choreography.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60741",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has choreography", ar: "له فن تصميم الرقصات", da: "er koregorafi", de: "hat Choreografie", fi: "koreografia-aineisto", nl: "heeft choreografie", "zh-hans-cn": "有编舞"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60741,
      definition: {en: "Relates a resource to a resource that is complemented by a choreographic resource.", ar: "يربط بين مصدر ومصدر يُكمله مصدر تصميم الرقصات.", da: "Relaterer en ressource til en ressource, der anvender en relateret ressources koreografi.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine choreografische Ressource vervollständigt wird.", fi: "Liittää aineiston koreografisella aineistolla täydennettyn aineistoon.", "zh-hans-cn": "将一种资源与被一种编舞资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choreographyFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60740",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is choreography for", ar: "هو فن تصميم الرقصات لـ", da: "er koreografi til", de: "ist Choreografie für", fi: "koreografia aineistoon", nl: "is choreografie voor", "zh-hans-cn": "是用于……的编舞"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60742,
      definition: {en: "Relates a resource to a graphic novel based on another resource", ar: "يربط بين مصدر ورواية مصورة تعتمد على مصدر آخر.", da: "Relaterer en ressource til en graphic novel baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einer Graphic Novel, die auf einer anderen Ressource basiert.", fi: "Liittää aineiston toiseen aineistoon perustuvaan sarjakuva-aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种图解小说关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsGraphicNovel.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60743",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as graphic novel", ar: "هو مقتبس كرواية مصورة", da: "er bearbejdet til graphic novel", de: "ist bearbeitet als Graphic Novel", fi: "sarjakuvaversio (aineisto)", nl: "is bewerkt als stripboek", "zh-hans-cn": "被改编为图解小说"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60743,
      definition: {en: "Relates a resource to a resource that is adapted as a graphic novel.", ar: "يربط بين مصدر ومصدر تم اقتباسها كرواية مصورة.", da: "Relaterer et en ressource til en ressource, der er blevet bearbejdet som en graphic novel.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Graphic Novel bearbeitet ist.", fi: "Liittää aineiston aineistoon, joka on sovitettu sarjakuvaksi.", "zh-hans-cn": "将一种资源与被改编为图解小说的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/graphicNovelizationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60742",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is graphic novelization of", ar: "هو رواية مصورة لـ", da: "er omskrivning til graphic novel af", de: "ist Bearbeitung als Graphic Novel von", fi: "sarjakuvaversio aineistosta", nl: "is stripboekversie van", "zh-hans-cn": "是……的图解小说化"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60744,
      definition: {en: "Relates a resource to a resource that is a video game based on another resource.", ar: "يربط بين مصدر ولعبة فيديو تعتمد على مصدر آخر.", da: "Relaterer en ressource til en videospilsressource baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einem Videospiel, das auf einer anderen Ressource basiert.", fi: "Liittää aineiston toiseen aineistoon perustuvaan videopeliaineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种视频游戏关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsVideoGame.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60745",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as video game", ar: "هو مقتبس كلعبة فيديو", da: "er bearbejdet som computerspil", de: "ist bearbeitet als Videospiel", fi: "videopelisovitus (aineisto)", nl: "is bewerkt als computerspel", "zh-hans-cn": "被改编为视频游戏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60260",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60745,
      definition: {en: "Relates a resource to a resource that is adapted as a video game.", ar: "يربط بين مصدر ومصدر مُقتبس كلعبة فيديو.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som et computerspil.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Videospiel bearbeitet ist.", fi: "Liittää aineiston aineistoon, joka on sovitettu videopeliksi.", "zh-hans-cn": "将一种资源与被改编为一种视频游戏的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/videoGameAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60744",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is video game adaptation of", ar: "هو اقتباس لعبة فيديو لـ", da: "er computerspilbearbejdelse af", de: "ist Videospielbearbeitung von", fi: "videopelisovitus (aineisto)", nl: "is computerspelbewerking van", "zh-hans-cn": "是……的视频游戏改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60241",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60746,
      definition: {en: "Relates a resource to an agent who is responsible for the making of paper used in a resource.", ar: "يربط مصدر بوكيل مسؤول عن إنتاج الورق المستخدم في صناعة مصدر.", da: "Relaterer en ressource til en agent, der er ansvarlig for fremstilling af papir, som er anvendt til fremstilling af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Produktion von Papier verantwortlich ist, das zur Herstellung einer Ressource verwendet wird.", fi: "Liittää aineiston toimijaan, joka vastaa aineiston valmistamiseen käytetyn paperin valmistamisesta.", "zh-hans-cn": "将一种资源与负责一种资源中所使用的纸张之制造的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/papermaker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60747",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has papermaker", ar: "له صانع ورق", da: "har papirproducent", de: "hat Papiermacherin/Papiermacher", fi: "aineiston paperin valmistaja", nl: "heeft papierproducent", "zh-hans-cn": "有造纸者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61008",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60747,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for making paper.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إنتاج ورق.", da: "Relaterer en agent, der er ansvarlig for at producere papir der bruges til at fremstille en manifestation til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Produktion von Papier verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa paperin valmistamisesta.", "zh-hans-cn": "将一个行为者与涉及造纸的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/papermakerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60746",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is papermaker of", ar: "هو صانع ورق لـ", da: "er papirproducent af", de: "ist Papiermacherin/Papiermacher von", fi: "paperin valmistaja (toimija) aineistossa", nl: "is papiermaker van", "zh-hans-cn": "是……的造纸者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61009",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60748,
      definition: {en: "Relates a resource to an agent who contributes to a moving image resource by designing and creating post-production visual effects.", ar: "يربط مصدر بوكيل يُساهم في مصدر فيلم سينمائي من خلال تصميم وإنشاء مؤثرات مرئية لمرحلة ما بعد الإنتاج.", da: "Relaterer en ressource til en agent, der har bidraget til en levende billed-ressource ved at designe og skabe visuelle effekter efter produktionen.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Bewegtbildressource beiträgt, indem er in der Postproduktion visuelle Effekte entwirft und erstellt.", fi: "Liittää aineiston toimijaan, joka on osallisena liikkuvan kuvan aineiston tekemisessä suunnittelemalla ja luomalla visuaaliset tehosteet jälkituotantovaiheessa.", "zh-hans-cn": "将一种资源与通过设计并创作后制作视觉效果而对一种动态图像资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/visualEffectsProvider.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60754",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has visual effects provider", ar: "له مُوَرّد للمؤثرات المرئية", da: "har leverandør af visuelle effekter", de: "hat Visual-effects-Provider", fi: "aineiston visuaalisten tehosteiden tekijä", nl: "heeft aanbieder visuele effecten", "zh-hans-cn": "有视觉效果提供者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60749,
      definition: {en: "Relates a resource to an agent who contributes to a moving image or audio resource by designing and creating on-set special effects such as on-set mechanical effects and in-camera optical effects.", ar: "يربط مصدر بوكيل يُساهم في مصدر فيلم سينمائي أو مصدر صوتي من خلال تصميم مؤثرات خاصة وإنشائها أثناء التصوير، مثل المؤثرات الميكانيكية والمؤثرات البصرية في الكاميرا.", da: "Relaterer en ressource til en agent, der har bidraget til en levende billed- eller audioressource ved at designe og skabe specialeffekter på stedet som fx mekaniske effekter og optiske kameraeffekter.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Bewegtbild- oder Tonressource beiträgt, indem er am Set Spezialeffekte wie mechanische Effekte und optische Effekte in der Kamera entwirft und erstellt.", fi: "Liittää aineiston toimijaan, joka on osallisena liikkuvan kuvan aineiston tai ääniteosaineiston tekemisessä suunnittelemalla ja luomalla taltioinnin aikana tapahtuvat erikoistehosteet, kuten mekaaniset tehosteet ja kameralla toteutettavat optiset tehosteet.", "zh-hans-cn": "将一种资源与通过设计并创作现场特殊效果（例如现场机械效果和相机光学效果）而对一种动态图像或音频资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/specialEffectsProvider.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60755",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has special effects provider", ar: "له مُوَرّد للمؤثرات الخاصة", da: "har leverandør af specialeffekter", de: "hat Special-effects-Provider", fi: "erikoistehosteiden tekijä", nl: "heeft aanbieder speciale effecten", "zh-hans-cn": "有特殊效果提供者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60750,
      definition: {en: "Relates a resource to an agent who contributes to a comic book, graphic novel, etc., by drawing the text and graphic sound effects.", ar: "يربط بين مصدر ورسّام توضيحي يُساهم في كتاب مصور، رواية مصورة، إلخ.، من خلال رسم النص وتصميم المؤثرات الصوتية المصاحبة.", da: "Relaterer en ressource til en illustrator, der har bidraget til et udtryk af en tegneserie, en graphic novel etc. ved at tegne teksten og de grafiske lydeffekter.", de: "Setzt eine Ressource in Beziehung zu einer Illustratorin/einem Illustrator, die/der zu einem Comicbuch, einer Graphic Novel und so weiter beiträgt, indem sie/er den Text und die grafischen Toneffekte zeichnet.", fi: "Liittää aineiston toimijaan, joka on osallisena sarjakuvan, sarjakuvaromaanin tms. tekemisessä piirtämällä tekstin ja graafiset äänitehosteet.", "zh-hans-cn": "将一种资源与通过绘制文字和图案声音效果的为漫画书、图解小说等作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/letterer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60756",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has letterer", ar: "له رسّام حروف", da: "har bogstavtegner", de: "ist Letterer", fi: "aineiston tekstaaja", nl: "heeft letteraar", "zh-hans-cn": "有字母图案画者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60396",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60751,
      definition: {en: "Relates a resource to an agent who is an author who is appointed by an organization to report on the proceedings of its meetings.", ar: "يربط مصدر بوكيل مؤلف تم تعيينه من جانب منظمة لإعداد تقارير عن وقائع اجتماعاتها.", da: "Relaterer en ressource til en forfatter, der er udpeget af en organisation til at rapportere om udviklingen af dens møder.", de: "Setzt eine Ressource in Beziehung zu einer Verfasserin/einem Verfasser (Akteur), die/der von einer Organisation eingestellt ist, um über den Ablauf ihrer Sitzungen zu berichten.", fi: "Liittää aineiston toimijaan, joka vastaa organisaation kokousmenettelyistä.", "zh-hans-cn": "将一种资源与作为一个著者并被一个组织指定为在其会议文集中报告的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60446",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/rapporteur.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Responsibility limited to taking minutes is excluded.", ar: "يتم استبعاد المسؤولية التي تقتصر على تدوين مضابط الجلسات.", da: "Omfatter ikke ansvar begrænset til at tage referat.", de: "Darunter fällt nicht die Verantwortlichkeit, die sich auf das Protokollschreiben beschränkt.", fi: "Ei koske kokouksen pöytäkirjan laatimiseen rajautuvaa vastuuta.", "zh-hans-cn": "不包括仅限于写会议记录的责任。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60757",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has rapporteur", ar: "له مقَرِّر", da: "har rapportør", de: "ist Berichterstatterin/Berichterstatter", fi: "kokousten raportoija aineistossa", nl: "heeft rapporteur", "zh-hans-cn": "有会务报告人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60434",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60752,
      definition: {en: "Relates a resource to an agent who is an artist who is responsible for calligraphy where the focus of interest lies in the aesthetic value of the penmanship or graphic artistry, regardless of whether the same agent is also responsible for the inscribed text.", ar: "يربط مصدر بوكيل فنانً مسؤول عن الخط حيث يكمن تركيز الاهتمام في القيمة الجمالية للخط أو فن الرسم، بغض النظر عما إذا كان الوكيل نفسه مسؤولاً أيضًا عن النص المدرج.", da: "Relaterer en ressource til en kunstner, der er ansvarlig for at have skabt en kalligrafisk ressource, hvor fokus ligger på den æstetiske værdi af skrivekunsten eller den kunstneriske grafiske dygtighed, uanset om den samme agent etc. også har forfattet den indskrevne tekst.", de: "Setzt eine Ressource in Beziehung zu einer Künstlerin/einem Künstler (Akteur), die/der für die Kalligrafie verantwortlich ist, bei der im Mittelpunkt des Interesses der ästhetische Wert dessen Schreibkunst oder die grafische Kunstfertigkeit liegt, unabhängig davon, ob derselbe Akteur auch für den aufgeschriebenen Text verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa kalligrafiasta, jossa pääpaino on käsin kirjoittamisen tai graafisen taiteen esteettisissä arvoissa, riippumatta siitä, vastaako sama toimija myös kirjoitetusta tekstistä.", "zh-hans-cn": "将一种资源与作为一个艺术家负责书法（其中兴趣重点是书法或图形艺术的美学价值，不管同一行为者是否负责题写文字）的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/calligrapher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60758",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has calligrapher", ar: "له خَطَّاط", da: "har kalligraf", de: "ist Kalligrafin/Kalligraf", fi: "kalligrafi aineistossa", nl: "heeft kalligraaf", "zh-hans-cn": "有书法者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60431",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60753,
      definition: {en: "Relates a resource to an agent who is an artist who is responsible for exploiting the book form or altering its physical structure.", ar: "يربط مصدر بوكيل فنان مسؤول عن توظيف شكل الكتاب أو تغيير بنيته المادية.", da: "Relaterer en ressource til en kunstner, der er ansvarlig for at have skabt kunstressourcer, der udnytter bogformen eller ændrer dens fysiske struktur som en del af en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu einer Künstlerin/einem Künstler (Akteur), die/der für die Verwertung der Buchform oder für die Veränderung ihrer physischen Struktur verantwortlich ist.", fi: "Liittää aineiston toimijaan, jossa toimija vastaa kirjan muodon hyödyntämisestä tai sen fyysisen rakenteen muuttamisesta.", "zh-hans-cn": "将一种资源与作为一个艺术家负责开发图书外形或改变其物理结构的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bookArtist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60759",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has book artist", ar: "له رَسّام كتب", da: "har bogkunstner", de: "hat Buchkünstlerin/Buchkünstler", fi: "kirjataiteilija aineistossa", nl: "heeft boekkunstenaar", "zh-hans-cn": "有图书美术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60431",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60754,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of designing and creating post-production visual effects.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تصميم وإنشاء مؤثرات مرئية لمرحلة ما بعد الإنتاج.", da: "Relaterer en agent, der har bidraget til en levende billed-ressource ved at designe og skabe visuelle effekter efter produktionen til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er in der Postproduktion visuelle Effekte entwirft und erstellt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen toimija osallistuu suunnittelemalla ja luomalla visuaaliset tehosteet jälkituotantovaiheessa.", "zh-hans-cn": "将一个行为者与包括设计并创作制作后视觉效果的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/visualEffectsProviderOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60748",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is visual effects provider of", ar: "هو مورد للمؤثرات المرئية لـ", da: "er leverandør af visuelle effekter til", de: "ist Visual-effects-Provider von", fi: "visuaalisten tehosteiden tekijä (toimija) aineistossa", nl: "is aanbieder visuele effecten van", "zh-hans-cn": "是……的视觉效果提供者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60755,
      definition: {en: "Relates an agent to a resource that includes a contribution designing and creating on-set special effects, such as on-set mechanical effects and in-camera optical effects.", ar: "يربط بين وكيل ومصدر يشمل المساهمة في تصميم مؤثرات خاصة وإنشائها أثناء التصوير، مثل المؤثرات الميكانيكية المُحددة والمؤثرات البصرية في الكاميرا.", da: "Relaterer en agent, der har bidraget til et udtryk af en levende billed- eller audioressource ved at designe og skabe specialeffekter på stedet til kulisser såsom mekaniske kulisseeffekter og optiske kameraeffekter til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die einen Beitrag zum Entwurf und zur Erstellung von Spezialeffekten am Set leistet, wie zum Beispiel mechanische Effekte am Set und optische Effekte in der Kamera.", fi: "Liittää toimijan aineistoon, jonka tekemiseen toimija osallistuu suunnittelemalla ja luomalla taltioinnin aikana tapahtuvat erikoistehosteet, kuten mekaaniset tehosteet ja kameralla toteutettavat optiset tehosteet.", "zh-hans-cn": "将一个行为者与包括设计并创作现场特殊效果（例如现场机械效果和相机光学效果）的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/specialEffectsProviderOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60749",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is special effects provider of", ar: "هو مورد للمؤثرات الخاصة لـ", da: "er leverandør af specialeffekter til", de: "ist Special-effects-Provider von", fi: "erikoistehosteiden tekijä (toimija) aineistossa", nl: "is aanbieder speciale effecten van", "zh-hans-cn": "是……的特殊效果提供者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60756,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of drawing text and graphic sound effects for a comic book, graphic novel, etc. ", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في رسم نص وتصميم المؤثرات الصوتية المصاحبة لرسومات كتاب مصور، أو رواية مصورة، إلخ.", da: "Relaterer en illustrator, der har bidraget til en tegneserie, en graphic novel etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er für ein Comicbuch, eine Graphic Novel und so weiter Text und grafische Toneffekte zeichnet.", fi: "Liitttää toimijan aineistoon, jossa toimija on osallisena sarjakuvan, sarjakuvaromaanin tms. tekemisessä piirtämällä tekstin ja graafiset äänitehosteet.", "zh-hans-cn": "将一个行为者与包括一个为漫画书、图解小说等绘制文字和图案声音效果的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lettererOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60750",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is letterer of", ar: "هو رسّام حروف لـ", da: "er bogstavtegner til", de: "ist Letterer von", fi: "tekstaaja (toimija) aineistossa", nl: "is letteraar van", "zh-hans-cn": "是……的字母图案画者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60624",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60757,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for reporting on the proceedings of meetings of an organization.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إعداد تقرير عن وقائع اجتماعات منظمة.", da: "Relaterer en forfatter, der er udpeget af en organisation til at rapportere om udviklingen af dens møder til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Berichten über den Ablauf von Sitzungen einer Organisation verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa organisaation kokousmenettelyistä.", "zh-hans-cn": "将一个行为者与涉及一个组织的会议文集报告的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60708",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/rapporteurOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60751",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is rapporteur of", ar: "هو مقَرِّر لـ", da: "er rapportør af", de: "ist Berichterstatterin/Berichterstatter von", fi: "kokousten raportoija (toimija) aineistossa", nl: "is rapporteur van", "zh-hans-cn": "是……的会务报告人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60663",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60758,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for calligraphy where the focus of interest lies in the aesthetic value of the penmanship or graphic artistry, regardless of whether the same agent is also responsible for the inscribed text.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الخط حيث ينصب الاهتمام على القيمة الجمالية لفن الخط أو فن الرسم، بغض النظر عما إذا كان الوكيل نفسه مسؤولًا أيضًا عن النص المكتوب أم لا.", da: "Relaterer en kunstner, der er ansvarlig for at have skabt en kalligrafisk ressource, hvor interessefokusset ligger på den æstetiske værdi af dets skønskrift eller kunstneriske grafiske dygtighed, uanset om den samme agent etc. også har forfattet den indskrevne tekst til et ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Kalligrafie verantwortlich ist, bei der im Mittelpunkt des Interesses der ästhetische Wert dessen Schreibkunst oder die grafische Kunstfertigkeit liegt, unabhängig davon, ob derselbe Akteur auch für den aufgeschriebenen Text verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kalligrafiasta, jossa pääpaino on käsin kirjoittamisen tai graafisen taiteen esteettisissä arvoissa, riippumatta siitä, vastaako sama toimija myös kirjoitetusta tekstistä.", "zh-hans-cn": "将一个行为者与涉及书法（其中兴趣重点是书法或图形艺术的美学价值，不管同一行为者是否负责题写文字）的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/calligrapherOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60752",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is calligrapher of", ar: "هو خَطَّاط لـ", da: "er kalligraf til", de: "ist Kalligrafin/Kalligraf von", fi: "kalligrafi (toimija) aineistossa", nl: "is kalligraaf van", "zh-hans-cn": "是……的书法者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60660",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60759,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for exploiting the book form or altering its physical structure", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن توظيف شكل الكتاب أو تغيير بنيته المادية.", da: "Relaterer en kunstner, der er ansvarlig for at have skabt kunstressourcer, der udnytter bogformen eller ændrer dens fysiske struktur som en del af en ressources indhold til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Verwertung der Buchform oder für die Veränderung ihrer physischen Struktur verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa kirjan muodon hyödyntämisestä tai sen fyysisen rakenteen muuttamisesta.", "zh-hans-cn": "将一个行为者与涉及开发图书外形或改变其物理结构的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bookArtistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60753",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is book artist of", ar: "هو رَسّام كتب لـ", da: "er bogkunstner til", de: "ist Buchkünstlerin/Buchkünstler von", fi: "kirjataiteilija (toimija) aineistossa", nl: "is boekkunstenaar van", "zh-hans-cn": "是……的图书美术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60660",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60760,
      definition: {en: "Relates a resource to details of a ratio of the width to the height of a moving image.", ar: "يربط بين مصدر وتفاصيل عن نسبة العرض إلى ارتفاع لصورة المتحركة.", da: "Relaterer en ressource til detaljer om forholdet mellem bredde og højde i et levende billede.", de: "Setzt eine Ressource in Beziehung zu Details zu einem Verhältnis von der Breite zu der Höhe eines Bewegtbilds.", fi: "Liittää aineiston tarkempiin tietoihin liikkuvan kuvan leveyden suhteesta korkeuteen.", "zh-hans-cn": "将一种资源与一种动态图像的宽和高的比之细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfAspectRatioDesignation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of aspect ratio designation", ar: "له تفاصيل لنسب باعية لتسمية", da: "har detaljer om billedformatbetegnelse", de: "hat Details zur Bezeichnung eines Bildformats", fi: "aineiston kuvasuhdemääritteen tarkemmat tiedot", nl: "heeft details van aspectratio-aanduiding", "zh-hans-cn": "有宽高比标识细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60761,
      altLabel: {en: "has details of color content (Deprecated)", ar: "له تفاصيل لمحتوى ملون", fi: "värisisällön tarkemmat tiedot"},
      definition: {en: "Relates a resource to details of a presence of colour, tone, etc., in the content of a resource, and the specific colours, tones, etc., including black and white, present. (Deprecated)", ar: "يربط بين مصدر وتفاصيل عن وجود لون، درجة اللون، إلخ.، في محتوى مصدر، والألوان والدرجات المحددة، إلخ.، بما في ذلك الأسود والأبيض، الحالي.", da: "Relaterer en ressource til detaljer om tilstedeværelse af farve, nuance etc. i en ressources indhold, samt de specifikke farver, nuancer etc., inkl. sort og hvid, der er til stede.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Vorhandensein von Farbe, Tönung und so weiter im Inhalt einer Ressource und den spezifischen vorhandenen Farben, Tönungen und so weiter (einschließlich Schwarz und Weiß).", fi: "Liittää aineiston tietoihin, värien, (musta ja valkoinen mukaanlukien), sävyjen jne. esiintymisestä aineiston sisällössä."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfColourContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of colour content (Deprecated)", ar: "له تفاصيل لمحتوى ملون", da: "har detaljer om farveindhold", de: "hat Details zum Farbinhalt", fi: "värisisällön tarkemmat tiedot", nl: "heeft details van kleurcontent"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60762,
      definition: {en: "Relates a resource to details of a set of characters or symbols used to express musical content of a resource.", ar: "يربط بين مصدر وتفاصيل عن مجموعة من التمثيلات أو الرموز المستخدمة للتعبير عن محتوى موسيقي لمصدر.", da: "Relaterer en ressource til detaljer om det tegnsæt og/eller symboler der anvendes for at udtrykke en ressources musikalske indhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Satz von Zeichen oder Symbolen der verwendet wird, um den musikalischen Inhalt einer Ressource auszudrücken.", fi: "Tarkemmat tiedot merkeistä ja symboleista, joilla aineiston musiikkisisältö on ilmaistu.", "zh-hans-cn": "将一种资源与用于表示一种资源之音乐内容的字符或符号的集合的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFormOfMusicalNotation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of form of musical notation", ar: "له تفاصيل عن شكل من أشكال التدوين الموسيقي", da: "har detaljer om musikalsk notationsform", de: "hat Details zur Form der Musiknotation", fi: "aineiston nuottikirjoituksen tyypin tarkemmat tiedot", nl: "heeft details van vorm van muzieknotatie", "zh-hans-cn": "有乐谱形式的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60763,
      definition: {en: "Relates a resource to details of a set of characters or symbols used to express movement content of a resource.", ar: "يربط بين مصدر وتفاصيل عن مجموعة من التمثيلات أو الرموز المستخدمة للتعبير عن محتوى حركي لمصدر.", da: "Relaterer en ressource til detaljer om det sæt af tegn og/eller de symboler, der er anvendt til at udtrykke en ressources bevægelsesindhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Satz von Zeichen oder Symbolen der verwendet wird, um den Bewegungsinhalt einer Ressource auszudrücken.", fi: "Liittää aineiston tarkempiin tietoihin merkeistä ja symboleista, joilla aineiston liikesisältö on ilmaistu.", "zh-hans-cn": "将一种资源与用于表示一种资源之动作内容的字符或符号的集合的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFormOfNotatedMovement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of form of notated movement", ar: "له تفاصيل عن شكل من أشكال الحركات المدونة", da: "har detaljer om bevægelsesnotationsform", de: "hat Details zur Form der Bewegungsnotation", fi: "aineiston nuottikirjoituksen tyypin tarkemmat tiedot", nl: "heeft details van vorm van bewegingsnotatie", "zh-hans-cn": "有动作谱形式的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60764,
      definition: {en: "Relates a resource to details of a musical or physical layout of the content of a resource that is presented in a form of musical notation.", ar: "يربط بين مصدر وتفاصيل عن تخطيط موسيقي أو مادي لمحتوى مصدر يُعرض في شكل من أشكال التدوين الموسيقي.", da: "Relaterer en ressource til detaljer om det musikalske eller fysiske layout af en ressources indhold, der er repræsenteret som musikalsk notation.", de: "Setzt eine Ressource in Beziehung zu Details zu dem musikalischen oder physischen Layout des Inhalts einer Ressource, der in Form einer Musiknotation präsentiert wird.", fi: "Liittää aineiston tarkempiin tietoihin nuottikirjoituksen muodossa esitetyn aineiston sisällön musiikillisesta tai fyysisestä taitosta.", "zh-hans-cn": "将一种资源与以乐谱形式呈现的一种资源之内容的音乐或物理布局的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFormatOfNotatedMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of format of notated music", ar: "له صيغة من موسيقى مدونة", da: "har detaljer om format af noteret musik", de: "hat Details zur musikalischen Ausgabeform", fi: "nuottiaineiston muodon tarkemmat tiedot", nl: "heeft details van format van bladmuziek", "zh-hans-cn": "有乐谱格式的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60765,
      definition: {en: "Relates a resource to details of a set of characters or symbols used to express the content of a resource in a form that can be perceived through touch.", ar: "يربط بين مصدر وتفاصيل عن مجموعة من التمثيلات أو الرموز المستخدمة للتعبير عن محتوى مصدر في شكل يمكن إدراكه من خلال اللمس.", da: "Relaterer en ressource til detaljer om det tegnsæt og/eller symboler, der er anvendt til at udtrykke en ressources indhold på en måde, der kan opfattes ved berøring.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Satz von Zeichen oder Symbolen der verwendet wird, um den Inhalt einer Ressource in einer Form auszudrücken, die über den Tastsinn wahrgenommen werden kann.", fi: "Liittää aineiston tarkempiin tietoihin merkeistä ja symboleista, joilla aineiston sisältö on ilmaistu kosketeltavassa muodossa.", "zh-hans-cn": "将一种资源与用于通过触摸感知的形式来表达一种资源的内容的字符或符号的集合的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFormOfTactileNotation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of form of tactile notation", ar: "له تفاصيل عن شكل من أشكال التدوين عن طريق اللمس", da: "har detaljer om taktil notationsform", de: "hat Details zur Form der taktilen Notation", fi: "aineiston taktiilin merkkijärjestelmän tyypin tarkemmat tiedot", nl: "heeft details van vorm van tactiele notatie", "zh-hans-cn": "有触摸标记的形式的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60766,
      definition: {en: "Relates a resource to details of set of characters or symbols used to express written language content of a resource.", ar: "يربط بين مصدر وتفاصيل عن مجموعة من التمثيلات أو الرموز المستخدمة للتعبير عن محتوى لغة مكتوبة لمصدر.", da: "Relaterer en ressource til detaljer om det sæt af tegn og/eller de symboler, der er anvendt til at udtrykke en ressources skriftlige sprogindhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Satz von Buchstaben oder Zeichen der verwendet wird, um den geschriebenen Sprachinhalt einer Ressource auszudrücken.", fi: "Liittää aineiston tarkempiin tietoihin merkki- tai symbolijärjestelmästä, jolla aineiston kirjoitettu kielellinen sisältö on kirjoitettu.", "zh-hans-cn": "将一种资源与用于表达一种资源的书写语言内容的字符或符号的集合的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfScript.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of script", ar: "له تفاصيل عن نص", da: "har detaljer om skriftstørrelse", de: "hat Details zur Schrift", fi: "kirjoitusjärjestelmän tarkemmat tiedotaineiston", nl: "heeft details van schrift", "zh-hans-cn": "有文字的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60767,
      definition: {en: "Relates a resource to details of a physical or chemical substance applied to a base material of a resource.", ar: "يربط بين مصدر وتفاصيل عن مادة فيزيائية أو كيميائية مستخدمة كمادة أساسية لمصدر.", da: "Relaterer en ressource til detaljer om et fysisk eller kemisk stof, der er påført en ressources basismateriale.", de: "Setzt eine Ressource in Beziehung zu Details zu einer physischen oder chemischen Substanz, die auf ein Trägermaterial einer Ressource aufgebracht ist.", fi: "Liittää aineiston fysikaaliseen tai kemialliseen aineeseen, jota on laitettu aineiston pohjamateriaalin päälle.", "zh-hans-cn": "将一种资源与施加于一种资源的基底材料上的物理或化学物质的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60774",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfAppliedMaterial.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of applied material", ar: "له تفاصيل عن مادة مُستخدمة", da: "har detaljer om anvendt materiale", de: "hat Details zu aufgebrachtem Material", fi: "aineiston päällimateriaali", nl: "heeft details van aangebracht materiaal", "zh-hans-cn": "有施加材料的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60768,
      definition: {en: "Relates a resource to details of an underlying physical material of a resource.", ar: "يربط بين مصدر وتفاصيل عن مادة ملموسة أساسية لمصدر.", da: "Relaterer en ressource til detaljer om en ressources underliggende fysiske materiale til en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zu einem zugrunde liegenden, physischen Material einer Ressource.", fi: "Liittää aineiston tarkempiin tietoihin aineiston fyysisestä pohjamateriaalista.", "zh-hans-cn": "将一种资源与一种资源的下层物理材料的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfBaseMaterial.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of base material", ar: "له تفاصيل عن مادة أساسية", da: "har detaljer om basismateriale", de: "hat Details zum Trägermaterial", fi: "aineiston pohjamateriaalin tarkemmat tiedot", nl: "heeft details van basismateriaal", "zh-hans-cn": "有基底材料的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60769,
      definition: {en: "Relates a resource to details of the proportional relationship between a whole sheet in a printed or manuscript resource, and the individual leaves that result if that sheet is left full, cut, or folded.", ar: "يربط بين مصدر وتفاصيل عن علاقة نسبية بين ورقة كاملة في مصدر مطبوع أو مخطوط، والأوراق الفردية التي تنتج إذا تركت الورقة كاملة، مقطوعة، أو مطوية.", da: "Relaterer en ressource til detaljer om resultatet af at folde et trykt ark, så der dannes en samling af blade.", de: "Setzt eine Ressource in Beziehung zu Details zu dem proportionalen Verhältnis zwischen einem ganzen Bogen in einer gedruckten oder handschriftlichen Ressource und den einzelnen Blättern, die resultieren, wenn der Bogen im Ganzen gelassen, geschnitten oder gefaltet wird.", fi: "Liittää aineiston tarkempiin tietoihin aineiston tai käsikirjoitusaineiston kokonaisen arkin ja erillisten lehtien välisestä kokosuhteesta, joka riippuu siitä, onko arkki kokonainen, leikattu tai taitettu.", "zh-hans-cn": "将一种资源与导致在一种印刷或手稿资源中是否完整、裁切或折叠的一个整张和单独页之间的比例关系的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfBibliographicFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of bibliographic format", ar: "له تفاصيل عن شكل ببليوجرافي", da: "har detaljer om bogformat", de: "hat Details zum bibliografischen Format", fi: "aineiston bibliografisen koon tarkemmat tiedot", nl: "heeft details van boekformaat", "zh-hans-cn": "有书目格式细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60770,
      definition: {en: "Relates a resource to details of a system used to format a video resource for television broadcast.", ar: "يربط بين مصدر وتفاصيل عن نظام مستخدم لتهيئة مصدر فيديو للبث التلفزيوني.", da: "Relaterer en ressource til detaljer om system, der anvendes til at formatere en videoressource til tv-transmission", de: "Setzt eine Ressource in Beziehung zu Details zu einem System, das zur Formatierung einer Videoressource für eine Fernsehsendung verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin järjestelmästä, jonka mukaisesti videoaineisto muunnetaan televisiolähetystä varten.", "zh-hans-cn": "将一种资源与用于电视广播的视频格式的一个体系的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfBroadcastStandard.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of broadcast standard", ar: "له تفاصيل عن معيار بث", da: "har detaljer om transmissionsstandard", de: "hat Details zum Sendestandard", fi: "aineiston lähetysstandardin tarkemmat tiedot", nl: "heeft details van uitzendstandaard", "zh-hans-cn": "有广播标准细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60801",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60771,
      definition: {en: "Relates a resource to details of a number of sound channels used to make a recording.", ar: "يربط بين مصدر وتفاصيل عن رقم قنوات الصوت المستخدمة في تسجيل.", da: "Relaterer en ressource til detaljer om et antal af lydkanaler, der blev anvendt til en indspilning", de: "Setzt eine Ressource in Beziehung zu Details zur Anzahl von Tonkanälen, die für die Wiedergabe einer Aufnahme verwendet werden.", fi: "Liittää aineiston tarkempiin tietoihin äänitteen tekoon käytettyjen äänikanavien määrästä.", "zh-hans-cn": "将一种资源与用于制作一个录音制品的声道数的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfConfigurationOfPlaybackChannels.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of configuration of playback channels", ar: "له تفاصيل عن إعدادات قنوات التشغيل", da: "har detaljer om konfiguration af afspilningskanaler", de: "hat Details zur Konfiguration von Wiedergabekanälen", fi: "toistokanavien määrän tarkemmat tiedot aineistolle", nl: "heeft details van afspeelkanalenconfiguratie", "zh-hans-cn": "有回放声道的配置的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60772,
      definition: {en: "Relates a resource to details of a technical specification relating to a digital encoding of text, image, audio, video, and other types of data in a resource.", ar: "يربط بين مصدر وتفاصيل عن مواصفات فنية متعلقة بتشفير رقمي لنص، صورة، صوت، فيديو، وأي نوع بيانات آخر في مصدر.", da: "Relaterer en ressource til detaljer om teknisk specifikation relateret til den digitale kodning af tekst, billede, audio-, video- og andre datatyper i en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zu einer technischen Spezifikation, die sich auf die digitale Kodierung von Text, Bild, Audio, Video und anderen Datentypen in einer Ressource bezieht.", fi: "Liittää aineiston tarkempiin tietoihin aineiston sisältämän tekstin, kuvan, äänen, videon tai muun datan digitaalisen koodauksen teknisestä määrityksestä.", "zh-hans-cn": "将一种资源与和一种资源中的文本、图像、音频、视频或其他类型数据的数字编码有关的一个技术规格的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60773", "http://rdaregistry.info/Elements/u/P60775", "http://rdaregistry.info/Elements/u/P60776", "http://rdaregistry.info/Elements/u/P60904"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfDigitalFileCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of digital file characteristic", ar: "له تفاصيل عن خاصية ملف رقمي", da: "har detaljer om digitale filkarakteristika", de: "hat Details zur Eigenschaft einer digitalen Datei", fi: "aineiston digitaalisen tiedoston ominaisuuksien tarkemmat tiedot", nl: "heeft details van kenmerken digitaal bestand", "zh-hans-cn": "有数字文件特征的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60773,
      definition: {en: "Relates a resource to details of an encoding of geospatial information in a cartographic resource.", ar: "يربط بين مصدر وتفاصيل عن معلومات الترميز الجغرافي في مصدر خرائطي.", da: "Relaterer en ressource til detaljer om kodning af geospatiale oplysningerer i en kartografisk ressource.", de: "Setzt eine Ressource in Beziehung zu Details zur Kodierung von Geoinformationen in einer kartografischen Ressource.", fi: "Liittää aineiston tarkempiin tietoihin aineiston maantieteellisen paikkatiedon koodaamisesta.", "zh-hans-cn": "将一种资源与资源中地理空间信息的编码细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfDigitalRepresentationOfCartographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of digital representation of cartographic content", ar: "له تفاصيل عن تمثيل رقمي للمحتوى الجغرافي", da: "har detaljer om digital repræsentation af kartografisk indhold", de: "hat Details zur digitalen Darstellung von kartografischem Inhalt", fi: "aineiston kartografisen sisällön digitaalisen esitysmuodon tarkemmat tiedot", nl: "heeft details van digitale representatie van cartografische content", "zh-hans-cn": "地图内容的数字表现的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60772",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60774,
      definition: {en: "Relates a resource to details of a suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche.", ar: "يربط بين مصدر وتفاصيل عن نظام تسجيل خاص بالمواد الكيميائية المستخدمة كغطاء على ميكروفيلم أو ميكروفيش.", da: "Relaterer en ressource til detaljer om opslæmmede lysfølsomme kemikalier, der er anvendt som belægning på en mikrofilm eller mikrofiche", de: "Setzt eine Ressource in Beziehung zu Details zu einer Suspension aus lichtempfindlichen Chemikalien, die als Beschichtung eines Mikrofilms oder eines Mikrofiches verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin mikrofilmin tai mikrokortin valoherkkiä kemikaaleja sisältävästä pinnoitteesta.", "zh-hans-cn": "将一种资源与缩微胶卷或缩微平片表面感光化合物的悬浮涂层的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfEmulsionOnMicrofilmAndMicrofiche.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of emulsion on microfilm and microfiche", ar: "له تفاصيل عن الطبقة الحساسة على ميكروفيلم وميكروفيش", da: "har detaljer om emulsion på mikrofilm og mikrofiche", de: "hat Details zur Emulsionsschicht auf Mikrofilm und Mikrofiche", fi: "mikrokortin ja mikrofilmin emulsion tarkemmat tiedot aineistolle", nl: "heeft details van de emulsie op microfilm en microfiche", "zh-hans-cn": "有缩微胶卷和缩微平片上的乳剂的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60767",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60775,
      definition: {en: "Relates a resource to details of a schema or standard used to encode the digital content of a resource.", ar: "يربط بين مصدر وتفاصيل عن خطة أو معيار مستخدم في تشفير المحتوى الرقمي لمصدر.", da: "Relaterer en ressource til detaljer om skema, standard etc., der anvendes til kodning af en ressources digitale indhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Schema, Standard und so weiter, das/der zum Kodieren des digitalen Inhalts einer Ressource verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin aineiston digitaalisen sisällön koodaamiseen käytetystä skeemasta tai standardista.", "zh-hans-cn": "将一种资源与用于对一种资源的数字内容进行编码的一种方案或标准的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfEncodingFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of encoding format", ar: "له تفاصيل عن نظام ترميز", da: "har detaljer om kodningsformat", de: "hat Details zum Kodierungsformat", fi: "aineiston koodausmuodon tarkemmat tiedot", nl: "heeft details van coderingsformaat", "zh-hans-cn": "有编码格式的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60772",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60776,
      definition: {en: "Relates a resource to details of a general type of data content encoded in a computer file.", ar: "يربط بين مصدر وتفاصيل عن نوع عام لمحتوى بيانات تم تشفيرها في ملف كمبيوتر.", da: "Relaterer en ressource til detaljer om typen af dataindhold kodet i en computerfil.", de: "Setzt eine Ressource in Beziehung zu Details zu einer allgemeinen Art von Dateninhalt, der in einer Datei kodiert ist.", fi: "Liittää aineiston tarkempiin tietoihin tiedostoon koodatun datasisällön yleisestä tyypistä.", "zh-hans-cn": "将一种资源与计算机文件中编码的数据内容的一般类型的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFileType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of file type", ar: "له تفاصيل عن نوع الملف", da: "har detaljer om filtype", de: "hat Details zum Dateityp", fi: "aineiston tiedostotyypin tarkemmat tiedot", nl: "heeft details van bestandstype", "zh-hans-cn": "有文件类型细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60772",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60777,
      definition: {en: "Relates a resource to details of a size of the type used to represent characters and symbols in a resource.", ar: "يربط بين مصدر وتفاصيل عن حجم الخط المستخدم في تمثيل التمثيلات والرموز في مصدر.", da: "Relaterer en ressource til detaljer om størrelsen på den skrifttype, der er anvendt til at repræsentere tegn og symboler i en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zur Größe der Schrift, die zur Repräsentation von Zeichen und Symbole in einer Ressource verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin aineistossa esiintyvien merkkien ja symbolien koosta.", "zh-hans-cn": "将一种资源与在一种资源中用于表示字符和符号的字型的大小的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfFontSize.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of font size", ar: "له تفاصيل عن حجم خط", da: "har detaljer om skriftstørrelse", de: "hat Details zur Schriftgröße", fi: "aineiston kirjasinkoon tarkemmat tiedot", nl: "heeft details van lettergrootte", "zh-hans-cn": "有字体大小细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60778,
      definition: {en: "Relates a resource to details of the relationship between an original audio carrier and the carrier of a reproduction made from the original (e.g., a tape duplication master, a test pressing). (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGenerationOfAudioRecording.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation of audio recording (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60803",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60779,
      definition: {en: "Relates a resource to details of the relationship between an original carrier of a digital resource and the carrier of a reproduction made from the original (e.g., a derivative master).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGenerationOfDigitalResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation of digital resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60803",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60780,
      definition: {en: "Relates a resource to details of the relationship between an original microform carrier and the carrier of a reproduction made from the original (e.g., a printing master).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGenerationOfMicroform.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation of microform (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60803",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60781,
      definition: {en: "Relates a resource to details of the relationship between an original carrier of a motion picture film resource and the carrier of a reproduction made from the original (e.g., a reference print).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGenerationOfMotionPictureFilm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation of motion picture film (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60803",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60782,
      definition: {en: "Relates a resource to details of the relationship between an original carrier of a videotape resource and the carrier of a reproduction made from the original (e.g., a show copy).. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGenerationOfVideotape.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation of videotape (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60803",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60783,
      definition: {en: "Relates a resource to details of a groove width of an analog disc or a groove pitch of an analog cylinder.", ar: "يربط بين مصدر وتفاصيل عن عرض مسار لقرص تناظري أو مسار لاسطوانة تناظرية.", da: "Relaterer en ressource til detaljer om rillebredden på en analog disk eller rilledybden på en analog cylinder.", de: "Setzt eine Ressource in Beziehung zu Details zur Rillenbreite einer Schallplatte oder zum Rillenabstand eines Phonographenzylinders.", fi: "Liittää aineiston tarkempiin tietoihin analogisen levyn uran leveydestä tai äänilieriön urajaosta.", "zh-hans-cn": "将一种资源与模拟盘的纹槽宽度或模拟筒的纹槽间距的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGrooveCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of groove characteristic", ar: "له تفاصيل عن خاصية مسار", da: "har detaljer om rillekarakteristika", de: "hat Details zur Rilleneigenschaft", fi: "uran ominaisuuksien tarkemmat tiedot aineistolle", nl: "heeft details van groefkenmerken", "zh-hans-cn": "有纹槽特征的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60784,
      definition: {en: "Relates a resource to details of an arrangement of text, images, tactile notation, or other content in a resource.", ar: "يربط بين مصدر وتفاصيل عن ترتيب نص، صور، كتابة بارزة، أو أي محتوى آخر في مصدر ما.", da: "Relaterer en ressource til detaljer om opstilling af tekst, billeder, taktil notation etc. i en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zur Anordnung von Text, Bildern, taktiler Notation und so weiter in einer Ressource.", fi: "Liittää aineiston tarkempiin tietoihin aineistoon sisältyvän tekstin, kuvien, taktiilin nuottikirjoituksen tai muun sisällön sommittelusta.", "zh-hans-cn": "将一种资源与资源中对文本、图像、触摸标记或其他内容的安排的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfLayout.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of layout", ar: "له تفاصيل عن تصميم طباعي", da: "har detaljer om layout", de: "hat Details zum Layout", fi: "aineiston layoutin tarkemmat tiedot", nl: "heeft details van lay-out", "zh-hans-cn": "有版式细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60785,
      definition: {en: "Relates a resource to details of a physical material used for the support or backing to which the base material of a resource is attached.", ar: "يربط بين مصدر وتفاصيل عن مادة مادية تُستخدم في تدعيم أو سند مادة القاعدة التي يكون المصدر ملصق بها.", da: "Relaterer en ressource til detaljer om det fysiske materiale, der udgør den støtte eller bagbeklædning, som en ressources basismateriale er fastgjort på.", de: "Setzt eine Ressource in Beziehung zu Details zu einem physischen Material, das für die Halterung oder die Stütze verwendet wird, an dem das Trägermaterial einer Ressource angebracht ist.", fi: "Liittää aineiston tarkempiin tietoihin materiaalista, johon aineiston pohjamateriaali kiinnitetään aineiston tukemiseksi tai kannattamiseksi.", "zh-hans-cn": "将一种资源与用于支撑或背衬的资源的基底材料所附着的物理材料的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfMount.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of mount", ar: "له تفاصيل عن حامل", da: "har detaljer om montage", de: "hat Details zur Halterung", fi: "aineiston tukimateriaalin tarkemmat tiedot", nl: "heeft details van ondersteuning", "zh-hans-cn": "有衬底/底座细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60786,
      definition: {en: "Relates a resource to details of a speed at which an audio carrier must be operated to produce the sound intended.", ar: "يربط بين مصدر وتفاصيل عن سرعة يجب أن يُشغل بها حامل صوت لكي ينتج الصوت المطلوب.", da: "Relaterer en ressource til detaljer om den hastighed, som en lydbærer skal betjenes ved for at producere den ønskede lyd.", de: "Setzt eine Ressource in Beziehung zu Details zur Geschwindigkeit, mit der ein Tonträger für die korrekte Wiedergabe abgespielt werden muss.", fi: "Liittää aineiston tarkempiin tietoihin nopeudesta, jolla äänitallenne on toistettava äänen tuottamiseksi tarkoitetulla tavalla.", "zh-hans-cn": "将一种资源与一种音频载体要产生所期望的声音必须操作的速度的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfPlayingSpeed.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of playing speed", ar: "له تفاصيل عن سرعة تشغيل", da: "har detaljer om omdrejningshastighed", de: "hat Details zur Abspielgeschwindigkeit", fi: "toistonopeuden tarkemmat tiedot aineistolle", nl: "heeft details van afspeelsnelheid", "zh-hans-cn": "有播放速度细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60787,
      definition: {en: "Relates a resource to details of a relationship of the colours and tones in an image to the colours and tones of the object reproduced.", ar: "يربط بين مصدر وتفاصيل عن علاقة خاصة بالألوان ودرجات الألوان في صورة ما بألوان ودرجات شيئًا معاد إنتاجه.", da: "Relaterer en ressource til detaljer om forholdet mellem farver og nuancer i et billede samt farver og nuancer i den reproducerede genstand.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Verhältnis der Farben und Tönungen in einem Bild zu den Farben und Tönungen des reproduzierten Objekts.", fi: "Liittää aineiston tarkempiin tietoihin suhteesta, joka kuvan väreillä ja valoisuudella on kuvan kohteen väreihin ja valoisuuteen.", "zh-hans-cn": "将一种资源与一个图像中色彩和色调与被复制对象的色彩和色调的关系的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfPolarity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of polarity", ar: "له تفاصيل عن استقطاب ألوان", da: "har detaljer om polaritet", de: "hat Details zur Polarität", fi: "polariteetin tarkemmat tiedot aineistolle", nl: "heeft details van polariteit", "zh-hans-cn": "有极性细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60788,
      definition: {en: "Relates a resource to details of a format used in the production of a projected image.", ar: "يربط بين مصدر وتفاصيل عن صيغة مُستخدمة في إنتاج صورة مرئية.", da: "Relaterer en ressource til detaljer om det format, der er anvendt ved fremstillingen af et projiceret billede.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Format, das bei der Entstehung eines projizierten Bilds verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin heijastettavan kuvan tuottamisessa käytettävästä formaatista.", "zh-hans-cn": "将一种资源与用于一个投影图像制作的格式的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfPresentationFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of presentation format", ar: "له تفاصيل عن صيغة عرض", da: "har detaljer om fremvisningsformat", de: "hat Details zum Wiedergabeformat", fi: "esitysformaatin tarkemmat tiedot aineistolle", nl: "heeft details van presentatieformaat", "zh-hans-cn": "有呈现格式细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60789,
      definition: {en: "Relates a resource to details of a process used to produce a resource.", ar: "يربط بين مصدر وتفاصيل عن عملية مستخدمة في إنتاج مصدر.", da: "Relaterer en ressource til detaljer om den proces, der er anvendt til at fremstille en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Verfahren, das angewendet wird, um eine Ressource zu erzeugen.", fi: "Liittää aineiston tarkempiin tietoihin aineiston tuottamisessa käytettävästä menetelmästä.", "zh-hans-cn": "将一种资源与用于制作一种资源的一个过程的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60790", "http://rdaregistry.info/Elements/u/P60791"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfProductionMethod.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of production method", ar: "له تفاصيل عن طريقة إنتاج", da: "har detaljer om produktionsmetode", de: "hat Details zur Entstehungsmethode", fi: "valmistusmenetelmän tarkemmat tiedot aineistolle", nl: "heeft details van productiemethode", "zh-hans-cn": "有制作方法细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60790,
      definition: {en: "Relates a resource to details of a process used to produce an original manuscript or a copy. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfProductionMethodForManuscript.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of production method for manuscript (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60789",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60791,
      definition: {en: "Relates a resource to details of a process used to produce a tactile resource. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfProductionMethodForTactileResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of production method for tactile resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60789",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60792,
      definition: {en: "Relates a resource to details of a technical specification relating to the projection of a motion picture film.", ar: "يربط بين مصدر وتفاصيل عن مواصفات فنية متعلقة بعرض فيلم صور متحركة.", da: "Relaterer en ressource til detaljer om teknisk specifikation relateret til projektion af en film.", de: "Setzt eine Ressource in Beziehung zu Details zu einer technischen Spezifikation, die sich auf die Projektion eines Films bezieht.", fi: "Liittää aineiston tarkempiin tietoihin elokuvafilmin projisointia koskevasta teknisestä määrityksestä.", "zh-hans-cn": "将一种资源与和一种电影胶卷的投影有关的技术规格的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60793",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfProjectionCharacteristicOfMotionPictureFilm.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of projection characteristic of motion picture film", ar: "له تفاصيل عن خاصية عرض لفيلم صور متحركة", da: "har detaljer om projektionskarakteristika for film", de: "hat Details zur Projektionseigenschaft eines Films", fi: "elokuvafilmin projisointiominaisuuksien tarkemmat tiedot aineistolle", nl: "heeft details van projectiekenmerken van speelfilm", "zh-hans-cn": "有电影胶卷的投影特征的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60793,
      definition: {en: "Relates a resource to details of a speed at which a projected carrier must be operated to produce the moving image intended.", ar: "يربط بين مصدر وتفاصيل عن سرعة يجب أن يشغل بها حامل عرض لكي ينتج عنه الصور المتحركة المطلوبة.", da: "Relaterer en ressource til detaljer om den hastighed, som en projiceret bærer skal betjenes ved for at producere det ønskede levende billede.", de: "Setzt eine Ressource in Beziehung zu Details zur Geschwindigkeit, mit der ein projizierbarer Datenträger betrieben werden muss, um das beabsichtigte Bewegtbild zu erzeugen.", fi: "Liittää aineiston tarkempiin tietoihin nopeudesta, jolla projisoitava tallenne tulee esittää liikkuvan kuvan näyttämiseksi tarkoitetulla tavalla.", "zh-hans-cn": "将一种资源与一种投影载体要产生所期望的动态图像必须操作的速度的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfProjectionSpeed.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of projection speed", ar: "له تفاصيل عن سرعة عرض", da: "har detaljer om projektionshastighed", de: "hat Details zur Projektionsgeschwindigkeit", fi: "projisointinopeuden tarkemmat tiedot aineistolle", nl: "heeft details van projectiesnelheid", "zh-hans-cn": "有投影速度细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60792",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60794,
      definition: {en: "Relates a resource to details of a type of medium used to record sound on an audio carrier.", ar: "يربط بين مصدر وتفاصيل عن نوع وسيط مستخدم في تسجيل الصوت على حامل صوتي.", da: "Relaterer en ressource til detaljer om det optagemedie, der er anvendt til at optage lyd på en lydbærer.", de: "Setzt eine Ressource in Beziehung zu Details zu einer Art des Mediums, das verwendet wird, um Ton auf einem Tonträger festzuhalten.", fi: "Liittää aineiston tarkempiin tietoihin tallennusmediasta, jolla ääni tallennetaan äänitallenteelle.", "zh-hans-cn": "将一种资源与用于在音频载体上记录声音的媒介类型的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfRecordingMedium.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of recording medium", ar: "له تفاصيل عن وسيط تسجيل", da: "har detaljer om optagemedie", de: "hat Details zum Aufzeichnungsmedium", fi: "äänen tallennusmedian tyypin tarkemmat tiedot aineistolle", nl: "heeft details van opnamemedium", "zh-hans-cn": "有录音媒介的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60795,
      definition: {en: "Relates a resource to details of a general designation of the size of a micro-image in relation to the original from which it was produced.", ar: "يربط بين مصدر وتفاصيل عن تسمية عامة لحجم الصورة المصغرة وعلاقتها بالأصل الذي تم إنتاجها منه.", da: "Relaterer en ressource til detaljer om betegnelsen for størrelse på et mikrobillede i forhold til den original, som det er fremstillet ud fra.", de: "Setzt eine Ressource in Beziehung zu Details zu einer allgemeinen Bezeichnung für die Größe eines Mikro-Bilds im Verhältnis zum Original, von dem es hergestellt wird.", fi: "Liittää aineiston tarkempiin tietoihin yleisestä määritteestä, joka ilmaisee mikrokokoiseksi pienennetyn kuvan suhteen alkuperäiseen kuvaan, josta pienennetty kuva on tuotettu.", "zh-hans-cn": "将一种资源与缩微图像尺寸和其所复制的原件之间一般关系的标识的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfReductionRatioDesignation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of reduction ratio designation", ar: "له تفاصيل عن تسمية نسبة تصغير الصور", da: "har detaljer om reduktionsforholdsbetegnelse", de: "hat Details zur Bezeichnung eines Verkleinerungsfaktors", fi: "pienennyssuhteen määritteen tarkemmat tiedot aineistolle", nl: "heeft details van benaming verkleiningsfactor", "zh-hans-cn": "有缩率标识细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60796,
      definition: {en: "Relates a resource to details of a technical specification relating to the encoding of sound in a resource.", ar: "يربط بين مصدر وتفاصيل عن خصائص فنية متعلقة بالترميز لصوت في مصدر.", da: "Relaterer en ressouce til detaljer om teknisk specifikation relateret til kodning af lyd i en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zu einer technischen Spezifikation, die sich auf die Kodierung des Tons in einer Ressource bezieht.", fi: "Liittää aineiston tarkempiin tietoihin aineiston sisältämän äänen koodaamisen teknisestä määrityksestä.", "zh-hans-cn": "将一种资源与和一种资源中的声音的编码有关的一个技术规格的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60771", "http://rdaregistry.info/Elements/u/P60783", "http://rdaregistry.info/Elements/u/P60794", "http://rdaregistry.info/Elements/u/P60797", "http://rdaregistry.info/Elements/u/P60798", "http://rdaregistry.info/Elements/u/P60799", "http://rdaregistry.info/Elements/u/P60800"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfSoundCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of sound characteristic", ar: "له تفاصيل عن خاصية الصوت", da: "har detaljer om lydkarakteristika", de: "hat Details zur Toneigenschaft", fi: "äänen ominaisuuksien tarkemmat tiedot aineistolle", nl: "heeft details van geluidskenmerken", "zh-hans-cn": "有声音特征的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60797,
      definition: {en: "Relates a resource to details of an equalization system, noise-reduction system, or other processing that is used in making an audio recording.", ar: "يربط بين مصدر وتفاصيل عن نظام موازن الترددات، نظام خفض ضوضاء، أو غيرها من النظم المُستخدمة في إعداد تسجيل صوتي.", da: "Relaterer en ressource til detaljer om et equalizersystem, støjdæmpningssystem etc., der er anvendt til at lave en lydoptagelse.", de: "Setzt eine Ressource in Beziehung zu Details zu einem Ausgleichssystem, einem Störgeräusch-Reduktionssystem und so weiter, das zur Erstellung von Audioaufnahmen verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin äänitteen äänityksessä käytetystä taajuuskorjausjärjestelmästä, kohinanvaimennusjärjestelmästä tai muusta prosessoinnista.", "zh-hans-cn": "将一种资源与在一种录音制作中所使用的平衡系统、降噪系统或其他处理的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfSpecialPlaybackCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of special playback characteristic", ar: "له تفاصيل عن خاصية خاصة للتشغيل", da: "har detaljer om særlige afspilningskarakteristika", de: "hat Details zu einer besonderen Wiedergabeeigenschaft", fi: "aineiston äänentoiston erityisominaisuuksien tarkemmat tiedot", nl: "heeft details van bijzondere afspeelkenmerken", "zh-hans-cn": "有特别回放特征的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60798,
      definition: {en: "Relates a resource to details of a number of tracks on an audiotape.", ar: "يربط بين مصدر وتفاصيل عن عدد المسارات على شريط صوت.", da: "Relaterer en ressource til detaljer om antal spor på et lydbånd.", de: "Setzt eine Ressource in Beziehung zu Details zur Anzahl der Spuren auf einem Tonband.", fi: "Liittää aineiston tarkempiin tietoihin ääninauhalla olevien ääniraitojen lukumäärästä.", "zh-hans-cn": "将一种资源与录音磁带上的音轨数的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfTapeConfiguration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of tape configuration", ar: "له تفاصيل عن بنية شريط", da: "har detaljer om båndkonfiguration", de: "hat Details zur Bandkonfiguration", fi: "ääninauhan ääniraitojen määrän tarkemmat tiedot aineistolle", nl: "heeft details van configuratie geluidsband", "zh-hans-cn": "有磁带配置的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60799,
      definition: {en: "Relates a resource to details of a configuration of the audio track on a sound-track film.", ar: "يربط بين مصدر وتفاصيل عن ضبط مسار صوتي على مسار صوت فيلم.", da: "Relaterer en ressource til detaljer om konfiguration af lydsporet til en film med soundtrack.", de: "Setzt eine Ressource in Beziehung zu Details zur Positionierung der Tonspur auf einem Film mit Tonspur.", fi: "Liittää aineiston tarkempiin tietoihin ääniraidan sijainnista äänifilmissä.", "zh-hans-cn": "将一种资源与原声电影片上的音轨配置的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfTrackConfiguration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of track configuration", ar: "له تفاصيل عن بنية مسار", da: "har detaljer om lydsporskonfiguration", de: "hat Details zur Tonspurlage", fi: "ääniraidan asemoinnin tarkemmat tiedot aineistolle", nl: "heeft details van nummerconfiguratie", "zh-hans-cn": "有音轨配置的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60800,
      definition: {en: "Relates a resource to details of a method used to encode audio content for playback.", ar: "يربط بين مصدر وتفاصيل عن طريقة مستخدمة في تشفير محتوى صوتي مطلوب للتشغيل.", da: "Relaterer en ressource til detaljer om den metode, der er anvendt til at kode lydindhold til afspilning.", de: "Setzt eine Ressource in Beziehung zu Details zu einem Verfahren, das zur Kodierung von Audio-Inhalt für die Wiedergabe verwendet wird.", fi: "Liittää aineiston tarkempiin tietoihin menetelmästä, jota on käytetty äänen tallentamiseksi äänentoistoa varten.", "zh-hans-cn": "将一种资源与用于编码音频内容供回放的方法的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfTypeOfRecording.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of type of recording", ar: "له تفاصيل عن نوع التسجيل", da: "har detaljer om indspilningskarakteristika", de: "hat Details zur Art einer Aufnahme", fi: "äänen tallentamisen tavan tarkemmat tiedot aineistolle", nl: "heeft details van opnamesoort", "zh-hans-cn": "有录音的类型的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60796",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60801,
      definition: {en: "Relates a resource to details of a technical specification relating to an encoding of video images in a resource.", ar: "يربط بين مصدر وتفاصيل عن مواصفات فنية متعلقة بتكويد صور فيديو في مصدر.", da: "Relaterer en ressource til detaljer om teknisk specifikation relateret til kodning af videobilleder i en ressource.", de: "Setzt eine Ressource in Beziehung zu Details zu einer technischen Spezifikation, die sich auf die Kodierung der Videobilder in einer Ressource bezieht.", fi: "Liittää aineiston tarkempiin tietoihin aineiston sisältämän videon koodauksen teknisestä määrityksestä.", "zh-hans-cn": "将一种资源与和一种资源中的视频图像的编码有关的一个技术规格的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60770", "http://rdaregistry.info/Elements/u/P60802"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfVideoCharacteristic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of video characteristic", ar: "له تفاصيل خاصية فيديو", da: "har detaljer om videokarakteristika", de: "hat Details zur Video-Eigenschaft", fi: "videon ominaisuuksien tarkemmat tiedot aineistolle", nl: "heeft details van videokenmerken", "zh-hans-cn": "有视频特征的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60802,
      definition: {en: "Relates a resource to details of a schema or standard used to encode the analog video content of a resource.", ar: "يربط بين مصدر وتفاصيل عن خطة أو معيار مستخدم في تشفير محتوى الفيديو التناظري لمصدر.", da: "Relaterer en ressource til detaljer om standard etc., der anvendes til kodning af en ressources analoge videoindhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Schema, Standard und so weiter, das/der zur Kodierung des analogen Videoinhalts einer Ressource verwendet wird.", fi: "Tarkemmat tiedot analogisen videon koodaukseen käytetystä skeemasta tai standardista. ", "zh-hans-cn": "将一种资源与用于对一种资源的模拟视频内容进行编码的一个方案或标准的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfVideoFormat.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of video format", ar: "له تفاصيل عن خاصية فيديو", da: "har detaljer om videoformat", de: "hat Details zum Videoformat", fi: "aineiston videoformaatin tarkemmat tiedot", nl: "heeft details van videoformaat", "zh-hans-cn": "有视频格式的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60801",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60803,
      definition: {en: "Relates a resource to details of a relationship between an original carrier and a carrier of a reproduction made from an original.", ar: "يربط بين مصدر وتفاصيل عن علاقة بين حامل أصلي والحامل الخاص بإعادة الإنتاج المصنوع من الأصل.", da: "Relaterer en ressource til detaljer om forholdet mellem en oprindelig bærer og bæreren af en reproduktion baseret på originalen.", de: "Setzt eine Ressource in Beziehung zu Details zu einer Beziehung zwischen einem Originaldatenträger und einem Datenträger einer Reproduktion, die vom Original erstellt wird.", fi: "Liittää aineiston tarkempiin tietoihin alkuperäisen tallenteen ja siitä tuotetun jäljenteen tallenteen välisestä suhteesta.", "zh-hans-cn": "将一种资源与原始载体和原件复制品的载体之间的关系的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60778", "http://rdaregistry.info/Elements/u/P60779", "http://rdaregistry.info/Elements/u/P60780", "http://rdaregistry.info/Elements/u/P60781", "http://rdaregistry.info/Elements/u/P60782"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfGeneration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of generation", ar: "له تفاصيل عن توليد", da: "har detaljer om generation", de: "hat Details zur Kopiengeneration", fi: "aineiston sukupolven tarkemmat tiedot", nl: "heeft details van generatie", "zh-hans-cn": "有代的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60804,
      definition: {en: "Relates a resource to details of content intended to illustrate a primary content of a resource. (Deprecated)", ar: "يربط بين مصدر وتفاصيل عن محتوى يهدف إلى توضيح محتوى أساسي لمصدر.", da: "Relaterer en ressource til detaljer om indhold, der er beregnet til at illustrere et udtryks primære indhold.", de: "Setzt eine Ressource in Beziehung zu Details zum Inhalt, die einen primären Inhalt einer Ressource verdeutlichen sollen.", fi: "Liittää aineiston lisätietoihin sen ensisijaista sisältöä kuvittamaan tarkoitetusta sisällöstä."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfIllustrativeContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of illustrative content (Deprecated)", ar: "له تفاصيل عن محتوى توضيحي", da: "har detaljer om illustrativt indhold", de: "hat Details zu illustrierendem Inhalt", fi: "kuvituksellisen sisällön tarkemmat tietot", nl: "heeft details van illustratieve content"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60805,
      definition: {en: "Relates a resource to a topic that a resource is about.", ar: "يربط بين مصدر وموضوع يدور حوله مصدر.", da: "Relaterer en ressource til en ressources emne, fx en indikation om hvad en ressource handler om.", de: "Setzt eine Ressource in Beziehung zu einem Thema, von dem eine Ressource handelt.", fi: "Liittää aineiston aineiston aiheeseen.", "zh-hans-cn": "将一种资源与一种资源所关于的一个论题关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60190",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subject.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60806",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has subject", ar: "له موضوع", da: "har emne", de: "hat Thema", fi: "aineiston aihe", nl: "heeft onderwerp", "zh-hans-cn": "有主题"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60806,
      definition: {en: "Relates a resource to a resource that is about a resource.", ar: "يربط بين مصدر ومصدر يتعلق بمصدر.", da: "Relaterer en ressoure til en ressource, der handler om en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, von der eine Ressource handelt.", fi: "Liittää aineiston aineistoon, jonka aiheena aineisto on.", "zh-hans-cn": "将一种资源与关于一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60215", "http://rdaregistry.info/Elements/u/P60218"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subjectOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60805",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is subject of", ar: "هو موضوع لـ", da: "er emne i", de: "ist Thema von", fi: "aineisto aiheena", nl: "is onderwerp van", "zh-hans-cn": "是……的主题"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60807,
      definition: {en: "Relates an agent to an agent who receives an academic degree from a granting institution or faculty.", ar: "يربط بين وكيل ووكيل يحصل على درجة أكاديمية من مؤسسة أو كلية مانحة.", da: "Relaterer en agent til en agent der modtager en akademsk grad fra en institution eller fakultet, der tildeler en akademisk grad.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen akademischen Grad von einer verleihenden Institution oder Fakultät erhält.", fi: "Liittää toimijan toimijaan, jolle laitos tai tiedekunta on myöntänyt akateemisen loppututkinnon.", "zh-hans-cn": "将一个行为者与从一个授予机构或院系获得学位的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/graduate.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60808",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has graduate", ar: "له خريج", da: "har dimittend", de: "hat Graduierte/Graduierten", fi: "loppututkinnon suorittanut (toimija) aineistossa", nl: "heeft afgestudeerde", "zh-hans-cn": "有毕业生"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60808,
      definition: {en: "Relates an agent to an institution or faculty that granted an academic degree to an agent.", ar: "يربط بين وكيل ومؤسسة أو كلية تمنح درجة أكاديمية لوكيل.", da: "Relaterer en agent til en institution eller fakultet, der har tildelt en akademisk grad til en agent.", de: "Setzt einen Akteur in Beziehung zu einer grad-verleihenden Institution, die einem Akteur einen akademischen Grad verleiht.", fi: "Liittää toimijan laitokseen tai tiedekuntaan, joka on myöntänyt toimijalle akateemisen loppututkinnon.", "zh-hans-cn": "将一个行为者与授予一个行为者学位的机构或院系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/graduateOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60807",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is graduate of", ar: "هو خريج في", da: "er dimittend fra", de: "ist Graduierte/Graduierter von", fi: "loppututkinnon suorittanut (toimija)", nl: "is afgestudeerde van", "zh-hans-cn": "是……的毕业生"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60809,
      definition: {en: "Relates a resource to an agent who contributes to a resource by providing a foreword to an original resource. (Deprecated)", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at tilvejebringe en indledning til den originale ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfForeword.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60810",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has writer of foreword (Deprecated)", da: "har forfatter til indledning"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60810,
      definition: {en: "Relates an agent to a resource that includes a contribution of providing a foreword. (Deprecated)", da: "Relaterer en agent, der bidrager til en ressource ved at skrive en indledning til en oprindelig ressource til en ressource."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/writerOfForewordOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60809",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is writer of foreword of (Deprecated)", da: "er forfatter til indledning til"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60811,
      definition: {en: "Relates a resource to an agent who contributes to a resource by designing and creating audio or sound components.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تصميم عناصر سمعية أو صوتية وإنشائها.", da: "Relaterer en ressource til en agent, der har bidraget til een ressource ved at designe og skabe audio-/lyddele.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Tonelemente entwirft und erstellt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena suunnittelemalla ja luomalla äänikomponentteja.", "zh-hans-cn": "将一种资源与通过设计和创建音频或音响组成部分而对资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/soundDesigner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60812",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sound designer", ar: "له مصمم صوت", da: "har lyddesigner", de: "hat Tongestalterin/Tongestalter", fi: "aineiston äänisuunnittelija", nl: "heeft geluidsontwerper", "zh-hans-cn": "有音响设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60812,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of designing and creating audio or sound components", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تصميم عناصر سمعية أو صوتية وإنشائها.", da: "Relaterer en agent, der har bidraget til en ressource ved at designe og skabe audio-/lyddele til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Tonelemente entwirft und erstellt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena suunnittelemalla ja luomalla äänikomponentteja.", "zh-hans-cn": "将一个行为者与包括设计并创作音频或音响组成部分的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/soundDesignerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60811",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is sound designer of", ar: "هو مصمم صوت لـ", da: "er lyddesigner for", de: "ist Tongestalterin/Tongestalter von", fi: "äänisuunnittelija (toimija) aineistossa", nl: "is geluidsontwerper van", "zh-hans-cn": "是……的音响设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60813,
      definition: {en: "Relates a resource to an agent who contributes to a resource by designing and creating lighting components.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تصميم عناصرالإضاءة وإنشائها.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at designe og skabe belysningsdele.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Lichtelemente entwirft und erstellt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena suunnittelemalla ja luomalla valokomponentteja.", "zh-hans-cn": "将一种资源与通过设计和创建灯光组成部分而对资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lightingDesigner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60814",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has lighting designer", ar: "له مصمم إضاءة", da: "har belysningsdesigner", de: "hat Lichtgestalterin/Lichtgestalter", fi: "aineiston valosuunnittelija", nl: "heeft lichtontwerper", "zh-hans-cn": "有灯光设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60814,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of designing and creating lighting components.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تصميم عناصرالإضاءة وإنشائها.", da: "Relaterer en agent, der har bidraget til en ressource ved at designe og skabe belysningsdele til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Lichtelemente entwirft und erstellt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena suunnittelemalla ja luomalla valokomponentteja.", "zh-hans-cn": "将一个行为者与包括设计并创作灯光组成部分的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lightingDesignerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60813",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is lighting designer of", ar: "هو مصمم إضاءة لـ", da: "er belysningsdesigner for", de: "ist Lichtgestalterin/Lichtgestalter von", fi: "valosuunnittelija (toimija) aineistossa", nl: "is lichtontwerper van", "zh-hans-cn": "是……的灯光设计者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60815,
      definition: {en: "Relates a resource to an agent who serves on a committee that supervises a thesis or dissertation of a student.", ar: "يربط مصدر بوكيل يعمل في لجنة تشرف على رسالة جامعية أو أطروحة لطالب.", da: "Relaterer en ressource til en agent, der er medlem af et udvalg, der fører tilsyn med en studerendes speciale eller afhandling.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der Mitglied eines Ausschusses ist, der eine Hochschulschrift von einer Studentin/einem Studenten beaufsichtigt.", fi: "Liittää aineiston toimijaan, joka toimii opiskelijan akateemisen opinnäytteen tai väitöskirjan tarkastaneessa komiteassa.", "zh-hans-cn": "将一种资源与在一个委员会中任职并指导一个学生论文的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeCommitteeMember.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60816",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has degree committee member", ar: "له عضو لجنة تمنح درجة أكاديمية", da: "har medlem af kandidatudvalg", de: "hat Mitglied eines Graduierungsausschusses", fi: "opinnäytteen tarkastaja", nl: "heeft graad commissie-lid", "zh-hans-cn": "有学位委员会成员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60816,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for serving on a committee that supervises a thesis or dissertation of a student.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن العمل في لجنة تشرف على رسالة جامعية أو أطروحة لطالب.", da: "Relaterer en agent, der er medlem i et udvalg der fører tilsyn med en students speciale eller afhandling til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung verbunden ist, Mitglied eines Ausschusses zu sein, der eine Hochschulschrift von einer Studentin/einem Studenten beaufsichtigt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa opiskelijan akateemisen opinnäytteen tai väitöskirjan tarkastaneessa komiteassa.", "zh-hans-cn": "将一个行为者与涉及指导学生论文的一个委员会中的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/degreeCommitteeMemberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60815",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is degree committee member of", ar: "هي عضو لجنة تمنح درجة أكاديمية لـ", da: "er medlem af kandidatudvalg i", de: "ist Mitglied eines Graduierungsausschusses von", fi: "opinnäytteen tarkastaja (toimija) aineistossa", nl: "is graad commissie-lid van", "zh-hans-cn": "是……的学位委员会成员"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60817,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for inscribing, fabrication, construction, etc.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن الكتابة، التصنيع، الإنشاء، إلخ.", da: "Relaterer agent der er ansvarlig for at indgravere, fremstille, konstruere etc. til en ressource,", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Gravieren, Fabrizieren, Konstruieren und so weiter verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa julkaistun aineiston painamisesta, monistamisesta, kirjasinten valamisesta tai muusta valmistustavasta.", "zh-hans-cn": "将一个行为者与涉及镌刻、制造、构建等的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/producerOfUnpublishedResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60440",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is producer of unpublished resource of", ar: "هو مُنتج لمصدر غير مشهور لـ", da: "er producer af en upubliceret ressource af", de: "ist Erzeugerin/Erzeuger einer unveröffentlichten Manifestation von", fi: "julkaisemattoman aineiston tuottaja (toimija) aineistossa", nl: "is producent van ongepubliceerde resource van", "zh-hans-cn": "是……的非出版资源的制作者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60818,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of a date or other timespan that is used to indicate the first in a concurrent sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر ونظام ترقيم ثانٍ أو تالٍ يُعرض في شكل تاريخ على الإصدار الأول أو الجزء الأول لتسلسل الترقيم لدورية.", da: "Relaterer en ressource til et andet eller efterfølgende nummereringssystem i form af en datering på første nummer eller del af nummereringssekvensen for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einem zweiten oder nachfolgenden Zählungssystem, das in Form eines Datums auf der ersten Ausgabe oder dem ersten Teil einer fortlaufenden Ressource zu finden ist.", fi: "Liittää aineiston toiseen tai myöhempään numerointijärjestelmään, joka on esitetty ensimmäisen numeron päivämäärän muodossa tai sarjan numerointisarjan osana.", "zh-hans-cn": "将一种资源与作为以日期或其他时间段形式用于标识一种资源的部分或更新后整体的并存编号序列中第一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstChronologicalDesignationOfAlternativeSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A designation includes a year; year and month; month, day, and year. A chronological designation of alternative sequence may include a date in a different calendar.", ar: "تشمل التسمية: سنة؛ سنة وشهر؛ شهر، يوم، وسنة. قد تتضمن التسمية الزمنية لتسلسل بديل تاريخًا في تقويم مختلف.", da: "Betegnelsen omfatter et år; år og måned; måned, dag og år. En alternativ kronologisk betegnelse kan omfatte en dato i en anden kalender.", de: "Darunter fällt ein Jahr; ein Monat und ein Jahr; ein Tag, ein Monat und ein Jahr. Zu einer alternativen chronologischen Bezeichnung einer fortlaufenden Ressource kann auch ein Datum nach einem anderen Kalender gehören.", fi: "Määrite sisältää vuoden; vuoden ja kuukauden; kuukauden, päivän ja vuoden. Vaihtoehtoinen aikamääre voi sisältää toisen kalenterin mukaisen ajankohdan.", "zh-hans-cn": "标识包括年，年和月，年、月和日。交替序列的年代标识可以包括不同历法的日期。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61212",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has first chronological designation of alternative sequence", ar: "له تسمية زمنية أولى لتسلسل بديل", da: "alternativ kronologisk betegnelse for første nummer eller del af en sekvens", de: "hat alternative chronologische Bezeichnung einer ersten Ausgabe oder eines ersten Teils einer Folge", fi: "vaihtoehtoisen numerointijakson ensimmäinen aikamäärite", nl: "heeft eerste chronologische aanduiding van alternatieve reeks", "zh-hans-cn": "有交替序列的第一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60819,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of a date or other timespan that is used to indicate the last in a concurrent sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر ونظام ترقيم ثانٍ أو تالٍ يُعرض في شكل تاريخ على الإصدار الأخير أو الجزء الأخير لتسلسل الترقيم لدورية.", da: "Relaterer en ressource til et andet eller efterfølgende nummereringssystem i form af en datering på sidste nummer eller del af nummereringssekvensen for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einem zweiten oder nachfolgenden Zählungssystem, das in Form eines Datums auf der letzten Ausgabe oder dem letzten Teil einer fortlaufenden Ressource zu finden ist.", fi: "Liittää aineiston toiseen tai myöhempään numerointijärjestelmään, joka on esitetty viimeisen numeron päivämäärän muodossa tai sarjan numerointisarjan osana.", "zh-hans-cn": "将一种资源与作为以日期或其他时间段形式用于标识一种资源的部分或更新后整体的并存编号序列中最后一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastChronologicalDesignationOfAlternativeSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A designation includes a year; year and month; month, day, and year. A chronological designation of alternative sequence may include a date in a different calendar.", ar: "تشمل التسمية: سنة؛ سنة وشهر؛ شهر، يوم، وسنة. قد تتضمن التسمية الزمنية لتسلسل بديل تاريخًا في تقويم مختلف.", da: "Betegnelsen omfatter et år; år og måned; måned, dag og år. En alternativ kronologisk betegnelse kan omfatte en dato i en anden kalender.", de: "Darunter fällt ein Jahr; ein Monat und ein Jahr; ein Tag, ein Monat und ein Jahr. Zu einer alternativen chronologischen Bezeichnung einer fortlaufenden Ressource kann auch ein Datum nach einem anderen Kalender gehören.", fi: "Määrite sisältää vuoden; vuoden ja kuukauden; kuukauden, päivän ja vuoden. Vaihtoehtoinen aikamääre voi sisältää toisen kalenterin mukaisen ajankohdan.", "zh-hans-cn": "标识包括年，年和月，年、月和日。交替序列的年代标识可以包括不同历法的日期。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61216",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has last chronological designation of alternative sequence", ar: "له تسمية زمنية أخيرة لتسلسل بديل", da: "alternativ kronologisk betegnelse for sidste nummer eller del af en sekvens", de: "hat alternative chronologische Bezeichnung einer letzten Ausgabe oder eines letzten Teils einer Folge", fi: "vaihtoehtoisen numerointijakson viimeinen aikamäärite", nl: "heeft laatste chronologische aanduiding van alternatieve reeks", "zh-hans-cn": "有交替序列的最后一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60820,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of numbers or alphabetic characters that is used to indicate the first in a concurrent sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر ونظام ترقيم ثانٍ أو تالٍ يُعرض في شكل أرقام أو حروف هجائية على الإصدار الأول أو الجزء الأول لتسلسل الترقيم لدورية.", da: "Relaterer en ressource til et andet eller efterfølgende nummereringssystem i numerisk og/eller alfabetisk form på første nummer eller del af nummereringssekvensen for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einem zweiten oder nachfolgenden Zählungssystem, das in Form von Nummern oder Buchstaben auf der ersten Ausgabe oder dem ersten Teil einer fortlaufenden Ressource zu finden ist.", fi: "Liittää aineiston toiseen tai myöhempään numerointijärjestelmään, joka on esitetty numeroin tai aakkosin sarjan ensimmäisessä numerossa tai sarjan numerointisarjan osana.", "zh-hans-cn": "将一种资源与作为以数字或字母字符形式用于标识一种资源的部分或更新后整体的并存编号序列中第一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstAlphanumericDesignationOfAlternativeSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61210",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has first alphanumeric designation of alternative sequence", ar: "له تسمية رقمية أولى لتسلسل بديل", da: "har alternativ numerisk og/eller alfabetisk betegnelse for første nummer eller del af en sekvens", de: "hat alternative alphanumerische Bezeichnung der ersten Ausgabe oder des ersten Teils einer Folge", fi: "vaihtoehtoisen numerointijakson ensimmäinen numero- tai kirjainmäärite", nl: "heeft eerste alfanumerieke aanduiding van alternatieve reeks", "zh-hans-cn": "有交替序列的第一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60821,
      definition: {en: "Relates a resource to a nomen that is a designation in the form of numbers or alphabetic characters that is used to indicate the last in a concurrent sequence of numbering of the parts or iterations of a resource.", ar: "يربط بين مصدر ونظام ترقيم ثانٍ أو تالٍ يُعرض في شكل أرقام أو حروف هجائية على الإصدار الأخير أو الجزء الأخير لتسلسل الترقيم لدورية.", da: "Relaterer en ressource til et andet eller efterfølgende nummereringssystem i numerisk og/eller alfabetisk form på sidste nummer eller del af nummereringssekvensen for et periodikum.", de: "Setzt eine Ressource in Beziehung zu einem zweiten oder nachfolgenden Zählungssystem, das in Form von Nummern oder Buchstaben auf der letzten Ausgabe oder dem letzten Teil einer fortlaufenden Ressource zu finden ist.", fi: "Liittää aineiston toiseen tai myöhempään numerointijärjestelmään, joka on esitetty numeroin tai aakkosin sarjan viimeisessä numerossa tai sarjan numerointisarjan osana.", "zh-hans-cn": "将一种资源与作为以数字或字母字符形式用于标识一种资源的部分或更新后整体的并存编号序列中最后一个的标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastAlphanumericDesignationOfAlternativeSequence.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61214",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has last alphanumeric designation of alternative sequence", ar: "له تسمية رقمية أخيرة لتسلسل بديل", da: "har alternativ numerisk og/eller alfabetisk betegnelse for sidste nummer eller del af en sekvens", de: "hat alternative alphanumerische Bezeichnung der letzten Ausgabe oder des letzten Teils einer Folge", fi: "vaihtoehtoisen numerointijakson viimeinen numero- tai kirjainmäärite", nl: "heeft laatste alfanumerieke aanduiding van alternatieve reeks", "zh-hans-cn": "有交替序列的最后一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60533",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60822,
      definition: {en: "Relates a name to a type or form of resource associated with a name chosen as a preferred name for an agent. (Deprecated)", da: "Relaterer et navn til en ressourcetype eller -form, der er knyttet til det navn, der er valgt som foretrukket navn for en agent."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scopeOfUsage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scope of usage (Deprecated)", da: "har anvendelsessammenhæng"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60823,
      definition: {en: "Relates a resource to aetails of an extent of resource that is a playing time, performance time, running time, or other length of time.", ar: "يربط بين مصدر وتفاصيل عن مدى مصدر يمثل وقت التشغيل، وقت الأداء، مدة العرض، أو فترة زمنية أخرى.", da: "Relaterer en ressource til detaljer om varighed, spilletid, opførelsestid etc. for en ressources indhold.", de: "Setzt eine Ressource in Beziehung zu Details zu dem Umfang einer Ressource, bei dem es sich um eine Wiedergabezeit, eine Aufführungszeit, eine Laufzeit oder eine andere Zeitspanne handelt.", fi: "Tarkemmat tiedot aineiston laajuudesta, joka on soittoaika, esitysaika, toistoaika tai muu ajan pituus.", "zh-hans-cn": "将一种资源与作为播放时间、表演时间、运行时间或其他时间长度的资源的数量的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfDuration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of duration", ar: "له تفاصيل عن مدة", da: "har detaljer om spilletid", de: "hat Details zur Dauer", fi: "tarkemmat tiedot aineiston kestosta", nl: "heeft details van tijdsduur", "zh-hans-cn": "有持续时间细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60824,
      definition: {en: "Relates a resource to an agent who contributes to a nonfiction moving image resource by taking an active role as a participant.", ar: "يربط مصدر بوكيل يُساهم في مصدر صور متحركة غير خيالية من خلال القيام بدور نشط كمشارك.", da: "Relaterer et udtryk til en agent, der har bidraget til en levende billed-ressource af faktuel karakter ved at påtage sig en aktiv rolle som deltager.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Dokumentarfilmressource beiträgt, indem er eine aktive Rolle als Teilnehmer einnimmt.", fi: "Liittää aineiston toimijaan, joka osallistuu ei-fiktiivisen liikkuvan kuvan teoksen aineiston tekemiseen ottamalla aktiivisen roolin osallistujana.", "zh-hans-cn": "将一种资源与通过积极参与而对一种非虚构动态图像资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60143",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onscreenParticipant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Appearance on screen to provide contextual or background information is excluded.", ar: "يُستبعد المظهر الذي يظهر على الشاشة لتقديم معلومات تتعلق بالسياق أو الخلفية.", da: "Optræden på skærmen for at give kontekstuel eller baggrundsinformation er ikke omfattet.", de: "Darunter fallen keine Bildschirmauftritte, die Kontext- oder Hintergrundinformationen liefern.", fi: "Ei koske esiintymistä lisä- tai taustatietojen kertojana.", "zh-hans-cn": "不包括提供背景信息在屏幕上出现的情况。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60825",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has onscreen participant", ar: "له مشارك على الشاشة", da: "har programmedvirkende", de: "hat On-Screen-Teilnehmerin/On-Screen-Teilnehmer", fi: "aineiston liikkuvaan kuvaan osallistuja", nl: "heeft deelnemer in beeld", "zh-hans-cn": "有屏幕参与者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60825,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of taking an active role as a participant.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في القيام بدور نشط كمشارك.", da: "Relaterer en agent, der har bidraget til en levende non-fiction billed-ressource ved at påtage sig en aktiv rolle som deltager til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine aktive Rolle als Teilnehmer einnimmt.", fi: "Liittää aineiston toimijaan, jossa toimija on osallisena ei-fiktiivisen liikkuvan kuvan teoksen aineiston tekemiseen ottamalla aktiivisen roolin osallistujana.", "zh-hans-cn": "将一个行为者与包括作为积极参与者的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60018",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onscreenParticipantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Appearance on screen to provide contextual or background information is excluded.", ar: "يُستبعد المظهر الذي يظهر على الشاشة لتقديم معلومات تتعلق بالسياق أو الخلفية.", da: "Optræden på skærmen for at give kontekstuel eller baggrundsinformation er ikke omfattet.", de: "Darunter fallen keine Bildschirmauftritte, die Kontext- oder Hintergrundinformationen liefern.", fi: "Ei koske esiintymistä lisä- tai taustatietojen kertojana.", "zh-hans-cn": "不包括提供背景信息在屏幕上出现的情况。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60824",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is onscreen participant of", ar: "هو مشارك على الشاشة لـ", da: "er programmedvirkende i", de: "ist On-Screen-Teilnehmerin/On-Screen-Teilnehmer von", fi: "liikkuvaan kuvaan osallistuja (toimija) aineistossa", nl: "is deelnemer in beeld van", "zh-hans-cn": "是……的屏幕参与者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60826,
      definition: {en: "Relates a resource to an agent who is responsible for commissioning a resource.", ar: "يربط مصدر بوكيل مسؤول عن التكليف بمصدر.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have bestilt en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Ressource in Auftrag gibt.", fi: "Liittää aineiston toimijaan, joka vastaa aineiston teettämisestä.", "zh-hans-cn": "将一种资源与负责委托一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commissioningAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60827",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has commissioning agent", ar: "له وكيل جهة تكليف", da: "har bestillende institution", de: "hat Auftraggeberin/Auftraggeber", fi: "toimeksiantaja aineistossa", nl: "heeft opdrachtgever-actor", "zh-hans-cn": "有委托行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60827,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for commissioning a resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن التكليف بمصدر.", da: "Relaterer en agent der er ansvarlig for at have bestilt en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur dafür verantwortlich ist, eine Ressource in Auftrag zu geben.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aineiston teettämisestä.", "zh-hans-cn": "将一个行为者与涉及委托一种资源的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commissioningAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60826",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is commissioning agent of", ar: "هو وكيل جهة تكليف لـ", da: "er bestillende institution for", de: "ist Auftraggeberin/Auftraggeber von", fi: "toimeksiantaja (toimija) aineistossa", nl: "is opdrachtgever van", "zh-hans-cn": "是……的委托行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60828,
      definition: {en: "Relates a resource to an agent who contributes to a resource by researching, designing, implementing, or testing software.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال البحث في البرمجيات، أو تصميمها، أو تنفيذها، أو اختبارها.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at researche, designe, implementere eller teste software.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Software untersucht, konzipiert, implementiert oder testet.", fi: "Liittää aineiston toimijaan, joka on osallisena aineistossa tutkimalla, suunnittelemalla, toteuttamalla tai testaamalla ohjelmistoa.", "zh-hans-cn": "将一种资源与通过研究、设计、实施或测试软件而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/softwareDeveloper.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60829",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has software developer", ar: "له مطور برمجيات", da: "har softwareudvikler", de: "hat Softwareentwicklerin/Softwareentwickler", fi: "ohjelmistokehittäjä aineistossa", nl: "heeft softwareontwikkelaar", "zh-hans-cn": "有软件开发者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60829,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of researching, designing, implementing, or testing software.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في البحث في البرمجيات، أو تصميمها، أو تنفيذها، أو اختبارها.", da: "Relaterer en agent, der har bidraget til en ressource ved at researche, designe, implementere eller teste software til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Software untersucht, konzipiert, implementiert oder testet.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena aineistossa tutkimalla, suunnittelemalla, toteuttamalla tai testaamalla ohjelmistoa.", "zh-hans-cn": "将一个行为者与包括研究、设计、实施或测试软件的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/softwareDeveloperOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60828",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is software developer of", ar: "هو مطور برمجيات لـ", da: "er softwareudvikler til", de: "ist Softwareentwicklerin/Softwareentwickler von", fi: "ohjelmistokehittäjä (toimija) aineistossa", nl: "is softwareontwikkelaar van", "zh-hans-cn": "是……的软件开发者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60830,
      definition: {en: "Relates a resource to a resource that is adapted as an oratorio.", ar: "يربط بين مصدر ومصدر تم اقتباسه كموسيقى دينية.", da: "Relaterer en ressource til en ressource, der er blevet bearbejdet som et oratorium.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Oratorium bearbeitet ist.", fi: "Liittää aineiston oratorioksi sovitettuun aineistoon.", "zh-hans-cn": "将一种资源与被改编为清唱剧的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/oratorioAdaptationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60831",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is oratorio adaptation of", ar: "هو اقتباس موسيقى دينية لـ", da: "er oratoriebearbejdelse af", de: "ist Oratorienbearbeitung von", fi: "oratoriosovitus aineistosta", nl: "is oratoriumbewerking van", "zh-hans-cn": "是……的清唱剧改编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60831,
      definition: {en: "Relates a resource to an oratorio based on another resource.", ar: "يربط بين مصدر وموسيقى دينية تعتمد على مصدر آخر.", da: "Relaterer en ressource til et oratorium baseret på en oprindelig ressource.", de: "Setzt eine Ressource in Beziehung zu einem Oratorium, das auf einer anderen Ressource basiert.", fi: "Liittää aineiston oratorioon, joka perustuu toiseen aineistoon.", "zh-hans-cn": "将一种资源与基于另一种资源的一种清唱剧关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/adaptedAsOratorio.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60830",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is adapted as oratorio", ar: "هو مُقتبس كموسيقى دينية لـ", da: "er bearbejdet til oratorium", de: "ist bearbeitet als Oratorium", fi: "oratoriosovitus (aineisto)", nl: "is bewerkt als oratorium", "zh-hans-cn": "被改编为清唱剧"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60832,
      definition: {en: "Relates a resource to a resource that serves as the inspiration for a related resource.", ar: "يربط بين مصدر ومصدر يمثل مصدر إلهام لمصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der tjener som inspiration for en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Anregung für eine in Beziehung stehende Ressource dient.", fi: "Liittää aineiston aineistoon, joka toimii toisen, liittyvän aineiston inspiraationa.", "zh-hans-cn": "将一种资源与作为一种相关资源的启发的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inspiredBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60833",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is inspired by", ar: "هو مُستَوحىً مِن", da: "er inspireret af", de: "ist angeregt durch", fi: "inspiraation lähde (aineisto)", nl: "is geïnspireerd door", "zh-hans-cn": "受……启发"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60305",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60833,
      definition: {en: "Relates a resource to a resource that was inspired by a related resource.", ar: "يربط بين مصدر ومصدر مُستَوحي من مصدر ذي صلة.", da: "Relaterer en ressource til en ressource, der var inspireret af en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die von einer in Beziehung stehenden Ressource angeregt ist.", fi: "Liittää aineiston aineistoon, joka on saanut inspiraatiota toisesta, liittyvästä aineistosta.", "zh-hans-cn": "将一种资源与受一种相关资源启发的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/inspirationFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60832",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is inspiration for", ar: "هو مُستَوحي لـ", da: "er inspiration til", de: "ist Anregung für", fi: "inspiraatio aineistolle", nl: "is inspiratie voor", "zh-hans-cn": "是对……的启发"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60250",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60834,
      definition: {en: "Relates a resource to an agent who has signed, ratified, or acceded to a treaty.", ar: "يربط مصدر بوكيل وقّع، أبرَم، أو انضم إلى معاهدة.", da: "Relaterer en ressource til en regering, mellemstatslig organisation eller anden agent, der har underskrevet, ratificeret eller tiltrådt en traktat.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der ein Abkommen unterzeichnet, ratifiziert hat oder ihm beigetreten ist.", fi: "Liittää aineiston toimijaan joka on allekirjoittanut tai ratifioinut valitosopimuksen tai liittynyt valtiosopimukseen.", "zh-hans-cn": "将一种资源与签署、批准或加入一个条约的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/participantInTreaty.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60835",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has participant in treaty", ar: "له مُشَارِك في معاهدة", da: "har traktatdeltager", de: "hat Vertragspartnerin/Vertragspartner", fi: "valtiosopimuksen allekirjoittaja", nl: "heeft deelnemer in verdrag", "zh-hans-cn": "有条约的参与者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60835,
      definition: {en: "Relates a government, international intergovernmental body, or other agent who has signed, ratified, or acceded to a treaty to a resource.", ar: "يربط بين مصدر وحكومة أو هيئة حكومية دولية، أو وكيل آخر وقّع، أبرَم، أو انضم إلى معاهدة.", da: "Relaterer en regering, mellemstatslig instans eller anden agent, der har underskrevet, ratificeret eller tiltrådt til en traktat til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der eine Regierung, eine internationale zwischenstaatliche Körperschaft oder ein anderer Akteur ein Abkommen unterzeichnet, ratifiziert hat oder ihm beigetreten ist.", fi: "Liittää aineistoon hallituksen, hallitustenvälisen toimielimen tai muun yhteistoimijan, joka on allekirjoittanut tai ratifioinut valitosopimuksen tai liittynyt valtiosopimukseen.", "zh-hans-cn": "将签署、批准或加入一个条约的一个政府、国际政府间组织或其他行为者与一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/participantInTreatyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60834",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is participant in treaty of", ar: "هو مُشَارِك في معاهدة لـ", da: "er traktatdeltager i", de: "ist Vertragspartnerin/Vertragspartner von", fi: "valtiosopimuksen allekirjoittaja (yhteistoimija)", nl: "is deelnemer in verdrag van", "zh-hans-cn": "是……的条约的参与者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60836,
      definition: {en: "Relates a resource to an agent who does research in support of the creation of a resource.", ar: "يربط مصدر بوكيل يُساهم في إجراء بحث لدعم إنشاء مصدر.", da: "Relaterer en ressource til en agent, der udfører forskning til støtte for skabelsen af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der Forschung betreibt, um das Schaffen einer Ressource zu unterstützen.", fi: "Liittää aineiston toimijaan, joka tekee aineiston syntymistä tukevaa tutkimusta.", "zh-hans-cn": "将一种资源与从事研究以支持一种资源的创作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/researcher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60837",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has researcher", ar: "له باحث", da: "har researcher", de: "hat Forscherin/Forscher", fi: "tutkija aineistossa", nl: "heeft onderzoeker", "zh-hans-cn": "有研究者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60837,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for research in support of a resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن البحث لدعم إنشاء مصدر.", da: "Relaterer en agent, der udfører forskning til støtte for skabelsen af en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Forschung zur Unterstützung einer Ressource verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vasta aineiston syntymistä tukevasta tutkimuksesta.", "zh-hans-cn": "将一个行为者与涉及对一种资源研究支持的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/researchOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60836",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is researcher of", ar: "هو باحث لـ", da: "er researcher for", de: "ist Forscherin/Forscher von", fi: "tutkija (toimija) aineistossa", nl: "is onderzoeker van", "zh-hans-cn": "是……的研究者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60838,
      definition: {en: "Relates a resource to an agent who contributes to a resource by applying colour to drawings, prints, photographs, maps, moving images, or other content.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تلوين الرسومات، المطبوعات، الصور الفوتوغرافية، الخرائط، الصور المتحركة، وأي محتوى مرئي آخر.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at farvelægge tegninger, tryk, fotos, kort, levende billeder etc.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Farben auf Zeichnungen, Drucke, Fotografien, Karten, Bewegtbilder und so weiter aufbringt.", fi: "Liittää aineiston toimijaan, joka on osallisena aineistossa värittämällä piirustuksia, vedoksia, valokuvia, karttoja, elokuvia tms.", "zh-hans-cn": "将一种资源与通过将颜色施加于图画、印刷品、照片、地图、动态图像或其他内容上而对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/colourist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60839",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has colourist", ar: "له فني تلوين", da: "har farvelægger", de: "hat Koloristin/Kolorist", fi: "värittäjä aineistossa", nl: "heeft inkleurder", "zh-hans-cn": "有着色者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60839,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of applying colour to drawings, prints, photographs, maps, moving images, etc.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في تلوين الرسومات، المطبوعات، الصور الفوتوغرافية، الخرائط، الصور المتحركة...إلخ.", da: "Relaterer en agent, der har bidraget til en ressource ved at farvelægge tegninger, tryk, fotos, kort, levende billeder etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Farben auf Zeichnungen, Drucke, Fotografien, Karten, Bewegtbilder und so weiter aufbringt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena värittämällä piirustuksia, vedoksia, valokuvia, karttoja, elokuvia tms.", "zh-hans-cn": "将一个行为者与包括将颜色施加于图画、印刷品、照片、地图、动态图像等上的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/colouristOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60838",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is colourist of", ar: "هو فني تلوين لـ", da: "er farvelægger til", de: "ist Koloristin/Kolorist von", fi: "värittäjä (toimija) aineistossa", nl: "is inkleurder van", "zh-hans-cn": "是……的着色者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60840,
      definition: {en: "Relates a resource to an agent who contributes to a resource by applying makeup and prosthetics for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال وضع مكياج أو مكياج ترقيعي لإنتاج فيلم أو في عرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en ressource til en agent, der har bidraget til en ressource ved at lægge makeup og påsætte proteser til en levende billedproduktion eller til en musikalsk eller dramatisk præsentation eller til underholdning.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Schminke und Prothetik für eine Bewegtbildproduktion oder eine musikalische oder dramatische Darbietung oder Aufführung aufträgt.", fi: "Liittää aineiston toimijaan, joka vastaa elokuvan, musikaalin tai näyttämöteoksen maskeerauksesta.", "zh-hans-cn": "将一种资源与通过为动态图像制作或者为音乐或戏剧呈现或娱乐施加化妆品或假体而对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/makeupArtist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60841",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has makeup artist", ar: "له فنان ماكياج", da: "har sminkør", de: "hat Maskenbildnerin/Maskenbildner", fi: "maskeeraaja aineistossa", nl: "heeft make-upartiest", "zh-hans-cn": "有化妆艺术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60841,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of applying makeup and prosthetics for a moving image production or for a musical or dramatic presentation or entertainment.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في وضع مكياج أو مكياج ترقيعي لإنتاج فيلم أو في عرض موسيقي أو درامي أو ترفيهي.", da: "Relaterer en agent, der har bidraget til en ressource ved at lægge makeup og påsætte proteser til en levende billedproduktion eller til en musikalsk eller dramatisk præsentation eller til underholdningtil en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er Schminke und Prothetik für eine Bewegtbildproduktion oder eine musikalische oder dramatische Darbietung oder Aufführung aufträgt.", fi: "Liittää toimijan aineistoon, jonka tekemiseen toimija osallistuu vastaamalla elokuvan, musikaalin tai näyttämöteoksen maskeerauksesta.", "zh-hans-cn": "将一个行为者与包括为动态图像制作或者为音乐或戏剧呈现或娱乐施加化妆品或假体的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/makeupArtistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60840",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is makeup artist of", ar: "هو فنان ماكياج لـ", da: "er sminkør for", de: "ist Maskenbildnerin/Maskenbildner von", fi: "maskeeraaja aineistossa", nl: "is make-upartiest van", "zh-hans-cn": "是……的化妆艺术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60842,
      definition: {en: "Relates a resource to an agent who contributes to an expression by leading a choral performing group in a musical or dramatic presentation.", ar: "يربط بين مصدر ومايِسترو يُساهم في مصدر موسيقي من خلال قيادة فريق كورال في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en dirigent, der har bidraget til en musikressource ved at lede et optrædende kor i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einer Dirigentin/einem Dirigenten, die/der zu einer musikalischen Ressource beiträgt, indem sie/er einen Chor in einer musikalischen oder dramatischen Darbietung leitet.", fi: "Liittää aineiston toimijaan, joka on osallisena aineistossa johtamalla kuoroa musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与通过在音乐或戏剧呈现中领导一个合唱表演团体而对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choralConductor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60843",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has choral conductor", ar: "له مايِسترو كورالي", da: "har kordirigent", de: "hat Chorleiterin/Chorleiter", fi: "kuoronjohtaja", nl: "heeft koordirigent", "zh-hans-cn": "有合唱指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60141",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60843,
      definition: {en: "Relates an agent to a musical resource that includes a contribution by an agent of leading a choral performing group in a musical or dramatic presentation.", ar: "يربط بين وكيل ومصدر موسيقي يتضمن إسهام وكيل في قيادة فريق كورال في عرض موسيقي أو درامي.", da: "Relaterer en dirigent, der har bidraget til en musikressource ved at lede et optrædende kor i en musikalsk eller dramatisk præsentation etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer musikalischen Ressource, zu der ein Akteur beiträgt, indem er einen Chor in einer musikalischen oder dramatischen Darbietung leitet.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena johtamalla kuoroa musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一个行为者与包括在音乐或戏剧呈现中领导一个合唱表演团体的一个行为者的贡献的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/choralConductorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60842",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is choral conductor of", ar: "هو مايِسترو كورالي لـ", da: "er kordirigent i", de: "ist Chorleiterin/Chorleiter von", fi: "kuoronjohtaja (toimija) aineistossa", nl: "is koordirigent van", "zh-hans-cn": "是……的合唱指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60016",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60844,
      definition: {en: "Relates a resource to an agent who contributes to a resource by leading an instrumental performing group in a musical or dramatic presentation.", ar: "يربط بين مصدر ومايِسترو يُساهم في مصدر موسيقي من خلال قيادة فرقة عزف في عرض موسيقي أو درامي.", da: "Relaterer en ressource til en dirigent, der har bidraget til en musikressource ved at lede en optrædende instrumentalgruppe i en musikalsk eller dramatisk præsentation etc.", de: "Setzt eine Ressource in Beziehung zu einer Dirigentin/einem Dirigenten, die/der zu einer musikalischen Ressource beiträgt, indem sie/er eine Instrumentalgruppe in einer musikalischen oder dramatischen Darbietung leitet.", fi: "Liittää aineiston kapellimestariin, joka osallistuu aineiston tekemiseen johtamalla soitinryhmää musiikki- tai näytelmäesityksessä.", "zh-hans-cn": "将一种资源与通过在一个音乐或戏剧呈现中领导一个器乐表演团体而对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instrumentalConductor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60845",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has instrumental conductor", ar: "له مايِسترو لآلات عزف", da: "har instrumentaldirigent", de: "hat Orchesterleiterin/Orchesterleiter", fi: "kapellimestari aineistossa", nl: "heeft instrumentaal dirigent", "zh-hans-cn": "有器乐指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60141",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60845,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of conducting and leading an instrumental performing group in a musical or dramatic presentation", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في إدارة فرقة عزف وقيادتها في عرض موسيقي أو درامي.", da: "Relaterer en dirigent, der har bidraget til en musikressource ved at lede en optrædende instrumentalgruppe i en musikalsk eller dramatisk præsentation etc. til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er eine Instrumentalgruppe in einer musikalischen oder dramatischen Darbietung leitet.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena johtamalla soitinryhmää musiikki- tai näytelmäesityksessä tms.", "zh-hans-cn": "将一个行为者与包括在音乐或戏剧呈现中指挥并领导一个器乐表演团体的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instrumentalConductorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60844",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is instrumental conductor of", ar: "هو مايِسترو لآلات عزف لـ", da: "er instrumentaldirigent i", de: "ist Orchesterleiterin/Orchesterleiter von", fi: "kapellimestari (toimija) aineistossa", nl: "is instrumentaal dirigent van", "zh-hans-cn": "是……的器乐指挥"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60016",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60846,
      definition: {en: "Relates a resource to a resource created to commemorate an earlier resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه للاحتفاء بمصدر سابق.", da: "Relaterer en ressource til en ressource, der er skabt for at mindes en tidligere ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die erstellt wurde, um einer früheren Ressource zu gedenken.", fi: "Liittää aineiston aineistoon, joka on luotu aiemman aineiston muistoksi.", "zh-hans-cn": "将一种资源与被创建以纪念一种较早资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commemoration.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60847",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has commemoration", ar: "له إحْياء ذِكْرى أو تكريم", da: "har mindemarkering", de: "hat Gedenkschrift", fi: "muistoaineisto", nl: "heeft herdenking", "zh-hans-cn": "有纪念"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60848",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60847,
      definition: {en: "Relates a resource to a resource commemorated in a later resource.", ar: "يربط بين مصدر ومصدر تم الاحتفاء به في عمل لاحق.", da: "Relaterer n ressource til en ressource, der mindes i en senere ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, der durch eine spätere Ressource gedacht wird.", fi: "Liittää aineiston aineistoon, jota muistetaan myöhemmässä aineistossa.", "zh-hans-cn": "将一种资源与被一种较晚资源纪念的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/commemorationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60846",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is commemoration of", ar: "هو إحْياء ذِكْرى أو تكريم لـ", da: "er mindemarkering af", de: "ist Gedenkschrift für", fi: "muistoaineisto", nl: "is herdenking van", "zh-hans-cn": "是……的纪念"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60848",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60848,
      definition: {en: "Relates a resource to a resource that references a related resource. (Deprecated)", da: "Relaterer en ressource til en ressource der henviser til en anden ressource."},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60846", "http://rdaregistry.info/Elements/u/P60847"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/referentialResourceRelationship.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60848",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has referential resource relationship with (Deprecate)", da: "har henvisende ressourcerelation med"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60849,
      definition: {en: "Relates a resource to an agent who organizes a conference, exhibition, or other event that gives rise to a resource.", ar: "يربط مصدر بوكيل يُنظم مؤتمر، معرض، أو حدث آخر يسفر عن مصدر.", da: "Relaterer en ressource til en agent, der har arrangeret den udstilling, event eller konference eller det kursus eller program etc., der gav anledning til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der eine Konferenz, eine Ausstellung oder ein anderes Ereignis organisiert beziehungsweise veranstaltet, aus der/dem eine Ressource hervorgeht.", fi: "Liittää aineiston toimijaan, joka järjestää konferenssin, näyttelyn tai muun tapahtuman, jonka seurauksena syntyy aineisto.", "zh-hans-cn": "将一种资源与组织会议、展览或其他事件以产生一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/organizer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60850",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has organizer", ar: "له مُنَظِّم", da: "har arrangør", de: "hat Veranstalterin/Veranstalter", fi: "järjestäjä aineistossa", nl: "heeft organisator", "zh-hans-cn": "有组织者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60850,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for organizing a conference, exhibition, or other event that gives rise to a resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تنظيم مؤتمر، معرض، أو حدث آخر يسفر عن مصدر.", da: "Relaterer en agent, der organiserer en udstilling, et event, en konference etc. der gav ophav til en ressource til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Organisation beziehungsweise Veranstaltung einer Konferenz, einer Ausstellung oder eines anderen Ereignisses verantwortlich ist, aus der/dem eine Ressource hervorgeht.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa konferenssin, näyttelyn tai muun tapahtuman, jonka seurauksena syntyy aineisto, järjestämisestä.", "zh-hans-cn": "将一个行为者与涉及组织会议、展览或其他事件以产生一种作品的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/organizerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60849",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is organizer of", ar: "هو مُنَظِّم لـ", da: "er arrangør af", de: "ist Veranstalterin/Veranstalter von", fi: "järjestäjä (toimija) aineistossa", nl: "is organisator van", "zh-hans-cn": "是……的组织者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60851,
      definition: {en: "Relates a resource to an agent who contributes to a resource by revising the content of another resource for the purpose of suppressing content deemed objectionable on moral, political, military, or other grounds, but leaving the nature and general content substantially unchanged.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال مراجعة محتوى بغرض حذف المحتوى الذي قد يُرفض لأسباب أخلاقية أو سياسية أو عسكرية أو لاعتبارت أخرى، دون إحداث تغيير جوهري في طابعه العام أو في مضمونه.", da: "Relaterer en ressource til en agent, der bidrager til en ressource ved at revidere indholdet med henblik på at undertrykke dele, der anses for at være moralsk, politisk, militært eller af anden årsag stødende, men som i alt væsentligt lader originalværkets karakter og indhold være uændret.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er den Inhalt überarbeitet, um Teile zu unterdrücken, die aus moralischen, politischen, militärischen oder anderen Gründen unerwünscht sind, ohne den Charakter und den Inhalt substantiell zu verändern.", fi: "Liittää aineiston toimijaan, joka tarkastaa aineiston sisältöä kiistanalaisen sisällön salaamiseksi moraalisin, poliittisin, sotilaallisin tai muin perustein, mutta jättäen alkuperäisen teoksen luonteen ja yleisen sisällön olennaisilta osiltaan muuttumattomaksi.", "zh-hans-cn": "将一种资源与通过修订另一种资源的内容以禁止视为不符合道德、政治、军事或其他背景的内容但却保持性质和总体内容不变而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60434",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/censor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Substantial modification that results in the creation of a new resource is excluded.", ar: "يُستبعد إجراء تعديل جوهري ينتج عنه إنشاء مصدر جديد.", da: "Væsentlige ændringer, der resulterer i skabelsen af et nyt værk er ikke omfattet.", de: "Darunter fallen keine substantiellen Veränderungen, die zur Schaffung einer neuen Ressource führen.", fi: "Ei koske oleellista muokkausta, joka johtaa uuden aineiston luomiseen.", "zh-hans-cn": "不包括导致一种新资源创作的实质性修改。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60852",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has censor", ar: "له رقيب من طرف الرقابة", da: "har censor", de: "hat Zensorin/Zensor", fi: "sensori (toimija) aineistossa", nl: "heeft censor", "zh-hans-cn": "有审查者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60852,
      definition: {en: "Relates an agent to a resource that includes a contribution for revising the content for the purpose of suppressing parts deemed objectionable on moral, political, military, or other grounds, but leaving the nature and content substantially unchanged.", ar: "يربط بين وكيل ومصدر يتضمن المُساهمة في مراجعة محتوى بغرض حذف المحتوى الذي قد يُرفض لأسباب أخلاقية أو سياسية أو عسكرية أو لاعتبارت أخرى، دون إحداث تغيير جوهري في طابعه العام أو في مضمونه.", da: "Relaterer en agent, der har bidraget til en ressource ved at revidere indholdet med henblik på at undertrykke dele, der anses for at være moralsk, politisk, militært eller af anden årsag stødende, men som i alt væsentligt har ladt det oprindelige værks karakter og indhold være uændret til en ressource", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er den Inhalt überarbeitet, um Teile zu unterdrücken, die aus moralischen, politischen, militärischen oder anderen Gründen unerwünscht sind, ohne den Charakter und den Inhalt substantiell zu verändern.", fi: "Liittää toimijan aineistoon, jossa toimija tarkastaa aineiston sisältöä kiistanalaisen sisällön salaamiseksi moraalisin, poliittisin, sotilaallisin tai muin perustein, mutta jättäen alkuperäisen teoksen luonteen ja yleisen sisällön olennaisilta osiltaan muuttumattomaksi.", "zh-hans-cn": "将一个行为者与包括修订内容以禁止视为不符合道德、政治、军事或其他背景的内容但却保持性质和总体内容不变的一个行为者的贡献的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60663",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/censorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Substantial modification that results in the creation of a new resource is excluded.", ar: "يُستبعد إجراء تعديل جوهري ينتج عنه إنشاء مصدر جديد.", da: "Væsentlige ændringer, der resulterer i skabelsen af et nyt værk er ikke omfattet.", de: "Darunter fallen keine substantiellen Veränderungen, die zur Schaffung einer neuen Ressource führen.", fi: "Ei koske oleellista muokkausta, joka johtaa uuden aineiston luomiseen.", "zh-hans-cn": "不包括导致一种新资源创作的实质性修改。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60851",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is censor of", ar: "هو رقيب من طرف الرقابة لـ", da: "er censor i", de: "ist Zensorin/Zensor von", fi: "sensori (toimija) aineistossa", nl: "is censor van", "zh-hans-cn": "是……的审查者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60626",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60853,
      definition: {en: "Relates an agent to an agent who is a fellow member of a profession, staff, or academic faculty.", ar: "يربط بين وكيل وزميل عضو في مهنة، في هيئة تدريس، أو في كلية أكاديمية.", da: "Relaterer en agent til en medlem af samme profession, personale, eller akademisk fakultet.", de: "Setzt einen Akteur in Beziehung zu jemandem der mit anderen zusammen im gleichen Beruf, im gleichen Betrieb, in der gleichen Einrichtung oder Organisation und so weiter tätig ist.", fi: "Liittää toimijan toimijaan, joka on saman ammattikunnan, henkilöstön tai tieteenalan jäsen.", "zh-hans-cn": "将一个行为者与作为从业、行政或教学的同事的一个行为者关联起来"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60857", "http://rdaregistry.info/Elements/u/P60858", "http://rdaregistry.info/Elements/u/P60859", "http://rdaregistry.info/Elements/u/P60860"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/colleague.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60853",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has colleague", ar: "له زميل", da: "har kollega", de: "hat Kollegin/Kollegen", fi: "kollega (toimija)", nl: "heeft collega", "zh-hans-cn": "有同事"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60854,
      definition: {en: "Relates an agent to an agent who shares a bond of mutual affection or regard with a related agent.", ar: "يربط بين وكيل ووكيل تجمعه مودة أو احترام متبادل مع وكيل ذي صلة.", da: "Relaterer en agent til en agent, der deler et bånd af gensidig ømhed eller respekt med en anden agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der eine gegenseitige Zuneigung oder Achtung mit einem in Beziehung stehenden Akteur teilt.", fi: "Liittää toimijan toimijaan, jolla on molemminpuolinen kiintymys- tai kunnioitussuhde liittyvään toimijaan.", "zh-hans-cn": "将一个行为者与和一个相关行为者有共同感情或尊重的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/friend.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60854",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has friend", ar: "له صديق", da: "har ven", de: "hat Freundin/Freund", fi: "ystävä (toimija)", nl: "heeft vriend", "zh-hans-cn": "有朋友"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60855,
      definition: {en: "Relates an agent to an agent who receives instruction at an educational institution.", ar: "يربط بين وكيل ووكيل يتلقى التعليم في مؤسسة تعليمية.", da: "Relaterer en agent til en agent, der modtager undervisning ved en uddannelsesinstitution.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der in einer Bildungseinrichtung unterrichtet wird.", fi: "Liittää toimijan toimijaan, joka saa opetusta oppilaitoksessa.", "zh-hans-cn": "将一个行为者与在一个教育机构里接受教学的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/enrolledStudent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60856",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has enrolled student", ar: "له طالب مسجل", da: "har indskreven studerende", de: "hat immatrikulierte Studentin/immatrikulierten Studenten", fi: "oppilas (toimija)", nl: "heeft ingeschreven student", "zh-hans-cn": "有注册学生"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60856,
      definition: {en: "Relates an agent to an agent who is an educational institution that provides instruction to an agent.", ar: "يربط بين وكيل ووكيل هو مؤسسة تعليمية تقدم التعليم لوكيل.", da: "Relaterer en agent til en uddannelsesinstitution, der giver undervisning til en agent.", de: "Setzt einen Akteur in Beziehung zu einer Bildungseinrichtung, die einem Akteur Unterricht erteilt.", fi: "Liittää henkilön henkilöön, joka saa opetusta toiselta toimijalta.", "zh-hans-cn": "将一个行为者与作为教育机构为一个行为者提供教学的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/studentAt.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60855",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is student at", ar: "هو طالب في", da: "er studerende på", de: "ist Studentin/Student an", fi: "oppilas (toimija)", nl: "is student aan", "zh-hans-cn": "是……处的学生"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60857,
      definition: {en: "Relates an agent to an agent who is a colleague who helps another agent.", ar: "يربط بين وكيل ووكيل هو زميل يساعد وكيلًا آخر.", da: "Relaterer en agent til en kollega, der hjælper en anden agent.", de: "Setzt einen Akteur in Beziehung zu einer Kollegin/einem Kollegen, die/der einen anderen Akteur unterstützt.", fi: "Liittää toimijan toimijaan, joka on kollega, joka avustaa toista toimijaa.", "zh-hans-cn": "将一个行为者与作为帮助另一个行为者的同事的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/assistant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60588",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has assistant", ar: "له مساعد", da: "har assistent", de: "hat Assistentin/Assistenten", fi: "assistentti (toimija)", nl: "heeft assistent", "zh-hans-cn": "有助理"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60853",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60858,
      definition: {en: "Relates an agent to an agent who is a colleague who is helped by another agent.", ar: "يربط بين وكيل ووكيل هو زميل تلقى مساعدة من وكيلًا آخر.", da: "Relaterer en agent til en kollega, der bliver hjulpet af en anden agent.", de: "Setzt einen Akteur in Beziehung zu einer Kollegin/einem Kollegen, der/dem von einem anderen Akteur geholfen wird.", fi: "Liittää toimijan toimijaan, joka on kollega, jota toinen toimija avustaa.", "zh-hans-cn": "将一个行为者与作为另一个行为者帮助的同事的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/assistantTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60587",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is assistant to", ar: "هو مساعد لـ", da: "er assistent for", de: "ist Assistentin/Assistent von", fi: "assistentti (toimija)", nl: "is assistent van", "zh-hans-cn": "是……的助理"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60853",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60859,
      definition: {en: "Relates an agent to an agent who is a colleague who works with or shares a task with another agent.", ar: "يربط بين وكيل ووكيل هو زميل يعمل مع وكيلًا ذي صلة أو يشاركه مهمة.", da: "Relaterer en agent til en kollega, der arbejder sammen med eller deler opgaver med en anden agent.", de: "Setzt einen Akteur in Beziehung zu einer Kollegin/einem Kollegen, die/der mit einem in Beziehung stehenden Akteur zusammenarbeitet oder mit ihm eine Aufgabe teilt.", fi: "Liittää toimijan, toimijan, joka on joka on kollega, joka työskentelee tai jakaa tehtävän liittyvän toimijan kanssa.", "zh-hans-cn": "将一个行为者与作为同事与另一个行为者一起工作或分担一个任务的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/coworker.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60859",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has co-worker", ar: "له زميل عمل", da: "har arbejdskollega", de: "hat Arbeitskollegin/Arbeitskollegen", fi: "työtoveri (toimija)", nl: "heeft naaste collega", "zh-hans-cn": "有共事者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60853",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60860,
      definition: {en: "Relates an agent to an agent who is a colleague working with a related agent in an activity of common interest, most often a business partnership.", ar: "يربط بين وكيل ووكيل هو زميل يعمل مع وكيل ذي صلة في نشاط محل اهتمام مشترك، غالبًا شراكة تجارية.", da: "Relaterer en agent til en kollega, der arbejder sammen med en anden agent med en aktivitet af fælles interesse, i de fleste tilfælde, et forretningspartnerskab.", de: "Setzt einen Akteur in Beziehung zu einer Kollegin/einem Kollegen, die/der mit einem in Beziehung stehenden Akteur in einer Tätigkeit von gemeinsamem Interesse, meist in einer Geschäftspartnerschaft, zusammenarbeitet.", fi: "Liittää toimijan toimijaan, joka on kollega, joka toimii toisen toimijan kanssa yhteiseksi hyväksi, useimmiten liikekumppanina.", "zh-hans-cn": "将一个行为者与作为同事与一个相关行为者在共同兴趣范围内一起工作（最常见的是商业合伙人）的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partner.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60860",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has partner", ar: "له شريك", da: "har partner", de: "hat Partnerin/Partner", fi: "kumppani (toimija)", nl: "heeft bedrijfspartner", "zh-hans-cn": "有合伙人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60853",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60861,
      definition: {en: "Relates an agent to an agent who is an associate of another student who is also formally engaged in learning.", ar: "يربط بين وكيل وزميل طالب آخر ينخرط أيضًا في التعلم بصورة رسمية.", da: "Relaterer en agent til en en anden students kollega, der også er formelt beskæftigt med at studere.", de: "Setzt einen Akteur in Beziehung zu einer Studienkollegin/einem Studienkollegen einer anderen Studentin/eines anderen Studenten, die/der sich ebenfalls offiziell mit Studieren befasst.", fi: "Liittää toimijan kanssaopiskelijaan, joka myös virallisesti opiskelee.", "zh-hans-cn": "将一个行为者与作为另一个也是正式参加学习的学生的伙伴的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fellowStudent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60861",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has fellow student", ar: "له زميل دراسة", da: "har medstuderende", de: "hat Kommilitonin/Kommilitonen", fi: "opiskelutoveri (toimija)", nl: "heeft medestudent", "zh-hans-cn": "有同学"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60862,
      definition: {en: "Relates an agent to an agent who receives instruction from a related agent.", ar: "يربط بين وكيل ووكيل يتلقى تعليمات من وكيل ذي صلة.", da: "Relaterer en agent til en agent, der modtager undervisning af en anden agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der von einem in Beziehung stehenden Akteur unterrichtet wird.", fi: "Liittää toimijan toimijaan joka saa opetusta toiselta, liittyvältä toimijalta.", "zh-hans-cn": "将一个行为者与从一个相关行为者接受教学的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/student.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60863",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has student", ar: "له طالب", da: "har student", de: "hat Studentin/Student", fi: "oppilas (toimija)", nl: "heeft student", "zh-hans-cn": "有学生"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60863,
      definition: {en: "Relates an agent to an agent who instructs a related agent.", ar: "يربط بين وكيل ووكيل يقوم بتعليم وكيل ذي صلة.", da: "Relaterer en agent til en agent, der underviser en anden agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen in Beziehung stehenden Akteur unterrichtet.", fi: "Liittää toimijan toista toimijaa opettavaan liittyvään toimijaan.", "zh-hans-cn": "将一个行为者与给予一个相关行为者教学的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/teacher.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60862",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has teacher", ar: "له مدرس", da: "har lærer", de: "hat Lehrerin/Lehrer", fi: "opettaja (toimija)", nl: "heeft leraar", "zh-hans-cn": "有教师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60454",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60864,
      definition: {en: "Relates an agent to an officer who is a top ranking official of an agent.", ar: "يربط بين وكيل ومسؤول رفيع المستوى لدى وكيل.", da: "Relaterer en agent til en embedsmand, der har den højeste stilling i en agent.", de: "Setzt einen Akteur in Beziehung zu einer leitenden Angestellten/einem leitenden Angestellten, die/der das höchste Amt innehat.", fi: "Liittää yhteistoimijan toimijan toimihenkilöön, joka kuuluu yhteisön ylimpiin viranhaltijoihin.", "zh-hans-cn": "将一个行为者与作为一个行为者顶级官员的一个任职者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/chiefExecutive.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60865",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has chief executive", ar: "له رئيس تنفيذي", da: "har virksomhedsleder", de: "hat Geschäftsführerin/Geschäftsführer", fi: "pääjohtaja (toimija)", nl: "heeft directeur", "zh-hans-cn": "有总裁"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60633",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60865,
      definition: {en: "Relates an agent to an agent in which an officer is a top ranking official.", ar: "يربط بين وكيل ووكيل يكون فيه المسؤول رفيع المستوى.", da: "Relaterer en agent til en agent, hvor en embedsmand har den højeste stilling.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, bei dem eine leitende Angestellte/ein leitender Angestellter das höchste Amt innehat.", fi: "Liittää toimijan yhteistoimijaan, jossa toimija kuuluu ylimpiin viranhaltijoihin.", "zh-hans-cn": "将一个行为者与一个任职者在其中任顶级官员的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/chiefExecutiveOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60864",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is chief executive of", ar: "هو رئيس تنفيذي لـ", da: "er virksomhedsleder for", de: "ist Geschäftsführerin/Geschäftsführer von", fi: "pääjohtaja (toimija)", nl: "is directeur van", "zh-hans-cn": "是……的总裁"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60737",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60866,
      definition: {en: "Relates an agent to an officer granted powers of administration in an agent in order to act for its benefit.", ar: "يربط بين وكيل ومسؤول مُنح صلاحيات الإدارة فيها للعمل من أجل مصلحتها.", da: "Relaterer en agent til en embedsmand, der har fået administrationsbeføjelse i en agent til at agere i dens interesse.", de: "Setzt einen Akteur in Beziehung zu einer leitenden Angestellten/einem leitenden Angestellten, der/dem die Verwaltungsvollmachten über einen Akteur übertragen wird, um zu dessen Nutzen zu agieren.", fi: "Liittää toimijan toimihenkilöön, jolla on valtuudet tehdä päätöksiä yhteisön eduksi.", "zh-hans-cn": "将一个行为者与在一个行为者中被赋予为其利益行动的权力一个任职者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/trustee.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60867",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has trustee", ar: "له مدير عام", da: "har forvalter", de: "hat Treuhänderin/Treuhänder", fi: "edunvalvoja (toimija)", nl: "heeft trustee", "zh-hans-cn": "有受托人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60633",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60867,
      definition: {en: "Relates an agent to an agent who grants powers of administration to an officer in order to act for its benefit.", ar: "يربط بين وكيل ووكيل مُنح صلاحيات الإدارة فيها للعمل من أجل مصلحتها.", da: "Relaterer en agent til en agent, der giver administrationsbeføjelser til en embedsmand til at agere i dens interesse.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einer leitenden Angestellten/einem leitenden Angestellten die Verwaltungsvollmachten überträgt, um zu dessen Nutzen zu agieren.", fi: "Liittää toimijan yhteistoimijaan, jossa toimihenkilöllä on valtuudet tehdä päätöksiä yhteisön eduksi.", "zh-hans-cn": "将一个行为者与赋予一个任职者为其利益行动的权力的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/trusteeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60866",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is trustee of", ar: "هو مدير عام لـ", da: "er forvalter af", de: "ist Treuhänderin/Treuhänder von", fi: "edunvalvoja (toimija)", nl: "is trustee van", "zh-hans-cn": "是……的受托人"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60737",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60868,
      definition: {en: "Relates a resource to a note on resource that provides information on an identifier for a resource.", ar: "يربط بين مصدر وتبصرة على مصدر تعطي معلومات عن معرف لمصدر.", da: "Relaterer en ressource til en note, der giver oplysninger om identifikatorer for ressourcen, der ikke fremgår af identifikatorangivelsen for ressourcen.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen über einen Identifikator für eine Ressource enthält.", fi: "Liittää aineiston huomautukseen, joka sisältää tietoa aineiston tunnisteesta.", "zh-hans-cn": "将一个资源与提供关于一种资源的一个标识符的信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnIdentifierForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on identifier for resource", ar: "له تبصرة عن محدد لمصدر", da: "har note om identifikator for ressourcen", de: "hat Anmerkung zum Identifikator für eine Ressource", fi: "huomautus aineiston tunnisteesta", nl: "heeft noot bij identificatie van resource", "zh-hans-cn": "有关于资源的标识符的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60869,
      definition: {en: "Relates a resource to an agent who has legal or intellectual responsibility, but not creative responsibility, for the editorial policy and content of a diachronic resource.", ar: "يربط مصدر بوكيل يتحمل مسؤولية قانونية أو مسؤولية فكرية، ولا يتحمل مسؤولية إبداعية، بشأن سياسة تحريرية ومحتوى مصدر ممتد زمنيا.", da: "Relaterer en ressource til en agent, der er juridisk og/eller intellektuelt ansvarlig for indholdet, bortset fra dets skabelse, af et periodikum, en integrerende ressource eller et flerbindsværk.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der die rechtliche oder intellektuelle, aber keine kreative, Verantwortung für die redaktionelle Vorgehensweise und den Inhalt einer diachronen Ressource trägt.", fi: "Aineisto, jossa toimija on juridisesti tai tiedollisesti, mutta ei luovasti, vastuussa diakronisen aineiston toimituslinjasta ja sisällöstä.", "zh-hans-cn": "将一种资源与有对一种历时资源的编辑政策和内容的法律或知识责任（但非创作责任）的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60393",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorialDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60870",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has editorial director", ar: "له مدير تحرير", da: "har ansvarshavende redaktør", de: "hat Chefredakteurin/Chefredakteur", fi: "toimituspäällikkö aineistossa", nl: "heeft hoofdredacteur", "zh-hans-cn": "有主编"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60870,
      definition: {en: "Relates an agent to a resource that involves a responsibility other than creating for the content of a serial, integrating resource, or multipart monographic resource.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية تختلف عن إنشاء محتوى تسلسلي، مصدر متكامل، أو مصدر دراسات متعددة الأجزاء.", da: "Relaterer en agent, der er juridisk og/eller intellektuelt ansvarlig for indholdet, bortset fra dets skabelse,  af et periodikum, en integrerende ressource eller et flerbindsværk til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer anderen Verantwortung verbunden ist, als den Inhalt einer fortlaufenden, integrierenden oder mehrteiligen monografischen Ressource zu erstellen.", fi: "Liittää toimijan aineistoon, jossa toimija on juridisesti tai tiedollisesti, mutta ei luovasti, vastuussa diakronisen aineiston toimituslinjasta ja sisällöstä.", "zh-hans-cn": "将一个行为者与涉及对一种连续出版物、集成性资源或多部分单行资源的内容创作以外的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60621",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorialDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60869",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is editorial director of", ar: "هو مدير تحرير لـ", da: "er ansvarshavende redaktør af", de: "ist Chefredakteurin/Chefredakteur von", fi: "toimituspäällikkö (toimija)", nl: "is hoofdredacteur van", "zh-hans-cn": "是……的主编行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60871,
      definition: {en: "Relates a resource to an agent who is responsible for initiating a diachronic resource.", ar: "يربط مصدر بوكيل مسؤول عن البدء في مصدر ممتد زمنيًا.", da: "Relaterer en ressource til en agent, der er ansvarlig for at have etableret et periodikum, en integrerende ressource eller et flerbindsværk.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Begründen einer diachronen Ressource verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on vastannut diakronisen teoksen alullepanosta.", "zh-hans-cn": "将一种资源与负责发起一种历时资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/founderAgentOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60872",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has founder agent of resource", ar: "له وكيل مؤسس لمصدر", da: "har stifter af ressource", de: "hat Begründerin/Begründer einer Ressource", fi: "aineiston perustaja", nl: "heeft oprichter-actor van resource", "zh-hans-cn": "有资源的创办者行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60374",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60872,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for establishing a serial, integrating resource, or multipart monograph.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل إنشاء سلسلة، مصدر متكامل، أو دراسات متعددة الأجزاء.", da: "Relaterer en agent, der er ansvarlig for at have etableret et periodikum, en integrerende ressource eller et flerbindsværk til en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung eines Akteurs verbunden ist, eine fortlaufende, integrierende oder mehrteilig monografische Ressource einzuführen.", fi: "Liittää toimijan aineistoon, johon liittyy toimijan vastuu sarja-aineiston, päivittyvän aineiston tai moniosaisen monografian luomisesta.", "zh-hans-cn": "将一个行为者与涉及创办一种连续出版物、集成性资源或多部分单行出版物的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/founderAgentOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60871",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is founder agent of resource of", ar: "هو وكيل مؤسس لمصدر لـ", da: "er stifter af værk til", de: "ist Begründerin/Begründer einer Ressource von", fi: "perustaja (toimija) aineistossa", nl: "is oprichter-actor van resource van", "zh-hans-cn": "是……的资源的创办者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60602",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60873,
      definition: {en: "Relates a resource to a general designation of the ratio of the width to the height of a moving image.", ar: "يربط بين مصدر وتسمية عامة لنسبة من العرض إلى ارتفاع لصورة متحركة.", da: "Relaterer en ressource til en almindelig betegnelse for det numeriske forhold mellem bredde og højde i et levende billede.", de: "Setzt eine Ressource in Beziehung zu einer allgemeinen Bezeichnung des Verhältnisses von Breite zu Höhe eines Bewegtbilds.", fi: "Liittää aineiston liikkuvan kuvan aineiston leveyden ja korkeuden välisen suhteen yleiseen määritteeseen.", "zh-hans-cn": "将一种资源与一种动态图像的宽和高的比之一般标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aspectRatioDesignation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has aspect ratio designation", ar: "له تسمية نسب باعية", da: "har billedformatbetegnelse", de: "hat Bezeichnung eines Bildformats", fi: "kuvasuhdemäärite aineistolle", nl: "heeft aspectratio-aanduiding", "zh-hans-cn": "有宽高比标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60874,
      definition: {en: "Relates a resource to a general designation of a lack of a ratio of the dimensions of the content of an image or three-dimensional form to the dimensions of the thing it represents.", ar: "يربط بين مصدر وتسمية عامة لنقص نسبة أبعاد محتوى صورة أو شكل ثلاثي الأبعاد إلى أبعاد الشيء الذي تمثله.", da: "Relaterer en ressource til en almindelig betegnelse for manglen på forhold mellem indholdet af et billede eller en tredimensionel form, og dimensionerne for den ting, billedet eller formen repræsenterer.", de: "Setzt eine Ressource in Beziehung zu einer allgemeinen Bezeichnung für ein fehlendes Verhältnis der Abmessungen des Inhalts eines Bilds oder einer dreidimensionalen Form zu den Abmessungen der Sache, das es/sie repräsentiert.", fi: "Liittää aineiston yleiseen määritteeseen kuvan tai kolmiulotteisen muodon ja niiden esittämän asian mittojen välisten mittasuhteiden puuttumisesta.", "zh-hans-cn": "将一种资源与关于一个图像或三维形式之内容的尺寸与其所表示的事物之尺寸之比缺失的一般标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scaleDesignation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scale designation", ar: "له تسمية مقياس", da: "har målestoksbetegnelse", de: "hat Maßstabsbezeichnung", fi: "mittakaavan määrite aineistolle", nl: "heeft schaalaanduiding", "zh-hans-cn": "有比例尺标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60875,
      definition: {en: "Relates a resource to a machine-readable representation of geospatial features.", ar: "يربط بين مصدر وتمثيل مقروء آليًا لملامح جغرافية مكانية.", da: "Relaterer en ressource til en maskinlæsbar repræsentation af geospatiale træk.", de: "Setzt eine Ressource in Beziehung zu einer maschinenlesbaren Darstellung von Geodaten.", fi: "Liittää aineiston maantieteellisten ominaisuuksien konelukuiseen esitykseen.", "zh-hans-cn": "将一种资源与地理空间特征的机器可读表现关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/cartographicDataType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has cartographic data type", ar: "له نوع بيانات خرائطية", da: "har kartografisk datatype", de: "hat kartografischen Datentyp", fi: "aineiston kartografinen tietotyyppi", nl: "heeft cartografisch datatype", "zh-hans-cn": "有地图数据类型"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60323",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60876,
      definition: {en: "Relates a resource to details of a machine-readable representation of geospatial features.", ar: "يربط بين مصدر وتفاصيل عن تمثيل مقروء آليًا لملامح جغرافية مكانية.", da: "Relaterer en ressource til detaljer om en maskinlæsbar repræsentation af geospatiale træk.", de: "Setzt eine Ressource in Beziehung zu den Details zu einer maschinenlesbaren Darstellung von Geodaten.", fi: "Liittää aineiston tarkempiin tietoihin maantieteellisten ominaisuuksien konelukuisesta esityksestä.", "zh-hans-cn": "将一种资源与地理空间特征的机器可读表现的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfCartographicDataType.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of cartographic data type", ar: "له تفاصيل عن نوع بيانات خرائطية", da: "har detaljer om kartografisk datatype", de: "hat Details zum kartografischen Datentyp", fi: "aineiston kartografisen tietotyypin tarkemmat tiedot", nl: "heeft details van cartografisch datatype", "zh-hans-cn": "有地理数据类型的细节"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60877,
      definition: {en: "Relates a resource to a general designation of the size of a micro-image in relation to an original from which it was produced.", ar: "يربط بين مصدر وتسمية عامة لحجم الصورة المصغرة وعلاقتها بالأصل الذي تم إنتاجها منه.", da: "Relaterer en ressource til en almindelig betegnelse for størrelsen på et mikrobillede i forhold til den original, som det er fremstillet ud fra.", de: "Setzt eine Ressource in Beziehung zu einer allgemeinen Bezeichnung für die Größe eines Mikro-Bilds im Verhältnis zum Original, von dem es hergestellt wird.", fi: "Liittää aineiston yleiseen määritteeseen, joka ilmaisee mikrokokoiseksi pienennetyn kuvan suhteen alkuperäiseen kuvaan, josta pienennetty kuva on tuotettu.", "zh-hans-cn": "将一种资源与缩微图像尺寸和其所复制的原件之间关系的一般标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reductionRatioDesignation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has reduction ratio designation", ar: "له تسمية نسبة تصغير الصور", da: "har reduktionsforholdsbetegnelse", de: "hat Bezeichnung des Verkleinerungsfaktors", fi: "pienennyssuhteen määrite aineistolle", nl: "heeft aanduiding verkleiningfactor", "zh-hans-cn": "有缩率标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60878,
      definition: {en: "Relates an agent to a name used as a family name.", ar: "يربط بين وكيل واسم يُستخدم كاسم عائلة.", da: "Relaterer en agent til et navn, der anvendes som familienavn.", de: "Setzt einen Akteur in Beziehung zu einem Namen, der als Familienname benutzt wird.", fi: "Liittää toimijan suvun nimenä käytettyyn nimeen.", "zh-hans-cn": "将一个行为者与用作家族姓氏的一个名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/surname.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61196",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has surname", ar: "له اسم عائلة", da: "har efternavn", de: "hat Nachname", fi: "toimijan sukunimi", nl: "heeft achternaam", "zh-hans-cn": "有姓"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60879,
      definition: {en: "Relates an agent to a nomen that is a name of agent given at birth or at some later point in addition to, or instead of, a surname.", ar: "يربط بين وكيل واسم أطلق على وكيل عند ولادته أو لاحقا مضافا إليه اسم عائلة أو عوضا عنه.", da: "Relaterer en agent til et navn, der gives til en agent ved fødslen eller, på et senere tidspunkt oveni, eller i stedet for, et efternavn.", de: "Setzt einen Akteur in Beziehung zu einem Namen, der ihm bei der Geburt oder zu einem späteren Zeitpunkt, zusätzlich oder anstatt eines Nachnamens, gegeben wird.", fi: "Liittää toimijan nimeen, joka on annettu toimijalle syntymässä tai myöhempänä ajankohtana sukunimen lisäksi tai sen sijaan.", "zh-hans-cn": "将一个行为者与作为行为者在出生时候或之后某时候被给予、姓以外附加或替代姓的一个名称的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/givenName.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61193",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has given name", ar: "له اسم أول", da: "har fornavn", de: "hat Vornamen", fi: "toimijan etunimi", nl: "is voornaam", "zh-hans-cn": "有名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60880,
      definition: {en: "Relates a place to a name of place that is not selected for preference in a specific application or context.", ar: "يربط بين مكان واسم مكان لم يتم اختياره كاسم مختلف مفضل في تطبيق معين أو في سياق معين.", da: "Relaterer et sted til en navn eller navneform, hvorunder et sted er kendt, og som adskiller sig fra det navn eller den navneform, der er valgt som foretrukket navn.", de: "Setzt ein Geografikum in Beziehung zu einem Namen eines Geografikums, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää paikan paikannimeen, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个地点与在一个特定的应用或语境中未被首选的一个地点名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60922",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant name of place", ar: "له اسم مختلف لمكان", da: "har variantnavn for et sted", de: "hat abweichenden Namen eines Geografikums", fi: "paikan varianttinimi", nl: "heeft variant naam van plaats", "zh-hans-cn": "有地点的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60366",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60881,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for manipulating, recombining, mixing, and reproducing previously recorded sounds.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن معالجة المواد السمعية المسجلة مسبقًا وإعادة تجميعها ومزجها واستنساخها.", da: "Relaterer en agent til en lydressource, skabt ved at manipulere, rekombinere, mixet og reproducere tidligere indspillede lyde.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für das Bearbeiten, Rekombinieren, Mischen und Reproduzieren einer bestehenden Tonaufnahme verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aiemmin äänitettyjen äänten manipuloimisesta, yhdistelemisestä, sekoittamisesta ja uudelleen tuottamisesta.", "zh-hans-cn": "将一个行为者与涉及操纵、重新组合、混合和复制事先录制的声音的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60886",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/remixArtistOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that do not substantially change the nature and content of the original resource, and mixing recorded tracks together to appear as one continuous track are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي لا تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، وأنشطة مزج المسارات المسجلة لكي تبدو مسارًا واحدًا مستمرًا.", da: "Remixaktiviteter der ikke væsentligt ændrer natur og indhold på den oprindelige ressource, og miksning af indspillede lydspår til at fremstå som et uafbrudt spor ekskluderes.", de: "Darunter fallen keine Nachbearbeitungen, die weder Art noch Inhalt der Originalressource wesentlich verändern, sowie das Zusammenmischen von aufgenommenen Einzelspuren (Kanälen) zu einem scheinbar ununterbrochen durchgehenden Klangerlebnis.", fi: "Ei kata uudelleenmiksaamista, joka ei oleellisesti muuta alkuperäisen teoksen luonnetta ja sisältöä eikä aiemmin äänitettyjen musiikkikappaleiden yhdistämistä yhdeksi musiikkikappaleeksi.", "zh-hans-cn": "不包括不实质性改变原资源的性质和内容的合成活动、以及将录制的音轨混合成一个连续的音轨的活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60891",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is remix artist of", ar: "هو فنان ريميكس لـ", da: "er remixer til", de: "ist Remix Artist von", fi: "uudelleenmiksaaja (toimija) aineistossa", nl: "is remixartiest van", "zh-hans-cn": "是……的合成艺术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60882,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for most aspects of assigning parts and duties to performers.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن تحديد معظم الجوانب المتعلقة بأدوار الممثلين ومهامهم.", da: "Relaterer en agent til en ressource, der inkorporerer et bidrag ved ansvar for de fleste aspekter af at tildele roller og opgaver til performere.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten Aspekte der Rollenvergabe und Aufgabenzuteilung an Ausführende verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa useimmista esiintyjien roolien ja tehtävien antamiseen kuuluvista tehtävistä.", "zh-hans-cn": "将一个行为者与涉及给演员分配角色和任务的大多数工作的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/castingDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60890",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is casting director of", ar: "هو مدير طاقم التمثيل لـ", da: "er casting director for", de: "ist Casting Director von", fi: "roolittaja (toimija) aineistossa", nl: "is castingdirector van", "zh-hans-cn": "是……的角色导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60672",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60883,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for managing most of the business aspects of an audio recording.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن إدارة معظم جوانب الأعمال التجارية للتسجيل الصوتي.", da: "Relaterer en agent til en ressource, der involverer et ansvar for de fleste forretningsmæssige aspekter af en lydoptagelse.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die meisten geschäftlichen Aspekte einer Audioaufnahme verantwortlich ist.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa useimpien äänitteen liiketoiminnallisten tehtävien hoitamisesta.", "zh-hans-cn": "将一个行为者与涉及音频录制工作大多数方面之管理的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/audioProducerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60889",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is audio producer of", ar: "هو منتج مواد صوتية لـ", da: "er lydproducer for", de: "ist Produzentin/Produzent einer Tonaufnahme von", fi: "äänituottaja (toimija) aineistossa", nl: "is geluidsproducent van", "zh-hans-cn": "是……的音频制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60668",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60884,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of managing the technical aspects of sound during the processes of recording, mixing, and reproduction.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في إدارة الجوانب الفنية للصوت أثناء عمليات التسجيل والمزج والاستنساخ.", da: "Relaterer en agent til een ressource, der inkorporerer et bidrag til lydindholdet ved overvågning af de tekniske lydaspekter under processen med indspilning, mixning og reproduktion.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er die technischen Aspekte für den Ton während der Aufnahme, des Misch-Verfahrens und der Vervielfältigung handhabt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena valvomalla äänen teknisiä ominaisuuksia äänityksen, miksauksen ja toiston aikana.", "zh-hans-cn": "将一个行为者与包括声音的录制、合成和复制过程技术方面管理的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60885",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/audioEngineerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60892",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is audio engineer of", ar: "هو مهندس صوت لـ", da: "er lydtekniker i", de: "ist Tontechnikerin/Tontechniker von", fi: "ääniteknikko (toimija) aineistossa", nl: "is geluidstechnicus van", "zh-hans-cn": "是……的音频工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60158",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60885,
      definition: {en: "Relates an agent to a resource that incorporates a contribution by an agent of manipulating, mixing and assembling the multiple tracks of an audio recording.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في معالجة المسارات المتعددة لتسجيل صوتي ومزجها وتجميعها.", da: "Relaterer en agent til en ressource, der inkorporerer et bidrag til lydindholdet ved at manipulere, mixe og samle en indspilnings forskellige spor.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er mehrere Tonspuren einer Aufnahme bearbeitet, mischt und zusammenlegt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena aineiston äänisisällössä käsittelemällä, miksaamalla ja yhdistelemällä useampia äänitteen raitoja.", "zh-hans-cn": "将一个行为者与包括操纵、合成和聚集一个录音的多个音轨的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60881",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mixingEngineerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that substantially change the nature and content of the original resource, resulting in a new resource, are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، إلى حد ينتج معه مصدر جديد.", da: "Remixingaktiviteter der fortrinsvis ændrer natur og indhold på en oprindelig ressource og derved resulterer i en ny ressource, er ikke omfattet.", de: "Darunter fallen keine Nachbearbeitungen, die die Art und den Inhalt der Originalressource substantiell verändern, so dass eine neue Ressource entsteht.", fi: "Ei koske uudelleenmiksauksia, jotka olennaisesti muuttavat alkuperäisen aineiston luonnetta ja sisältöä, mikä johtaa uuteen aineistoon.", "zh-hans-cn": "不包括实质性改变原资源的性质和内容导致一种新的资源的合成活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60893",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is mixing engineer of", ar: "هو مهندس مكساج لـ", da: "er mixing engineer i", de: "ist Mischtontechnikerin/Mischtontechniker von", fi: "miksaaja (toimija) aineistossa", nl: "is mixtechnicus van", "zh-hans-cn": "是……的合成工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60884",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60886,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of mixing recorded tracks together during a live performance or in a recording studio to appear as one continuous track.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في مزج ألحان مسجلة أثناء أدائها مباشرة أو أثناء تسجيلها في استوديو لتبدو كمسار واحد مستمر.", da: "Relaterer en agent til en ressource, der inkorporerer et bidrag ved at mikse indspillede spor sammen under en live-optræden eller i et indspilningsstudie så at de fremstår som et uafbrudt spor.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er während eines Live-Auftritts oder in einem Aufnahme-Studio aufgenommene Einzelspuren (Kanäle) zu einem scheinbar ununterbrochen durchgehenden Klangerlebnis zusammen mischt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena miksaamalla ääniraitoja yhteen yhtäjaksoiseksi raidaksi live-esityksessä tai äänitysstudiossa.", "zh-hans-cn": "将一个行为者与包括在现场表演中或在录音工作室中混合已录制音轨使其出现为一个连续的音轨的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60885",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/DJOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that substantially change the nature and content of the original resource, resulting in a new resource, and mixing and assembling the multiple tracks of a recording are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، إلى حد ينتج معه مصدر جديد، ومزج وتجميع المسارات المتعددة للتسجيل.", da: "Remixingaktiviteter der fortrinsvis ændrer natur og indhold på en oprindelig ressource og derved resulterer i en ny ressource og mixe og samle in indspillings forskellige spor, er ikke omfattet.", de: "Darunter fallen keine Nachbearbeitungen, die die Art und den Inhalt der Originalressource substantiell verändern, so dass eine neue Ressource entsteht, sowie das Mischen und Zusammenlegen von mehreren Einzelspuren einer Aufnahme.", fi: "Ei koske uudelleenmiksauksia, jotka olennaisesti muuttavat alkuperäisen aineiston luonnetta ja sisältöä, mikä johtaa uuteen aineistoon. Ei koske useiden raitojen miksaamista ja kokoamista.", "zh-hans-cn": "不包括实质性改变原资源的性质和内容导致一种新的资源以及混合和聚集一个录音的多个音轨的合成活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60896",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is DJ of", ar: "هو منسق دي جي لـ", da: "er dj i", de: "ist DJ von", fi: "DJ (toimija)", nl: "is deejay van", "zh-hans-cn": "是……的打碟者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60158",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60887,
      definition: {en: "Relates an agent to a resource that incorporates a contribution by an agent of an agent for the general management and supervision of the process of adding new dialogue or other sounds to complete a sound track.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في الإدارة العامة والإشراف على عملية إضافة حوار جديد أو أصوات أخرى لإكمال مقطع صوتي.", da: "Relaterer en agent til en ressource, der inkorporerer et bidrag af ansvar for generel ledelse og tilsyn af processen med at tilføje ny dialog eller andre lyde for at lave lydsporet komplet.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, zu der ein Akteur beiträgt, indem er das allgemeine Management und die Leitung beim Hinzufügen von neuem Dialog oder anderen Geräuschen übernimmt, um die Tonspur zu vervollständigen.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena uuden dialogin tai muiden äänien lisäämisprosessin yleisessä johtamisessa ja valvonnassa aineiston ääniraidan täydentämiseksi.", "zh-hans-cn": "将一个行为者与包括总体管理和监督增加对话或其他声音以完成音轨的一个责任的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dubbingDirectorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60895",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is dubbing director of", ar: "هو مخرج الدبلجة لـ", da: "dubbinginstruktør", de: "ist Synchronregisseurin/Synchronregisseur von", fi: "dubbausohjaaja (toimija) aineistossa", nl: "is stemregisseur van", "zh-hans-cn": "是……的混声导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60158",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60888,
      definition: {en: "Relates an agent to a musical resource that incorporates a contribution by an agent of using electronic audio devices or computer software to generate sounds.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في استخدام أجهزة الصوت الإلكترونية أو برمجيات الحاسب لتوليد أصوات.", da: "Relaterer en agent til en musikressource, der inkorporerer et bidrag ved at bruge elektronisk lydapparatur og/eller computersoftware til at skabe lyd.", de: "Setzt einen Akteur in Beziehung zu einer musikalischen Ressource, zu der ein Akteur beiträgt, indem er durch das Einsetzen elektronischer Audio-Geräte oder von Computerprogrammen Klangeffekte erzeugt.", fi: "Liittää toimijan musiikkiaineistoon, jossa toimija on osallisena tuottamalla ääniä sähköisillä äänilaitteilla tai tietokoneohjelmilla.", "zh-hans-cn": "将一个行为者与包括使用电子音频设备或计算机软件产生声音的一个行为者的贡献的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60655",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicProgrammerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60894",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is music programmer of", ar: "هو مبرمج موسيقي لـ", da: "er musikprogrammør i", de: "ist Musik-Programmiererin/Musik-Programmierer von", fi: "musiikkiohjelmoija (toimija) aineistossa", nl: "is music programmer van", "zh-hans-cn": "是……的音乐编程者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60158",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60889,
      definition: {en: "Relates a resource to an agent who is a producer who is responsible for managing most of the business aspects of an audio recording. ", ar: "يربط مصدر بوكيل منتج مسؤول عن إدارة معظم جوانب الأعمال التجارية للتسجيل الصوتي.", da: "Relaterer en ressource til en producer der er ansvarlig for de fleste forretningsmæssige aspekter af en lydoptagelse.", de: "Setzt eine Ressource in Beziehung zu einer Produzentin/einem Produzenten, die/der für die meisten geschäftlichen Aspekte einer Audioaufnahme verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka on osallisena aineiston tekemisessä huolehtimalla äänen teknisistä näkökohdista äänitys-, miksaus- ja äänentoistoprosessien aikana.", "zh-hans-cn": "将一种资源与作为一个制作者并负责音频录制工作大多数方面商业运作之管理的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/audioProducer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60883",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has audio producer", ar: "له منتج مواد صوتية", da: "har lydproducer", de: "hat Produzentin/Produzenten einer Tonaufnahme", fi: "äänituottaja aineistossa", nl: "heeft geluidsproducent", "zh-hans-cn": "有音频制作者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60441",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60890,
      definition: {en: "Relates a resource to an agent who is responsible for most aspects of assigning parts and duties to performers.", ar: "يربط مصدر بوكيل مسؤول عن معظم الجوانب المتعلقة بأدوار الممثلين ومهامهم.", da: "Relaterer en ressource til en agent ansvarlig for de fleste aspekter af at tildele roller og ansvar til performere.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die meisten Aspekte der Rollenvergabe und Aufgabenzuteilung an Ausführende verantwortlich ist.", fi: "Liittää aineiston toimijaan, joka vastaa useimmista esiintyjien roolien ja tehtävien antamiseen kuuluvista tehtävistä.", "zh-hans-cn": "将一种资源与负责给演员分配角色和任务的大多数工作的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/castingDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60882",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has casting director", ar: "له مدير لطاقم التمثيل", da: "har casting director", de: "hat Casting Director", fi: "roolittaja aineistossa", nl: "heeft castingdirector", "zh-hans-cn": "有角色导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60158",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60891,
      definition: {en: "Relates a resource to an agent who is responsible for creating an audio resource by manipulating, recombining, mixing, and reproducing previously recorded sounds.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر صوتي من خلال معالجة المواد السمعية المسجلة مسبقًا وإعادة تجميعها ومزجها واستنساخها.", da: "Relaterer en ressource til en agent ansvarlig for at skabe en lydressource ved at manipulere, rekombinere, mixe og reproducere tidligere indspillede lyde.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das Schaffen einer Tonressource verantwortlich ist, indem er eine bestehende Tonaufnahme bearbeitet, rekombiniert, mischt und reproduziert.", fi: "Liittää aineiston toimijaan, joka vastaa ääniteoksen luomisesta manipuloimalla, yhdistelemällä, sekoittamalla ja uudelleen tuottamalla aiemmin äänitettyjä ääniä.", "zh-hans-cn": "将一种资源与通过操纵、重新组合、混合和复制事先录制的声音而负责创建一种音频资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60896",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/remixArtist.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that do not substantially change the nature and content of the original resource, and mixing recorded tracks together to appear as one continuous track are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي لا تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، وأنشطة مزج المسارات المسجلة لكي تبدو مسارًا واحدًا مستمرًا.", da: "Remix-aktiviteter der ikke væsentligt ændrer natur og indhold på originalværket, og mixning af indspillede lydspor til at fremstå som et uafbrudt spor er ikke omfattet.", de: "Darunter fallen keine Nachbearbeitungen, die weder Art noch Inhalt der Originalressource wesentlich verändern, sowie das Zusammenmischen von aufgenommenen Einzelspuren (Kanälen) zu einem scheinbar ununterbrochen durchgehenden Klangerlebnis.", fi: "Ei kata uudelleenmiksaamista, joka ei oleellisesti muuta alkuperäisen teoksen luonnetta ja sisältöä eikä aiemmin äänitettyjen musiikkikappaleiden yhdistämistä yhdeksi musiikkikappaleeksi.", "zh-hans-cn": "不包括不实质性改变原资源的性质和内容的合成活动、以及将录制的音轨混合成一个连续的音轨的活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60881",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has remix artist", ar: "له فنان ريميكس", da: "har remixer", de: "hat Remix Artist", fi: "äänitaiteilija aineistossa", nl: "heeft remixartiest", "zh-hans-cn": "有合成艺术家"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60892,
      definition: {en: "Relates a resource to an agent who contributes to a resource by managing the technical aspects of sound during the processes of recording, mixing, and reproduction.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال إدارة الجوانب الفنية للصوت أثناء عمليات التسجيل والمزج والاستنساخ.", da: "Relaterer en ressource til en agent der bidrager til en ressources lydindhold ved at overvåge de tekniske lydaspekter under optagelse, mixing og reproduktion.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er die technischen Aspekte für den Ton während der Aufnahme, des Misch-Verfahrens und der Vervielfältigung handhabt.", fi: "Liittää aineiston toimijaan, joka on osallisena aineiston tekemisessä huolehtimalla äänen teknisistä näkökohdista äänitys-, miksaus- ja äänentoistoprosessien aikana.", "zh-hans-cn": "将一种资源与通过声音的录制、合成和复制过程技术方面管理而对一种资源有贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60893",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/audioEngineer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60884",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has audio engineer", ar: "له مهندس صوت", da: "har lydtekniker", de: "hat Tontechnikerin/Tontechniker", fi: "ääniteknikko aineistossa", nl: "heeft geluidstechnicus", "zh-hans-cn": "有音频工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60893,
      definition: {en: "Relates a resource to an audio engineer who contributes to the audio content of a resource by manipulating, mixing, and assembling the multiple tracks of a recording.", ar: "يربط بين مصدر ومهندس صوت يساهم في المحتوى الصوتي لمصدر من خلال معالجة المواد السمعية المسجلة مسبقًا وإعادة تجميعها ومزجها واستنساخها.", da: "Relaterer en ressource til en lydtekniker der bidrager til en ressources lydindhold ved at manipulere, mixe og samle de forskellige lydspor på en optagelse.", de: "Setzt eine Ressource in Beziehung zu einer Tontechnikerin/einem Tontechniker, die/der zum Audio-Inhalt einer Ressource beiträgt, indem sie/er mehrere Tonspuren einer Aufnahme bearbeitet, mischt und zusammenlegt.", fi: "Liittää aineiston toimijaan, joka on osallisena aineiston äänisisällössä käsittelemällä, miksaamalla ja yhdistelemällä useampia äänitteen raitoja.", "zh-hans-cn": "将一种资源与通过操纵、合成和聚集一个录音的多个音轨而对一种资源的音频内容有贡献的一个音频工程师关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60891",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mixingEngineer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that substantially change the nature and content of the original resource, resulting in a new resource, are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، إلى حد ينتج معه مصدر جديد.", da: "Remixing-aktiviteter der væsentligt forandrer originalværkets karakter og indhold og derved resulterer i et nyt værk, er ikke omfattet.", de: "Darunter fallen keine Nachbearbeitungen, die die Art und den Inhalt der Originalressource substantiell verändern, so dass eine neue Ressource entsteht.", fi: "Ei koske uudelleenmiksauksia, jotka olennaisesti muuttavat alkuperäisen teoksen luonnetta ja sisältöä, mikä johtaa uuteen aineistoon.", "zh-hans-cn": "不包括实质性改变原作品的性质和内容导致一种新的资源的合成活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60885",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has mixing engineer", ar: "له مهندس مكساج", da: "har mixingtekniker", de: "hat Mischtontechnikerin/Mischtontechniker", fi: "aineiston miksaaja", nl: "heeft mixtechnicus", "zh-hans-cn": "有合成工程师"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60892",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60894,
      definition: {en: "Relates a resource to an agent who contributes to a musical resource by using electronic audio devices or computer software to generate sounds.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال في استخدام أجهزة الصوت الإلكترونية أو برمجيات الحاسب لتوليد أصوات.", da: "Relaterer en ressource til en agent, der bidrager til en musikressource ved at bruge elektronisk lydudstyr og/eller computersoftware til at generere lyd.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er durch das Einsetzen elektronischer Audio-Geräte oder von Computerprogrammen Klangeffekte erzeugt.", fi: "Liittää aineiston toimijaan, joka on osallisena aineistossa tuottamalla ääniä sähköisillä äänilaitteilla tai tietokoneohjelmilla.", "zh-hans-cn": "将一种资源与通过使用电子音频设备或计算机软件产生声音而对一种音乐资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60426",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/musicProgrammer.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The creation of a new musical resource is excluded.", ar: "يُستبعد إنشاء مصدر موسيقي جديد.", da: "Skabelse af en ny musikressource er ikke omfattet.", de: "Darunter fällt nicht das Schaffen einer neuen Musikressource.", fi: "Ei koske uuden musiikkiteoksen luomista.", "zh-hans-cn": "不包括新音乐资源的创作。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60888",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has music programmer", ar: "له مبرمج موسيقي", da: "har musikprogrammør", de: "hat Musik-Programmiererin/Musik-Programmierer", fi: "musiikkiohjelmoija aineistossa", nl: "heeft music programmer", "zh-hans-cn": "有音乐编程者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60895,
      definition: {en: "Relates a resource to an agent who is responsible for the general management and supervision of the process of adding new dialogue or other sounds to complete a sound track for a resource", ar: "يربط مصدر بوكيل مسؤول عن الإدارة العامة والإشراف على عملية إضافة حوار جديد أو أصوات أخرى لإكمال مقطع صوتي لمصدر.", da: "Relaterer en ressource til en agent, der er ansvarlig for den generelle ledelse og overvågning af processen med at tilføje ny dialog eller andre lyd for at fuldstændiggøre en ressources soundtrack.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für das allgemeine Management und die Leitung beim Hinzufügen von neuem Dialog oder anderen Geräuschen verantwortlich ist, um die Tonspur einer Ressource zu vervollständigen.", fi: "Liittää aineiston toimijaan, joka vastaa uuden dialogin tai muiden äänien lisäämisprosessin yleisessä johtamisessa ja valvonnassa aineiston ääniraidan täydentämiseksi.", "zh-hans-cn": "将一种资源与对一种资源增加对话或其他声音以完成音轨的过程总体管理和监督负责的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dubbingDirector.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60887",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has dubbing director", ar: "له مخرج الدبلجة", da: "har dubbinginstruktør", de: "hat Synchronregisseurin/Synchronregisseur", fi: "dubbausohjaaja aineistossa", nl: "heeft stemregisseur", "zh-hans-cn": "有混声导演"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60896,
      definition: {en: "Relates a resource to an agent who contributes to a resource by mixing recorded tracks together during a live performance or in a recording studio to appear as one continuous track.", ar: "يربط مصدر بوكيل يمزج ألحان مسجلة أثناء أدائها مباشرة أو أثناء تسجيلها في استوديو لتبدو كمسار واحد مستمر.", da: "Relaterer en ressource til en agent, der mixer indspillede spor sammen under en live optræden eller i et indspilningsstudie så de fremstår som et uafbrudt spor.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der während eines Live-Auftritts oder in einem Aufnahme-Studio aufgenommene Einzelspuren (Kanäle) zu einem scheinbar ununterbrochen durchgehenden Klangerlebnis zusammen mischt.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston tekemiseen miksaamalla ääniraitoja yhteen yhtäjaksoiseksi raidaksi live-esityksessä tai äänitysstudiossa.", "zh-hans-cn": "将一种资源与通过在现场表演中或在录音工作室中混合已录制音轨使其出现为一个连续的音轨而对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/rdakit/seeAlso": "http://rdaregistry.info/Elements/u/P60893",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/DJ.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Remixing activities that substantially change the nature and content of the original resource, resulting in a new resource, and mixing and assembling the multiple tracks of a recording are excluded.", ar: "تُستبعد أنشطة إعادة المزج التي تغير بشكل جوهري طبيعة ومحتوى المصدر الأصلي، إلى حد ينتج معه مصدر جديد، ومزج وتجميع المسارات المتعددة للتسجيل.", da: "Remixing-aktiviteter der væsentligt forandrer originalressourcens karakter og indhold og derved resulterer i en ny ressource samt mixing og sammensætning af de forskellige spor på en optagelse, er ikke omfattet.", de: "Darunter fallen keine Nachbearbeitungen, die die Art und den Inhalt der Originalressource substantiell verändern, so dass eine neue Ressource entsteht, sowie das Mischen und Zusammenlegen von mehreren Einzelspuren einer Aufnahme.", fi: "Ei koske uudelleenmiksauksia, jotka olennaisesti muuttavat alkuperäisen aineiston luonnetta ja sisältöä johtaen uuteen aineistoon, eikä äänitteen useampien raitojen miksaamista ja yhdistelyä.", "zh-hans-cn": "不包括实质性改变原资源的性质和内容导致一种新的资源以及混合和聚集一个录音的多个音轨的合成活动。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60886",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has DJ", ar: "له منسق دي جي", da: "har dj", de: "hat DJ", fi: "DJ aineistossa", nl: "heeft deejay", "zh-hans-cn": "有打碟者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60398",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60897,
      definition: {en: "Relates a resource to the distance of a place on a planet or satellite that is measured north and south from the equator.", ar: "يربط بين مصدر ومسافة نقطة على كوكب أو قمر إصطناعي تم قياسها شمالًا وجنوبا من خط الاستواء.", da: "Relaterer en ressource til en afstand fra et punkt på en planet eller satellit målt nord og syd fra ækvator.", de: "Setzt eine Ressource in Beziehung zu einer Entfernung eines Punkts auf einem Planeten oder Satelliten, der nördlich oder südlich vom Äquator gemessen wird.", fi: "Liittää aineiston planeetan tai satelliitin pisteen etäisyyteen, joka on mitattu pohjoiseen ja etelään päiväntasaajalta.", "zh-hans-cn": "将一种资源与从行星或卫星的赤道向北和向南到行星或卫星上一个地点所测量的距离关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/latitude.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has latitude", ar: "له خط عرض", da: "har breddegrad", de: "hat Breitengrad", fi: "leveysaste aineistossa", nl: "heeft breedtegraad", "zh-hans-cn": "有纬度"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60898,
      definition: {en: "Relates a resource to the distance of a place on a planet or satellite that is measured east and west from a reference meridian.", ar: "يربط بين مصدر ومسافة نقطة على كوكب أو قمر إصطناعي تم قياسها شرقًا وغربًا من خط الزوال المرجعي.", da: "Relaterer en ressource til en afstand fra et punkt på en planet eller satellit målt øst og vest fra referencemeridianen.", de: "Setzt eine Ressource in Beziehung zu einer Entfernung eines Punkts auf einem Planeten oder Satelliten, der östlich und westlich von einem Bezugsmeridian gemessen wird.", fi: "Liittää aineiston planeetan tai satelliitin pisteen etäisyyteen, joka on mitattu itään ja länteen vertailumeridiaanista.", "zh-hans-cn": "将一种资源与从行星或卫星的基准子午线向东和向西到行星或卫星上一个地点所测量的距离关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/longitude.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has longitude", ar: "له خط طول", da: "har længdegrad", de: "hat Längengrad", fi: "pituusaste aineistossa", nl: "heeft lengtegraad", "zh-hans-cn": "有经度"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60899,
      definition: {en: "Relates a resource to the angular distance of a celestial body that is measured eastward on the equator from the vernal equinox to the hour circle through the body, from 0 to 24 hours.", ar: "يربط بين مصدر ومسافة زاوية مقاسة باتجاه الشرق على خط الاستواء من الاعتدال الربيعي إلى دائرة الساعة عبر جرم سماوي، من 0 إلى 24 ساعة.", da: "Relaterer en ressource til en vinkelafstand målt mod øst ved ækvator fra forårsjævndøgn til timekransen gennem et himmellegeme, fra 0 til 24 timer.", de: "Setzt eine Ressource in Beziehung zu einem Winkelabstand zwischen dem Frühlingspunkt und dem Längenkreis, der auf der Äquatorebene gegen den Uhrzeigersinn gemessen und in einem Maß von 0 bis 24 Stunden angegeben wird.", fi: "Liittää aineiston taivaankappaleen kulmaetäisyyteen, joka on mitattu aikamitoissa taivaanekvaattoria pitkin kevättasauspisteestä vastapäivään.", "zh-hans-cn": "将一种资源与天体赤道上从春分点到时圈向东度量的角距离（从0到24小时）关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/rightAscension.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has right ascension", ar: "له صعود مستقيم", da: "har rektascension", de: "hat Rektaszension", fi: "rektaskensio aineistossa", nl: "heeft rechte klimming", "zh-hans-cn": "有赤经"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60900,
      definition: {en: "Relates a resource to the angular distance of a celestial body that is measured north or south through 90° from the celestial equator along the hour circle through the body.", ar: "يربط بين مصدر ومسافة زاوية لجسم على الكرة السماوية مقاسة شمالًا أو جنوبًا خلال 90 درجة من خط الاستواء السماوي على طول دائرة ساعة الجسم.", da: "Relaterer en ressource til en vinkelafstand til et himmellegeme, målt nord eller syd gennem 90° fra himmelækvator langs himmellegemets timekrans.", de: "Setzt eine Ressource in Beziehung zu einem Winkelabstand eines Himmelskörpers vom Himmelsäquator, der nördlich oder südlich durch 90° vom Himmelsäquator entlang des Stundenkreises des Körpers gemessen wird.", fi: "Liittää aineiston taivaankappaleen kulmaetäisyyteen, joka on mitattu taivaanekvaattorista pohjoiseen tai etelään 90°:een läpi kappaleen tuntiympyrää pitkin.", "zh-hans-cn": "将一种资源与从天球赤道沿天体时圈通过90度向北或向南度量的角距离关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/declination.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has declination", ar: "له زاوية ميل أو انحراف", da: "har deklination", de: "hat Deklination", fi: "deklinaatio aineistossa", nl: "heeft declinatie", "zh-hans-cn": "有赤纬"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60901,
      definition: {en: "Relates an agent to an agent who was absorbed by another agent.", ar: "يربط بين وكيل ووكيل مستحوذ عليه من قبل وكيل أخر.", da: "Relaterer en agent til en agent, der var absorberet af en anden agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der von einem anderen Akteur übernommen wird.", fi: "Liittää toimijan toimijaan, joka on sulautunut toiseen toimijaan.", "zh-hans-cn": "将一个行为者与被另一个行为者吸收的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorbedAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60902",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has absorbed agent", ar: "له وكيل مستحوذ عليه", da: "har absorberet agent", de: "hat übernommenen Akteur", fi: "sulautunut toimija", nl: "heeft opgenomen actor", "zh-hans-cn": "有被吸收行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60902,
      definition: {en: "Relates an agent to an agent who absorbed another agent.", ar: "يربط بين وكيل ووكيل يستحوذ على وكيل آخر.", da: "Relaterer en agent til en agent, der indlemmede en anden agent.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der einen anderen Akteur übernimmt.", fi: "Liittää toimijan toimijaan, joka on sulauttanut itseensä toisen toimijan.", "zh-hans-cn": "将一个行为者与吸收另一个行为者的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/absorbingAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60901",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has absorbing agent", ar: "له وكيل مستحوذ", da: "har indlemmende agent", de: "hat übernehmenden Akteur", fi: "sulautunut toimija", nl: "heeft opnemende actor", "zh-hans-cn": "有吸收行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60903,
      definition: {en: "Relates an agent to an agent who is a conference that is jointly held with a related conference.", ar: "يربط بين وكيل ووكيل مؤتمر ر يُعقد بصورة مشتركة مع مؤتمر ذي صلة.", da: "Relaterer en konference til en konference, der afholdes i fællesskab med en anden konference.", de: "Setzt einen Akteur in Beziehung zu einer Konferenz, die gemeinsam mit einer anderen Konferenz durchgeführt wird.", fi: "Liittää toimijan toimijaan, joka on yhdessä toisen konferenssin kanssa järjestettävä konferenssi.", "zh-hans-cn": "将一个行为者与作为一次会议并和一次相关会议联合举办的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/jointlyHeldConference.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60903",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has jointly held conference", ar: "له مؤتمر يعقد بصورة مشتركة", da: "har konference afholdt i fællesskab", de: "hat gemeinsam durchgeführte Konferenz", fi: "yhteiskonferenssi (yhteistoimija)", nl: "heeft gezamenlijk gehouden conferentie", "zh-hans-cn": "有联合举办的会议"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60904,
      definition: {en: "Relates a resource to details of a designation for one or more regions of the world for which a videodisc or video game carrier is encoded, indicating that playback is restricted to a device configured to decode it.", ar: "يربط بين مصدر وتفاصيل عن تسمية لواحدة أو أكثر من مناطق العالم التي تم تشفير حامل الفيديو أو ألعاب الفيديو، يشير إلى أن عملية التشغيل مقصورة على الأجهزة المكودة بكود المنطقة فقط.", da: "Relaterer en ressource til detaljer om en kode, der identificerer den region i verden, som en videodisc er kodet til, og som forhindrer, at videodiscen bliver spillet på en afspiller solgt i en anden region.", de: "Setzt eine Manifestation in Beziehung zu Details zu einer Bezeichnung, die die Region(en) der Welt angibt, für die eine Videodisk oder ein Videospiel-Datenträger kodiert ist, und der verhindert, dass die Disk von einem Wiedergabegerät, das in einer anderen Region verkauft wurde, abgespielt werden kann.", fi: "Liittää aineiston lisätietoihin määritteestä, jolla tunnistetaan videolevyn tai videopelitallenteen käyttöalue ja estetään niiden käyttäminen toisella alueella myydyllä soittimella.", "zh-hans-cn": "将一种资源与视盘或视频游戏载体被编码后表示对设置解码回放的设备限制的世界上一个或多个地区的标识的细节关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/detailsOfRegionalEncoding.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has details of regional encoding", ar: "له تفاصيل عن كود منطقة", da: "har detaljer om regional kodning", de: "hat Details zum Regionalcode", fi: "aineiston aluekoodin lisätiedot", nl: "heeft details van regiocodering", "zh-hans-cn": "有地区编码的细节"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60772",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60905,
      definition: {en: "Relates a resource to a note on resource that provides information associated with the recording, filming, etc., of the content of a resource.", ar: "يربط بين مصدر وتبصرة عن مصدر مرتبطة بتسجيل، تصوير...إلخ، محتوى مصدر.", da: "Relaterer en ressource til en note der giver oplysninger knyttet til optagelse, indspilning etc. af indholdet af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Anmerkung zur Ressource, die Informationen liefert, die mit der Aufnahme, dem Filmen und so weiter des Inhalts einer Ressource in Verbindung stehen.", fi: "Liittää aineiston aineistoa koskevaan huomautukseen, joka sisältää aineiston sisällön äänitykseen, kuvaukseen tms. liittyviä tietoja.", "zh-hans-cn": "将一种资源与提供关于资源之内容的和录制、摄制等有关信息的一个关于资源的附注关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnCapture.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "Note on capture includes the circumstances such as a live or studio recording, the equipment used, etc.", ar: "تتضمن تبصرة عن التقاط الظروف مثل التسجيل المباشر أو التسجيل في الاستوديو، والمعدات المستخدمة...إلخ.", da: "Note om optagelse omfatter forhold såsom live- eller studieoptagelse, anvendt udstyr etc.", de: "Darunter fallen auch die Umstände einer Aufzeichnung wie zum Beispiel, ob es sich um eine Live- oder Studioaufnahme handelt, welches Equipment verwendet wurde und so weiter.", fi: "Tallennusta koskevaan huomautukseen kuuluvat sellaiset tapaukset kuin live- tai studioäänitys, käytetty laitteisto jne.", "zh-hans-cn": "关于摄录（包括诸如实况录制或工作室录制、所用的设备等条件）的附注"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on capture", ar: "له تبصرة عن التقاط", da: "har note om optagelse", de: "hat Anmerkung zur Aufzeichnung", fi: "huomautus aineiston tallennuksesta", nl: "heeft noot bij vastleggen", "zh-hans-cn": "有关于摄录的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60470",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60906,
      definition: {en: "Relates an entity to a nomen that is an appellation of entity in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين كيان وتسمية كيان باللغة الطبيعية المأخوذة من مخطط ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer en entitet til en entitetsbenævnelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved hjælp af et strengkodningsskema.", de: "Setzt eine Entität in Beziehung zu einer Bezeichnung für eine Entität in natürlicher Sprache, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää entiteetin luonnollisella kielellä olevaan entiteetin nimitykseen, joka on otettu sanaston merkintäjärjestelmästä tai on muodostettu käyttämällä merkkijonon merkintäjärjestelmää.", "zh-hans-cn": "将一个实体与作为一个实体的称谓、取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60916", "http://rdaregistry.info/Elements/u/P60917", "http://rdaregistry.info/Elements/u/P61162", "http://rdaregistry.info/Elements/u/P61164", "http://rdaregistry.info/Elements/u/P61166", "http://rdaregistry.info/Elements/u/P61168"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60910",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has access point for entity", ar: "له نقطة وصول لكيان", da: "har søgeindgang for entitet", de: "hat Sucheinstieg für eine Entität", fi: "entiteetin hakutieto", nl: "heeft ingang voor entiteit", "zh-hans-cn": "有实体的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60909,
      definition: {en: "Relates an entity to a nomen that is used within a given scheme or context to refer to an entity.", ar: "يربط بين كيان وتسمية مستخدمة ضمن خطة أو سياق معين للإشارة إلى كيان.", da: "Relaterer en entitet til et nomen, som er anvendt indenfor et givet skema eller en given kontekst for at henvise til en entitet.", de: "Setzt eine Entität in Beziehung zu einem Nomen, das in einem bestimmten Schema oder Kontext verwendet wird, um eine Entität zu referenzieren.", fi: "Liittää entiteetin nomeniin, jota on käytetty tietyssä järjestelmässä tai kontekstissa viittaamaan entiteettiin.", "zh-hans-cn": "将一个实体与在一个给定的体系或语境中指称一个实体所用的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60368", "http://rdaregistry.info/Elements/u/P60369", "http://rdaregistry.info/Elements/u/P60443", "http://rdaregistry.info/Elements/u/P60544", "http://rdaregistry.info/Elements/u/P60545", "http://rdaregistry.info/Elements/u/P60546", "http://rdaregistry.info/Elements/u/P60547", "http://rdaregistry.info/Elements/u/P60906", "http://rdaregistry.info/Elements/u/P60919", "http://rdaregistry.info/Elements/u/P60939"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appellationOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60911",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has appellation of entity", ar: "له تسمية لكيان", da: "har benævnelse på entitet", de: "hat Bezeichnung für eine Entität", fi: "entiteetin nimitys", nl: "heeft benaming van entiteit", "zh-hans-cn": "有实体的称谓"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60910,
      definition: {en: "Relates a nomen to an entity that has an appellation in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين تسمية وكيان له اسم في لغة طبيعية مأخوذة من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et nomen til en entitet, der har en benævnelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved hjælp af et strengkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die eine Bezeichnung in natürlicher Sprache hat, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää nomenin entiteettiin, jolla on luonnollisella kielellä oleva nimitys, joka on otettu sanaston merkintäjärjestelmästä tai on muodostettu käyttämällä merkkijonon merkintäjärjestelmää.", "zh-hans-cn": "将一个命名与有取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个称谓的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60918", "http://rdaregistry.info/Elements/u/P60934", "http://rdaregistry.info/Elements/u/P61163", "http://rdaregistry.info/Elements/u/P61165", "http://rdaregistry.info/Elements/u/P61167", "http://rdaregistry.info/Elements/u/P61169"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60906",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is access point for entity of", ar: "هو نقطة وصول لكيان لـ", da: "er søgeindgang for entitet af", de: "ist Sucheinstieg für eine Entität von", fi: "entiteetin hakutieto", nl: "is ingang voor entiteit van", "zh-hans-cn": "是……的实体的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60911,
      definition: {en: "Relates a nomen to an entity that is referred to by a nomen used within a given scheme or context.", ar: "يربط بين تسمية وكيان يشار إليه بتسمية مستخدمة ضمن خطة أو سياق معين.", da: "Relaterer et nomen til en entitet, der er henvist til af et nomen brugt indenfor et givet skema eller et givet sammehhæng.", de: "Setzt ein Nomen in Beziehung zu einer Entität, auf die mit einem Nomen referenziert wird, das in einem bestimmten Schema oder Kontext verwendet wird.", fi: "Liittää nomenin entiteettiin, johon tietyssä järjestelmässä tai kontekstissa käytetyllä nomenilla viitataan.", "zh-hans-cn": "将一个命名与在一个给定的体系或语境中用一个命名指称的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60669", "http://rdaregistry.info/Elements/u/P60910", "http://rdaregistry.info/Elements/u/P60912", "http://rdaregistry.info/Elements/u/P60920", "http://rdaregistry.info/Elements/u/P60928", "http://rdaregistry.info/Elements/u/P60946", "http://rdaregistry.info/Elements/u/P60947", "http://rdaregistry.info/Elements/u/P60948", "http://rdaregistry.info/Elements/u/P60949", "http://rdaregistry.info/Elements/u/P60950"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/appellationOfEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60909",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is appellation of entity of", ar: "هي تسمية لكيان لـ", da: "er benævnelse af en entitet af", de: "ist Bezeichnung für eine Entität von", fi: "entiteetin nimitys", nl: "is benaming van entiteit van", "zh-hans-cn": "是……的实体的称谓"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60912,
      definition: {en: "Relates a nomen to a resource that has an appellation of resource in natural language and phrasing used in common discourse.", ar: "يربط تسمية بمصدر له تسمية مصدر في لغة طبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer et nomen til en ressource der har en ressourcebenævnelse på naturligt sprog og med naturlig formulering, anvendt i almindelig samtale.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung für eine Ressource in natürlicher Sprache und Ausdrucksweise verfügt, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää nomenin aineistoon, jolla on yleisessä diskurssissa käytetty nimitys luonnollisella kielellä ja sanamuodolla.", "zh-hans-cn": "将一个命名与有用自然语言和普通话语措词表达的资源的称谓的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60925", "http://rdaregistry.info/Elements/u/P60933", "http://rdaregistry.info/Elements/u/P60958"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60367",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is title of resource of", ar: "هو عنوان لمصدر لـ", da: "er titel af ressource af", de: "ist Titel einer Reihe von", fi: "aineiston nimeke", nl: "is titel van resource van", "zh-hans-cn": "是……的资源的题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60913,
      definition: {en: "Relates a nomen to the combination of signs that forms an appellation associated with an entity.", ar: "يربط بين تسمية ومجموعة من العلاقات التي تشكل تسمية مرتبطة بكيان.", da: "Relaterer et nomen til den kombination af tegn, der danner en betegnelse knyttet til en entitet.", de: "Setzt ein Nomen in Beziehung zu einer Kombination von Zeichen, die eine Bezeichnung bildet, die mit einer Entität in Verbindung steht.", fi: "Liittää nomenin merkkien yhdistelmään, joka muodostaa entiteettiin liittyvän nimityksen.", "zh-hans-cn": "将一个命名与和一个实体有关的形成一个称谓的符号的组合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nomenString.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has nomen string", ar: "له سلسلة تمثيلات تسمية", da: "har nomenstreng", de: "hat Nomen-Zeichenkette", fi: "nomenin merkkijono", nl: "heeft nomenstring", "zh-hans-cn": "有命名串"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60914,
      altLabel: {en: "has relief type", fi: "korkeuserojen esitystapa", "zh-hans-cn": "有地形类型"},
      definition: {en: "Relates a resource to a cartographic representation of the surface forms of the earth or other celestial body, real or imaginary, by means of special graphic methods.", ar: "يربط بين مصدر وطريقة تشير إلى الأبعاد الأفقية والرأسية لسطح الأرض وتضاريسها.", da: "Relaterer en ressource til en metode til at angive de vandrette og lodrette dimensioner af landoverflade og terræn.", de: "Setzt eine Ressource in Beziehung zu einer Methode zur Angabe der horizontalen und vertikalen Darstellung des Geländes.", fi: "Liittää aineiston maanpinnan ja pinnanmuodostuksen horisontaalisten ja vertikaalisten mittojen merkitsemisen menetelmään.", "zh-hans-cn": "将一种资源与通过特殊图形方法对（真实或虚构）地球或其他天体的表面形状的地图表现关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reliefRepresentation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has relief representation", ar: "له نوع بارز", da: "har relieftype", de: "hat Reliefdarstellung", fi: "korkeuserojen esitystapa", nl: "heeft reliëftype", "zh-hans-cn": "有地形表现"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60915,
      definition: {en: "Relates a resource to a line of constant longitude passing through a given place on the surface of the earth and the terrestrial poles, from which longitude east and west is measured.", ar: "يربط بين مصدر وخط طول ثابت يمر عبر مكان معين على سطح الأرض والأقطاب الأرضية، والتي يقاس منها خط الطول شرقًا وغربًا.", da: "Relaterer en ressource til en linje med konstant længdegrad, der passerer et givet sted på jordoverfladen og på de jordbaserede poler, hvorfra østlig og vestlig længdegrad måles.", de: "Setzt eine Ressource in Beziehung zu einer Linie konstanter Länge, die durch ein bestimmtes Geografikum auf der Erdoberfläche und den Erdpolen verläuft und von der aus die Längengrade Ost und West gemessen werden.", fi: "Liittää aineiston pysyvän pituusasteen viivaan, joka kulkee maan pinnalla olevan tietyn paikan ja maapallon napojen läpi, ja josta itäinen ja läntinen pituusaste mitataan.", "zh-hans-cn": "将一种资源与穿过地球表面一个指定的地点和地球两极并以此测量东经和西经的一条恒定经线关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/primeMeridian.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has prime meridian", ar: "له خط الطول الأول", da: "har primær meredian", de: "hat Nullmeridian", fi: "nollameridiaani aineistossa", nl: "heeft nulmeridiaan", "zh-hans-cn": "有本初子午线"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60916,
      definition: {en: "Relates an entity to an access point for entity that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين كيان ونقطة إتاحة لكيان اُختيرت نقطة اتاحة مقننة مُفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en entitet til en søgeindgang for entitet, der er valgt som foretrukken i et specifikt vokabularkodningsskema.", de: "Setzt eine Entität in Beziehung zu einem Sucheinstieg für eine Entität, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää entiteetin entiteetin hakutietoon, joka on valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个实体与在一个特定的词表编码体系中被首选的一个实体的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61170", "http://rdaregistry.info/Elements/u/P61171", "http://rdaregistry.info/Elements/u/P61172", "http://rdaregistry.info/Elements/u/P61173"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60918",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has authorized access point for entity", ar: "له نقطة اتاحة مقننة لكيان", da: "har autoriseret søgeindgang for entitet", de: "hat normierten Sucheinstieg für eine Entität", fi: "entiteetin auktorisoitu hakutieto", nl: "heeft geautoriseerde ingang voor entiteit", "zh-hans-cn": "有实体的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60917,
      definition: {en: "Relates an entity to an access point for entity that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين كيان ونقطة إتاحة لكيان لم يتم اختياره كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en entitet til en søgeindgang for entitet, der ikke er valgt som foretrukken i et specifikt vokabularkodningsskema.", de: "Setzt eine Entität in Beziehung zu einem Sucheinstieg für eine Entität, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää entiteetin entiteetin hakutietoon, jota ei ole valittu ensisijaiseksi tietyn sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个实体与没有在一个特定的词表编码体系中被首选的一个实体的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61186", "http://rdaregistry.info/Elements/u/P61187", "http://rdaregistry.info/Elements/u/P61188", "http://rdaregistry.info/Elements/u/P61189"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60934",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant access point for entity", ar: "له نقطة إتاحة مختلفة لكيان", da: "har variant af søgeindgang for entitet", de: "hat zusätzlichen Sucheinstieg für eine Entität", fi: "entiteetin varianttihakutieto", nl: "heeft variant ingang voor entiteit", "zh-hans-cn": "有实体的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60918,
      definition: {en: "Relates a nomen to an entity that has an access point for entity that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين تسمية وكيان له نقطة إتاحة لكيان اُختيرت نقطة اتاحة مقننة في خطة ترميز مفردات محددة.", da: "Relaterer et nomen til en entitet, der har en søgeindgang for entitet, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über einen Sucheinstieg für eine Entität verfügt, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää nomenin entiteettiin, jolla on hakutieto, joka on valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中被首选的实体检索点的一种实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61174", "http://rdaregistry.info/Elements/u/P61175", "http://rdaregistry.info/Elements/u/P61176", "http://rdaregistry.info/Elements/u/P61177"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60916",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is authorized access point for entity of", ar: "هو نقطة إتاحة مقننة لكيان لـ", da: "er autoriseret søgeindgang for entitet af", de: "ist normierter Sucheinstieg für eine Entität von", fi: "entiteetin auktorisoitu hakutieto", nl: "is geautoriseerde ingang voor entiteit van", "zh-hans-cn": "是……的实体的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60919,
      definition: {en: "Relates an entity to a nomen that is an appellation of entity that consists of a code, number, or other string, usually independent of natural language and social naming conventions, used to identify an entity.", ar: "يربط بين كيان وتسمية لكيان يتكون من رمز، رقم، أو سلسلة تمثيلات أخرى، مستقلة عادة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة لتعريف كيان.", da: "Relaterer en entitet til en entitetsbenævnelse, der består af kode, nummer, eller anden streng, normalt uafhængig af normalt sprog og sociale navngivningskonventioner, anvendt for at identificere en entitet.", de: "Setzt eine Entität in Beziehung zu einer Bezeichnung für eine Entität, die aus einem Code, einer Nummer oder einer anderen Zeichenkette besteht, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung einer Entität verwendet wird.", fi: "Liittää entiteetin entiteetin nimitykseen, joka koostuu koodista, luvusta tai muusta tavallisesti luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä riippumattomasta merkkijonosta, jota käytetään entiteetin dentifiointiin.", "zh-hans-cn": "将一个实体与作为由代码、数字、或其他字符串构成、通常独立于自然语言和社会命名惯例、用以标识实体的实体称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60052", "http://rdaregistry.info/Elements/u/P60053", "http://rdaregistry.info/Elements/u/P61178", "http://rdaregistry.info/Elements/u/P61179"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Koodattu merkkijono on yleensä luonnollisesta kielestä ja sosiaalisista nimeämisen käytännöistä riippumaton.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60928",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has identifier for entity", ar: "له معرف لكيان", da: "har dentifikator for entitet", de: "hat Identifikator für eine Entität", fi: "entiteetin tunniste", nl: "heeft identificatie voor entiteit", "zh-hans-cn": "有实体的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60920,
      definition: {en: "Relates an appellation of agent in natural language and phrasing used in common discourse to an agent.", ar: "يربط بين وكيل وتسمية وكيل فىي اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en agentbenævnelse på naturligt sprog og med naturlig formulering, anvendt i almindelig diskurs til en agent.", de: "Setzt eine Bezeichnung für einen Akteur in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird, in Beziehung zu einem Akteur.", fi: "Liittää toimijaan luonnollisella kielellä olevan toimijan nimityksen, jota käytetään yleisessä diskurssissa.", "zh-hans-cn": "将一个用自然语言和普通话语措词表达的行为者的称谓与一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60921", "http://rdaregistry.info/Elements/u/P60927", "http://rdaregistry.info/Elements/u/P61192", "http://rdaregistry.info/Elements/u/P61193", "http://rdaregistry.info/Elements/u/P61196"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60368",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of agent of", ar: "هو اسم لوكيل لـ", da: "er agentnavn på", de: "ist Name eines Akteurs von", fi: "toimijan nimi", nl: "is naam van actor van", "zh-hans-cn": "是……的行为者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60921,
      definition: {en: "Relates a nomen to an agent who has a name of agent that is not selected for preference in a specific application or context.", ar: "يربط بين تسمية ووكيل له اسم وكيل لم يتم اختياره كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en agent, som har et agentnavn, der ikke er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über einen Namen für einen Akteur verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin toimijaan, jolla on toinen toimijan nimi, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境下未被首选的一个行为者名称的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60119",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant name of agent of", ar: "هو اسم مختلف لوكيل لـ", da: "er variantnavn af agent på", de: "ist abweichender Name eines Akteurs von", fi: "toimijan varianttinimi", nl: "is variant naam van actor van", "zh-hans-cn": "是……的行为者的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60920",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60922,
      definition: {en: "Relates a nomen to a place that has a name of place that is not selected for preference in a specific application or context.", ar: "يربط بين تسمية ومكان له اسم مكان لم يتم اختياره كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til et sted, der har et stednavn, som ikke er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Namen für ein Geografikum verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin paikkaan, jolla on paikannimi, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中未被首选的一个地点名称的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60880",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant name of place of", ar: "هو اسم مختلف لمكان لـ", da: "er variant til stednavn på", de: "ist abweichender Name eines Geografikums von", fi: "paikan varianttinimi", nl: "is variant naam van plaats van", "zh-hans-cn": "是……的地点的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60929",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60923,
      definition: {en: "Relates a nomen to a place that has a name of place that is selected for preference in a specific application or context.", ar: "يربط بين تسمية ومكان له اسم مكان اختير كاسم مفضل في تطبيق محدد أو في سياق محدد.", da: "Relaterer et nomen til et sted, der har et stednavn, som er valgt som foretrukket i en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Namen für ein Geografikum verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää nomenin paikkaan, jolla on ensisijaiseksi tietyssä sovelluksessa tai kontekstissa valittu paikannimi.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中被首选的一个地点名称的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60548",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preferred name of place of", ar: "هو اسم مفضل لمكان لـ", da: "er fortrukket stednavn på", de: "ist bevorzugter Name eines Geografikums von", fi: "paikan ensisijainen nimi", nl: "is geprefereerde naam van plaats van", "zh-hans-cn": "是……的地点的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60929",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60924,
      definition: {en: "Relates a nomen to a timespan that has a name of timespan that is selected for preference in a specific application or context.", ar: "ييربط تسمية بفترة زمنية لها اسم فترة زمنية اُختيرت كاسم مفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til et tidsforløb, der har et navn på tidsforløb, der er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Namen für einen Zeitraum verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää nomenin ajanjaksoon, jolla on ensisijaiseksi tietyssä sovelluksessa tai kontekstissa valittu ajanjakson nimi.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中被首选的一个时间段名称的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60930",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preferred name of timespan of", ar: "هو اسم مفضل لفترة زمنية لـ", da: "er foretrukket navn på tidsperiode for", de: "ist bevorzugter Name eines Zeitraums von", fi: "ajanjakson ensisijainen nimi", nl: "is geprefereerde naam van tijdspanne van", "zh-hans-cn": "是……的时间段的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60931",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60925,
      definition: {en: "Relates a nomen to a resource that has a title of resource that is not selected for preference in a specific application or context.", ar: "يربط تسمية بمصدر له عنوان مصدر لم يتم اختياره كعنوان مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en ressource, som har en ressourcetitel der ikke er valgt som foretrukken in en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Titel für eine Ressource verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin aineistoon, jolla on aineiston nimi, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中被未首选的一个资源题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantTitleOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60355",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant title of resource of", ar: "هو عنوان مختلف لمصدر لـ", da: "er varianttitel af ressource af", de: "ist abweichender Titel einer Ressource von", fi: "aineiston varianttinimi", nl: "is variant titel van resource van", "zh-hans-cn": "是……的资源的变异题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60912",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60926,
      definition: {en: "Relates a timespan to a name of timespan that is not selected for preference in a specific application or context.", ar: "يربط بين فنرة زمنية واسم فترة زمنية لم يتم اختيارها كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et tidsforløb til et navn på tidsforløb, der ikke er valgt som foretrukket i en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt einen Zeitraum in Beziehung zu einem Namen eines Zeitraums, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää ajanjakson ajanjakson nimeen, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个时间段与未在一个特定的应用或语境中被首选的一个时间段的名称关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60932",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant name of timespan", ar: "له اسم مختلف لفترة زمنية", da: "har variantnavn for tidsforløb", de: "hat abweichenden Namen eines Zeitraums", fi: "ajanjakson varianttinimi", nl: "heeft variant naam van tijdspanne", "zh-hans-cn": "有时间段的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60935",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60927,
      definition: {en: "Relates a nomen to an agent who has a name of agent that is selected for preference in a specific application or context.", ar: "يربط بين تسمية ووكيل له اسم وكيل اُختير كاسم مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en agent, som har et agentnavn, der er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über einen Namen für einen Akteur verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää nomenin toimijaan, jolla on tietyssä sovelluksessa tai kontekstissa ensisijaiseksi valittu toimijan nimi.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境下被首选的一个行为者名称的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60549",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preferred name of agent of", ar: "هو اسم مفضل لوكيل لـ", da: "er foretrukket navn på agent på", de: "ist bevorzugter Name eines Akteurs von", fi: "Toimijan ensisijainen nimi", nl: "is geprefereerde naam van actor van", "zh-hans-cn": "是……的行为者的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60920",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60928,
      definition: {en: "Relates a nomen to an entity that has a reference code taken from a vocabulary encoding scheme.", ar: "يربط بين تسمية وكيان له رمز إحالة مأخوذ من خطة ترميز مفردات.", da: "Relaterer et noment til en entitet, som jar en referencekode hetet fra et vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über einen Referenzcode verfügt, der aus einem Vocabulary Encoding Scheme entnommen wird.", fi: "Liittää nomenin entiteettiin, jolla on sanaston merkintäjärjestelmästä otettu viitekoodi", "zh-hans-cn": "将一个命名与有一个取自一个词表编码体系的指称代码的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60937", "http://rdaregistry.info/Elements/u/P60938", "http://rdaregistry.info/Elements/u/P61180", "http://rdaregistry.info/Elements/u/P61181"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Koodattu merkkijono on yleensä luonnollisesta kielestä ja sosiaalisista nimeämisen käytännöistä riippumaton.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60919",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is identifier for entity of", ar: "هو معرف لكيان لـ", da: "er identifikator for entitet af", de: "ist Identifikator für eine Entität von", fi: "entiteetin tunniste", nl: "is identificatie voor entiteit van", "zh-hans-cn": "是……的实体的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60929,
      definition: {en: "Relates a nomen to a place that has a name in natural language and phrasing used in common discourse.", ar: "يربط بين تسمية ومكان له اسم في اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer et nomen til et sted, som har et navn på naturligt sprog og formuleringer anvendt i allmindelig diskurs.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Namen in natürlicher Sprache und Ausdrucksweise verfügt, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää nomenin paikkaan, jolla on yleisessä diskurssissa käytetty nimi luonnollisella kielellä ja sananmuodolla.", "zh-hans-cn": "将一个命名与有用自然语言和普通话语措词表达的名称的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60922", "http://rdaregistry.info/Elements/u/P60923"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60366",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of place of", ar: "هو اسم لمكان لـ", da: "er stednavn på", de: "ist Name eines Geografikums von", fi: "paikan nimi", nl: "is naam van plaats van", "zh-hans-cn": "是……的地点的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60947",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60930,
      definition: {en: "Relates a timespan to a nomen that is a name of timespan that is selected for preference in a specific application or context.", ar: "يربط بين فترة زمنية واسم لفترة زمنية اُختيرت كاسم مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et tidsforløb til et navn på tidsforløb, der er valgt som foretrukket i en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt einen Zeitraum in Beziehung zu einem Namen eines Zeitraums, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää ajanjakson ensisijaiseksi tietyssä sovelluksessa tai kontekstissa valittuun ajanjakson nimeen.", "zh-hans-cn": "将一个时间段与作为一个时间段的名称并在一个特定的应用或语境中被首选的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60924",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred name of timespan", ar: "له اسم مفضل لفترة زمنية", da: "har foretrukket navn på tidsforløb", de: "hat bevorzugten Namen eines Zeitraums", fi: "ajanjakson ensisijainen nimi", nl: "heeft geprefereerde naam van tijdspanne", "zh-hans-cn": "有时间段的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60935",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60931,
      definition: {en: "Relates a nomen to a timespan that has a name in natural language and phrasing used in common discourse.", ar: "ييربط تسمية بفترة زمنية لها اسم في اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer et nomen til et tidsforløb, som har et navn på naturligt sprog och formuleringer brugt i almindelig diskurs.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Namen in natürlicher Sprache und Ausdrucksweise verfügt, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää nomenin ajanjaksoon, jolla on jolla on yleisessä diskurssissa käytetty nimi luonnollisella kielellä ja sananmuodolla.", "zh-hans-cn": "将一个命名与有用自然语言和普通话语措词表达的名称的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60924", "http://rdaregistry.info/Elements/u/P60932"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60935",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of timespan of", ar: "هو اسم لفترة زمنية لـ", da: "er navn på tidsforløb af", de: "ist Name eines Zeitraums von", fi: "ajanjakson nimi", nl: "is naam van tijdspanne van", "zh-hans-cn": "是……的时间段的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60947",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60932,
      definition: {en: "Relates a nomen to a timespan that has a name of timespan that is not selected for preference in a specific application or context.", ar: "ييربط تسمية بفترة زمنية لها اسم فترة زمنية لم يتم اختياره كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til et tidsforløb, der har et navn på tidsforløb, der ikke er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Namen für einen Zeitraum verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin ajanjaksoon, jolla on ajanjakson nimi, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中未被首选的一个时间段名称的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60926",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant name of timespan of", ar: "هو اسم مختلف لفترة زمنية لـ", da: "er variantnavn på tidsforløb af", de: "ist abweichender Name eines Zeitraums von", fi: "ajanjakson varianttinimi", nl: "is variant naam van tijdspanne van", "zh-hans-cn": "是……的时间段的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60931",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60933,
      definition: {en: "Relates a nomen to a resource that has a title of resource that is selected for preference in a specific application or context.", ar: "يربط تسمية بمصدر له عنوان اُختير كعنوان مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en ressource, som har en ressourcetitel der er valgt som foretrukken in en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Titel für eine Ressource verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää nomenin aineistoon, jolla on tietyssä sovelluksessa tai kontekstissa ensisijaiseksi valittu aineiston nimeke.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中被首选的一个资源题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredTitleOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60588",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preferred title of resource of", ar: "هو عنوان مفضل لمصدر لـ", da: "er foretrukken titel af ressource", de: "ist bevorzugter Titel einer Ressource von", fi: "aineiston ensisijainen nimeke", nl: "is geprefereerde titel van resource van", "zh-hans-cn": "是……的资源的首选题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60912",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60934,
      definition: {en: "Relates a nomen to an entity that has an access point for entity that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين تسمية وكيان له نقطة وصول لكيان لم يتم اختيارها كنقطة وصول مختلفة مفضلة ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en entitet, som har en søgeindgang for entitet, der ikke er valgt som foretrukken i et specifikt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über einen Sucheinstieg für eine Entität verfügt, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin entiteettiin, jolla on entiteetin hakutieto, jota ei ole valittu ensisijaiseksi tietyssä sovelluksessa tai kontekstissa.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中未被首选的实体检索点的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60917",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant access point for entity of", ar: "هو نقطة وصول مختلفة لكيان لـ", da: "er variansøgeindgang for entitet af", de: "ist zusätzlicher Sucheinstieg für eine Entität von", fi: "entiteetin varianttihakutieto", nl: "is variant ingang voor entiteit van", "zh-hans-cn": "是……的实体的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60935,
      definition: {en: "Relates a timespan to a nomen that is an appellation of timespan in natural language and phrasing used in common discourse.", ar: "يربط بين فترة زمنية وتسمية لفترة زمنية في اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer et tidsforløb til en benævnelse på tidsforløb på naturligt sprog og med naturlig formulering anvendt in almindelig diskurs.", de: "Setzt einen Zeitraum in Beziehung zu einer Bezeichnung für einen Zeitraum in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää ajanjakson yleisessä diskurssissa luonnollisella kielellä ja sananmuodolla käytettyyn nimitykseen.", "zh-hans-cn": "将一个时间段与作为用自然语言和普通话语措词表达的时间段的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60926", "http://rdaregistry.info/Elements/u/P60930"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60931",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of timespan", ar: "له اسم لفترة زمنية", da: "har navn på tidsforløb", de: "hat Namen eines Zeitraums", fi: "ajanjakson nimi", nl: "heeft naam van tijdspanne", "zh-hans-cn": "有时间段的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60939",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60936,
      definition: {en: "Relates an entity to a broad unstructured description of one or more attributes of an entity.", ar: "يربط بين كيان ووصف مستفيض غير محدد لواحدة أو أكثر من سمات كيان.", da: "Relaterer en entitet til en en bred ustruktureret definition af en eller flere attributter af en entitet.", de: "Setzt eine Entität in Beziehung zu einer umfassenden, unstrukturierten Beschreibung eines Merkmals oder mehrerer Merkmale einer Entität.", fi: "Liittää entiteetin laajaan rakenteistamattomaan kuvailuun entiteetin yhdestä tai useammasta attribuutista.", "zh-hans-cn": "将一个实体与一个实体的一个或多个属性的宽泛的、非结构化的描述关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60470", "http://rdaregistry.info/Elements/u/P60956"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on entity", ar: "له تبصرة لكيان", da: "har note om entitet", de: "hat Anmerkung zur Entität", fi: "huomautus entiteetistä", nl: "heeft noot bij entiteit", "zh-hans-cn": "有关于实体的附注"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60937,
      definition: {en: "Relates a nomen to an agent who has an appellation of agent who is a reference code taken from a vocabulary encoding scheme.", ar: "يربط بين تسمية ووكيل له تسمية لوكيل عبارة عن رمز إحالة مأخوذ من خطة ترميز مفردات.", da: "Relaterer et nomen til en agent, som har en benævnelse for agent, der er en referencekode hentet fra et vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über eine Bezeichnung für einen Akteur verfügt, die einen Referenzcode darstellt, der aus einem Vocabulary Encoding Scheme entnommen wird.", fi: "Liittää nomenin toimijaan, jolla on sanaston merkintäjärjestelmästä otettu viitekoodi nimityksenään.", "zh-hans-cn": "将一个命名与有一个取自一个词表编码体系的指称代码作为行为者称谓的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Koodattu merkkijono on yleensä luonnollisesta kielestä ja sosiaalisista nimeämisen käytännöistä riippumaton.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60053",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is identifier for agent of", ar: "هو معرف لوكيل لـ", da: "er identifkator for agent af", de: "ist Identifikator für einen Akteur von", fi: "tunniste toimijalle", nl: "is identificatie voor actor van", "zh-hans-cn": "是……的行为者的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60928",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60938,
      definition: {en: "Relates a nomen to a resource that has an appellation of resource that is a reference code taken from a vocabulary encoding scheme.", ar: "يربط تسمية بمصدر له تسمية لمصدر عبارة عن رمز إحالة مأخوذ من خطة ترميز مفردات.", da: "Relaterer et nomen til en ressource der har en ressourcebenævnelse, som er en referencekode hentet fra et vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung für eine Ressource verfügt, die einen Referenzcode darstellt, der aus einem Vocabulary Encoding Scheme entnommen wird.", fi: "Liittää nomenin aineistoon, jolla jolla on sanaston merkintäjärjestelmästä otettu viitekoodi nimityksenään.", "zh-hans-cn": "将一个命名与有一个取自一个词表编码体系的指称代码作为资源称谓的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60988", "http://rdaregistry.info/Elements/u/P60989"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Koodattu merkkijono on yleensä luonnollisesta kielestä ja sosiaalisista nimeämisen käytännöistä riippumaton.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60052",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is identifier for resource of", ar: "هو معرف لمصدر لـ", da: "er identifkator for ressource af", de: "ist Identifikator für eine Ressource von", fi: "tunniste aineistolle", nl: "is identificatie voor resource van", "zh-hans-cn": "是……的资源的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60928",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60939,
      definition: {en: "Relates an entity to a nomen that is an appellation of entity in natural language and phrasing used in common discourse.", ar: "يربط بين كيان وتسمية لكيان في اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer en entitet til en benævnelse på entitet på naturligt sprog og med formuleringer brugt i almindelig diskurs.", de: "Setzt eine Entität in Beziehung zu einer Bezeichnung für eine Entität in natürlicher Sprache und Ausdrucksweise, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää entiteetin entiteetin yleisessä diskurssissa luonnollisella kielellä ja sananmuodolla käytettyyn nimitykseen.", "zh-hans-cn": "将一个实体与作为用自然语言和普通话语措词表达的实体的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60366", "http://rdaregistry.info/Elements/u/P60935", "http://rdaregistry.info/Elements/u/P60940", "http://rdaregistry.info/Elements/u/P60941"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60947",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of entity", ar: "له اسم لكيان", da: "har navn på entitet", de: "hat Namen einer Entität", fi: "entiteetin nimi", nl: "heeft naam van entiteit", "zh-hans-cn": "有实体的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60909",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60940,
      definition: {en: "Relates an entity to a nomen that is a name of entity that is selected for preference in a specific application or context.", ar: "يربط بين كيان واسم كيان اُختير كاسم مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer en entitet til et navn på entitet der er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt eine Entität in Beziehung zu einem Namen einer Entität, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää entiteetin ensisijaiseksi tietyssä sovelluksessa tai kontekstissa ensisijaiseksi valittuun entiteetin nimeen.", "zh-hans-cn": "将一个实体与一个作为实体名称并在特定应用或语境下优先选用的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60951",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has preferred name of entity", ar: "له اسم مفضل لكيان", da: "har foretrukket navn på entitet", de: "hat bevorzugten Namen einer Entität", fi: "entiteetin ensisijainen nimi", nl: "heeft geprefereerde naam van entiteit", "zh-hans-cn": "有实体的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60939",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60941,
      definition: {en: "Relates an entity to a name of entity that is not selected for preference in a specific application or context.", ar: "يربط بين كيان واسم كيان لم يتم اختياره كاسم مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer en entitet til et navn på entitet, som ikke er valgt som foretrukket i en specifik applikation eller i et specifikt sammenhæng.", de: "Setzt eine Entität in Beziehung zu einem Name einer Entität, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää entiteetin nimeen, jota ei tietyssä sovelluksessa tai kontekstissa ole valittu ensisijaiseksi entiteetin nimeksi.", "zh-hans-cn": "将一个实体与一个作为实体名称并不在特定应用或语境下优先选用的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60952",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant name of entity", ar: "له اسم مختلف لكيان", da: "har variantnavn på entitet", de: "hat abweichenden Namen einer Entität", fi: "entiteetin varianttinimi", nl: "heeft variant naam van entiteit", "zh-hans-cn": "有实体的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60939",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60942,
      definition: {en: "Relates an agent to a nomen that is assigned to an entity by an agent.", ar: "يربط بين وكيل وتسمية خصصها وكيل لكيان.", da: "Relaterer en agent til et nomen der er tildelt en entitet af en agent", de: "Setzt einen Akteur in Beziehung zu einem Nomen, das von einem Akteur einer Entität zugewiesen ist.", fi: "Liittää toimijan nomeniin, jonka toimija on antanut entiteetille.", "zh-hans-cn": "将一个行为者与被一个行为者分配给一个实体的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/assignerAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60943",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is assigner agent of", ar: "هو وكيل مخصص لـ", da: "er agent der tildeler af", de: "ist Akteur als Zuweisende/Zuweisender von", fi: "nimeäjä (toimija)", nl: "is toekenner-actor van", "zh-hans-cn": "是……的分配者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60943,
      definition: {en: "Relates a nomen to an agent who assigns a nomen to an entity.", ar: "يربط بين تسمية ووكيل خصص اسمًا لكيانًا.", da: "Relaterer et nomen til en agent, som tildeler et nomen til en entitet.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der einer Entität ein Nomen zuweist.", fi: "Liittää nomenin toimijaan, joka antaa entiteetille nomenin.", "zh-hans-cn": "将一个命名与把一个命名分配给一个实体的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/assignedByAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60942",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is assigned by agent", ar: "هو مخصص من قبل وكيل", da: "er tildelt af agent", de: "ist von einem Akteur zugewiesen", fi: "toimijan antama nomen", nl: "is toegekend door actor", "zh-hans-cn": "被一个行为者分配"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60944,
      definition: {en: "Relates an entity to a type to which an entity belongs.", ar: "يربط بين كيان ونوع ينتمي إليه كيان.", da: "Relaterer en entitet til en type som en entitet tilhører.", de: "Setzt eine Entität in Beziehung zu einer Art, zu der eine Entität gehört.", fi: "Liittää entiteetin tyyppiin tai jaotteluun, johon entiteetti kuuluu.", "zh-hans-cn": "将一个实体与一个实体所属于的类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60058",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/categoryOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has category of entity", ar: "له فئة لكيان", da: "har kategori af entitet", de: "hat Kategorie einer Entität", fi: "entiteetin kategoria", nl: "heeft categorie van entiteit", "zh-hans-cn": "有实体的类别"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60945,
      definition: {en: "Relates a resource to an identifier for resource that consists of a group of characters from specified locations in a resource combined with a date of publication or other element.", ar: "يربط بين مصدر ومعرف لمصدر يتضمن مجموعة تمثيلات من مواقع محددة فى مصدر مدمج مع تاريخ نشر أو عنصر آخر.", da: "Relaterer en ressource til en identifikator for en ressource, som består af en gruppe tegn fra bestemte steder i en ressource, kombineret med et udgivelsesdato eller et andet element.", de: "Setzt eine Ressource in Beziehung zu einem Identifikator für eine Ressource, der aus einer Kombination von einer Gruppe von Zeichen von bestimmten Stellen einer Ressource und einem Veröffentlichungsdatum oder einem anderen Element besteht.", fi: "Liittää aineiston tunnisteeseen, muodostuu aineiston tietyistä kohdista poimittujen merkkien yhdistämisestä julkaisuaikaan tai muihin elementteihin.", "zh-hans-cn": "将一种资源与作为一种资源的标识符、由资源中指定位置选取的一组字符并和出版日期或其他元素一起组成的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fingerprint.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61158",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has fingerprint", ar: "له بصمة", da: "har fingeraftryk", de: "hat Fingerprint", fi: "aineiston sormenjälkitunniste", nl: "heeft vingerafdruk", "zh-hans-cn": "有指纹"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60052",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60946,
      definition: {en: "Relates a nomen to a resource that involves a responsibility of an agent for distributing a published resource.", ar: "يربط تسمية بمصدر ينطوي على مسؤولية وكيل عن توزيع مصدر منشور.", da: "Relaterer et nomen til en ressource, som involverer ett agentansvar for at distribuere en udgiven ressource.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, bei der ein Akteur für den Vertrieb einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää nomenin aineistoon, johon liittyy toimijan vastuu julkaistun aineiston jakelusta.", "zh-hans-cn": "将一个命名与涉及发行一种出版资源的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfDistributorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60544",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of distributor of", ar: "هو اسم موزع لـ", da: "er navn på distributør af", de: "ist Vertriebsname von", fi: "aineiston jakelijan nimi", nl: "is naam van distributeur van", "zh-hans-cn": "是……的发行者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60947,
      definition: {en: "Relates a nomen to an entity that has an appellation of entity in natural language and phrasing used in common discourse.", ar: "يربط بين تسمية وكيان له تسمية لكيان في اللغة الطبيعية وفي العبارات المستخدمة في الخطاب العام.", da: "Relaterer et nomen til en entitet, som har en entitetsbenævnelse på naturligt sprog og med formuleringer brugt i almindelig diskurs.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über eine Bezeichnung für eine Entität in natürlicher Sprache und Ausdrucksweise verfügt, die beim normalen Sprechen und Schreiben verwendet wird.", fi: "Liittää nomenin entiteettiin, jolla on yleisessä diskurssissa käytetty nimitys luonnollisella kielellä ja sananmuodolla.", "zh-hans-cn": "将一个命名与有用自然语言和普通话语措词表达的实体的称谓的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60929", "http://rdaregistry.info/Elements/u/P60931", "http://rdaregistry.info/Elements/u/P60951", "http://rdaregistry.info/Elements/u/P60952"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60939",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of entity of", ar: "هو اسم لكيان لـ", da: "er navn på entitet af", de: "ist Name einer Entität von", fi: "entiteetin nimi", nl: "is naam van entiteit van", "zh-hans-cn": "是……的实体的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60948,
      definition: {en: "Relates a nomen to a resource that involves a responsibility of an agent for printing, duplicating, casting, etc., a published resource.", ar: "يربط تسمية بمصدر ينطوي على مسؤولية وكيل عن طباعة، نسخ، طَرَح...إلخ، مصدر منشور.", da: "Relaterer et nomen til en ressource, som involverer ett agentansvar for at for trykning, duplikering, støbning etc. af en udgiven ressource.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, bei der ein Akteur für den Druck, die Vervielfältigung, den Guss und so weiter einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää nomenin aineistoon, johon liittyy toimijan vastuu julkaistun aineiston painamisesta, monistamisesta, kirjasinten valamisesta tms.", "zh-hans-cn": "将一个命名与涉及一种出版资源的印刷、复制、铸造等的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfManufacturerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60546",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of manufacturer of", ar: "هو اسم لمُصّنع لـ", da: "er navn på producent af", de: "ist Herstellername von", fi: "aineiston valmistajan nimi", nl: "is naam van vervaardiger van", "zh-hans-cn": "是……的生产者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60949,
      definition: {en: "Relates a nomen to a resource that involves a responsibility of an agent for inscribing, fabricating, constructing, etc., an unpublished resource.", ar: "يربط تسمية بمصدر ينطوي على مسؤولية وكيل عن تسجيل، تصنيع، إنشاء...إلخ، مصدر غير منشور.", da: "Relaterer et nomen til en ressource, som involverer ett agentansvar for indskrift, fremstilling, konstruktion etc. af en ikke udgiven ressource.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, bei der ein Akteur für das Gravieren, Fabrizieren, Konstruieren und so weiter einer unveröffentlichten Ressource verantwortlich ist.", fi: "Liittää nomenin aineistoon, johon liittyy toimijan vastuu julkaisemattoman aineiston kaiverruksesta, valmistuksesta, kokoonpanosta tms.", "zh-hans-cn": "将一个命名与涉及一种非出版资源的镌刻、制造、构建等的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfProducerOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60545",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of producer of", ar: "له اسم لمنتج لـ", da: "er navn på producer af", de: "ist Erzeugername von", fi: "aineiston tuottajan nimi", nl: "is naam van producent van", "zh-hans-cn": "是……的制作者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60950,
      definition: {en: "Relates a nomen to a resource that involves a responsibility of an agent for publishing, releasing, or issuing a published resources.", ar: "يربط تسمية بمصدر ينطوي على مسؤولية وكيل عن نشر، تحرير، أو إصدار مصدر منشور.", da: "Relaterer et nomen til en ressource, som involverer et agentansvar for publicering frigivelse eller udgivelse af en udgiven ressource.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, bei der ein Akteur für das Veröffentlichen, die Freigabe oder die Herausgabe einer veröffentlichten Ressource verantwortlich ist.", fi: "Liittää nomenin aineistoon, johon liittyy toimijan vastuu julkaistujen aineistojen kustantamisesta, julkaisemisesta tai ilmestymisestä.", "zh-hans-cn": "将一个命名与涉及一种出版资源的出版、发布、或发行的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfPublisherOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60547",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of publisher of", ar: "هو اسم لناشر لـ", da: "er navn på udgiver af", de: "ist Verlagsname von", fi: "aineiston kustantajan nimi", nl: "is naam van uitgever van", "zh-hans-cn": "是……的出版者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60911",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60951,
      definition: {en: "Relates a nomen to an entity that has a name of entity that is selected for preference in a specific application or context.", ar: "يربط بين تسمية وكيان له اسم كيان اُختير كاسم مُفضل في تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en entitet, som har et entitetsnavn, der er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über einen Namen für eine Entität verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext als Vorzugsform bestimmt wird.", fi: "Liittää nomenin entiteettiin, jolla on on tietyssä sovelluksessa tai kontekstissa ensisijaiseksi valittu entiteetin nimi.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中被首选的一个实体名称的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/preferredNameOfEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60940",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is preferred name of entity of", ar: "هو اسم مُفضل لكيان لـ", da: "er foretrukket navn på entitet af", de: "ist bevorzugter Name einer Entität von", fi: "entiteetin ensisijainen nimi", nl: "is geprefereerde naam van entiteit van", "zh-hans-cn": "是……的实体的首选名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60947",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60952,
      definition: {en: "Relates a nomen to an entity that has a name of entity that is not selected for preference in a specific application or context.", ar: "يربط بين تسمية وكيان لم يتم اختياره كاسم مختلف مفضل ضمن تطبيق محدد أو سياق محدد.", da: "Relaterer et nomen til en entitet, som har et entitetsnavn, der ikke er valgt som foretrukket i en specifik applikation eller et specifikt sammenhæng.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die über einen Namen für eine Entität verfügt, der in einer bestimmten Anwendung oder in einem bestimmten Kontext nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin entiteettiin, jolla on nimi, jota ei tietyssä sovelluksessa tai kontekstissa ole valittu ensisijaiseksi entiteetin nimeksi.", "zh-hans-cn": "将一个命名与有在一个特定的应用或语境中未被首选的一个实体名称的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61182", "http://rdaregistry.info/Elements/u/P61183", "http://rdaregistry.info/Elements/u/P61184", "http://rdaregistry.info/Elements/u/P61185"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantNameOfEntityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60941",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant name of entity of", ar: "هو اسم مختلف لكيان لـ", da: "er variantnavn på entitet af", de: "ist abweichender Name einer Entität von", fi: "entiteetin varianttinimi", nl: "is variant naam van corporatie van", "zh-hans-cn": "是……的实体的变异名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60947",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60953,
      definition: {en: "Relates a resource to a numeric designation of musical resource that is assigned from a list of resources of a composer, usually arranged in chronological order or by categories, with the theme given for each composition or for each section of large compositions.", ar: "يربط بين مصدر وتسمية رقمية لمصدر موسيقي مخصص من قائمة مصادر لمؤلف موسيقى، وعادةً ما يتم ترتيبها بترتيب زمني أو حسب الفئات، مع تحديد الموضوع لكل تلحين أو لكل قسم من المقطوعات الكبيرة.", da: "Relaterer en ressource til en numerisk betegnelse for en musikressource, som er tildelt fra en liste af ressourcer af en komponist, normalt arrangeret i kronologisk rækkefølge eller efter kategorier, med temaet angivet for enhver komposition eller for enhver del af store kompostioner.", de: "Setzt eine Ressource in Beziehung zu einer numerischen Bezeichnung einer Musikressource aus einem Ressourcenverzeichnis einer Komponistin/eines Komponisten, das in einer chronologischen Reihenfolge oder nach Kategorien angeordnet ist. Zusätzlich können darin Notenzitate in Form von Incipits oder thematischem Material für jede Komposition oder für jede Passage längerer Kompositionen aufgeführt sein.", fi: "Liittää aineiston musiikkiaineiston numeeriseen määritteeseen, joka on otettu säveltäjän aineistoluettelosta. aineistoluettelo on tavallisesti järjestetty aikajärjestykseen tai kategorioittain sisältäen teeman jokaisesta sävellyksestä tai laajan sävellyksen jokaisesta osasta.", "zh-hans-cn": "将一种资源与根据作曲者的资源列表分配、通常按年代顺序或类别顺序排列、并有每个谱曲或更大谱曲每个部分的主题的音乐资源的数字标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/thematicIndexNumber.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60960",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has thematic index number", ar: "له رقم كشاف موضوعي", da: "har tematisk indeksnummer", de: "hat Werkverzeichnisnummer", fi: "aineiston temaattisen aineistoluettelon numero", nl: "heeft thematische index-nummer", "zh-hans-cn": "有主题索引号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60315",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60954,
      definition: {en: "Relates a resource to a nomen that is a numeric designation of musical resource that is assigned by a composer or a reference source that indicates a sequence of musical resources that share the same title or that share the same title and the same representative medium of performance.", ar: "يربط بين مصدر وتسمية رقمية لمصدر موسيقي يخصص من جانب ملحن أو مصدر مرجعي يشير إلى تسلسل المصادر الموسيقية التي تشترك في نفس العنوان أو التي تشترك في نفس العنوان ونفس وسيلة الأداء الممثلة.", da: "Relaterer en ressource til en numerisk betegnelse for en musikressource, som er tildelt af en komponist eller en referencekilde, som indikerer en sekvens af musikressourcer, som deler samme titel eller deler samme titel og den samme repræsentative besætning.", de: "Setzt eine Ressource in Beziehung zu einer numerischen Bezeichnung einer Musikressource, die von einer Komponistin/einem Komponisten vergeben oder aus einem Nachschlagewerk entnommen wird und auf eine Folge von Musikressourcen hinweist, die den gleichen Titel oder den gleichen Titel und die gleiche repräsentative Besetzung haben.", fi: "Liittää aineiston musiikkiteoksen numeeriseen määritteeseen, joka on säveltäjän antama tai tietolähteestä otettu. Määrite ilmaisee saman nimekkeen tai saman nimekkeen ja saman edustavan esityskokoonpanon jakavien musiikkiaineistoten järjestystä.", "zh-hans-cn": "将一种资源与作为由作曲者或参考信息源分配、表示有同样题名或者同样题名和同样表演表现媒介的音乐资源序列的音乐资源的数字标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/serialNumber.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60961",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has serial number", ar: "له رقم تسلسلي", da: "har serienummer", de: "hat laufende Nummer", fi: "järjestysnumero aineistolle", nl: "heeft serienummer", "zh-hans-cn": "有序列号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60315",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60955,
      definition: {en: "Relates a resource to a nomen that is a numeric designation of musical resource assigned from a list of resources of a composer indicating the chronological order of composition.", ar: "يربط بين مصدر وتسمية رقمية لمصدر موسيقي مخصص من قائمة مصادر لمؤلف موسيقى تشير إلى ترتيب زمنى للقطع الموسيقية.", da: "Relaterer en ressource til en numersik betengelse for en musikressource, tildelt fra en liste af ressourcer af en komponist, som indikerer den kronoligiske rækkefølge af kompositionen.", de: "Setzt eine Ressource in Beziehung zu einer numerische Bezeichnung einer Musikressource, die von einer Komponistin/einem Komponisten oder einem Verlag vergeben wird oder gemäß einem Nachschlagewerk oder Werkverzeichnis verwendet wird. Sie gibt meist Aufschluss über die chronologische Reihenfolge der Komposition innerhalb eines Gesamtwerks.", fi: "Liittää aineiston musiikkiteoksen numeeriseen määritteeseen, joka on sävellykset aikajärjestyksessä esittävästä säveltäjän aineistoluettelosta otettu numerointi.", "zh-hans-cn": "将一种资源与作为根据作曲者资源列表分配、表示作曲时间顺序的音乐资源的一个数字标识的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/opusNumber.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60962",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has opus number", ar: "له رقم قطعة موسيقية", da: "har opusnummer", de: "hat Opus-Nummer", fi: "opusnumero aineistolle", nl: "heeft opusnummer", "zh-hans-cn": "有作品编号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60315",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60956,
      definition: {en: "Relates an agent to a broad unstructured description of one or more attributes of an agent.", ar: "يربط بين وكيل ووصف مستفيض غير محدد لواحدة أو أكثر من سمات وكيل", da: "Relaterer en agent til en bred ustruktureret beskrivelse af en eller flere attibuter til en agent.", de: "Setzt einen Akteur in Beziehung zu einer umfassenden, unstrukturierten Beschreibung eines Merkmals oder mehrerer Merkmale eines Akteurs.", fi: "Liittää toimijan laajaan rakenteistamattomaan kuvailuun toimijan yhdestä tai useammasta attribuutista.", "zh-hans-cn": "将一个行为者与一个行为者的一个或多个属性的宽泛的、非结构化的描述关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/noteOnAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has note on agent", ar: "له تبصرة عن وكيل", da: "har note om agent", de: "hat Anmerkung zum Akteur", fi: "huomautus toimijasta", nl: "heeft noot bij actor", "zh-hans-cn": "有关于行为者的附注"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60936",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60957,
      definition: {en: "Relates a nomen to a resource that has a chief name of a resource, that is, a title normally used when naming a resource.", ar: "تسمية ومصدر له اسم بارز (اسم رئيسي)، وهذا يعني استخدام عنوان يستخدم عادةً عند تسمية مصدر.", da: "Relaterer et nomen til en ressource, som har et hovednavn på en ressource, dvs. en titel som man normalt bruger når man navngiver en ressource.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Hauptnamen, das heißt einem Titel, der normalerweise bei der Benennung einer Ressource verwendet wird, verfügt.", fi: "Liittää nomenin aineistoon, jolla on ensisijainen aineiston nimi eli aineiston nimeämisessä normaalisti käytetty nimeke.", "zh-hans-cn": "将一个命名与有一个主要名称（亦即命名一种资源所通常使用的一个题名）的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleProperOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "An alternative title is treated as part of the title proper.", ar: "يتم التعامل مع العنوان البديل كجزء من العنوان نفسه.", da: "En alternativ titel behandles som en del af hovedtitlen.", de: "Ein Alternativtitel wird als Teil eines Haupttitels behandelt.", fi: "Vaihtoehtoista nimekettä pidetään päänimekkeen osana.", "zh-hans-cn": "交替题名被处理为正题名的部分。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60515",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is title proper of", ar: "هو عنوان مناسب لـ", da: "er hovedtitel af", de: "ist Haupttitel von", fi: "päänimeke aineistolle", nl: "is hoofdtitel van", "zh-hans-cn": "是……的正题名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60958,
      definition: {en: "Relates a nomen to a resource that has a title that identifies a series to which a resource belongs.", ar: "يربط تسمية بمصدر له عنوان يحدد سلسلة تنتمي إليها مصدر.", da: "Relaterer et navn til en ressource, som har en titel, der identificerer en serie som en ressource tilhører.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Titel verfügt, der die Reihe identifiziert, zu der eine Ressource gehört.", fi: "Liittää nomenin aineistoon, jolla on nimeke, joka ilmaisee, mihin sarjaan aineisto kuuluu.", "zh-hans-cn": "将一个命名与有识别一种资源所属于的一种丛编的题名的一资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60959", "http://rdaregistry.info/Elements/u/P61197"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleOfSeriesOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60516",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is title of series of", ar: "هو عنوان لسلسلة لـ", da: "er serietitel af", de: "ist Titel einer Reihe von", fi: "sarjan nimeke aineistolle", nl: "is reekstitel van", "zh-hans-cn": "是……的丛编的题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60912",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60959,
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/titleProperOfSubseriesOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60517",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is title proper of subseries of (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60958",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60960,
      definition: {en: "Relates a nomen to a musical resource that has an identifier for resource that is a numeric designation assigned from a list of resources of a composer, usually arranged in chronological order or by categories, with the theme given for each composition or for each section of large compositions.", ar: "يربط تسمية بمصدر موسيقي له معرف لمصدر عبارة عن تسمية رقمية مخصصة من قائمة مصادر المؤلف، وعادةً ما يتم ترتيبها بترتيب زمني أو حسب الفئات، مع تحديد الموضوع لكل تلحين أو لكل قسم من المقطوعات الكبيرة.", da: "Relaterer et nomen til en musikressource, som har en identifikator for ressource, der er en numerisk betegnelse tildelt fra en liste af ressourcer af en komponist, normalt arrangerede i kronologisk rækkefølge eller efter kategorier, med temaet angivet for enhever komposition eller for enhver del af en stor komposition.", de: "Setzt ein Nomen in Beziehung zu einer Musikressource, die über einen Identifikator für eine Ressource in Form einer numerischen Bezeichnung aus einem Ressourcenverzeichnis einer Komponistin/eines Komponisten verfügt, das in einer chronologischen Reihenfolge oder nach Kategorien angeordnet ist. Zusätzlich können darin Notenzitate in Form von Incipits oder thematischem Material für jede Komposition oder für jede Passage längerer Kompositionen aufgeführt sein.", fi: "Liittää nomenin musiikkiaineistoon, jolla on säveltäjän aineistoluettelosta otettu numeerinen määrite. Aineistoluettelo on tavallisesti järjestetty aikajärjestykseen tai kategorioittain sisältäen teeman jokaisesta sävellyksestä tai laajan sävellyksen jokaisesta osasta.", "zh-hans-cn": "将一个命名与有根据作曲者资源列表分配、通常按年代顺序或类别顺序排列、并有作为每个谱曲或更大谱曲每个部分的主题的资源之数字标识的一个资源标识的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/thematicIndexNumberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60953",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is thematic index number of", ar: "هو رقم كشاف موضوعى لـ", da: "er tematisk indeksnummer af", de: "ist Werkverzeichnisnummer von", fi: "temaattisen aineistoluettelon numero aineistolle", nl: "is thematisch indexnummer van", "zh-hans-cn": "是……的主题索引号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60963",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60961,
      definition: {en: "Relates a nomen to a musical resource that has a numeric designation of musical resource assigned by a composer or a reference source that indicates a sequence of musical resources that share the same title or that share the same title and the same representative medium of performance.", ar: "يربط تسمية بمصدر موسيقي له تسمية رقمية لمصدر موسيقي يخصص من جانب ملحن أو مصدر مرجعي يشير إلى تسلسل المصادر الموسيقية التي تشترك في نفس العنوان أو التي تشترك في نفس العنوان ونفس وسيلة الأداء الممثلة.", da: "Relaterer et nomen til en musikressource, som har en numerisk betegnelse af en musikressource, tildelt af en komponist eller af en referencekilde, som indikerer en sekvens af musikressourcer, som deler samme titel eller deler samme titel og den samme repræsentative besætning.", de: "Setzt ein Nomen in Beziehung zu einer Musikressource, die über eine numerische Bezeichnung einer Musikressource verfügt, die von einer Komponistin/einem Komponisten vergeben oder aus einem Nachschlagewerk entnommen wird und auf eine Folge von Musikressourcen hinweist, die den gleichen Titel oder den gleichen Titel und die gleiche repräsentative Besetzung haben.", fi: "Liittää nomenin musiikkiaineistoon, jolla on säveltäjän aineistoluettelosta tai tietolähteestä otettu järjestysnumero. Määrite ilmaisee saman nimekkeen tai saman nimekkeen ja saman edustavan esityskokoonpanon jakavien musiikkiaineistoten järjestystä.", "zh-hans-cn": "将一个命名与有由作曲者或参考信息源分配、表示有同样题名或者同样题名和同样表演表现媒介的音乐资源序列的音乐资源的一个数字标识的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/serialNumberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60954",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is serial number of", ar: "هو رقم مسلسل لـ", da: "er serienummer af", de: "ist Opus-Nummer von", fi: "järjestysnumero aineistossa", nl: "is serienummer van", "zh-hans-cn": "是……的序列号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60963",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60962,
      definition: {en: "Relates a nomen to a musical resource that has an identifier for resource that is a numeric designation assigned from a list of resources of a composer indicating chronological order of composition.", ar: "يربط تسمية بمصدر موسيقي له معرف لمصدر عبارة عن تسمية رقمية مخصصة من قائمة مصادر لمؤلف موسيقى تشير إلى ترتيب زمنى للقطع الموسيقية.", da: "Relaterer et nomen til en musikressource, som har en identifikator for ressource, der er en numerisk betegnelse tildelt fra en liste af ressourcer af en komponist der indikerer den kronoligiske rækkefølge af kompositionen.", de: "Setzt ein Nomen in Beziehung zu einer Musikressource, die über einen Identifikator für eine Ressource verfügt, der von einer Komponistin/einem Komponisten oder einem Verlag vergeben wird oder gemäß einem Nachschlagewerk oder Werkverzeichnis verwendet wird. Er gibt meist Aufschluss über die chronologische Reihenfolge der Komposition innerhalb eines Gesamtwerks.", fi: "Liittää nomenin musiikkiaineistoon, jolla on säveltäjän aineistoluettelosta otettu numeerinen, sävellyksen kronologisen järjestyksen kertova tunniste.", "zh-hans-cn": "将一个命名与有根据作曲者资源列表分配、表示作曲时间顺序的一个数字标识作为一个资源标识的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/opusNumberOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60955",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is opus number of", ar: "هو رقم قطعة موسيقية لـ", da: "er opusnummer af", de: "ist Opus-Nummer von", fi: "opusnumero aineistossa", nl: "is opusnummer van", "zh-hans-cn": "是……的作品号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60963",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60963,
      definition: {en: "Relates a nomen to a musical resource that has an identifier for resource that is a serial number, opus number, or thematic index number assigned to a musical resource by a composer, publisher, or a musicologist.", ar: "يربط تسمية بمصدر موسيقي له معرف لمصدر عبارة عن عن رقم مسلسل، رقم قطعة موسيقية، رقم كشاف موضوعى مخصص لمصدر موسيقى من جانب ملحن، ناشر، أو عالم موسيقى.", da: "Relaterer et nomen til en musikressource der har en identifikator for ressource, som er et serienummer, opusnummer, eller tematisk indeksnummer, tildelt til en musikressource af en komponist, udgiver, eller musikforsker.", de: "Setzt ein Nomen in Beziehung zu einer Musikressource, die über einen Identifikator für eine Ressource verfügt, der eine laufende Nummer, eine Opus-Nummer oder eine Werkverzeichnisnummer darstellt, die einer Musikressource durch eine Komponistin/einen Komponisten, einen Verlag oder eine Musikwissenschaftlerin/einen Musikwissenschaftler zugewiesen wird.", fi: "Liittää nomenin musiikkiaineistoon, jolla on tunnisteena säveltäjän, julkaisijan tai musiikkitieteilijän sarjanumero, opusnumero tai temaattisen teosluettelon numero.", "zh-hans-cn": "将一个命名与有一个资源标识符（即作曲者、出版者或者音乐学家分配的序列号、作品号或主题索引号）的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60960", "http://rdaregistry.info/Elements/u/P60961", "http://rdaregistry.info/Elements/u/P60962"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numericDesignationOfMusicalResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60315",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is numeric designation of musical resource of", ar: "هو تسمية رقمية لمصدر موسيقي لـ", da: "er numerisk betegnelse af musikressource af", de: "ist numerische Bezeichnung einer Musikressource von", fi: "numeerinen määrite", nl: "is numerieke aanduiding van muziek-resource van", "zh-hans-cn": "是……的音乐资源的数字标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60964,
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/addressOfAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60512",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is address of agent of (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60965,
      definition: {en: "Relates a place to an agent who was born in a place.", ar: "يربط بين مكان ووكيل وُلد في مكان.", da: "Relaterer et sted til en agent, som var født et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Akteur, der an einem Ort geboren wurde.", fi: "Liittää paikan toimijaan, joka on syntynyt paikassa.", "zh-hans-cn": "将一个地点与在一个地点出生的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfBirthOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60593",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of birth of", ar: "هو مكان الميلاد لـ", da: "er fødested af", de: "ist Geburtsort von", fi: "toimijan syntymäpaikka", nl: "is geboorteplaats van", "zh-hans-cn": "是……的出生地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61011",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60966,
      definition: {en: "Relates a place to a resource that has content recorded, filmed, etc. in a place.", ar: "يربط مكان بمصدر له محتوى مُسجل، مصور...إلخ، في مكان.", da: "Relaterer et sted til en ressource, som har indhold indspillet, filmet etc. på et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Ressource, die über Inhalt verfügt, der an einem Ort aufgenommen, gefilmt und so weiter wird.", fi: "Liittää paikan aineistoon, jonka sisältö on äänitetty, kuvattu tms. paikassa.", "zh-hans-cn": "将一个地点与有在一个地点录制、摄影等的内容的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfCaptureOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60556",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of capture of", ar: "هو مكان التقاط لـ", da: "er optagelsessted af", de: "ist Aufzeichnungsort von", fi: "aineiston tallennuspaikka", nl: "is plaats van vastleggen van", "zh-hans-cn": "是……的摄录的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60967,
      definition: {en: "Relates a place to an agent who died in a place.", ar: "يربط بين مكان ووكيل توفي في مكان.", da: "Relaterer et sted til en agent, som døde et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Akteur, der an einem Ort gestorben ist.", fi: "Liittää paikan toimijaan, joka on kuollut paikassa.", "zh-hans-cn": "将一个地点与在一个地点去世的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfDeathOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60592",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of death of", ar: "هو مكان وفاة لـ", da: "er dødssted af", de: "ist Sterbeort von", fi: "toimijan kuolinpaikka", nl: "is sterfplaats van", "zh-hans-cn": "是……的去世地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61011",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60968,
      definition: {en: "Relates a place to a resource that is a published resource that is distributed from a place.", ar: "يربط مكان بمصدر عبارة عن مصدر منشور ووُزع من مكان.", da: "Relaterer et sted til en ressource, som er en udgivet ressourse, der er distribueret fra et sted.", de: "Setzt ein Geografikum in Beziehung zu einer veröffentlichten Ressource, die an einem Ort vertrieben wird.", fi: "Liittää paikan julkaistuun aineistoon, jota jaellaan paikasta käsin.", "zh-hans-cn": "将一个地点与作为一种出版资源从一个地点发行的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfDistributionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60160",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of distribution of", ar: "هو مكان توزيع لـ", da: "er distributionssted af", de: "ist Vertriebsort von", fi: "aineiston jakelupaikka", nl: "is plaats van distributie van", "zh-hans-cn": "是……的发行的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60969,
      definition: {en: "Relates a place to a resource that is a published resource that is printed, duplicated, cast, etc. in a place.", ar: "يربط مكان بمصدر عبارة عن مصدر منشور طُبع، ونُسخ، وبُث...إلخ، في مكان.", da: "Relaterer et sted til en ressource, som er en udgivet ressourse, der er trykt, dupliceret, støbt, etc. et sted.", de: "Setzt ein Geografikum in Beziehung zu einer veröffentlichten Ressource, die an einem Ort gedruckt, vervielfältigt, gegossen und so weiter wird.", fi: "Liittää paikan julkaistuun aineistoon, joka on painettu, monistettu, valettu kirjainten osalta tms. paikassa.", "zh-hans-cn": "将一个地点与作为一种出版资源在一个地点印刷、复制、铸造等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfManufactureOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60162",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of manufacture of", ar: "هو مكان تصنيع لـ", da: "er fremstillingssted af", de: "ist Herstellungsort von", fi: "aineiston valmistuspaikka", nl: "is plaats van vervaardiging van", "zh-hans-cn": "是……的生产的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60970,
      definition: {en: "Relates a place to a resource which originated from a place.", ar: "يربط مكان بمصدر نشأ من مكان", da: "Relaterer et sted til en ressource, som har oprindelse fra et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Ressource, die aus einem Geografikum stammt.", fi: "Liittää paikan aineistoon, joka on saanut alkunsa paikassa.", "zh-hans-cn": "将一个地点与起源于一个地点的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfOriginOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60523",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of origin of resource of", ar: "هو مكان لمنشأ مصدر لـ", da: "er oprindelsessted for ressourcen af", de: "ist Ursprungsort einer Ressource von", fi: "aineiston alkuperään liittyvä paikka", nl: "is plaats van herkomst van resource van", "zh-hans-cn": "是……的资源的原地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60971,
      definition: {en: "Relates a place to a resource that is an unpublished resource that is inscribed, fabricated, constructed, etc. in a place.", ar: "يربط مكان بمصدر عبارة عن مصدر غير منشور تم تأليفه، تجميعه، إنتاجه في مكان.", da: "Relaterer et sted til en ressource, som er en ikke udgivet ressource, der er indskrevet, fremstillet, konstrueret, etc. et sted.", de: "Setzt ein Geografikum in Beziehung zu einer unveröffentlichten Ressource, die an einem Ort beschriftet, fabriziert, konstruiert und so weiter wird.", fi: "Liittää paikan julkaisemattomaan aineistoon, joka on kaiverrettu, valmistettu, koottu tms. paikassa.", "zh-hans-cn": "将一个地点与作为一种非出版资源在一个地点镌刻、制造、构建等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfProductionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60161",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of production of", ar: "هو مكان إنتاج", da: "er produktionssted af", de: "ist Entstehungsort von", fi: "aineiston tuotantopaikka", nl: "is plaats van productie van", "zh-hans-cn": "是……的制作的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60972,
      definition: {en: "Relates a place to a resource that is a published resource that is published, released, or issued in a place.", ar: "يربط مكان بمصدر عبارة عن مصدر منشور تم نشره، بثه، أو إصداره في مكان.", da: "Relaterer et sted til en ressource, som er en udgiven ressource, der er publiceret, frigivet, eller udgivet et sted.", de: "Setzt ein Geografikum in Beziehung zu einer veröffentlichten Ressource, die an einem Ort veröffentlicht, freigegeben oder herausgegeben wird.", fi: "Liittää paikan julkaistuun aineistoon, joka on kustannettu, julkaistu, ilmestynyt tms. paikassa.", "zh-hans-cn": "将一个地点与作为一种出版资源在一个地点出版、发布或发行等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfPublicationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60163",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of publication of", ar: "هو مكان نشر لـ", da: "er publiceringssted af", de: "ist Erscheinungsort von", fi: "aineiston kustannuspaikka", nl: "is plaats van publicatie van", "zh-hans-cn": "是……的出版的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60973,
      definition: {en: "Relates a place to an agent who resides or has resided in, or is associated other than birth, death, or residence with a place.", ar: "يربط بين مكان ووكيل يُقيم أو أقام، أو مرتبط بمكان ما بخلاف الولادة أو الوفاة أو الإقامة.", da: "Relaterer et sted til en agent, som bor eller har boet, eller er knyttet på anden måde end gennem fødsel, død, eller boende med et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Akteur, der in diesem Geografikum wohnt oder gewohnt hat oder aus anderen Gründen als Geburt, Tod oder Wohnsitz mit diesem in Verbindung steht.", fi: "Liittää paikan toimijaan, joka asuu tai on asunut paikassa tai on muuten kuin syntymän, kuoleman tai oleskelun kautta suhteessa paikkaan.", "zh-hans-cn": "将一个地点与在一个地点居住或居住过或者和出生、去世、或居住以外相关的一个地点的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfResidenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60360",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of residence of", ar: "هو مكان إقامة لـ", da: "er opholdsted af", de: "ist Wohnort von", fi: "asuinpaikka toimijalle", nl: "is verblijfplaats van", "zh-hans-cn": "是……的居住地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61011",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60974,
      definition: {en: "Relates a timespan to an agent who has a significant association with a timespan. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60975", "http://rdaregistry.info/Elements/u/P60977", "http://rdaregistry.info/Elements/u/P60978", "http://rdaregistry.info/Elements/u/P60980", "http://rdaregistry.info/Elements/u/P60985", "http://rdaregistry.info/Elements/u/P60990"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateAssociatedWithAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60324",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date associated with agent of (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61010",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60975,
      definition: {en: "Relates a timespan to an agent who was born during a timespan.", ar: "يربط بين فترة زمنية ووكيل وُلد خلال فترة زمنية.", da: "Relaterer et tidsforløb til en agent, som var født i løbet af et tidforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der in einem Zeitraum geboren wurde.", fi: "Liittää ajanjakson toimijaan, joka on syntynyt ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段出生的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfBirthOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60599",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of birth of", ar: "هو تاريخ ميلاد لـ", da: "er fødested af", de: "ist Geburtsdatum von", fi: "toimijan syntymäaika", nl: "is geboortedatum van", "zh-hans-cn": "是……的出生日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60976,
      definition: {en: "Relates a timespan to a resource that is recorded, filmed, etc., during a timespan.", ar: "يربط بين فترة زمنية ومصدر مُسجل، مصور...إلخ، خلال فترة زمنية.", da: "Relaterer et tidsforløb til en resource, somer indspillet, filmet, etc. i løbet af et tidforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die in einem Zeitraum aufgenommen, verfilmt und so weiter wird.", fi: "Liittää ajanjakson aineistoon, jonka sisältö on äänitetty, kuvattu tms. paikassa.", "zh-hans-cn": "将一个时间段与在一个时间段录制、摄影等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfCaptureOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60074",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of capture of", ar: "هو تاريخ التقاط لـ", da: "er optagelsessted af", de: "ist Aufzeichnungsdatum von", fi: "aineiston tallennusaika", nl: "is datum van vastleggen van", "zh-hans-cn": "是……的摄录日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60977,
      definition: {en: "Relates a timespan to a conference, exhibition, or other event that gives rise to a resource that is held during a timespan.", ar: "يربط بين فترة زمنية ومؤتمر، معرض، أو حدث آخر أسفر عن مصدر انعقد خلال فترة زمنية.", da: "Relaterer et tidsforløb til en konference, udstilling eller andet event, der giver ophav til en ressource, som afholdes i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Konferenz, Ausstellung oder eine andere formal benannte und einberufene Veranstaltung, aus der eine Ressource hervorgeht und die in einem Zeitraum stattfindet.", fi: "Liittää ajanjakson ajanjakson aikana pidettyyn konferenssiin, näyttelyyn tai muuhun tapahtumaan, jonka seurauksena sntyy aineisto.", "zh-hans-cn": "将一个时间段与在一个时间段中举行并导致一种资源的一次会议、展览或其他活动关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfConferenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60526",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of conference of", ar: "هو تاريخ مؤتمر لـ", da: "er dato for konference af", de: "ist Datum einer Konferenz von", fi: "konferenssin ajankohta", nl: "is datum van conferentie van", "zh-hans-cn": "是……的会议的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60978,
      definition: {en: "Relates a timespan to an agent who died during a timespan.", ar: "يربط بين فترة زمنية ووكيل توفي خلال فترة زمنية.", da: "Relaterer et tidsforløb til en agent, som døde under et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der in einem Zeitraum gestorben ist.", fi: "Liittää ajanjakson toimijaan, joka on kuollut ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段死亡的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfDeathOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60598",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of death of", ar: "هو تاريخ وفاة لـ", da: "er dødsdato af", de: "ist Sterbedatum von", fi: "toimjan kuolinaika", nl: "is sterfdatum van", "zh-hans-cn": "是……的死亡日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60979,
      definition: {en: "Relates a timespan to a resource that is a published resource that is distributed during a timespan.", ar: "يربط بين فترة زمنية ومصدر عبارة عن مصدر منشور تم توزيعه خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er en udgiven ressource, der er distribueret i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer veröffentlichten Ressource, die in einem Zeitraum vertrieben wird.", fi: "Liittää ajanjakson julkaistuun aineistoon, jota jaellaan ajanjakson aikana.", "zh-hans-cn": "将一个时间段与作为一种出版资源在一个时间段内被发行的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfDistributionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60070",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of distribution of", ar: "هو تاريخ توزيع لـ", da: "er distributionsdato af", de: "ist Vertriebsdatum von", fi: "aineiston jakeluaika", nl: "is datum van distributie van", "zh-hans-cn": "是……的发行的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60980,
      definition: {en: "Relates a timespan to an agent who is established or founded during a timespan.", ar: "يربط بين فترة زمنية ووكيل أُنشئ أو تأسس خلال فترة زمنية.", da: "Relaterer et tidsforløb til en agent, som er etableret eller grundlagt i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der in einem Zeitraum eingeführt oder gegründet wurde.", fi: "Liittää ajanjakson toimijaan, joka on perustettu ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段中成立或创办的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfEstablishmentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60980",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of establishment of", ar: "هو تاريخ إنشاء لـ", da: "er dato for etablering af", de: "ist Gründungsdatum von", fi: "yhteistoimijan perustamisaika", nl: "is datum van oprichting van", "zh-hans-cn": "是……的成立的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60981,
      definition: {en: "Relates a timespan to a resource that is a published resource that is printed, duplicated, cast, etc., during a timespan.", ar: "يربط بين فترة زمنية ومصدر عبارة عن مصدر منشور طُبع، ونسخ، وبث...إلخ، خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er en udgiven ressource, der er trykt, duplicert, støbt etc. i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer veröffentlichten Ressource, die in einem Zeitraum gedruckt, vervielfältigt, gegossen und so weiter wird.", fi: "Liittää ajanjakson julkaistuun aineistoon, joka on painettu, monistettu, valettu kirjasinten osalta tms. ajanjakson aikana.", "zh-hans-cn": "将一个时间段与作为一种出版资源并在一个时间段被印刷、复制、铸造等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfManufactureOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60072",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of manufacture of", ar: "له تاريخ تصنيع لـ", da: "er fremstillingsdato af", de: "ist Herstellungsdatum von", fi: "aineiston valmistusaika", nl: "is datum van vervaardiging van", "zh-hans-cn": "是……的生产日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60982,
      definition: {en: "Relates a timespan to a resource that is an unpublished resource that is inscribed, fabricated, constructed, etc., during a timespan.", ar: "يربط بين فترة زمنية ومصدر عبارة عن مصدر غير منشور تم تأليفه، تجميعه، إنتاجه...إلخ، خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er en ikke publiceret ressource, der er indskrevet, fremstillet, konstrueret etc. i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer unveröffentlichten Ressource, die in einem Zeitraum beschriftet, fabriziert, konstruiert und so weiter wird.", fi: "Liittää ajanjakson julkaisemattomaan aineistoon, joka on kaiverrettu, valmistettu, koottu tms. ajanjakson aikana.", "zh-hans-cn": "将一个时间段与作为一种非出版资源并在一个时间段镌刻、制造、构建等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfProductionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60071",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of production of", ar: "هو تاريخ إنتاج لـ", da: "er produktionsdato af", de: "ist Entstehungsdatum von", fi: "aineiston tuotantoaika", nl: "is datum van productie van", "zh-hans-cn": "是……的制作日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60983,
      definition: {en: "Relates a timespan to a resource that is published, released, or issued in a published form during a timespan.", ar: "يربط بين فترة زمنية ومصدر تم نشره، بثه، أو إصداره في شكل منشور خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er publiceret, frigivet,eller udgivet i publiceret form i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die in einem Zeitraum in veröffentlichter Form veröffentlicht, freigeschaltet oder herausgegeben wird.", fi: "Liittää ajanjakson aineistoon, joka on kustannettu, julkaistu tai ilmestynyt ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段以出版形式被出版、发布或发行的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfPublicationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60073",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of publication of", ar: "هو تاريخ نشر لـ", da: "er publiceringsdato af", de: "ist Erscheinungsdatum von", fi: "aineiston julkaisuaika", nl: "is datum van publicatie van", "zh-hans-cn": "是……的出版日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60984,
      definition: {en: "Relates a timespan to a resource associated with an earliest timespan.", ar: "يربط بين فترة زمنية ومصدر مرتبط بأقرب فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, der er knyttet til et tidligste tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die mit dem frühesten Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson aineistoon, johon ajanjakso aikaisintaan liittyy.", "zh-hans-cn": "将一个时间段与和一个最早时间段有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60527",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of resource of", ar: "هو تاريخ مصدر لـ", da: "er dato for ressource af", de: "ist Datum einer Ressource von", fi: "aineiston ajankohta", nl: "is datum van resource van", "zh-hans-cn": "是……的资源的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61012",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60985,
      definition: {en: "Relates a timespan to an agent who is terminated or dissolved during a timespan.", ar: "يربط بين فترة زمنية ووكيل توقف أو حُلَّ خلال فترة زمنية.", da: "Relaterer et tidsforløb til en agent, som er ved at ophøre eller opløses i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der in einem Zeitraum aufgehoben oder aufgelöst wurde.", fi: "Liittää ajanjakson yhteistoimijaan, joka on lakkautettu tai hajotettu ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段中终止或解散的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfTerminationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60525",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of termination of", ar: "هو تاريخ توقف لـ", da: "er ophørsdato af", de: "ist Auflösungsdatum von", fi: "yhteistoimijan lakkauttamisajankohta", nl: "is datum van opheffing van", "zh-hans-cn": "是……的终止的日期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60986,
      definition: {en: "Relates a timespan to a nomen that is an appellation of an entity used during a timespan.", ar: "يربط بين فترة زمنية وتسمية لكيان مستخدم خلال فترة زمنية", da: "Relaterer et tidsforløb til en benævnelse på en entitet brugt i løbet af et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Bezeichnung für eine Entität, die in einem Zeitraum verwendet wird.", fi: "Liittää ajanjakson ajanjakson aikana käytössä olleen entiteetin nimitykseen.", "zh-hans-cn": "将一个时间段与用于一个时间段并作为一个实体之称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfUsageOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60075",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is date of usage of", ar: "هو تاريخ استخدام لـ", da: "er dato for brug af", de: "ist Verwendungsdatum von", fi: "entiteetin käyttöajankohta", nl: "is datum van gebruik van", "zh-hans-cn": "是……的使用日期"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60987,
      definition: {en: "Relates a resource to a significant location associated with an agent, or a place where an agent resides or has resided or has some connection. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeAssociatedWithResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60994",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place associated with resource (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60988,
      definition: {en: "Relates a nomen to a notated music resource that has an identifier for resource other than a publisher number for notated music, assigned by a publisher to indicate the printing plate used in the printing process.", ar: "يربط بين تسمية ومدونة موسيقية لها معرف لمصدر بخلاف رقم ناشر خاص بمدونة موسيقيه، التى يخصصها ناشر لتحديد اللوحات المطبوعة المستخدمة في عملية الطباعة.", da: "Relaterer et nomen til en noteret musikressource, som har en ressourceidentifkator anden end et editionsnummer for noteret musik, tildelt af en udgiver for at angive den trykplade der blev brugt i trykprocessen.", de: "Setzt ein Nomen in Beziehung zu einer Noten-Ressource, die über einen Identifikator für eine Ressource verfügt, der von einem Verlag zugewiesen wird, um die im Druckprozess verwendete Druckplatte anzugeben, und bei dem es sich nicht um die Noten-Bestellnummer handelt.", fi: "Liittää nomenin musiikkiaineistoon, jonka tunniste ei ole kustantajan nuottiaineistolle antama numero vaan nuottiaineiston laatan numero. Nuottiaineiston laatan numero ilmaisee, mitä ilmaisee, painolaattaa on käytetty painamisprosessissa.", "zh-hans-cn": "将一个命名与有出版者分配以表示印刷过程中所用印版的除乐谱出版者编号以外的一个资源标识符的一种乐谱资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/plateNumberForNotatedMusicOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A plate number for notated music sometimes includes initials, abbreviations, or words identifying the publisher. It is sometimes followed by a number corresponding to the number of pages or plates or a number corresponding to an individual page or plate.", ar: "يتضمن رقم لوحة لموسيقى مدونة أحيانًا استهلاليات، إختصارات، أو كلمات التى تُعرّف بالناشر.تُتبع أحيانًا برقم يشير إلى رقم الصفحات أو اللوحات أو رقم يشير إلى صفحة أو لوحة واحدة.", da: "Et pladenummer for musik indeholder sommetider initialer, forkortelser eller ord som idenficerer udgiveren. Det er nogen gange efterfulgt af et tal der svarer til antallet af sider eller plader, eller et tal der svarer til en individuel side eller plade.", de: "Eine Druckplattennummer für Noten enthält manchmal Initialen, Abkürzungen oder Wörter, die den Verlag identifizieren. Ihr folgt manchmal eine Zahl, die der Zahl der Seiten oder Platten entspricht oder eine Zahl, die einer einzelnen Seite oder Platte entspricht.", fi: "Nuottiaineiston laattanumero sisältää joskus kustantajaa identifioivia alkukirjaimia, lyhenteitä tai sanoja. Numeron perässä voi olla vastaavien sivujen tai laattojen numerot tai yksittäisten sivujen ja laattojen numerot.", "zh-hans-cn": "乐谱的版号有时候包括标识出版社的首字母缩写、缩略语或单词。乐谱的版号有时候后接对应于页数或版数的一个数字或者对应于一个个别页或版的一个数字。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60140",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is plate number for notated music of", ar: "هو رقم لوحة لمدونة موسيقية لـ", da: "er pladenummer for noteret musik af", de: "ist Druckplattennummer für Noten von", fi: "nuottiaineiston laatan numero", nl: "is plaatnummer voor bladmuziek van", "zh-hans-cn": "是……的乐谱的版号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60938",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60989,
      definition: {en: "Relates a resource to a numbering designation assigned to a notated music resource by a publisher.", ar: "يربط بين مصدر وترقيم محدد خصصه ناشر لمصدر موسيقى مدونة.", da: "Relaterer en ressource til en nummerangivelse tildelt to en noteret musikressource af en udgiver.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung einer Zählung, die einer notierten Musikressource vom Verlag zugewiesen wird.", fi: "Liittää musiikkiaineiston kustantajan nuottiaineistolle antamaan tunnisteeseen.", "zh-hans-cn": "将一种资源与由出版者分配给一种乐谱资源的一个编号标识关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/publisherNumberForNotatedMusicOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The number normally appears only on the title page, the cover, or the first page of music, and sometimes includes initials, abbreviations, or words identifying the publisher.", ar: "يظهر الرقم عادة فقط على صفحة العنوان، الغلاف، أو الصفحة الأولى من الموسيقى، ويشمل أحيانًا على الاستهلاليات، أو الإختصارات، أو الكلمات التى تعرف بالناشر.", da: "Nummeret optræder normalt kun på titelsiden, omslaget, den første musikside, og indeholder nogen gange initialer, forkortelser g ord der identificerer udgiveren.", de: "Die Nummer erscheint normalerweise nur auf der Titelseite, der Einbanddecke oder der ersten Seite von Musikalien und enthält manchmal Initialen, Abkürzungen oder Wörter, die den Verlag identifizieren.", fi: "Numero esiintyy yleensä jokaisen sivun alalaidassa ja joskus nimiösivulla. Numero voi sisältää kustantajaa identifioivia alkukirjainlyhenteitä, sanalyhenteitä tai sanoja.", "zh-hans-cn": "该编号通常出现在题名页、封面、或乐谱的第一页上，有时候包括标识出版者的首字母缩写、缩略语或词。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P60139",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is publisher number for notated music of", ar: "هو رقم ناشر لموسيقى مدونة", da: "er editionsnummer for noteret musik", de: "ist Noten-Bestellnummer von", fi: "kustantajan nuottiaineistolle antama numero", nl: "is uitgeversnummer voor bladmuziek van", "zh-hans-cn": "是……的乐谱的出版者编号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60938",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60990,
      definition: {en: "Relates a timespan to an agent who is active in its primary field of endeavour during a timespan.", ar: "تربط بين فترة زمنية ووكيل نشط في مجال عمله الأساسي خلال فترة زمنية.", da: "Relaterer et tidsforløb til en agent, som er virksom indenfor sit primære virksomhedsområde under et tidforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der in einem Zeitraum in seinem primären Tätigkeitsfeld aktiv ist.", fi: "Liittää ajanjakson toimijaan, joka on ollut aktiivinen ensisijaisella toiminta-alallaan ajanjakson aikana.", "zh-hans-cn": "将一个时间段与在一个时间段中活跃于其主要努力领域的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/periodOfActivityOfAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60076",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is period of activity of agent of", ar: "هي فترة لنشاط وكيل لـ", da: "er aktivitetsperiode af agent af", de: "ist Wirkungszeitraum eines Akteurs von", fi: "toimijan toiminta-aika", nl: "is actieve periode van actor van", "zh-hans-cn": "是……的行为者的活跃期"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60974",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60991,
      definition: {en: "Relates a timespan to a resource that refers to measurements of position for a body or orientation for an orbit.", ar: "يربط بين فترة زمنية ومصدر يُحال إليه قياسات وضع لجسم أو لتوجه مداري.", da: "Relaterer et tidsforløb til en ressource der refererer til målinger af position for et legeme eller retning for en bane.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die Positionsmessungen für einen Körper oder eine Orientierung für eine Umlaufbahn referenziert.", fi: "Liittää ajanjakson aineistoon, johon tähtitaivaan kohteiden sijaintien ja ratojen suuntien mittajärjestelmä viittaa.", "zh-hans-cn": "将一个时间段与提及物体位置或运行轨道方位之测量的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/epochOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60472",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is epoch of", ar: "له مُدّة زمنية", da: "er epoke af", de: "ist Epoche von", fi: "epookki aineistossa", nl: "is tijdperk van", "zh-hans-cn": "是……的历元"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60992,
      definition: {en: "Relates a timespan to a resource that uses a point of intersection of the ecliptic and the celestial equator, occupied by the sun when its declination is 0°.", ar: "يربط بين فترة زمنية ومصدر يستخدم نقطة تقاطع مسار الشمس مع خط الاستواء عندما يكون انحرافها صفر \"0\".", da: "Relaterer et tidsforløb til en ressource, som bruger et skæringspunkt mellem ekliptika og himlens ækvator, hvor solen befinder sig, når dens deklination er 0°.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die einen von zwei Kreuzungspunkten der Sonnenbahn und des Himmelsäquators verwendet, die von der Sonne überquert werden, wenn ihre Deklination 0° beträgt.", fi: "Liittää ajanjakson aineistoon, joka käyttää ekliptikan ja taivaanekvaattorin leikkauspistettä, jossa aurinko on, kun sen deklinaatio on 0°.", "zh-hans-cn": "将一个时间段与使用当太阳的赤纬角度为0时其所占黄道和天赤道的一个交叉点的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equinoxOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60506",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is equinox of", ar: "هو اعتدال لـ", da: "er jævndøgn for", de: "ist Äquinoktium von", fi: "tasauspiste aineistossa", nl: "is equinox van", "zh-hans-cn": "是……的二分点"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60993,
      definition: {en: "Relates a place to an agent who is associated with a place. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeAssociatedWithAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60325",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place associated with agent of (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61011",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60994,
      definition: {en: "Relates a place to a resource that is associated with a place. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeAssociatedWithResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60987",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place associated with resource of (Deprecated)"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60995,
      definition: {en: "Relates a resource to a physical or chemical substance that is used to create a resource.", ar: "يربط بين مصدر ومادة فيزيائية أو كيميائية مستخدمة في إنشاء مصدر.", da: "Relaterer en ressource til et fysisk eller kemisk stof, som er påført en manifestations basismateriale.", de: "Setzt eine Ressource in Beziehung zu einer physischen oder chemischen Substanz, die zur Erstellung einer Ressource verwendet wird.", fi: "Liittää aineiston fyysiseen tai kemialliseen aineeseen, jota on käytetty aineiston luomisessa.", "zh-hans-cn": "将一种资源与被用于创建一种资源的一种物理或化学物质关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60159", "http://rdaregistry.info/Elements/u/P60596"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/material.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has material", ar: "له مادة", da: "har materiale", de: "hat Material", fi: "materiaali aineistossa", nl: "heeft materiaal", "zh-hans-cn": "有材料"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60996,
      definition: {en: "Relates an agent to an agent who has a well-known individual as a member.", ar: "يربط بين وكيل ووكيل له فرد مشهور كعضو.", da: "Relaterer en agent til en agent der har et velkendt individ som medlem.", de: "Setzt einen Akteur in Beziehung zu einem Akteur, der ein bekanntes Individuum als Mitglied hat.", fi: "Liittää toimijan tunnettuun toimijaan, jolla on jäsenenään tunnettu toimija", "zh-hans-cn": "将一个行为者与有一个著名个体作为其成员的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/prominentMemberOfFamilyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60362",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is prominent member of agent of", ar: "هو عضو بارز لوكيل لـ", da: "er fremtrædende medlem af agant af", de: "ist bedeutendes Akteurmitglied von", fi: "toimijan tunnettu jäsen", nl: "is prominent lid van actor van", "zh-hans-cn": "是……的行为者的著名成员"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60997,
      definition: {en: "Relates a place to a conference, exhibition, or other formally named and convened event that gives rise to a resource and that is held in a place.", ar: "يربط بين مكان ومؤتمر، معرض، أو أي حدث آخر سُمي وعُقد رسميًا وأسفر عن مصدر وعُقد في مكان ما.", da: "Relaterer et sted til en konference, udstilling, eller anden formelt navngivet og indkaldt begivenhed, der giver ophav til en ressource og der afholdes et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Konferenz, einer Ausstellung oder einer anderen formal benannten und einberufenen Veranstaltung, aus der eine Ressource hervorgeht.", fi: "Liittää paikan paikassa pidettyyn konferenssiin, näyttelyyn tai muuhun tapahtumaan, jonka seurauksena sntyy aineisto.", "zh-hans-cn": "将一个地点与作为一个导致一种资源产生并在一个地点举行的一次会议、展览或其他正式命名并举办的活动关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfConferenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60107",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of conference of", ar: "هو مكان لمؤتمر لـ", da: "er sted for konference for", de: "ist Ort einer Konferenz von", fi: "konferenssin paikka", nl: "is plaats van conferentie van", "zh-hans-cn": "是……的会议的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61011",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60998,
      definition: {en: "Relates a timespan to a timespan that is the time at which a timespan starts.", ar: "يربط بين فترة زمنية وزمن حيث تبدأ فيه فترة زمنية.", da: "Relaterer et tidsforløb til et tidsforløb, der der det tidspunkt hvor et tidsforløb starter.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, bei dem es sich um den Zeitpunkt handelt, an dem ein Zeitraum beginnt.", fi: "Liittää ajanjakson ajanjaksoon, joka on ajanjakson alkamisaika.", "zh-hans-cn": "将一个时间段与作为一个时间段开始时间的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/beginning.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A time may be represented at different levels of granularity by a calendrical timespan.", ar: "يمكن تمثيل الوقت عند مستويات مختلفة من التجميع بواسطة فترة زمنية تقويمية.", da: "Et tidspunkt kan repræsenteres på forskellige granularitetsniveauer ved et kalendrisk tidsrum.", de: "Ein Zeitpunkt kann durch einen kalendarischen Zeitraum auf verschiedenen Ebenen der Granularität dargestellt werden.", fi: "Aika voidaan esittää kalenterin ajanjakson eri tarkkustasoilla.", "zh-hans-cn": "一个时间可以用日历时间段的不同颗粒度层级表示。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61207",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has beginning", ar: "له بداية", da: "har begyndelse", de: "hat Anfang", fi: "ajanjakson alku", nl: "heeft begin", "zh-hans-cn": "有开始"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P60999,
      definition: {en: "Relates a place to an agent who is identified with a country.", ar: "يربط بين مكان ووكيل يُستدل به على بلد.", da: "Relaterer et sted til en agent, som er identificeret med et land.", de: "Setzt ein Geografikum in Beziehung zu einem Akteur, der mit einem Land identifiziert wird.", fi: "Liittää paikan toimijaan, joka yhdistetään tiettyyn maahan.", "zh-hans-cn": "将一个地点与被一个国家标识的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/countryAssociatedWithAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60063",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is country associated with agent of", ar: "هي بلد مرتبط بوكيل لـ", da: "er land tilknyttet agent af", de: "ist Land, das mit einem Akteur in Verbindung steht von", fi: "toimijaan liittyvä maa", nl: "is land geassocieerd met actor van", "zh-hans-cn": "是和……的行为者有关的国家"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61000,
      definition: {en: "Relates a timespan to a timespan that is the time at which a timespan finishes.", ar: "يربط بين فترة زمنية وزمن حيث تنتهي فيه فترة زمنية.", da: "Relaterer et tidsforløb til et tidsforløb, der der det tidspunkt hvor et tidsforløb stopper.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, bei dem es sich um den Zeitpunkt handelt, an dem ein Zeitraum endet.", fi: "Liittää ajanjakson ajanjaksoon, joka on ajanjakson päättymisaika.", "zh-hans-cn": "将一个时间段与作为一个时间段结束时间的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/ending.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A time may be represented at different levels of granularity by a calendrical timespan.", ar: "يمكن تمثيل الوقت عند مستويات مختلفة من التجميع بواسطة فترة زمنية تقويمية.", da: "Et tidspunkt kan repræsenteres på forskellige granularitetsniveauer ved et kalendrisk tidsrum.", de: "Ein Zeitpunkt kann durch einen kalendarischen Zeitraum auf verschiedenen Ebenen der Granularität dargestellt werden.", fi: "Aika voidaan esittää kalenterin ajanjakson eri tarkkuustasoilla.", "zh-hans-cn": "一个时间可以用日历时间段的不同颗粒度层级表示。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61208",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has ending", ar: "له نهاية", da: "har slutning", de: "hat Ende", fi: "ajanjakson loppu", nl: "heeft einde", "zh-hans-cn": "有结束"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61001,
      definition: {en: "Relates a place to a place that encompasses another place.", ar: "يربط بين مكان ومكان يشتمل على مكان آخر.", da: "Relaterer et sted til et sted der omfatter et andet sted.", de: "Setzt ein Geografikum in Beziehung zu einem Geografikum, das ein anderes Geografikum umschließt.", fi: "Liittää paikan paikkaan, joka sisältää toisen paikan.", "zh-hans-cn": "将一个地点与包含另一个地点的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61003",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is part of place", ar: "هو جزء من مكان", da: "er del af sted", de: "ist Teil von Geografikum", fi: "paikan osa", nl: "is deel van plaats", "zh-hans-cn": "是地点的部分"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61016",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61002,
      definition: {en: "Relates a timespan to a timespan that has another timespan as a component.", ar: "يربط بين فترة زمنية وفترة زمنية لها فترة زمنية أخرى كعنصر.", da: "Relaterer et tidsforløb, der har et andet tidsforløb som kompnent.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, der einen anderen Zeitraum als Bestandteil enthält.", fi: "Liittää ajanjakson ajanjaksoon, jonka itsenäisenä osana on toinen ajanjakso.", "zh-hans-cn": "将一个时间段与有另一个时间段作为其组成部分的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61004",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is part of timespan", ar: "هو جزء من فترة زمنية", da: "er del af tidsforløb", de: "ist Teil von (Zeitraum)", fi: "ajanjakson osa", nl: "is deel van tijdspanne", "zh-hans-cn": "是时间段的部分"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61017",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61003,
      definition: {en: "Relates a place to a place that is located within another place.", ar: "يربط بين مكان ومكان يقع داخل مكان آخر.", da: "Relaterer et sted til et sted, der er placeret inden for et andet sted.", de: "Setzt ein Geografikum in Beziehung zu einem Geografikum, das von einem anderen Geografikum umschlossen ist.", fi: "Liittää paikan paikkaan, joka sijaitsee toisen paikan sisällä.", "zh-hans-cn": "将一个地点与位于另一个地点内部的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has part place", ar: "له جزء مكان", da: "har sted for del", de: "hat Teil-Geografikum", fi: "paikan osa", nl: "heeft deel plaats", "zh-hans-cn": "有部分地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61016",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61004,
      definition: {en: "Relates a timespan to a timespan that is a component of another timespan.", ar: "يربط بين فترة زمنية وفترة زمنية التي هي عنصر عن فترة زمنية أخرى.", da: "Relaterer et tidsforløb til et tidsforløb, der er en komponent af et andet tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, der ein Bestandteil von einem anderen Zeitraum ist.", fi: "Liittää ajanjakson ajanjaksoon, joka on toisen ajanjakson itsenäinen osa.", "zh-hans-cn": "将一个时间段与作为另一个时间段的组成部分的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61002",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has part timespan", ar: "له جزء من فترة زمنية", da: "har tidsforløb for del", de: "hat Teil-Zeitraum", fi: "ajanjakson osa", nl: "heeft deel tijdspanne", "zh-hans-cn": "有部分时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61017",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61005,
      definition: {en: "Relates a resource to a resource that is a binding of a resource.", ar: "يربط بين مصدر ومصدر هو تجليد لمصدر.", da: "Relaterer en ressource til en ressource, der er en indbinding af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, bei der es sich um den Einband einer Ressource handelt.", fi: "Liittää aineiston aineistoon, joka on aineiston sidos.", "zh-hans-cn": "将一种资源与作为一种资源的装订的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bindingOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61006",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has binding of resource", ar: "له تجليد لمصدر", da: "har indbinding af ressource", de: "hat Einband einer Ressource", fi: "sidos aineistona", nl: "heeft bindwijze van resource", "zh-hans-cn": "有资源的装订"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61006,
      definition: {en: "Relates a resource to a resource that is bound.", ar: "يربط بين مصدر ومصدر تم تجليده.", da: "Relaterer en ressourece til en ressource, der er indbundet.", de: "Setzt eine Ressource in Beziehung zu einer gebundenen Ressource.", fi: "Liittää aineiston aineistoon, joka on sidottu.", "zh-hans-cn": "将一种资源与一种被装订的资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/bindingOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61005",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is binding of resource of", ar: "هو تجليد مصدر لـ", da: "er indbinding af ressource af", de: "ist Einband einer Ressource von", fi: "aineiston sidos", nl: "is bindwijze van resource van", "zh-hans-cn": "是……的资源的装订"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61007,
      definition: {en: "Relates a resource to a method used to bind a published or unpublished resource.", ar: "يربط بين مصدر وطريقة مستخدمة لتجليد مصدر منشور أو غير منشور.", da: "Relaterer en ressource til en metode brugt til at indbinde en udgiven eller ikke udgiven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Methode, die verwendet wird, um eine veröffentlichte oder unveröffentlichte Ressource zu binden.", fi: "Liittää aineiston menetelmään, jolla julkaistu tai julkaisematon aineisto on sidottu.", "zh-hans-cn": "将一种资源与用于装订一种出版或非出版资源的方法关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/typeOfBinding.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has type of binding", ar: "له نوع تجيلد", da: "har type af indbinding", de: "hat Bindeart", fi: "aineiston sidostyyppi", nl: "heeft bindwijze", "zh-hans-cn": "有装订类型"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61008,
      definition: {en: "Relates a resource to an agent who is associated with a resource.", ar: "يربط مصدر بوكيل مرتبط بمصدر.", da: "Relaterer en ressource til en agent, der er knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston toimijaan, joka liittyy aineistoon.", "zh-hans-cn": "将一种资源与和一种资源有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60415", "http://rdaregistry.info/Elements/u/P60746", "http://rdaregistry.info/Elements/u/P61031"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61009",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of resource", ar: "له وكيل مرتبط بمصدر", da: "har relateret agent for ressource", de: "hat mit Ressource in Beziehung stehenden Akteur", fi: "aineistoon liittyvä toimija", nl: "heeft gerelateerde actor van resource", "zh-hans-cn": "有资源的相关行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61034",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61009,
      definition: {en: "Relates an agent to resource that is associated with an agent.", ar: "يربط بين وكيل ومصدر مرتبط بوكيل.", da: "Relaterer en agent til en ressource, der er knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan aineistoon, joka liittyy toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60643", "http://rdaregistry.info/Elements/u/P60747", "http://rdaregistry.info/Elements/u/P61032"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related resource of agent", ar: "له مصدر مرتبط بوكيل", da: "har relateret ressource til agent", de: "hat mit Akteur in Beziehung stehende Ressource", fi: "toimijaan liittyvä aineisto", nl: "heeft gerelateerde resource van actor", "zh-hans-cn": "有行为者的相关资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61010,
      definition: {en: "Relates a timespan to an agent who is associated with a timespan.", ar: "يربط بين فترة زمنية ووكيل مرتبط بفترة زمنية.", da: "Relaterer et tidsforløb til en agent, der er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Akteur, der mit einem Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson toimijaan, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60974",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61021",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of timespan", ar: "له وكيل مرتبط بفترة زمنية", da: "har relateret agent til tidsforløb", de: "hat mit Zeitraum in Beziehung stehenden Akteur", fi: "ajanjaksoon liittyvä toimija", nl: "heeft gerelateerde actor van tijdspanne", "zh-hans-cn": "有时间段的相关行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61035",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61011,
      definition: {en: "Relates a place to an agent who is associated with a place.", ar: "يربط بين مكان ووكيل مرتبط بمكان.", da: "Relaterer et sted til en agent, der er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Akteur, der mit einem Geografikum in Verbindung steht.", fi: "Liittää paikkaan toimijan, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60965", "http://rdaregistry.info/Elements/u/P60967", "http://rdaregistry.info/Elements/u/P60973", "http://rdaregistry.info/Elements/u/P60993", "http://rdaregistry.info/Elements/u/P60997"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61018",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of place", ar: "له وكيل مرتبط بمكان", da: "har agent relateret til sted", de: "hat mit Geografikum in Beziehung stehenden Akteur", fi: "paikkaan liittyvä toimija", nl: "heeft gerelateerde actor van plaats", "zh-hans-cn": "有地点的相关行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61036",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61012,
      definition: {en: "Relates a timespan to a resource that is associated with a timespan.", ar: "يربط بين فترة زمنية ومصدر مرتبط بفترة زمنية.", da: "Relaterer et tidsforløb til en ressource, der er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die mit einem Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson aineistoon, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60976", "http://rdaregistry.info/Elements/u/P60979", "http://rdaregistry.info/Elements/u/P60981", "http://rdaregistry.info/Elements/u/P60982", "http://rdaregistry.info/Elements/u/P60983", "http://rdaregistry.info/Elements/u/P60984"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61020",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related resource of timespan", ar: "له مصدر مرتبط بفترة زمنية", da: "har relateret ressource for tidsforløb", de: "hat mit Zeitraum in Beziehung stehende Ressource", fi: "ajanjaksoon liittyvä aineisto", nl: "heeft gerelateerde resource van tijdspanne", "zh-hans-cn": "有时间段的相关资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61035",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61013,
      definition: {en: "Relates a place to a resource that is associated with a place.", ar: "يربط مكان بمصدر مرتبط بمكان.", da: "Relaterer et sted til en ressource, der er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Ressource, die mit einem Geografikum in Verbindung steht.", fi: "Liittää paikan aineistoon, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60966", "http://rdaregistry.info/Elements/u/P60968", "http://rdaregistry.info/Elements/u/P60969", "http://rdaregistry.info/Elements/u/P60970", "http://rdaregistry.info/Elements/u/P60971", "http://rdaregistry.info/Elements/u/P60972", "http://rdaregistry.info/Elements/u/P60994", "http://rdaregistry.info/Elements/u/P61191", "http://rdaregistry.info/Elements/u/P61206", "http://rdaregistry.info/Elements/u/P61226", "http://rdaregistry.info/Elements/u/P61228"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61014",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related resource of place", ar: "له مصدر مرتبط بمكان", da: "har relateret ressource for sted", de: "hat mit Geografikum in Beziehung stehende Ressource", fi: "paikkaan liittyvä aineisto", nl: "heeft gerelateerde resource van plaats", "zh-hans-cn": "有地点的相关资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61036",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61014,
      definition: {en: "Relates a resource to a place that is associated with a resource.", ar: "يربط بين مصدر ومكان مرتبط بمصدر.", da: "Relaterer en ressource til et sted, der er knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, joka liittyy aineistoon.", "zh-hans-cn": "将一种资源与和一种资源有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60160", "http://rdaregistry.info/Elements/u/P60161", "http://rdaregistry.info/Elements/u/P60162", "http://rdaregistry.info/Elements/u/P60163", "http://rdaregistry.info/Elements/u/P60523", "http://rdaregistry.info/Elements/u/P60556", "http://rdaregistry.info/Elements/u/P60987", "http://rdaregistry.info/Elements/u/P61205", "http://rdaregistry.info/Elements/u/P61227", "http://rdaregistry.info/Elements/u/P61229"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61013",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of resource", ar: "له مكان مرتبط بمصدر", da: "har relateret sted for ressource", de: "hat mit Ressource in Beziehung stehendes Geografikum", fi: "aineistoon liittyvä paikka", nl: "heeft gerelateerde plaats van resource", "zh-hans-cn": "有资源的相关地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61034",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61015,
      definition: {en: "Relates a timespan to a place that is associated with a timespan.", ar: "يربط بين فترة زمنية ومكان مرتبط بفترة زمنية.", da: "Relaterer et tidsforløb til et sted, der er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Geografikum, das mit einem Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson paikkaan, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61019",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of timespan", ar: "له مكان مرتبط بفترة زمنية", da: "har relateret sted for tidsforløb", de: "hat mit Zeitraum in Beziehung stehendes Geografikum", fi: "ajanjaksoon liittyvä paikka", nl: "heeft gerelateerde plaats van tijdspanne", "zh-hans-cn": "有时间段的关联地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61035",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61016,
      definition: {en: "Relates a place to a place that is associated with a place.", ar: "يربط بين مكان ومكان مرتبط بمكان.", da: "Relaterer et sted til et sted, der er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Geografikum, das mit einem Geografikum in Verbindung steht.", fi: "Liittää paikan paikkaan, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61001", "http://rdaregistry.info/Elements/u/P61003"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61016",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of place", ar: "له مكان مرتبط بمكان", da: "har relateret sted for sted", de: "hat mit Geografikum in Beziehung stehendes Geografikum", fi: "paikkaan liittyvä paikka", nl: "heeft gerelateerde plaats van plaats", "zh-hans-cn": "有地点的关联地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61036",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61017,
      definition: {en: "Relates a timespan to a timespan that is associated with a timespan.", ar: "يربط بين فترة زمنية وفترة زمنية مرتبطة بفترة زمنية.", da: "Relaterer et tidsforløb til et tidsforløb, der er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung mit einem Zeitraum, der mit einem Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson ajanjaksoon, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61002", "http://rdaregistry.info/Elements/u/P61004"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61017",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of timespan", ar: "له فترة زمنية مرتبطة بفترة زمنية", da: "har relateret tidsforløb for tidsforløb", de: "hat mit Zeitraum in Beziehung stehenden Zeitraum", fi: "ajanjaksoon liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van tijdspanne", "zh-hans-cn": "有时间段的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61035",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61018,
      definition: {en: "Relates an agent to a place that is associated with an agent.", ar: "يربط بين وكيل ومكان مرتبط بوكيل", da: "Relaterer en agent til et sted, der er knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Geografikum, das mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan paikkaan, joka liittyy toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60097", "http://rdaregistry.info/Elements/u/P60107", "http://rdaregistry.info/Elements/u/P60325", "http://rdaregistry.info/Elements/u/P60360", "http://rdaregistry.info/Elements/u/P60592", "http://rdaregistry.info/Elements/u/P60593"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61011",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of agent", ar: "له مكان مرتبط بوكيل", da: "har relateret sted for agent", de: "hat mit Akteur in Beziehung stehendes Geografikum", fi: "toimijaan liittyvä paikka", nl: "heeft gerelateerde plaats van actor", "zh-hans-cn": "有行为者的关联地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61019,
      definition: {en: "Relates a place to a timespan that is associated with a place.", ar: "يربط بين مكان وفترة زمنية مرتبطة بمكان.", da: "Relaterer et sted til et tidsforløb, der er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Zeitraum, der mit einem Geografikum in Verbindung steht.", fi: "Liittää paikan ajanjaksoon, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61015",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of place", ar: "له فترة زمنية مرتبطة بمكان", da: "har relateret tidsforløb for sted", de: "hat mit Geografikum in Beziehung stehenden Zeitraum", fi: "paikkaan liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van plaats", "zh-hans-cn": "有地点的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61036",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61020,
      definition: {en: "Relates a resource to a timespan that is associated with a resource.", ar: "يربط بين مصدر وفترة زمنية مرتبطة بمصدر.", da: "Relaterer en ressource til et tidsforløb, der er knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Zeitraum, der mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston ajanjaksoon, joka liittyy aineistoon.", "zh-hans-cn": "将一种资源与和一种资源有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60070", "http://rdaregistry.info/Elements/u/P60071", "http://rdaregistry.info/Elements/u/P60072", "http://rdaregistry.info/Elements/u/P60073", "http://rdaregistry.info/Elements/u/P60324", "http://rdaregistry.info/Elements/u/P60527"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61012",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of resource", ar: "له فترة زمنية مرتبطة بمصدر", da: "har relateret tidsforløb for ressource", de: "hat mit Ressource in Beziehung stehenden Zeitraum", fi: "aineistoon liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van resource", "zh-hans-cn": "有资源的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61034",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61021,
      definition: {en: "Relates an agent to a timespan that is associated with an agent.", ar: "يربط بين وكيل وفترة زمنية مرتبطة بوكيل.", da: "Relaterer en agent til et tidsforløb, der er knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Zeitraum, der mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan ajanjaksoon, joka liittyy toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61010",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of agent", ar: "له فترة زمنية مرتبطة بوكيل", da: "har relateret tidsforløb for agent", de: "hat mit Akteur in Beziehung stehenden Zeitraum", fi: "toimijaan liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van actor", "zh-hans-cn": "有行为者的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61022,
      definition: {en: "Relates an agent to a nomen that is associated with an agent.", ar: "يربط بين وكيل وتسمية مرتبطة بوكيل", da: "Relaterer en agent til et nomen der er knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einem Nomen, das mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan nomeniin, joka liittyy toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61027",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of agent", ar: "له تسمية مرتبطة بوكيل", da: "har relateret nomen for agent", de: "hat mit Akteur in Beziehung stehendes Nomen", fi: "toimijaan liittyvä nomen", nl: "heeft gerelateerde nomen van actor", "zh-hans-cn": "有行为者的关联命名。"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61033",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61023,
      definition: {en: "Relates a resource to a nomen that is associated with a resource.", ar: "يربط بين مصدر وتسمية مرتبطة بمصدر.", da: "Relaterer en ressource til et nomen, som er knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Nomen, das mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston nomeniin, joka liittyy aineistoon.", "zh-hans-cn": "将一种资源与和一种资源有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60597", "http://rdaregistry.info/Elements/u/P61203"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61030",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of resource", ar: "له تسمية مرتبطة بمصدر", da: "har relateret nomen for ressource", de: "hat mit Ressource in Beziehung stehendes Nomen", fi: "aineistoon liittyvä nomen", nl: "heeft gerelateerde nomen van resource", "zh-hans-cn": "有资源的关联命名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61034",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61024,
      definition: {en: "Relates a timespan to a nomen that is associated with a timespan.", ar: "يربط بين فترة زمنية وتسمية مرتبطة بفترة زمنية.", da: "Relaterer et tidsforløb til et nomen, som er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einem Nomen, das mit einem Zeitraum in Verbindung steht.", fi: "Nomen, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61029",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of timespan", ar: "له تسمية مرتبطة بفترة زمنية", da: "har relateret", de: "hat mit Zeitraum in Beziehung stehendes Nomen", fi: "ajanjaksoon liittyvä nomen", nl: "heeft gerelateerde nomen van tijdspanne", "zh-hans-cn": "有时间段的关联命名。"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61035",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61025,
      definition: {en: "Relates a place to a nomen that is associated with a place.", ar: "يربط بين مكان وتسمية مرتبطة بمكان.", da: "Relaterer et sted til et nomen, som er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einem Nomen, das mit einem Geografikum in Verbindung steht.", fi: "Liittää paikan nomeniin, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61028",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of place", ar: "له تسمية مرتبطة بمكان", da: "har relateret nomen til sted", de: "hat mit Geografikum in Beziehung stehendes Nomen", fi: "paikkaan liittyvä nomen", nl: "heeft gerelateerde nomen van plaats", "zh-hans-cn": "有地点的关联命名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61036",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61026,
      definition: {en: "Relates a nomen to a nomen that is associated with a nomen.", ar: "يربط بين تسمية وتسمية مرتبطة بتسمية", da: "Relaterer et nomen til et nomen, som er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin nomeniin, joka liittyy nomeniin.", "zh-hans-cn": "将一个命名与和一个命名有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61026",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of nomen", ar: "له تسمية مرتبطة بتسمية", da: "har relateret nomen til nomen", de: "hat mit Nomen in Beziehung stehendes Nomen", fi: "nomeniin liittyvä nomen", nl: "heeft gerelateerde nomen van nomen", "zh-hans-cn": "有命名的关联命名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61037",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61027,
      definition: {en: "Relates a nomen to an agent who is associated with a nomen.", ar: "يربط بين تسمية ووكيل مرتبط بتسمية.", da: "Relaterer et nomen til en agent, der er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin toimijaan, joka liittyy nomeniin.", "zh-hans-cn": "将一个命名与和一个命名有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61022",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of nomen", ar: "له وكيل مرتبط بتسمية", da: "har relateret agent for nomen", de: "hat mit Nomen in Beziehung stehenden Akteur", fi: "nomeniin liittyvä toimija", nl: "heeft gerelateerde actor van nomen", "zh-hans-cn": "有命名的关联行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61037",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61028,
      definition: {en: "Relates a nomen to a place that is associated with a nomen.", ar: "يربط بين تسمية ومكان مرتبط بتسمية.", da: "Relaterer et nomen til et sted der er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin paikkaan, joka liittyy nomeniin.", "zh-hans-cn": "将一个地点与和一个命名有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61025",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of nomen", ar: "له مكان مرتبط بتسمية", da: "har relateret sted for nomen", de: "hat mit Nomen in Beziehung stehendes Geografikum", fi: "nomeniin liittyvä paikka", nl: "heeft gerelateerde plaats van nomen", "zh-hans-cn": "有命名的关联地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61037",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61029,
      definition: {en: "Relates a nomen to a timespan that is associated with a nomen.", ar: "ييربط تسمية بفترة زمنية مرتبطة بتسمية", da: "Relaterer et nomen til et tidsforløb, der er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin ajanjaksoon, joka liittyy nomeniin.", "zh-hans-cn": "将一个命名与和一个命名有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61024",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of nomen", ar: "له فترة زمنية مرتبطة بتسمية", da: "har relateret tidsforløb for nomen", de: "hat mit Nomen in Beziehung stehenden Zeitraum", fi: "nomeniin liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van nomen", "zh-hans-cn": "有命名的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61037",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61030,
      definition: {en: "Relates a nomen to a resource that is associated with a nomen.", ar: "يربط تسمية بمصدر مرتبط بتسمية.", da: "Relaterer et nomen til en ressource, der er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin aineistoon, joka liittyy nomeniin.", "zh-hans-cn": "将一个命名与和一个命名有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61118", "http://rdaregistry.info/Elements/u/P61204", "http://rdaregistry.info/Elements/u/P61209", "http://rdaregistry.info/Elements/u/P61211", "http://rdaregistry.info/Elements/u/P61213", "http://rdaregistry.info/Elements/u/P61215", "http://rdaregistry.info/Elements/u/P61217"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61023",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related resource of nomen", ar: "له مصدر مرتبط بتسمية", da: "har relateret ressource for nomen", de: "hat mit Nomen in Beziehung stehende Ressource", fi: "nomeniin liittyvä aineisto", nl: "heeft gerelateerde resource van nomen", "zh-hans-cn": "有命名的关联资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61037",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61031,
      definition: {en: "Relates a resource to an agent who makes changes to a resource without creating a new resource.", ar: "يربط مصدر بوكيل يقوم بإجراء تغييرات على مصدر دون إنشاء مصدر جديد.", da: "Relaterer en ressource til en agent, der laver ændringer til en ressource, uden at skabe en ny ressource.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der Änderungen an einer Ressource vornimmt, ohne eine neue Ressource zu erstellen.", fi: "Liittää aineiston toimijaan, joka tekee muutoksia aineistoon luomatta uutta aineistoa.", "zh-hans-cn": "将一种资源与对一种资源作修改而不创建一种新资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/modifier.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61032",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has modifier", ar: "له مُعدل", da: "har tilpasser", de: "hat Bearbeiterin/Bearbeiter", fi: "aineiston muokkaaja", nl: "heeft aanpasser", "zh-hans-cn": "有修改者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61008",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61032,
      definition: {en: "Relates an agent to a resource that is changed by an agent without creating a new resource.", ar: "يربط بين وكيل ومصدر قام وكيل بإجراء تغييرات به دون إنشاء مصدر جديد.", da: "Relaterer en agent til en ressource, der der blevet ændret af en agent, uden at skabe en ny ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die von einem Akteur verändert wird, ohne eine neue Ressource zu erstellen.", fi: "Liittää toimijan aineistoon, johon toimija tekee muutoksia luomatta uutta aineistoa.", "zh-hans-cn": "将一个行为者与被一个行为者改变而不创建一种新资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/modifierOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61031",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is modifier of", ar: "هو مُعدل لـ", da: "er tilpasser af", de: "ist Bearbeiterin/Bearbeiter von", fi: "aineiston muokkaaja (toimija)", nl: "is aanpasser van", "zh-hans-cn": "是……的修改者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61009",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61033,
      definition: {en: "Relates an agent to an entity that is associated with an agent.", ar: "يربط بين وكيل وكيان مرتبط بوكيل.", da: "Relaterer en agent til en entitet, der er knyttet til en agent.", de: "Setzt einen Akteur in Beziehung zu einer Entität, die mit einem Akteur in Verbindung steht.", fi: "Liittää toimijan entiteettiin, joka liittyy toimijaan.", "zh-hans-cn": "将一个行为者与和一个行为者有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60454", "http://rdaregistry.info/Elements/u/P61022"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61039",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of agent", ar: "له كيان مرتبط بوكيل", da: "har relateret entitet for agent", de: "hat mit Akteur in Beziehung stehende Entität", fi: "toimijaan liittyvä entiteetti", nl: "heeft gerelateerde entiteit van actor", "zh-hans-cn": "有行为者的关联实体"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61034,
      definition: {en: "Relates a resource to an entity that is associated with a resource.", ar: "يربط بين مصدر وكيان مرتبط بمصدر.", da: "Relaterer en ressource til en entitet, der er knyttet til en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Entität, die mit einer Ressource in Verbindung steht.", fi: "Liittää aineiston entiteettiin, joka liittyy aineistoon.", "zh-hans-cn": "将一种资源与和一种资源有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P60313", "http://rdaregistry.info/Elements/u/P61008", "http://rdaregistry.info/Elements/u/P61014", "http://rdaregistry.info/Elements/u/P61020", "http://rdaregistry.info/Elements/u/P61023"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61042",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of resource", ar: "له كيان مرتبط بمصدر", da: "har relateret entiet for ressource", de: "hat mit Ressource in Beziehung stehende Entität", fi: "aineistoon liittyvä entiteetti", nl: "heeft gerelateerde entiteit van resource", "zh-hans-cn": "有资源的关联实体"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61035,
      definition: {en: "Relates a timespan to an entity that is associated with a timespan.", ar: "يربط بين فترة زمنية وكيان مرتبط بفترة زمنية", da: "Relaterer et tidsforløb til en entitet, der er knyttet til et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Entität, die mit einem Zeitraum in Verbindung steht.", fi: "Liittää ajanjakson entiteettiin, joka liittyy ajanjaksoon.", "zh-hans-cn": "将一个时间段与和一个时间段有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61010", "http://rdaregistry.info/Elements/u/P61012", "http://rdaregistry.info/Elements/u/P61015", "http://rdaregistry.info/Elements/u/P61017", "http://rdaregistry.info/Elements/u/P61024"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61041",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of timespan", ar: "له كيان مرتبط بفترة زمنية", da: "har relateret entitet for tidsforløb", de: "hat mit Zeitraum in Beziehung stehende Entität", fi: "ajanjaksoon liittyvä entiteetti", nl: "heeft gerelateerde entiteit van tijdspanne", "zh-hans-cn": "有时间段的关联实体"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61036,
      definition: {en: "Relates a place to an entity that is associated with a place.", ar: "يربط بين مكان وكيان مرتبط بمكان.", da: "Relaterer et sted til en entitet, der er knyttet til et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Entität, die mit einem Geografikum in Verbindung steht.", fi: "Liittää paikan entiteettiin, joka liittyy paikkaan.", "zh-hans-cn": "将一个地点与和一个地点有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61011", "http://rdaregistry.info/Elements/u/P61013", "http://rdaregistry.info/Elements/u/P61016", "http://rdaregistry.info/Elements/u/P61019", "http://rdaregistry.info/Elements/u/P61025"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61040",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of place", ar: "له كيان متعلق بمكان", da: "har relateret entitet for sted", de: "hat mit Geografikum in Beziehung stehende Entität", fi: "paikkaan liittyvä entiteetti", nl: "heeft gerelateerde entiteit van plaats", "zh-hans-cn": "有地点的关联实体"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61037,
      definition: {en: "Relates a nomen to an entity that is associated with a nomen.", ar: "يربط بين تسمية وكيان مرتبط بتسمية", da: "Relaterer et nomen til en entitet, der er knyttet til et nomen.", de: "Setzt ein Nomen in Beziehung zu einer Entität, die mit einem Nomen in Verbindung steht.", fi: "Liittää nomenin entiteettiin, joka liittyy nomeniin.", "zh-hans-cn": "将一个命名与和一个命名有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61026", "http://rdaregistry.info/Elements/u/P61027", "http://rdaregistry.info/Elements/u/P61028", "http://rdaregistry.info/Elements/u/P61029", "http://rdaregistry.info/Elements/u/P61030"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61043",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of nomen", ar: "له كيان متعلق بتسمية", da: "har relateret entitet for nomen", de: "hat mit Nomen in Beziehung stehende Entität", fi: "nomeniin liittyvä entiteetti", nl: "heeft gerelateerde entiteit van nomen", "zh-hans-cn": "有命名的关联实体"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61038,
      definition: {en: "Relates an entity to an entity that is associated with an entity.", ar: "يربط بين كيان وكيان مرتبط بكيان.", da: "Relaterer en entitet til en entiet, der er knyttet til en entitet.", de: "Setzt eine Entität in Beziehung zu einer Entität, die mit eine Entität in Verbindung steht.", fi: "Liittää entiteetin entiteettiin, joka liittyy entiteettiin.", "zh-hans-cn": "将一个实体与和一个实体有关的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61009", "http://rdaregistry.info/Elements/u/P61018", "http://rdaregistry.info/Elements/u/P61021", "http://rdaregistry.info/Elements/u/P61033", "http://rdaregistry.info/Elements/u/P61034", "http://rdaregistry.info/Elements/u/P61035", "http://rdaregistry.info/Elements/u/P61036", "http://rdaregistry.info/Elements/u/P61037", "http://rdaregistry.info/Elements/u/P61039", "http://rdaregistry.info/Elements/u/P61040", "http://rdaregistry.info/Elements/u/P61041", "http://rdaregistry.info/Elements/u/P61042", "http://rdaregistry.info/Elements/u/P61043"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedEntityOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61038",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related entity of entity", ar: "له كيان مرتبط بكيان", da: "har relateret entitet for entitet", de: "hat mit Entität in Beziehung stehende Entität", fi: "entiteettiin liittyvä entiteetti", nl: "heeft gerelateerde entiteit van entiteit", "zh-hans-cn": "有实体的关联实体"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61039,
      definition: {en: "Relates an entity to an agent who is associated with an entity.", ar: "يربط بين كيان ووكيل مرتبط بكيان.", da: "Relaterer en entitet til en agent, der er knyttet til en entiet.", de: "Setzt eine Entität in Beziehung zu einem Akteur, der mit einer Entität in Verbindung steht.", fi: "Liittää entiteetin toimijaan, joka liittyy entiteettiin.", "zh-hans-cn": "将一个实体与和一个实体有关的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedAgentOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61033",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related agent of entity", ar: "له وكيل مرتبط بكيان", da: "har relateret agent for entitet", de: "hat mit Entität in Beziehung stehenden Akteur", fi: "entiteettiin liittyvä toimija", nl: "heeft gerelateerde actor van entiteit", "zh-hans-cn": "有实体的关联行为者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61040,
      definition: {en: "Relates an entity to a place that is associated with an entity.", ar: "يربط بين كيان ومكان مرتبط بكيان.", da: "Relaterer en entiet til et sted, der er knyttet til en entitet.", de: "Setzt eine Entität in Beziehung zu einem Geografikum, das mit einer Entität in Verbindung steht.", fi: "Liittää entiteetin paikkaan, joka liittyy entiteettiin.", "zh-hans-cn": "将一个实体与和一个实体有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedPlaceOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61036",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related place of entity", ar: "له مكان مرتبط بكيان", da: "har relateret sted for entitet", de: "hat mit Entität in Beziehung stehendes Geografikum", fi: "entiteettiin liittyvä paikka", nl: "heeft gerelateerde plaats van entiteit", "zh-hans-cn": "有实体的关联地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61041,
      definition: {en: "Relates an entity to a timespan that is associated with an entity.", ar: "يربط بين كيان وفترة زمنية مرتبطة بكيان.", da: "Relaterer en entitet til et tidsforløb, der er knyttet til en entitet.", de: "Setzt eine Entität in Beziehung zu einem Zeitraum, der mit einer Entität in Verbindung steht.", fi: "Liittää entiteetin ajanjaksoon, joka liittyy entiteettiin.", "zh-hans-cn": "将一个实体与和一个实体有关的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedTimespanOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61035",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related timespan of entity", ar: "له فترة زمنية مرتبطة بكيان", da: "har relateret tidsforløb for entitet", de: "hat mit Entität in Beziehung stehenden Zeitraum", fi: "entiteettiin liittyvä ajanjakso", nl: "heeft gerelateerde tijdspanne van entiteit", "zh-hans-cn": "有实体的关联时间段"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61042,
      definition: {en: "Relates an entity to a resource that is associated with an entity.", ar: "يربط بين كيان ومصدر مرتبط بكيان.", da: "Relaterer en entitet til en ressource, der er knyttet til en entitet.", de: "Setzt eine Entität in Beziehung zu einer Ressource, die mit einer Entität in Verbindung steht.", fi: "Liittää entiteetin aineistoon, joka liittyy entiteettiin.", "zh-hans-cn": "将一个身体与和一个实体有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedResourceOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61034",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related resource of entity", ar: "له مصدر مرتبط بكيان", da: "har relateret ressource for entitet", de: "hat mit Entität in Beziehung stehende Ressource", fi: "entiteettiin liittyvä aineisto", nl: "heeft gerelateerde resource van entiteit", "zh-hans-cn": "有实体的关联资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61043,
      definition: {en: "Relates an entity to a nomen that is associated with an entity.", ar: "يربط بين كيان وتسمية مرتبطة بكيان.", da: "Relaterer en entiet til et nomen, som er knyttet til en entitet.", de: "Setzt eine Entität in Beziehung zu einem Nomen, das mit einer Entität in Verbindung steht.", fi: "Liittää entiteetin nomeniin, joka liittyy entiteettiin.", "zh-hans-cn": "将一个实体与和一个实体有关的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/relatedNomenOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61037",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has related nomen of entity", ar: "له تسمية مرتبطة بكيان", da: "har relateret nomen for entitet", de: "hat mit Entität in Beziehung stehendes Nomen", fi: "entiteettiin liittyvä nomen", nl: "heeft gerelateerde nomen van entiteit", "zh-hans-cn": "有实体的关联命名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61038",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61044,
      definition: {en: "Relates a resource to a type of performer or group of performers participating, or intended to participate, in a performance of choreographic or non-musical dramatic content.", ar: "يربط بين مصدر ونوع من فناني الأداء أو مجموعة من المؤدين يشاركون، أو يعتزمون المشاركة، في أداء محتوى درامي راقص أو محتوى درامي غير موسيقي.", da: "Relaterer en ressource til en type af performer eller gruppe af performere, der deltager, eller havde til hensigt at deltage, i en performance med koreografisk eller ikke-musikalsk indhold.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung der Ausführenden/des Ausführenden oder einer Gruppe von Ausführenden, die an einer Darbietung eines choreografischen oder nicht musikalischen, dramatischen Inhalts teilnehmen oder teilnehmen sollen.", fi: "Koreografiseen tai ei-musiikilliseen draamasisältöön osallistuvan tai osallistuvaksi tarkoitetun esittäjän tai esittäjien ryhmän tyyppi.", "zh-hans-cn": "将一种资源与在编舞或非音乐戏剧内容的一种表演中参与或计划参与的表演者或表演者群体的类型关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/mediumOfPerformanceOfChoreographicContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has medium of performance of choreographic content", ar: "له وسيط أداء محتوى الرقصات", da: "har besætning for koreografisk indehold", de: "hat Besetzung für choreografischen Inhalt", fi: "aineiston koreografisen sisällön esityskokoonpano", nl: "heeft uitvoeringsmedium van choreografische content", "zh-hans-cn": "有编舞内容的表演媒介"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61045,
      definition: {en: "Relates a resource to a musical resource that is complemented by a textual resource.", ar: "يربط بين مصدر ومصدر موسيقي يكمله مصدر نصي.", da: "Relaterer en ressource til en musikressource, der er suppleret med en tekstressource.", de: "Setzt eine Ressource in Beziehung zu einer Musikressource, die durch eine textliche Ressource vervollständigt wird.", fi: "liittää aineiston musiikkiaineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与被一种文字资源补充的一种音乐资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lyricsFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61045",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is lyrics for", ar: "هي كلمات أغنية لـ", da: "er sangekster for", de: "ist Lyrics für", fi: "sanoitettu aineisto", nl: "is liedteksten voor", "zh-hans-cn": "是……的歌词"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61048",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61046,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a musical resource.", ar: "يربط بين مصدر ومصدر عبارة عن مصدر نصي يكمل مصدر موسيقي.", da: "Relaterer en ressource til en ressource, der er en tekstressource, der er suppleret med en tekstressource.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, die ein Musikwerk ergänzt.", fi: "liittää aineiston aineistoon, joka on musiikkiaineistoa täydentävä tekstiaineisto.", "zh-hans-cn": "将一种资源与作为一种文字资源并补充一种音乐资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lyrics.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61045",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has lyrics", ar: "له كلمات أغنية", da: "har sangtekster", de: "hat Lyrics", fi: "aineiston sanoitus", nl: "heeft liedteksten", "zh-hans-cn": "有歌词"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61047",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61047,
      definition: {en: "Relates a resource to a resource that is a textual resource that complements a resource.", ar: "يربط بين مصدر ومصدر عبارة عن مصدر نصي يكمل مصدر.", da: "Relaterer en ressource til en ressource, der er en tekstressource, der supplerer en ressource.", de: "Setzt eine Ressource in Beziehung zu einer textlichen Ressource, das eine Ressource ergänzt.", fi: "liittää aineiston aineistoon, joka on toista aineistoa täydentävä tekstiaineisto.", "zh-hans-cn": "将一种资源与作为一种文字资源并补充一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61046",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/textResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61047",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has text resource", ar: "له مصدر نصي", da: "har tekstressource", de: "ist Textressource", fi: "tekstiaineisto", nl: "heeft tekst-resource", "zh-hans-cn": "有文本资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61048,
      definition: {en: "Relates a resource to a resource that is complemented by a resource that is a textual resource.", ar: "يربط بين مصدر ومصدر الذي يكمله مصدر عبارة عن مصدر نصي.", da: "Relaterer en ressource til en ressource, der er suppleret med en ressource, der er en tekstressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine textliche Ressource vervollständigt wird.", fi: "liittää aineiston aineistoon, jota on täydennetty tekstiaineistolla.", "zh-hans-cn": "将一种资源与被一种资源补充并是一种文字资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61045",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/textForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61047",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is text for resource", ar: "هو نص لمصدر", da: "er tekstressource", de: "ist Text für Ressource", fi: "tekstiaineisto", nl: "is tekst voor resource", "zh-hans-cn": "是资源的文本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61049,
      definition: {en: "Relates a resource to a resource that is a vocal resource and that complements a resource.", ar: "يربط بين مصدر ومصدر عبارة عن مصدر منطوق ويكمل مصدرًا.", da: "Relaterer en ressource til en ressource, der er en vokal ressourde og som supplerer en ressource.", de: "Setzt eine Ressource in Beziehung zu einer gesprochenen Ressource, die eine Ressource ergänzt.", fi: "Liittää aineiston puheääniaineistoon, joka täydentää toista aineistoa.", "zh-hans-cn": "将一种资源与作为一种人声资源并补充一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/spokenWordResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61049",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has spoken word resource", ar: "له مصدر كلمات منطوفة", da: "har ressource, der er talet ord", de: "hat gesprochenes Wort (Ressource)", fi: "puheaineisto", nl: "heeft gesproken woord-resource", "zh-hans-cn": "有口语资源"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61050,
      definition: {en: "Relates a resource to a resource that is realized as sound and that complements a resource.", ar: "يربط بين مصدر ومصدر يتم تحقيقه على أنه صوت ويكمل مصدر.", da: "Relaterer en ressource til en ressource, der er realiseret som lyd og som supplerer en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource aus Tönen, die eine Ressource ergänzt.", fi: "Liittää aineiston toista aineistoa täydentävään aineistoon, joka on toteutettu äänenä.", "zh-hans-cn": "将一种资源与被实现为声音并补充一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sounds.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61050",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sounds", ar: "له أصوات", da: "har lyd", de: "hat Töne", fi: "ääniaineisto", nl: "heeft geluiden", "zh-hans-cn": "有声音"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61051,
      definition: {en: "Relates a resource to a resource that is complemented by a vocal resource.", ar: "يربط بين مصدر ومصدر يكمله مصدر منطوق.", da: "Relaterer en ressource til en ressource, der er suppleret med en vokal ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine gesprochene Ressource vervollständigt wird.", fi: "Liittää aineiston puheaineistolla täydennettyyn aineistoon.", "zh-hans-cn": "将一种资源与被一种人声资源补充的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/spokenWordForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61049",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is spoken word for resource", ar: "هي كلمة منطوقة لمصدر", da: "er talet lyd for ressource", de: "ist gesprochenes Wort für (Ressource)", fi: "puheaineisto", nl: "is gesproken woord voor resource", "zh-hans-cn": "是资源的口语"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61052,
      definition: {en: "Relates a resource to a resource that is complemented by a resource that is realized as sound.", ar: "يربط بين مصدر ومصدر يُكمله مصدر يتم تحقيقه على أنه صوت.", da: "Relaterer en ressource til en ressource, der er suppleret med en ressource, som er realiseret som lyd.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine Ressource aus Tönen vervollständigt wird.", fi: "Liittää aineiston äänenä toteutetulla aineistolla täydennettyyn aineistoon.", "zh-hans-cn": "将一种资源与被一种资源补充并被实现为声音的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/soundsFor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61050",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is sounds for", ar: "هي أصوات لـ", da: "er lyde for", de: "sind Töne für", fi: "ääniaineisto", nl: "is geluiden voor", "zh-hans-cn": "是……的声音"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60198",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61053,
      definition: {en: "Relates a resource to a resource that is created by changing the extension plan of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير خطة توسع لمصدر.", da: "Relaterer en ressource til en ressource der er skabt ved at ændre udvidelsesplanen for en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aufgrund einer Änderung des Erweiterungsplans einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston laajennussuunnitelmaa.", "zh-hans-cn": "将一种资源与通过改变一种资源的扩充计划而创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61055", "http://rdaregistry.info/Elements/u/P61057", "http://rdaregistry.info/Elements/u/P61058"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByExtensionPlan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61053",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation by extension plan", ar: "له تحول وفق خطة توسع", da: "har omdannelse ved udvidelsesplan", de: "hat Transformation hinsichtlich des Erweiterungsplans", fi: "laajennussuunnitelmalla muutettu aineisto", nl: "heeft transformatie door extensieplan", "zh-hans-cn": "有通过扩充计划的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61067",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61054,
      definition: {en: "Relates a resource to a resource that has an extension plan that is changed to create a resource.", ar: "يربط بين مصدر ومصدر يحتوي على خطة توسع تم تغييرها لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, der har en udvidelsesplan, som ændres for at skabe en ressourece.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Erweiterungsplan geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jolla on aineiston luomista varten muutettu laajennussuunnitelma.", "zh-hans-cn": "将一种资源与有一种扩充计划并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61056", "http://rdaregistry.info/Elements/u/P61075", "http://rdaregistry.info/Elements/u/P61076"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByExtensionPlanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61053",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation by extension plan of", ar: "هو تحول وفق خطة توسع", da: "er omdannelse ved udvidelsesplan for", de: "ist Transformation hinsichtlich des Erweiterungsplans von", fi: "laajennussuunnitelman muutos aineistossa", nl: "is transformatie door extensieplan van", "zh-hans-cn": "是通过……的扩充计划的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61068",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61055,
      definition: {en: "Relates a resource to a resource that is created by changing the extension plan of a resource from integrating to successive.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير خطة توسع المصدر من متكامل إلى متتالي.", da: "Relaterer en ressource til en ressource, der er skabt ved at ændre udvidelsesplanen for en ressource fra integrerende til fortløbende.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung des Erweiterungsplans einer Ressource von integrierend auf sukzessiv erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu vaihtamalla laajennussuunnitelma päivittyvästä peräkkäisesti ilmestyväksi.", "zh-hans-cn": "将一种资源与通过将一种资源的扩充计划从集成性改变为相继性而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sequentialVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61055",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has sequential version", ar: "له إصدارة متتالية", da: "har sekventiel version", de: "hat fortlaufende Version", fi: "peräkkäinen versio (aineisto)", nl: "heeft sequentiële versie", "zh-hans-cn": "有序列版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61053",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61056,
      definition: {en: "Relates a resource to a resource that has an extension plan that is changed from successive to integrating to create a resource.", ar: "يربط بين مصدر ومصدر له خطة توسع تم تغييرها من متتالي إلى متكامل لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en udvidelsesplan, der er ændret fra fortløbende til integrerende for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Erweiterungsplan von sukzessiv auf integrierend geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jolla on aineiston luomista varten peräkkäisesti ilmestyvästä päivittyväksi muutettu laajennussuunnitelma.", "zh-hans-cn": "将一种资源与有扩充计划并被改变为从相继性到集成性以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sequentialVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61055",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is sequential version of", ar: "هو إصدارة متتالية لـ", da: "er sekventiel version af", de: "ist fortlaufende Version von", fi: "peräkkäinen versio (aineisto)", nl: "is sequentiële versie van", "zh-hans-cn": "是……的序列版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61054",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61057,
      definition: {en: "Relates a resource to a resource that is created by changing the extension plan of a resource from static to successive.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير خطة توسع المصدر من ثابت إلى متتالي.", da: "Relaterer en ressource til en ressource der er skabt ved at ændre udvidelsesplanen for en ressource fra statisk til fortløbende.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung des Erweiterungsplans einer Ressource von statisch auf sukzessiv erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu vaihtamalla laajennussuunnitelma staattisesta peräkkäisesti ilmestyväksi.", "zh-hans-cn": "将一种资源与通过将一种资源的扩充计划从静态到相继性变化而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/serializedVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61057",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has serialized version", ar: "له إصدارة متسلسلة", da: "har serialiseret version", de: "hat Fortsetzungs-Version", fi: "sarjaversio (aineisto)", nl: "heeft seriële versie", "zh-hans-cn": "有序列化的版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61053",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61058,
      definition: {en: "Relates a resource to a resource that is created by changing the extension plan of a resource from integrating to static.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير خطة توسع المصدر من تكامل إلى ثابت.", da: "Relaterer en ressource til en ressource, som er skabt ved at ændre udvidelsesplanen for en ressource fra integrerende til statisk.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung des Erweiterungsplans einer Ressource von integrierend auf statisch erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu vaihtamalla päivittyvä laajennussuunnitelma staattiseksi laajennussuunnitelmaksi.", "zh-hans-cn": "将一种资源与通过将一种资源的扩充计划从集成性到静态变化而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/staticVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61058",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has static version", ar: "له إصدارة ثابتة", da: "har statisk version", de: "hat statische Version", fi: "aineiston staattinen versio", nl: "heeft statische versie", "zh-hans-cn": "有静态版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61053",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61059,
      definition: {en: "Relates a resource to a resource that is created by changing the audience of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير جمهور لمصدر.", da: "Relaterer en ressourcce til en ressource, der er skabt ved at ændre publikum for en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aufgrund einer Änderung der Zielgruppe einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston kohderyhmää.", "zh-hans-cn": "将一种资源与通过改变一种资源的受众而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61061", "http://rdaregistry.info/Elements/u/P61062", "http://rdaregistry.info/Elements/u/P61063"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByAudience.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61059",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation by audience", ar: "له تحول وفق الجمهور", da: "har omdannelse ved publikum", de: "hat Transformation hinsichtlich der Zielgruppe", fi: "aineiston kohdeyleisön muutos", nl: "heeft transformatie door doelgroep", "zh-hans-cn": "有按受众的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61069",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61060,
      definition: {en: "Relates a resource to a resource that has an audience that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له جمهور تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, der har et putlikum, som ændres for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Zielgruppe geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jolla on uuden aineiston luomiseksi muutettu kohderyhmä.", "zh-hans-cn": "将一种资源与有受众并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61064", "http://rdaregistry.info/Elements/u/P61065", "http://rdaregistry.info/Elements/u/P61066"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByAudienceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61059",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation by audience of", ar: "هو تحول وفق الجمهور لـ", da: "er omdannelse ved publikum af", de: "ist Transformation hinsichtlich der Zielgruppe von", fi: "aineiston muuttunut kohdeyleisö", nl: "is transformatie door doelgroep van", "zh-hans-cn": "是……的按受众的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61070",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61061,
      definition: {en: "Relates a resource to a resource that is created by changing the language audience of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير جمهور لغة لمصدر.", da: "Relaterer en ressource til en ressource, som er skabt ved at ændre det sproglige publikum for en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung der sprachlichen Zielgruppe einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston kieliyleisöä.", "zh-hans-cn": "将一种资源与通过改变一种资源的语言受众而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/languageVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61061",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has language version", ar: "له إصدارة لغة", da: "har sproglig version", de: "hat Sprachversion", fi: "kieliversio", nl: "heeft taalversie", "zh-hans-cn": "有语言版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61059",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61062,
      definition: {en: "Relates a resource to a resource that is created by changing the regional audience of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير الجمهور الإقليمي لمصدر.", da: "Relaterer en ressource til en ressource, der er skabt ved at ændre det regionale publikum for en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung der regionalen Zielgruppe einer Ressource geschaffen wird.", fi: "Liittää aineiston alueellista kohdeyleisöä muuttamalla luotuun versioon.", "zh-hans-cn": "将一种资源与通过改变一种资源的地区受众而创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/regionalVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61062",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has regional version", ar: "له إصدارة إقليمية", da: "har regional version", de: "hat Regionalversion", fi: "aineiston alueellinen versio", nl: "heeft regionale versie", "zh-hans-cn": "有地区版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61059",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61063,
      definition: {en: "Relates a resource to a resource that is created by changing the carrier of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير ناقل لمصدر.", da: "Relaterer en ressource til en ressource, der er skabt ved at ændre en ressources bærere.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch Änderung des Datenträgers einer Ressource geschaffen wird.", fi: "Liittää aineiston tallennetta muuttamalla luotuun versioon.", "zh-hans-cn": "将一种资源与通过改变一种资源的载体而创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/carrierVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61063",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has carrier version", ar: "له إصدارة ناقل", da: "har bærerversion", de: "hat Datenträgerversion", fi: "aineiston tallenneversio", nl: "heeft dragerversie", "zh-hans-cn": "有载体版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61059",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61064,
      definition: {en: "Relates a resource to a resource that has a language audience that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له جمهور لغة تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har et sprogligt publikum, der ændres for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren sprachlichen Zielgruppe geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston aineistoon, jolla on aineiston luomiseksi muutettu kieliyleisö.", "zh-hans-cn": "将一种资源与有语言受众并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/languageVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61061",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is language version of", ar: "هو إصدارة لغة لـ", da: "er sprogversion af", de: "ist Sprachversion von", fi: "aineiston kieliversio", nl: "is taalversie van", "zh-hans-cn": "是……的语言版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61060",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61065,
      definition: {en: "Relates a resource to a resource that has a regional audience that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له جمهور إقليمي تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har et regionalt publikum, der ændres for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren regionale Zielgruppe geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston alueellista yleisöä muuttamalla luotuun versioon.", "zh-hans-cn": "将一种资源与有地区受众并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/regionalVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61062",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is regional version of", ar: "هو إصدارة إقليمية لـ", da: "er regional version af", de: "ist Regionalversion von", fi: "aineiston alueellinen versio", nl: "is regionale versie van", "zh-hans-cn": "是……的地区版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61060",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61066,
      definition: {en: "Relates a resource to a resource that has a carrier that is changed to create a resource.", ar: "يربط بين مصدر ومصدر به ناقل تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en bærer, der ændres for at skabe en ressurce.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Datenträger geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston tallennemuotoa muuttamalla luotuun versioon.", "zh-hans-cn": "将一种资源与有载体并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/carrierVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61063",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is carrier version of", ar: "هو إصدارة ناقل لـ", da: "er bærerversion af", de: "ist Datenträgerversion von", fi: "tallenneversio (aineisto)", nl: "is dragerversie van", "zh-hans-cn": "是……的载体版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61060",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61067,
      definition: {en: "Relates a resource to a resource that is created by changing the scope or editorial policy of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير المجال أو السياسة التحريرية لمصدر.", da: "Relaterer en ressource til en ressource, som er skabt ved at ændre formålet eller udgivelsespolicyn for en ressourece.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aufgrund einer Änderung des Geltungsbereichs oder der redaktionellen Vorgehensweise einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston alaa tai toimituksellista käytäntöä.", "zh-hans-cn": "将一种资源与通过改变一种资源的范围或编辑政策而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61053",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByPolicy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61067",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation by policy", ar: "له تحول وفق سياسة", da: "har omdannelse ved policy", de: "hat Transformation hinsichtlich der Vorgehensweise", fi: "toimituksellisella käytännöllä muutettu aineisto", nl: "heeft transformatie door beleid", "zh-hans-cn": "有按政策的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61069",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61068,
      definition: {en: "Relates a resource to a resource that has a policy that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له سياسة تم تغييرها لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en policy der er ændret for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Verfahrensweise geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston aineistoon, jolla on aineiston luomiseksi muutettu toimituksellinen käytäntö.", "zh-hans-cn": "将一种资源与有政策并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61054",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByPolicyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61067",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation by policy of", ar: "هو تحول وفق سياسة لـ", da: "er omdannelse ved policy af", de: "ist Transformation hinsichtlich der Vorgehensweise von", fi: "toimituksellisella käytännöllä muutettu aineisto", nl: "is transformatie door beleid van", "zh-hans-cn": "是……的按政策的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61070",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61069,
      definition: {en: "Relates a resource to a resource that is created by changing the scope or editorial policy, the genre or literary form, the target audience, or the style of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير المجال أو السياسة التحريرية، النوع أو الشكل الأدبي، الجمهور المستهدف، أو أسلوب مصدر.", da: "Relaterer en ressource til en ressurce, som er skabt ved at ændre formål eller udgivelsespolicy, emne eller literær form, målpublikum, eller stil af ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die durch eine Änderung des Geltungsbereichs, der redaktionelle Vorgehensweise, des Genres oder der literarischen Form, der Zielgruppe oder des Stils einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston laajuutta tai toimituksellista käytäntöä, genreä tai kirjallista muotoa, kohdeyleisöä tai tyyliä.", "zh-hans-cn": "将一种资源与通过改变一种资源的范围或编辑政策、体裁或文学形式、目标受众或风格而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61059", "http://rdaregistry.info/Elements/u/P61067", "http://rdaregistry.info/Elements/u/P61071", "http://rdaregistry.info/Elements/u/P61073"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61069",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation", ar: "له تحول", da: "har omdannelse", de: "hat Transformation", fi: "aineiston muutos", nl: "heeft transformatie", "zh-hans-cn": "有转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61070,
      definition: {en: "Relates a resource to a resource that has a scope or editorial policy, genre or literary form, target audience, or style that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له مجال أو سياسة تحريرية، نوع أو شكل أدبي، جمهور مستهدف، أو أسلوب تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har et formål eller redaktionel policy, genre eller litterær form, målgruppe, eller stil, der ændres for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Geltungsbereich, redaktionelle Vorgehensweise, Genre oder literarische Form, Zielgruppe oder Stil geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jonka laajuutta tai toimituksellista käytäntöä, genreä tai kirjallista muotoa, kohdeyleisöä tai tyyliä on muutettu uuden aineiston luomiseksi.", "zh-hans-cn": "将一种资源与有范围或编辑政策、体裁或文学形式、目标受众或风格并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61060", "http://rdaregistry.info/Elements/u/P61068", "http://rdaregistry.info/Elements/u/P61072", "http://rdaregistry.info/Elements/u/P61074"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61069",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation of", ar: "هو تحول لـ", da: "er omdannelse af", de: "ist Transformation von", fi: "muutettu aineisto", nl: "is transformatie van", "zh-hans-cn": "是……的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61071,
      definition: {en: "Relates a resource to a resource that is created by changing the style of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير أسلوب مصدر.", da: "Relaterer en ressource til en ressource, som er skabt ved at ændre en ressources stil.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die aufgrund einer Änderung des Stils einer Ressource erstellt wird.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston tyyliä.", "zh-hans-cn": "将一种资源与通过改变一种资源的风格而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByStyle.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61071",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation by style", ar: "له تحول وفق أسلوب", da: "har omdannelse ved stil", de: "hat Transformation hinsichtlich des Stils", fi: "muutettu aineiston tyyli", nl: "heeft transformatie door stijl", "zh-hans-cn": "有按风格的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61069",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61072,
      definition: {en: "Relates a resource to a resource that has a style that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له نمط تم تغييره لإنشاء مصدر.", da: "Relaterer en ressourece til en ressource, som har en stil, der er ændret for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Stil geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston aineistoon, jonka tyyliä on muutettu uuden aineiston luomiseksi.", "zh-hans-cn": "将一种资源与有风格并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByStyleOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61071",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation by style of", ar: "هو تحول وفق أسلوب لـ", da: "er omdannelse ved stil af", de: "ist Transformation hinsichtlich des Stil von", fi: "tyylin muutos aineistolle", nl: "is transformatie door stijl van", "zh-hans-cn": "是……的按风格的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61070",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61073,
      definition: {en: "Relates a resource to a resource that is created by changing the genre or literary form of a resource.", ar: "يربط بين مصدر ومصدر تم إنشاؤه عن طريق تغيير النوع أو الشكل الأدبي لمصدر.", da: "Relaterer en ressource til en ressource, som er skabt ved at ændre en ressources genre eller litterære form.", fi: "Liittää aineiston aineistoon, joka on luotu muuttamalla aineiston tyyliä.", "zh-hans-cn": "将一种资源与通过改变一种资源的体裁或文学形式而被创建的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByGenre.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61073",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has transformation by genre", ar: "له تحول وفق النَوع", da: "har omdannelse ved genre", de: "hat Transformation hinsichtlich des Genres", fi: "muutettu aineiston genre", nl: "heeft transformatie door genre", "zh-hans-cn": "有按体裁的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61069",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61074,
      definition: {en: "Relates a resource to a resource that has a genre that is changed to create a resource.", ar: "يربط بين مصدر ومصدر له نَوع تم تغييره لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en genre, der er ændret for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Genre geändert wird, um eine Ressource zu schaffen.", fi: "Liittää aineiston aineistoon, jonka genreä on muutettu uuden aineiston luomiseksi.", "zh-hans-cn": "将一种资源与有体裁并被改变以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/transformationByGenreOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61073",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is transformation by genre of", ar: "هو تحول وفق النَوع لـ", da: "er omdannelse ved genre af", de: "ist Transformation hinsichtlich des Genres von", fi: "genren muutos aineistolle", nl: "is transformatie door genre van", "zh-hans-cn": "是……的按体裁的转换"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61070",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61075,
      definition: {en: "Relates a resource to a resource that has an extension plan that is changed from successive to static to create a resource.", ar: "يربط بين مصدر ومصدر له خطة توسع تم تغييرها من متتالي إلى ثابت لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en udvidelsesplan, der er ændret fra fortløbende til statisk for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Erweiterungsplan von sukzessiv auf statisch geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jolla on laajennussuunnitelma, joka on muutettu peräkkäisestä staattiseksi aineiston luomiseksi.", "zh-hans-cn": "将一种资源与有扩充计划并被改变为从相继性到静态以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/serializedVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61057",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is serialized version of", ar: "هو إصدارة متسلسلة لـ", da: "er serialiseret version af", de: "ist Fortsetzungs-Version von", fi: "sarjaversio aineistosta", nl: "is seriële versie van", "zh-hans-cn": "是……的序列化的版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61054",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61076,
      definition: {en: "Relates a resource to a resource that has an extension plan that is changed from static to integrated to create a resource.", ar: "يربط بين مصدر ومصدر يحتوي على خطة تمديد تم تغييرها من ثابت إلى تكامل لإنشاء مصدر.", da: "Relaterer en ressource til en ressource, som har en udvidelsesplan, der ændret fra fortløbende til integrerende for at skabe en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, deren Erweiterungsplan von statisch auf integrierend geändert wird, um eine Ressource zu erstellen.", fi: "Liittää aineiston aineistoon, jonka laajennussuunnitelma on vaihdettu päivittyvästä staattiseksi.", "zh-hans-cn": "将一种资源与有扩充计划并被改变为从静态到集成性以创建一种资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/staticVersionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61058",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is static version of", ar: "هو إصدارة ثابثة لـ", da: "er statisk version af", de: "ist statische Version von", fi: "staattinen versio", nl: "is statische versie van", "zh-hans-cn": "是……的静态版本"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61054",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61077,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of making changes to the content.", ar: "يربط بين مصدر ومصدر يتضمن إسهام وكيل في إجراء تغييرات المحتوى.", da: "Relaterer en agent til en ressource, som omfatter et bidrag af en agent ved at lave ændringer til indholdet.", de: "Setzt einen Akteur in Beziehung zu eine Ressource, zu der ein Akteur beiträgt, indem er am Inhalt Veränderungen vornimmt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena tekemällä muutoksia aineiston sisältöön.", "zh-hans-cn": "将一个行为者与包括对内容作改动的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reviserOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reviser of", ar: "هو مُراجع لـ", da: "er reviderer af", de: "ist Überarbeiterin/Überarbeiter von", fi: "aineiston tarkastaja (toimija)", nl: "is herziener van", "zh-hans-cn": "是……的修订者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61078,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent to a seamless mix of kinds of content", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في مزج سلس لأنواع من المحتوى.", da: "Relaterer en agent til en ressource, som omfatter et bidrag af en agent til en sømløs blanding af typer af indhold.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur zu einer nahtlosen Mischung von Inhalten beiträgt.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena sellaisen aineiston tekemiseen, joka on saumaton yhdistelmä erilaisia sisältöjä.", "zh-hans-cn": "将一个行为者与包括将各种内容无缝融合的一个行为者的贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToAmalgamationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61078",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent to amalgamation of", ar: "هو وكيل مساهم في دمج لـ", da: "er agent som er bidragsyder til sammensmæltning af", de: "Akteur als Beiträgerin/Beiträger zu einer Verschmelzung von", fi: "aineiston yhdistymään osallinen toimija", nl: "is bijdrager-actor aan amalgamering van", "zh-hans-cn": "是……的融合体的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61079,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent to a performance.", ar: "يربط بين وكيل ومصدر يتضمن إسهام وكيل في أداء.", da: "Relaterer en agent til en ressource, som omfatter et bidrag af en agent til en performance.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur zu einer Darbietung beiträgt", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena sellaisen aineiston tekemisessä, joka on esitys.", "zh-hans-cn": "将一个行为者与包括一个行为者对一个表演之贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToPerformanceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61079",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent to performance of", ar: "هو وكيل مساهم في أداء لـ", da: "er agent som er bidragsyder til performance af", de: "ist Akteur als Beiträgerin/Beiträger zu einer Darbietung von", fi: "aineiston esitykseen osallinen toimija", nl: "is bijdrager-actor aan uitvoering van", "zh-hans-cn": "是……的表演的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61080,
      definition: {en: "Relates an agent to a resource that includes a contribution by an agent of amending text created by other agents in order to meet publication standards such as consistency, clarity, and style. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editorOfTextOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P61080",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is editor of text of (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61081,
      definition: {en: "Relates an agent to a resource that is an aggregate that includes a contribution by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تتضمن إسهام وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter et bidrag af en agent.", de: "Setzt einen Akteur in Beziehung zu einem Aggregat (Ressource), das einen Beitrag eines Akteurs enthält.", fi: "Liittää toimijan aineistoon, jossa toimija on osallisena sellaisen aineiston tekemisessä, joka on aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集并包括一个行为者之贡献的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToAggregateOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61081",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent to aggregate of", ar: "هو وكيل مساهم في تجميعة لـ", da: "er agent som er bidragsyder til samling af", de: "ist Akteur als Beiträgerin/Beiträger zu einem Aggregat von", fi: "aggregaattiaineistoon osallinen toimija", nl: "is bijdrager-actor aan aggregaat van", "zh-hans-cn": "是……的合集的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61082,
      definition: {en: "Relates a resource to an agent who contributes to a resource by making changes to the content.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال إجراء تغييرات في المحتوى.", da: "Relaterer en ressource til en agent, som bidrager til en ressource ved at lave ændringer til indholdet.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er am Inhalt Veränderungen vornimmt.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena tekemällä muokkauksia aineiston sisältöön.", "zh-hans-cn": "将一种资源与通过对内容作改动而对一种资源出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/reviser.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has reviser", ar: "له مُراجع", da: "har reviderere", de: "hat Überarbeiterin/Überarbeiter", fi: "aineiston tarkastaja", nl: "heeft herziener", "zh-hans-cn": "有修订者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61083,
      definition: {en: "Relates a resource to an agent who contributes to a resource that is a seamless mix of kinds of content.", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال مزج سلس لأنواع من المحتوى.", da: "Relaterer en ressource til en agent, som bidrager til en ressource, der er en sømløs blandning af ityper af indhold.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource, die eine nahtlose Mischung von Inhalten darstellt, beiträgt.", fi: "Liittää aineiston toimijaan, joka osallistuu sellaisen aineiston tekemiseen, joka on saumaton yhdistelmä erilaisia sisältöjä.", "zh-hans-cn": "将一种资源与对作为各种内容无缝融合的一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToAmalgamation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61078",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent to amalgamation", ar: "له وكيل مساهم في دمج", da: "har agent, som er bidragsyder til sammensmæltning", de: "hat Beiträgerin/Beiträger zu einer Verschmelzung", fi: "yhdistymään osallinen toimija aineistossa", nl: "heeft bijdrager-actor aan amalgamering", "zh-hans-cn": "有融合体的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61084,
      definition: {en: "Relates a resource to an agent who contributes to a resource that is a performance.", ar: "يربط مصدر بوكيل يساهم في مصدر عبارة عن أداء.", da: "Relaterer en ressource til en agent, wom bidrager til en ressource, der er en performance.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Darbietung beiträgt.", fi: "Liittää aineiston toimijaan, joka osallistuu sellaisen aineiston tekemiseen, joka on esitys.", "zh-hans-cn": "将一种资源与对作为一种表演的一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToPerformanceContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61079",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent to performance", ar: "له وكيل مساهم في أداء", da: "har agent, som er bidragsyder til performance", de: "hat Beiträgerin/Beiträger zu einer Darbietung", fi: "esitykseen osallinen toimija aineistossa", nl: "heeft bijdrager-actor aan uitvoering", "zh-hans-cn": "有表演的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61085,
      definition: {en: "Relates a resource to an agent who contributes to a resource by amending text created by other agents in order to meet publication standards such as consistency, clarity, and style,", ar: "يربط مصدر بوكيل يُساهم في مصدر من خلال تعديل النص الذي تم إنشاؤه بواسطة وكلاء آخرين من أجل تلبية معايير النشر مثل الاتساق، الوضوح، والأسلوب.", da: "Relaterer en ressource til en agent, som bidrager til en ressource ved at ændre tekst skabt af andre agenter for at opfylde publikationsstandarder, som fx konsistens, klarhed og stil.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der zu einer Ressource beiträgt, indem er Text verändert, der von anderen Akteuren erstellt wurde, um Publikationsstandards wie Konsistenz, Klarheit und Stil zu erfüllen.", fi: "Liittää aineiston toimijaan, joka osallistuu aineiston tekemiseen tarkistamalla muiden toimijoiden luomaa sisältöä julkaisu- tai muiden käyttöstandardien saavuttamiseksi.", "zh-hans-cn": "将一种资源与通过修正其他行为者创作的内容以满足出版标准（例如一致、清晰、风格）对一种资源作出贡献的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/editor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61080",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has editor", ar: "له محرر", da: "har udgiver", de: "hat Herausgeberin/Herausgeber", fi: "aineiston toimittaja", nl: "heeft redacteur", "zh-hans-cn": "有编者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61086,
      definition: {en: "Relates a resource to an agent who is responsible for creating a resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر يتجسد في تجميعية.", da: "Relaterer en ressource til en agent, som er ansvarlig for at skabe en ressource der er indeholdt i en samling.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Schaffung einer Ressource verantwortlich ist, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka vastaa aggregaattiin sisältyvän aineiston luomisesta.", "zh-hans-cn": "将一种资源与负责创建被一种合集具体化的一种资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentToAggregatedContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61081",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent to aggregate", ar: "له كيل مساهم في تجميعة", da: "har agent, som er bidragsyder til samling", de: "hat Beiträgerin/Beiträger zu einem Aggregat", fi: "aggregaattiin osallinen toimija", nl: "heeft bijdrager-actor aan aggregaat", "zh-hans-cn": "有合集的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61087,
      definition: {en: "Relates a resource to a resource that is chosen as part of the plan of an aggregating resource.", ar: "يربط بين مصدر ومصدر تم اختياره كجزء من خطة تجميع مصدر.", da: "Relaterer en ressource til en ressource, som er valgt som en del af en plan for en samlende ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die als Teil des Konzepts einer aggregierenden Ressource ausgewählt wird.", fi: "Liittää aineiston aineistoon, joka on valittu aggregoivan aineiston suunnitelmaan.", "zh-hans-cn": "将一种资源与被选为一种合集性资源的计划之部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aggregates.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61087",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "aggregates", ar: "متجمعات", da: "samlinger", de: "Aggregate", fi: "aggregoiva aineisto", nl: "aggregeert", "zh-hans-cn": "合集"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61088,
      definition: {en: "Relates a resource to a resource that aggregates a resource as part of the plan of an aggregating resource.", ar: "يربط بين مصدر ومصدر يقوم بتجميع مصدر كجزء تجميع مصدر.", da: "Relaterer en ressource til en ressource, som samler en ressource som en del af en samlende ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die eine Ressource als Teil des Konzepts einer aggregierenden Ressource aggregiert.", fi: "Liittää aineiston aineistoon, joka aggregoi aineiston osaksi aggregoivan aineiston suunnitelmaa.", "zh-hans-cn": "将一种资源与把一种资源编制合集作为一种合集性资源的计划之部分的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aggregatedBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61087",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is aggregated by", ar: "هو مُجَمَّع بواسطة", da: "er samlet af", de: "ist aggregiert von", fi: "aggregoitu aineisto", nl: "is geaggregeerd door", "zh-hans-cn": "被……编制合集"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61089,
      definition: {en: "Relates a resource to a capacity of content to respond to actions performed by the user.", ar: "يربط بين مصدر وقدرة المحتوى على الاستجابة للإجراءات التي يقوم بها المستخدم.", da: "Relaterer en ressource til en kapacitet af indhold der svarer til handlinger udført af brugeren.", de: "Setzt eine Ressource in Beziehung zu einer Fähigkeit von Inhalten, auf von Benutzenden ausgeführte Aktionen zu reagieren.", fi: "Liittää aineiston sisällön kykyyn vastata käyttäjän suorittamiin toimintoihin.", "zh-hans-cn": "将一种资源与内容对使用者的行动作出响应的能力关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/interactivityMode.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has interactivity mode", ar: "له أسلوب تفاعلي", da: "har interaktivitetstilstand", de: "hat Interaktivitätsmodus", fi: "vuorovaikutteisuuden aste aineistossa", nl: "heeft interactiviteitsmodus", "zh-hans-cn": "有互动模式"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61090,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for aggregation by selecting and arranging other resources.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن اختيار وترتيب مصادر أخرى.", da: "Relaterer en agent til en ressource, som involverer et ansvar af at være agent for en samling ved at udvælge og ordne andre ressourcer.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der ein Akteur für die Aggregation verantwortlich ist, indem er andere Ressourcen auswählt und zusammenstellt.", fi: "Liittää toimijan aineistoon, jossa toimija vastaa aggregoivan teoksen luomisesta valitsemalla ja järjestämällä muita aineistoja.", "zh-hans-cn": "将一个行为者与涉及把其他资源选择和整理后编制合集的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60657",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aggregatorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61090",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is aggregator of", ar: "هو مجمع لـ", da: "er samler af", de: "ist Aggregator von", fi: "aggregaattori (toimija) aineistossa", nl: "is aggregator van", "zh-hans-cn": "是……的合集编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60616",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61091,
      definition: {en: "Relates a resource to an agent who is responsible for creating an aggregating resource by selecting and arranging other resources.", ar: "يربط مصدر بوكيل مسؤول عن إنشاء مصدر مجمع عن طريق اختيار وترتيب مصادر أخرى.", da: "Relaterer en ressource til en agent, som er ansvarlig for at skabe en samlende ressource, ved at udvælge og ordne andre ressourcer.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der für die Erstellung einer aggregierenden Ressource verantwortlich ist, indem er andere Ressourcen auswählt und zusammenstellt.", fi: "Liittää aineiston toimijaan, joka vastaa aggregoivan teoksen luomisesta valitsemalla ja järjestämällä muita aineistoja.", "zh-hans-cn": "将一种资源与负责把其他资源选择和整理后创建一种合集性资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60428",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/aggregator.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61090",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has aggregator", ar: "له مجمع", da: "har samler", de: "hat Aggregator", fi: "aineiston aggregaattori", nl: "heeft aggregator", "zh-hans-cn": "有合集编者"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60447",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61092,
      definition: {en: "Relates a resource to an agent who is accused in a criminal proceeding.", ar: "يربط مصدر بوكيل متهم في دعوى جنائية.", da: "Relaterer en ressource til en agent, som er sagsøgt i en straffesag.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der in einem Strafverfahren angeklagt ist.", fi: "Liittää aineiston toimijaan, joka on syytettynä rikosprosessissa.", "zh-hans-cn": "将一种资源与在一项刑事诉讼中被指控的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/criminalDefendant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61092",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has criminal defendant", ar: "له مُدَّعَى عليه جنائيًا", da: "har sagsøgt", de: "hat Angeklagte/Angeklagten in einem Strafverfahren", fi: "vastaaja rikosoikeudessa", nl: "heeft criminele verdachte", "zh-hans-cn": "有刑事被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60462",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61093,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for being accused in a criminal proceeding.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن اتهامه في دعوى جنائية.", da: "Relaterer en agent til en ressource, som involverer et agentansvar af at være sagsøgt i en straffesag.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung verbunden ist, als Akteur in einem Strafverfahren angeklagt zu sein.", fi: "Liittää toimijan aineistoon, johon liittyy toimijan asema rikosprosessin syytettynä.", "zh-hans-cn": "将一个行为者与涉及在一项刑事诉讼中被指控的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/criminalDefendantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61092",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is criminal defendant of", ar: "هو مُدَّعَى عليه جنائيًا", da: "er sagsøgt af", de: "ist Angeklagte/Angeklagter in einem Strafverfahren von", fi: "toimija vastaajana rikosoikeudessa", nl: "is criminele verdachte van", "zh-hans-cn": "是……的刑事被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60698",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61094,
      definition: {en: "Relates a resource to an agent who is sued in a civil proceeding.", ar: "يربط مصدر بوكيل رُفعت ضده دعوى مدنية.", da: "Relaterer en ressource til en agent, som er sagsøgt i en civilretlig sag.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der in einem Zivilverfahren verklagt wird.", fi: "Liittää aineiston toimijaan, joka on syytettynä siviilioikeusprosessissa.", "zh-hans-cn": "将一种资源与在一项民事诉讼中被指控的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/civilDefendant.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61094",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has civil defendant", ar: "له مُدَّعَى عليه مدنيًا", da: "har civilretligt sagsøgt", de: "hat Beklagte/Beklagten in einem Zivilverfahren", fi: "vastaaja siviilioikeudessa", nl: "heeft burgerlijke verweerder", "zh-hans-cn": "有民事被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60462",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61095,
      definition: {en: "Relates an agent to a resource that involves a responsibility of an agent for being sued in a civil proceeding.", ar: "يربط بين وكيل ومصدر ينطوي على مسؤولية وكيل عن مقاضاته في دعوى مدنية.", da: "Relaterer en agent til en ressource, som involverer et agentansvar af at være sagsøgt i en civilretlig sag.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, die mit einer Verantwortung verbunden ist, als Akteur in einem Zivilverfahren verklagt zu werden.", fi: "Liittää toimijan aineistoon, johon liittyy toimijan asema siviilioikeusprosessin syytettynä.", "zh-hans-cn": "将一个行为者与涉及在一项民事诉讼中被控告的一个行为者的责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/civilDefendantOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61094",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is civil defendant of", ar: "هو مُدَّعَى عليه مدنيًا لـ", da: "er civilretligt sagsøgt af", de: "ist Beklagte/Beklagter in einem Zivilverfahren von", fi: "toimija vastaajana siviilioikeudessa", nl: "is burgerlijke verweerder van", "zh-hans-cn": "是……的民事被告"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60698",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61096,
      definition: {en: "Relates a resource to an agent who is responsible for overseeing academic activity of any kind that results in a resource, including theses, research, and projects.", ar: "يربط مصدر بوكيل مسؤول عن الإشراف على نشاط أكاديمي من أي نوع يسفر عن مصدر، ويشمل ذلك الأطروحات والبحوث والمشاريع.", da: "Relaterer en ressource til en agent, som er ansvarlig for at føre tilsyn med akademisk aktivitet af enhver art, der resulterer i en ressource, herunder afhandlinger, forskning og projekter.", de: "Setzt eine Ressource in Beziehung zu einem Akteur, der akademische Tätigkeiten jeglicher Art betreut, die zu einer Ressource führen. Darunter fallen Hochschulschriften, Forschungen und Projekte.", fi: "Liittää aineiston toimijaan, joka vastaa kaikenlaisen aineistoon johtavan akateemisen toiminnan valvonnasta, mukaan lukien tutkielmat, tutkimukset ja projektit.", "zh-hans-cn": "将一种资源与负责导致一种资源的各种学术活动（包括论文、研究和项目）之监督的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/academicSupervisor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has academic supervisor", ar: "له مُشرف أكاديمي", da: "har akademisk vejleder", de: "hat akademische Betreuerin/akademischen Betreuer", fi: "akateeminen ohjaaja (toimija) aineistossa", nl: "heeft academische begeleider", "zh-hans-cn": "有学术主管"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61097,
      definition: {en: "Relates a resource to a categorization reflecting an intention to extend the content of a resource.", ar: "يربط بين مصدر وفئة تعكس نية لتوسيع محتوى مصدر.", da: "Relaterer en ressource til en kategorisering, som afspejler en hensigt om at udvide indholdet af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung der Absicht, ob beziehungsweise wie der Inhalt einer Ressource erweitert werden soll.", fi: "Liitää aineiston kategorisointiin, joka ilmaisee aikomuksen laajentaa aineiston sisältöä.", "zh-hans-cn": "将一种资源与反映扩充一种资源之内容的意向的一种类别关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/extensionPlan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has extension plan", ar: "له خطة توسع", da: "har udvidelsesplan", de: "hat Erweiterungsplan", fi: "aineiston laajennussuunnitelma", nl: "heeft extensieplan", "zh-hans-cn": "有扩充计划"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61098,
      definition: {en: "Relates a resource to an academic supervisor who is responsible for advising or supervising research that results in a resource.", ar: "يربط مصدر بمشرف أكاديمي مسؤول عن تقديم المشورة أو الإشراف على الأبحاث التي تؤدي إلى مصدر.", da: "Relaterer en ressource til en akademisk vejleder, som er ansvarlig for at rådgive", de: "Setzt eine Ressource in Beziehung zu einer akademischen Betreuerin/einem akademischen Betreuer, die/der Forschungstätigkeiten beaufsichtigt oder betreut, die zu einer Ressource führen.", fi: "Liittää toimijan akateemiseen ohjaajaan, joka vastaa aineistoon johtavan tutkimuksen valvomisesta tai tutkimuksessa neuvomisesta.", "zh-hans-cn": "将一种资源与负责为导致一种作品的研究作咨询和监督的一个学术主管关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/researchSupervisor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61103",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has research supervisor", ar: "له مشرف بحث", da: "har forskningsvejleder", de: "hat Betreuerin/Betreuer von Forschungstätigkeiten", fi: "tutkimuksen ohjaaja aineistossa", nl: "heeft onderzoeksbegeleider", "zh-hans-cn": "有研究主管"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61099,
      definition: {en: "Relates a resource to an unstructured or structured description of a range of resources for which the value of a metadata resource is valid.", ar: "يربط بين مصدر ووصف غير مهيكل أو مهيكل لمجموعة من الأعمال التي تكون قيمة مصدر الميتاداتا صالحة لها.", da: "Relaterer en ressource til en ustruktureret eller struktureret beskrivelse af en række ressourcer, for hvilke værdien af en metadataressource er gyldig.", de: "Setzt eine Ressource in Beziehung zu einer unstrukturierten oder strukturierten Beschreibung eines breiten Spektrums von Ressourcen, für die der Wert einer Metadatenressource gültig ist.", fi: "Liittää aineiston rakenteistettuun tai rakenteistamattomaan kuvaukseen aineistojen aikavälistä, jonka ajan metatietoaineiston arvo on voimassa.", "zh-hans-cn": "将一种资源与一种元数据资源的取值对其有效的资源范围的非结构化或结构化描述关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scopeOfValidity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scope of validity", ar: "له نطاق صلاحية", da: "har gyldighedsomfang", de: "hat Gültigkeitsbereich", fi: "aineiston voimassaoloaika", nl: "heeft scope van validiteit", "zh-hans-cn": "有适用范围"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61100,
      definition: {en: "Relates a resource to a source of information for a metadata resource that is an unstructured description transcribed from a resource being described.", ar: "يربط بين مصدر ومصدر معلومات لمصدر ميتاداتا الذي يعد وصفًا غير مهيكل يتم نسخه من مصدر يتم وصفها.", da: "Relaterer en ressource til en informationskilde for en metadataressource, der er en ustruktureret beskrivelse transkiberet fra en ressource, der beskrives.", de: "Setzt eine Ressource in Beziehung zu einer Informationsquelle für eine Metadatenressource, bei der es sich um eine unstrukturierte Beschreibung handelt, die aus einer beschriebenen Ressource transkribiert ist.", fi: "Liittää aineiston metatietoaineiston tietolähteeseen, joka on kuvailtavasta aineistosta transkriboitu rakenteistamaton kuvailu.", "zh-hans-cn": "将一种资源与一种元数据资源（即转录自被描述资源的非结构化描述）的一个信息源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/recordingSource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has recording source", ar: "له مصدر تسجيل", da: "har optagelsesressource", de: "hat Aufnahmequelle", fi: "merkinnän lähde", nl: "heeft bron van overname", "zh-hans-cn": "有记录信息源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61101,
      definition: {en: "Relates a resource to a resource in which there is evidence for a metadata resource.", ar: "يربط بين مصدر ومصدر يوجد فيه دليل على مصدر الميتاداتا.", da: "Relaterer en ressource til en ressource i hvilken der er evidens for en metadataressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressource, die Hinweise auf eine Metadatenressource enthält.", fi: "Liittää aineiston aineistoon, jossa on todiste metatietoaineistolle.", "zh-hans-cn": "将一种资源与其中有元数据资源之证据的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sourceConsulted.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61107",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has source consulted", ar: "له مصدر استشارة", da: "har konsulteret kilde", de: "hat konsultierte Quelle", fi: "käytetty lähde", nl: "heeft geraadpleegde bron", "zh-hans-cn": "有被查阅的信息源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61102,
      definition: {en: "Relates a resource to an agent who is an academic supervisor who is responsible for advising or supervising a project undertaken by a student that results in a resource.", ar: "يربط مصدر بمشرف أكاديمي يكون مسؤولاً عن تقديم المشورة أو الإشراف على مشروع يقوم به الطالب وينتج عنه مصدر.", da: "Relaterer en ressource til en akademisk vejleder, som er ansvarlig for at rådgive eller vejlede et projekt, der udføres af en student, og som resulterer i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer akademischen Betreuerin/einem akademischen Betreuer, die/der für die Betreuung und Aufsicht eines Projekts einer Studentin/eines Studenten verantwortlich ist, das zu einer Ressource führt.", fi: "Liittää aineiston akateemiseen ohjaajaan, joka vastaa neuvonnasta tai valvonnasta opiskelijan projektissa, jonka tuloksena on aineisto.", "zh-hans-cn": "将一种资源与负责为导致一种资源的学生所做的项目作咨询和监督的作为学术主管的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/projectSupervisor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61104",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has project supervisor", ar: "له مشرف مشروع", da: "har projektvejleder", de: "hat Projektbetreuerin/Projektbetreuer", fi: "projektin ohjaaja aineistossa", nl: "heeft projectbegeleider", "zh-hans-cn": "有项目主管"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61103,
      definition: {en: "Relates an agent to a resource that involves a responsibility as an academic supervisor of research that results in a resource.", ar: "يربط بين وكيل ومصدر ينطوي على تحمل المسؤولية بصفته مُشرف أكاديمي على الأبحاث التي تؤدي إلى مصدر.", da: "Relaterer en agent til en ressource, som involverer en akademisk forskningsvejleder, og som resulterer i en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der eine akademische Betreuerin/ein akademischer Betreuer dafür verantwortlich ist, die Forschungstätigkeiten zu beaufsichtigen oder zu betreuen, die zu einer Ressource führen.", fi: "Liittää toimijan aineistoon, jossa akateeminen ohjaaja vastaa tutkimuksesta, jonka tuloksena on aineisto.", "zh-hans-cn": "将一个行为者与涉及导致一种资源的一项研究的学术主管之责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/researchSupervisorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61098",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is research supervisor of", ar: "هو مشرف بحث لـ", da: "er forskningsvejleder af", de: "ist Betreuerin/Betreuer von Forschungstätigkeiten von", fi: "tutkimuksen ohjaaja aineistossa", nl: "is onderzoeksbegeleider van", "zh-hans-cn": "是……的研究主管"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61104,
      definition: {en: "Relates an agent to a resource that involves a responsibility as an academic supervisor of a project undertaken by a student that results in a resource.", ar: "يربط بين وكيل ومصدر ينطوي على تحمل المسؤولية بصفته مشرف أكاديمي على مشروع ينفذه طالب يُسفر عن مصدر.", da: "Relaterer en agent til en ressource, som involverer et ansvar som akademisk vejleder af et projekt, der udføres af en strudent, og som resulterer i en ressource.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der eine akademische Betreuerin/ein akademischer Betreuer dafür verantwortlich ist, ein Projekt einer Studentin/eines Studenten zu beaufsichtigen oder zu betreuen, das zu einer Ressource führt.", fi: "Liittää toimijan aineistoon, jossa toimija akateemisena ohjaajana vastaa opiskelijan projektista, jonka tuloksena on aineisto.", "zh-hans-cn": "将一个行为者与涉及导致一种资源的学生所做的项目的学术主管之责任的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/projectSupervisorOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61102",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is project supervisor of", ar: "هو مشرف مشروع لـ", da: "er projektvejleder af", de: "ist Projektbetreuerin/Projektbetreuer von", fi: "projektin ohjaaja aineistossa", nl: "is projectbegeleider van", "zh-hans-cn": "是……的项目主管"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61105,
      definition: {en: "Relates a resource to a groove pitch of an analog cylinder.", ar: "يربط بين مصدر ومسارات مفحورة على اسطوانة تناظرية.", da: "Relaterer en ressource til en rilledybde i en analog cylinder.", de: "Setzt eine Ressource in Beziehung zu einem Abstand zwischen den Rillen eines Phonographenzylinders.", fi: "Liittää aineiston äänilieriön urajakoon.", "zh-hans-cn": "将一种资源与模拟筒的纹槽间距关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/groovePitch.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has groove pitch", ar: "له مسار أسطوانة", da: "har rilledybde", de: "hat Rillenabstand", fi: "urajako aineistossa", nl: "heeft groefpitch", "zh-hans-cn": "有槽纹间距"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60532",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61106,
      definition: {en: "Relates a resource to a groove width of an analog disc.", ar: "يربط بين مصدر وعرض المسار لقرص تناظري.", da: "Relaterer en ressource til en rillebredde på en analog disc.", de: "Setzt eine Ressource in Beziehung zu einer Breite der Rillen auf einer Schallplatte.", fi: "Liittää aineiston analogisen levyn uran leveyteen.", "zh-hans-cn": "将一种资源与模拟盘的槽纹宽度关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/grooveWidth.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has groove width", ar: "له عرض مسار قرص", da: "har rillebredde", de: "hat Rillenbreite", fi: "uran leveys aineistossa", nl: "heeft groefwijdte", "zh-hans-cn": "有槽纹宽度"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60532",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61107,
      definition: {en: "Relates a resource to a resource that is a metadata resource for which a resource provides evidence.", ar: "يربط بين مصدر ومصدر هو عبارة عن مصدر ميتاداتا حيث يعطي مصدر حجة أو برهانًا له.", da: "Relaterer en ressource til en ressource, som er en metadataressource, som en ressource giver evidens for.", de: "Setzt eine Ressource in Beziehung zu einer Metadatenressource, für die eine Ressource den Nachweis erbringt.", fi: "Liittää aineiston metatietoaineistoon, jonka todisteena aineisto on.", "zh-hans-cn": "将一种资源与作为一种元数据资源而且一种资源提供其证据的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/sourceConsultedOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61101",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is source consulted of", ar: "هو مصدر استشارة لـ", da: "er kilde konsulteret af", de: "ist konsultierte Quelle von", fi: "käytetty lähde metatietoaineistossa", nl: "is bron geraadpleegd van", "zh-hans-cn": "是……的被查阅的信息源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61108,
      definition: {en: "Relates a timespan to a resource that is associated with a claim of protection under copyright or a similar regime during a timespan.", ar: "يربط بين فترة زمنية ومصدر مرتبط بطلب حماية تحت حقوق نشر أو نظام مشابه خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er forbundet med et krav om beskyttelse under ophavsret eller en lignende ordning under et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Ressource, die mit einem Schutzanspruch nach dem Urheberrecht oder einem ähnlichen Regelwerk während eines Zeitraums in Verbindung steht.", fi: "Liittää ajanjakson aineistoon, johon liittyy copyright-säädösten tai vastaavien säädösten alainen copyright-suojaus ajanjakson aikana.", "zh-hans-cn": "将一个时间段与和在一个时间段中根据版权或类似管理制度的保护声明有关的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/copyrightDateOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60069",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is copyright date of", ar: "هو تاريخ حقوق نشر لـ", da: "er copyrightdato for", de: "ist Copyright-Datum von", fi: "aineiston copyright-vuosi", nl: "is copyrightdatum van", "zh-hans-cn": "是……的版权日期"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61109,
      definition: {en: "Relates a timespan to a resource that has an extent of resource that is a playing time, performance time, running time, or other timespan. (Deprecated)", fi: "Liittää ajanjakson aineistoon, jolla on soittoaika, esitysaika, toistoaika tai muu kestoaika."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/durationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      inverseOf: "http://rdaregistry.info/Elements/u/P60557",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is duration of (Deprecated)", fi: "kesto"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61110,
      definition: {en: "Relates a timespan to a resource that is an academic degree conferred by a granting institution or faculty during a timespan.", ar: "يربط بين فترة زمنية ومصدر هو عبارة عن درجة أكاديمية مُنحت بواسطة معهد أو كلية مانحة خلال فترة زمنية.", da: "Relaterer et tidsforløb til en ressource, som er en akademisk grad, tildelt af en gradtildelende institution eller fakultet under et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Hochschulschrift, für die in einem Zeitraum ein akademischer Grad von einer Institution oder Fakultät verliehen wird.", fi: "Liittää ajanjakson aineistoon, joka on opinnäyte, joka liittyy laitoksen tai tiedekunnan ajanjakson aikana myöntämään akateemiseen oppiarvoon.", "zh-hans-cn": "将一个时间段与作为一种和在一个时间段内由授予机构或授予院系授予之学位的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/yearDegreeGrantedOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60514",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is year degree granted of", ar: "هو عام منح درجة لـ", da: "er årstal for tildelning af grad af", de: "ist Jahr, in dem ein akademischer Grad verliehen wird von", fi: "oppiarvon myöntämisvuosi", nl: "is jaar graad toegekend van", "zh-hans-cn": "是……的学位授予年"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61111,
      definition: {en: "Relates a nomen to a resource that has a title of resource that has been abbreviated for purposes of indexing or identification.", ar: "يربط تسمية بمصدر له عنوان مصدر تم اختصاره لغرض التكشيف أو التعريف.", da: "Relaterer ett nomen til en ressource, som har en ressourcetitel, der er blevet forkortet med henblik på indeksering eller identifikation.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die einen Titel einer Manifestation hat, der zum Zwecke der Indexierung oder der Identifizierung gekürzt wurde.", fi: "Liittää nomenin aineistoon, jolla on indeksointia tai tunnistamista varten lyhennetty nimeke.", "zh-hans-cn": "将一个命名与有用于索引或标识目的被缩略的资源题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/abbreviatedTitleOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60359",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is abbreviated title of", ar: "هو عنوان مختصر لـ", da: "er forkortet titel af", de: "ist Kurztitel von", fi: "aineiston lyhennetty nimeke", nl: "is afgekorte titel van", "zh-hans-cn": "是……的缩略题名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61112,
      definition: {en: "Relates a nomen to an agent who has an appellation of agent that is a pseudonym or other assumed identity.", ar: "يربط بين تسمية ووكيل له تسمية وكيل عبارة عن اسم مستعار أو أي هوية مفترضة أخرى.", da: "Relaterer et nomen til en agent, som har en benævnelse for agent, der er et pseudonym eller anden antaget identitet.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über eine Bezeichnung für einen Akteur verfügt, bei der es sich um ein Pseudonym oder eine andere angenommene Identität handelt.", fi: "Liittää nomenin toimijaan, jonka nimitys on pseudonyymi tai muu omaksuttu identiteetti.", "zh-hans-cn": "将一个命名与有化名或其他假定身份作为行为者称谓的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/alternateIdentityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is alternate identity of", ar: "هي هوية بديلة لشخص لـ", da: "er alternativ identitet til", de: "ist andere Identität von", fi: "toinen identiteetti", nl: "is alternatieve identiteit van", "zh-hans-cn": "是……的交替身份"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61113,
      definition: {en: "Relates a nomen to an agent who has an appellation of agent that is a real identity.", ar: "يربط بين تسمية ووكيل له تسمية وكيل عبارة عن هوية حقيقية.", da: "Relaterer et nomen til en agent, som har en benævnelse for agent, der er en reel identitet.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über eine Bezeichnung für einen Akteur verfügt, bei der es sich um eine wirkliche Identität handelt.", fi: "Liittää nomenin toimijaan, jonka nimitys on todellinen identiteetti.", "zh-hans-cn": "将一个命名与有真实身份作为行为者称谓的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/realIdentityOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is real identity of", ar: "هي هوية حقيقية لـ", da: "er reel identitet af", de: "ist wirkliche Identität von", fi: "todellinen identiteetti", nl: "is echte identiteit van", "zh-hans-cn": "是……的真实身份"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61114,
      definition: {en: "Relates a nomen to a nomen that is a discrete component of another nomen.", ar: "يربط بين تسمية وتسمية هي جزء منفصل من تسمية آخرى.", da: "Relaterer et nomen til et nomen der er en diskret komponent af et andet nomen.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das ein eigenständiger Bestandteil eines anderen Nomens ist.", fi: "Liittää nomenin nomeniin, joka on itsenäinen osa toista nomenia.", "zh-hans-cn": "将一个命名与作为另一个命名之独立组成部分的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61115",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has part nomen", ar: "لها تسمية جزئية", da: "har delnomen", de: "hat Teil-Nomen", fi: "nomenin osa", nl: "heeft deel nomen", "zh-hans-cn": "有部分命名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61115,
      definition: {en: "Relates a nomen to a nomen that has another nomen as a discrete component.", ar: "يربط بين تسمية وتسمية لها تسمية أخرى كجزء منفصل.", da: "Relaterer et nomen til et nomen, som har et andet nomen som diskret komponent.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das ein anderes Nomen als einzelnen Bestandteil enthält.", fi: "Liittää nomenin nomeniin, jonka itsenäinen osa toinen nomen on.", "zh-hans-cn": "将一个命名与有另一个命名作为独立组成部分的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/partOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61114",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is part of nomen", ar: "هي تسمية جزئية", da: "er del af nomen", de: "ist Teil von (Nomen)", fi: "nomenin osa", nl: "is deel van nomen", "zh-hans-cn": "是命名的部分"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61116,
      definition: {en: "Relates a nomen to a resource that has a title proper in another language or script.", ar: "يربط تسمية بمصدر له عنوان مُوَافِق بلغة أخرى أو نص آخر.", da: "Relaterer et nomen til en ressource, som har en hovedtitel på et andet sprog eller skriftsystem.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die einen Haupttitel in einer anderen Sprache oder einer anderen Schrift hat.", fi: "Liittää nomenin aineistoon, jonka päänimeke on toisella kielellä tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一个命名与有用另一种语言或文字的正题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelTitleProperOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60589",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is parallel title proper of", ar: "هو عنوان موزاي مُوَافِق لـ", da: "er parallel hovedtitel på", de: "ist Paralleltitel von", fi: "rinnakkainen päänimeke", nl: "is parallelle hoofdtitel van", "zh-hans-cn": "是……的并列正题名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61117,
      definition: {en: "Relates a nomen to a resource that has an identifier assigned by an ISSN registration agency.", ar: "يربط تسمية بمصدر له مُعرّف خُصص لسلسلة من قبل وكالة تسجيل الترقيم الدولي الموحد للدوريات", da: "Relaterer et nomen til en ressource, som har en identifikator tildelt af et ISSN registreringsbureau.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Identifikator verfügt, der von einem ISSN-Zentrum vergeben wird.", fi: "Liittää nomenin aineistoon, jolla on ISSN-rekisteröintiyksikön antama tunniste.", "zh-hans-cn": "将一个命名与被一个国际标准连续出版物号注册机构分配一个标识符的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/issnOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60534",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is ISSN of", ar: "هو ترقيم دولي موحد للدوريات لـ", da: "er ISSN for", de: "ist ISSN von", fi: "ISSN", nl: "is ISSN van", "zh-hans-cn": "是……的国际标准连续出版物号"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61118,
      definition: {en: "Relates a nomen to a resource that has a title of resource that is assigned by an ISSN registration agency.", ar: "يربط تسمية بمصدر له عنوان مصدر خصصته وكالة تسجيل الترقيم الدولي الموحد للدوريات", da: "Relaterer et nomen til en ressource, som har en ressourcetitel, der er tildelt af et ISSN registreringsbureau.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Titel für eine Ressource verfügt, der von einem ISSN-Zentrum vergeben wird.", fi: "Liittää aineiston ISSN-rekisteröintiyksikön antamaan aineiston nimekkeeseen.", "zh-hans-cn": "将一个命名与有被国际标准连续出版物号一个注册机构分配之资源的一个题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/keyTitleOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60597",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is key title of", ar: "هو عنوان مفتاحى لـ", da: "er nøgletitel på", de: "ist Key Title von", fi: "avainnimeke aineistolle", nl: "is key title van", "zh-hans-cn": "有……的识别题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61119,
      definition: {en: "Relates a nomen to the circumstances or situation in which an appellation of an entity is used.", ar: "يربط بين تسمية وظروف أو موقف تم فيه استخدام تسمية لكيان.", da: "Relaterer et nomen til de omstændigheder eller situationer, hvor en betegnelse for en entitet bruges.", de: "Setzt ein Nomen in Beziehung zu den Umständen oder der Situation, in denen/der eine Bezeichnung für eine Entität verwendet wird.", fi: "Liittää nomenin olosuhteeseen tai tilanteeseen, jossa entiteetin nimitystä käytetään.", "zh-hans-cn": "将一个命名与一个命名被使用的环境和情况关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contextOfUse.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has context of use", ar: "له سياق للاستخدام", da: "har kontekst for brug", de: "hat Verwendungskontext", fi: "käyttökonteksti aineistolle", nl: "heeft context van gebruik", "zh-hans-cn": "有使用语境"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61120,
      definition: {en: "Relates a nomen to a date or range of dates that is associated with the use of an appellation of an entity. (Deprecated)"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/dateOfUsage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has date of usage (Deprecated)"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61121,
      definition: {en: "Relates a nomen to a nomen that is based on another nomen.", ar: "يربط بين تسمية وتسمية مبنية على تسمية آخرى.", da: "Relaterer et nomen til et nomen der er baseret på et andet nomen.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das auf einem anderen Nomen basiert.", fi: "Liittää nomenin nomeniin, joka perustuu toiseen nomeniin.", "zh-hans-cn": "将一个命名与基于另一个命名的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/derivation.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has derivation", ar: "له اشتقاق", da: "har afledning", de: "hat Ableitung", fi: "johdos", nl: "heeft afleiding", "zh-hans-cn": "有衍生命名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61122,
      definition: {en: "Relates a nomen to a nomen that is used as the basis of another nomen.", ar: "يربط تسمية بتسمية استخدمت كأساس لتسمية أخرى.", da: "Relaterer et nomen til et nomen, som bruges som grundlag for et andet nomen.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das als Grundlage für ein anderes Nomen verwendet wird.", fi: "Liittää nomenin nomeniin, johon toinen johdos perustuu.", "zh-hans-cn": "将一个命名与被用作另一个命名之基础的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/derivationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is derivation of", ar: "هو اشتقاق لـ", da: "er afledning af", de: "ist Ableitung von", fi: "johdos nomenista", nl: "is afgeleid van", "zh-hans-cn": "是……的衍生命名"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61123,
      definition: {en: "Relates a nomen to a nomen that is an appellation of the same entity as another nomen.", ar: "يربط تسمية بتسمية عبارة عن اسم لكيان نفسه كتسمية أخرى.", da: "Relaterer et nomen til et nomen, som er en benævnelse af den samme entitet som et andet nomen.", de: "Setzt ein Nomen in Beziehung zu einem Nomen, das eine Bezeichnung für dieselbe Entität ist wie ein anderes Nomen.", fi: "Liittää nomenin nomeniin, joka on saman entiteetin nimitys kuin toinen nomen.", "zh-hans-cn": "将一个命名与和另一个命名一样作为同一个实体的一个称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/equivalentTo.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61123",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is equivalent to", ar: "هو مُكَافِئ لـ", da: "er tilsvarende til", de: "ist äquivalent zu", fi: "vastaava nomen", nl: "is equivalent aan", "zh-hans-cn": "是等同于……"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61124,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies computer content created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد محتوى حاسب آلي أنشأه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter computerindhold, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das von einem Akteur erschaffenen Computer Content verkörpert.", fi: "Liittää toimijan aineistoon, joka on aggregaatti, joka sisältää toimjan luoman digitaalisen sisällön.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种计算机内容具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfComputerContentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of computer content of", ar: "هو وكيل مساهم في محتوى حاسب آلي لـ", da: "er agent, som er bidragsyder for computerindhold af.", de: "ist Akteur ist Beiträgerin/Beiträger von Computer Content von", fi: "digitaaliseen sisältöön osallinen toimija aineistossa", nl: "is bijdrager-actor van computercontent van", "zh-hans-cn": "是……的计算机内容贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61125,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a moving image resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدر صور متحركة أنشأه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en ressource med levende billeder, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene Bewegtbildressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on aggregaatti, joka sisältää toimijan luoman liikkuvan kuvan aineiston.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种动态图像资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfMovingImageOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of moving image of", ar: "هو وكيل مساهم في صور متحركة لـ", da: "er agent, som er bidragsyder for levende billeder af.", de: "ist Akteur als Beiträgerin/Beiträger von einem Bewegtbild von", fi: "liikkuvaan kuvaan osallinen toimija aineistossa", nl: "is bijdrager-actor van bewegend beeld van", "zh-hans-cn": "是……的动态图像的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61126,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies an object resource created by an agent.", ar: "يربط بين مصدر ومصدر عبارة عن تجميعة تجسد مصدرًا كائنًا أنشأه وكيل.", da: "Relaterer en agent til en ressourece, som er en samling, der omfatter en ressource, der er et objekt, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene gegenständliche Ressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman esineaineiston sisältävä aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种物体资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfObjectOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of object of", ar: "هو وكيل مساهم في كائن لـ", da: "er agent, som er bidragsyder for objekt af", de: "ist Akteur als Beiträgerin/Beiträger von einem Gegenstand von", fi: "esineeseen osallinen toimija aineistossa", nl: "is bijdrager-actor van object van", "zh-hans-cn": "是……的物体的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61127,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a spoken word resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدرًا بكلمات منطوقة أنشأه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en ressource med talt ord, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene gesprochene Ressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman puheaineiston sisältävä aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种口语资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfSpeechOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of speech of", ar: "هو وكيل مساهم في حديث لـ", da: "er agent, som er bidragsyder til tale af", de: "ist Akteur als Beiträgerin/Beiträger von einer Rede von", fi: "Liittää aineiston toimijaan, joka on osallinen aggregaattiin luomalla aggregaattiin sisältyvän liikkuvan puheaineiston.", nl: "is bijdrager-actor van spraak van", "zh-hans-cn": "是……的讲话的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61128,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a musical resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدرًا موسيقيًا ألفه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en musikressource, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene Musikressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman musiikkiaineiston sisältävä aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种音乐资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfMusicOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of music of", ar: "هو وكيل مساهم في موسيقى لـ", da: "er agent, som er bidragsyder til musik af", de: "ist Akteur als Beiträgerin/Beiträger einer Musik von", fi: "musiikkiin osallinen toimija aineistossa", nl: "is bijdrager-actor van muziek van", "zh-hans-cn": "是……的音乐的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61129,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a cartographic resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدرًا رسم خرائطي أنشأه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en kartografisk ressource, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene kartografische Ressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman kartografisen aineiston sisältävä aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种地图资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfCartographyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of cartography of", ar: "هو وكيل مساهم في رسم خرائط لـ", da: "er agent, som er bidragsyder til karotgrafi af", de: "ist Akteur als Beiträgerin/Beiträger einer Kartografie von", fi: "kartografiaan osallinen toimija aineistossa", nl: "is bijdrager-actor van cartografie van", "zh-hans-cn": "是……的地图绘制的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61130,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a choreographic resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعة تجسد مصدرًا راقص أنشأه وكيل", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en koreografisk ressource, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene choreografische Ressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman koreografisen aineiston sisältävä aggregaatti", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种编舞资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfChoreographyOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of choreography of", ar: "هو وكيل مساهم في فن تصميم الرقصات لـ", da: "er agent, som er bidragsyder til koreografi af", de: "ist Akteur als Beiträgerin/Beiträger einer Choreografie von", fi: "koreografiaan osallinen toimija aineistossa", nl: "is bijdrager-actor van choreografie van", "zh-hans-cn": "是……的编舞的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61131,
      definition: {en: "Relates an agent to a resource that is an aggregate that embodies a textual resource created by an agent.", ar: "يربط بين وكيل ومصدر عبارة عن تجميعية تجسد مصدر نصي أنشأه وكيل.", da: "Relaterer en agent til en ressource, som er en samling, der omfatter en tekstressource, der er skabt af en agent.", de: "Setzt einen Akteur in Beziehung zu einer Ressource, bei der es sich um ein Aggregat handelt, das eine von einem Akteur erschaffene textliche Ressource verkörpert.", fi: "Liittää toimijan aineistoon, joka on toimijan luoman tekstiaineiston sisältävä aggregaatti.", "zh-hans-cn": "将一个行为者与作为一种合集、把一个行为者所创作的一种文字资源具体化的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfTextOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is contributor agent of text of", ar: "هو وكيل مساهم في نص لـ", da: "er agent, som er bidragsyder til tekst af", de: "ist Akteur als Beiträgerin/Beiträger von ergänzendem Text von", fi: "tekstiin osallinen toimija aineistossa", nl: "is bijdrager-actor van tekst van", "zh-hans-cn": "是……的文本的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61132,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a cartographic resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر خرائطي تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en kartografisk ressource, der er omfattet af et aggregat.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine kartografische Ressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka on osallinen aggregaattiin luomalla aggregaattiin sisältyvän kartografisen aineiston", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种地图资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfCartography.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of cartography", ar: "له وكيل مساهم برسم خرائط", da: "har agent, som er bidragsyder til kartografi", de: "hat Beiträgerin/Beiträger einer Kartografie", fi: "kartografiaan osallinen toimija aineistossa", nl: "heeft bijdrager-actor van cartografie", "zh-hans-cn": "有地图绘制贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61133,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a choreographic resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر تصميم الرقصات تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en koreografisk ressource, der er omfattet af et aggregat.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine choreografische Ressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka on osallinen aggregaattiin luomalla aggregaattiin sisältyvän koreografisen aineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种编舞资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfChoreography.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of choreography", ar: "له وكيل مساهم بتصميم رقصات", da: "har agent, som er bidragsyder til koreografi", de: "hat Beiträgerin/Beiträger einer Choreografie", fi: "koreografiaan osallinen toimija aineistossa", nl: "heeft bijdrager-actor van choreografie", "zh-hans-cn": "有编舞贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61134,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates computer content that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر كمبيوتر تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber computerindhold, der er omfattet af en samling.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der Computer Content erstellt, der durch ein Aggregat verkörpert wird.", fi: "digitaaliseen sisältöön osallinen toimija aineistossa", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种计算机内容的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfComputerContent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of computer content", ar: "له وكيل مساهم بمحتوى كمبيوتر", da: "har agent, som er bidragsyder til computerindhold", de: "hat Beiträgerin/Beiträger von Computer Content", fi: "digitaaliseen sisältöön osallinen toimija aineistossa", nl: "heeft bijdrager-actor van computercontent", "zh-hans-cn": "有计算机内容贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61135,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a moving image resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر من صور متحركة تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en ressource med levende billeder, der omfattes af en samling.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine Bewegtbildressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka osallistuu aggregaattiin luomalla aggregaattiin sisältyvän liikkuvan kuvan aineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种动态图像资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfMovingImage.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of moving image", ar: "له وكيل مساهم بصور متحركة", da: "har agent, som er bidragsyder til levende billeder", de: "hat Beiträgerin/Beiträger von einem Bewegtbild", fi: "liikkuvaan kuvaan osallinen toimija aineistossa", nl: "heeft bijdrager-actor van bewegend beeld", "zh-hans-cn": "有动态图像的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61136,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a musical resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر موسيقي تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en musikressource, der er omfattet af en samling.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine Musikressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka osallistuu aggregaattiin luomalla aggregaattiin sisältyvän musiikkiaineiston", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种音乐资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfMusic.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of music", ar: "له وكيل مساهم بموسيقى", da: "har agent, som er bidragsyder til musik", de: "hat Beiträgerin/Beiträger einer Musik", fi: "musiikkiin osaallinen toimija aineistossa", nl: "heeft bijdrager-actor van muziek", "zh-hans-cn": "有音乐的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61137,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates an object resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر كائن تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en ressource, som er et objekt, der er omfattet af en samling", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat (Akteur), die/der eine gegenständliche Ressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka osallistuu aggregaattiin luomalla aggregaattiin sisältyvän esineaineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种物体资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfObject.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of object", ar: "له وكيل مساهم بكائن", da: "har agent, som er bidragsyder til objekt", de: "hat Beiträgerin/Beiträger von einem Gegenstand", fi: "esineeseen osallinen toimija aineistossa", nl: "heeft bijdrager-actor van object", "zh-hans-cn": "有物体的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61138,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a spoken word resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر من كلمات منطوقة تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en ressource med talet ord, der er omfattet af en samling.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat (Akteur), die/der eine gesprochene Ressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka on osallinen aggregaattiin luomalla aggregaattiin sisältyvän puheaineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种口语资源的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfSpeech.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of speech", ar: "له وكيل مساهم بحديث", da: "har agent, som er bidragsyder til tale", de: "hat Beiträgerin/Beiträger von einer Rede", fi: "puheeseen osallinen toimija aineistossa", nl: "heeft bijdrager-actor van spraak", "zh-hans-cn": "有讲话的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61139,
      definition: {en: "Relates a resource to an agent who is a contributor to aggregate who creates a textual resource that is embodied by an aggregate.", ar: "يربط مصدر بوكيل مُساهم في التجميع الذي ينشأ عنه مصدر نصي تجسده تجميعية.", da: "Relaterer en ressource til en agent, som er bidragsyder til en samling, der skaber en tekstressource, der er omfattet af en samling.", de: "Setzt eine Ressource in Beziehung zu einer Beiträgerin/einem Beiträger zu einem Aggregat, die/der eine textliche Ressource erstellt, die durch ein Aggregat verkörpert wird.", fi: "Liittää aineiston toimijaan, joka on osallinen aggregaattiin luomalla aggregaattiin sisältyvän tekstiaineiston.", "zh-hans-cn": "将一种资源与作为合集的一个贡献者并创建被一种合集具体化的一种文字作品的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/contributorAgentOfText.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has contributor agent of text", ar: "له وكيل مساهم بنص", da: "har agent, som er bidragsyder til tekst", de: "hat Beiträgerin/Beiträger von ergänzendem Text", fi: "tekstiin osallinen toimija aineistossa", nl: "heeft bijdrager-actor van tekst", "zh-hans-cn": "有文本的贡献者行为者"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61140,
      definition: {en: "Relates a resource to a resource statement about a date that is associated with a claim of protection under copyright or a similar regime.", ar: "يربط بين مصدر وبيان مصدر حول تاريخ مرتبط بالحماية تحت حقوق النشر أو أي نظام مشابه.", da: "Relaterer en ressource til en oplysning om ressource om et tidspunkt, som er knyttet til et krav om beskyttelse under copyright eller en lignende ordning.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe zu einem Datum, das mit einem Schutzanspruch nach dem Urheberrecht oder einem ähnlichen Regelwerk in Verbindung steht.", fi: "Liittää aineiston aineistomerkintöön, joka kertoo copyright-säädöksen tai vastaavien säädösten alaiseen copyright-suojaukseen liittyvän ajankohdan.", "zh-hans-cn": "将一种资源与关于版权或其他类似管理体系下和保护声明有关的一个日期的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceCopyrightStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A copyright date includes a phonogram date that is associated with a claim of protection for an audio recording.", ar: "تاريخ حقوق النشر يشمل تاريخ التسجيل الصوتي المرتبط بإعلان الحماية الخاص بالتسجيل الصوتي.", da: "Et copyrightdato omfatter et fonogramdato, som er knyttet til et krav om beskyttelse af en lydindspelning.", de: "Darunter fallen Phonogramm-Daten, das heißt Datumsangaben, die mit einem Schutzanspruch für Audioaufnahmen in Verbindung stehen.", fi: "Copyright-vuodet käsittävät phonogram-vuodet, jotka liittyvät äänitallenteiden copyright-suojaukseen.", "zh-hans-cn": "版权日期包括与录音保护声明有关的录音版权日期"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource copyright statement", ar: "له بيان حقوق نشر لمصدر", da: "har copyrightoplysning for ressource", de: "hat Copyright-Angabe einer Manifestation", fi: "aineiston copyright-merkintö", nl: "heeft resource-copyrightvermelding", "zh-hans-cn": "有资源版权说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61141,
      definition: {en: "Relates a resource to a resource statement about the designation of a sequence of a resource of a part, issue, or iteration of a diachronic resource. ", ar: "يربط بين مصدر وبيان مصدر حول تسمية تسلسل مصدر لجزء، إصدار، أو تكرار لمصدر غير متزامن.", da: "Relaterer en ressource til en ressourceoplysning om en betegnelse for rækkefølge af en ressource af en del, udgave eller iteration af en diakronisk ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die die Bezeichnung einer Folge von Ressourcen in Teilen, Ausgaben oder Iterationen enthält.", fi: "Liittää aineiston aineistomerkintöön diakronisen aineiston yksittäisten osien tai iteraatioiden tai teoksen yksittäisten osien tai numeroiden numerointijaksosta.", "zh-hans-cn": "将一种资源与关于一种历时资源的部分、期或更新后整体的资源的序列之标识的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceDesignationOfSequenceStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource designation of sequence statement", ar: "له تسمية مصدر لبيان تسلسل", da: "har oplysning om rækkefølge for ressource", de: "hat Ressourcenangabe zur Bezeichnung einer fortlaufenden Ressource", fi: "aineiston merkintö numerointijakson määritteestä", nl: "heeft resource-aanduiding van volgorde-vermelding", "zh-hans-cn": "有序列说明的资源标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61142,
      definition: {en: "Relates a resource to a resource statement about thesis and other dissertation information.", ar: "يربط بين مصدر وبيان مصدر حول بيانات مرتبطة بأطروحة والمعلومات الأخرى عن الرسائل.", da: "Relaterer en ressource til en ressourceoplysning om en disputats og andre oplysninger om afhandlingen.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Angaben zum Hochschulschriftenvermerk enthält.", fi: "Liittää aineiston aineistomerkintöön opinnäytteen tai väitöskirjan tiedoista.", "zh-hans-cn": "将一种资源与关于毕业论文或其他学位论文信息的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceDissertationStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource dissertation statement", ar: "له بيان أطروحة لمصدر", da: "har oplysning om afhandling for ressource", de: "hat Hochschulschriftenvermerk einer Ressource", fi: "aineiston väitöskirjamerkintö", nl: "heeft resource-proefschriftvermelding", "zh-hans-cn": "有资源学位论文说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61143,
      definition: {en: "Relates a resource to a resource statement about data relating to the distribution of a published resource.", ar: "يربط بين مصدر وبيان مصدر حول بيانات متعلقة بتوزيع مصدر منشور.", da: "Relaterer en ressource til en ressourceoplysning om data, der relaterer til distibution af en udgiven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Daten zum Vertrieb einer veröffentlichten Ressource enthält.", fi: "Liittää aineiston aineistomerkintöön julkaistun aineiston jakeluun liittyvistä tiedoista.", "zh-hans-cn": "将一种资源与关于和一种出版资源的发行有关的数据的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceDistributionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource distribution statement", ar: "له بيان توزيع مصدر", da: "har oplysning om distribution for ressource", de: "hat Vertriebsangabe einer Ressource", fi: "aineiston jakelumerkintö", nl: "heeft resource-distributievermelding", "zh-hans-cn": "有资源发行说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61144,
      definition: {en: "Relates a resource to a resource statement about an edition to which a resource belongs.", ar: "يربط بين مصدر وبيان مصدر حول طبعة التي ينتمي إليها مصدر.", da: "Relaterer en ressource til en ressourceoplysning om en udgave, som en ressource tilhører.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe über eine Ausgabe, zu der eine Ressource gehört.", fi: "Liittää aineiston aineistomerkintöön painoksesta, johon aineisto kuuluu.", "zh-hans-cn": "将一种资源与关于一种资源所属于的一个版本的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceEditionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource edition statement", ar: "له بيان طبعة لمصدر", da: "har oplysning om udgave for ressource", de: "hat Ausgabevermerk einer Ressource", fi: "aineiston painosmerkintö", nl: "heeft resource-editievermelding", "zh-hans-cn": "有资源版本说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61145,
      definition: {en: "Relates a resource to a resource statement about an interval at which the resources of parts, issues, or iterations of a diachronic resource are issued.", ar: "يربط بين مصدر وبيان مصدر حول الفترة الزمنية التي وفقًا لها يتم إصدار مصادر أجزاء، أعداد، أو تكرارات لمصدر ممتد زمنيًاً.", da: "Relaterer en ressource til en oplysning om ressource om et interval, hvori ressourcerne for dele, udgaver eller iterationer af en diakronisk ressouce udgives.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe die angibt, in welchem Intervall die Ressourcen von Teilen, Ausgaben oder Iterationen einer diachronen Ressource erscheinen.", fi: "Liittää aineiston aineistomerkintöön tiheydestä, jolla diakronisen aineiston osat, numerot tai iteraatiot ilmestyvät.", "zh-hans-cn": "将一种资源与关于一种历时资源的部分、期或更新后的整体的资源发行的时间间隔的资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceFrequencyStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource frequency statement", ar: "له بيان تتابع لمصدر", da: "har oplysning om hyppighed for ressource", de: "hat Angabe zur Erscheinungsfrequenz einer Ressource", fi: "aineiston ilmestymistiheysmerkintö", nl: "heeft resource-frequentievermelding", "zh-hans-cn": "有资源频率说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61146,
      definition: {en: "Relates a resource to a resource statement about a code, number, or other string, usually independent of natural language and social naming conventions, used to identify a resource.", ar: "يربط بين مصدر وبيان مصدر حول رمز، رقم، أو سلسلة تمثيلات أخرى، عادة ما تكون مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة في تحديد هوية مصدر.", da: "Relaterer en ressource til en oplysning om ressource om en kode, et nummer, eller en anden streng, normalt uafhængig af naturligt sprog og sociale navnekonventioner, der bruges til at identificere en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe über einen Code, eine Nummer oder eine andere Zeichenkette, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung einer Ressource verwendet wird.", fi: "Liittää aineiston aineistomerkintöön koodista, numerosta tai muusta merkkijonosta, joka on luonnollisesta kielestä ja kielen sosiaalisista konventioista riippumaton aineiston tunnistamiskeino.", "zh-hans-cn": "将一种资源与关于通常独立于自然语言和社会命名惯例、用以标识一种资源的代码、数字或其他串的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceIdentifierStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource identifier statement", ar: "له بيان معرف مصدر", da: "har identfikatoroplysning for ressource", de: "hat Angaben zum Identifikator einer Ressource", fi: "aineiston tunnistemerkintö", nl: "heeft resource-identificatievermelding", "zh-hans-cn": "有资源标识符说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61147,
      definition: {en: "Relates a resource to a resource statement about data relating to the printing, duplicating, casting, etc., of a published resource.", ar: "يربط بين مصدر وبيان مصدر حول البيانات المتعلقة بطباعة، نسخ، طَرَح...إلخ، مصدر منشور.", da: "Relaterer en ressource til en oplysning om ressource om data vedrørende trykning, duplikering, støbning etc. af en udgiven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Daten zum Druck, zur Vervielfältigung, zum Guss und so weiter einer veröffentlichten Ressource enthält.", fi: "Liittää aineiston aineistomerkintöön julkaistun aineiston painamiseen, monistamiseen, kirjasinten valamiseen tai muuhun valmistustapaan liittyvistä tiedoista.", "zh-hans-cn": "将一种资源与关于和一种出版资源的印刷、复制、铸造或其他生产方法有关的数据的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceManufactureStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource manufacture statement", ar: "له بيان تصنيع لمصدر", da: "har oplysning om producent for ressource", de: "hat Herstellungsangabe einer Ressource", fi: "aineiston valmistusmerkintö", nl: "heeft resource-vervaardigingsvermelding", "zh-hans-cn": "有资源生产说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61148,
      definition: {en: "Relates a resource to a resource statement about data relating to the inscription, fabrication, construction, etc., of an unpublished resource.", ar: "يربط بين مصدر وبيان مصدر حول البيانات المتعلقة بتسجيل، تصنيع، إنشاء...إلخ، مصدر غير منشور.", da: "Relaterer en ressource til en oplysning om ressource om data vedrørende indskrift, fremstilling, konstruktion etc. af en ikke udgiven ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Daten zu der Beschriftung, der Fabrikation, der Konstruktion und so weiter einer unveröffentlichten Ressource enthält.", fi: "Liittää aineiston aineistomerkintöön julkaisemattoman aineiston kaivertamiseen, valmistamiseen, kokoamiseen tai muuhun tuotantotapaan liittyvistä tiedoista.", "zh-hans-cn": "将一种资源与关于和一种非出版资源的镌刻、制造、构建或其他制作方法有关的数据的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceProductionStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource production statement", ar: "له بيان إنتاج لمصدر", da: "har oplysning om produktion for ressource", de: "hat Entstehungsangabe einer Ressource", fi: "aineiston tuotantomerkintö", nl: "heeft resource-productievermelding", "zh-hans-cn": "有资源制作说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61149,
      definition: {en: "Relates a resource to a resource statement about the publication, release, or issuing of a resource.", ar: "يربط بين مصدر وبيان مصدر حول نشر، تحرير، أو إصدار مصدر.", da: "Relaterer en ressource til en oplysning om en ressource om publicering, frigivelse eller udgivelse af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Informationen über die Veröffentlichung, das Release oder die Herausgabe einer Ressource enthält.", fi: "Liittää aineiston aineistomerkintöön aineiston kustantamiseen, julkaisemiseen, ilmestymiseen tms. liittyvistä tiedoista.", "zh-hans-cn": "将一种资源与关于一种资源出版、发布或发行的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourcePublicationStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource publication statement", ar: "له بيان نشر لمصدر", da: "har oplysning om publicering for ressource", de: "hat Veröffentlichungsangabe einer Ressource", fi: "aineiston julkaisumerkintö", nl: "heeft resource-publicatievermelding", "zh-hans-cn": "有资源出版说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61150,
      definition: {en: "Relates a resource to a resource statement about a designation for one or more regions of the world for which a videodisc or video game carrier has been encoded, indicating that playback is restricted to a device configured to decode it.", ar: "يربط بين مصدر وبيان مصدر حول تسمية منطقة أو أكثر من العالم التي تم تشفير حامل قرص الفيديو أو ألعاب الفيديو وفقًا له، ويوضح أن التشغيل مقيد بجهاز معد لفك الكود.", da: "Relaterer en ressource til en oplysning om ressource om en betegnelse for en eller flere regioner i verden, som en videodisk eller video spillekonsol er blevet kodet til, hvilket indikerer, at afspilning er begrænset til en enhed, der der konfigureret til at afkode den.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die die Region(en) der Welt angibt, für die eine Videodisk oder ein Videospiel-Datenträger kodiert ist, und der verhindert, dass die Disk von einem Wiedergabegerät, das in einer anderen Region verkauft wurde, abgespielt werden kann.", fi: "Liittää aineiston aineistomerkintöön määritteestä, jolla identifioidaan videolevyn tai videopelitallenteen käyttöalue ja estetään niiden käyttäminen toisella alueella myydyllä soittimella.", "zh-hans-cn": "将一种资源与关于视盘或视频游戏载体被编码后表示对设置解码回放的设备限制的世界上一个或多个地区的标识的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceRegionalEncodingStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource regional encoding statement", ar: "له بيان أكواد مناطق لمصدر", da: "har oplysning om regional kodning for ressource", de: "hat Angabe zum Regionalcode einer Ressource", fi: "aineistomerkintö aluekoodista", nl: "heeft resource-regiocoderingsvermelding", "zh-hans-cn": "有资源地区编码说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61151,
      definition: {en: "Relates a resource to a resource statement about a series to which a resource belongs and a sequence within the series.", ar: "يربط بين مصدر وبيان مصدر حول سلسلة ينتمي إليها مصدر وتسلسل داخل السلسلة.", da: "Relaterer en ressource til en oplysning om ressource om en serie, som en ressource tilhører og en rækkefølge indenfor denne serie.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Informationen über eine Reihe enthält, zu der eine Ressource gehört und zu deren Reihenfolge innerhalb der Reihe.", fi: "Liittää aineiston aineistomerkintöön aineistoon liittyvästä sarjasta ja aineiston numeroinnista sarjassa.", "zh-hans-cn": "将一种资源与关于一种资源所属于的一种丛编以及在丛编内的序列的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceSeriesStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource series statement", ar: "له بيان سلسلة لمصدر", da: "har oplysning om serie for ressource", de: "hat Gesamttitelangabe einer Ressource", fi: "aineiston sarjamerkintö", nl: "heeft resource-reeksvermelding", "zh-hans-cn": "有资源丛编说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61152,
      definition: {en: "Relates a resource to a resource statement appearing in a resource and deemed to be significant for users to understand how the resource represents itself.", ar: "يربط بين مصدر وبيان مصدر حول سلسلة مرتبطة بمصدر وترقيم مصدر داخل السلسلة.", da: "Relaterer en ressource til en oplysning om ressource om en serie, der er knyttet til en ressource og nummrering af en ressource indenfor denne serie.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die Informationen über eine Reihe enthält, mit der eine Ressource in Verbindung steht und die eine Zählung einer Ressource innerhalb der Reihe aufweist.", fi: "Liittää aineiston aineistomerkintöön liittyvästä sarjasta ja aineiston numeroinnista sarjassa.", "zh-hans-cn": "将一种资源与在一种资源中出现并被认为对使用者理解该资源呈现方式重要的一个说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {fi: "Aineiston sarjamerkintö sisältää jonkin tai kaikki näistä: sarjan nimeke, sarjan muu nimeketieto, sarjaan liittyvä vastuullisuusmerkintö, ISSN, sarjanumerointi."},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource statement", ar: "له بيان مصدر", da: "har oplysning om ressource", de: "hat Ressourcenangabe", fi: "aineistomerkintö", nl: "heeft resourcevermelding", "zh-hans-cn": "有资源说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61153,
      definition: {en: "Relates a resource to a resource statement about a name of a resource and the agent creating or contributing to the content of the resource.", ar: "يربط بين مصدر وبيان مصدر حول اسم المصدر والوكيل الذي ينشئ محتوى مصدر أو يساهم فيه.", da: "Relaterer en ressource til en oplysning om ressource om et navn på en ressource og den agent der har skabt eller bidraget til ressourcens indhold.", de: "Setzt eine Ressource in Beziehung zu einer Ressourcenangabe, die einen Namen einer Ressource und den Akteur enthält, der den Inhalt der Ressource erstellt oder dazu beigetragen hat.", fi: "Liittää aineiston aineistomerkintöön aineiston nimekkeistä ja aineistoon sisältyvän aineiston sisältöön vaikuttavien toimijoiden nimistä.", "zh-hans-cn": "将一种资源与关于一种资源的名称以及对一种资源之内容的创建或有贡献的一个行为者的名称的一个资源说明关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/resourceTitleAndResponsibilityStatement.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "A resource title and responsibility statement includes any kind of title or statement of responsibility that is associated with the content of the resource, but does not include a title or statement of responsibility that is associated with an edition, revision or series that is related to the resource.", ar: "يتضمن بيان عنوان ومسؤولية لمصدر على أي نوع من العناوين أو بيان المسؤولية المرتبط بمحتوى المصدر، ولكن لا يتضمن عنوانًا أو بيان مسؤولية مرتبطًا بإصدار، مراجعة أو سلسلة مرتبطة بالمصدر.", da: "En oplysning om ressourcetitel og ophav omfatter enhver form for titel eller ophavsangivelse, som er knyttet til ressourcens indhold, men omfatter ikke en titel eller ophavsanivelse, som er knyttet til en udgave, serierevistion, der er relateret til ressourcen.", de: "Darunter fallen alle Arten von Titeln (Haupttitel, abweichende Titel und Titelzusätze) oder Verantwortlichkeitsangaben, die mit dem Inhalt der Ressource in Beziehung stehen. Darunter fallen keine Titel oder Verantwortlichkeitsangaben von in Beziehung stehenden Ausgaben, Überarbeitungen oder Reihen, die mit der Ressource in Verbindung stehen.", fi: "Aineiston nimeke- ja vastuullisuusmerkintö sisältää kaikenlaiset nimekkeet (ml. päänimekkeen, nimekkeen varianttimuodot ja muun nimeketiedon) sekä kaikenlaiset aineiston sisältöön liittyvät vastuullisuusmerkinnöt. aineiston nimeke- ja vastuullisuusmerkintö ei sisällä sarjaan liittyviä nimekkeitä eikä sarjasta vastuussa olevien toimijoiden nimiä.", "zh-hans-cn": "资源题名和责任说明包括与该资源的内容有关的任何类型的题名或责任说明，但不包括与该资源所关联的版本、修订或丛编的题名或责任说明。"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has resource title and responsibility statement", ar: "له بيان عنوان ومسؤولية لمصدر", da: "har oplysning om ressourcetitel og ophav", de: "hat Titel und Verantwortlichkeitsangabe einer Ressource", fi: "aineiston nimeke- ja vastuullisuusmerkintö", nl: "heeft resource-titel en verantwoordelijkheidsvermelding", "zh-hans-cn": "有资源题名和责任说明"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61154,
      definition: {en: "Relates a resource to a point size of the type used to represent the characters and symbols in a resource.", ar: "يربط بين مصدر وحجم الخط المستخدم في طباعة التمثيلات والرموز في مصدر.", da: "Relaterer en ressource til en punktstørrelse af den skrifttype der er brugt for at repræsentere bogstæverne og symbolerne i en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Punktgröße der Schrift, die zur Darstellung der Zeichen und Symbole in einer Ressource verwendet wird.", fi: "Liittää aineiston aineistossa esiintyvien merkkien ja symbolien pistekokoon.", "zh-hans-cn": "将一种资源与在一种资源中用于表示字符和符号的字型的点大小关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fontPointSize.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has font point size", ar: "له حجم خط", da: "har skrifttypes punktstørrelse", de: "hat Punktgröße der Schrift", fi: "aineiston kirjasimen pistekoko", nl: "heeft puntgrootte font", "zh-hans-cn": "有字体点大小"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61155,
      definition: {en: "Relates a resource to a word or phrase that distinguishes a resource from another resource.", ar: "يربط بين مصدر وكلمة أو عبارة تميز مصدر عن مصدر آخر.", da: "Relaterer en ressource til et ord eller en frase, som adskiller en ressource fra en anden ressource.", de: "Setzt eine Ressource in Beziehung zu einem Wort oder einer Phrase, die dazu dient, eine Ressource von einer anderen Ressource zu unterscheiden.", fi: "Liittää aineiston sanaan tai ilmaukseen, joka erottaa aineiston toisesta aineistosta.", "zh-hans-cn": "将一种资源与区分一种资源和另一种资源的一个词或短语关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/designationOfVersion.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has designation of version", ar: "له تسمية لنسخة", da: "har betegnelse for version", de: "hat Ausgabebezeichnung", fi: "aineiston version määrite", nl: "heeft aanduiding van versie", "zh-hans-cn": "有版本标识"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61156,
      definition: {en: "Relates a nomen to a scheme in which a nomen is established.", ar: "يربط بين تسمية وخطة يتكون من خلالها إنشاء التسمية.", da: "Relaterer et nomen til et skema, hvori der er etabelerat en appellation.", de: "Setzt ein Nomen in Beziehung zu einem Schema, in dem eine Bezeichnung festgelegt ist.", fi: "Liittää nomenin järjestelmään, jossa nimitys on luotu.", "zh-hans-cn": "将一个命名与命名在其中建立的一个体系关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/schemeOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The scheme can be a value or vocabulary encoding scheme or a syntax encoding scheme.", ar: "يمكن أن تكون الخطة عبارة عن قيمة أو خطة ترميز مصطلحات او خطة ترميز بناء جملة.", da: "Skemaet kan være et værdi eller et vokabularkodningsskema, eller et syntakskodningsskema.", de: "Das Schema kann entweder ein Value oder Vocabulary Encoding Scheme oder ein Syntax Encoding Scheme sein.", fi: "Järjestelmä voi olla arvojen, sanaston tai syntaksin merkintäjärjestelmä.", "zh-hans-cn": "该体系可以是值或词表编码体系或者串编码体系"},
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has scheme of nomen", ar: "له خطة لتسمية", da: "har skema for nomen", de: "hat Schema eines Nomens", fi: "nomenin järjestelmä", nl: "heeft schema van nomen", "zh-hans-cn": "有命名的体系"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61157,
      definition: {en: "Relates a nomen to a set of characters or symbols with which an appellation is formed.", ar: "يربط بين تسمية ومجموعة من تمثيلات أو رموز تتكون من خلالها التسمية.", da: "Relaterer et nomen til et set af tegn eller sympoler, som en appellation er dannet med.", de: "Setzt ein Nomen in Beziehung zu einem Satz von Zeichen oder Symbolen, mit denen eine Bezeichnung gebildet wird.", fi: "Liittää nomenin merkkien ja symbolien joukkoon, josta nimitys muodostetaan.", "zh-hans-cn": "将一个命名与用以形成一个称谓的一个字符或符号的集合关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/scriptOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has script of nomen", ar: "له نص لتسمية", da: "har skriftsystem for nomen", de: "hat Schrift eines Nomens", fi: "nomenin kirjoitusjärjestelmä", nl: "heeft schrift van nomen", "zh-hans-cn": "有命名的文字"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61158,
      definition: {en: "Relates a nomen to a resource that has an identifier for resource that consists of a group of characters from specified locations in a resource combined with a date of publication or other element.", ar: "يربط تسمية بمصدر له مُعرِّف لمصدر يتضمن مجموعة تمثيلات من مواقع محددة فى مصدر مدمجة مع تاريخ نشر أو عنصر آخر.", da: "Relaterer et nomen til en ressource, som har en identifikator for ressource, der består af en gruppe tegn fra specificerede steder i en ressource kombineret med en udgivelsesdato eller et andet element.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Identifikator für eine Ressource verfügt, der aus einer Kombination von einer Gruppe von Zeichen von bestimmten Stellen einer Ressource und einem Veröffentlichungsdatum oder einem anderen Element besteht.", fi: "Liittää nomenin aineistoon, jonka tunniste muodostuu aineiston tietyistä kohdista poimittujen merkkien yhdistämisestä julkaisuaikaan tai muihin elementteihin.", "zh-hans-cn": "将一个命名与有由资源中取自特定位置的一组字符与出版日期或其他元素结合而组成的资源的一个标识符的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fingerprintOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60945",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is fingerprint of", ar: "هي بصمة لـ", da: "er fingeraftryk af", de: "ist Fingerabdruck von", fi: "sormenjälkitunniste", nl: "is vingerafdruk van", "zh-hans-cn": "是……的指纹"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61159,
      definition: {en: "Relates a nomen to a resource which provides evidence for the use of a nomen.", ar: "يربط بين تسمية ومرجع يقدم دليل على استخدام تسمية.", da: "Relaterer et nomen til en ressource, som giver evidens for brugen af et nomen.", de: "Setzt ein Nomen in Beziehung zu einer Quelle, in der die Verwendung eines Nomens nachgewiesen wird.", fi: "Liittää nomenin aineistoon, joka antaa todisteen nomenin käytöstä.", "zh-hans-cn": "将一个命名与为一个命名的使用提供证据的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/referenceSource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61190",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has reference source", ar: "له مصدر مرجعي", da: "har referfencekilde", de: "hat Nachschlagewerk", fi: "tietolähde", nl: "heeft naslagwerk", "zh-hans-cn": "有参考信息源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61160,
      definition: {en: "Relates a nomen to an indication of a level of authentication of the nomen of an entity.", ar: "يربط بين تسمية ومؤشر لمستوى التَصدِيق لتسمية كيان.", da: "Relaterer et nomen til en indikation af et autentificeringsniveau for en enheds nomen.", de: "Setzt ein Nomen in Beziehung zu einer Angabe über einen Grad der Authentifizierung des Nomens einer Entität.", fi: "Liittää nomenin ilmaukseen entiteetin nomenin oikeaksi todistamisen tasosta.", "zh-hans-cn": "将一个命名与一个实体的命名的认证级别的指示关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/statusOfIdentification.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has status of identification", ar: "لها حالة للتعريف", da: "har status af identifikation", de: "hat Status einer Identifikation", fi: "tunnistamistaso", nl: "heeft status van identificatie", "zh-hans-cn": "有识别状态"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61161,
      definition: {en: "Relates a resource to a categorization reflecting a hue of the visual content of a resource.", ar: "يربط بين مصدر وفئة تعكس تدرجًا للمحتوى المرئي لمصدر.", da: "Relaterer en ressouree til en kategorisering, som afspejler en nyance af det visuelle indhold af en ressource.", de: "Setzt eine Ressource in Beziehung zu einer Kategorisierung, die einen Farbton des bildlichen Inhalts einer Expression widerspiegelt.", fi: "Liittää aineiston kategorisointiin, joka ilmaisee aineiston visuaalisen sisällön värisävyn.", "zh-hans-cn": "将一种资源与反映一种资源的视觉内容的色调的一个分类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/colour.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has colour", ar: "له لون", da: "har farve", de: "hat Farbe", fi: "aineiston väri", nl: "heeft kleur", "zh-hans-cn": "有颜色"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61162,
      definition: {en: "Relates an agent to a nomen that is an appellation of agent in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين وكيل وتسمية لوكيل في اللغة الطبيعية المأخوذة من مخطط ترميز مفردات أو أنشئت باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer en agent til en benævnelse på agent på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt einen Akteur in Beziehung zu einer Bezeichnung für einen Akteur in natürlicher Sprache, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää toimijan luonnollisen kielen mukaiseen nimitykseen, joka on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个行为者与作为一个行为者的称谓、取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61163",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has access point for agent", ar: "له نقطة إتاحة لوكيل", da: "har søgeindgang for agent", de: "hat Sucheinstieg für einen Akteur", fi: "hakutieto toimijalle", nl: "heeft ingang voor actor", "zh-hans-cn": "有行为者的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61163,
      definition: {en: "Relates a nomen to an agent who has an appellation in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين تسمية ووكيل له تسمية في اللغة الطبيعية المأخوذة من مخطط ترميز مفردات أو أنشئت باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et nomen til en agent, der har en benævnelse på sted´på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der eine Bezeichnung in natürlicher Sprache hat, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää nomenin toimijaan, jonka luonnollisen kielen mukainen nimitys on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个命名与有取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个称谓的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61162",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is access point for agent of", ar: "هو نقطة إتاحة لوكيل لـ", da: "er søgindgang for agent af", de: "ist Sucheinstieg für einen Akteur von", fi: "hakutieto toimijalle", nl: "is ingang voor actor van", "zh-hans-cn": "是……的行为者的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61164,
      definition: {en: "Relates a place to a nomen that is an appellation of place in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين مكان وتسمية لمكان في اللغة الطبيعية المأخوذة من مخطط ترميز مفردات أو أنشئت باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et sted til en benævnelse for sted på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt ein Geografikum in Beziehung zu einer Bezeichnung für ein Geografikum in natürlicher Sprache, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liitää paikan luonnollisella kielellä olevaan paikan nimitykseen, joka on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个地点与作为一个地点的称谓、取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61165",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has access point for place", ar: "له نقطة وصول لمكان", da: "har søgeindgang for sted", de: "hat Sucheinstieg für ein Geografikum", fi: "hakutieto paikalle", nl: "heeft ingang voor plaats", "zh-hans-cn": "有地点的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61165,
      definition: {en: "Relates a nomen to a place that has an appellation in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين تسمية ومكان له اسم في لغة طبيعية مأخوذة من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et nomen til et sted, der har en benævngelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das eine Bezeichnung in natürlicher Sprache hat, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää nomenin paikkaan, jonka luonnollisen kielen mukainen nimitys on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个命名与有取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个称谓的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61164",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is access point for place of", ar: "هي نقطة وصول لمكان لـ", da: "er søgeindgang for sted af", de: "ist Sucheinstieg für ein Geografikum von", fi: "hakutieto paikalle", nl: "is ingang voor plaats van", "zh-hans-cn": "有……的地点的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61166,
      definition: {en: "Relates a resource to a nomen that is an appellation of resource in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين مصدر وتسمية مصدر في لغة طبيعية مأخوذة من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer en ressource til en ressourcebenævnelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt eine Ressource in Beziehung zu einer Bezeichnung für eine Ressource in natürlicher Sprache, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liitää aineiston luonnollisella kielellä olevaan aineiston nimitykseen, joka on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一种资源与作为一种资源的称谓、取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61167",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has access point for resource", ar: "له نقطة وصول لمصدر", da: "har søgeindgang for ressource", de: "hat Sucheinstieg für eine Ressource", fi: "hakutieto aineistolle", nl: "heeft ingang voor resource", "zh-hans-cn": "有资源的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61167,
      definition: {en: "Relates a nomen to a resource that has an appellation in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط تسمية بمصدر له اسم في لغة طبيعية مأخوذ من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et nomen til en ressource, der har en benævnelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved brug af en strengkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die eine Bezeichnung in natürlicher Sprache hat, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää nomenin aineistoon, jonka luonnollisen kielen mukainen nimitys on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个命名与有取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个称谓的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61166",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is access point for resource of", ar: "هي نقطة وصول لمصدر لـ", da: "er søgeindgang for ressource af", de: "ist Sucheinstieg für eine Ressource von", fi: "hakutieto aineistolle", nl: "is ingang voor resource van", "zh-hans-cn": "是……的资源的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61168,
      definition: {en: "Relates a timespan to a nomen that is an appellation of timespan in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "يربط بين فترة زمنية وتسمية لفترة زمنية في لغة طبيعية مأخوذة من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et tidsforløb til en benævnelse på tidsforløb på naturligt sprog, der er hentet fra et vokabularkodninggskema eller er konstrueret ved brug af et strengkodningsskema.", de: "Setzt einen Zeitraum in Beziehung zu einer Bezeichnung für einen Zeitraum in natürlicher Sprache, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää ajanjakson luonnollisen kielen mukaiseen ajanjakson nimitykseen, joka on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个时间段与取自一个词表编码体系或者用一个串编码体系构建的一个时间段用自然语言的称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61169",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has access point for timespan", ar: "له نقطة وصول لفترة زمنية لـ", da: "har søgeindgang for tidsforløb", de: "hat Sucheinstieg für einen Zeitraum", fi: "hakutieto ajanjaksolle", nl: "heeft ingang voor tijdspanne", "zh-hans-cn": "有时间段的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60906",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61169,
      definition: {en: "Relates a nomen to a timespan that has an appellation in natural language that is taken from a vocabulary encoding scheme or is constructed using a string encoding scheme.", ar: "ييربط تسمية بفترة زمنية لها اسم في لغة طبيعية مأخوذة من خطة ترميز مفردات أو مبنية باستخدام خطة ترميز سلسلة تمثيلات.", da: "Relaterer et nomen til et tidsforløb, der har en benævnelse på naturligt sprog, der er hentet fra et vokabularkodningsskema eller er konstrueret ved at brue et strengkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der eine Bezeichnung in natürlicher Sprache hat, die einem Vocabulary Encoding Scheme entnommen oder mit einem String Encoding Scheme konstruiert wird.", fi: "Liittää nomenin ajanjaksoon, jonka luonnollisen kielen mukainen nimitys on otettu jostakin sanaston merkintäjärjestelmästä tai muodostettu jotakin merkkijonon merkintäjärjestelmää käyttäen.", "zh-hans-cn": "将一个命名与有取自一个词表编码体系或者用一个串编码体系构建、用自然语言的一个称谓的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/accessPointForTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61168",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is access point for timespan of", ar: "هي نقطة وصول لفترة زمنية لـ", da: "er søgeindgang for tidsforløb af", de: "ist Sucheinstieg für einen Zeitraum von", fi: "hakutieto ajanjaksolle", nl: "is ingang voor tijdspanne van", "zh-hans-cn": "是……的时间段的检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60910",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61170,
      definition: {en: "Relates an agent to an access point for agent that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين وكيل ونقطة إتاحة لوكيل اُختيرت نقطة اتاحة مقننة مُفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en agent til en søgeindgang for agent, der er valgt som foretrukken i et særskit vokabularkodningsskema.", de: "Setzt einen Akteur in Beziehung zu einem Sucheinstieg für einen Akteur, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää toimijan hakutietoon, joka on valittu toimijalle ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个行为者与在一个特定的词表编码体系中被首选的一个行为者检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61174",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has authorized access point for agent", ar: "له نقطة اتاحة مقننة لوكيل", da: "har autoriseret søgeindgang for agent", de: "hat normierten Sucheinstieg für einen Akteur", fi: "auktorisoitu hakutieto toimijalle", nl: "heeft geautoriseerde ingang voor actor", "zh-hans-cn": "有行为者的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60916",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61171,
      definition: {en: "Relates a place to an access point for place that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين مكان ونقطة إتاحة لمكان اُختيرت نقطة اتاحة مقننة مُفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et sted til en søgeindgang for sted, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Geografikum in Beziehung zu einem Sucheinstieg für ein Geografikum, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää paikan hakutietoon, joka on valittu paikalle ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个地点与在一个特定的词表编码体系中被首选的一个地点检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61175",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has authorized access point for place", ar: "له نقطة إتاحة مقننة لمكان", da: "har autoriseret søgeindgang for sted", de: "hat normierten Sucheinstieg für ein Geografikum", fi: "auktorisoitu hakutieto paikalle", nl: "heeft geautoriseerde ingang voor plaats", "zh-hans-cn": "有地点的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60916",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61172,
      definition: {en: "Relates a resource to an access point for resource that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين مصدر ونقطة إتاحة لمصدر اُختيرت نقطة اتاحة مقننة مُفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en ressource til en søgeindgang for ressource, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt eine Ressource in Beziehung zu einem Sucheinstieg für eine Ressource, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää aineiston hakutietoon, joka on valittu aineistolle ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一种资源与在一个特定的词表编码体系中被首选的一个资源检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61176",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has authorized access point for resource", ar: "له نقطة إتاحة مقننة لمصدر", da: "har autoriseret søgeindgang for ressource", de: "hat normierten Sucheinstieg für eine Ressource", fi: "auktorisoitu hakutieto toimijalle", nl: "heeft geautoriseerde ingang voor resource", "zh-hans-cn": "有资源的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60916",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61173,
      definition: {en: "Relates a timespan to an access point for timespan that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين فترة زمنية ونقطة إتاحة لفترة زمنية اُختيرت نقطة اتاحة مقننة مُفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et tidsforløb for en søgeindgang til et tidsforløb, der er valgt som foretrukken i et særskilt vokabularkodingsskema.", de: "Setzt einen Zeitraum in Beziehung zu einem Sucheinstieg für einen Zeitraum, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää ajanjakson hakutietoon, joka on valittu ajanjaksolle ensisiaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个时间段与在一个特定的词表编码体系中被首选的一个时间段检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61177",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has authorized access point for timespan", ar: "له نقطة إتاحة مقننة لفترة زمنية", da: "har autoriseret søgeindgang for tidsforløb", de: "hat normierten Sucheinstieg für einen Zeitraum", fi: "ajanjakson auktorisoitu hakutieto", nl: "heeft geautoriseerde ingang voor tijdspanne", "zh-hans-cn": "有时间段的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60916",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61174,
      definition: {en: "Relates a nomen to an agent who has an access point for agent that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين اسم ووكيل لديه نقطة وصول لوكيل اختيرت نقطة اتاحة مقننة مُفضلة فى خطة ترميز مفردات.", da: "Relaterer et nomen til en agent, der har en søgeindgang for agent, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über einen Sucheinstieg für einen Akteur verfügt, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää nomenin toimijaan, jolla on tietyssä sanaston merkintäjärjestelmässä ensisijaiseksi valittu toimijan hakutieto.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中被首选的行为者检索点的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61170",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is authorized access point for agent of", ar: "هي نقطة إتاحة مقننة لوكيل لـ", da: "er autoriseret søgeindgang for agent af", de: "ist normierter Sucheinstieg für einen Akteur von", fi: "auktorisoitu hakutieto toimijalle", nl: "is geautoriseerde ingang voor actor van", "zh-hans-cn": "是……的行为者的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60918",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61175,
      definition: {en: "Relates a nomen to a place that has an access point for place that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين اسم ومكان لديه نقطة وصول لمكان اختيرت نقطة اتاحة مقننة مُفضلة فى خطة ترميز مفردات.", da: "Relaterer et nomen til et sted, der har en søgeindgang for sted, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Sucheinstieg für ein Geografikum verfügt, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää nomenin paikkaan, jolla on tietyssä sanaston merkintäjärjestelmässä ensisijaiseksi valittu paikan hakutieto.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中被首选的地点检索点的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61171",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is authorized access point for place of", ar: "هي نقطة إتاحة مقننة لمكان لـ", da: "er autoriseret søgeindgang for sted af", de: "ist normierter Sucheinstieg für ein Geografikum von", fi: "auktorisoitu hakutieto paikalle", nl: "is geautoriseerde ingang voor plaats van", "zh-hans-cn": "是……的地点的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60918",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61176,
      definition: {en: "Relates a nomen to a resource that has an access point for resource that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين اسم ومصدر لديه نقطة وصول لمصدر اختيرت نقطة اتاحة مقننة مُفضلة فى خطة ترميز مفردات.", da: "Relaterer et nomen til en ressource, der har en søgeindgang for ressource, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Sucheinstieg für eine Ressource verfügt, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää nomenin aineistoon, jolla on tietyssä sanaston merkintäjärjestelmässä ensisijaiseksi valittu aineiston hakutieto.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中被首选的资源检索点的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61172",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is authorized access point for resource of", ar: "هي نقطة إتاحة مقننة لمصدر لـ", da: "er autoriseret søgeindgang for ressource af", de: "ist normierter Sucheinstieg für eine Ressource von", fi: "auktorisoitu hakutieto aineistolle", nl: "is geautoriseerde ingang voor resource van", "zh-hans-cn": "是……的资源的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60918",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61177,
      definition: {en: "Relates a nomen to a timespan that has an access point for timespan that is selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين اسم وفترة زمنية لديها نقطة وصول لفترة زمنية اختيرت نقطة اتاحة مقننة مُفضلة فى خطة ترميز مفردات.", da: "Relaterer et nomen til et tidsforløb, der har en søgeindgang, der er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Sucheinstieg für einen Zeitraum verfügt, der in einem bestimmten Vocabulary Encoding Scheme als Vorzugsform bestimmt wird.", fi: "Liittää nomenin ajanjaksoon, jolla on tietyssä sanaston merkintäjärjestelmässässä ensisijaiseksi valittu ajanjakson hakutieto.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中被首选的时间段检索点的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/authorizedAccessPointForTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61173",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is authorized access point for timespan of", ar: "هي نقطة إتاحة مقننة لفترة زمنية لـ", da: "er autoriseret søgeindgang for tidsforløb af", de: "ist normierter Sucheinstieg für einen Zeitraum von", fi: "auktorisoitu hakutieto ajanjaksolle", nl: "is geautoriseerde ingang voor tijdspanne van", "zh-hans-cn": "是……的时间段的规范检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60918",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61178,
      definition: {en: "Relates a place to a nomen that is an appellation of place that consists of a code, number, or other string, usually independent of natural language and social naming conventions, used to identify a place.", ar: "يربط بين مكان وتسمية لمكان تتكون من رمز، رقم، أو سلسلة تمثيلات أخرى، عادة ما تكون مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة في تحديد هوية مكان.", da: "Relaterer et sted til en benævnelse for stedm der bestor af kode, nummer, eller anden streng, normalt uafhængigt af naturligt sprog og sociale navngivningskonventioner, brugt for at identificere et sted.", de: "Setzt ein Geografikum in Beziehung zu einer Bezeichnung für ein Geografikum, die aus einem Code, einer Nummer oder einer anderen Zeichenkette besteht, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung eines Geografikums verwendet wird.", fi: "Liittää paikan paikan nimitykseen, joka koostuu paikan identifiointiin käytettävästä koodista, luvusta tai muusta,tavallisesti luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä riippumattomasta, merkkijonosta.", "zh-hans-cn": "将一个地点与作为一个由代码、数字、或其他字符串构成、通常独立于自然语言和社会命名惯例、用以标识一个地点的一个地点称谓的命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Merkkijono on yleensä riippumaton luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61180",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has identifier for place", ar: "له مُعرف لمكان", da: "har identfikator for sted", de: "hat Identifikator für ein Geografikum", fi: "paikan tunniste", nl: "heeft identificatie voor plaats", "zh-hans-cn": "有地点的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60919",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61179,
      definition: {en: "Relates a timespan to a nomen that is an appellation of timespan that consists of a code, number, or other string, usually independent of natural language and social naming conventions, used to identify a timespan.", ar: "يربط بين فترة زمنية وتسمية لفترة زمنية تتكون من رمز، رقم، أو سلسلة تمثيلات أخرى، عادة ما تكون مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا، المستخدمة في تحديد هوية فترة زمنية.", da: "Relaterer et tidsforløb til en benævnelse på tidsforløb, der består af kode, nummer, eller anden streng, normalt uafhængigt af naturligt sprog og sociale navngivningskonventioner, brugt for at identificere et tidsforløb.", de: "Setzt einen Zeitraum in Beziehung zu einer Bezeichnung für einen Zeitraum, die aus einem Code, einer Nummer oder einer anderen Zeichenkette besteht, der/die normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen ist und zur Identifizierung eines Zeitraums verwendet wird.", fi: "Liittää ajanjakson ajanjakson nimitykseen, joka koostuu paikan identifiointiin käytettävästä koodista, luvusta tai muusta, tavallisesti luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä riippumattomasta, merkkijonosta.", "zh-hans-cn": "将一个时间段与由代码、数字或其他串组成、通常独立于自然语言和社会命名惯例、用于标识一个时间段的作为一个时间段称谓的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Merkkijono on yleensä riippumaton luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61181",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has identifier for timespan", ar: "له مُعرف لفترة زمنية", da: "har identifikator for tidsforløb", de: "hat Identifikator für einen Zeitraum", fi: "ajanjakson tunniste", nl: "heeft identificatie voor tijdspanne", "zh-hans-cn": "有时间段的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60919",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61180,
      definition: {en: "Relates a nomen to a place that has a reference code taken from a vocabulary encoding scheme.", ar: "يربط بين تسمية ومكان له رمز إحالة مأخوذ من خطة ترميز مفردات.", da: "Relaterer et nomen til et sted der har en referencekode, der er hentet fra et vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Referenzcode verfügt, der aus einem Vocabulary Encoding Scheme entnommen wird.", fi: "Liittää nomenin paikkaan, jolla on sanaston merkintäjärjestelmästä otettu viitekoodi.", "zh-hans-cn": "将一个命名与有一个取自一个词表编码体系的指称代码的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Merkkijono on yleensä riippumaton luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61178",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is identifier for place of", ar: "هو مُعرف لمكان لـ", da: "er identifikator for sted af", de: "ist Identifikator für ein Geografikum von", fi: "paikan tunniste", nl: "is identificatie voor plaats van", "zh-hans-cn": "是……的地点的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60928",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61181,
      definition: {en: "Relates a nomen to a timespan that has a reference code taken from a vocabulary encoding scheme.", ar: "ييربط تسمية بفترة زمنية لها رمز إحالة مأخوذ من خطة ترميز مفردات.", da: "Relaterer et nomen til et tidsforløb, der har en referencekode, der er hentet fra et vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Referenzcode verfügt, der aus einem Vocabulary Encoding Scheme entnommen wird.", fi: "Liittää nomenin ajanjaksoon, jolla on sanaston merkintäjärjestelmästä otettu viitekoodi.", "zh-hans-cn": "将一个命名与有一个取自一个词表编码体系的指称代码的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/identifierForTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      "http://www.w3.org/2004/02/skos/core#scopeNote": {en: "The coded string is usually independent of natural language and social naming conventions.", ar: "عادة ما تكون سلسلة التمثيلات المرمزة مستقلة عن اللغة الطبيعية وعن التسميات المتعارف عليها اجتماعيًا.", da: "Den kodede streng er normalt uafhængig af naturligt sprog og sociale navngivningskonventioner.", de: "Die kodierte Zeichenkette ist normalerweise nicht in natürlicher Sprache und unabhängig von den sozialen Benennungskonventionen.", fi: "Merkkijono on yleensä riippumaton luonnollisesta kielestä ja yleisistä nimeämiskäytännöistä.", "zh-hans-cn": "编码串通常独立于自然语言和社会命名惯例。"},
      inverseOf: "http://rdaregistry.info/Elements/u/P61179",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is identifier for timespan of", ar: "هو مُعرف لفترة زمنية لـ", da: "er identifikator for tidsforløb af", de: "ist Identifikator für einen Zeitraum von", fi: "ajanjakson tunniste", nl: "is ingang voor tijdspanne van", "zh-hans-cn": "是……的时间段的标识符"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60928",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61182,
      definition: {en: "Relates a nomen to an agent who has an access point for agent that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين تسمية ووكيل له نقطة إتاحة لوكيل لم يتم اختياره كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et nomen til en agent, der har en søgeindgang for agent, der ikke er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über einen Sucheinstieg für einen Akteur verfügt, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin toimijaan, jolla on toimijan hakutieto, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中未被首选的行为者检索点的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForAgentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61186",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant access point for agent of", ar: "هي نقطة إتاحة مختلفة لوكيل لـ", da: "er variantsøgeindgang for agent af", de: "ist zusätzlicher Sucheinstieg für einen Akteur von", fi: "varianttihakutieto toimijalle", nl: "is variant ingang voor actor van", "zh-hans-cn": "是……的行为者的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60952",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61183,
      definition: {en: "Relates a nomen to a place that has an access point for entity that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين تسمية ومكان له نقطة إتاحة لكيان لم يتم اختياره كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et nomen til et sted der har en søgeindgang for sted, der ikke er valgt som foretrukket i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Geografikum, das über einen Sucheinstieg für eine Entität verfügt, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin toimijaan, jolla on entiteetin hakutieto, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中未被首选的实体检索点的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForPlaceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61187",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant access point for place of", ar: "هي نقطة إتاحة مختلفة لمكان لـ", da: "er variantsøgeindgang for sted af", de: "ist zusätzlicher Sucheinstieg für ein Geografikum von", fi: "varianttihakutieto paikalle", nl: "is variant ingang voor plaats van", "zh-hans-cn": "是……的地点的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60952",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61184,
      definition: {en: "Relates a nomen to a resource that has an access point for resource that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط تسمية بمصدر له نقطة إتاحة لمصدر لم يتم اختياره كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et nomen til en ressource, der har en søgeindgang for ressource, der ikke er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Sucheinstieg für eine Ressource verfügt, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin aineistoon, jolla on aineiston hakutieto, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中未被首选的资源检索点的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61188",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant access point for resource of", ar: "هي نقطة إتاحة مختلفة لمصدر لـ", da: "er variantsøgeindgang for ressource af", de: "ist zusätzlicher Sucheinstieg für eine Ressource von", fi: "varianttihakutieto aineistolle", nl: "is variant ingang voor resource van", "zh-hans-cn": "是……的资源的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60952",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61185,
      definition: {en: "Relates a nomen to a timespan that has an access point for timespan that is not selected for preference in a specific vocabulary encoding scheme.", ar: "ييربط تسمية بفترة زمنية لها نقطة إتاحة لفترة زمنية لم يتم اختيارها كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et nomen til et tidsforløb, der har en søgeindgang fro tidsforløb, der ikke er valgt som foretrukket i et særskilt vokabularkodningsskema.", de: "Setzt ein Nomen in Beziehung zu einem Zeitraum, der über einen Sucheinstieg für einen Zeitraum verfügt, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää nomenin ajanjaksoon, jolla on ajanjakson hakutieto, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个命名与有在一个特定的词表编码体系中未被首选的时间段检索点的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForTimespanOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61189",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is variant access point for timespan of", ar: "هي نقطة إتاحة مختلفة لفترة زمنية لـ", da: "er variantsøgeindgagng for tidsforløb af", de: "ist zusätzlicher Sucheinstieg für einen Zeitraum von", fi: "varianttihakutieto ajanjaksolle", nl: "is variant ingang voor tijdspanne van", "zh-hans-cn": "是……的时间段的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60952",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61186,
      definition: {en: "Relates an agent to an access point for agent that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين وكيل ونقطة إتاحة لوكيل لم يتم اختيارها كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en agent til en søgeindgang for agent, der ikke er valgt som foretrukken i et særskit vokabularkodningsskema.", de: "Setzt einen Akteur in Beziehung zu einem Sucheinstieg für einen Akteur, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää toimijan toimijan hakutietoon, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä", "zh-hans-cn": "将一个行为者与没有在一个特定的词表编码体系中被首选的一个行为者的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForAgent.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61182",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant access point for agent", ar: "له نقطة إتاحة مختلفة لوكيل", da: "har variantsøgeindgang for agent", de: "hat zusätzlichen Sucheinstieg für einen Akteur", fi: "varianttihakutieto toimijalle", nl: "heeft variant ingang voor actor", "zh-hans-cn": "有行为者的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60917",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61187,
      definition: {en: "Relates a place to an access point for place that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين وكيل ونقطة إتاحة لمكان لم يتم اختيارها كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en agent til en søgeindgang for sted, der ikke er valgt som foretrukket i et særskilt vokabularkodningsskema.", de: "Setzt ein Geografikum in Beziehung zu einem Sucheinstieg für ein Geografikum, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää paikan paikan hakutietoon, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä", "zh-hans-cn": "将一个地点与没有在一个特定的词表编码体系中被首选的一个地点的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForPlace.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61183",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant access point for place", ar: "له نقطة إتاحة مختلفة لمكان", da: "har variantsøgeindgang for sted", de: "hat zusätzlichen Sucheinstieg für ein Geografikum", fi: "varianttihakutieto paikalle", nl: "heeft variant ingang voor plaats", "zh-hans-cn": "有地点的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60917",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61188,
      definition: {en: "Relates a resource to an access point for resource that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين مصدر ونقطة إتاحة لمصدر لم يتم اختيارها كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer en ressource til en søgeindgang for ressource, der ikke er valgt som foretrukken i et særskilt vokabularkodningsskema.", de: "Setzt eine Ressource in Beziehung zu einem Sucheinstieg für eine Ressource, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää aineiston aineiston hakutietoon, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä", "zh-hans-cn": "将一种资源与没有在一个特定的词表编码体系中被首选的一个资源的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61184",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant access point for resource", ar: "له نقطة إتاحة مختلفة لمصدر", da: "har variantsøgeindgang for ressource", de: "hat zusätzlichen Sucheinstieg für eine Ressource", fi: "varianttihakutieto aineistolle", nl: "heeft variant ingang voor resource", "zh-hans-cn": "有资源的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60917",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61189,
      definition: {en: "Relates a timespan to an access point for timespan that is not selected for preference in a specific vocabulary encoding scheme.", ar: "يربط بين فترة زمنية ونقطة إتاحة لفترة زمنية لم يتم اختيارها كنقطة إتاحة مختلفة مفضلة في خطة ترميز مفردات محددة.", da: "Relaterer et tidsforløb for en søgeindgang til et tidsforløb, der ikke er valgt som foretrukket i et særskilt vokabularkodingsskema.", de: "Setzt einen Zeitraum in Beziehung zu einem Sucheinstieg für einen Zeitraum, der in einem bestimmten Vocabulary Encoding Scheme nicht als Vorzugsform bestimmt wird.", fi: "Liittää ajanjakson ajanjakson hakutietoon, jota ei ole valittu ensisijaiseksi tietyssä sanaston merkintäjärjestelmässä.", "zh-hans-cn": "将一个时间段与没有在一个特定的词表编码体系中被首选的一个时间段的检索点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/variantAccessPointForTimespan.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61185",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has variant access point for timespan", ar: "له نقطة إتاحة مختلفة لفترة زمنية", da: "har variantsøgeindgang for tidsforløb", de: "hat zusätzlichen Sucheinstieg für einen Zeitraum", fi: "varianttihakutieto ajanjaksolle", nl: "heeft variant ingang voor tijdspanne", "zh-hans-cn": "有时间段的变异检索点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60917",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61190,
      definition: {en: "Relates a resource to a nomen for which evidence of use is provided by a resource.", ar: "يربط بين مصدر وتسمية يتم تقديم دليل على استخدامها بواسطة مصدر.", da: "Relaterer en ressource til et nomen, hvor evidens for brug gives af en ressource.", de: "Setzt eine Ressource in Beziehung zu einem Nomen, für das ein Verwendungsnachweis durch eine Ressource zur Verfügung gestellt wird.", fi: "Liittää aineiston nomeniin, jonka käytöstä aineisto on todiste.", "zh-hans-cn": "将一种资源与由一种资源提供其使用证据的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/referenceSourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61159",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is reference source of", ar: "هو مصدر مرجعي لـ", da: "er referencekilde af", de: "ist Nachschlagewerk von", fi: "tietolähde", nl: "is naslagwerk van", "zh-hans-cn": "是……的参考信息源"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61191,
      definition: {en: "Relates a place to a resource that is a cartographic resource that has an area of coverage that is described using a mathematical system to identify its boundaries or location.", ar: "يربط مكان بمصدر عبارة عن مصدر خرائطي له منطقة تغطية موصوفة باستخدام نظام رياضي لتحديد حدوده أو موقعه.", da: "Relaterer et sted til en ressource, der er en kartografisk ressource, som lokaliserer et område ved at bruge et matematisk system for at identificere dets grænser eller lokation.", de: "Setzt ein Gebiet in Beziehung zu einer Ressource, die über einen Abdeckungsbereich einer kartografischen Ressource verfügt, der mit Hilfe eines mathematischen Systems beschrieben wird, um seine Grenzen oder Lage zu identifizieren.", fi: "Liittää paikan aineistoon, joka on kartografinen aineisto, jonka kattama alue on kuvailtu käyttäen matemaattista järjestelmää rajojen ja sijainnin identifioimiseksi.", "zh-hans-cn": "将一个地点与作为一种地图资源、有覆盖范围、并被使用一个数学体系描述以标识其边界或位置的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": ["http://rdaregistry.info/Elements/u/P61198", "http://rdaregistry.info/Elements/u/P61200", "http://rdaregistry.info/Elements/u/P61201"],
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/coordinatesOfCartographicContentOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60109",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is coordinates of cartographic content of", ar: "هو إحداثيات لمحتوى خرائطى لـ", da: "er koordinater af kartografisk indhold af", de: "sind Koordinaten von kartografischem Inhalt von", fi: "kartografisen aineiston koordinaatit", nl: "is coördinaten van cartografische content van", "zh-hans-cn": "是……的地图内容的坐标"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61192,
      definition: {en: "Relates a nomen to an agent who has a fuller form of a name or part of a name represented by an initial, abbreviation, or shortened or otherwise modified form.", ar: "يربط بين تسمية ووكيل له شكل كامل للإسم أو جزء من اسم يُعبر عنه بحروف أولية، اختصار، أو بطريقة أخرى أو بأي شكل مختصر أو معدل.", da: "Relaterer et nomen til en agent, som har en mere fuldstændig navneform eller del af navn repræsenteret af et initial, en forkortelse, eller er forkortet eller modificeret på anden måde.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der über eine vollständigere Namensform oder einen Teil eines Namens verfügt, der nur durch eine Initiale, eine Abkürzung oder sonst irgendwie gekürzte oder anderweitig veränderte Form dargestellt wird.", fi: "Liittää toimijan nomeniin, jolla on nimi tai nimet, jotka sisältävät nimen alkukirjaimilla esitetyn, lyhenteellä lyhennetyn osan tai muuten muokatun nimen täydellisemmän nimenmuodon.", "zh-hans-cn": "将一个命名与有用首字母缩写、缩略语、缩短或其他修改形式表示的一个名称或一个名称的部分的较完整的形式的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/fullerFormOfNameOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60530",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is fuller form of name of", ar: "هو شكل كامل لاسم لـ", da: "er mere fuldstændig navneform på", de: "ist vollständigere Namensform von", fi: "nimen täydellisempi muoto", nl: "is meer volledige vorm van naam van", "zh-hans-cn": "是……的名称的较完整形式"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60920",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61193,
      definition: {en: "Relates a nomen to an agent who uses a name given at birth or at some later point in addition to, or instead of, a surname.", ar: "يربط بين تسمية ووكيل يستخدم اسم سُمي به عند الولادة أو بعد ذلك إضافة إلى، أو بدلًا من، اسم عائلة.", da: "Relaterer et nomen til en agent, som bruger et navn givet ved fødslen eller senere udover, eller i stedet for, et efternavn.", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der einen Namen verwendet, der ihm bei der Geburt oder zu einem späteren Zeitpunkt, zusätzlich oder anstatt eines Nachnamens, gegeben wird.", fi: "Liittää toimijan nomeniin, joka käyttää toimijalle syntymässä tai myöhempänä ajankohtana sukunimen lisäksi tai sen sijaan annettua nimeä.", "zh-hans-cn": "将一个命名与使用出生时或以后某个时间点被赋予的姓以外或取代姓的一个名的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/givenNameOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60879",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is given name of", ar: "هو اسم أول لـ", da: "er fornavn på", de: "ist Vorname von", fi: "etunimi", nl: "is voornaam van", "zh-hans-cn": "是……的名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60920",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61194,
      definition: {en: "Relates a nomen to a class of users for which a nomen is intended.", ar: "يربط بين تسمية وفئة المستخدمين الموجهة إليهم التسمية.", da: "Relaterer et nomen til en klasse af brugere som et nomen er tiltænkt.", de: "Setzt ein Nomen in Beziehung zu einer Gruppe von Benutzenden, für die ein Nomen gedacht ist.", fi: "Liittää nomenin käyttäjäkuntaan, jolle nomen on suunnattu.", "zh-hans-cn": "将一个命名与一个命名的目标使用者的类关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/intendedAudienceOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has intended audience of nomen", ar: "له جمهور مستهدف بتسمية", da: "har tiltænkt målgruppe for nomen", de: "hat Zielgruppe eines Nomens", fi: "nomenin kohderyhmä", nl: "heeft beoogd publiek van nomen", "zh-hans-cn": "有命名的目标受众"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61195,
      definition: {en: "Relates a nomen to a language of a nomen.", ar: "يربط بين تسمية ولغة اسم.", da: "Relaterer et nomen til et sprog for en benævnelse.", de: "Setzt ein Nomen in Beziehung zu einer Sprache von einer Bezeichnung.", fi: "Liittää nomenin nimityksen kieleen.", "zh-hans-cn": "将一个命名与一个命名的一种语言关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/languageOfNomen.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has language of nomen", ar: "له لغة لتسمية", da: "har sprog for nomen", de: "hat Sprache eines Nomens", fi: "nomenin kieli", nl: "heeft taal van nomen", "zh-hans-cn": "有命名的语言"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61196,
      definition: {en: "Relates a nomen to an agent who uses a family name.", ar: "يربط بين تسمية ووكيل يستخدم اسم عائلة.", da: "Relaterer et nomen til en agent, som bruger et famillienavn", de: "Setzt ein Nomen in Beziehung zu einem Akteur, der einen Familiennamen verwendet.", fi: "Liittää nomenin toimijaan, joka käyttää suvun nimeä.", "zh-hans-cn": "将一个命名与使用家族名的一个行为者关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/surnameOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60878",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is surname of", ar: "هو اسم عائلة لـ", da: "er efternavn på", de: "ist Nachname von", fi: "sukunimi", nl: "is achternaam van", "zh-hans-cn": "是……的姓"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60920",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61197,
      definition: {en: "Relates a nomen to a resource that has a title of series in another language or script.", ar: "يربط تسمية بمصدر له عنوان سلسلة في لغة أخرى أو نص أخر.", da: "Relaterer et nomen til en ressource, der har en serietitel på et andet sprog eller på en anden skrift.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die einen Titel einer Reihe hat, der in einer anderen Sprache oder einer anderen Schrift vorliegt.", fi: "Liittää nomenin aineistoon, jolla on sarjan nimeke toisella kielellä tai kirjoitusjärjestelmällä.", "zh-hans-cn": "将一个命名与有用另一种语言或文字的丛编题名的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/parallelTitleOfSeriesOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60590",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is parallel title of series of", ar: "هو عنوان موازِ لسلسلة لـ", da: "er parallel serietitel på", de: "ist Paralleltitel einer Reihe von", fi: "sarjan rinnakkainen nimeke", nl: "is parallelle reekstitel van", "zh-hans-cn": "是……的并列丛编题名"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60958",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61198,
      definition: {en: "Relates a place to a resource that is a cartographic resource that has an area of coverage that is identified using longitude of the westernmost and easternmost boundaries and latitude of the northernmost and southernmost boundaries.", ar: "يربط مكان بمصدر له مصدر خرائطي يحدد منطقة باستخدام خط الطول لأقصى الحدود الغربية والشرقية وخط العرض لأقصى الحدود الشمالية والجنوبية.", da: "Relaterer et sted til en ressource, der er en kartografisk ressource, som har et dækningsområde, der er identificeret ved hjælp af længdegraden på de vestligste og østligste grænser og breddegraden på de nordligste og sydligste grænser.", de: "Setzt ein Gebiet in Beziehung zu einer kartografischen Ressource, deren Abdeckungsbereich anhand des Längengrads der westlichsten und östlichsten Grenze sowie des Breitengrads der nördlichsten und südlichsten Grenze identifiziert wird.", fi: "Liittää paikan aineistoon, joka on kartografinen aineisto, jonka kattama alue indentifioidaan käyttämällä läntisimmän ja itäisimmän rajan pituusastetta sekä pohjoisimman ja eteläisimmän rajan leveysastetta.", "zh-hans-cn": "将一个地点与作为地图资源、有覆盖范围、用最西和最东边界的经度以及最北和最南边界的纬度标识的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/longitudeAndLatitudeOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60345",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is longitude and latitude of", ar: "هو خط الطول وخط العرض لـ", da: "er længdegrad og breddegrad af", de: "ist Längengrad und Breitengrad von", fi: "pituus- ja leveysasteet", nl: "is lengtegraad en breedtegraad van", "zh-hans-cn": "是……的经度和纬度"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61199,
      definition: {en: "Relates a place to a delimitation of the physical territory of the place.", ar: "يربط بين مكان وترسيم حدود الأراضي الطبيعية لمكان.", da: "Relaterer et sted til en afgrænsning af stedets fysiske territorium.", de: "Setzt ein Geografikum in Beziehung zu einer Abgrenzung des physischen Gebiets eines Geografikums.", fi: "Liittää paikan paikan fyysisen alueen rajaukseen.", "zh-hans-cn": "将一个地点与一个地点的物理区域的界定关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/location.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has location", ar: "له موقع", da: "har lokation", de: "hat Standort", fi: "sijainti", nl: "heeft locatie", "zh-hans-cn": "有位置"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61200,
      definition: {en: "Relates a place to a resource that is a cartographic resource that has an area of coverage that is identified by a polygon using coordinates for each vertex.", ar: "يربط مكان بمصدر عبارة عن مصدر خرائطي يحدد بدقة منطقة معينة باستخدام إحداثيات لكل قمة مضلع.", da: "Relaterer et sted til en ressource, som er en kartografisk ressource, der har et dækningsområde, der identificeres af en polygon ved hjælp af koordinater for hvert toppunkt.", de: "Setzt ein Gebiet in Beziehung zu einer kartografischen Ressource, deren Abdeckungsbereich durch ein Vieleck mit Koordinaten für jeden Eckpunkt identifiziert wird.", fi: "Liittää paikan aineistoon, joka on kartografinen aineisto, jonka kattama alue identifioidaan polygonein käyttämällä monikulmion jokaisen kärjen koordinaatteja.", "zh-hans-cn": "将一个地点与作为地图资源、有通过使用每个角的坐标表示的多边形标识的覆盖范围的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/stringsOfCoordinatePairsOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60347",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is strings of coordinate pairs of", ar: "هو خطوط إحداثيات مزدوجة لـ", da: "er strenge af koordinatpar for", de: "sind Reihen von Koordinatenpaaren von", fi: "koordinaattiparit", nl: "is tekenreeksen van coördinatenparen van", "zh-hans-cn": "是……的坐标对串"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61201,
      definition: {en: "Relates a place to a resource that is a cartographic resource that locates a celestial body that is the coverage of the resource and is identified using the angles of right ascension and declination.", ar: "يربط مكان بمصدر عبارة عن مصدر خرائطي يحدد جرم سماوي عبارة عن تغطية المصدر ويتم تحديده باستخدام زوايا الصعود المستقيم والانحراف.", da: "Relaterer et sted til en ressource, som er en kartografisk ressource, der lokaliserer et himmellegeme, der er dækning for ressourcen, og som er identificeret ved hjælp af vinklerne for rekstascension og deklination.", de: "Setzt einen Ort in Beziehung zu einer kartografischen Ressource, die einen Himmelskörpers verortet, der Gegenstand der Ressource ist und anhand der Winkel der Rektaszension und der Deklination identifiziert wird.", fi: "Liittää paikan aineistoon, joka on kartografinen aineisto, joka määrittää taivaankappaleen sijainnin ja teoksen sisällöllisen kattavuuden käyttämällä rektaskension ja deklinaation kulmamittoja.", "zh-hans-cn": "将一个地点与作为地图资源、定位作为作品覆盖范围并用赤经和赤纬的角度标识的天体的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/rightAscensionAndDeclinationOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60346",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is right ascension and declination of", ar: "هو صعود مستقيم وانحراف لـ", da: "er rektascension og deklination for", de: "Rektaszension und Deklination von", fi: "rektaskensio ja deklinaatio", nl: "is rechte klimming en declinatie van", "zh-hans-cn": "是……的赤经和赤纬"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61191",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61202,
      definition: {en: "Relates a resource to an agent who is a performer who contributes to a resource by teaching or providing a demonstration. (Deprecated)", ar: "يربط بين مصدرووكيل مؤدِ يساهم في مصدر عن طريق التدريس أو تقديم عرض توضيحي.", da: "Relaterer en ressource til en agent, som er performer, der bidrager til en ressource, ved at undervise eller give en demonstration.", de: "Setzt eine Ressource in Beziehung zu einer Ausführenden/einem Ausführenden, die/der zu einer Ressource beiträgt, indem sie/er unterrichtet oder etwas demonstriert.", fi: "Liittää aineiston toimijaan, joka on aineistossa osallisena opettamalla tai antamalla havaintoesityksen."},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/instructor.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1008",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has instructor (Deprecated)", ar: "له محاضر", da: "har instruktør", de: "hat Ausbilderin/Ausbilder", fi: "opettaja", nl: "heeft instructeur"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60387",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61203,
      definition: {en: "Relates a resource to a nomen that is a name of an agent who is responsible for distributing, printing, duplicating, casting, publishing, releasing, issuing, etc., a published resource, or inscribing, fabricating, constructing, etc., an unpublished resource.", ar: "يربط بين مصدر واسم وكيل مسؤول عن توزيع، طباعة، نسخ، صب، نشر، تحرير، إصدار...إلخ، مصدرًا منشور، أو تسجيل، تصنيع، إنشاء...إلخ، مصدرًا غير منشور.", de: "Setzt eine Ressource in Beziehung zu einem Namen eines Akteurs, der für den Vertrieb, den Druck, die Vervielfältigung, den Guss, das Veröffentlichen, das Release, die Herausgabe und so weiter einer veröffentlichten Ressource oder der für das Gravieren, Fabrizieren, Konstruieren und so weiter einer unveröffentlichten Ressource verantwortlich ist.", fi: "Liittää aineiston nomeniin, joka on painetun aineiston jakelusta, painamisesta, monistamisesta, julkaisemisesta jne. vastaavan toimijan nimi tai julkaisemattoman aineiston kirjoittamisesta, valmistamisesta, rakentamisesta jne. vastaavan toimijan nimi.", "zh-hans-cn": "将一种资源与作为负责一种出版资源的经销、印刷、复制、铸造、出版、发布、发行等、或者一种非出版资源的镌刻、制造、构造等的一个行为者的名称的一个命名关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfAgentOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61204",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has name of agent of resource", ar: "له اسم وكيل لمصدر", da: "har navn på agent for ressource", de: "hat Namen eines Akteurs einer Ressource", fi: "toimijan nimi", nl: "heeft naam van actor van resource", "zh-hans-cn": "有资源的行为者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61023",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61204,
      definition: {en: "Relates a nomen to a resource that has a name of agent who is responsible for distribution, printing, duplication, casting, publication, release, issue, etc., or inscription, fabrication, construction, etc.", ar: "يربط تسمية بمصدر له اسم وكيل مسؤول عن التوزيع، الطباعة، النسخ، الصب، النشر، التحرير، الإصدار...إلخ، أو التسجيل، أو التصنيع، أو الإنشاء...إلخ.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über einen Namen eines Akteurs verfügt, der für den Vertrieb, den Druck, die Vervielfältigung, den Guss, das Veröffentlichen, das Release, die Herausgabe und so weiter oder für das Gravieren, Fabrizieren, Konstruieren und so weiter verantwortlich ist.", fi: "Liittää nomenin aineistoon, jolla on painetun aineiston jakelusta, painamisesta, monistamisesta, julkaisemisesta jne. vastaavan toimijan nimi tai julkaisemattoman aineiston kirjoittamisesta, valmistamisesta, rakentamisesta jne. vastaavan toimijan nimi.", "zh-hans-cn": "将一个命名与有负责发行、印刷、复制、铸造、出版、发布、经销等或者镌刻、制造、构建等的行为者的名称的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/nameOfAgentOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61203",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is name of agent of resource of", ar: "هو اسم وكيل لمصدر لـ", de: "ist Name eines Akteurs einer Ressource von", fi: "toimijan nimi", nl: "is naam van actor van resource van", "zh-hans-cn": "是……的资源的行为者的名称"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61205,
      definition: {en: "Relates a resource to a place that is associated with the distribution, printing, duplicating, casting, publication, release, or issuing, etc., of a published resource, or the inscription, fabrication, construction, etc., of an unpublished resource.", ar: "يربط بين مصدر ومكان مرتبط بطباعة، نسخ، صب، نشر، تحرير، إصدار...إلخ، مصدرًا منشورًا، أو تسجيل، تصنيع، إنشاء...إلخ، مصدرًا غير منشور.", de: "Setzt eine Ressource in Beziehung zu einem Geografikum, das mit dem Vertrieb, dem Druck, der Vervielfältigung, dem Guss, der Veröffentlichung, dem Release oder der Herausgabe und so weiter einer veröffentlichten Ressource oder mit der Beschriftung, der Fabrikation, der Konstruktion und so weiter einer unveröffentlichten Ressource in Verbindung steht.", fi: "Liittää aineiston paikkaan, jossa julkaistu aineisto on kustannettu, julkaistu, ilmestynyt, painettu, monistettu, valettu kirjasinten osalta tai jaettu. Liittää aineiston paikkaan, jossa julkaisematon aineisto on kaiverrettu, valmistettu, koottu tai muuten tuotettu.", "zh-hans-cn": "将一种资源与和一种出版资源的经销、印刷、复制、铸造、出版、发布或发行有关的一个地点、或者和一种非出版资源的镌刻、制造、构造或其他方式制作有关的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61206",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has place of resource", ar: "له مكان لمصدر", de: "hat Ort einer Ressource", fi: "aineiston paikka", nl: "heeft plaats van resource", "zh-hans-cn": "有资源的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61206,
      definition: {en: "Relates a place to a resource that is a published resource that is distributed, printed, duplicated, cast, published, released, or issued, etc., or an unpublished resource that is inscribed, fabricated, constructed, etc., in a place.", ar: "يربط مكان بمصدر يُعد مصدرًا منشورًا يتم توزيعه، طباعته، نسخه، صبه، نشره، تحريره، أو إصداره...إلخ، أو يعد مصدرًا غير مطبوع يتم تسجيله أو تصنيعه أو إنشائه...إلخ، في مكان ما.", de: "Setzt ein Geografikum in Beziehung zu einer veröffentlichten Ressource, die an einem Geografikum vertrieben, gedruckt, vervielfältigt, gegossen, veröffentlicht, freigegeben oder herausgegeben und so weiter wird oder zu einer unveröffentlichte Ressource, die an einem Geografikum beschriftet, fabriziert, konstruiert und so weiter wird.", fi: "Liittää paikan aineistoon, joka on kustannettu, julkaistu, ilmestynyt, painettu, monistettu, valettu kirjasinten osalta tai jaettu. Liittää aineiston paikkaan, jossa julkaisematon aineisto on kaiverrettu, valmistettu, koottu tai muuten tuotettu.", "zh-hans-cn": "将一个地点与作为一种出版资源在一个地点被发行、印刷、复制、铸造、出版、发布或经销等、或者一种非出版资源在一个地点被镌刻、制造、构造等的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/placeOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61205",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is place of resource of", ar: "هو مكان لمصدر لـ", de: "ist Ort einer Ressource von", fi: "aineiston paikka", nl: "is plaats van resource van", "zh-hans-cn": "是……的资源的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61207,
      definition: {en: "Relates a timespan to a timespan that starts at the time that is a timespan.", ar: "يربط بين فترة زمنية وفترة زمنية تبدأ في وقت هو فترة زمنية.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, der zu diesem Zeitpunkt beginnt. Auch dieser wird als Zeitraum bezeichnet.", fi: "Liittää ajanjakson ajanjakson ajankohtaan, josta ajanjakso alkaa.", "zh-hans-cn": "将一个时间段与开始于作为一个时间段的时间的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/beginningOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60998",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is beginning of", ar: "هو بداية لـ", de: "ist Anfang von", fi: "ajanjakson alku", nl: "is begin van", "zh-hans-cn": "是—…的开始"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61208,
      definition: {en: "Relates a timespan to a timespan that finishes at the time that is a timespan.", ar: "يربط بين فترة زمنية وفترة زمنية تنتهي في وقت هو فترة زمنية.", de: "Setzt einen Zeitraum in Beziehung zu einem Zeitraum, der zu diesem Zeitpunkt endet. Auch dieser wird als Zeitraum bezeichnet.", fi: "Liittää ajanjakson ajanjakson ajankohtaan, johon ajanjakso loppuu.", "zh-hans-cn": "将一个时间段与结束于作为一个时间段的时间的一个时间段关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/endingOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61000",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is ending of", ar: "هو نهاية لـ", de: "ist Ende von", fi: "ajanjakson loppu", nl: "is einde van", "zh-hans-cn": "是……的结束"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61209,
      definition: {en: "Relates a nomen to a resource that has a designation that identifies its position in a sequence of individual parts of a larger resource or parts or issues of a larger resource.", ar: "يربط تسمية بمصدر له تسميه تحدد موقعه داخل تسلسل أجزاء فردية من مصدر أكبر، أو أجزاء أو إصدارات لمصدر أكبر.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung verfügt, die ihre Position in einer Reihe einzelner Teile einer größeren Ressource oder Teilen oder Ausgaben einer größeren Ressource identifiziert.", fi: "Liittää nomenin aineistoon, jonka määrite identifioi sen sijainnin laajemman aineiston yksittäisten osien tai laajemman aineiston osien tai numeroiden jaksossa.", "zh-hans-cn": "将一个命名与有标识其在一种较大资源中的个别部分或者一种较大资源中的部分或期的序列中的位置的一个标识的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/numberingWithinSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60081",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is numbering within sequence of", ar: "له ترقيم داخل تسلسل لـ", de: "ist Zählung innerhalb einer Reihe von", fi: "numerointijakson sisäinen numerointi", nl: "is nummering binnen volgorde van", "zh-hans-cn": "是在……的序列中的编号"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61210,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of numbers or alphabetic characters that is used to indicate the first in a concurrent sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل أرقام أو حروف هجائية مستخدمة لتشير إلى أول تسلسل رقمي متزامن للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form von Nummern oder Buchstaben verfügt, die verwendet wird, um in einer alternativen Zählfolge der Ausgaben oder Iterationen auf die erste hinzuweisen.", fi: "Liittää nomeniin aineistoon, jolla on numeroista tai kirjaimista muodostuva määrite, joka on aineiston osien tai iteraatioiden rinnakkaisen numerointijakson ensimmäinen määrite.", "zh-hans-cn": "将一个命名与有以数字或字母字符形式标识用于标识部分或更新后整体的并存编号序列中第一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstAlphanumericDesignationOfAlternativeSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60820",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is first alphanumeric designation of alternative sequence of", ar: "هو تسمية أبجدية رقمية أولى لتسلسل بديل لـ", de: "ist alternative alphanumerische Bezeichnung der ersten Ausgabe oder des ersten Teils einer Folge von", fi: "vaihtoehtoisen numerointijakson ensimmäinen numero- tai kirjainmäärite", nl: "is eerste alfanumerieke aanduiding van alternatieve volgorde van", "zh-hans-cn": "是……的交替序列的第一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61211",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61211,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of numbers or alphabetic characters that is used to indicate the first in a sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل أرقام أو حروف هجائية مستخدمة لتشير إلى أول تسلسل رقمي للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form von Nummern oder Buchstaben verfügt, die verwendet wird, um in einer Zählfolge der Ausgaben auf die erste hinzuweisen.", fi: "Liittää nomeniin aineistoon, jolla on numeroista tai kirjaimista muodostuva määrite, joka on aineiston osien tai iteraatioiden numerointijakson ensimmäinen määrite.", "zh-hans-cn": "将一个命名与有以数字或字母字符形式标识用于标识部分或更新后整体的编号序列中第一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61210",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstAlphanumericDesignationOfSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60499",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is first alphanumeric designation of sequence of", ar: "هو تسمية أبجدية رقمية أولى لتسلسل لـ", de: "ist alphanumerische Bezeichnung der ersten Ausgabe einer fortlaufenden Ressource von", fi: "numerointijakson ensimmäinen numero- tai kirjainmäärite", nl: "is eerste alfanumerieke aanduiding van volgorde van", "zh-hans-cn": "是……的序列的第一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61212,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of a date or other timespan that is used to indicate the first in a concurrent sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل تاريخ أو فترة زمنية أخرى مستخدمة لتشير إلى أول تسلسل رقمي متزامن الأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form eines Datums oder eines anderen Zeitraums verfügt, die verwendet wird, um in einer alternativen Zählfolge der Ausgaben auf die erste hinzuweisen.", fi: "Liittää nomenin aineistoon, jolla on päivämäärästä tai muusta ajanjaksosta muodostuva määrite, joka on aineiston osien tai iteraatioiden rinnakkaisen numerointijakson ensimmäinen määrite.", "zh-hans-cn": "将一个命名与有以日期或其他时间段形式标识用于标识部分或更新后整体的并存编号序列中第一个的一种资源关联起来"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstChronologicalDesignationOfAlternativeSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60818",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is first chronological designation of alternative sequence of", ar: "هو تسمية زمنية أولى لتسلسل بديل لـ", de: "ist alternative chronologische Bezeichnung einer ersten Ausgabe einer fortlaufenden Ressource von", fi: "vaihtoehtoisen numerointijakson ensimmäinen aikamäärite", nl: "is eerste chronologische aanduiding van alternatieve volgorde van", "zh-hans-cn": "是……的交替序列的第一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61213",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61213,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of a date or other timespan that is used to indicate the first in a sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل تاريخ أو فترة زمنية أخرى مستخدمة لتشير إلى أول تسلسل رقمي للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form eines Datums oder eines anderen Zeitraums verfügt, die verwendet wird, um in einer Zählfolge der Ausgaben auf die erste hinzuweisen.", fi: "Liittää nomenin aineistoon, jolla on päivämäärästä tai muusta ajanjaksosta muodostuva määrite, joka on aineiston osien tai iteraatioiden numerointijakson ensimmäinen määrite.", "zh-hans-cn": "将一个命名与有以日期或其他时间段形式标识用于标识部分或更新后整体的编号序列中第一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61212",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/firstChronologicalDesignationOfSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60501",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is first chronological designation of sequence of", ar: "هو تسمية زمنية أولى لتسلسل لـ", de: "ist chronologische Bezeichnung der ersten Ausgabe einer fortlaufenden Ressource von", fi: "numerointijakson ensimmäinen aikamäärite", nl: "is eerste chronologische aanduiding van volgorde van", "zh-hans-cn": "是……的序列的第一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61214,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of numbers or alphabetic characters that is used to indicate the last in a concurrent sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل أرقام أو حروف هجائية مستخدمة لتشير إلى آخر تسلسل رقمي متزامن للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form von Nummern oder Buchstaben verfügt, die verwendet wird, um in einer alternativen Zählfolge der Ausgaben auf die letzte hinzuweisen.", fi: "Liittää nomeniin aineistoon, jolla on numeroista tai kirjaimista muodostuva määrite, joka on aineiston osien tai iteraatioiden rinnakkaisen numerointijakson viimeinen määrite.", "zh-hans-cn": "将一个命名与有以数字或字母字符形式标识用于标识部分或更新后整体的并存编号序列中最后一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastAlphanumericDesignationOfAlternativeSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60821",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is last alphanumeric designation of alternative sequence of", ar: "هو تسمية أبجدية رقمية أخيرة لتسلسل بديل لـ", de: "ist alternative alphanumerische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource von", fi: "vaihtoehtoisen numerointijakson viimeinen numero- tai kirjainmäärite", nl: "is laatste alfanumerieke aanduiding van alternatieve volgorde van", "zh-hans-cn": "是……的交替序列的最后一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61215",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61215,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of numbers or alphabetic characters that is used to indicate the last in a sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل أرقام أو حروف هجائية مستخدمة لتشير إلى آخر تسلسل رقمي للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form von Nummern oder Buchstaben verfügt, die verwendet wird, um in einer Zählfolge der Ausgaben auf die letzte hinzuweisen.", fi: "Liittää nomeniin aineistoon, jolla on numeroista tai kirjaimista muodostuva määrite, joka on aineiston osien tai iteraatioiden numerointijakson viimeinen määrite.", "zh-hans-cn": "将一个命名与有以数字或字母字符形式标识用于标识部分或更新后整体的编号序列中最后一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61214",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastAlphanumericDesignationOfSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60500",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is last alphanumeric designation of sequence of", ar: "هو تسمية أبجدية رقمية أخيرة لتسلسل لـ", de: "ist alphanumerische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource von", fi: "numerointijakson viimeinen numero- tai kirjainmäärite", nl: "is laatste alfanumerieke aanduiding van volgorde van", "zh-hans-cn": "是……的序列的最后一个字母数字标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61216,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of a date or other timespan that is used to indicate the last in a concurrent sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل تاريخ أو فترة زمنية أخرى مستخدمة لتشير إلى آخر تسلسل رقمي متزامن للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form eines Datums oder eines anderen Zeitraums verfügt, die verwendet wird, um in einer alternativen Zählfolge der Ausgaben auf die letzte hinzuweisen.", fi: "Liittää aineistoon nomenin, joka on päivämäärästä tai muusta ajanjaksosta muodostuva määrite, joka on osien tai iteraatioiden rinnakkaisen numerointijakson viimeinen määrite.", "zh-hans-cn": "将一个命名与有以日期或其他时间段形式标识用于标识部分或更新后整体的并存编号序列中最后一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastChronologicalDesignationOfAlternativeSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60819",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is last chronological designation of alternative sequence of", ar: "هو تسمية زمنية أخيرة لتسلسل بديل لـ", de: "ist alternative chronologische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource von", fi: "vaihtoehtoisen numerointijakson viimeinen aikamäärite", nl: "is laatste chronologische aanduiding van alternatieve volgorde van", "zh-hans-cn": "是……的交替序列的最后一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61217",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61217,
      definition: {en: "Relates a nomen to a resource that has a designation in the form of a date or other timespan that is used to indicate the last in a sequence of numbering of parts or iterations.", ar: "يربط تسمية بمصدر له تسمية على شكل تاريخ أو فترة زمنية أخرى مستخدمة لتشير إلى آخر تسلسل رقمي للأجزاء أو الأعداد.", de: "Setzt ein Nomen in Beziehung zu einer Ressource, die über eine Bezeichnung in Form eines Datums oder eines anderen Zeitraums verfügt, die verwendet wird, um in einer Zählfolge der Ausgaben auf die letzte hinzuweisen.", fi: "Liittää nomenin aineistoon, jolla on päivämäärästä tai muusta ajanjaksosta muodostuva määrite, joka on osien tai iteraatioiden rinnakkaisen numerointijakson viimeinen määrite.", "zh-hans-cn": "将一个命名与有以日期或其他时间段形式标识用于标识部分或更新后整体的编号序列中最后一个的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P61216",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/lastChronologicalDesignationOfSequenceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P60502",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is last chronological designation of sequence of", ar: "هو تسمية زمنية أخيرة لتسلسل لـ", de: "ist chronologische Bezeichnung der letzten Ausgabe einer fortlaufenden Ressource von", fi: "numerointijakson viimeinen aikamäärite", nl: "is laatste chronologische aanduiding van volgorde van", "zh-hans-cn": "是……的序列的最后一个年代标识"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61030",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61218,
      definition: {en: "Relates an entity to a resource that is a metadata resource for an entity.", fi: "Liittää entiteetin aineistoon, joka on entiteetin metatietoaineisto.", "zh-hans-cn": "将一个实体与作为一个实体的一种元数据资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/hasSubproperty": "http://rdaregistry.info/Elements/u/P60262",
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/describedWithMetadataBy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61219",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is described with metadata by", fi: "metatiedolla kuvailtu", "zh-hans-cn": "被……用元数据描述"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60215",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61219,
      definition: {en: "Relates a resource to an entity that is described by a metadata resource.", fi: "Liittää aineiston entiteettiin, joka on kuvailtu metatietoaineistolla.", "zh-hans-cn": "将一种资源与被一种元数据资源描述的一个实体关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/metadataDescriptionOfEntity.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61218",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is metadata description of entity", fi: "kuvailee metatiedolla", "zh-hans-cn": "是实体的元数据描述"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60190",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61220,
      definition: {en: "Relates a resource to a method of transfer of ownership of the resources that are added to a resource of a collection resource.", fi: "Liittää aineiston aineistojen omistajuuden siirtämisen menetelmään, jolla kartutetaan aineistoja kokoelma-aineistoon.", "zh-hans-cn": "将一种资源与被增加到一种收藏资源的一种资源中去的资源的所有权转移的方法关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collectionAccrualMethod.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has collection accrual method", fi: "kokoelman kartuntamenetelmä", "zh-hans-cn": "有收藏增加方法"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61221,
      definition: {en: "Relates a resource to a policy for selecting resources that are added to a resource of a collection resource.", fi: "Liittää aineiston kokoelma-aineistoon lisättävien aineistojen valitsemisen linjaan.", "zh-hans-cn": "将一种资源与被增加到一种收藏资源的一种资源中去的资源的选择政策关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/collectionAccrualPolicy.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has collection accrual policy", fi: "kokoelma-aineiston kartuttamisen linja", "zh-hans-cn": "有收藏增加政策"},
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61222,
      definition: {en: "Relates a resource to a resource of a collection resource that is a discrete component of a resource of another collection resource.", fi: "Liittää manifestaation kokoelmateoksen manifestaatioon, joka on toisen kokoelmateoksen manifestaation erillinen osa.", "zh-hans-cn": "将一种资源与作为另一种收藏资源中的一种资源的一个独立组成部分的一种收藏资源中的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subcollection.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61223",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has subcollection", fi: "alakokoelma", "zh-hans-cn": "有分收藏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60249",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61223,
      definition: {en: "Relates a resource to a resource of a collection resource that has a resource of another collection resource as a discrete component.", fi: "Liittää manifestaation kokoelmateoksen manifestaatioon, johon sisältyy toisen kokoelmateoksen manifestaatio erillisenä osana.", "zh-hans-cn": "将一种资源与有另一种收藏资源中的一种资源作为一个独立组成部分的一种收藏资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/subcollectionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61222",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is subcollection of", fi: "alakokoelma", "zh-hans-cn": "是……的分收藏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60101",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61224,
      definition: {en: "Relates a resource to a resource that is included in the resource of a collection resource.", fi: "Liittää aineiston kokoelma-aineiston osaksi.", "zh-hans-cn": "将一种资源与被包括于一种收藏资源的资源中的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/holding.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61225",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has holding", fi: "aineisto kokelmassa", "zh-hans-cn": "有馆藏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61225,
      definition: {en: "Relates a resource to a resource of a collection resource that includes the resource.", fi: "Liittää aineiston kokoelma-aineistoon kuuluvaan aineistoon.", "zh-hans-cn": "将一种资源与包含该资源的一种收藏资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/holdingOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61224",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is holding of", fi: "kokoelma-aineisto", "zh-hans-cn": "是……的馆藏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61226,
      definition: {en: "Relates a resource to a place where a collection resource is stored.", fi: "Liittää aineiston paikkaan, jossa kokoelma-aineistoa säilytetään.", "zh-hans-cn": "将一种资源与一种收藏资源被储存的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/locationOfCollection.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61227",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has location of collection", fi: "kokoelman-aineiston sijainti", "zh-hans-cn": "有收藏的位置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61227,
      definition: {en: "Relates a place to a resource of a collection resource that is stored in a place.", fi: "Paikka, jossa kokoelma-aineistoa säilytetään.", "zh-hans-cn": "将一个地点与被储存于一个地点的一种收藏资源的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/locationOfCollectionOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61226",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is location of collection of", fi: "kokoelman-aineiston sijainti", "zh-hans-cn": "是……的收藏的地点"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61228,
      definition: {en: "Relates a resource to a place where a resource is held, stored, or made available for access.", fi: "Liittää aineiston tietyssä paikassa säilytettävään tai saataville asetettavaan aineistoon.", "zh-hans-cn": "将一种资源与一种资源被收藏、储存或提供存取的一个地点关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/locationOfResource.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61229",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has location of resource", fi: "aineiston sijainti", "zh-hans-cn": "有资源的位置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61013",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61229,
      definition: {en: "Relates a place to a resource that is held, stored, or made available for access in a place.", fi: "Liittää paikan säilytettävään tai saataville asetattavaan aineistoon.", "zh-hans-cn": "将一个地点与在一个地点收藏、储存或提供获取的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/locationOfResourceOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61228",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is location of resource of", fi: "aineiston sijainti", "zh-hans-cn": "是……的资源的位置"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P61014",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61230,
      definition: {en: "Relates a resource to a resource that is reproduced on the same resource as a resource.", fi: "Liittää aineiston sen osaksi tehtyyn aineistoon.", "zh-hans-cn": "将一种资源与被复制于和一资源的同一种资源上的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/onResourceWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61230",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is on resource with", fi: "aineistossa mukana", "zh-hans-cn": "在和……同一种资源上"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60313",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61231,
      definition: {en: "Relates a resource to a resource that is held in the same collection as a resource.", fi: "Liittää aineiston saman kokoelman aineistoksi liitettyyn aineistoon.", "zh-hans-cn": "将一资源与和一种资源在同一个收藏中的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/heldWith.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61231",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is held with", fi: "yhdistetty aineistoon", "zh-hans-cn": "和……一起收藏"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60709",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61232,
      definition: {en: "Relates a resource to a resource that is a metadata description set for the sub-collections and resources that are held by a collection resource.", fi: "Liitää aineiston kokoelma-aineistoon sisältyvien alakokoelmien ja kappaleiden metatietokokonaisuuteen.", "zh-hans-cn": "将一种资源与作为一种收藏资源所收入的分收藏和各种资源的元数据描述集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hierarchicFindingAid.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61233",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "has hierarchic finding aid", fi: "hierarkkinen luettelo", "zh-hans-cn": "有分级查询工具"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60262",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
    property :P61233,
      definition: {en: "Relates a resource to a resource that is a collection resource that has a metadata description set for the sub-collections and resources that it holds.", fi: "Liittää aineiston kokoelma-aineistoon, jolla on siihen kuuluvia alakokoelmia ja aineistoja koskeva metatietokokonaisuus.", "zh-hans-cn": "将一种资源与作为一种收藏资源并有所收入的分收藏和各种资源的元数据描述集合的一种资源关联起来。"},
      "http://metadataregistry.org/uri/profile/regap/lexicalAlias": "http://rdaregistry.info/Elements/u/hierarchicFindingAidOf.en",
      "http://metadataregistry.org/uri/profile/regap/status": "http://metadataregistry.org/uri/RegStatus/1001",
      inverseOf: "http://rdaregistry.info/Elements/u/P61232",
      isDefinedBy: "http://rdaregistry.info/Elements/u/",
      label: {en: "is hierarchic finding aid of", fi: "hierarkkinen luettelo", "zh-hans-cn": "是……的分级查询工具"},
      subPropertyOf: "http://rdaregistry.info/Elements/u/P60474",
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property"
  end
end
